package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.Typeface;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.text.InputFilter;
import android.util.AttributeSet;
import android.view.ActionMode;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import android.view.textclassifier.TextClassifier;
import android.widget.TextView;
import androidx.core.view.y;
import androidx.core.widget.b;
import androidx.core.widget.j;
import androidx.core.widget.n;
import e0.a;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Future;
import y.h;

public class d0 extends TextView implements y, n, b {
    private final e mBackgroundTintHelper;
    private n mEmojiTextViewHelper;
    private boolean mIsSetTypefaceProcessing;
    private Future<a> mPrecomputedTextFuture;
    private final b0 mTextClassifierHelper;
    private final c0 mTextHelper;

    public d0(Context context) {
        this(context, null);
    }

    public d0(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 16842884);
    }

    public d0(Context context, AttributeSet attributeSet, int i5) {
        super(x0.b(context), attributeSet, i5);
        this.mIsSetTypefaceProcessing = false;
        v0.a(this, getContext());
        e eVar = new e(this);
        this.mBackgroundTintHelper = eVar;
        eVar.e(attributeSet, i5);
        c0 c0Var = new c0(this);
        this.mTextHelper = c0Var;
        c0Var.m(attributeSet, i5);
        c0Var.b();
        this.mTextClassifierHelper = new b0(this);
        getEmojiTextViewHelper().c(attributeSet, i5);
    }

    private void consumeTextFutureAndSetBlocking() {
        Future<a> future = this.mPrecomputedTextFuture;
        if (future != null) {
            try {
                this.mPrecomputedTextFuture = null;
                j.k(this, future.get());
            } catch (InterruptedException | ExecutionException unused) {
            }
        }
    }

    private n getEmojiTextViewHelper() {
        if (this.mEmojiTextViewHelper == null) {
            this.mEmojiTextViewHelper = new n(this);
        }
        return this.mEmojiTextViewHelper;
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        e eVar = this.mBackgroundTintHelper;
        if (eVar != null) {
            eVar.b();
        }
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            c0Var.b();
        }
    }

    public int getAutoSizeMaxTextSize() {
        if (b.f2134a) {
            return super.getAutoSizeMaxTextSize();
        }
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            return c0Var.e();
        }
        return -1;
    }

    public int getAutoSizeMinTextSize() {
        if (b.f2134a) {
            return super.getAutoSizeMinTextSize();
        }
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            return c0Var.f();
        }
        return -1;
    }

    public int getAutoSizeStepGranularity() {
        if (b.f2134a) {
            return super.getAutoSizeStepGranularity();
        }
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            return c0Var.g();
        }
        return -1;
    }

    public int[] getAutoSizeTextAvailableSizes() {
        if (b.f2134a) {
            return super.getAutoSizeTextAvailableSizes();
        }
        c0 c0Var = this.mTextHelper;
        return c0Var != null ? c0Var.h() : new int[0];
    }

    public int getAutoSizeTextType() {
        if (b.f2134a) {
            return super.getAutoSizeTextType() == 1 ? 1 : 0;
        }
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            return c0Var.i();
        }
        return 0;
    }

    public ActionMode.Callback getCustomSelectionActionModeCallback() {
        return j.m(super.getCustomSelectionActionModeCallback());
    }

    public int getFirstBaselineToTopHeight() {
        return j.a(this);
    }

    public int getLastBaselineToBottomHeight() {
        return j.b(this);
    }

    @Override // androidx.core.view.y
    public ColorStateList getSupportBackgroundTintList() {
        e eVar = this.mBackgroundTintHelper;
        if (eVar != null) {
            return eVar.c();
        }
        return null;
    }

    @Override // androidx.core.view.y
    public PorterDuff.Mode getSupportBackgroundTintMode() {
        e eVar = this.mBackgroundTintHelper;
        if (eVar != null) {
            return eVar.d();
        }
        return null;
    }

    public ColorStateList getSupportCompoundDrawablesTintList() {
        return this.mTextHelper.j();
    }

    public PorterDuff.Mode getSupportCompoundDrawablesTintMode() {
        return this.mTextHelper.k();
    }

    public CharSequence getText() {
        consumeTextFutureAndSetBlocking();
        return super.getText();
    }

    public TextClassifier getTextClassifier() {
        b0 b0Var;
        return (Build.VERSION.SDK_INT >= 28 || (b0Var = this.mTextClassifierHelper) == null) ? super.getTextClassifier() : b0Var.a();
    }

    public a.C0058a getTextMetricsParamsCompat() {
        return j.e(this);
    }

    public boolean isEmojiCompatEnabled() {
        return getEmojiTextViewHelper().b();
    }

    public InputConnection onCreateInputConnection(EditorInfo editorInfo) {
        InputConnection onCreateInputConnection = super.onCreateInputConnection(editorInfo);
        this.mTextHelper.r(this, onCreateInputConnection, editorInfo);
        return o.a(onCreateInputConnection, editorInfo, this);
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z4, int i5, int i6, int i7, int i8) {
        super.onLayout(z4, i5, i6, i7, i8);
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            c0Var.o(z4, i5, i6, i7, i8);
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i5, int i6) {
        consumeTextFutureAndSetBlocking();
        super.onMeasure(i5, i6);
    }

    /* access modifiers changed from: protected */
    public void onTextChanged(CharSequence charSequence, int i5, int i6, int i7) {
        super.onTextChanged(charSequence, i5, i6, i7);
        c0 c0Var = this.mTextHelper;
        if (c0Var != null && !b.f2134a && c0Var.l()) {
            this.mTextHelper.c();
        }
    }

    public void setAllCaps(boolean z4) {
        super.setAllCaps(z4);
        getEmojiTextViewHelper().d(z4);
    }

    public void setAutoSizeTextTypeUniformWithConfiguration(int i5, int i6, int i7, int i8) {
        if (b.f2134a) {
            super.setAutoSizeTextTypeUniformWithConfiguration(i5, i6, i7, i8);
            return;
        }
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            c0Var.t(i5, i6, i7, i8);
        }
    }

    public void setAutoSizeTextTypeUniformWithPresetSizes(int[] iArr, int i5) {
        if (b.f2134a) {
            super.setAutoSizeTextTypeUniformWithPresetSizes(iArr, i5);
            return;
        }
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            c0Var.u(iArr, i5);
        }
    }

    public void setAutoSizeTextTypeWithDefaults(int i5) {
        if (b.f2134a) {
            super.setAutoSizeTextTypeWithDefaults(i5);
            return;
        }
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            c0Var.v(i5);
        }
    }

    public void setBackgroundDrawable(Drawable drawable) {
        super.setBackgroundDrawable(drawable);
        e eVar = this.mBackgroundTintHelper;
        if (eVar != null) {
            eVar.f(drawable);
        }
    }

    public void setBackgroundResource(int i5) {
        super.setBackgroundResource(i5);
        e eVar = this.mBackgroundTintHelper;
        if (eVar != null) {
            eVar.g(i5);
        }
    }

    public void setCompoundDrawables(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        super.setCompoundDrawables(drawable, drawable2, drawable3, drawable4);
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            c0Var.p();
        }
    }

    public void setCompoundDrawablesRelative(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        super.setCompoundDrawablesRelative(drawable, drawable2, drawable3, drawable4);
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            c0Var.p();
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesRelativeWithIntrinsicBounds(int i5, int i6, int i7, int i8) {
        Context context = getContext();
        Drawable drawable = null;
        Drawable b5 = i5 != 0 ? d.a.b(context, i5) : null;
        Drawable b6 = i6 != 0 ? d.a.b(context, i6) : null;
        Drawable b7 = i7 != 0 ? d.a.b(context, i7) : null;
        if (i8 != 0) {
            drawable = d.a.b(context, i8);
        }
        setCompoundDrawablesRelativeWithIntrinsicBounds(b5, b6, b7, drawable);
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            c0Var.p();
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesRelativeWithIntrinsicBounds(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        super.setCompoundDrawablesRelativeWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            c0Var.p();
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesWithIntrinsicBounds(int i5, int i6, int i7, int i8) {
        Context context = getContext();
        Drawable drawable = null;
        Drawable b5 = i5 != 0 ? d.a.b(context, i5) : null;
        Drawable b6 = i6 != 0 ? d.a.b(context, i6) : null;
        Drawable b7 = i7 != 0 ? d.a.b(context, i7) : null;
        if (i8 != 0) {
            drawable = d.a.b(context, i8);
        }
        setCompoundDrawablesWithIntrinsicBounds(b5, b6, b7, drawable);
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            c0Var.p();
        }
    }

    @Override // android.widget.TextView
    public void setCompoundDrawablesWithIntrinsicBounds(Drawable drawable, Drawable drawable2, Drawable drawable3, Drawable drawable4) {
        super.setCompoundDrawablesWithIntrinsicBounds(drawable, drawable2, drawable3, drawable4);
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            c0Var.p();
        }
    }

    public void setCustomSelectionActionModeCallback(ActionMode.Callback callback) {
        super.setCustomSelectionActionModeCallback(j.n(this, callback));
    }

    public void setEmojiCompatEnabled(boolean z4) {
        getEmojiTextViewHelper().e(z4);
    }

    public void setFilters(InputFilter[] inputFilterArr) {
        super.setFilters(getEmojiTextViewHelper().a(inputFilterArr));
    }

    public void setFirstBaselineToTopHeight(int i5) {
        if (Build.VERSION.SDK_INT >= 28) {
            super.setFirstBaselineToTopHeight(i5);
        } else {
            j.h(this, i5);
        }
    }

    public void setLastBaselineToBottomHeight(int i5) {
        if (Build.VERSION.SDK_INT >= 28) {
            super.setLastBaselineToBottomHeight(i5);
        } else {
            j.i(this, i5);
        }
    }

    public void setLineHeight(int i5) {
        j.j(this, i5);
    }

    public void setPrecomputedText(a aVar) {
        j.k(this, aVar);
    }

    @Override // androidx.core.view.y
    public void setSupportBackgroundTintList(ColorStateList colorStateList) {
        e eVar = this.mBackgroundTintHelper;
        if (eVar != null) {
            eVar.i(colorStateList);
        }
    }

    @Override // androidx.core.view.y
    public void setSupportBackgroundTintMode(PorterDuff.Mode mode) {
        e eVar = this.mBackgroundTintHelper;
        if (eVar != null) {
            eVar.j(mode);
        }
    }

    @Override // androidx.core.widget.n
    public void setSupportCompoundDrawablesTintList(ColorStateList colorStateList) {
        this.mTextHelper.w(colorStateList);
        this.mTextHelper.b();
    }

    @Override // androidx.core.widget.n
    public void setSupportCompoundDrawablesTintMode(PorterDuff.Mode mode) {
        this.mTextHelper.x(mode);
        this.mTextHelper.b();
    }

    public void setTextAppearance(Context context, int i5) {
        super.setTextAppearance(context, i5);
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            c0Var.q(context, i5);
        }
    }

    public void setTextClassifier(TextClassifier textClassifier) {
        b0 b0Var;
        if (Build.VERSION.SDK_INT >= 28 || (b0Var = this.mTextClassifierHelper) == null) {
            super.setTextClassifier(textClassifier);
        } else {
            b0Var.b(textClassifier);
        }
    }

    public void setTextFuture(Future<a> future) {
        this.mPrecomputedTextFuture = future;
        if (future != null) {
            requestLayout();
        }
    }

    public void setTextMetricsParamsCompat(a.C0058a aVar) {
        j.l(this, aVar);
    }

    public void setTextSize(int i5, float f5) {
        if (b.f2134a) {
            super.setTextSize(i5, f5);
            return;
        }
        c0 c0Var = this.mTextHelper;
        if (c0Var != null) {
            c0Var.A(i5, f5);
        }
    }

    public void setTypeface(Typeface typeface, int i5) {
        if (!this.mIsSetTypefaceProcessing) {
            Typeface typeface2 = null;
            if (typeface != null && i5 > 0) {
                typeface2 = h.a(getContext(), typeface, i5);
            }
            this.mIsSetTypefaceProcessing = true;
            if (typeface2 != null) {
                typeface = typeface2;
            }
            try {
                super.setTypeface(typeface, i5);
            } finally {
                this.mIsSetTypefaceProcessing = false;
            }
        }
    }
}
