package androidx.camera.core;

import android.view.Surface;
import java.nio.ByteBuffer;
import l.q0;

final class ImageProcessingUtil {

    /* access modifiers changed from: package-private */
    public enum a {
        UNKNOWN,
        SUCCESS,
        ERROR_FORMAT,
        ERROR_CONVERSION
    }

    static {
        System.loadLibrary("image_processing_util_jni");
    }

    public static boolean b(q1 q1Var) {
        if (!f(q1Var)) {
            z1.c("ImageProcessingUtil", "Unsupported format for YUV to RGB");
            return false;
        }
        a c5 = c(q1Var);
        if (c5 == a.ERROR_CONVERSION) {
            z1.c("ImageProcessingUtil", "YUV to RGB conversion failure");
            return false;
        } else if (c5 != a.ERROR_FORMAT) {
            return true;
        } else {
            z1.c("ImageProcessingUtil", "Unsupported format for YUV to RGB");
            return false;
        }
    }

    private static a c(q1 q1Var) {
        int b5 = q1Var.b();
        int a5 = q1Var.a();
        int a6 = q1Var.d()[0].a();
        int a7 = q1Var.d()[1].a();
        int a8 = q1Var.d()[2].a();
        int b6 = q1Var.d()[0].b();
        int b7 = q1Var.d()[1].b();
        return shiftPixel(q1Var.d()[0].c(), a6, q1Var.d()[1].c(), a7, q1Var.d()[2].c(), a8, b6, b7, b5, a5, b6, b7, b7) != 0 ? a.ERROR_CONVERSION : a.SUCCESS;
    }

    private static native int convertAndroid420ToABGR(ByteBuffer byteBuffer, int i5, ByteBuffer byteBuffer2, int i6, ByteBuffer byteBuffer3, int i7, int i8, int i9, Surface surface, int i10, int i11, int i12, int i13, int i14);

    public static q1 d(q1 q1Var, q0 q0Var, boolean z4) {
        if (!f(q1Var)) {
            z1.c("ImageProcessingUtil", "Unsupported format for YUV to RGB");
            return null;
        }
        a e5 = e(q1Var, q0Var.c(), z4);
        if (e5 == a.ERROR_CONVERSION) {
            z1.c("ImageProcessingUtil", "YUV to RGB conversion failure");
            return null;
        } else if (e5 == a.ERROR_FORMAT) {
            z1.c("ImageProcessingUtil", "Unsupported format for YUV to RGB");
            return null;
        } else {
            q1 e6 = q0Var.e();
            if (e6 == null) {
                return null;
            }
            t2 t2Var = new t2(e6);
            t2Var.c(new p1(e6, q1Var));
            return t2Var;
        }
    }

    private static a e(q1 q1Var, Surface surface, boolean z4) {
        int b5 = q1Var.b();
        int a5 = q1Var.a();
        int a6 = q1Var.d()[0].a();
        int a7 = q1Var.d()[1].a();
        int a8 = q1Var.d()[2].a();
        int b6 = q1Var.d()[0].b();
        int b7 = q1Var.d()[1].b();
        return convertAndroid420ToABGR(q1Var.d()[0].c(), a6, q1Var.d()[1].c(), a7, q1Var.d()[2].c(), a8, b6, b7, surface, b5, a5, z4 ? b6 : 0, z4 ? b7 : 0, z4 ? b7 : 0) != 0 ? a.ERROR_CONVERSION : a.SUCCESS;
    }

    private static boolean f(q1 q1Var) {
        return q1Var.s() == 35 && q1Var.d().length == 3;
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ void g(q1 q1Var, q1 q1Var2, q1 q1Var3) {
        if (q1Var != null && q1Var2 != null) {
            q1Var2.close();
        }
    }

    private static native int shiftPixel(ByteBuffer byteBuffer, int i5, ByteBuffer byteBuffer2, int i6, ByteBuffer byteBuffer3, int i7, int i8, int i9, int i10, int i11, int i12, int i13, int i14);
}
