package androidx.viewpager.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.DataSetObserver;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.SystemClock;
import android.util.AttributeSet;
import android.util.Log;
import android.view.FocusFinder;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.SoundEffectConstants;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.animation.Interpolator;
import android.widget.EdgeEffect;
import android.widget.Scroller;
import androidx.core.view.a0;
import androidx.core.view.j0;
import androidx.core.view.u;
import com.luck.picture.lib.R;
import com.luck.picture.lib.tools.PictureFileUtils;
import com.yalantis.ucrop.view.CropImageView;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

public class b extends ViewGroup {
    private static final int CLOSE_ENOUGH = 2;
    private static final Comparator<f> COMPARATOR = new a();
    private static final boolean DEBUG = false;
    private static final int DEFAULT_GUTTER_SIZE = 16;
    private static final int DEFAULT_OFFSCREEN_PAGES = 1;
    private static final int DRAW_ORDER_DEFAULT = 0;
    private static final int DRAW_ORDER_FORWARD = 1;
    private static final int DRAW_ORDER_REVERSE = 2;
    private static final int INVALID_POINTER = -1;
    static final int[] LAYOUT_ATTRS = {16842931};
    private static final int MAX_SETTLE_DURATION = 600;
    private static final int MIN_DISTANCE_FOR_FLING = 25;
    private static final int MIN_FLING_VELOCITY = 400;
    public static final int SCROLL_STATE_DRAGGING = 1;
    public static final int SCROLL_STATE_IDLE = 0;
    public static final int SCROLL_STATE_SETTLING = 2;
    private static final String TAG = "ViewPager";
    private static final boolean USE_CACHE = false;
    private static final Interpolator sInterpolator = new animation.InterpolatorC0043b();
    private static final n sPositionComparator = new n();
    private int mActivePointerId = -1;
    a mAdapter;
    private List<i> mAdapterChangeListeners;
    private int mBottomPageBounds;
    private boolean mCalledSuper;
    private int mChildHeightMeasureSpec;
    private int mChildWidthMeasureSpec;
    private int mCloseEnough;
    int mCurItem;
    private int mDecorChildCount;
    private int mDefaultGutterSize;
    private int mDrawingOrder;
    private ArrayList<View> mDrawingOrderedChildren;
    private final Runnable mEndScrollRunnable = new c();
    private int mExpectedAdapterCount;
    private long mFakeDragBeginTime;
    private boolean mFakeDragging;
    private boolean mFirstLayout = true;
    private float mFirstOffset = -3.4028235E38f;
    private int mFlingDistance;
    private int mGutterSize;
    private boolean mInLayout;
    private float mInitialMotionX;
    private float mInitialMotionY;
    private j mInternalPageChangeListener;
    private boolean mIsBeingDragged;
    private boolean mIsScrollStarted;
    private boolean mIsUnableToDrag;
    private final ArrayList<f> mItems = new ArrayList<>();
    private float mLastMotionX;
    private float mLastMotionY;
    private float mLastOffset = Float.MAX_VALUE;
    private EdgeEffect mLeftEdge;
    private Drawable mMarginDrawable;
    private int mMaximumVelocity;
    private int mMinimumVelocity;
    private boolean mNeedCalculatePageOffsets = false;
    private l mObserver;
    private int mOffscreenPageLimit = 1;
    private j mOnPageChangeListener;
    private List<j> mOnPageChangeListeners;
    private int mPageMargin;
    private k mPageTransformer;
    private int mPageTransformerLayerType;
    private boolean mPopulatePending;
    private Parcelable mRestoredAdapterState = null;
    private ClassLoader mRestoredClassLoader = null;
    private int mRestoredCurItem = -1;
    private EdgeEffect mRightEdge;
    private int mScrollState = 0;
    private Scroller mScroller;
    private boolean mScrollingCacheEnabled;
    private final f mTempItem = new f();
    private final Rect mTempRect = new Rect();
    private int mTopPageBounds;
    private int mTouchSlop;
    private VelocityTracker mVelocityTracker;

    static class a implements Comparator<f> {
        a() {
        }

        /* renamed from: a */
        public int compare(f fVar, f fVar2) {
            return fVar.f3256b - fVar2.f3256b;
        }
    }

    /* renamed from: androidx.viewpager.widget.b$b  reason: collision with other inner class name */
    static class animation.InterpolatorC0043b implements Interpolator {
        animation.InterpolatorC0043b() {
        }

        public float getInterpolation(float f5) {
            float f6 = f5 - 1.0f;
            return (f6 * f6 * f6 * f6 * f6) + 1.0f;
        }
    }

    class c implements Runnable {
        c() {
        }

        public void run() {
            b.this.setScrollState(0);
            b.this.populate();
        }
    }

    /* access modifiers changed from: package-private */
    public class d implements u {

        /* renamed from: a  reason: collision with root package name */
        private final Rect f3253a = new Rect();

        d() {
        }

        @Override // androidx.core.view.u
        public j0 a(View view, j0 j0Var) {
            j0 S = a0.S(view, j0Var);
            if (S.n()) {
                return S;
            }
            Rect rect = this.f3253a;
            rect.left = S.i();
            rect.top = S.k();
            rect.right = S.j();
            rect.bottom = S.h();
            int childCount = b.this.getChildCount();
            for (int i5 = 0; i5 < childCount; i5++) {
                j0 g5 = a0.g(b.this.getChildAt(i5), S);
                rect.left = Math.min(g5.i(), rect.left);
                rect.top = Math.min(g5.k(), rect.top);
                rect.right = Math.min(g5.j(), rect.right);
                rect.bottom = Math.min(g5.h(), rect.bottom);
            }
            return S.o(rect.left, rect.top, rect.right, rect.bottom);
        }
    }

    @Target({ElementType.TYPE})
    @Inherited
    @Retention(RetentionPolicy.RUNTIME)
    public @interface e {
    }

    /* access modifiers changed from: package-private */
    public static class f {

        /* renamed from: a  reason: collision with root package name */
        Object f3255a;

        /* renamed from: b  reason: collision with root package name */
        int f3256b;

        /* renamed from: c  reason: collision with root package name */
        boolean f3257c;

        /* renamed from: d  reason: collision with root package name */
        float f3258d;

        /* renamed from: e  reason: collision with root package name */
        float f3259e;

        f() {
        }
    }

    public static class g extends ViewGroup.LayoutParams {

        /* renamed from: a  reason: collision with root package name */
        public boolean f3260a;

        /* renamed from: b  reason: collision with root package name */
        public int f3261b;

        /* renamed from: c  reason: collision with root package name */
        float f3262c = CropImageView.DEFAULT_ASPECT_RATIO;

        /* renamed from: d  reason: collision with root package name */
        boolean f3263d;

        /* renamed from: e  reason: collision with root package name */
        int f3264e;

        /* renamed from: f  reason: collision with root package name */
        int f3265f;

        public g() {
            super(-1, -1);
        }

        public g(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, b.LAYOUT_ATTRS);
            this.f3261b = obtainStyledAttributes.getInteger(0, 48);
            obtainStyledAttributes.recycle();
        }
    }

    /* access modifiers changed from: package-private */
    public class h extends androidx.core.view.a {
        h() {
        }

        private boolean n() {
            a aVar = b.this.mAdapter;
            return aVar != null && aVar.getCount() > 1;
        }

        @Override // androidx.core.view.a
        public void f(View view, AccessibilityEvent accessibilityEvent) {
            a aVar;
            super.f(view, accessibilityEvent);
            accessibilityEvent.setClassName(b.class.getName());
            accessibilityEvent.setScrollable(n());
            if (accessibilityEvent.getEventType() == 4096 && (aVar = b.this.mAdapter) != null) {
                accessibilityEvent.setItemCount(aVar.getCount());
                accessibilityEvent.setFromIndex(b.this.mCurItem);
                accessibilityEvent.setToIndex(b.this.mCurItem);
            }
        }

        @Override // androidx.core.view.a
        public void g(View view, g0.c cVar) {
            super.g(view, cVar);
            cVar.J(b.class.getName());
            cVar.P(n());
            if (b.this.canScrollHorizontally(1)) {
                cVar.a(4096);
            }
            if (b.this.canScrollHorizontally(-1)) {
                cVar.a(8192);
            }
        }

        @Override // androidx.core.view.a
        public boolean j(View view, int i5, Bundle bundle) {
            b bVar;
            int i6;
            if (super.j(view, i5, bundle)) {
                return true;
            }
            if (i5 != 4096) {
                if (i5 != 8192 || !b.this.canScrollHorizontally(-1)) {
                    return false;
                }
                bVar = b.this;
                i6 = bVar.mCurItem - 1;
            } else if (!b.this.canScrollHorizontally(1)) {
                return false;
            } else {
                bVar = b.this;
                i6 = bVar.mCurItem + 1;
            }
            bVar.setCurrentItem(i6);
            return true;
        }
    }

    public interface i {
        void a(b bVar, a aVar, a aVar2);
    }

    public interface j {
        void onPageScrollStateChanged(int i5);

        void onPageScrolled(int i5, float f5, int i6);

        void onPageSelected(int i5);
    }

    public interface k {
        void a(View view, float f5);
    }

    private class l extends DataSetObserver {
        l() {
        }

        public void onChanged() {
            b.this.dataSetChanged();
        }

        public void onInvalidated() {
            b.this.dataSetChanged();
        }
    }

    public static class m extends j0.a {
        public static final Parcelable.Creator<m> CREATOR = new a();

        /* renamed from: g  reason: collision with root package name */
        int f3268g;

        /* renamed from: h  reason: collision with root package name */
        Parcelable f3269h;

        /* renamed from: i  reason: collision with root package name */
        ClassLoader f3270i;

        static class a implements Parcelable.ClassLoaderCreator<m> {
            a() {
            }

            /* renamed from: a */
            public m createFromParcel(Parcel parcel) {
                return new m(parcel, null);
            }

            /* renamed from: b */
            public m createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new m(parcel, classLoader);
            }

            /* renamed from: c */
            public m[] newArray(int i5) {
                return new m[i5];
            }
        }

        m(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            classLoader = classLoader == null ? getClass().getClassLoader() : classLoader;
            this.f3268g = parcel.readInt();
            this.f3269h = parcel.readParcelable(classLoader);
            this.f3270i = classLoader;
        }

        public m(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "FragmentPager.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " position=" + this.f3268g + "}";
        }

        @Override // j0.a
        public void writeToParcel(Parcel parcel, int i5) {
            super.writeToParcel(parcel, i5);
            parcel.writeInt(this.f3268g);
            parcel.writeParcelable(this.f3269h, i5);
        }
    }

    /* access modifiers changed from: package-private */
    public static class n implements Comparator<View> {
        n() {
        }

        /* renamed from: a */
        public int compare(View view, View view2) {
            g gVar = (g) view.getLayoutParams();
            g gVar2 = (g) view2.getLayoutParams();
            boolean z4 = gVar.f3260a;
            return z4 != gVar2.f3260a ? z4 ? 1 : -1 : gVar.f3264e - gVar2.f3264e;
        }
    }

    public b(Context context) {
        super(context);
        initViewPager();
    }

    public b(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        initViewPager();
    }

    private void calculatePageOffsets(f fVar, int i5, f fVar2) {
        int i6;
        int i7;
        f fVar3;
        f fVar4;
        int count = this.mAdapter.getCount();
        int clientWidth = getClientWidth();
        float f5 = clientWidth > 0 ? ((float) this.mPageMargin) / ((float) clientWidth) : CropImageView.DEFAULT_ASPECT_RATIO;
        if (fVar2 != null) {
            int i8 = fVar2.f3256b;
            int i9 = fVar.f3256b;
            if (i8 < i9) {
                float f6 = fVar2.f3259e + fVar2.f3258d + f5;
                int i10 = i8 + 1;
                int i11 = 0;
                while (i10 <= fVar.f3256b && i11 < this.mItems.size()) {
                    while (true) {
                        fVar4 = this.mItems.get(i11);
                        if (i10 > fVar4.f3256b && i11 < this.mItems.size() - 1) {
                            i11++;
                        }
                    }
                    while (i10 < fVar4.f3256b) {
                        f6 += this.mAdapter.getPageWidth(i10) + f5;
                        i10++;
                    }
                    fVar4.f3259e = f6;
                    f6 += fVar4.f3258d + f5;
                    i10++;
                }
            } else if (i8 > i9) {
                int size = this.mItems.size() - 1;
                float f7 = fVar2.f3259e;
                while (true) {
                    i8--;
                    if (i8 < fVar.f3256b || size < 0) {
                        break;
                    }
                    while (true) {
                        fVar3 = this.mItems.get(size);
                        if (i8 < fVar3.f3256b && size > 0) {
                            size--;
                        }
                    }
                    while (i8 > fVar3.f3256b) {
                        f7 -= this.mAdapter.getPageWidth(i8) + f5;
                        i8--;
                    }
                    f7 -= fVar3.f3258d + f5;
                    fVar3.f3259e = f7;
                }
            }
        }
        int size2 = this.mItems.size();
        float f8 = fVar.f3259e;
        int i12 = fVar.f3256b;
        int i13 = i12 - 1;
        this.mFirstOffset = i12 == 0 ? f8 : -3.4028235E38f;
        int i14 = count - 1;
        this.mLastOffset = i12 == i14 ? (fVar.f3258d + f8) - 1.0f : Float.MAX_VALUE;
        int i15 = i5 - 1;
        while (i15 >= 0) {
            f fVar5 = this.mItems.get(i15);
            while (true) {
                i7 = fVar5.f3256b;
                if (i13 <= i7) {
                    break;
                }
                f8 -= this.mAdapter.getPageWidth(i13) + f5;
                i13--;
            }
            f8 -= fVar5.f3258d + f5;
            fVar5.f3259e = f8;
            if (i7 == 0) {
                this.mFirstOffset = f8;
            }
            i15--;
            i13--;
        }
        float f9 = fVar.f3259e + fVar.f3258d + f5;
        int i16 = fVar.f3256b + 1;
        int i17 = i5 + 1;
        while (i17 < size2) {
            f fVar6 = this.mItems.get(i17);
            while (true) {
                i6 = fVar6.f3256b;
                if (i16 >= i6) {
                    break;
                }
                f9 += this.mAdapter.getPageWidth(i16) + f5;
                i16++;
            }
            if (i6 == i14) {
                this.mLastOffset = (fVar6.f3258d + f9) - 1.0f;
            }
            fVar6.f3259e = f9;
            f9 += fVar6.f3258d + f5;
            i17++;
            i16++;
        }
        this.mNeedCalculatePageOffsets = false;
    }

    private void completeScroll(boolean z4) {
        boolean z5 = this.mScrollState == 2;
        if (z5) {
            setScrollingCacheEnabled(false);
            if (!this.mScroller.isFinished()) {
                this.mScroller.abortAnimation();
                int scrollX = getScrollX();
                int scrollY = getScrollY();
                int currX = this.mScroller.getCurrX();
                int currY = this.mScroller.getCurrY();
                if (!(scrollX == currX && scrollY == currY)) {
                    scrollTo(currX, currY);
                    if (currX != scrollX) {
                        pageScrolled(currX);
                    }
                }
            }
        }
        this.mPopulatePending = false;
        for (int i5 = 0; i5 < this.mItems.size(); i5++) {
            f fVar = this.mItems.get(i5);
            if (fVar.f3257c) {
                fVar.f3257c = false;
                z5 = true;
            }
        }
        if (!z5) {
            return;
        }
        if (z4) {
            a0.W(this, this.mEndScrollRunnable);
        } else {
            this.mEndScrollRunnable.run();
        }
    }

    private int determineTargetPage(int i5, float f5, int i6, int i7) {
        if (Math.abs(i7) <= this.mFlingDistance || Math.abs(i6) <= this.mMinimumVelocity) {
            i5 += (int) (f5 + (i5 >= this.mCurItem ? 0.4f : 0.6f));
        } else if (i6 <= 0) {
            i5++;
        }
        if (this.mItems.size() <= 0) {
            return i5;
        }
        ArrayList<f> arrayList = this.mItems;
        return Math.max(this.mItems.get(0).f3256b, Math.min(i5, arrayList.get(arrayList.size() - 1).f3256b));
    }

    private void dispatchOnPageScrolled(int i5, float f5, int i6) {
        j jVar = this.mOnPageChangeListener;
        if (jVar != null) {
            jVar.onPageScrolled(i5, f5, i6);
        }
        List<j> list = this.mOnPageChangeListeners;
        if (list != null) {
            int size = list.size();
            for (int i7 = 0; i7 < size; i7++) {
                j jVar2 = this.mOnPageChangeListeners.get(i7);
                if (jVar2 != null) {
                    jVar2.onPageScrolled(i5, f5, i6);
                }
            }
        }
        j jVar3 = this.mInternalPageChangeListener;
        if (jVar3 != null) {
            jVar3.onPageScrolled(i5, f5, i6);
        }
    }

    private void dispatchOnPageSelected(int i5) {
        j jVar = this.mOnPageChangeListener;
        if (jVar != null) {
            jVar.onPageSelected(i5);
        }
        List<j> list = this.mOnPageChangeListeners;
        if (list != null) {
            int size = list.size();
            for (int i6 = 0; i6 < size; i6++) {
                j jVar2 = this.mOnPageChangeListeners.get(i6);
                if (jVar2 != null) {
                    jVar2.onPageSelected(i5);
                }
            }
        }
        j jVar3 = this.mInternalPageChangeListener;
        if (jVar3 != null) {
            jVar3.onPageSelected(i5);
        }
    }

    private void dispatchOnScrollStateChanged(int i5) {
        j jVar = this.mOnPageChangeListener;
        if (jVar != null) {
            jVar.onPageScrollStateChanged(i5);
        }
        List<j> list = this.mOnPageChangeListeners;
        if (list != null) {
            int size = list.size();
            for (int i6 = 0; i6 < size; i6++) {
                j jVar2 = this.mOnPageChangeListeners.get(i6);
                if (jVar2 != null) {
                    jVar2.onPageScrollStateChanged(i5);
                }
            }
        }
        j jVar3 = this.mInternalPageChangeListener;
        if (jVar3 != null) {
            jVar3.onPageScrollStateChanged(i5);
        }
    }

    private void enableLayers(boolean z4) {
        int childCount = getChildCount();
        for (int i5 = 0; i5 < childCount; i5++) {
            getChildAt(i5).setLayerType(z4 ? this.mPageTransformerLayerType : 0, null);
        }
    }

    private void endDrag() {
        this.mIsBeingDragged = false;
        this.mIsUnableToDrag = false;
        VelocityTracker velocityTracker = this.mVelocityTracker;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.mVelocityTracker = null;
        }
    }

    private Rect getChildRectInPagerCoordinates(Rect rect, View view) {
        if (rect == null) {
            rect = new Rect();
        }
        if (view == null) {
            rect.set(0, 0, 0, 0);
            return rect;
        }
        rect.left = view.getLeft();
        rect.right = view.getRight();
        rect.top = view.getTop();
        rect.bottom = view.getBottom();
        ViewParent parent = view.getParent();
        while ((parent instanceof ViewGroup) && parent != this) {
            ViewGroup viewGroup = (ViewGroup) parent;
            rect.left += viewGroup.getLeft();
            rect.right += viewGroup.getRight();
            rect.top += viewGroup.getTop();
            rect.bottom += viewGroup.getBottom();
            parent = viewGroup.getParent();
        }
        return rect;
    }

    private int getClientWidth() {
        return (getMeasuredWidth() - getPaddingLeft()) - getPaddingRight();
    }

    private f infoForCurrentScrollPosition() {
        int i5;
        int clientWidth = getClientWidth();
        float f5 = CropImageView.DEFAULT_ASPECT_RATIO;
        float scrollX = clientWidth > 0 ? ((float) getScrollX()) / ((float) clientWidth) : CropImageView.DEFAULT_ASPECT_RATIO;
        float f6 = clientWidth > 0 ? ((float) this.mPageMargin) / ((float) clientWidth) : CropImageView.DEFAULT_ASPECT_RATIO;
        f fVar = null;
        float f7 = CropImageView.DEFAULT_ASPECT_RATIO;
        int i6 = -1;
        int i7 = 0;
        boolean z4 = true;
        while (i7 < this.mItems.size()) {
            f fVar2 = this.mItems.get(i7);
            if (!z4 && fVar2.f3256b != (i5 = i6 + 1)) {
                fVar2 = this.mTempItem;
                fVar2.f3259e = f5 + f7 + f6;
                fVar2.f3256b = i5;
                fVar2.f3258d = this.mAdapter.getPageWidth(i5);
                i7--;
            }
            f5 = fVar2.f3259e;
            float f8 = fVar2.f3258d + f5 + f6;
            if (!z4 && scrollX < f5) {
                return fVar;
            }
            if (scrollX < f8 || i7 == this.mItems.size() - 1) {
                return fVar2;
            }
            i6 = fVar2.f3256b;
            f7 = fVar2.f3258d;
            i7++;
            fVar = fVar2;
            z4 = false;
        }
        return fVar;
    }

    private static boolean isDecorView(View view) {
        return view.getClass().getAnnotation(e.class) != null;
    }

    private boolean isGutterDrag(float f5, float f6) {
        return (f5 < ((float) this.mGutterSize) && f6 > CropImageView.DEFAULT_ASPECT_RATIO) || (f5 > ((float) (getWidth() - this.mGutterSize)) && f6 < CropImageView.DEFAULT_ASPECT_RATIO);
    }

    private void onSecondaryPointerUp(MotionEvent motionEvent) {
        int actionIndex = motionEvent.getActionIndex();
        if (motionEvent.getPointerId(actionIndex) == this.mActivePointerId) {
            int i5 = actionIndex == 0 ? 1 : 0;
            this.mLastMotionX = motionEvent.getX(i5);
            this.mActivePointerId = motionEvent.getPointerId(i5);
            VelocityTracker velocityTracker = this.mVelocityTracker;
            if (velocityTracker != null) {
                velocityTracker.clear();
            }
        }
    }

    private boolean pageScrolled(int i5) {
        if (this.mItems.size() != 0) {
            f infoForCurrentScrollPosition = infoForCurrentScrollPosition();
            int clientWidth = getClientWidth();
            int i6 = this.mPageMargin;
            int i7 = clientWidth + i6;
            float f5 = (float) clientWidth;
            int i8 = infoForCurrentScrollPosition.f3256b;
            float f6 = ((((float) i5) / f5) - infoForCurrentScrollPosition.f3259e) / (infoForCurrentScrollPosition.f3258d + (((float) i6) / f5));
            this.mCalledSuper = false;
            onPageScrolled(i8, f6, (int) (((float) i7) * f6));
            if (this.mCalledSuper) {
                return true;
            }
            throw new IllegalStateException("onPageScrolled did not call superclass implementation");
        } else if (this.mFirstLayout) {
            return false;
        } else {
            this.mCalledSuper = false;
            onPageScrolled(0, CropImageView.DEFAULT_ASPECT_RATIO, 0);
            if (this.mCalledSuper) {
                return false;
            }
            throw new IllegalStateException("onPageScrolled did not call superclass implementation");
        }
    }

    private boolean performDrag(float f5) {
        boolean z4;
        boolean z5;
        float f6 = this.mLastMotionX - f5;
        this.mLastMotionX = f5;
        float scrollX = ((float) getScrollX()) + f6;
        float clientWidth = (float) getClientWidth();
        float f7 = this.mFirstOffset * clientWidth;
        float f8 = this.mLastOffset * clientWidth;
        boolean z6 = false;
        f fVar = this.mItems.get(0);
        ArrayList<f> arrayList = this.mItems;
        f fVar2 = arrayList.get(arrayList.size() - 1);
        if (fVar.f3256b != 0) {
            f7 = fVar.f3259e * clientWidth;
            z4 = false;
        } else {
            z4 = true;
        }
        if (fVar2.f3256b != this.mAdapter.getCount() - 1) {
            f8 = fVar2.f3259e * clientWidth;
            z5 = false;
        } else {
            z5 = true;
        }
        if (scrollX < f7) {
            if (z4) {
                this.mLeftEdge.onPull(Math.abs(f7 - scrollX) / clientWidth);
                z6 = true;
            }
            scrollX = f7;
        } else if (scrollX > f8) {
            if (z5) {
                this.mRightEdge.onPull(Math.abs(scrollX - f8) / clientWidth);
                z6 = true;
            }
            scrollX = f8;
        }
        int i5 = (int) scrollX;
        this.mLastMotionX += scrollX - ((float) i5);
        scrollTo(i5, getScrollY());
        pageScrolled(i5);
        return z6;
    }

    private void recomputeScrollPosition(int i5, int i6, int i7, int i8) {
        int min;
        if (i6 <= 0 || this.mItems.isEmpty()) {
            f infoForPosition = infoForPosition(this.mCurItem);
            min = (int) ((infoForPosition != null ? Math.min(infoForPosition.f3259e, this.mLastOffset) : CropImageView.DEFAULT_ASPECT_RATIO) * ((float) ((i5 - getPaddingLeft()) - getPaddingRight())));
            if (min != getScrollX()) {
                completeScroll(false);
            } else {
                return;
            }
        } else if (!this.mScroller.isFinished()) {
            this.mScroller.setFinalX(getCurrentItem() * getClientWidth());
            return;
        } else {
            min = (int) ((((float) getScrollX()) / ((float) (((i6 - getPaddingLeft()) - getPaddingRight()) + i8))) * ((float) (((i5 - getPaddingLeft()) - getPaddingRight()) + i7)));
        }
        scrollTo(min, getScrollY());
    }

    private void removeNonDecorViews() {
        int i5 = 0;
        while (i5 < getChildCount()) {
            if (!((g) getChildAt(i5).getLayoutParams()).f3260a) {
                removeViewAt(i5);
                i5--;
            }
            i5++;
        }
    }

    private void requestParentDisallowInterceptTouchEvent(boolean z4) {
        ViewParent parent = getParent();
        if (parent != null) {
            parent.requestDisallowInterceptTouchEvent(z4);
        }
    }

    private boolean resetTouch() {
        this.mActivePointerId = -1;
        endDrag();
        this.mLeftEdge.onRelease();
        this.mRightEdge.onRelease();
        return this.mLeftEdge.isFinished() || this.mRightEdge.isFinished();
    }

    private void scrollToItem(int i5, boolean z4, int i6, boolean z5) {
        f infoForPosition = infoForPosition(i5);
        int clientWidth = infoForPosition != null ? (int) (((float) getClientWidth()) * Math.max(this.mFirstOffset, Math.min(infoForPosition.f3259e, this.mLastOffset))) : 0;
        if (z4) {
            smoothScrollTo(clientWidth, 0, i6);
            if (z5) {
                dispatchOnPageSelected(i5);
                return;
            }
            return;
        }
        if (z5) {
            dispatchOnPageSelected(i5);
        }
        completeScroll(false);
        scrollTo(clientWidth, 0);
        pageScrolled(clientWidth);
    }

    private void setScrollingCacheEnabled(boolean z4) {
        if (this.mScrollingCacheEnabled != z4) {
            this.mScrollingCacheEnabled = z4;
        }
    }

    private void sortChildDrawingOrder() {
        if (this.mDrawingOrder != 0) {
            ArrayList<View> arrayList = this.mDrawingOrderedChildren;
            if (arrayList == null) {
                this.mDrawingOrderedChildren = new ArrayList<>();
            } else {
                arrayList.clear();
            }
            int childCount = getChildCount();
            for (int i5 = 0; i5 < childCount; i5++) {
                this.mDrawingOrderedChildren.add(getChildAt(i5));
            }
            Collections.sort(this.mDrawingOrderedChildren, sPositionComparator);
        }
    }

    @Override // android.view.View, android.view.ViewGroup
    public void addFocusables(ArrayList<View> arrayList, int i5, int i6) {
        f infoForChild;
        int size = arrayList.size();
        int descendantFocusability = getDescendantFocusability();
        if (descendantFocusability != 393216) {
            for (int i7 = 0; i7 < getChildCount(); i7++) {
                View childAt = getChildAt(i7);
                if (childAt.getVisibility() == 0 && (infoForChild = infoForChild(childAt)) != null && infoForChild.f3256b == this.mCurItem) {
                    childAt.addFocusables(arrayList, i5, i6);
                }
            }
        }
        if ((descendantFocusability == 262144 && size != arrayList.size()) || !isFocusable()) {
            return;
        }
        if ((i6 & 1) != 1 || !isInTouchMode() || isFocusableInTouchMode()) {
            arrayList.add(this);
        }
    }

    /* access modifiers changed from: package-private */
    public f addNewItem(int i5, int i6) {
        f fVar = new f();
        fVar.f3256b = i5;
        fVar.f3255a = this.mAdapter.instantiateItem((ViewGroup) this, i5);
        fVar.f3258d = this.mAdapter.getPageWidth(i5);
        if (i6 < 0 || i6 >= this.mItems.size()) {
            this.mItems.add(fVar);
        } else {
            this.mItems.add(i6, fVar);
        }
        return fVar;
    }

    public void addOnAdapterChangeListener(i iVar) {
        if (this.mAdapterChangeListeners == null) {
            this.mAdapterChangeListeners = new ArrayList();
        }
        this.mAdapterChangeListeners.add(iVar);
    }

    public void addOnPageChangeListener(j jVar) {
        if (this.mOnPageChangeListeners == null) {
            this.mOnPageChangeListeners = new ArrayList();
        }
        this.mOnPageChangeListeners.add(jVar);
    }

    @Override // android.view.View, android.view.ViewGroup
    public void addTouchables(ArrayList<View> arrayList) {
        f infoForChild;
        for (int i5 = 0; i5 < getChildCount(); i5++) {
            View childAt = getChildAt(i5);
            if (childAt.getVisibility() == 0 && (infoForChild = infoForChild(childAt)) != null && infoForChild.f3256b == this.mCurItem) {
                childAt.addTouchables(arrayList);
            }
        }
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i5, ViewGroup.LayoutParams layoutParams) {
        if (!checkLayoutParams(layoutParams)) {
            layoutParams = generateLayoutParams(layoutParams);
        }
        g gVar = (g) layoutParams;
        boolean isDecorView = gVar.f3260a | isDecorView(view);
        gVar.f3260a = isDecorView;
        if (!this.mInLayout) {
            super.addView(view, i5, layoutParams);
        } else if (!isDecorView) {
            gVar.f3263d = true;
            addViewInLayout(view, i5, layoutParams);
        } else {
            throw new IllegalStateException("Cannot add pager decor view during layout");
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:40:0x00ca  */
    public boolean arrowScroll(int i5) {
        View findNextFocus;
        boolean pageRight;
        boolean z4;
        View findFocus = findFocus();
        boolean z5 = false;
        if (findFocus != this) {
            if (findFocus != null) {
                ViewParent parent = findFocus.getParent();
                while (true) {
                    if (!(parent instanceof ViewGroup)) {
                        z4 = false;
                        break;
                    } else if (parent == this) {
                        z4 = true;
                        break;
                    } else {
                        parent = parent.getParent();
                    }
                }
                if (!z4) {
                    StringBuilder sb = new StringBuilder();
                    sb.append(findFocus.getClass().getSimpleName());
                    for (ViewParent parent2 = findFocus.getParent(); parent2 instanceof ViewGroup; parent2 = parent2.getParent()) {
                        sb.append(" => ");
                        sb.append(parent2.getClass().getSimpleName());
                    }
                    Log.e(TAG, "arrowScroll tried to find focus based on non-child current focused view " + sb.toString());
                }
            }
            findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, i5);
            if (findNextFocus == null && findNextFocus != findFocus) {
                if (i5 == 17) {
                    int i6 = getChildRectInPagerCoordinates(this.mTempRect, findNextFocus).left;
                    int i7 = getChildRectInPagerCoordinates(this.mTempRect, findFocus).left;
                    if (findFocus != null && i6 >= i7) {
                        pageRight = pageLeft();
                        z5 = pageRight;
                    }
                } else if (i5 == 66) {
                    int i8 = getChildRectInPagerCoordinates(this.mTempRect, findNextFocus).left;
                    int i9 = getChildRectInPagerCoordinates(this.mTempRect, findFocus).left;
                    if (findFocus != null && i8 <= i9) {
                        pageRight = pageRight();
                        z5 = pageRight;
                    }
                }
                pageRight = findNextFocus.requestFocus();
                z5 = pageRight;
            } else if (i5 != 17 || i5 == 1) {
                z5 = pageLeft();
            } else if (i5 == 66 || i5 == 2) {
                z5 = pageRight();
            }
            if (z5) {
                playSoundEffect(SoundEffectConstants.getContantForFocusDirection(i5));
            }
            return z5;
        }
        findFocus = null;
        findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, i5);
        if (findNextFocus == null) {
        }
        if (i5 != 17) {
        }
        z5 = pageLeft();
        if (z5) {
        }
        return z5;
    }

    public boolean beginFakeDrag() {
        if (this.mIsBeingDragged) {
            return false;
        }
        this.mFakeDragging = true;
        setScrollState(1);
        this.mLastMotionX = CropImageView.DEFAULT_ASPECT_RATIO;
        this.mInitialMotionX = CropImageView.DEFAULT_ASPECT_RATIO;
        VelocityTracker velocityTracker = this.mVelocityTracker;
        if (velocityTracker == null) {
            this.mVelocityTracker = VelocityTracker.obtain();
        } else {
            velocityTracker.clear();
        }
        long uptimeMillis = SystemClock.uptimeMillis();
        MotionEvent obtain = MotionEvent.obtain(uptimeMillis, uptimeMillis, 0, CropImageView.DEFAULT_ASPECT_RATIO, CropImageView.DEFAULT_ASPECT_RATIO, 0);
        this.mVelocityTracker.addMovement(obtain);
        obtain.recycle();
        this.mFakeDragBeginTime = uptimeMillis;
        return true;
    }

    /* access modifiers changed from: protected */
    public boolean canScroll(View view, boolean z4, int i5, int i6, int i7) {
        int i8;
        if (view instanceof ViewGroup) {
            ViewGroup viewGroup = (ViewGroup) view;
            int scrollX = view.getScrollX();
            int scrollY = view.getScrollY();
            for (int childCount = viewGroup.getChildCount() - 1; childCount >= 0; childCount--) {
                View childAt = viewGroup.getChildAt(childCount);
                int i9 = i6 + scrollX;
                if (i9 >= childAt.getLeft() && i9 < childAt.getRight() && (i8 = i7 + scrollY) >= childAt.getTop() && i8 < childAt.getBottom() && canScroll(childAt, true, i5, i9 - childAt.getLeft(), i8 - childAt.getTop())) {
                    return true;
                }
            }
        }
        return z4 && view.canScrollHorizontally(-i5);
    }

    public boolean canScrollHorizontally(int i5) {
        if (this.mAdapter == null) {
            return false;
        }
        int clientWidth = getClientWidth();
        int scrollX = getScrollX();
        return i5 < 0 ? scrollX > ((int) (((float) clientWidth) * this.mFirstOffset)) : i5 > 0 && scrollX < ((int) (((float) clientWidth) * this.mLastOffset));
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return (layoutParams instanceof g) && super.checkLayoutParams(layoutParams);
    }

    public void clearOnPageChangeListeners() {
        List<j> list = this.mOnPageChangeListeners;
        if (list != null) {
            list.clear();
        }
    }

    public void computeScroll() {
        this.mIsScrollStarted = true;
        if (this.mScroller.isFinished() || !this.mScroller.computeScrollOffset()) {
            completeScroll(true);
            return;
        }
        int scrollX = getScrollX();
        int scrollY = getScrollY();
        int currX = this.mScroller.getCurrX();
        int currY = this.mScroller.getCurrY();
        if (!(scrollX == currX && scrollY == currY)) {
            scrollTo(currX, currY);
            if (!pageScrolled(currX)) {
                this.mScroller.abortAnimation();
                scrollTo(0, currY);
            }
        }
        a0.V(this);
    }

    /* access modifiers changed from: package-private */
    public void dataSetChanged() {
        int count = this.mAdapter.getCount();
        this.mExpectedAdapterCount = count;
        boolean z4 = this.mItems.size() < (this.mOffscreenPageLimit * 2) + 1 && this.mItems.size() < count;
        int i5 = this.mCurItem;
        int i6 = 0;
        boolean z5 = false;
        while (i6 < this.mItems.size()) {
            f fVar = this.mItems.get(i6);
            int itemPosition = this.mAdapter.getItemPosition(fVar.f3255a);
            if (itemPosition != -1) {
                if (itemPosition == -2) {
                    this.mItems.remove(i6);
                    i6--;
                    if (!z5) {
                        this.mAdapter.startUpdate((ViewGroup) this);
                        z5 = true;
                    }
                    this.mAdapter.destroyItem((ViewGroup) this, fVar.f3256b, fVar.f3255a);
                    int i7 = this.mCurItem;
                    if (i7 == fVar.f3256b) {
                        i5 = Math.max(0, Math.min(i7, count - 1));
                    }
                } else {
                    int i8 = fVar.f3256b;
                    if (i8 != itemPosition) {
                        if (i8 == this.mCurItem) {
                            i5 = itemPosition;
                        }
                        fVar.f3256b = itemPosition;
                    }
                }
                z4 = true;
            }
            i6++;
        }
        if (z5) {
            this.mAdapter.finishUpdate((ViewGroup) this);
        }
        Collections.sort(this.mItems, COMPARATOR);
        if (z4) {
            int childCount = getChildCount();
            for (int i9 = 0; i9 < childCount; i9++) {
                g gVar = (g) getChildAt(i9).getLayoutParams();
                if (!gVar.f3260a) {
                    gVar.f3262c = CropImageView.DEFAULT_ASPECT_RATIO;
                }
            }
            setCurrentItemInternal(i5, false, true);
            requestLayout();
        }
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        return super.dispatchKeyEvent(keyEvent) || executeKeyEvent(keyEvent);
    }

    public boolean dispatchPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        f infoForChild;
        if (accessibilityEvent.getEventType() == 4096) {
            return super.dispatchPopulateAccessibilityEvent(accessibilityEvent);
        }
        int childCount = getChildCount();
        for (int i5 = 0; i5 < childCount; i5++) {
            View childAt = getChildAt(i5);
            if (childAt.getVisibility() == 0 && (infoForChild = infoForChild(childAt)) != null && infoForChild.f3256b == this.mCurItem && childAt.dispatchPopulateAccessibilityEvent(accessibilityEvent)) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public float distanceInfluenceForSnapDuration(float f5) {
        return (float) Math.sin((double) ((f5 - 0.5f) * 0.47123894f));
    }

    public void draw(Canvas canvas) {
        a aVar;
        super.draw(canvas);
        int overScrollMode = getOverScrollMode();
        boolean z4 = false;
        if (overScrollMode == 0 || (overScrollMode == 1 && (aVar = this.mAdapter) != null && aVar.getCount() > 1)) {
            if (!this.mLeftEdge.isFinished()) {
                int save = canvas.save();
                int height = (getHeight() - getPaddingTop()) - getPaddingBottom();
                int width = getWidth();
                canvas.rotate(270.0f);
                canvas.translate((float) ((-height) + getPaddingTop()), this.mFirstOffset * ((float) width));
                this.mLeftEdge.setSize(height, width);
                z4 = false | this.mLeftEdge.draw(canvas);
                canvas.restoreToCount(save);
            }
            if (!this.mRightEdge.isFinished()) {
                int save2 = canvas.save();
                int width2 = getWidth();
                int height2 = (getHeight() - getPaddingTop()) - getPaddingBottom();
                canvas.rotate(90.0f);
                canvas.translate((float) (-getPaddingTop()), (-(this.mLastOffset + 1.0f)) * ((float) width2));
                this.mRightEdge.setSize(height2, width2);
                z4 |= this.mRightEdge.draw(canvas);
                canvas.restoreToCount(save2);
            }
        } else {
            this.mLeftEdge.finish();
            this.mRightEdge.finish();
        }
        if (z4) {
            a0.V(this);
        }
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.mMarginDrawable;
        if (drawable != null && drawable.isStateful()) {
            drawable.setState(getDrawableState());
        }
    }

    public void endFakeDrag() {
        if (this.mFakeDragging) {
            if (this.mAdapter != null) {
                VelocityTracker velocityTracker = this.mVelocityTracker;
                velocityTracker.computeCurrentVelocity(1000, (float) this.mMaximumVelocity);
                int xVelocity = (int) velocityTracker.getXVelocity(this.mActivePointerId);
                this.mPopulatePending = true;
                int clientWidth = getClientWidth();
                int scrollX = getScrollX();
                f infoForCurrentScrollPosition = infoForCurrentScrollPosition();
                setCurrentItemInternal(determineTargetPage(infoForCurrentScrollPosition.f3256b, ((((float) scrollX) / ((float) clientWidth)) - infoForCurrentScrollPosition.f3259e) / infoForCurrentScrollPosition.f3258d, xVelocity, (int) (this.mLastMotionX - this.mInitialMotionX)), true, true, xVelocity);
            }
            endDrag();
            this.mFakeDragging = false;
            return;
        }
        throw new IllegalStateException("No fake drag in progress. Call beginFakeDrag first.");
    }

    public boolean executeKeyEvent(KeyEvent keyEvent) {
        int i5;
        if (keyEvent.getAction() == 0) {
            int keyCode = keyEvent.getKeyCode();
            if (keyCode != 21) {
                if (keyCode != 22) {
                    if (keyCode == 61) {
                        if (keyEvent.hasNoModifiers()) {
                            return arrowScroll(2);
                        }
                        if (keyEvent.hasModifiers(1)) {
                            return arrowScroll(1);
                        }
                    }
                } else if (keyEvent.hasModifiers(2)) {
                    return pageRight();
                } else {
                    i5 = 66;
                }
            } else if (keyEvent.hasModifiers(2)) {
                return pageLeft();
            } else {
                i5 = 17;
            }
            return arrowScroll(i5);
        }
        return false;
    }

    public void fakeDragBy(float f5) {
        if (!this.mFakeDragging) {
            throw new IllegalStateException("No fake drag in progress. Call beginFakeDrag first.");
        } else if (this.mAdapter != null) {
            this.mLastMotionX += f5;
            float scrollX = ((float) getScrollX()) - f5;
            float clientWidth = (float) getClientWidth();
            float f6 = this.mFirstOffset * clientWidth;
            float f7 = this.mLastOffset * clientWidth;
            f fVar = this.mItems.get(0);
            ArrayList<f> arrayList = this.mItems;
            f fVar2 = arrayList.get(arrayList.size() - 1);
            if (fVar.f3256b != 0) {
                f6 = fVar.f3259e * clientWidth;
            }
            if (fVar2.f3256b != this.mAdapter.getCount() - 1) {
                f7 = fVar2.f3259e * clientWidth;
            }
            if (scrollX < f6) {
                scrollX = f6;
            } else if (scrollX > f7) {
                scrollX = f7;
            }
            int i5 = (int) scrollX;
            this.mLastMotionX += scrollX - ((float) i5);
            scrollTo(i5, getScrollY());
            pageScrolled(i5);
            MotionEvent obtain = MotionEvent.obtain(this.mFakeDragBeginTime, SystemClock.uptimeMillis(), 2, this.mLastMotionX, CropImageView.DEFAULT_ASPECT_RATIO, 0);
            this.mVelocityTracker.addMovement(obtain);
            obtain.recycle();
        }
    }

    /* access modifiers changed from: protected */
    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        return new g();
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        return new g(getContext(), attributeSet);
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return generateDefaultLayoutParams();
    }

    public a getAdapter() {
        return this.mAdapter;
    }

    /* access modifiers changed from: protected */
    public int getChildDrawingOrder(int i5, int i6) {
        if (this.mDrawingOrder == 2) {
            i6 = (i5 - 1) - i6;
        }
        return ((g) this.mDrawingOrderedChildren.get(i6).getLayoutParams()).f3265f;
    }

    public int getCurrentItem() {
        return this.mCurItem;
    }

    public int getOffscreenPageLimit() {
        return this.mOffscreenPageLimit;
    }

    public int getPageMargin() {
        return this.mPageMargin;
    }

    /* access modifiers changed from: package-private */
    public f infoForAnyChild(View view) {
        while (true) {
            ViewParent parent = view.getParent();
            if (parent == this) {
                return infoForChild(view);
            }
            if (parent == null || !(parent instanceof View)) {
                return null;
            }
            view = (View) parent;
        }
    }

    /* access modifiers changed from: package-private */
    public f infoForChild(View view) {
        for (int i5 = 0; i5 < this.mItems.size(); i5++) {
            f fVar = this.mItems.get(i5);
            if (this.mAdapter.isViewFromObject(view, fVar.f3255a)) {
                return fVar;
            }
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public f infoForPosition(int i5) {
        for (int i6 = 0; i6 < this.mItems.size(); i6++) {
            f fVar = this.mItems.get(i6);
            if (fVar.f3256b == i5) {
                return fVar;
            }
        }
        return null;
    }

    /* access modifiers changed from: package-private */
    public void initViewPager() {
        setWillNotDraw(false);
        setDescendantFocusability(262144);
        setFocusable(true);
        Context context = getContext();
        this.mScroller = new Scroller(context, sInterpolator);
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        float f5 = context.getResources().getDisplayMetrics().density;
        this.mTouchSlop = viewConfiguration.getScaledPagingTouchSlop();
        this.mMinimumVelocity = (int) (400.0f * f5);
        this.mMaximumVelocity = viewConfiguration.getScaledMaximumFlingVelocity();
        this.mLeftEdge = new EdgeEffect(context);
        this.mRightEdge = new EdgeEffect(context);
        this.mFlingDistance = (int) (25.0f * f5);
        this.mCloseEnough = (int) (2.0f * f5);
        this.mDefaultGutterSize = (int) (f5 * 16.0f);
        a0.b0(this, new h());
        if (a0.v(this) == 0) {
            a0.k0(this, 1);
        }
        a0.m0(this, new d());
    }

    public boolean isFakeDragging() {
        return this.mFakeDragging;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.mFirstLayout = true;
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        removeCallbacks(this.mEndScrollRunnable);
        Scroller scroller = this.mScroller;
        if (scroller != null && !scroller.isFinished()) {
            this.mScroller.abortAnimation();
        }
        super.onDetachedFromWindow();
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x005a  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0065  */
    public void onDraw(Canvas canvas) {
        int i5;
        float f5;
        float f6;
        super.onDraw(canvas);
        if (this.mPageMargin > 0 && this.mMarginDrawable != null && this.mItems.size() > 0 && this.mAdapter != null) {
            int scrollX = getScrollX();
            int width = getWidth();
            float f7 = (float) width;
            float f8 = ((float) this.mPageMargin) / f7;
            int i6 = 0;
            f fVar = this.mItems.get(0);
            float f9 = fVar.f3259e;
            int size = this.mItems.size();
            int i7 = fVar.f3256b;
            int i8 = this.mItems.get(size - 1).f3256b;
            while (i7 < i8) {
                while (true) {
                    i5 = fVar.f3256b;
                    if (i7 > i5 && i6 < size) {
                        i6++;
                        fVar = this.mItems.get(i6);
                    } else if (i7 != i5) {
                        float f10 = fVar.f3259e;
                        float f11 = fVar.f3258d;
                        f5 = (f10 + f11) * f7;
                        f9 = f10 + f11 + f8;
                    } else {
                        float pageWidth = this.mAdapter.getPageWidth(i7);
                        f5 = (f9 + pageWidth) * f7;
                        f9 += pageWidth + f8;
                    }
                }
                if (i7 != i5) {
                }
                if (((float) this.mPageMargin) + f5 > ((float) scrollX)) {
                    f6 = f8;
                    this.mMarginDrawable.setBounds(Math.round(f5), this.mTopPageBounds, Math.round(((float) this.mPageMargin) + f5), this.mBottomPageBounds);
                    this.mMarginDrawable.draw(canvas);
                } else {
                    f6 = f8;
                }
                if (f5 <= ((float) (scrollX + width))) {
                    i7++;
                    f8 = f6;
                } else {
                    return;
                }
            }
        }
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction() & 255;
        if (action == 3 || action == 1) {
            resetTouch();
            return false;
        }
        if (action != 0) {
            if (this.mIsBeingDragged) {
                return true;
            }
            if (this.mIsUnableToDrag) {
                return false;
            }
        }
        if (action == 0) {
            float x5 = motionEvent.getX();
            this.mInitialMotionX = x5;
            this.mLastMotionX = x5;
            float y5 = motionEvent.getY();
            this.mInitialMotionY = y5;
            this.mLastMotionY = y5;
            this.mActivePointerId = motionEvent.getPointerId(0);
            this.mIsUnableToDrag = false;
            this.mIsScrollStarted = true;
            this.mScroller.computeScrollOffset();
            if (this.mScrollState != 2 || Math.abs(this.mScroller.getFinalX() - this.mScroller.getCurrX()) <= this.mCloseEnough) {
                completeScroll(false);
                this.mIsBeingDragged = false;
            } else {
                this.mScroller.abortAnimation();
                this.mPopulatePending = false;
                populate();
                this.mIsBeingDragged = true;
                requestParentDisallowInterceptTouchEvent(true);
                setScrollState(1);
            }
        } else if (action == 2) {
            int i5 = this.mActivePointerId;
            if (i5 != -1) {
                int findPointerIndex = motionEvent.findPointerIndex(i5);
                float x6 = motionEvent.getX(findPointerIndex);
                float f5 = x6 - this.mLastMotionX;
                float abs = Math.abs(f5);
                float y6 = motionEvent.getY(findPointerIndex);
                float abs2 = Math.abs(y6 - this.mInitialMotionY);
                int i6 = (f5 > CropImageView.DEFAULT_ASPECT_RATIO ? 1 : (f5 == CropImageView.DEFAULT_ASPECT_RATIO ? 0 : -1));
                if (i6 == 0 || isGutterDrag(this.mLastMotionX, f5) || !canScroll(this, false, (int) f5, (int) x6, (int) y6)) {
                    int i7 = this.mTouchSlop;
                    if (abs > ((float) i7) && abs * 0.5f > abs2) {
                        this.mIsBeingDragged = true;
                        requestParentDisallowInterceptTouchEvent(true);
                        setScrollState(1);
                        float f6 = this.mInitialMotionX;
                        float f7 = (float) this.mTouchSlop;
                        this.mLastMotionX = i6 > 0 ? f6 + f7 : f6 - f7;
                        this.mLastMotionY = y6;
                        setScrollingCacheEnabled(true);
                    } else if (abs2 > ((float) i7)) {
                        this.mIsUnableToDrag = true;
                    }
                    if (this.mIsBeingDragged && performDrag(x6)) {
                        a0.V(this);
                    }
                } else {
                    this.mLastMotionX = x6;
                    this.mLastMotionY = y6;
                    this.mIsUnableToDrag = true;
                    return false;
                }
            }
        } else if (action == 6) {
            onSecondaryPointerUp(motionEvent);
        }
        if (this.mVelocityTracker == null) {
            this.mVelocityTracker = VelocityTracker.obtain();
        }
        this.mVelocityTracker.addMovement(motionEvent);
        return this.mIsBeingDragged;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x0071  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x008e  */
    public void onLayout(boolean z4, int i5, int i6, int i7, int i8) {
        boolean z5;
        f infoForChild;
        int i9;
        int i10;
        int i11;
        int i12;
        int childCount = getChildCount();
        int i13 = i7 - i5;
        int i14 = i8 - i6;
        int paddingLeft = getPaddingLeft();
        int paddingTop = getPaddingTop();
        int paddingRight = getPaddingRight();
        int paddingBottom = getPaddingBottom();
        int scrollX = getScrollX();
        int i15 = 0;
        for (int i16 = 0; i16 < childCount; i16++) {
            View childAt = getChildAt(i16);
            if (childAt.getVisibility() != 8) {
                g gVar = (g) childAt.getLayoutParams();
                if (gVar.f3260a) {
                    int i17 = gVar.f3261b;
                    int i18 = i17 & 7;
                    int i19 = i17 & R.styleable.AppCompatTheme_toolbarNavigationButtonStyle;
                    if (i18 != 1) {
                        if (i18 == 3) {
                            i9 = childAt.getMeasuredWidth() + paddingLeft;
                        } else if (i18 != 5) {
                            i9 = paddingLeft;
                        } else {
                            i12 = (i13 - paddingRight) - childAt.getMeasuredWidth();
                            paddingRight += childAt.getMeasuredWidth();
                        }
                        if (i19 == 16) {
                            if (i19 == 48) {
                                i10 = childAt.getMeasuredHeight() + paddingTop;
                            } else if (i19 != 80) {
                                i10 = paddingTop;
                            } else {
                                i11 = (i14 - paddingBottom) - childAt.getMeasuredHeight();
                                paddingBottom += childAt.getMeasuredHeight();
                            }
                            int i20 = paddingLeft + scrollX;
                            childAt.layout(i20, paddingTop, childAt.getMeasuredWidth() + i20, paddingTop + childAt.getMeasuredHeight());
                            i15++;
                            paddingTop = i10;
                            paddingLeft = i9;
                        } else {
                            i11 = Math.max((i14 - childAt.getMeasuredHeight()) / 2, paddingTop);
                        }
                        i10 = paddingTop;
                        paddingTop = i11;
                        int i202 = paddingLeft + scrollX;
                        childAt.layout(i202, paddingTop, childAt.getMeasuredWidth() + i202, paddingTop + childAt.getMeasuredHeight());
                        i15++;
                        paddingTop = i10;
                        paddingLeft = i9;
                    } else {
                        i12 = Math.max((i13 - childAt.getMeasuredWidth()) / 2, paddingLeft);
                    }
                    i9 = paddingLeft;
                    paddingLeft = i12;
                    if (i19 == 16) {
                    }
                    i10 = paddingTop;
                    paddingTop = i11;
                    int i2022 = paddingLeft + scrollX;
                    childAt.layout(i2022, paddingTop, childAt.getMeasuredWidth() + i2022, paddingTop + childAt.getMeasuredHeight());
                    i15++;
                    paddingTop = i10;
                    paddingLeft = i9;
                }
            }
        }
        int i21 = (i13 - paddingLeft) - paddingRight;
        for (int i22 = 0; i22 < childCount; i22++) {
            View childAt2 = getChildAt(i22);
            if (childAt2.getVisibility() != 8) {
                g gVar2 = (g) childAt2.getLayoutParams();
                if (!gVar2.f3260a && (infoForChild = infoForChild(childAt2)) != null) {
                    float f5 = (float) i21;
                    int i23 = ((int) (infoForChild.f3259e * f5)) + paddingLeft;
                    if (gVar2.f3263d) {
                        gVar2.f3263d = false;
                        childAt2.measure(View.MeasureSpec.makeMeasureSpec((int) (f5 * gVar2.f3262c), PictureFileUtils.GB), View.MeasureSpec.makeMeasureSpec((i14 - paddingTop) - paddingBottom, PictureFileUtils.GB));
                    }
                    childAt2.layout(i23, paddingTop, childAt2.getMeasuredWidth() + i23, childAt2.getMeasuredHeight() + paddingTop);
                }
            }
        }
        this.mTopPageBounds = paddingTop;
        this.mBottomPageBounds = i14 - paddingBottom;
        this.mDecorChildCount = i15;
        if (this.mFirstLayout) {
            z5 = false;
            scrollToItem(this.mCurItem, false, 0, false);
        } else {
            z5 = false;
        }
        this.mFirstLayout = z5;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0082  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x0089  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x008e  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x0093  */
    /* JADX WARNING: Removed duplicated region for block: B:39:0x00a2  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x00a8  */
    public void onMeasure(int i5, int i6) {
        g gVar;
        g gVar2;
        int i7;
        int i8;
        int i9;
        setMeasuredDimension(ViewGroup.getDefaultSize(0, i5), ViewGroup.getDefaultSize(0, i6));
        int measuredWidth = getMeasuredWidth();
        this.mGutterSize = Math.min(measuredWidth / 10, this.mDefaultGutterSize);
        int paddingLeft = (measuredWidth - getPaddingLeft()) - getPaddingRight();
        int measuredHeight = (getMeasuredHeight() - getPaddingTop()) - getPaddingBottom();
        int childCount = getChildCount();
        int i10 = 0;
        while (true) {
            boolean z4 = true;
            int i11 = PictureFileUtils.GB;
            if (i10 >= childCount) {
                break;
            }
            View childAt = getChildAt(i10);
            if (!(childAt.getVisibility() == 8 || (gVar2 = (g) childAt.getLayoutParams()) == null || !gVar2.f3260a)) {
                int i12 = gVar2.f3261b;
                int i13 = i12 & 7;
                int i14 = i12 & R.styleable.AppCompatTheme_toolbarNavigationButtonStyle;
                boolean z5 = i14 == 48 || i14 == 80;
                if (!(i13 == 3 || i13 == 5)) {
                    z4 = false;
                }
                int i15 = Integer.MIN_VALUE;
                if (z5) {
                    i15 = PictureFileUtils.GB;
                } else if (z4) {
                    i7 = PictureFileUtils.GB;
                    i8 = ((ViewGroup.LayoutParams) gVar2).width;
                    if (i8 == -2) {
                        if (i8 == -1) {
                            i8 = paddingLeft;
                        }
                        i15 = PictureFileUtils.GB;
                    } else {
                        i8 = paddingLeft;
                    }
                    i9 = ((ViewGroup.LayoutParams) gVar2).height;
                    if (i9 != -2) {
                        i9 = measuredHeight;
                        i11 = i7;
                    } else if (i9 == -1) {
                        i9 = measuredHeight;
                    }
                    childAt.measure(View.MeasureSpec.makeMeasureSpec(i8, i15), View.MeasureSpec.makeMeasureSpec(i9, i11));
                    if (!z5) {
                        measuredHeight -= childAt.getMeasuredHeight();
                    } else if (z4) {
                        paddingLeft -= childAt.getMeasuredWidth();
                    }
                }
                i7 = Integer.MIN_VALUE;
                i8 = ((ViewGroup.LayoutParams) gVar2).width;
                if (i8 == -2) {
                }
                i9 = ((ViewGroup.LayoutParams) gVar2).height;
                if (i9 != -2) {
                }
                childAt.measure(View.MeasureSpec.makeMeasureSpec(i8, i15), View.MeasureSpec.makeMeasureSpec(i9, i11));
                if (!z5) {
                }
            }
            i10++;
        }
        this.mChildWidthMeasureSpec = View.MeasureSpec.makeMeasureSpec(paddingLeft, PictureFileUtils.GB);
        this.mChildHeightMeasureSpec = View.MeasureSpec.makeMeasureSpec(measuredHeight, PictureFileUtils.GB);
        this.mInLayout = true;
        populate();
        this.mInLayout = false;
        int childCount2 = getChildCount();
        for (int i16 = 0; i16 < childCount2; i16++) {
            View childAt2 = getChildAt(i16);
            if (childAt2.getVisibility() != 8 && ((gVar = (g) childAt2.getLayoutParams()) == null || !gVar.f3260a)) {
                childAt2.measure(View.MeasureSpec.makeMeasureSpec((int) (((float) paddingLeft) * gVar.f3262c), PictureFileUtils.GB), this.mChildHeightMeasureSpec);
            }
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0064  */
    public void onPageScrolled(int i5, float f5, int i6) {
        int i7;
        int left;
        int i8;
        if (this.mDecorChildCount > 0) {
            int scrollX = getScrollX();
            int paddingLeft = getPaddingLeft();
            int paddingRight = getPaddingRight();
            int width = getWidth();
            int childCount = getChildCount();
            for (int i9 = 0; i9 < childCount; i9++) {
                View childAt = getChildAt(i9);
                g gVar = (g) childAt.getLayoutParams();
                if (gVar.f3260a) {
                    int i10 = gVar.f3261b & 7;
                    if (i10 != 1) {
                        if (i10 == 3) {
                            i7 = childAt.getWidth() + paddingLeft;
                        } else if (i10 != 5) {
                            i7 = paddingLeft;
                        } else {
                            i8 = (width - paddingRight) - childAt.getMeasuredWidth();
                            paddingRight += childAt.getMeasuredWidth();
                        }
                        left = (paddingLeft + scrollX) - childAt.getLeft();
                        if (left != 0) {
                            childAt.offsetLeftAndRight(left);
                        }
                        paddingLeft = i7;
                    } else {
                        i8 = Math.max((width - childAt.getMeasuredWidth()) / 2, paddingLeft);
                    }
                    i7 = paddingLeft;
                    paddingLeft = i8;
                    left = (paddingLeft + scrollX) - childAt.getLeft();
                    if (left != 0) {
                    }
                    paddingLeft = i7;
                }
            }
        }
        dispatchOnPageScrolled(i5, f5, i6);
        if (this.mPageTransformer != null) {
            int scrollX2 = getScrollX();
            int childCount2 = getChildCount();
            for (int i11 = 0; i11 < childCount2; i11++) {
                View childAt2 = getChildAt(i11);
                if (!((g) childAt2.getLayoutParams()).f3260a) {
                    this.mPageTransformer.a(childAt2, ((float) (childAt2.getLeft() - scrollX2)) / ((float) getClientWidth()));
                }
            }
        }
        this.mCalledSuper = true;
    }

    /* access modifiers changed from: protected */
    public boolean onRequestFocusInDescendants(int i5, Rect rect) {
        int i6;
        int i7;
        f infoForChild;
        int childCount = getChildCount();
        int i8 = -1;
        if ((i5 & 2) != 0) {
            i8 = childCount;
            i7 = 0;
            i6 = 1;
        } else {
            i7 = childCount - 1;
            i6 = -1;
        }
        while (i7 != i8) {
            View childAt = getChildAt(i7);
            if (childAt.getVisibility() == 0 && (infoForChild = infoForChild(childAt)) != null && infoForChild.f3256b == this.mCurItem && childAt.requestFocus(i5, rect)) {
                return true;
            }
            i7 += i6;
        }
        return false;
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof m)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        m mVar = (m) parcelable;
        super.onRestoreInstanceState(mVar.a());
        a aVar = this.mAdapter;
        if (aVar != null) {
            aVar.restoreState(mVar.f3269h, mVar.f3270i);
            setCurrentItemInternal(mVar.f3268g, false, true);
            return;
        }
        this.mRestoredCurItem = mVar.f3268g;
        this.mRestoredAdapterState = mVar.f3269h;
        this.mRestoredClassLoader = mVar.f3270i;
    }

    public Parcelable onSaveInstanceState() {
        m mVar = new m(super.onSaveInstanceState());
        mVar.f3268g = this.mCurItem;
        a aVar = this.mAdapter;
        if (aVar != null) {
            mVar.f3269h = aVar.saveState();
        }
        return mVar;
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i5, int i6, int i7, int i8) {
        super.onSizeChanged(i5, i6, i7, i8);
        if (i5 != i7) {
            int i9 = this.mPageMargin;
            recomputeScrollPosition(i5, i7, i9, i9);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:56:0x0151  */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        a aVar;
        int i5;
        if (this.mFakeDragging) {
            return true;
        }
        boolean z4 = false;
        if ((motionEvent.getAction() == 0 && motionEvent.getEdgeFlags() != 0) || (aVar = this.mAdapter) == null || aVar.getCount() == 0) {
            return false;
        }
        if (this.mVelocityTracker == null) {
            this.mVelocityTracker = VelocityTracker.obtain();
        }
        this.mVelocityTracker.addMovement(motionEvent);
        int action = motionEvent.getAction() & 255;
        if (action != 0) {
            if (action == 1) {
                if (this.mIsBeingDragged) {
                    VelocityTracker velocityTracker = this.mVelocityTracker;
                    velocityTracker.computeCurrentVelocity(1000, (float) this.mMaximumVelocity);
                    int xVelocity = (int) velocityTracker.getXVelocity(this.mActivePointerId);
                    this.mPopulatePending = true;
                    int clientWidth = getClientWidth();
                    int scrollX = getScrollX();
                    f infoForCurrentScrollPosition = infoForCurrentScrollPosition();
                    float f5 = (float) clientWidth;
                    setCurrentItemInternal(determineTargetPage(infoForCurrentScrollPosition.f3256b, ((((float) scrollX) / f5) - infoForCurrentScrollPosition.f3259e) / (infoForCurrentScrollPosition.f3258d + (((float) this.mPageMargin) / f5)), xVelocity, (int) (motionEvent.getX(motionEvent.findPointerIndex(this.mActivePointerId)) - this.mInitialMotionX)), true, true, xVelocity);
                }
                if (z4) {
                }
                return true;
            } else if (action != 2) {
                if (action != 3) {
                    if (action == 5) {
                        int actionIndex = motionEvent.getActionIndex();
                        this.mLastMotionX = motionEvent.getX(actionIndex);
                        i5 = motionEvent.getPointerId(actionIndex);
                    } else if (action == 6) {
                        onSecondaryPointerUp(motionEvent);
                        this.mLastMotionX = motionEvent.getX(motionEvent.findPointerIndex(this.mActivePointerId));
                    }
                } else if (this.mIsBeingDragged) {
                    scrollToItem(this.mCurItem, true, 0, false);
                }
                if (z4) {
                    a0.V(this);
                }
                return true;
            } else {
                if (!this.mIsBeingDragged) {
                    int findPointerIndex = motionEvent.findPointerIndex(this.mActivePointerId);
                    if (findPointerIndex != -1) {
                        float x5 = motionEvent.getX(findPointerIndex);
                        float abs = Math.abs(x5 - this.mLastMotionX);
                        float y5 = motionEvent.getY(findPointerIndex);
                        float abs2 = Math.abs(y5 - this.mLastMotionY);
                        if (abs > ((float) this.mTouchSlop) && abs > abs2) {
                            this.mIsBeingDragged = true;
                            requestParentDisallowInterceptTouchEvent(true);
                            float f6 = this.mInitialMotionX;
                            this.mLastMotionX = x5 - f6 > CropImageView.DEFAULT_ASPECT_RATIO ? f6 + ((float) this.mTouchSlop) : f6 - ((float) this.mTouchSlop);
                            this.mLastMotionY = y5;
                            setScrollState(1);
                            setScrollingCacheEnabled(true);
                            ViewParent parent = getParent();
                            if (parent != null) {
                                parent.requestDisallowInterceptTouchEvent(true);
                            }
                        }
                    }
                }
                if (this.mIsBeingDragged) {
                    z4 = false | performDrag(motionEvent.getX(motionEvent.findPointerIndex(this.mActivePointerId)));
                }
                if (z4) {
                }
                return true;
            }
            z4 = resetTouch();
            if (z4) {
            }
            return true;
        }
        this.mScroller.abortAnimation();
        this.mPopulatePending = false;
        populate();
        float x6 = motionEvent.getX();
        this.mInitialMotionX = x6;
        this.mLastMotionX = x6;
        float y6 = motionEvent.getY();
        this.mInitialMotionY = y6;
        this.mLastMotionY = y6;
        i5 = motionEvent.getPointerId(0);
        this.mActivePointerId = i5;
        if (z4) {
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    public boolean pageLeft() {
        int i5 = this.mCurItem;
        if (i5 <= 0) {
            return false;
        }
        setCurrentItem(i5 - 1, true);
        return true;
    }

    /* access modifiers changed from: package-private */
    public boolean pageRight() {
        a aVar = this.mAdapter;
        if (aVar == null || this.mCurItem >= aVar.getCount() - 1) {
            return false;
        }
        setCurrentItem(this.mCurItem + 1, true);
        return true;
    }

    /* access modifiers changed from: package-private */
    public void populate() {
        populate(this.mCurItem);
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0060, code lost:
        if (r9 == r10) goto L_0x0067;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0066, code lost:
        r8 = null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:49:0x00c0, code lost:
        if (r10 >= 0) goto L_0x00de;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:54:0x00ce, code lost:
        if (r10 >= 0) goto L_0x00de;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:56:0x00dc, code lost:
        if (r10 >= 0) goto L_0x00de;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:58:0x00e7, code lost:
        r5 = null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:82:0x013c, code lost:
        if (r4 < r17.mItems.size()) goto L_0x013e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:84:0x0147, code lost:
        r5 = null;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:89:0x015a, code lost:
        if (r4 < r17.mItems.size()) goto L_0x013e;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:91:0x016c, code lost:
        if (r4 < r17.mItems.size()) goto L_0x013e;
     */
    public void populate(int i5) {
        f fVar;
        String str;
        f fVar2;
        f infoForChild;
        int i6 = this.mCurItem;
        if (i6 != i5) {
            fVar = infoForPosition(i6);
            this.mCurItem = i5;
        } else {
            fVar = null;
        }
        if (this.mAdapter == null) {
            sortChildDrawingOrder();
        } else if (this.mPopulatePending) {
            sortChildDrawingOrder();
        } else if (getWindowToken() != null) {
            this.mAdapter.startUpdate((ViewGroup) this);
            int i7 = this.mOffscreenPageLimit;
            int max = Math.max(0, this.mCurItem - i7);
            int count = this.mAdapter.getCount();
            int min = Math.min(count - 1, this.mCurItem + i7);
            if (count == this.mExpectedAdapterCount) {
                int i8 = 0;
                while (true) {
                    if (i8 >= this.mItems.size()) {
                        break;
                    }
                    fVar2 = this.mItems.get(i8);
                    int i9 = fVar2.f3256b;
                    int i10 = this.mCurItem;
                    if (i9 < i10) {
                        i8++;
                    }
                }
                if (fVar2 == null && count > 0) {
                    fVar2 = addNewItem(this.mCurItem, i8);
                }
                if (fVar2 != null) {
                    int i11 = i8 - 1;
                    f fVar3 = i11 >= 0 ? this.mItems.get(i11) : null;
                    int clientWidth = getClientWidth();
                    float paddingLeft = clientWidth <= 0 ? CropImageView.DEFAULT_ASPECT_RATIO : (2.0f - fVar2.f3258d) + (((float) getPaddingLeft()) / ((float) clientWidth));
                    float f5 = CropImageView.DEFAULT_ASPECT_RATIO;
                    for (int i12 = this.mCurItem - 1; i12 >= 0; i12--) {
                        if (f5 < paddingLeft || i12 >= max) {
                            if (fVar3 == null || i12 != fVar3.f3256b) {
                                f5 += addNewItem(i12, i11 + 1).f3258d;
                                i8++;
                            } else {
                                f5 += fVar3.f3258d;
                                i11--;
                            }
                        } else if (fVar3 == null) {
                            break;
                        } else {
                            if (i12 == fVar3.f3256b && !fVar3.f3257c) {
                                this.mItems.remove(i11);
                                this.mAdapter.destroyItem((ViewGroup) this, i12, fVar3.f3255a);
                                i11--;
                                i8--;
                            }
                        }
                        f fVar4 = this.mItems.get(i11);
                        fVar3 = fVar4;
                    }
                    float f6 = fVar2.f3258d;
                    int i13 = i8 + 1;
                    if (f6 < 2.0f) {
                        f fVar5 = i13 < this.mItems.size() ? this.mItems.get(i13) : null;
                        float paddingRight = clientWidth <= 0 ? CropImageView.DEFAULT_ASPECT_RATIO : (((float) getPaddingRight()) / ((float) clientWidth)) + 2.0f;
                        int i14 = this.mCurItem;
                        while (true) {
                            i14++;
                            if (i14 >= count) {
                                break;
                            }
                            if (f6 < paddingRight || i14 <= min) {
                                if (fVar5 == null || i14 != fVar5.f3256b) {
                                    f addNewItem = addNewItem(i14, i13);
                                    i13++;
                                    f6 += addNewItem.f3258d;
                                } else {
                                    f6 += fVar5.f3258d;
                                    i13++;
                                }
                            } else if (fVar5 == null) {
                                break;
                            } else if (i14 == fVar5.f3256b && !fVar5.f3257c) {
                                this.mItems.remove(i13);
                                this.mAdapter.destroyItem((ViewGroup) this, i14, fVar5.f3255a);
                            }
                            fVar5 = this.mItems.get(i13);
                        }
                    }
                    calculatePageOffsets(fVar2, i8, fVar);
                    this.mAdapter.setPrimaryItem((ViewGroup) this, this.mCurItem, fVar2.f3255a);
                }
                this.mAdapter.finishUpdate((ViewGroup) this);
                int childCount = getChildCount();
                for (int i15 = 0; i15 < childCount; i15++) {
                    View childAt = getChildAt(i15);
                    g gVar = (g) childAt.getLayoutParams();
                    gVar.f3265f = i15;
                    if (!gVar.f3260a && gVar.f3262c == CropImageView.DEFAULT_ASPECT_RATIO && (infoForChild = infoForChild(childAt)) != null) {
                        gVar.f3262c = infoForChild.f3258d;
                        gVar.f3264e = infoForChild.f3256b;
                    }
                }
                sortChildDrawingOrder();
                if (hasFocus()) {
                    View findFocus = findFocus();
                    f infoForAnyChild = findFocus != null ? infoForAnyChild(findFocus) : null;
                    if (infoForAnyChild == null || infoForAnyChild.f3256b != this.mCurItem) {
                        for (int i16 = 0; i16 < getChildCount(); i16++) {
                            View childAt2 = getChildAt(i16);
                            f infoForChild2 = infoForChild(childAt2);
                            if (infoForChild2 != null && infoForChild2.f3256b == this.mCurItem && childAt2.requestFocus(2)) {
                                return;
                            }
                        }
                        return;
                    }
                    return;
                }
                return;
            }
            try {
                str = getResources().getResourceName(getId());
            } catch (Resources.NotFoundException unused) {
                str = Integer.toHexString(getId());
            }
            throw new IllegalStateException("The application's PagerAdapter changed the adapter's contents without calling PagerAdapter#notifyDataSetChanged! Expected adapter item count: " + this.mExpectedAdapterCount + ", found: " + count + " Pager id: " + str + " Pager class: " + getClass() + " Problematic adapter: " + this.mAdapter.getClass());
        }
    }

    public void removeOnAdapterChangeListener(i iVar) {
        List<i> list = this.mAdapterChangeListeners;
        if (list != null) {
            list.remove(iVar);
        }
    }

    public void removeOnPageChangeListener(j jVar) {
        List<j> list = this.mOnPageChangeListeners;
        if (list != null) {
            list.remove(jVar);
        }
    }

    public void removeView(View view) {
        if (this.mInLayout) {
            removeViewInLayout(view);
        } else {
            super.removeView(view);
        }
    }

    public void setAdapter(a aVar) {
        a aVar2 = this.mAdapter;
        if (aVar2 != null) {
            aVar2.setViewPagerObserver(null);
            this.mAdapter.startUpdate((ViewGroup) this);
            for (int i5 = 0; i5 < this.mItems.size(); i5++) {
                f fVar = this.mItems.get(i5);
                this.mAdapter.destroyItem((ViewGroup) this, fVar.f3256b, fVar.f3255a);
            }
            this.mAdapter.finishUpdate((ViewGroup) this);
            this.mItems.clear();
            removeNonDecorViews();
            this.mCurItem = 0;
            scrollTo(0, 0);
        }
        a aVar3 = this.mAdapter;
        this.mAdapter = aVar;
        this.mExpectedAdapterCount = 0;
        if (aVar != null) {
            if (this.mObserver == null) {
                this.mObserver = new l();
            }
            this.mAdapter.setViewPagerObserver(this.mObserver);
            this.mPopulatePending = false;
            boolean z4 = this.mFirstLayout;
            this.mFirstLayout = true;
            this.mExpectedAdapterCount = this.mAdapter.getCount();
            if (this.mRestoredCurItem >= 0) {
                this.mAdapter.restoreState(this.mRestoredAdapterState, this.mRestoredClassLoader);
                setCurrentItemInternal(this.mRestoredCurItem, false, true);
                this.mRestoredCurItem = -1;
                this.mRestoredAdapterState = null;
                this.mRestoredClassLoader = null;
            } else if (!z4) {
                populate();
            } else {
                requestLayout();
            }
        }
        List<i> list = this.mAdapterChangeListeners;
        if (!(list == null || list.isEmpty())) {
            int size = this.mAdapterChangeListeners.size();
            for (int i6 = 0; i6 < size; i6++) {
                this.mAdapterChangeListeners.get(i6).a(this, aVar3, aVar);
            }
        }
    }

    public void setCurrentItem(int i5) {
        this.mPopulatePending = false;
        setCurrentItemInternal(i5, !this.mFirstLayout, false);
    }

    public void setCurrentItem(int i5, boolean z4) {
        this.mPopulatePending = false;
        setCurrentItemInternal(i5, z4, false);
    }

    /* access modifiers changed from: package-private */
    public void setCurrentItemInternal(int i5, boolean z4, boolean z5) {
        setCurrentItemInternal(i5, z4, z5, 0);
    }

    /* access modifiers changed from: package-private */
    public void setCurrentItemInternal(int i5, boolean z4, boolean z5, int i6) {
        a aVar = this.mAdapter;
        boolean z6 = false;
        if (aVar == null || aVar.getCount() <= 0) {
            setScrollingCacheEnabled(false);
        } else if (z5 || this.mCurItem != i5 || this.mItems.size() == 0) {
            if (i5 < 0) {
                i5 = 0;
            } else if (i5 >= this.mAdapter.getCount()) {
                i5 = this.mAdapter.getCount() - 1;
            }
            int i7 = this.mOffscreenPageLimit;
            int i8 = this.mCurItem;
            if (i5 > i8 + i7 || i5 < i8 - i7) {
                for (int i9 = 0; i9 < this.mItems.size(); i9++) {
                    this.mItems.get(i9).f3257c = true;
                }
            }
            if (this.mCurItem != i5) {
                z6 = true;
            }
            if (this.mFirstLayout) {
                this.mCurItem = i5;
                if (z6) {
                    dispatchOnPageSelected(i5);
                }
                requestLayout();
                return;
            }
            populate(i5);
            scrollToItem(i5, z4, i6, z6);
        } else {
            setScrollingCacheEnabled(false);
        }
    }

    /* access modifiers changed from: package-private */
    public j setInternalPageChangeListener(j jVar) {
        j jVar2 = this.mInternalPageChangeListener;
        this.mInternalPageChangeListener = jVar;
        return jVar2;
    }

    public void setOffscreenPageLimit(int i5) {
        if (i5 < 1) {
            Log.w(TAG, "Requested offscreen page limit " + i5 + " too small; defaulting to " + 1);
            i5 = 1;
        }
        if (i5 != this.mOffscreenPageLimit) {
            this.mOffscreenPageLimit = i5;
            populate();
        }
    }

    @Deprecated
    public void setOnPageChangeListener(j jVar) {
        this.mOnPageChangeListener = jVar;
    }

    public void setPageMargin(int i5) {
        int i6 = this.mPageMargin;
        this.mPageMargin = i5;
        int width = getWidth();
        recomputeScrollPosition(width, width, i5, i6);
        requestLayout();
    }

    public void setPageMarginDrawable(int i5) {
        setPageMarginDrawable(androidx.core.content.a.d(getContext(), i5));
    }

    public void setPageMarginDrawable(Drawable drawable) {
        this.mMarginDrawable = drawable;
        if (drawable != null) {
            refreshDrawableState();
        }
        setWillNotDraw(drawable == null);
        invalidate();
    }

    public void setPageTransformer(boolean z4, k kVar) {
        setPageTransformer(z4, kVar, 2);
    }

    public void setPageTransformer(boolean z4, k kVar, int i5) {
        int i6 = 1;
        boolean z5 = kVar != null;
        boolean z6 = z5 != (this.mPageTransformer != null);
        this.mPageTransformer = kVar;
        setChildrenDrawingOrderEnabled(z5);
        if (z5) {
            if (z4) {
                i6 = 2;
            }
            this.mDrawingOrder = i6;
            this.mPageTransformerLayerType = i5;
        } else {
            this.mDrawingOrder = 0;
        }
        if (z6) {
            populate();
        }
    }

    /* access modifiers changed from: package-private */
    public void setScrollState(int i5) {
        if (this.mScrollState != i5) {
            this.mScrollState = i5;
            if (this.mPageTransformer != null) {
                enableLayers(i5 != 0);
            }
            dispatchOnScrollStateChanged(i5);
        }
    }

    /* access modifiers changed from: package-private */
    public void smoothScrollTo(int i5, int i6) {
        smoothScrollTo(i5, i6, 0);
    }

    /* access modifiers changed from: package-private */
    public void smoothScrollTo(int i5, int i6, int i7) {
        int i8;
        if (getChildCount() == 0) {
            setScrollingCacheEnabled(false);
            return;
        }
        Scroller scroller = this.mScroller;
        if (scroller != null && !scroller.isFinished()) {
            i8 = this.mIsScrollStarted ? this.mScroller.getCurrX() : this.mScroller.getStartX();
            this.mScroller.abortAnimation();
            setScrollingCacheEnabled(false);
        } else {
            i8 = getScrollX();
        }
        int scrollY = getScrollY();
        int i9 = i5 - i8;
        int i10 = i6 - scrollY;
        if (i9 == 0 && i10 == 0) {
            completeScroll(false);
            populate();
            setScrollState(0);
            return;
        }
        setScrollingCacheEnabled(true);
        setScrollState(2);
        int clientWidth = getClientWidth();
        int i11 = clientWidth / 2;
        float f5 = (float) clientWidth;
        float f6 = (float) i11;
        float distanceInfluenceForSnapDuration = f6 + (distanceInfluenceForSnapDuration(Math.min(1.0f, (((float) Math.abs(i9)) * 1.0f) / f5)) * f6);
        int abs = Math.abs(i7);
        int min = Math.min(abs > 0 ? Math.round(Math.abs(distanceInfluenceForSnapDuration / ((float) abs)) * 1000.0f) * 4 : (int) (((((float) Math.abs(i9)) / ((f5 * this.mAdapter.getPageWidth(this.mCurItem)) + ((float) this.mPageMargin))) + 1.0f) * 100.0f), (int) MAX_SETTLE_DURATION);
        this.mIsScrollStarted = false;
        this.mScroller.startScroll(i8, scrollY, i9, i10, min);
        a0.V(this);
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(Drawable drawable) {
        return super.verifyDrawable(drawable) || drawable == this.mMarginDrawable;
    }
}
