package com.luck.picture.lib;

import android.content.Intent;
import android.content.res.ColorStateList;
import android.net.Uri;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.core.content.a;
import androidx.viewpager.widget.b;
import com.luck.picture.lib.adapter.PictureSimpleFragmentAdapter;
import com.luck.picture.lib.config.PictureConfig;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.entity.LocalMediaFolder;
import com.luck.picture.lib.listener.OnQueryDataResultListener;
import com.luck.picture.lib.manager.UCropManager;
import com.luck.picture.lib.model.LocalMediaPageLoader;
import com.luck.picture.lib.observable.ImagesObservable;
import com.luck.picture.lib.style.PictureParameterStyle;
import com.luck.picture.lib.style.PictureSelectorUIStyle;
import com.luck.picture.lib.tools.AttrsUtils;
import com.luck.picture.lib.tools.PictureFileUtils;
import com.luck.picture.lib.tools.ScreenUtils;
import com.luck.picture.lib.tools.SdkVersionUtils;
import com.luck.picture.lib.tools.StringUtils;
import com.luck.picture.lib.tools.ToastUtils;
import com.luck.picture.lib.tools.ValueOf;
import com.luck.picture.lib.tools.VoiceUtils;
import com.luck.picture.lib.widget.PreviewViewPager;
import com.yalantis.ucrop.UCrop;
import com.yalantis.ucrop.view.CropImageView;
import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class PicturePreviewActivity extends PictureBaseActivity implements View.OnClickListener, PictureSimpleFragmentAdapter.OnCallBackActivity {
    public static final String TAG = PicturePreviewActivity.class.getSimpleName();
    protected PictureSimpleFragmentAdapter adapter;
    protected Animation animation;
    protected View btnCheck;
    protected TextView check;
    protected String currentDirectory;
    protected String fileSize;
    protected int index;
    protected boolean isBottomPreview;
    protected boolean isChangeSelectedData;
    protected boolean isCompleteOrSelected;
    protected boolean isShowCamera;
    protected CheckBox mCbOriginal;
    protected ImageView mIvArrow;
    private int mPage = 0;
    protected TextView mPictureEditor;
    protected View mPicturePreview;
    protected ViewGroup mTitleBar;
    protected TextView mTvPictureOk;
    protected TextView mTvPictureRight;
    protected ImageView pictureLeftBack;
    protected int position;
    protected boolean refresh;
    protected int screenWidth;
    protected RelativeLayout selectBarLayout;
    protected List<LocalMedia> selectData = new ArrayList();
    private int totalNumber;
    protected TextView tvMediaNum;
    protected TextView tvTitle;
    protected PreviewViewPager viewPager;

    private void bothMimeTypeWith(String str, LocalMedia localMedia) {
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.enableCrop && !pictureSelectionConfig.isCheckOriginalImage) {
            this.isCompleteOrSelected = false;
            boolean isHasImage = PictureMimeType.isHasImage(str);
            PictureSelectionConfig pictureSelectionConfig2 = this.config;
            if (pictureSelectionConfig2.selectionMode != 1 || !isHasImage) {
                int size = this.selectData.size();
                int i5 = 0;
                for (int i6 = 0; i6 < size; i6++) {
                    LocalMedia localMedia2 = this.selectData.get(i6);
                    if (localMedia2 != null && !TextUtils.isEmpty(localMedia2.getPath()) && PictureMimeType.isHasImage(localMedia2.getMimeType())) {
                        i5++;
                    }
                }
                if (i5 <= 0) {
                    this.isCompleteOrSelected = true;
                } else {
                    UCropManager.ofCrop(this, (ArrayList) this.selectData);
                    return;
                }
            } else {
                pictureSelectionConfig2.originalPath = localMedia.getPath();
                UCropManager.ofCrop(this, this.config.originalPath, localMedia.getMimeType(), localMedia.getWidth(), localMedia.getHeight());
                return;
            }
        }
        onBackPressed();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initViewPageAdapterData(List<LocalMedia> list) {
        PictureSimpleFragmentAdapter pictureSimpleFragmentAdapter = new PictureSimpleFragmentAdapter(getContext(), this.config, this);
        this.adapter = pictureSimpleFragmentAdapter;
        pictureSimpleFragmentAdapter.bindData(list);
        this.viewPager.setAdapter(this.adapter);
        this.viewPager.setCurrentItem(this.position);
        setTitle();
        onImageChecked(this.position);
        LocalMedia item = this.adapter.getItem(this.position);
        if (item != null) {
            this.index = item.getPosition();
            PictureSelectionConfig pictureSelectionConfig = this.config;
            int i5 = 0;
            if (pictureSelectionConfig.isOriginalControl) {
                if (pictureSelectionConfig.isDisplayOriginalSize) {
                    String formatFileSize = PictureFileUtils.formatFileSize(item.getSize(), 2);
                    this.fileSize = formatFileSize;
                    this.mCbOriginal.setText(getString(R.string.picture_original_image, new Object[]{formatFileSize}));
                } else {
                    this.mCbOriginal.setText(getString(R.string.picture_default_original_image));
                }
            }
            if (this.config.checkNumMode) {
                this.tvMediaNum.setSelected(true);
                this.check.setText(ValueOf.toString(Integer.valueOf(item.getNum())));
                notifyCheckChanged(item);
            }
            if (this.config.isEditorImage) {
                TextView textView = this.mPictureEditor;
                if (PictureMimeType.isHasVideo(item.getMimeType())) {
                    i5 = 8;
                }
                textView.setVisibility(i5);
                return;
            }
            this.mPictureEditor.setVisibility(8);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void isPreviewEggs(boolean z4, int i5, int i6) {
        LocalMedia localMedia;
        if (z4 && this.adapter.getSize() > 0) {
            if (i6 < this.screenWidth / 2) {
                localMedia = this.adapter.getItem(i5);
                if (localMedia != null) {
                    this.check.setSelected(isSelected(localMedia));
                    PictureSelectionConfig pictureSelectionConfig = this.config;
                    if (!pictureSelectionConfig.isWeChatStyle) {
                        if (!pictureSelectionConfig.checkNumMode) {
                            return;
                        }
                        this.check.setText(ValueOf.toString(Integer.valueOf(localMedia.getNum())));
                        notifyCheckChanged(localMedia);
                        onImageChecked(i5);
                        return;
                    }
                } else {
                    return;
                }
            } else {
                i5++;
                localMedia = this.adapter.getItem(i5);
                if (localMedia != null) {
                    this.check.setSelected(isSelected(localMedia));
                    PictureSelectionConfig pictureSelectionConfig2 = this.config;
                    if (!pictureSelectionConfig2.isWeChatStyle) {
                        if (!pictureSelectionConfig2.checkNumMode) {
                            return;
                        }
                        this.check.setText(ValueOf.toString(Integer.valueOf(localMedia.getNum())));
                        notifyCheckChanged(localMedia);
                        onImageChecked(i5);
                        return;
                    }
                } else {
                    return;
                }
            }
            onUpdateSelectedChange(localMedia);
        }
    }

    /* access modifiers changed from: private */
    public /* synthetic */ void lambda$initWidgets$0(CompoundButton compoundButton, boolean z4) {
        this.config.isCheckOriginalImage = z4;
        if (this.selectData.size() == 0 && z4) {
            onCheckedComplete();
        }
    }

    private void loadData() {
        long longExtra = getIntent().getLongExtra(PictureConfig.EXTRA_BUCKET_ID, -1);
        int i5 = this.mPage + 1;
        this.mPage = i5;
        this.mLoader.loadPageMediaData(longExtra, i5, this.config.pageSize, new OnQueryDataResultListener<LocalMedia>() {
            /* class com.luck.picture.lib.PicturePreviewActivity.AnonymousClass3 */

            @Override // com.luck.picture.lib.listener.OnQueryDataResultListener
            public void onComplete(List<LocalMedia> list, int i5, boolean z4) {
                PictureSimpleFragmentAdapter pictureSimpleFragmentAdapter;
                if (!PicturePreviewActivity.this.isFinishing()) {
                    PicturePreviewActivity.this.isHasMore = z4;
                    if (!z4) {
                        return;
                    }
                    if (list.size() <= 0 || (pictureSimpleFragmentAdapter = PicturePreviewActivity.this.adapter) == null) {
                        PicturePreviewActivity.this.loadMoreData();
                        return;
                    }
                    pictureSimpleFragmentAdapter.getData().addAll(list);
                    PicturePreviewActivity.this.adapter.notifyDataSetChanged();
                }
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void loadMoreData() {
        long longExtra = getIntent().getLongExtra(PictureConfig.EXTRA_BUCKET_ID, -1);
        int i5 = this.mPage + 1;
        this.mPage = i5;
        this.mLoader.loadPageMediaData(longExtra, i5, this.config.pageSize, new OnQueryDataResultListener<LocalMedia>() {
            /* class com.luck.picture.lib.PicturePreviewActivity.AnonymousClass4 */

            @Override // com.luck.picture.lib.listener.OnQueryDataResultListener
            public void onComplete(List<LocalMedia> list, int i5, boolean z4) {
                PictureSimpleFragmentAdapter pictureSimpleFragmentAdapter;
                if (!PicturePreviewActivity.this.isFinishing()) {
                    PicturePreviewActivity.this.isHasMore = z4;
                    if (!z4) {
                        return;
                    }
                    if (list.size() <= 0 || (pictureSimpleFragmentAdapter = PicturePreviewActivity.this.adapter) == null) {
                        PicturePreviewActivity.this.loadMoreData();
                        return;
                    }
                    pictureSimpleFragmentAdapter.getData().addAll(list);
                    PicturePreviewActivity.this.adapter.notifyDataSetChanged();
                }
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void notifyCheckChanged(LocalMedia localMedia) {
        if (this.config.checkNumMode) {
            this.check.setText("");
            int size = this.selectData.size();
            for (int i5 = 0; i5 < size; i5++) {
                LocalMedia localMedia2 = this.selectData.get(i5);
                if (localMedia2.getPath().equals(localMedia.getPath()) || localMedia2.getId() == localMedia.getId()) {
                    localMedia.setNum(localMedia2.getNum());
                    this.check.setText(ValueOf.toString(Integer.valueOf(localMedia.getNum())));
                }
            }
        }
    }

    private void separateMimeTypeWith(String str, LocalMedia localMedia) {
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (!pictureSelectionConfig.enableCrop || pictureSelectionConfig.isCheckOriginalImage || !PictureMimeType.isHasImage(str)) {
            onBackPressed();
            return;
        }
        this.isCompleteOrSelected = false;
        PictureSelectionConfig pictureSelectionConfig2 = this.config;
        if (pictureSelectionConfig2.selectionMode == 1) {
            pictureSelectionConfig2.originalPath = localMedia.getPath();
            UCropManager.ofCrop(this, this.config.originalPath, localMedia.getMimeType(), localMedia.getWidth(), localMedia.getHeight());
            return;
        }
        UCropManager.ofCrop(this, (ArrayList) this.selectData);
    }

    private void setNewTitle() {
        this.mPage = 0;
        this.position = 0;
        setTitle();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTitle() {
        String str;
        TextView textView;
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (!pictureSelectionConfig.isPageStrategy || this.isBottomPreview || pictureSelectionConfig.isOnlySandboxDir) {
            textView = this.tvTitle;
            str = getString(R.string.picture_preview_image_num, new Object[]{Integer.valueOf(this.position + 1), Integer.valueOf(this.adapter.getSize())});
        } else {
            textView = this.tvTitle;
            str = getString(R.string.picture_preview_image_num, new Object[]{Integer.valueOf(this.position + 1), Integer.valueOf(this.totalNumber)});
        }
        textView.setText(str);
    }

    private void subSelectPosition() {
        int size = this.selectData.size();
        int i5 = 0;
        while (i5 < size) {
            i5++;
            this.selectData.get(i5).setNum(i5);
        }
    }

    private void updateResult() {
        Intent intent = new Intent();
        if (this.isChangeSelectedData) {
            intent.putExtra(PictureConfig.EXTRA_COMPLETE_SELECTED, this.isCompleteOrSelected);
            intent.putParcelableArrayListExtra(PictureConfig.EXTRA_SELECT_LIST, (ArrayList) this.selectData);
        }
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.isOriginalControl) {
            intent.putExtra(PictureConfig.EXTRA_CHANGE_ORIGINAL, pictureSelectionConfig.isCheckOriginalImage);
        }
        setResult(0, intent);
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public int getResourceId() {
        return R.layout.picture_preview;
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initCompleteText(int i5) {
        String str;
        TextView textView;
        String str2;
        TextView textView2;
        int i6;
        int i7;
        TextView textView3;
        int i8;
        String str3;
        int i9;
        int i10;
        if (this.config.selectionMode != 1) {
            PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
            if (i5 <= 0) {
                if (pictureSelectorUIStyle != null) {
                    textView2 = this.mTvPictureOk;
                    str2 = (!pictureSelectorUIStyle.isCompleteReplaceNum || (i7 = pictureSelectorUIStyle.picture_bottom_completeDefaultText) == 0) ? getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum)}) : String.format(getString(i7), Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum));
                } else {
                    PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
                    if (pictureParameterStyle != null) {
                        textView2 = this.mTvPictureOk;
                        str2 = (!pictureParameterStyle.isCompleteReplaceNum || TextUtils.isEmpty(pictureParameterStyle.pictureUnCompleteText)) ? getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum)}) : PictureSelectionConfig.style.pictureUnCompleteText;
                    } else {
                        return;
                    }
                }
            } else if (pictureSelectorUIStyle == null) {
                PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
                if (pictureParameterStyle2 == null) {
                    return;
                }
                if (!pictureParameterStyle2.isCompleteReplaceNum || TextUtils.isEmpty(pictureParameterStyle2.pictureCompleteText)) {
                    textView = this.mTvPictureOk;
                    str = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum)});
                } else {
                    textView = this.mTvPictureOk;
                    str = String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum));
                }
            } else if (!pictureSelectorUIStyle.isCompleteReplaceNum || (i6 = pictureSelectorUIStyle.picture_bottom_completeNormalText) == 0) {
                textView = this.mTvPictureOk;
                str = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum)});
            } else {
                textView2 = this.mTvPictureOk;
                str2 = String.format(getString(i6), Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum));
            }
            textView2.setText(str2);
            return;
        } else if (i5 <= 0) {
            PictureSelectorUIStyle pictureSelectorUIStyle2 = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle2 != null) {
                textView = this.mTvPictureOk;
                i10 = pictureSelectorUIStyle2.picture_bottom_completeDefaultText;
                if (i10 == 0) {
                    i10 = R.string.picture_please_select;
                }
            } else {
                PictureParameterStyle pictureParameterStyle3 = PictureSelectionConfig.style;
                if (pictureParameterStyle3 != null) {
                    textView = this.mTvPictureOk;
                    if (!TextUtils.isEmpty(pictureParameterStyle3.pictureUnCompleteText)) {
                        str = PictureSelectionConfig.style.pictureUnCompleteText;
                    } else {
                        i10 = R.string.picture_please_select;
                    }
                } else {
                    return;
                }
            }
            str = getString(i10);
        } else {
            PictureSelectorUIStyle pictureSelectorUIStyle3 = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle3 == null) {
                PictureParameterStyle pictureParameterStyle4 = PictureSelectionConfig.style;
                if (pictureParameterStyle4 == null) {
                    return;
                }
                if (!pictureParameterStyle4.isCompleteReplaceNum || TextUtils.isEmpty(pictureParameterStyle4.pictureCompleteText)) {
                    textView3 = this.mTvPictureOk;
                    if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureCompleteText)) {
                        str3 = PictureSelectionConfig.style.pictureCompleteText;
                        textView3.setText(str3);
                        return;
                    }
                    i8 = R.string.picture_done;
                } else {
                    textView = this.mTvPictureOk;
                    str = String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(i5), 1);
                }
            } else if (!pictureSelectorUIStyle3.isCompleteReplaceNum || (i9 = pictureSelectorUIStyle3.picture_bottom_completeNormalText) == 0) {
                textView3 = this.mTvPictureOk;
                i8 = pictureSelectorUIStyle3.picture_bottom_completeNormalText;
                if (i8 == 0) {
                    i8 = R.string.picture_done;
                }
            } else {
                textView = this.mTvPictureOk;
                str = String.format(getString(i9), Integer.valueOf(i5), 1);
            }
            str3 = getString(i8);
            textView3.setText(str3);
            return;
        }
        textView.setText(str);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:102:0x01a9, code lost:
        if (r0 != 0) goto L_0x01ab;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:53:0x00db, code lost:
        if (r0 != 0) goto L_0x01ab;
     */
    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initPictureSelectorStyle() {
        int i5;
        ColorStateList colorStateList;
        PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
        if (pictureSelectorUIStyle != null) {
            int i6 = pictureSelectorUIStyle.picture_top_titleTextColor;
            if (i6 != 0) {
                this.tvTitle.setTextColor(i6);
            }
            int i7 = PictureSelectionConfig.uiStyle.picture_top_titleTextSize;
            if (i7 != 0) {
                this.tvTitle.setTextSize((float) i7);
            }
            int i8 = PictureSelectionConfig.uiStyle.picture_top_leftBack;
            if (i8 != 0) {
                this.pictureLeftBack.setImageResource(i8);
            }
            int i9 = PictureSelectionConfig.uiStyle.picture_bottom_barBackgroundColor;
            if (i9 != 0) {
                this.selectBarLayout.setBackgroundColor(i9);
            }
            int i10 = PictureSelectionConfig.uiStyle.picture_bottom_completeRedDotBackground;
            if (i10 != 0) {
                this.tvMediaNum.setBackgroundResource(i10);
            }
            int i11 = PictureSelectionConfig.uiStyle.picture_check_style;
            if (i11 != 0) {
                this.check.setBackgroundResource(i11);
            }
            int[] iArr = PictureSelectionConfig.uiStyle.picture_bottom_completeTextColor;
            if (iArr.length > 0 && (colorStateList = AttrsUtils.getColorStateList(iArr)) != null) {
                this.mTvPictureOk.setTextColor(colorStateList);
            }
            int i12 = PictureSelectionConfig.uiStyle.picture_bottom_completeDefaultText;
            if (i12 != 0) {
                this.mTvPictureOk.setText(i12);
            }
            if (PictureSelectionConfig.uiStyle.picture_top_titleBarHeight > 0) {
                this.mTitleBar.getLayoutParams().height = PictureSelectionConfig.uiStyle.picture_top_titleBarHeight;
            }
            if (PictureSelectionConfig.uiStyle.picture_bottom_barHeight > 0) {
                this.selectBarLayout.getLayoutParams().height = PictureSelectionConfig.uiStyle.picture_bottom_barHeight;
            }
            if (this.config.isEditorImage) {
                int i13 = PictureSelectionConfig.uiStyle.picture_bottom_preview_editorTextSize;
                if (i13 != 0) {
                    this.mPictureEditor.setTextSize((float) i13);
                }
                int i14 = PictureSelectionConfig.uiStyle.picture_bottom_preview_editorTextColor;
                if (i14 != 0) {
                    this.mPictureEditor.setTextColor(i14);
                }
            }
            if (this.config.isOriginalControl) {
                int i15 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureCheckStyle;
                if (i15 != 0) {
                    this.mCbOriginal.setButtonDrawable(i15);
                } else {
                    this.mCbOriginal.setButtonDrawable(a.d(this, R.drawable.picture_original_checkbox));
                }
                int i16 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureTextColor;
                if (i16 != 0) {
                    this.mCbOriginal.setTextColor(i16);
                } else {
                    this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_53575e));
                }
                i5 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureTextSize;
            }
            this.mCbOriginal.setButtonDrawable(a.d(this, R.drawable.picture_original_checkbox));
            this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_53575e));
            this.mTitleBar.setBackgroundColor(this.colorPrimary);
            onSelectNumChange(false);
        }
        PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
        if (pictureParameterStyle != null) {
            int i17 = pictureParameterStyle.pictureTitleTextColor;
            if (i17 != 0) {
                this.tvTitle.setTextColor(i17);
            }
            int i18 = PictureSelectionConfig.style.pictureTitleTextSize;
            if (i18 != 0) {
                this.tvTitle.setTextSize((float) i18);
            }
            int i19 = PictureSelectionConfig.style.pictureLeftBackIcon;
            if (i19 != 0) {
                this.pictureLeftBack.setImageResource(i19);
            }
            int i20 = PictureSelectionConfig.style.picturePreviewBottomBgColor;
            if (i20 != 0) {
                this.selectBarLayout.setBackgroundColor(i20);
            }
            int i21 = PictureSelectionConfig.style.pictureCheckNumBgStyle;
            if (i21 != 0) {
                this.tvMediaNum.setBackgroundResource(i21);
            }
            int i22 = PictureSelectionConfig.style.pictureCheckedStyle;
            if (i22 != 0) {
                this.check.setBackgroundResource(i22);
            }
            int i23 = PictureSelectionConfig.style.pictureUnCompleteTextColor;
            if (i23 != 0) {
                this.mTvPictureOk.setTextColor(i23);
            }
            if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                this.mTvPictureOk.setText(PictureSelectionConfig.style.pictureUnCompleteText);
            }
            if (PictureSelectionConfig.style.pictureTitleBarHeight > 0) {
                this.mTitleBar.getLayoutParams().height = PictureSelectionConfig.style.pictureTitleBarHeight;
            }
            if (this.config.isEditorImage) {
                int i24 = PictureSelectionConfig.style.picturePreviewEditorTextSize;
                if (i24 != 0) {
                    this.mPictureEditor.setTextSize((float) i24);
                }
                int i25 = PictureSelectionConfig.style.picturePreviewEditorTextColor;
                if (i25 != 0) {
                    this.mPictureEditor.setTextColor(i25);
                }
            }
            if (this.config.isOriginalControl) {
                int i26 = PictureSelectionConfig.style.pictureOriginalControlStyle;
                if (i26 != 0) {
                    this.mCbOriginal.setButtonDrawable(i26);
                } else {
                    this.mCbOriginal.setButtonDrawable(a.d(this, R.drawable.picture_original_checkbox));
                }
                int i27 = PictureSelectionConfig.style.pictureOriginalFontColor;
                if (i27 != 0) {
                    this.mCbOriginal.setTextColor(i27);
                } else {
                    this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_53575e));
                }
                i5 = PictureSelectionConfig.style.pictureOriginalTextSize;
            }
            this.mCbOriginal.setButtonDrawable(a.d(this, R.drawable.picture_original_checkbox));
            this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_53575e));
        } else {
            this.check.setBackground(AttrsUtils.getTypeValueDrawable(getContext(), R.attr.picture_checked_style, R.drawable.picture_checkbox_selector));
            ColorStateList typeValueColorStateList = AttrsUtils.getTypeValueColorStateList(getContext(), R.attr.picture_ac_preview_complete_textColor);
            if (typeValueColorStateList != null) {
                this.mTvPictureOk.setTextColor(typeValueColorStateList);
            }
            this.pictureLeftBack.setImageDrawable(AttrsUtils.getTypeValueDrawable(getContext(), R.attr.picture_preview_leftBack_icon, R.drawable.picture_icon_back));
            int typeValueColor = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_ac_preview_title_textColor);
            if (typeValueColor != 0) {
                this.tvTitle.setTextColor(typeValueColor);
            }
            this.tvMediaNum.setBackground(AttrsUtils.getTypeValueDrawable(getContext(), R.attr.picture_num_style, R.drawable.picture_num_oval));
            int typeValueColor2 = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_ac_preview_bottom_bg);
            if (typeValueColor2 != 0) {
                this.selectBarLayout.setBackgroundColor(typeValueColor2);
            }
            int typeValueSizeForInt = AttrsUtils.getTypeValueSizeForInt(getContext(), R.attr.picture_titleBar_height);
            if (typeValueSizeForInt > 0) {
                this.mTitleBar.getLayoutParams().height = typeValueSizeForInt;
            }
            if (this.config.isOriginalControl) {
                this.mCbOriginal.setButtonDrawable(AttrsUtils.getTypeValueDrawable(getContext(), R.attr.picture_original_check_style, R.drawable.picture_original_wechat_checkbox));
                int typeValueColor3 = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_original_text_color);
                if (typeValueColor3 != 0) {
                    this.mCbOriginal.setTextColor(typeValueColor3);
                }
            }
        }
        this.mTitleBar.setBackgroundColor(this.colorPrimary);
        onSelectNumChange(false);
        this.mCbOriginal.setTextSize((float) i5);
        this.mTitleBar.setBackgroundColor(this.colorPrimary);
        onSelectNumChange(false);
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initWidgets() {
        super.initWidgets();
        this.mTitleBar = (ViewGroup) findViewById(R.id.titleBar);
        this.screenWidth = ScreenUtils.getScreenWidth(this);
        this.animation = AnimationUtils.loadAnimation(this, R.anim.picture_anim_modal_in);
        this.pictureLeftBack = (ImageView) findViewById(R.id.pictureLeftBack);
        this.mTvPictureRight = (TextView) findViewById(R.id.picture_right);
        this.mIvArrow = (ImageView) findViewById(R.id.ivArrow);
        this.viewPager = (PreviewViewPager) findViewById(R.id.preview_pager);
        this.mPicturePreview = findViewById(R.id.picture_id_preview);
        this.mPictureEditor = (TextView) findViewById(R.id.picture_id_editor);
        this.btnCheck = findViewById(R.id.btnCheck);
        this.check = (TextView) findViewById(R.id.check);
        this.pictureLeftBack.setOnClickListener(this);
        this.mTvPictureOk = (TextView) findViewById(R.id.picture_tv_ok);
        this.mCbOriginal = (CheckBox) findViewById(R.id.cb_original);
        this.tvMediaNum = (TextView) findViewById(R.id.tv_media_num);
        this.selectBarLayout = (RelativeLayout) findViewById(R.id.select_bar_layout);
        this.mTvPictureOk.setOnClickListener(this);
        this.tvMediaNum.setOnClickListener(this);
        this.tvTitle = (TextView) findViewById(R.id.picture_title);
        this.mPicturePreview.setVisibility(8);
        this.mIvArrow.setVisibility(8);
        this.mTvPictureRight.setVisibility(8);
        this.check.setVisibility(0);
        this.btnCheck.setVisibility(0);
        if (this.config.isEditorImage) {
            this.mPictureEditor.setVisibility(0);
            this.mPictureEditor.setOnClickListener(this);
        } else {
            this.mPictureEditor.setVisibility(8);
        }
        this.position = getIntent().getIntExtra("position", 0);
        if (this.numComplete) {
            initCompleteText(0);
        }
        this.tvMediaNum.setSelected(this.config.checkNumMode);
        this.btnCheck.setOnClickListener(this);
        if (getIntent().getParcelableArrayListExtra(PictureConfig.EXTRA_SELECT_LIST) != null) {
            this.selectData = getIntent().getParcelableArrayListExtra(PictureConfig.EXTRA_SELECT_LIST);
        }
        this.isBottomPreview = getIntent().getBooleanExtra(PictureConfig.EXTRA_BOTTOM_PREVIEW, false);
        this.isShowCamera = getIntent().getBooleanExtra(PictureConfig.EXTRA_SHOW_CAMERA, this.config.isCamera);
        this.currentDirectory = getIntent().getStringExtra(PictureConfig.EXTRA_IS_CURRENT_DIRECTORY);
        if (this.isBottomPreview) {
            initViewPageAdapterData(getIntent().getParcelableArrayListExtra(PictureConfig.EXTRA_PREVIEW_SELECT_LIST));
        } else {
            final ArrayList arrayList = new ArrayList(ImagesObservable.getInstance().getData());
            ImagesObservable.getInstance().clearData();
            this.totalNumber = getIntent().getIntExtra(PictureConfig.EXTRA_DATA_COUNT, 0);
            PictureSelectionConfig pictureSelectionConfig = this.config;
            if (!pictureSelectionConfig.isPageStrategy || pictureSelectionConfig.isOnlySandboxDir) {
                initViewPageAdapterData(arrayList);
                if (arrayList.size() == 0) {
                    PictureSelectionConfig pictureSelectionConfig2 = this.config;
                    if (pictureSelectionConfig2.isOnlySandboxDir) {
                        this.mLoader.loadOnlyInAppDirectoryAllMedia(new OnQueryDataResultListener<LocalMediaFolder>() {
                            /* class com.luck.picture.lib.PicturePreviewActivity.AnonymousClass1 */

                            public void onComplete(LocalMediaFolder localMediaFolder) {
                                PicturePreviewActivity.this.initViewPageAdapterData(localMediaFolder != null ? localMediaFolder.getData() : arrayList);
                            }
                        });
                    } else {
                        pictureSelectionConfig2.isPageStrategy = true;
                        this.mLoader = new LocalMediaPageLoader(getContext(), this.config);
                        setNewTitle();
                    }
                }
            } else if (arrayList.size() == 0) {
                setNewTitle();
                initViewPageAdapterData(arrayList);
            } else {
                this.mPage = getIntent().getIntExtra(PictureConfig.EXTRA_PAGE, 0);
                initViewPageAdapterData(arrayList);
            }
            loadData();
        }
        this.viewPager.addOnPageChangeListener(new b.j() {
            /* class com.luck.picture.lib.PicturePreviewActivity.AnonymousClass2 */

            @Override // androidx.viewpager.widget.b.j
            public void onPageScrollStateChanged(int i5) {
            }

            @Override // androidx.viewpager.widget.b.j
            public void onPageScrolled(int i5, float f5, int i6) {
                PicturePreviewActivity picturePreviewActivity = PicturePreviewActivity.this;
                picturePreviewActivity.isPreviewEggs(picturePreviewActivity.config.previewEggs, i5, i6);
            }

            @Override // androidx.viewpager.widget.b.j
            public void onPageSelected(int i5) {
                CheckBox checkBox;
                String str;
                PicturePreviewActivity picturePreviewActivity = PicturePreviewActivity.this;
                picturePreviewActivity.position = i5;
                picturePreviewActivity.setTitle();
                PicturePreviewActivity picturePreviewActivity2 = PicturePreviewActivity.this;
                LocalMedia item = picturePreviewActivity2.adapter.getItem(picturePreviewActivity2.position);
                if (item != null) {
                    PicturePreviewActivity.this.index = item.getPosition();
                    PicturePreviewActivity picturePreviewActivity3 = PicturePreviewActivity.this;
                    PictureSelectionConfig pictureSelectionConfig = picturePreviewActivity3.config;
                    if (!pictureSelectionConfig.previewEggs) {
                        if (pictureSelectionConfig.checkNumMode) {
                            picturePreviewActivity3.check.setText(ValueOf.toString(Integer.valueOf(item.getNum())));
                            PicturePreviewActivity.this.notifyCheckChanged(item);
                        }
                        PicturePreviewActivity picturePreviewActivity4 = PicturePreviewActivity.this;
                        picturePreviewActivity4.onImageChecked(picturePreviewActivity4.position);
                    }
                    PicturePreviewActivity picturePreviewActivity5 = PicturePreviewActivity.this;
                    PictureSelectionConfig pictureSelectionConfig2 = picturePreviewActivity5.config;
                    int i6 = 0;
                    if (pictureSelectionConfig2.isOriginalControl) {
                        picturePreviewActivity5.mCbOriginal.setChecked(pictureSelectionConfig2.isCheckOriginalImage);
                        PicturePreviewActivity picturePreviewActivity6 = PicturePreviewActivity.this;
                        if (picturePreviewActivity6.config.isDisplayOriginalSize) {
                            picturePreviewActivity6.fileSize = PictureFileUtils.formatFileSize(item.getSize(), 2);
                            PicturePreviewActivity picturePreviewActivity7 = PicturePreviewActivity.this;
                            checkBox = picturePreviewActivity7.mCbOriginal;
                            str = picturePreviewActivity7.getString(R.string.picture_original_image, new Object[]{picturePreviewActivity7.fileSize});
                        } else {
                            checkBox = picturePreviewActivity6.mCbOriginal;
                            str = picturePreviewActivity6.getString(R.string.picture_default_original_image);
                        }
                        checkBox.setText(str);
                    }
                    PicturePreviewActivity picturePreviewActivity8 = PicturePreviewActivity.this;
                    boolean z4 = picturePreviewActivity8.config.isEditorImage;
                    TextView textView = picturePreviewActivity8.mPictureEditor;
                    if (z4) {
                        if (PictureMimeType.isHasVideo(item.getMimeType())) {
                            i6 = 8;
                        }
                        textView.setVisibility(i6);
                    } else {
                        textView.setVisibility(8);
                    }
                    PicturePreviewActivity.this.onPageSelectedChange(item);
                    PicturePreviewActivity picturePreviewActivity9 = PicturePreviewActivity.this;
                    PictureSelectionConfig pictureSelectionConfig3 = picturePreviewActivity9.config;
                    if (pictureSelectionConfig3.isPageStrategy && !picturePreviewActivity9.isBottomPreview && !pictureSelectionConfig3.isOnlySandboxDir && picturePreviewActivity9.isHasMore) {
                        if (picturePreviewActivity9.position != (picturePreviewActivity9.adapter.getSize() - 1) - 10) {
                            PicturePreviewActivity picturePreviewActivity10 = PicturePreviewActivity.this;
                            if (picturePreviewActivity10.position != picturePreviewActivity10.adapter.getSize() - 1) {
                                return;
                            }
                        }
                        PicturePreviewActivity.this.loadMoreData();
                    }
                }
            }
        });
        if (this.config.isOriginalControl) {
            boolean booleanExtra = getIntent().getBooleanExtra(PictureConfig.EXTRA_CHANGE_ORIGINAL, this.config.isCheckOriginalImage);
            this.mCbOriginal.setVisibility(0);
            this.config.isCheckOriginalImage = booleanExtra;
            this.mCbOriginal.setChecked(booleanExtra);
            this.mCbOriginal.setOnCheckedChangeListener(new n(this));
        }
    }

    /* access modifiers changed from: protected */
    public boolean isSelected(LocalMedia localMedia) {
        int size = this.selectData.size();
        for (int i5 = 0; i5 < size; i5++) {
            LocalMedia localMedia2 = this.selectData.get(i5);
            if (localMedia2.getPath().equals(localMedia.getPath()) || localMedia2.getId() == localMedia.getId()) {
                return true;
            }
        }
        return false;
    }

    @Override // com.luck.picture.lib.adapter.PictureSimpleFragmentAdapter.OnCallBackActivity
    public void onActivityBackPressed() {
        onBackPressed();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.e
    public void onActivityResult(int i5, int i6, Intent intent) {
        Throwable th;
        boolean z4;
        LocalMedia localMedia;
        super.onActivityResult(i5, i6, intent);
        if (i6 == -1) {
            if (i5 != 69) {
                if (i5 == 609) {
                    intent.putParcelableArrayListExtra(UCrop.Options.EXTRA_OUTPUT_URI_LIST, UCrop.getMultipleOutput(intent));
                } else {
                    return;
                }
            } else if (intent == null) {
                return;
            } else {
                if (intent.getBooleanExtra("com.yalantis.ucrop.EditorImage", false)) {
                    Uri output = UCrop.getOutput(intent);
                    if (output != null && this.adapter != null) {
                        String path = output.getPath();
                        LocalMedia item = this.adapter.getItem(this.viewPager.getCurrentItem());
                        LocalMedia localMedia2 = null;
                        int i7 = 0;
                        while (true) {
                            if (i7 >= this.selectData.size()) {
                                z4 = false;
                                break;
                            }
                            localMedia = this.selectData.get(i7);
                            if (TextUtils.equals(item.getPath(), localMedia.getPath()) || item.getId() == localMedia.getId()) {
                                localMedia2 = localMedia;
                                z4 = true;
                            } else {
                                i7++;
                            }
                        }
                        localMedia2 = localMedia;
                        z4 = true;
                        item.setCut(!TextUtils.isEmpty(path));
                        item.setCutPath(path);
                        item.setCropOffsetX(intent.getIntExtra(UCrop.EXTRA_OUTPUT_OFFSET_X, 0));
                        item.setCropOffsetY(intent.getIntExtra(UCrop.EXTRA_OUTPUT_OFFSET_Y, 0));
                        item.setCropResultAspectRatio(intent.getFloatExtra(UCrop.EXTRA_OUTPUT_CROP_ASPECT_RATIO, CropImageView.DEFAULT_ASPECT_RATIO));
                        item.setCropImageWidth(intent.getIntExtra(UCrop.EXTRA_OUTPUT_IMAGE_WIDTH, 0));
                        item.setCropImageHeight(intent.getIntExtra(UCrop.EXTRA_OUTPUT_IMAGE_HEIGHT, 0));
                        item.setEditorImage(item.isCut());
                        if (SdkVersionUtils.isQ() && PictureMimeType.isContent(item.getPath())) {
                            item.setAndroidQToPath(path);
                        }
                        if (z4) {
                            localMedia2.setCut(!TextUtils.isEmpty(path));
                            localMedia2.setCutPath(path);
                            localMedia2.setCropOffsetX(intent.getIntExtra(UCrop.EXTRA_OUTPUT_OFFSET_X, 0));
                            localMedia2.setCropOffsetY(intent.getIntExtra(UCrop.EXTRA_OUTPUT_OFFSET_Y, 0));
                            localMedia2.setCropResultAspectRatio(intent.getFloatExtra(UCrop.EXTRA_OUTPUT_CROP_ASPECT_RATIO, CropImageView.DEFAULT_ASPECT_RATIO));
                            localMedia2.setCropImageWidth(intent.getIntExtra(UCrop.EXTRA_OUTPUT_IMAGE_WIDTH, 0));
                            localMedia2.setCropImageHeight(intent.getIntExtra(UCrop.EXTRA_OUTPUT_IMAGE_HEIGHT, 0));
                            localMedia2.setEditorImage(item.isCut());
                            if (SdkVersionUtils.isQ() && PictureMimeType.isContent(item.getPath())) {
                                localMedia2.setAndroidQToPath(path);
                            }
                            this.isChangeSelectedData = true;
                            onUpdateGalleryChange(localMedia2);
                        } else {
                            onCheckedComplete();
                        }
                        this.adapter.notifyDataSetChanged();
                        return;
                    }
                    return;
                }
            }
            intent.putParcelableArrayListExtra(PictureConfig.EXTRA_SELECT_LIST, (ArrayList) this.selectData);
            setResult(-1, intent);
            finish();
        } else if (i6 == 96 && (th = (Throwable) intent.getSerializableExtra(UCrop.EXTRA_ERROR)) != null) {
            ToastUtils.s(getContext(), th.getMessage());
        }
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        updateResult();
        finish();
        overridePendingTransition(0, PictureSelectionConfig.windowAnimationStyle.activityPreviewExitAnimation);
    }

    /* access modifiers changed from: protected */
    public void onCheckedComplete() {
        boolean z4;
        LocalMedia localMedia;
        int i5;
        if (this.adapter.getSize() > 0) {
            LocalMedia item = this.adapter.getItem(this.viewPager.getCurrentItem());
            String realPath = item.getRealPath();
            if (TextUtils.isEmpty(realPath) || new File(realPath).exists()) {
                String mimeType = this.selectData.size() > 0 ? this.selectData.get(0).getMimeType() : "";
                int size = this.selectData.size();
                if (this.config.isWithVideoImage) {
                    int i6 = 0;
                    for (int i7 = 0; i7 < size; i7++) {
                        if (PictureMimeType.isHasVideo(this.selectData.get(i7).getMimeType())) {
                            i6++;
                        }
                    }
                    if (PictureMimeType.isHasVideo(item.getMimeType())) {
                        PictureSelectionConfig pictureSelectionConfig = this.config;
                        if (pictureSelectionConfig.maxVideoSelectNum <= 0) {
                            showPromptDialog(getString(R.string.picture_rule));
                            return;
                        } else if (size >= pictureSelectionConfig.maxSelectNum && !this.check.isSelected()) {
                            showPromptDialog(getString(R.string.picture_message_max_num, new Object[]{Integer.valueOf(this.config.maxSelectNum)}));
                            return;
                        } else if (i6 >= this.config.maxVideoSelectNum && !this.check.isSelected()) {
                            showPromptDialog(StringUtils.getMsg(getContext(), item.getMimeType(), this.config.maxVideoSelectNum));
                            return;
                        } else if (!this.check.isSelected() && this.config.videoMinSecond > 0 && item.getDuration() < ((long) this.config.videoMinSecond)) {
                            showPromptDialog(getContext().getString(R.string.picture_choose_min_seconds, Integer.valueOf(this.config.videoMinSecond / 1000)));
                            return;
                        } else if (!this.check.isSelected() && this.config.videoMaxSecond > 0 && item.getDuration() > ((long) this.config.videoMaxSecond)) {
                            showPromptDialog(getContext().getString(R.string.picture_choose_max_seconds, Integer.valueOf(this.config.videoMaxSecond / 1000)));
                            return;
                        }
                    } else if (size >= this.config.maxSelectNum && !this.check.isSelected()) {
                        showPromptDialog(getString(R.string.picture_message_max_num, new Object[]{Integer.valueOf(this.config.maxSelectNum)}));
                        return;
                    }
                } else if (!TextUtils.isEmpty(mimeType) && !PictureMimeType.isMimeTypeSame(mimeType, item.getMimeType())) {
                    showPromptDialog(getString(R.string.picture_rule));
                    return;
                } else if (!PictureMimeType.isHasVideo(mimeType) || (i5 = this.config.maxVideoSelectNum) <= 0) {
                    if (size >= this.config.maxSelectNum && !this.check.isSelected()) {
                        showPromptDialog(StringUtils.getMsg(getContext(), mimeType, this.config.maxSelectNum));
                        return;
                    } else if (PictureMimeType.isHasVideo(item.getMimeType())) {
                        if (!this.check.isSelected() && this.config.videoMinSecond > 0 && item.getDuration() < ((long) this.config.videoMinSecond)) {
                            showPromptDialog(getContext().getString(R.string.picture_choose_min_seconds, Integer.valueOf(this.config.videoMinSecond / 1000)));
                            return;
                        } else if (!this.check.isSelected() && this.config.videoMaxSecond > 0 && item.getDuration() > ((long) this.config.videoMaxSecond)) {
                            showPromptDialog(getContext().getString(R.string.picture_choose_max_seconds, Integer.valueOf(this.config.videoMaxSecond / 1000)));
                            return;
                        }
                    }
                } else if (size >= i5 && !this.check.isSelected()) {
                    showPromptDialog(StringUtils.getMsg(getContext(), mimeType, this.config.maxVideoSelectNum));
                    return;
                } else if (!this.check.isSelected() && this.config.videoMinSecond > 0 && item.getDuration() < ((long) this.config.videoMinSecond)) {
                    showPromptDialog(getContext().getString(R.string.picture_choose_min_seconds, Integer.valueOf(this.config.videoMinSecond / 1000)));
                    return;
                } else if (!this.check.isSelected() && this.config.videoMaxSecond > 0 && item.getDuration() > ((long) this.config.videoMaxSecond)) {
                    showPromptDialog(getContext().getString(R.string.picture_choose_max_seconds, Integer.valueOf(this.config.videoMaxSecond / 1000)));
                    return;
                }
                if (!this.check.isSelected()) {
                    this.check.setSelected(true);
                    this.check.startAnimation(this.animation);
                    z4 = true;
                } else {
                    this.check.setSelected(false);
                    z4 = false;
                }
                this.isChangeSelectedData = true;
                if (z4) {
                    VoiceUtils.getInstance().play();
                    if (this.config.selectionMode == 1) {
                        this.selectData.clear();
                    }
                    this.selectData.add(item);
                    onSelectedChange(true, item);
                    item.setNum(this.selectData.size());
                    if (this.config.checkNumMode) {
                        this.check.setText(ValueOf.toString(Integer.valueOf(item.getNum())));
                    }
                } else {
                    int size2 = this.selectData.size();
                    int i8 = 0;
                    while (true) {
                        if (i8 >= size2) {
                            break;
                        }
                        localMedia = this.selectData.get(i8);
                        if (localMedia.getPath().equals(item.getPath()) || localMedia.getId() == item.getId()) {
                            this.selectData.remove(localMedia);
                            onSelectedChange(false, item);
                            subSelectPosition();
                            notifyCheckChanged(localMedia);
                        } else {
                            i8++;
                        }
                    }
                    this.selectData.remove(localMedia);
                    onSelectedChange(false, item);
                    subSelectPosition();
                    notifyCheckChanged(localMedia);
                }
                onSelectNumChange(true);
                return;
            }
            ToastUtils.s(getContext(), PictureMimeType.s(getContext(), item.getMimeType()));
        }
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.pictureLeftBack) {
            onBackPressed();
        } else if (id == R.id.picture_tv_ok || id == R.id.tv_media_num) {
            onComplete();
        } else if (id == R.id.btnCheck) {
            onCheckedComplete();
        } else if (id == R.id.picture_id_editor) {
            onEditorImage();
        }
    }

    /* access modifiers changed from: protected */
    public void onComplete() {
        int i5;
        String string;
        int i6;
        int size = this.selectData.size();
        LocalMedia localMedia = this.selectData.size() > 0 ? this.selectData.get(0) : null;
        String mimeType = localMedia != null ? localMedia.getMimeType() : "";
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.isWithVideoImage) {
            int size2 = this.selectData.size();
            int i7 = 0;
            int i8 = 0;
            for (int i9 = 0; i9 < size2; i9++) {
                if (PictureMimeType.isHasVideo(this.selectData.get(i9).getMimeType())) {
                    i8++;
                } else {
                    i7++;
                }
            }
            PictureSelectionConfig pictureSelectionConfig2 = this.config;
            if (pictureSelectionConfig2.selectionMode == 2) {
                int i10 = pictureSelectionConfig2.minSelectNum;
                if (i10 <= 0 || i7 >= i10) {
                    int i11 = pictureSelectionConfig2.minVideoSelectNum;
                    if (i11 > 0 && i8 < i11) {
                        string = getString(R.string.picture_min_video_num, new Object[]{Integer.valueOf(i11)});
                    }
                } else {
                    string = getString(R.string.picture_min_img_num, new Object[]{Integer.valueOf(i10)});
                }
            }
            this.isCompleteOrSelected = true;
            this.isChangeSelectedData = true;
            if (this.config.chooseMode == PictureMimeType.ofAll() || !this.config.isWithVideoImage) {
                separateMimeTypeWith(mimeType, localMedia);
                return;
            } else {
                bothMimeTypeWith(mimeType, localMedia);
                return;
            }
        } else {
            if (pictureSelectionConfig.selectionMode == 2) {
                if (PictureMimeType.isHasImage(mimeType) && (i6 = this.config.minSelectNum) > 0 && size < i6) {
                    string = getString(R.string.picture_min_img_num, new Object[]{Integer.valueOf(i6)});
                } else if (PictureMimeType.isHasVideo(mimeType) && (i5 = this.config.minVideoSelectNum) > 0 && size < i5) {
                    string = getString(R.string.picture_min_video_num, new Object[]{Integer.valueOf(i5)});
                }
            }
            this.isCompleteOrSelected = true;
            this.isChangeSelectedData = true;
            if (this.config.chooseMode == PictureMimeType.ofAll()) {
            }
            separateMimeTypeWith(mimeType, localMedia);
            return;
        }
        showPromptDialog(string);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.e, androidx.core.app.e, com.luck.picture.lib.PictureBaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        if (bundle != null) {
            List<LocalMedia> obtainSelectorList = PictureSelector.obtainSelectorList(bundle);
            if (obtainSelectorList == null) {
                obtainSelectorList = this.selectData;
            }
            this.selectData = obtainSelectorList;
            this.isCompleteOrSelected = bundle.getBoolean(PictureConfig.EXTRA_COMPLETE_SELECTED, false);
            this.isChangeSelectedData = bundle.getBoolean(PictureConfig.EXTRA_CHANGE_SELECTED_DATA, false);
            onImageChecked(this.position);
            onSelectNumChange(false);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.e, com.luck.picture.lib.PictureBaseActivity, androidx.appcompat.app.d
    public void onDestroy() {
        super.onDestroy();
        Animation animation2 = this.animation;
        if (animation2 != null) {
            animation2.cancel();
        }
        PictureSimpleFragmentAdapter pictureSimpleFragmentAdapter = this.adapter;
        if (pictureSimpleFragmentAdapter != null) {
            pictureSimpleFragmentAdapter.clear();
        }
    }

    /* access modifiers changed from: protected */
    public void onEditorImage() {
        if (this.adapter.getSize() > 0) {
            LocalMedia item = this.adapter.getItem(this.viewPager.getCurrentItem());
            UCropManager.ofEditorImage(this, item.getPath(), item.getMimeType(), item.getWidth(), item.getHeight());
        }
    }

    public void onImageChecked(int i5) {
        if (this.adapter.getSize() > 0) {
            LocalMedia item = this.adapter.getItem(i5);
            if (item != null) {
                this.check.setSelected(isSelected(item));
                return;
            }
            return;
        }
        this.check.setSelected(false);
    }

    /* access modifiers changed from: protected */
    public void onPageSelectedChange(LocalMedia localMedia) {
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.e, com.luck.picture.lib.PictureBaseActivity
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        bundle.putBoolean(PictureConfig.EXTRA_COMPLETE_SELECTED, this.isCompleteOrSelected);
        bundle.putBoolean(PictureConfig.EXTRA_CHANGE_SELECTED_DATA, this.isChangeSelectedData);
        PictureSelector.saveSelectorList(bundle, this.selectData);
        if (this.adapter != null) {
            ImagesObservable.getInstance().saveData(this.adapter.getData());
        }
    }

    /* access modifiers changed from: protected */
    public void onSelectNumChange(boolean z4) {
        TextView textView;
        String str;
        int i5;
        int i6;
        this.refresh = z4;
        if (this.selectData.size() != 0) {
            this.mTvPictureOk.setEnabled(true);
            this.mTvPictureOk.setSelected(true);
            PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
            if (pictureParameterStyle != null) {
                int i7 = pictureParameterStyle.pictureCompleteTextColor;
                if (i7 != 0) {
                    this.mTvPictureOk.setTextColor(i7);
                } else {
                    this.mTvPictureOk.setTextColor(a.b(getContext(), R.color.picture_color_fa632d));
                }
            }
            if (this.numComplete) {
                initCompleteText(this.selectData.size());
                return;
            }
            if (this.refresh) {
                this.tvMediaNum.startAnimation(this.animation);
            }
            this.tvMediaNum.setVisibility(0);
            this.tvMediaNum.setText(ValueOf.toString(Integer.valueOf(this.selectData.size())));
            PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle != null) {
                i6 = pictureSelectorUIStyle.picture_bottom_completeNormalText;
                if (i6 == 0) {
                    return;
                }
            } else {
                PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
                if (pictureParameterStyle2 == null) {
                    textView = this.mTvPictureOk;
                    i5 = R.string.picture_completed;
                    str = getString(i5);
                    textView.setText(str);
                    return;
                } else if (!TextUtils.isEmpty(pictureParameterStyle2.pictureCompleteText)) {
                    textView = this.mTvPictureOk;
                    str = PictureSelectionConfig.style.pictureCompleteText;
                    textView.setText(str);
                    return;
                } else {
                    return;
                }
            }
        } else {
            this.mTvPictureOk.setEnabled(false);
            this.mTvPictureOk.setSelected(false);
            PictureParameterStyle pictureParameterStyle3 = PictureSelectionConfig.style;
            if (pictureParameterStyle3 != null) {
                int i8 = pictureParameterStyle3.pictureUnCompleteTextColor;
                if (i8 != 0) {
                    this.mTvPictureOk.setTextColor(i8);
                } else {
                    this.mTvPictureOk.setTextColor(a.b(getContext(), R.color.picture_color_9b));
                }
            }
            if (this.numComplete) {
                initCompleteText(0);
                return;
            }
            this.tvMediaNum.setVisibility(4);
            PictureSelectorUIStyle pictureSelectorUIStyle2 = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle2 != null) {
                i6 = pictureSelectorUIStyle2.picture_bottom_completeDefaultText;
                if (i6 == 0) {
                    return;
                }
            } else {
                PictureParameterStyle pictureParameterStyle4 = PictureSelectionConfig.style;
                if (pictureParameterStyle4 == null) {
                    textView = this.mTvPictureOk;
                    i5 = R.string.picture_please_select;
                    str = getString(i5);
                    textView.setText(str);
                    return;
                } else if (!TextUtils.isEmpty(pictureParameterStyle4.pictureUnCompleteText)) {
                    textView = this.mTvPictureOk;
                    str = PictureSelectionConfig.style.pictureUnCompleteText;
                    textView.setText(str);
                    return;
                } else {
                    return;
                }
            }
        }
        this.mTvPictureOk.setText(i6);
    }

    /* access modifiers changed from: protected */
    public void onSelectedChange(boolean z4, LocalMedia localMedia) {
    }

    /* access modifiers changed from: protected */
    public void onUpdateGalleryChange(LocalMedia localMedia) {
    }

    /* access modifiers changed from: protected */
    public void onUpdateSelectedChange(LocalMedia localMedia) {
    }
}
