package com.luck.picture.lib;

import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.res.ColorStateList;
import android.media.MediaPlayer;
import android.net.Uri;
import android.os.Bundle;
import android.os.Parcelable;
import android.os.SystemClock;
import android.text.TextUtils;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.SeekBar;
import android.widget.TextView;
import androidx.core.content.a;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.l;
import com.luck.picture.lib.adapter.PictureImageGridAdapter;
import com.luck.picture.lib.animators.AlphaInAnimationAdapter;
import com.luck.picture.lib.animators.SlideInBottomAnimationAdapter;
import com.luck.picture.lib.config.PictureConfig;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.decoration.GridSpacingItemDecoration;
import com.luck.picture.lib.dialog.PhotoItemSelectedDialog;
import com.luck.picture.lib.dialog.PictureCustomDialog;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.entity.LocalMediaFolder;
import com.luck.picture.lib.entity.MediaExtraInfo;
import com.luck.picture.lib.listener.OnAlbumItemClickListener;
import com.luck.picture.lib.listener.OnCustomCameraInterfaceListener;
import com.luck.picture.lib.listener.OnCustomImagePreviewCallback;
import com.luck.picture.lib.listener.OnItemClickListener;
import com.luck.picture.lib.listener.OnPermissionDialogOptionCallback;
import com.luck.picture.lib.listener.OnPermissionsObtainCallback;
import com.luck.picture.lib.listener.OnPhotoSelectChangedListener;
import com.luck.picture.lib.listener.OnQueryDataResultListener;
import com.luck.picture.lib.listener.OnRecyclerViewPreloadMoreListener;
import com.luck.picture.lib.listener.OnResultCallbackListener;
import com.luck.picture.lib.listener.OnVideoSelectedPlayCallback;
import com.luck.picture.lib.manager.UCropManager;
import com.luck.picture.lib.model.IBridgeMediaLoader;
import com.luck.picture.lib.observable.ImagesObservable;
import com.luck.picture.lib.permissions.PermissionChecker;
import com.luck.picture.lib.style.PictureParameterStyle;
import com.luck.picture.lib.style.PictureSelectorUIStyle;
import com.luck.picture.lib.tools.AlbumUtils;
import com.luck.picture.lib.tools.AttrsUtils;
import com.luck.picture.lib.tools.BitmapUtils;
import com.luck.picture.lib.tools.CameraFileUtils;
import com.luck.picture.lib.tools.DateUtils;
import com.luck.picture.lib.tools.DoubleUtils;
import com.luck.picture.lib.tools.JumpUtils;
import com.luck.picture.lib.tools.MediaUtils;
import com.luck.picture.lib.tools.PictureFileUtils;
import com.luck.picture.lib.tools.ScreenUtils;
import com.luck.picture.lib.tools.SdkVersionUtils;
import com.luck.picture.lib.tools.SortUtils;
import com.luck.picture.lib.tools.StringUtils;
import com.luck.picture.lib.tools.ToastUtils;
import com.luck.picture.lib.tools.ValueOf;
import com.luck.picture.lib.widget.FolderPopWindow;
import com.luck.picture.lib.widget.RecyclerPreloadView;
import com.yalantis.ucrop.UCrop;
import com.yalantis.ucrop.view.CropImageView;
import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class PictureSelectorActivity extends PictureBaseActivity implements View.OnClickListener, OnAlbumItemClickListener, OnPhotoSelectChangedListener<LocalMedia>, OnItemClickListener, OnRecyclerViewPreloadMoreListener {
    private static final String TAG = PictureSelectorActivity.class.getSimpleName();
    private int allFolderSize;
    protected Animation animation = null;
    protected PictureCustomDialog audioDialog;
    protected FolderPopWindow folderWindow;
    private long intervalClickTime = 0;
    protected boolean isEnterSetting;
    protected boolean isPlayAudio = false;
    protected boolean isStartAnimation = false;
    protected PictureImageGridAdapter mAdapter;
    protected RelativeLayout mBottomLayout;
    protected CheckBox mCbOriginal;
    protected ImageView mIvArrow;
    protected ImageView mIvPictureLeftBack;
    private int mOpenCameraCount;
    protected RecyclerPreloadView mRecyclerView;
    public Runnable mRunnable = new Runnable() {
        /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass9 */

        public void run() {
            try {
                PictureSelectorActivity pictureSelectorActivity = PictureSelectorActivity.this;
                MediaPlayer mediaPlayer = pictureSelectorActivity.mediaPlayer;
                if (mediaPlayer != null) {
                    pictureSelectorActivity.mTvMusicTime.setText(DateUtils.formatDurationTime((long) mediaPlayer.getCurrentPosition()));
                    PictureSelectorActivity pictureSelectorActivity2 = PictureSelectorActivity.this;
                    pictureSelectorActivity2.musicSeekBar.setProgress(pictureSelectorActivity2.mediaPlayer.getCurrentPosition());
                    PictureSelectorActivity pictureSelectorActivity3 = PictureSelectorActivity.this;
                    pictureSelectorActivity3.musicSeekBar.setMax(pictureSelectorActivity3.mediaPlayer.getDuration());
                    PictureSelectorActivity pictureSelectorActivity4 = PictureSelectorActivity.this;
                    pictureSelectorActivity4.mTvMusicTotal.setText(DateUtils.formatDurationTime((long) pictureSelectorActivity4.mediaPlayer.getDuration()));
                    PictureSelectorActivity pictureSelectorActivity5 = PictureSelectorActivity.this;
                    pictureSelectorActivity5.mHandler.postDelayed(pictureSelectorActivity5.mRunnable, 200);
                }
            } catch (Exception e5) {
                e5.printStackTrace();
            }
        }
    };
    protected View mTitleBar;
    protected TextView mTvEmpty;
    protected TextView mTvMusicStatus;
    protected TextView mTvMusicTime;
    protected TextView mTvMusicTotal;
    protected TextView mTvPictureImgNum;
    protected TextView mTvPictureOk;
    protected TextView mTvPicturePreview;
    protected TextView mTvPictureRight;
    protected TextView mTvPictureTitle;
    protected TextView mTvPlayPause;
    protected TextView mTvQuit;
    protected TextView mTvStop;
    protected MediaPlayer mediaPlayer;
    protected SeekBar musicSeekBar;
    protected int oldCurrentListSize;
    protected View viewClickMask;

    public class onAudioOnClick implements View.OnClickListener {
        private String path;

        public onAudioOnClick(String str) {
            this.path = str;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private /* synthetic */ void lambda$onClick$0() {
            PictureSelectorActivity.this.stop(this.path);
        }

        public void onClick(View view) {
            int id = view.getId();
            if (id == R.id.tv_PlayPause) {
                PictureSelectorActivity.this.playAudio();
            }
            if (id == R.id.tv_Stop) {
                PictureSelectorActivity pictureSelectorActivity = PictureSelectorActivity.this;
                pictureSelectorActivity.mTvMusicStatus.setText(pictureSelectorActivity.getString(R.string.picture_stop_audio));
                PictureSelectorActivity pictureSelectorActivity2 = PictureSelectorActivity.this;
                pictureSelectorActivity2.mTvPlayPause.setText(pictureSelectorActivity2.getString(R.string.picture_play_audio));
                PictureSelectorActivity.this.stop(this.path);
            }
            if (id == R.id.tv_Quit) {
                PictureSelectorActivity.this.mHandler.postDelayed(new t(this), 30);
                try {
                    PictureCustomDialog pictureCustomDialog = PictureSelectorActivity.this.audioDialog;
                    if (pictureCustomDialog != null && pictureCustomDialog.isShowing()) {
                        PictureSelectorActivity.this.audioDialog.dismiss();
                    }
                } catch (Exception e5) {
                    e5.printStackTrace();
                }
                PictureSelectorActivity pictureSelectorActivity3 = PictureSelectorActivity.this;
                pictureSelectorActivity3.mHandler.removeCallbacks(pictureSelectorActivity3.mRunnable);
            }
        }
    }

    private void bothMimeTypeWith(boolean z4, List<LocalMedia> list) {
        int i5 = 0;
        LocalMedia localMedia = list.size() > 0 ? list.get(0) : null;
        if (localMedia != null) {
            PictureSelectionConfig pictureSelectionConfig = this.config;
            if (!pictureSelectionConfig.enableCrop || pictureSelectionConfig.isCheckOriginalImage) {
                if (pictureSelectionConfig.isCompress) {
                    int size = list.size();
                    int i6 = 0;
                    while (true) {
                        if (i6 >= size) {
                            break;
                        } else if (PictureMimeType.isHasImage(list.get(i6).getMimeType())) {
                            i5 = 1;
                            break;
                        } else {
                            i6++;
                        }
                    }
                    if (i5 > 0) {
                        compressImage(list);
                        return;
                    }
                }
            } else if (pictureSelectionConfig.selectionMode != 1 || !z4) {
                int size2 = list.size();
                int i7 = 0;
                while (i5 < size2) {
                    LocalMedia localMedia2 = list.get(i5);
                    if (localMedia2 != null && !TextUtils.isEmpty(localMedia2.getPath()) && PictureMimeType.isHasImage(localMedia2.getMimeType())) {
                        i7++;
                    }
                    i5++;
                }
                if (i7 > 0) {
                    UCropManager.ofCrop(this, (ArrayList) list);
                    return;
                }
            } else {
                pictureSelectionConfig.originalPath = localMedia.getPath();
                UCropManager.ofCrop(this, this.config.originalPath, localMedia.getMimeType(), localMedia.getWidth(), localMedia.getHeight());
                return;
            }
            onResult(list);
        }
    }

    private boolean checkVideoLegitimacy(LocalMedia localMedia) {
        String str;
        if (!PictureMimeType.isHasVideo(localMedia.getMimeType())) {
            return true;
        }
        PictureSelectionConfig pictureSelectionConfig = this.config;
        int i5 = pictureSelectionConfig.videoMinSecond;
        if (i5 <= 0 || pictureSelectionConfig.videoMaxSecond <= 0) {
            if (i5 > 0) {
                long duration = localMedia.getDuration();
                int i6 = this.config.videoMinSecond;
                if (duration >= ((long) i6)) {
                    return true;
                }
                str = getString(R.string.picture_choose_min_seconds, new Object[]{Integer.valueOf(i6 / 1000)});
            } else if (pictureSelectionConfig.videoMaxSecond <= 0) {
                return true;
            } else {
                long duration2 = localMedia.getDuration();
                int i7 = this.config.videoMaxSecond;
                if (duration2 <= ((long) i7)) {
                    return true;
                }
                str = getString(R.string.picture_choose_max_seconds, new Object[]{Integer.valueOf(i7 / 1000)});
            }
        } else if (localMedia.getDuration() >= ((long) this.config.videoMinSecond) && localMedia.getDuration() <= ((long) this.config.videoMaxSecond)) {
            return true;
        } else {
            str = getString(R.string.picture_choose_limit_seconds, new Object[]{Integer.valueOf(this.config.videoMinSecond / 1000), Integer.valueOf(this.config.videoMaxSecond / 1000)});
        }
        showPromptDialog(str);
        return false;
    }

    private void dispatchHandleCamera(Intent intent) {
        PictureSelectionConfig pictureSelectionConfig;
        String imageMimeType;
        long lastModified;
        long duration;
        int dCIMLastImageId;
        long duration2;
        String str = null;
        if (intent != null) {
            try {
                pictureSelectionConfig = (PictureSelectionConfig) intent.getParcelableExtra(PictureConfig.EXTRA_CONFIG);
            } catch (Exception e5) {
                e5.printStackTrace();
                return;
            }
        } else {
            pictureSelectionConfig = null;
        }
        if (pictureSelectionConfig != null) {
            this.config = pictureSelectionConfig;
        }
        if (this.config.chooseMode == PictureMimeType.ofAudio()) {
            this.config.cameraMimeType = PictureMimeType.ofAudio();
            this.config.cameraPath = getAudioPath(intent);
            if (!TextUtils.isEmpty(this.config.cameraPath)) {
                if (SdkVersionUtils.isR()) {
                    try {
                        Uri createAudioUri = CameraFileUtils.createAudioUri(getContext(), TextUtils.isEmpty(this.config.cameraAudioFormatForQ) ? this.config.suffixType : this.config.cameraAudioFormatForQ);
                        if (createAudioUri != null) {
                            PictureFileUtils.writeFileFromIS(PictureContentResolver.getContentResolverOpenInputStream(this, Uri.parse(this.config.cameraPath)), PictureContentResolver.getContentResolverOpenOutputStream(this, createAudioUri));
                            this.config.cameraPath = createAudioUri.toString();
                        }
                    } catch (Exception e6) {
                        e6.printStackTrace();
                    }
                }
            } else {
                return;
            }
        }
        if (!TextUtils.isEmpty(this.config.cameraPath)) {
            LocalMedia localMedia = new LocalMedia();
            if (PictureMimeType.isContent(this.config.cameraPath)) {
                String path = PictureFileUtils.getPath(getContext(), Uri.parse(this.config.cameraPath));
                File file = new File(path);
                imageMimeType = PictureMimeType.getImageMimeType(path, this.config.cameraMimeType);
                localMedia.setSize(file.length());
                localMedia.setFileName(file.getName());
                if (PictureMimeType.isHasImage(imageMimeType)) {
                    MediaExtraInfo imageSize = MediaUtils.getImageSize(getContext(), this.config.cameraPath);
                    localMedia.setWidth(imageSize.getWidth());
                    localMedia.setHeight(imageSize.getHeight());
                } else {
                    if (PictureMimeType.isHasVideo(imageMimeType)) {
                        MediaExtraInfo videoSize = MediaUtils.getVideoSize(getContext(), this.config.cameraPath);
                        localMedia.setWidth(videoSize.getWidth());
                        localMedia.setHeight(videoSize.getHeight());
                        duration2 = videoSize.getDuration();
                    } else if (PictureMimeType.isHasAudio(imageMimeType)) {
                        duration2 = MediaUtils.getAudioSize(getContext(), this.config.cameraPath).getDuration();
                    }
                    localMedia.setDuration(duration2);
                }
                int lastIndexOf = this.config.cameraPath.lastIndexOf("/") + 1;
                localMedia.setId(lastIndexOf > 0 ? ValueOf.toLong(this.config.cameraPath.substring(lastIndexOf)) : -1);
                localMedia.setRealPath(path);
                String stringExtra = intent != null ? intent.getStringExtra(PictureConfig.EXTRA_MEDIA_PATH) : null;
                if (!PictureMimeType.isContent(stringExtra)) {
                    str = stringExtra;
                }
                localMedia.setAndroidQToPath(str);
                localMedia.setBucketId(AlbumUtils.generateCameraBucketId(getContext(), file, ""));
                lastModified = file.lastModified() / 1000;
            } else {
                File file2 = new File(this.config.cameraPath);
                PictureSelectionConfig pictureSelectionConfig2 = this.config;
                imageMimeType = PictureMimeType.getImageMimeType(pictureSelectionConfig2.cameraPath, pictureSelectionConfig2.cameraMimeType);
                localMedia.setSize(file2.length());
                localMedia.setFileName(file2.getName());
                if (PictureMimeType.isHasImage(imageMimeType)) {
                    Context context = getContext();
                    PictureSelectionConfig pictureSelectionConfig3 = this.config;
                    BitmapUtils.rotateImage(context, pictureSelectionConfig3.isCameraRotateImage, pictureSelectionConfig3.cameraPath);
                    MediaExtraInfo imageSize2 = MediaUtils.getImageSize(getContext(), this.config.cameraPath);
                    localMedia.setWidth(imageSize2.getWidth());
                    localMedia.setHeight(imageSize2.getHeight());
                } else {
                    if (PictureMimeType.isHasVideo(imageMimeType)) {
                        MediaExtraInfo videoSize2 = MediaUtils.getVideoSize(getContext(), this.config.cameraPath);
                        localMedia.setWidth(videoSize2.getWidth());
                        localMedia.setHeight(videoSize2.getHeight());
                        duration = videoSize2.getDuration();
                    } else if (PictureMimeType.isHasAudio(imageMimeType)) {
                        duration = MediaUtils.getAudioSize(getContext(), this.config.cameraPath).getDuration();
                    }
                    localMedia.setDuration(duration);
                }
                localMedia.setId(System.currentTimeMillis());
                localMedia.setRealPath(this.config.cameraPath);
                if (intent != null) {
                    str = intent.getStringExtra(PictureConfig.EXTRA_MEDIA_PATH);
                }
                if (SdkVersionUtils.isQ()) {
                    if (TextUtils.isEmpty(str) || PictureMimeType.isContent(str)) {
                        localMedia.setAndroidQToPath(this.config.cameraPath);
                    } else {
                        localMedia.setAndroidQToPath(str);
                    }
                }
                localMedia.setBucketId(AlbumUtils.generateCameraBucketId(getContext(), file2, this.config.outPutCameraPath));
                lastModified = file2.lastModified() / 1000;
            }
            localMedia.setDateAddedTime(lastModified);
            localMedia.setPath(this.config.cameraPath);
            localMedia.setMimeType(imageMimeType);
            PictureSelectionConfig pictureSelectionConfig4 = this.config;
            localMedia.setParentFolderName(AlbumUtils.generateCameraFolderName(pictureSelectionConfig4.cameraPath, imageMimeType, pictureSelectionConfig4.outPutCameraPath));
            localMedia.setChooseModel(this.config.chooseMode);
            notifyAdapterData(localMedia);
            if (!SdkVersionUtils.isQ()) {
                if (this.config.isFallbackVersion3) {
                    new PictureMediaScannerConnection(getContext(), this.config.cameraPath);
                } else {
                    sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.fromFile(new File(this.config.cameraPath))));
                }
                if (PictureMimeType.isHasImage(localMedia.getMimeType()) && (dCIMLastImageId = MediaUtils.getDCIMLastImageId(getContext())) != -1) {
                    MediaUtils.removeMedia(getContext(), dCIMLastImageId);
                }
            } else if (PictureMimeType.isHasVideo(localMedia.getMimeType()) && PictureMimeType.isContent(this.config.cameraPath)) {
                if (this.config.isFallbackVersion3) {
                    new PictureMediaScannerConnection(getContext(), localMedia.getRealPath());
                } else {
                    sendBroadcast(new Intent("android.intent.action.MEDIA_SCANNER_SCAN_FILE", Uri.fromFile(new File(localMedia.getRealPath()))));
                }
            }
        }
    }

    private void dispatchHandleMultiple(LocalMedia localMedia) {
        String str;
        Context context;
        int i5;
        int i6;
        List<LocalMedia> selectedData = this.mAdapter.getSelectedData();
        int size = selectedData.size();
        String mimeType = size > 0 ? selectedData.get(0).getMimeType() : "";
        boolean isMimeTypeSame = PictureMimeType.isMimeTypeSame(mimeType, localMedia.getMimeType());
        if (this.config.isWithVideoImage) {
            int i7 = 0;
            for (int i8 = 0; i8 < size; i8++) {
                if (PictureMimeType.isHasVideo(selectedData.get(i8).getMimeType())) {
                    i7++;
                }
            }
            if (PictureMimeType.isHasVideo(localMedia.getMimeType())) {
                int i9 = this.config.maxVideoSelectNum;
                if (i9 <= 0) {
                    str = getString(R.string.picture_rule);
                } else if (i7 >= i9) {
                    str = getString(R.string.picture_message_max_num, new Object[]{Integer.valueOf(i9)});
                }
                showPromptDialog(str);
                return;
            } else if (selectedData.size() >= this.config.maxSelectNum) {
                str = StringUtils.getMsg(getContext(), localMedia.getMimeType(), this.config.maxSelectNum);
                showPromptDialog(str);
                return;
            }
        } else {
            if (!PictureMimeType.isHasVideo(mimeType) || (i6 = this.config.maxVideoSelectNum) <= 0) {
                if (size >= this.config.maxSelectNum) {
                    context = getContext();
                    i5 = this.config.maxSelectNum;
                } else if (!isMimeTypeSame && size != 0) {
                    return;
                }
            } else if (size >= i6) {
                context = getContext();
                i5 = this.config.maxVideoSelectNum;
            } else if ((!isMimeTypeSame && size != 0) || selectedData.size() >= this.config.maxVideoSelectNum) {
                return;
            }
            str = StringUtils.getMsg(context, mimeType, i5);
            showPromptDialog(str);
            return;
        }
        selectedData.add(localMedia);
        this.mAdapter.bindSelectData(selectedData);
    }

    private void dispatchHandleSingle(LocalMedia localMedia) {
        List<LocalMedia> selectedData = this.mAdapter.getSelectedData();
        if (this.config.isSingleDirectReturn) {
            selectedData.add(localMedia);
            this.mAdapter.bindSelectData(selectedData);
            singleDirectReturnCameraHandleResult(localMedia);
            return;
        }
        if (PictureMimeType.isMimeTypeSame(selectedData.size() > 0 ? selectedData.get(0).getMimeType() : "", localMedia.getMimeType()) || selectedData.size() == 0) {
            singleRadioMediaImage();
            selectedData.add(localMedia);
            this.mAdapter.bindSelectData(selectedData);
        }
    }

    private int getPageLimit() {
        if (ValueOf.toInt(this.mTvPictureTitle.getTag(R.id.view_tag)) != -1) {
            return this.config.pageSize;
        }
        int i5 = this.mOpenCameraCount;
        int i6 = i5 > 0 ? this.config.pageSize - i5 : this.config.pageSize;
        this.mOpenCameraCount = 0;
        return i6;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void hideDataNull() {
        if (this.mTvEmpty.getVisibility() == 0) {
            this.mTvEmpty.setVisibility(8);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initAllModel(List<LocalMediaFolder> list) {
        String str;
        int i5;
        if (list != null) {
            if (list.size() > 0) {
                this.folderWindow.bindFolder(list);
                LocalMediaFolder localMediaFolder = list.get(0);
                localMediaFolder.setChecked(true);
                this.mTvPictureTitle.setTag(R.id.view_count_tag, Integer.valueOf(localMediaFolder.getImageNum()));
                List<LocalMedia> data = localMediaFolder.getData();
                PictureImageGridAdapter pictureImageGridAdapter = this.mAdapter;
                if (pictureImageGridAdapter != null) {
                    int size = pictureImageGridAdapter.getSize();
                    int size2 = data.size();
                    int i6 = this.oldCurrentListSize + size;
                    this.oldCurrentListSize = i6;
                    if (size2 >= size) {
                        if (size <= 0 || size >= size2 || i6 == size2) {
                            this.mAdapter.bindData(data);
                        } else {
                            this.mAdapter.getData().addAll(data);
                            LocalMedia localMedia = this.mAdapter.getData().get(0);
                            localMediaFolder.setFirstImagePath(localMedia.getPath());
                            localMediaFolder.getData().add(0, localMedia);
                            localMediaFolder.setCheckedNum(1);
                            localMediaFolder.setImageNum(localMediaFolder.getImageNum() + 1);
                            updateMediaFolder(this.folderWindow.getFolderData(), localMedia);
                        }
                    }
                    if (!this.mAdapter.isDataEmpty()) {
                        hideDataNull();
                    }
                }
                dismissDialog();
            }
            str = getString(R.string.picture_empty);
            i5 = R.drawable.picture_icon_no_data;
        } else {
            str = getString(R.string.picture_data_exception);
            i5 = R.drawable.picture_icon_data_error;
        }
        showDataNull(str, i5);
        dismissDialog();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initPageModel(List<LocalMediaFolder> list) {
        this.folderWindow.bindFolder(list);
        this.mPage = 1;
        final LocalMediaFolder folder = this.folderWindow.getFolder(0);
        this.mTvPictureTitle.setTag(R.id.view_count_tag, Integer.valueOf(folder != null ? folder.getImageNum() : 0));
        this.mTvPictureTitle.setTag(R.id.view_index_tag, 0);
        long bucketId = folder != null ? folder.getBucketId() : -1;
        this.mRecyclerView.setEnabledLoadMore(true);
        this.mLoader.loadPageMediaData(bucketId, this.mPage, new OnQueryDataResultListener<LocalMedia>() {
            /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass5 */

            @Override // com.luck.picture.lib.listener.OnQueryDataResultListener
            public void onComplete(List<LocalMedia> list, int i5, boolean z4) {
                LocalMediaFolder localMediaFolder;
                if (!PictureSelectorActivity.this.isFinishing()) {
                    PictureSelectorActivity.this.dismissDialog();
                    PictureSelectorActivity pictureSelectorActivity = PictureSelectorActivity.this;
                    if (pictureSelectorActivity.mAdapter != null) {
                        pictureSelectorActivity.isHasMore = true;
                        if (!z4 || list.size() != 0) {
                            int size = PictureSelectorActivity.this.mAdapter.getSize();
                            int size2 = list.size();
                            PictureSelectorActivity pictureSelectorActivity2 = PictureSelectorActivity.this;
                            int i6 = pictureSelectorActivity2.oldCurrentListSize + size;
                            pictureSelectorActivity2.oldCurrentListSize = i6;
                            if (size2 >= size) {
                                if (size <= 0 || size >= size2 || i6 == size2 || pictureSelectorActivity2.isLocalMediaSame(list.get(0))) {
                                    if (i5 == 1 && (localMediaFolder = folder) != null) {
                                        list.addAll(0, localMediaFolder.getData());
                                        SortUtils.sortLocalMediaAddedTime(list);
                                    }
                                    PictureSelectorActivity.this.mAdapter.bindData(list);
                                } else {
                                    PictureSelectorActivity.this.mAdapter.getData().addAll(list);
                                }
                            }
                            if (PictureSelectorActivity.this.mAdapter.isDataEmpty()) {
                                PictureSelectorActivity pictureSelectorActivity3 = PictureSelectorActivity.this;
                                pictureSelectorActivity3.showDataNull(pictureSelectorActivity3.getString(R.string.picture_empty), R.drawable.picture_icon_no_data);
                                return;
                            }
                            PictureSelectorActivity.this.hideDataNull();
                            return;
                        }
                        PictureSelectorActivity.this.onRecyclerViewPreloadMore();
                    }
                }
            }
        });
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void initPlayer(String str) {
        this.mediaPlayer = new MediaPlayer();
        try {
            if (PictureMimeType.isContent(str)) {
                this.mediaPlayer.setDataSource(getContext(), Uri.parse(str));
            } else {
                this.mediaPlayer.setDataSource(str);
            }
            this.mediaPlayer.prepare();
            this.mediaPlayer.setLooping(true);
            playAudio();
        } catch (Exception e5) {
            e5.printStackTrace();
        }
    }

    private boolean isAddSameImp(int i5) {
        int i6;
        return i5 != 0 && (i6 = this.allFolderSize) > 0 && i6 < i5;
    }

    private boolean isCurrentCacheFolderData(int i5) {
        this.mTvPictureTitle.setTag(R.id.view_index_tag, Integer.valueOf(i5));
        LocalMediaFolder folder = this.folderWindow.getFolder(i5);
        if (folder == null || folder.getData() == null || folder.getData().size() <= 0) {
            return false;
        }
        this.mAdapter.bindData(folder.getData());
        this.mPage = folder.getCurrentDataPage();
        this.isHasMore = folder.isHasMore();
        this.mRecyclerView.smoothScrollToPosition(0);
        return true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private boolean isLocalMediaSame(LocalMedia localMedia) {
        LocalMedia item = this.mAdapter.getItem(0);
        if (!(item == null || localMedia == null)) {
            if (item.getPath().equals(localMedia.getPath())) {
                return true;
            }
            if (PictureMimeType.isContent(localMedia.getPath()) && PictureMimeType.isContent(item.getPath()) && !TextUtils.isEmpty(localMedia.getPath()) && !TextUtils.isEmpty(item.getPath())) {
                return localMedia.getPath().substring(localMedia.getPath().lastIndexOf("/") + 1).equals(item.getPath().substring(item.getPath().lastIndexOf("/") + 1));
            }
        }
        return false;
    }

    private void isNumComplete(boolean z4) {
        if (z4) {
            initCompleteText(0);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private /* synthetic */ void lambda$initWidgets$0(CompoundButton compoundButton, boolean z4) {
        this.config.isCheckOriginalImage = z4;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private /* synthetic */ void lambda$showPermissionsDialog$2(PictureCustomDialog pictureCustomDialog, boolean z4, View view) {
        if (!isFinishing()) {
            pictureCustomDialog.dismiss();
        }
        if (!z4) {
            OnResultCallbackListener<LocalMedia> onResultCallbackListener = PictureSelectionConfig.listener;
            if (onResultCallbackListener != null) {
                onResultCallbackListener.onCancel();
            }
            exit();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private /* synthetic */ void lambda$showPermissionsDialog$3(PictureCustomDialog pictureCustomDialog, View view) {
        if (!isFinishing()) {
            pictureCustomDialog.dismiss();
        }
        PermissionChecker.launchAppDetailsSettings(getContext());
        this.isEnterSetting = true;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private /* synthetic */ void lambda$startPlayAudioDialog$1(final String str, DialogInterface dialogInterface) {
        this.mHandler.removeCallbacks(this.mRunnable);
        this.mHandler.postDelayed(new Runnable() {
            /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass8 */

            public void run() {
                PictureSelectorActivity.this.stop(str);
            }
        }, 30);
        try {
            PictureCustomDialog pictureCustomDialog = this.audioDialog;
            if (pictureCustomDialog != null && pictureCustomDialog.isShowing()) {
                this.audioDialog.dismiss();
            }
        } catch (Exception e5) {
            e5.printStackTrace();
        }
    }

    private void loadAllMediaData() {
        if (PermissionChecker.checkSelfPermission(this, "android.permission.READ_EXTERNAL_STORAGE")) {
            readLocalMedia();
        } else {
            PermissionChecker.requestPermissions(this, new String[]{"android.permission.READ_EXTERNAL_STORAGE"}, 1);
        }
    }

    private void loadMoreData() {
        if (this.mAdapter != null && this.isHasMore) {
            this.mPage++;
            final long j5 = ValueOf.toLong(this.mTvPictureTitle.getTag(R.id.view_tag));
            this.mLoader.loadPageMediaData(j5, this.mPage, getPageLimit(), new OnQueryDataResultListener<LocalMedia>() {
                /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass1 */

                @Override // com.luck.picture.lib.listener.OnQueryDataResultListener
                public void onComplete(List<LocalMedia> list, int i5, boolean z4) {
                    if (!PictureSelectorActivity.this.isFinishing()) {
                        PictureSelectorActivity pictureSelectorActivity = PictureSelectorActivity.this;
                        pictureSelectorActivity.isHasMore = z4;
                        if (z4) {
                            pictureSelectorActivity.hideDataNull();
                            int size = list.size();
                            if (size > 0) {
                                int size2 = PictureSelectorActivity.this.mAdapter.getSize();
                                PictureSelectorActivity.this.mAdapter.getData().addAll(list);
                                PictureSelectorActivity.this.mAdapter.notifyItemRangeChanged(size2, PictureSelectorActivity.this.mAdapter.getItemCount());
                            } else {
                                PictureSelectorActivity.this.onRecyclerViewPreloadMore();
                            }
                            if (size < 10) {
                                RecyclerPreloadView recyclerPreloadView = PictureSelectorActivity.this.mRecyclerView;
                                recyclerPreloadView.onScrolled(recyclerPreloadView.getScrollX(), PictureSelectorActivity.this.mRecyclerView.getScrollY());
                            }
                        } else if (pictureSelectorActivity.mAdapter.isDataEmpty()) {
                            PictureSelectorActivity pictureSelectorActivity2 = PictureSelectorActivity.this;
                            pictureSelectorActivity2.showDataNull(pictureSelectorActivity2.getString(j5 == -1 ? R.string.picture_empty : R.string.picture_data_null), R.drawable.picture_icon_no_data);
                        }
                    }
                }
            });
        }
    }

    private void manualSaveFolder(LocalMedia localMedia) {
        LocalMediaFolder localMediaFolder;
        try {
            boolean isEmpty = this.folderWindow.isEmpty();
            int imageNum = this.folderWindow.getFolder(0) != null ? this.folderWindow.getFolder(0).getImageNum() : 0;
            if (isEmpty) {
                createNewFolder(this.folderWindow.getFolderData());
                localMediaFolder = this.folderWindow.getFolderData().size() > 0 ? this.folderWindow.getFolderData().get(0) : null;
                if (localMediaFolder == null) {
                    localMediaFolder = new LocalMediaFolder();
                    this.folderWindow.getFolderData().add(0, localMediaFolder);
                }
            } else {
                localMediaFolder = this.folderWindow.getFolderData().get(0);
            }
            localMediaFolder.setFirstImagePath(localMedia.getPath());
            localMediaFolder.setFirstMimeType(localMedia.getMimeType());
            localMediaFolder.setData(this.mAdapter.getData());
            localMediaFolder.setBucketId(-1);
            localMediaFolder.setImageNum(isAddSameImp(imageNum) ? localMediaFolder.getImageNum() : localMediaFolder.getImageNum() + 1);
            LocalMediaFolder imageFolder = getImageFolder(localMedia.getPath(), localMedia.getRealPath(), localMedia.getMimeType(), this.folderWindow.getFolderData());
            if (imageFolder != null) {
                imageFolder.setImageNum(isAddSameImp(imageNum) ? imageFolder.getImageNum() : imageFolder.getImageNum() + 1);
                if (!isAddSameImp(imageNum)) {
                    imageFolder.getData().add(0, localMedia);
                }
                imageFolder.setBucketId(localMedia.getBucketId());
                imageFolder.setFirstImagePath(this.config.cameraPath);
                imageFolder.setFirstMimeType(localMedia.getMimeType());
            }
            FolderPopWindow folderPopWindow = this.folderWindow;
            folderPopWindow.bindFolder(folderPopWindow.getFolderData());
        } catch (Exception e5) {
            e5.printStackTrace();
        }
    }

    private void manualSaveFolderForPageModel(LocalMedia localMedia) {
        if (localMedia != null) {
            int size = this.folderWindow.getFolderData().size();
            boolean z4 = false;
            LocalMediaFolder localMediaFolder = size > 0 ? this.folderWindow.getFolderData().get(0) : new LocalMediaFolder();
            int imageNum = localMediaFolder.getImageNum();
            localMediaFolder.setFirstImagePath(localMedia.getPath());
            localMediaFolder.setFirstMimeType(localMedia.getMimeType());
            localMediaFolder.setImageNum(isAddSameImp(imageNum) ? localMediaFolder.getImageNum() : localMediaFolder.getImageNum() + 1);
            if (size == 0) {
                localMediaFolder.setName(getString(this.config.chooseMode == PictureMimeType.ofAudio() ? R.string.picture_all_audio : R.string.picture_camera_roll));
                localMediaFolder.setOfAllType(this.config.chooseMode);
                localMediaFolder.setCameraFolder(true);
                localMediaFolder.setChecked(true);
                localMediaFolder.setBucketId(-1);
                this.folderWindow.getFolderData().add(0, localMediaFolder);
                LocalMediaFolder localMediaFolder2 = new LocalMediaFolder();
                localMediaFolder2.setName(localMedia.getParentFolderName());
                localMediaFolder2.setImageNum(isAddSameImp(imageNum) ? localMediaFolder2.getImageNum() : localMediaFolder2.getImageNum() + 1);
                localMediaFolder2.setFirstImagePath(localMedia.getPath());
                localMediaFolder2.setFirstMimeType(localMedia.getMimeType());
                localMediaFolder2.setBucketId(localMedia.getBucketId());
                this.folderWindow.getFolderData().add(this.folderWindow.getFolderData().size(), localMediaFolder2);
            } else {
                String generateCameraFolderName = AlbumUtils.generateCameraFolderName(localMedia.getPath(), localMedia.getMimeType(), this.config.outPutCameraPath);
                int i5 = 0;
                while (true) {
                    if (i5 >= size) {
                        break;
                    }
                    LocalMediaFolder localMediaFolder3 = this.folderWindow.getFolderData().get(i5);
                    if (TextUtils.isEmpty(localMediaFolder3.getName()) || !localMediaFolder3.getName().startsWith(generateCameraFolderName)) {
                        i5++;
                    } else {
                        localMedia.setBucketId(localMediaFolder3.getBucketId());
                        localMediaFolder3.setFirstImagePath(this.config.cameraPath);
                        localMediaFolder3.setFirstMimeType(localMedia.getMimeType());
                        localMediaFolder3.setImageNum(isAddSameImp(imageNum) ? localMediaFolder3.getImageNum() : localMediaFolder3.getImageNum() + 1);
                        if (localMediaFolder3.getData() != null && localMediaFolder3.getData().size() > 0) {
                            localMediaFolder3.getData().add(0, localMedia);
                        }
                        z4 = true;
                    }
                }
                if (!z4) {
                    LocalMediaFolder localMediaFolder4 = new LocalMediaFolder();
                    localMediaFolder4.setName(localMedia.getParentFolderName());
                    localMediaFolder4.setImageNum(isAddSameImp(imageNum) ? localMediaFolder4.getImageNum() : localMediaFolder4.getImageNum() + 1);
                    localMediaFolder4.setFirstImagePath(localMedia.getPath());
                    localMediaFolder4.setFirstMimeType(localMedia.getMimeType());
                    localMediaFolder4.setBucketId(localMedia.getBucketId());
                    this.folderWindow.getFolderData().add(localMediaFolder4);
                    sortFolder(this.folderWindow.getFolderData());
                }
            }
            FolderPopWindow folderPopWindow = this.folderWindow;
            folderPopWindow.bindFolder(folderPopWindow.getFolderData());
        }
    }

    private void notifyAdapterData(LocalMedia localMedia) {
        if (this.mAdapter != null) {
            if (!isAddSameImp(this.folderWindow.getFolder(0) != null ? this.folderWindow.getFolder(0).getImageNum() : 0)) {
                this.mAdapter.getData().add(0, localMedia);
                this.mOpenCameraCount++;
            }
            if (checkVideoLegitimacy(localMedia)) {
                if (this.config.selectionMode == 1) {
                    dispatchHandleSingle(localMedia);
                } else {
                    dispatchHandleMultiple(localMedia);
                }
            }
            this.mAdapter.notifyItemInserted(this.config.isCamera ? 1 : 0);
            PictureImageGridAdapter pictureImageGridAdapter = this.mAdapter;
            pictureImageGridAdapter.notifyItemRangeChanged(this.config.isCamera ? 1 : 0, pictureImageGridAdapter.getSize());
            PictureSelectionConfig pictureSelectionConfig = this.config;
            if (pictureSelectionConfig.isOnlySandboxDir) {
                setTitle(localMedia.getParentFolderName());
            } else if (pictureSelectionConfig.isPageStrategy) {
                manualSaveFolderForPageModel(localMedia);
            } else {
                manualSaveFolder(localMedia);
            }
            this.mTvEmpty.setVisibility((this.mAdapter.getSize() > 0 || this.config.isSingleDirectReturn) ? 8 : 0);
            if (this.folderWindow.getFolder(0) != null) {
                this.mTvPictureTitle.setTag(R.id.view_count_tag, Integer.valueOf(this.folderWindow.getFolder(0).getImageNum()));
            }
            this.allFolderSize = 0;
        }
    }

    private void onComplete() {
        PictureSelectionConfig pictureSelectionConfig;
        String string;
        int i5;
        int i6;
        List<LocalMedia> selectedData = this.mAdapter.getSelectedData();
        int size = selectedData.size();
        LocalMedia localMedia = selectedData.size() > 0 ? selectedData.get(0) : null;
        String mimeType = localMedia != null ? localMedia.getMimeType() : "";
        boolean isHasImage = PictureMimeType.isHasImage(mimeType);
        PictureSelectionConfig pictureSelectionConfig2 = this.config;
        if (pictureSelectionConfig2.isWithVideoImage) {
            int i7 = 0;
            int i8 = 0;
            for (int i9 = 0; i9 < size; i9++) {
                if (PictureMimeType.isHasVideo(selectedData.get(i9).getMimeType())) {
                    i8++;
                } else {
                    i7++;
                }
            }
            PictureSelectionConfig pictureSelectionConfig3 = this.config;
            if (pictureSelectionConfig3.selectionMode == 2) {
                int i10 = pictureSelectionConfig3.minSelectNum;
                if (i10 <= 0 || i7 >= i10) {
                    int i11 = pictureSelectionConfig3.minVideoSelectNum;
                    if (i11 > 0 && i8 < i11) {
                        string = getString(R.string.picture_min_video_num, new Object[]{Integer.valueOf(i11)});
                    }
                } else {
                    string = getString(R.string.picture_min_img_num, new Object[]{Integer.valueOf(i10)});
                }
            }
            pictureSelectionConfig = this.config;
            if (!pictureSelectionConfig.returnEmpty && size == 0) {
                if (pictureSelectionConfig.selectionMode == 2) {
                    int i12 = pictureSelectionConfig.minSelectNum;
                    if (i12 <= 0 || size >= i12) {
                        int i13 = pictureSelectionConfig.minVideoSelectNum;
                        if (i13 > 0 && size < i13) {
                            string = getString(R.string.picture_min_video_num, new Object[]{Integer.valueOf(i13)});
                        }
                    } else {
                        string = getString(R.string.picture_min_img_num, new Object[]{Integer.valueOf(i12)});
                    }
                }
                OnResultCallbackListener<LocalMedia> onResultCallbackListener = PictureSelectionConfig.listener;
                if (onResultCallbackListener != null) {
                    onResultCallbackListener.onResult(selectedData);
                } else {
                    setResult(-1, PictureSelector.putIntentResult(selectedData));
                }
                exit();
                return;
            } else if (pictureSelectionConfig.chooseMode == PictureMimeType.ofAll() || !this.config.isWithVideoImage) {
                separateMimeTypeWith(isHasImage, selectedData);
                return;
            } else {
                bothMimeTypeWith(isHasImage, selectedData);
                return;
            }
        } else {
            if (pictureSelectionConfig2.selectionMode == 2) {
                if (PictureMimeType.isHasImage(mimeType) && (i6 = this.config.minSelectNum) > 0 && size < i6) {
                    string = getString(R.string.picture_min_img_num, new Object[]{Integer.valueOf(i6)});
                } else if (PictureMimeType.isHasVideo(mimeType) && (i5 = this.config.minVideoSelectNum) > 0 && size < i5) {
                    string = getString(R.string.picture_min_video_num, new Object[]{Integer.valueOf(i5)});
                }
            }
            pictureSelectionConfig = this.config;
            if (!pictureSelectionConfig.returnEmpty) {
            }
            if (pictureSelectionConfig.chooseMode == PictureMimeType.ofAll()) {
            }
            separateMimeTypeWith(isHasImage, selectedData);
            return;
        }
        showPromptDialog(string);
    }

    private void onPreview() {
        List<LocalMedia> selectedData = this.mAdapter.getSelectedData();
        ArrayList<? extends Parcelable> arrayList = new ArrayList<>();
        int size = selectedData.size();
        for (int i5 = 0; i5 < size; i5++) {
            arrayList.add(selectedData.get(i5));
        }
        OnCustomImagePreviewCallback<LocalMedia> onCustomImagePreviewCallback = PictureSelectionConfig.onCustomImagePreviewCallback;
        if (onCustomImagePreviewCallback != null) {
            onCustomImagePreviewCallback.onCustomPreviewCallback(getContext(), selectedData, 0);
            return;
        }
        Bundle bundle = new Bundle();
        bundle.putParcelableArrayList(PictureConfig.EXTRA_PREVIEW_SELECT_LIST, arrayList);
        bundle.putParcelableArrayList(PictureConfig.EXTRA_SELECT_LIST, (ArrayList) selectedData);
        bundle.putBoolean(PictureConfig.EXTRA_BOTTOM_PREVIEW, true);
        bundle.putBoolean(PictureConfig.EXTRA_CHANGE_ORIGINAL, this.config.isCheckOriginalImage);
        bundle.putBoolean(PictureConfig.EXTRA_SHOW_CAMERA, this.mAdapter.isShowCamera());
        bundle.putString(PictureConfig.EXTRA_IS_CURRENT_DIRECTORY, this.mTvPictureTitle.getText().toString());
        Context context = getContext();
        PictureSelectionConfig pictureSelectionConfig = this.config;
        JumpUtils.startPicturePreviewActivity(context, pictureSelectionConfig.isWeChatStyle, bundle, pictureSelectionConfig.selectionMode == 1 ? 69 : UCrop.REQUEST_MULTI_CROP);
        overridePendingTransition(PictureSelectionConfig.windowAnimationStyle.activityPreviewEnterAnimation, R.anim.picture_anim_fade_in);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void playAudio() {
        TextView textView;
        MediaPlayer mediaPlayer2 = this.mediaPlayer;
        if (mediaPlayer2 != null) {
            this.musicSeekBar.setProgress(mediaPlayer2.getCurrentPosition());
            this.musicSeekBar.setMax(this.mediaPlayer.getDuration());
        }
        String charSequence = this.mTvPlayPause.getText().toString();
        int i5 = R.string.picture_play_audio;
        if (charSequence.equals(getString(i5))) {
            this.mTvPlayPause.setText(getString(R.string.picture_pause_audio));
            textView = this.mTvMusicStatus;
        } else {
            this.mTvPlayPause.setText(getString(i5));
            textView = this.mTvMusicStatus;
            i5 = R.string.picture_pause_audio;
        }
        textView.setText(getString(i5));
        playOrPause();
        if (!this.isPlayAudio) {
            this.mHandler.post(this.mRunnable);
            this.isPlayAudio = true;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:20:0x005d, code lost:
        if (r5.config.isCompress != false) goto L_0x0060;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:30:0x0085, code lost:
        if (com.luck.picture.lib.config.PictureMimeType.isHasImage(r6) != false) goto L_0x0060;
     */
    private void previewCallback(Intent intent) {
        if (intent != null) {
            PictureSelectionConfig pictureSelectionConfig = this.config;
            if (pictureSelectionConfig.isOriginalControl) {
                pictureSelectionConfig.isCheckOriginalImage = intent.getBooleanExtra(PictureConfig.EXTRA_CHANGE_ORIGINAL, pictureSelectionConfig.isCheckOriginalImage);
                this.mCbOriginal.setChecked(this.config.isCheckOriginalImage);
            }
            ArrayList parcelableArrayListExtra = intent.getParcelableArrayListExtra(PictureConfig.EXTRA_SELECT_LIST);
            if (this.mAdapter != null && parcelableArrayListExtra != null) {
                char c5 = 0;
                if (intent.getBooleanExtra(PictureConfig.EXTRA_COMPLETE_SELECTED, false)) {
                    onChangeData(parcelableArrayListExtra);
                    if (this.config.isWithVideoImage) {
                        int size = parcelableArrayListExtra.size();
                        int i5 = 0;
                        while (true) {
                            if (i5 >= size) {
                                break;
                            } else if (PictureMimeType.isHasImage(parcelableArrayListExtra.get(i5).getMimeType())) {
                                c5 = 1;
                                break;
                            } else {
                                i5++;
                            }
                        }
                        if (c5 > 0) {
                        }
                        onResult(parcelableArrayListExtra);
                    } else {
                        String mimeType = parcelableArrayListExtra.size() > 0 ? parcelableArrayListExtra.get(0).getMimeType() : "";
                        if (this.config.isCompress) {
                        }
                        onResult(parcelableArrayListExtra);
                    }
                    compressImage(parcelableArrayListExtra);
                } else {
                    this.isStartAnimation = true;
                }
                this.mAdapter.bindSelectData(parcelableArrayListExtra);
                this.mAdapter.notifyDataSetChanged();
            }
        }
    }

    private void separateMimeTypeWith(boolean z4, List<LocalMedia> list) {
        LocalMedia localMedia = list.size() > 0 ? list.get(0) : null;
        if (localMedia != null) {
            PictureSelectionConfig pictureSelectionConfig = this.config;
            if (!pictureSelectionConfig.enableCrop || pictureSelectionConfig.isCheckOriginalImage || !z4) {
                if (!pictureSelectionConfig.isCompress || !z4) {
                    onResult(list);
                } else {
                    compressImage(list);
                }
            } else if (pictureSelectionConfig.selectionMode == 1) {
                pictureSelectionConfig.originalPath = localMedia.getPath();
                UCropManager.ofCrop(this, this.config.originalPath, localMedia.getMimeType(), localMedia.getWidth(), localMedia.getHeight());
            } else {
                UCropManager.ofCrop(this, (ArrayList) list);
            }
        }
    }

    private void setLastCacheFolderData() {
        LocalMediaFolder folder = this.folderWindow.getFolder(ValueOf.toInt(this.mTvPictureTitle.getTag(R.id.view_index_tag)));
        folder.setData(this.mAdapter.getData());
        folder.setCurrentDataPage(this.mPage);
        folder.setHasMore(this.isHasMore);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void setTitle(String str) {
        if (TextUtils.isEmpty(str)) {
            str = getString(this.config.chooseMode == PictureMimeType.ofAudio() ? R.string.picture_all_audio : R.string.picture_camera_roll);
        }
        this.mTvPictureTitle.setText(str);
        this.mTvPictureTitle.setTag(R.id.view_tag, -1);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void showDataNull(String str, int i5) {
        if (this.mTvEmpty.getVisibility() == 8 || this.mTvEmpty.getVisibility() == 4) {
            this.mTvEmpty.setCompoundDrawablesRelativeWithIntrinsicBounds(0, i5, 0, 0);
            this.mTvEmpty.setText(str);
            this.mTvEmpty.setVisibility(0);
        }
    }

    private void singleCropHandleResult(Intent intent) {
        Uri output;
        if (intent != null && (output = UCrop.getOutput(intent)) != null) {
            ArrayList arrayList = new ArrayList();
            String path = output.getPath();
            if (this.mAdapter != null) {
                ArrayList parcelableArrayListExtra = intent.getParcelableArrayListExtra(PictureConfig.EXTRA_SELECT_LIST);
                if (parcelableArrayListExtra != null) {
                    this.mAdapter.bindSelectData(parcelableArrayListExtra);
                    this.mAdapter.notifyDataSetChanged();
                }
                List<LocalMedia> selectedData = this.mAdapter.getSelectedData();
                LocalMedia localMedia = null;
                LocalMedia localMedia2 = (selectedData == null || selectedData.size() <= 0) ? null : selectedData.get(0);
                if (localMedia2 != null) {
                    this.config.originalPath = localMedia2.getPath();
                    localMedia2.setCutPath(path);
                    localMedia2.setChooseModel(this.config.chooseMode);
                    boolean z4 = !TextUtils.isEmpty(path);
                    if (SdkVersionUtils.isQ() && PictureMimeType.isContent(localMedia2.getPath())) {
                        localMedia2.setAndroidQToPath(path);
                    }
                    localMedia2.setCropImageWidth(intent.getIntExtra(UCrop.EXTRA_OUTPUT_IMAGE_WIDTH, 0));
                    localMedia2.setCropImageHeight(intent.getIntExtra(UCrop.EXTRA_OUTPUT_IMAGE_HEIGHT, 0));
                    localMedia2.setCropOffsetX(intent.getIntExtra(UCrop.EXTRA_OUTPUT_OFFSET_X, 0));
                    localMedia2.setCropOffsetY(intent.getIntExtra(UCrop.EXTRA_OUTPUT_OFFSET_Y, 0));
                    localMedia2.setCropResultAspectRatio(intent.getFloatExtra(UCrop.EXTRA_OUTPUT_CROP_ASPECT_RATIO, CropImageView.DEFAULT_ASPECT_RATIO));
                    localMedia2.setEditorImage(intent.getBooleanExtra("com.yalantis.ucrop.EditorImage", false));
                    localMedia2.setCut(z4);
                    arrayList.add(localMedia2);
                } else {
                    if (parcelableArrayListExtra != null && parcelableArrayListExtra.size() > 0) {
                        localMedia = (LocalMedia) parcelableArrayListExtra.get(0);
                    }
                    if (localMedia != null) {
                        this.config.originalPath = localMedia.getPath();
                        localMedia.setCutPath(path);
                        localMedia.setChooseModel(this.config.chooseMode);
                        boolean z5 = !TextUtils.isEmpty(path);
                        if (SdkVersionUtils.isQ() && PictureMimeType.isContent(localMedia.getPath())) {
                            localMedia.setAndroidQToPath(path);
                        }
                        localMedia.setCropImageWidth(intent.getIntExtra(UCrop.EXTRA_OUTPUT_IMAGE_WIDTH, 0));
                        localMedia.setCropImageHeight(intent.getIntExtra(UCrop.EXTRA_OUTPUT_IMAGE_HEIGHT, 0));
                        localMedia.setCropOffsetX(intent.getIntExtra(UCrop.EXTRA_OUTPUT_OFFSET_X, 0));
                        localMedia.setCropOffsetY(intent.getIntExtra(UCrop.EXTRA_OUTPUT_OFFSET_Y, 0));
                        localMedia.setCropResultAspectRatio(intent.getFloatExtra(UCrop.EXTRA_OUTPUT_CROP_ASPECT_RATIO, CropImageView.DEFAULT_ASPECT_RATIO));
                        localMedia.setEditorImage(intent.getBooleanExtra("com.yalantis.ucrop.EditorImage", false));
                        localMedia.setCut(z5);
                        arrayList.add(localMedia);
                    } else {
                        return;
                    }
                }
                handlerResult(arrayList);
            }
        }
    }

    private void singleDirectReturnCameraHandleResult(LocalMedia localMedia) {
        String mimeType = localMedia.getMimeType();
        boolean isHasImage = PictureMimeType.isHasImage(mimeType);
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.enableCrop && !pictureSelectionConfig.isCheckOriginalImage && isHasImage) {
            String str = pictureSelectionConfig.cameraPath;
            pictureSelectionConfig.originalPath = str;
            UCropManager.ofCrop(this, str, mimeType, localMedia.getWidth(), localMedia.getHeight());
        } else if (!pictureSelectionConfig.isCompress || !isHasImage) {
            onResult(this.mAdapter.getSelectedData());
        } else {
            compressImage(this.mAdapter.getSelectedData());
        }
    }

    private void singleRadioMediaImage() {
        List<LocalMedia> selectedData = this.mAdapter.getSelectedData();
        if (selectedData != null && selectedData.size() > 0) {
            int position = selectedData.get(0).getPosition();
            selectedData.clear();
            this.mAdapter.notifyItemChanged(position);
        }
    }

    private void startPlayAudioDialog(final String str) {
        if (!isFinishing()) {
            PictureCustomDialog pictureCustomDialog = new PictureCustomDialog(getContext(), R.layout.picture_audio_dialog);
            this.audioDialog = pictureCustomDialog;
            pictureCustomDialog.getWindow().setWindowAnimations(R.style.Picture_Theme_Dialog_AudioStyle);
            this.mTvMusicStatus = (TextView) this.audioDialog.findViewById(R.id.tv_musicStatus);
            this.mTvMusicTime = (TextView) this.audioDialog.findViewById(R.id.tv_musicTime);
            this.musicSeekBar = (SeekBar) this.audioDialog.findViewById(R.id.musicSeekBar);
            this.mTvMusicTotal = (TextView) this.audioDialog.findViewById(R.id.tv_musicTotal);
            this.mTvPlayPause = (TextView) this.audioDialog.findViewById(R.id.tv_PlayPause);
            this.mTvStop = (TextView) this.audioDialog.findViewById(R.id.tv_Stop);
            this.mTvQuit = (TextView) this.audioDialog.findViewById(R.id.tv_Quit);
            this.mHandler.postDelayed(new Runnable() {
                /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass6 */

                public void run() {
                    PictureSelectorActivity.this.initPlayer(str);
                }
            }, 30);
            this.mTvPlayPause.setOnClickListener(new onAudioOnClick(str));
            this.mTvStop.setOnClickListener(new onAudioOnClick(str));
            this.mTvQuit.setOnClickListener(new onAudioOnClick(str));
            this.musicSeekBar.setOnSeekBarChangeListener(new SeekBar.OnSeekBarChangeListener() {
                /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass7 */

                public void onProgressChanged(SeekBar seekBar, int i5, boolean z4) {
                    if (z4) {
                        PictureSelectorActivity.this.mediaPlayer.seekTo(i5);
                    }
                }

                public void onStartTrackingTouch(SeekBar seekBar) {
                }

                public void onStopTrackingTouch(SeekBar seekBar) {
                }
            });
            this.audioDialog.setOnDismissListener(new o(this, str));
            this.mHandler.post(this.mRunnable);
            this.audioDialog.show();
        }
    }

    private void updateMediaFolder(List<LocalMediaFolder> list, LocalMedia localMedia) {
        File parentFile = new File(localMedia.getRealPath()).getParentFile();
        if (parentFile != null) {
            int size = list.size();
            for (int i5 = 0; i5 < size; i5++) {
                LocalMediaFolder localMediaFolder = list.get(i5);
                String name = localMediaFolder.getName();
                if (!TextUtils.isEmpty(name) && name.equals(parentFile.getName())) {
                    localMediaFolder.setFirstImagePath(this.config.cameraPath);
                    localMediaFolder.setImageNum(localMediaFolder.getImageNum() + 1);
                    localMediaFolder.setCheckedNum(1);
                    localMediaFolder.getData().add(0, localMedia);
                    return;
                }
            }
        }
    }

    /* access modifiers changed from: protected */
    public void calculateFileTotalSize(List<LocalMedia> list) {
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.isOriginalControl) {
            if (pictureSelectionConfig.isDisplayOriginalSize) {
                long j5 = 0;
                for (int i5 = 0; i5 < list.size(); i5++) {
                    j5 += list.get(i5).getSize();
                }
                if (j5 > 0) {
                    this.mCbOriginal.setText(getString(R.string.picture_original_image, new Object[]{PictureFileUtils.formatFileSize(j5, 2)}));
                    return;
                }
            }
            this.mCbOriginal.setText(getString(R.string.picture_default_original_image));
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x00a6  */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x0166  */
    public void changeImageNumber(List<LocalMedia> list) {
        TextView textView;
        String str;
        TextView textView2;
        String str2;
        TextView textView3;
        String str3;
        TextView textView4;
        String string;
        if (list.size() != 0) {
            this.mTvPictureOk.setEnabled(true);
            this.mTvPictureOk.setSelected(true);
            this.mTvPicturePreview.setEnabled(true);
            this.mTvPicturePreview.setSelected(true);
            PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle != null) {
                int i5 = pictureSelectorUIStyle.picture_bottom_previewNormalText;
                if (i5 == 0) {
                    textView4 = this.mTvPicturePreview;
                    string = getString(R.string.picture_preview_num, new Object[]{Integer.valueOf(list.size())});
                } else if (pictureSelectorUIStyle.isCompleteReplaceNum) {
                    textView4 = this.mTvPicturePreview;
                    string = String.format(getString(i5), Integer.valueOf(list.size()));
                } else {
                    this.mTvPicturePreview.setText(i5);
                    if (!this.numComplete) {
                        if (!this.isStartAnimation) {
                            this.mTvPictureImgNum.startAnimation(this.animation);
                        }
                        this.mTvPictureImgNum.setVisibility(0);
                        this.mTvPictureImgNum.setText(ValueOf.toString(Integer.valueOf(list.size())));
                        PictureSelectorUIStyle pictureSelectorUIStyle2 = PictureSelectionConfig.uiStyle;
                        if (pictureSelectorUIStyle2 != null) {
                            int i6 = pictureSelectorUIStyle2.picture_bottom_completeNormalText;
                            if (i6 != 0) {
                                this.mTvPictureOk.setText(getString(i6));
                            }
                        } else {
                            PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
                            if (pictureParameterStyle == null) {
                                textView3 = this.mTvPictureOk;
                                str3 = getString(R.string.picture_completed);
                            } else if (!TextUtils.isEmpty(pictureParameterStyle.pictureCompleteText)) {
                                textView3 = this.mTvPictureOk;
                                str3 = PictureSelectionConfig.style.pictureCompleteText;
                            }
                            textView3.setText(str3);
                        }
                        this.isStartAnimation = false;
                        return;
                    }
                }
            } else {
                PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
                if (pictureParameterStyle2 != null) {
                    int i7 = pictureParameterStyle2.pictureCompleteTextColor;
                    if (i7 != 0) {
                        this.mTvPictureOk.setTextColor(i7);
                    }
                    int i8 = PictureSelectionConfig.style.picturePreviewTextColor;
                    if (i8 != 0) {
                        this.mTvPicturePreview.setTextColor(i8);
                    }
                    if (!TextUtils.isEmpty(PictureSelectionConfig.style.picturePreviewText)) {
                        textView4 = this.mTvPicturePreview;
                        string = PictureSelectionConfig.style.picturePreviewText;
                    } else {
                        textView4 = this.mTvPicturePreview;
                        string = getString(R.string.picture_preview_num, new Object[]{Integer.valueOf(list.size())});
                    }
                }
                if (!this.numComplete) {
                }
            }
            textView4.setText(string);
            if (!this.numComplete) {
            }
        } else {
            this.mTvPictureOk.setEnabled(this.config.returnEmpty);
            this.mTvPictureOk.setSelected(false);
            this.mTvPicturePreview.setEnabled(false);
            this.mTvPicturePreview.setSelected(false);
            PictureSelectorUIStyle pictureSelectorUIStyle3 = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle3 != null) {
                int i9 = pictureSelectorUIStyle3.picture_bottom_previewDefaultText;
                if (i9 != 0) {
                    this.mTvPicturePreview.setText(getString(i9));
                    if (!this.numComplete) {
                        this.mTvPictureImgNum.setVisibility(4);
                        PictureSelectorUIStyle pictureSelectorUIStyle4 = PictureSelectionConfig.uiStyle;
                        if (pictureSelectorUIStyle4 != null) {
                            int i10 = pictureSelectorUIStyle4.picture_bottom_completeDefaultText;
                            if (i10 != 0) {
                                this.mTvPictureOk.setText(getString(i10));
                                return;
                            }
                            return;
                        }
                        PictureParameterStyle pictureParameterStyle3 = PictureSelectionConfig.style;
                        if (pictureParameterStyle3 == null) {
                            textView = this.mTvPictureOk;
                            str = getString(R.string.picture_please_select);
                        } else if (!TextUtils.isEmpty(pictureParameterStyle3.pictureUnCompleteText)) {
                            textView = this.mTvPictureOk;
                            str = PictureSelectionConfig.style.pictureUnCompleteText;
                        } else {
                            return;
                        }
                        textView.setText(str);
                        return;
                    }
                }
            } else {
                PictureParameterStyle pictureParameterStyle4 = PictureSelectionConfig.style;
                if (pictureParameterStyle4 != null) {
                    int i11 = pictureParameterStyle4.pictureUnCompleteTextColor;
                    if (i11 != 0) {
                        this.mTvPictureOk.setTextColor(i11);
                    }
                    int i12 = PictureSelectionConfig.style.pictureUnPreviewTextColor;
                    if (i12 != 0) {
                        this.mTvPicturePreview.setTextColor(i12);
                    }
                    if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnPreviewText)) {
                        textView2 = this.mTvPicturePreview;
                        str2 = PictureSelectionConfig.style.pictureUnPreviewText;
                        textView2.setText(str2);
                    }
                }
                if (!this.numComplete) {
                }
            }
            textView2 = this.mTvPicturePreview;
            str2 = getString(R.string.picture_preview);
            textView2.setText(str2);
            if (!this.numComplete) {
            }
        }
        initCompleteText(list.size());
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public int getResourceId() {
        return R.layout.picture_selector;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:45:0x00e2, code lost:
        if (android.text.TextUtils.isEmpty(com.luck.picture.lib.config.PictureSelectionConfig.style.pictureCompleteText) == false) goto L_0x027d;
     */
    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initCompleteText(int i5) {
        TextView textView;
        String str;
        String str2;
        TextView textView2;
        int i6;
        String str3;
        TextView textView3;
        String str4;
        TextView textView4;
        int i7;
        if (this.config.selectionMode == 1) {
            PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
            if (i5 <= 0) {
                if (pictureSelectorUIStyle == null) {
                    PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
                    if (pictureParameterStyle == null) {
                        return;
                    }
                    if (!pictureParameterStyle.isCompleteReplaceNum || TextUtils.isEmpty(pictureParameterStyle.pictureUnCompleteText)) {
                        textView = this.mTvPictureOk;
                        if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                            str = PictureSelectionConfig.style.pictureUnCompleteText;
                            textView.setText(str);
                        }
                    } else {
                        textView2 = this.mTvPictureOk;
                        str2 = String.format(PictureSelectionConfig.style.pictureUnCompleteText, Integer.valueOf(i5), 1);
                        textView2.setText(str2);
                        return;
                    }
                } else if (pictureSelectorUIStyle.isCompleteReplaceNum) {
                    textView4 = this.mTvPictureOk;
                    int i8 = pictureSelectorUIStyle.picture_bottom_completeDefaultText;
                    if (i8 != 0) {
                        str4 = String.format(getString(i8), Integer.valueOf(i5), 1);
                        textView4.setText(str4);
                        return;
                    }
                    i7 = R.string.picture_please_select;
                    str4 = getString(i7);
                    textView4.setText(str4);
                    return;
                } else {
                    textView = this.mTvPictureOk;
                    i6 = pictureSelectorUIStyle.picture_bottom_completeDefaultText;
                    if (i6 == 0) {
                        i6 = R.string.picture_please_select;
                    }
                }
            } else if (pictureSelectorUIStyle == null) {
                PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
                if (pictureParameterStyle2 == null) {
                    return;
                }
                if (!pictureParameterStyle2.isCompleteReplaceNum || TextUtils.isEmpty(pictureParameterStyle2.pictureCompleteText)) {
                    textView = this.mTvPictureOk;
                } else {
                    textView2 = this.mTvPictureOk;
                    str2 = String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(i5), 1);
                    textView2.setText(str2);
                    return;
                }
            } else if (pictureSelectorUIStyle.isCompleteReplaceNum) {
                textView4 = this.mTvPictureOk;
                int i9 = pictureSelectorUIStyle.picture_bottom_completeNormalText;
                if (i9 != 0) {
                    str4 = String.format(getString(i9), Integer.valueOf(i5), 1);
                    textView4.setText(str4);
                    return;
                }
                i7 = R.string.picture_done;
                str4 = getString(i7);
                textView4.setText(str4);
                return;
            } else {
                textView = this.mTvPictureOk;
                i6 = pictureSelectorUIStyle.picture_bottom_completeNormalText;
                if (i6 == 0) {
                    i6 = R.string.picture_done;
                }
            }
            i6 = R.string.picture_done;
        } else {
            PictureSelectorUIStyle pictureSelectorUIStyle2 = PictureSelectionConfig.uiStyle;
            if (i5 > 0) {
                if (pictureSelectorUIStyle2 != null) {
                    boolean z4 = pictureSelectorUIStyle2.isCompleteReplaceNum;
                    i6 = pictureSelectorUIStyle2.picture_bottom_completeNormalText;
                    if (z4) {
                        if (i6 != 0) {
                            textView3 = this.mTvPictureOk;
                            str3 = String.format(getString(i6), Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum));
                        } else {
                            textView2 = this.mTvPictureOk;
                            str2 = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum)});
                        }
                    } else if (i6 != 0) {
                        textView = this.mTvPictureOk;
                    } else {
                        textView2 = this.mTvPictureOk;
                        str2 = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum)});
                    }
                } else {
                    PictureParameterStyle pictureParameterStyle3 = PictureSelectionConfig.style;
                    if (pictureParameterStyle3 != null) {
                        boolean z5 = pictureParameterStyle3.isCompleteReplaceNum;
                        boolean isEmpty = TextUtils.isEmpty(pictureParameterStyle3.pictureCompleteText);
                        if (z5) {
                            if (!isEmpty) {
                                textView2 = this.mTvPictureOk;
                                str2 = String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum));
                            } else {
                                textView2 = this.mTvPictureOk;
                                str2 = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum)});
                            }
                        } else if (!isEmpty) {
                            textView = this.mTvPictureOk;
                            str = PictureSelectionConfig.style.pictureCompleteText;
                            textView.setText(str);
                        } else {
                            textView2 = this.mTvPictureOk;
                            str2 = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum)});
                        }
                    } else {
                        return;
                    }
                }
                textView2.setText(str2);
                return;
            } else if (pictureSelectorUIStyle2 == null) {
                PictureParameterStyle pictureParameterStyle4 = PictureSelectionConfig.style;
                if (pictureParameterStyle4 == null) {
                    return;
                }
                if (pictureParameterStyle4.isCompleteReplaceNum) {
                    textView3 = this.mTvPictureOk;
                    if (!TextUtils.isEmpty(pictureParameterStyle4.pictureUnCompleteText)) {
                        str3 = String.format(PictureSelectionConfig.style.pictureUnCompleteText, Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum));
                    } else {
                        str3 = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum)});
                    }
                } else {
                    textView3 = this.mTvPictureOk;
                    if (!TextUtils.isEmpty(pictureParameterStyle4.pictureUnCompleteText)) {
                        str3 = PictureSelectionConfig.style.pictureUnCompleteText;
                    } else {
                        str3 = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum)});
                    }
                }
            } else if (pictureSelectorUIStyle2.isCompleteReplaceNum) {
                textView3 = this.mTvPictureOk;
                int i10 = pictureSelectorUIStyle2.picture_bottom_completeDefaultText;
                if (i10 != 0) {
                    str3 = String.format(getString(i10), Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum));
                } else {
                    str3 = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum)});
                }
            } else {
                textView3 = this.mTvPictureOk;
                int i11 = pictureSelectorUIStyle2.picture_bottom_completeDefaultText;
                if (i11 != 0) {
                    str3 = getString(i11);
                } else {
                    str3 = getString(R.string.picture_done_front_num, new Object[]{Integer.valueOf(i5), Integer.valueOf(this.config.maxSelectNum)});
                }
            }
            textView3.setText(str3);
            return;
        }
        str = getString(i6);
        textView.setText(str);
    }

    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initPictureSelectorStyle() {
        ColorStateList colorStateList;
        ColorStateList colorStateList2;
        ColorStateList colorStateList3;
        PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
        if (pictureSelectorUIStyle != null) {
            int i5 = pictureSelectorUIStyle.picture_top_titleArrowDownDrawable;
            if (i5 != 0) {
                this.mIvArrow.setImageDrawable(a.d(this, i5));
            }
            int i6 = PictureSelectionConfig.uiStyle.picture_top_titleTextColor;
            if (i6 != 0) {
                this.mTvPictureTitle.setTextColor(i6);
            }
            int i7 = PictureSelectionConfig.uiStyle.picture_top_titleTextSize;
            if (i7 != 0) {
                this.mTvPictureTitle.setTextSize((float) i7);
            }
            int[] iArr = PictureSelectionConfig.uiStyle.picture_top_titleRightTextColor;
            if (iArr.length > 0 && (colorStateList3 = AttrsUtils.getColorStateList(iArr)) != null) {
                this.mTvPictureRight.setTextColor(colorStateList3);
            }
            int i8 = PictureSelectionConfig.uiStyle.picture_top_titleRightTextSize;
            if (i8 != 0) {
                this.mTvPictureRight.setTextSize((float) i8);
            }
            int i9 = PictureSelectionConfig.uiStyle.picture_top_leftBack;
            if (i9 != 0) {
                this.mIvPictureLeftBack.setImageResource(i9);
            }
            int[] iArr2 = PictureSelectionConfig.uiStyle.picture_bottom_previewTextColor;
            if (iArr2.length > 0 && (colorStateList2 = AttrsUtils.getColorStateList(iArr2)) != null) {
                this.mTvPicturePreview.setTextColor(colorStateList2);
            }
            int i10 = PictureSelectionConfig.uiStyle.picture_bottom_previewTextSize;
            if (i10 != 0) {
                this.mTvPicturePreview.setTextSize((float) i10);
            }
            int i11 = PictureSelectionConfig.uiStyle.picture_bottom_completeRedDotBackground;
            if (i11 != 0) {
                this.mTvPictureImgNum.setBackgroundResource(i11);
            }
            int i12 = PictureSelectionConfig.uiStyle.picture_bottom_completeRedDotTextSize;
            if (i12 != 0) {
                this.mTvPictureImgNum.setTextSize((float) i12);
            }
            int i13 = PictureSelectionConfig.uiStyle.picture_bottom_completeRedDotTextColor;
            if (i13 != 0) {
                this.mTvPictureImgNum.setTextColor(i13);
            }
            int[] iArr3 = PictureSelectionConfig.uiStyle.picture_bottom_completeTextColor;
            if (iArr3.length > 0 && (colorStateList = AttrsUtils.getColorStateList(iArr3)) != null) {
                this.mTvPictureOk.setTextColor(colorStateList);
            }
            int i14 = PictureSelectionConfig.uiStyle.picture_bottom_completeTextSize;
            if (i14 != 0) {
                this.mTvPictureOk.setTextSize((float) i14);
            }
            int i15 = PictureSelectionConfig.uiStyle.picture_bottom_barBackgroundColor;
            if (i15 != 0) {
                this.mBottomLayout.setBackgroundColor(i15);
            }
            int i16 = PictureSelectionConfig.uiStyle.picture_container_backgroundColor;
            if (i16 != 0) {
                this.container.setBackgroundColor(i16);
            }
            int i17 = PictureSelectionConfig.uiStyle.picture_top_titleRightDefaultText;
            if (i17 != 0) {
                this.mTvPictureRight.setText(i17);
            }
            int i18 = PictureSelectionConfig.uiStyle.picture_bottom_completeDefaultText;
            if (i18 != 0) {
                this.mTvPictureOk.setText(i18);
            }
            int i19 = PictureSelectionConfig.uiStyle.picture_bottom_previewNormalText;
            if (i19 != 0) {
                this.mTvPicturePreview.setText(i19);
            }
            if (PictureSelectionConfig.uiStyle.picture_top_titleArrowLeftPadding != 0) {
                ((RelativeLayout.LayoutParams) this.mIvArrow.getLayoutParams()).leftMargin = PictureSelectionConfig.uiStyle.picture_top_titleArrowLeftPadding;
            }
            if (PictureSelectionConfig.uiStyle.picture_top_titleBarHeight > 0) {
                this.mTitleBar.getLayoutParams().height = PictureSelectionConfig.uiStyle.picture_top_titleBarHeight;
            }
            if (PictureSelectionConfig.uiStyle.picture_bottom_barHeight > 0) {
                this.mBottomLayout.getLayoutParams().height = PictureSelectionConfig.uiStyle.picture_bottom_barHeight;
            }
            if (this.config.isOriginalControl) {
                int i20 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureCheckStyle;
                if (i20 != 0) {
                    this.mCbOriginal.setButtonDrawable(i20);
                } else {
                    this.mCbOriginal.setButtonDrawable(a.d(this, R.drawable.picture_original_checkbox));
                }
                int i21 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureTextColor;
                if (i21 != 0) {
                    this.mCbOriginal.setTextColor(i21);
                } else {
                    this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_white));
                }
                int i22 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureTextSize;
                if (i22 != 0) {
                    this.mCbOriginal.setTextSize((float) i22);
                }
                int i23 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureText;
                if (i23 != 0) {
                    this.mCbOriginal.setText(i23);
                }
                this.mTitleBar.setBackgroundColor(this.colorPrimary);
                this.mAdapter.bindSelectData(this.selectionMedias);
            }
        } else {
            PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
            if (pictureParameterStyle != null) {
                int i24 = pictureParameterStyle.pictureTitleDownResId;
                if (i24 != 0) {
                    this.mIvArrow.setImageDrawable(a.d(this, i24));
                }
                int i25 = PictureSelectionConfig.style.pictureTitleTextColor;
                if (i25 != 0) {
                    this.mTvPictureTitle.setTextColor(i25);
                }
                int i26 = PictureSelectionConfig.style.pictureTitleTextSize;
                if (i26 != 0) {
                    this.mTvPictureTitle.setTextSize((float) i26);
                }
                PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
                int i27 = pictureParameterStyle2.pictureRightDefaultTextColor;
                if (i27 != 0) {
                    this.mTvPictureRight.setTextColor(i27);
                } else {
                    int i28 = pictureParameterStyle2.pictureCancelTextColor;
                    if (i28 != 0) {
                        this.mTvPictureRight.setTextColor(i28);
                    }
                }
                int i29 = PictureSelectionConfig.style.pictureRightTextSize;
                if (i29 != 0) {
                    this.mTvPictureRight.setTextSize((float) i29);
                }
                int i30 = PictureSelectionConfig.style.pictureLeftBackIcon;
                if (i30 != 0) {
                    this.mIvPictureLeftBack.setImageResource(i30);
                }
                int i31 = PictureSelectionConfig.style.pictureUnPreviewTextColor;
                if (i31 != 0) {
                    this.mTvPicturePreview.setTextColor(i31);
                }
                int i32 = PictureSelectionConfig.style.picturePreviewTextSize;
                if (i32 != 0) {
                    this.mTvPicturePreview.setTextSize((float) i32);
                }
                int i33 = PictureSelectionConfig.style.pictureCheckNumBgStyle;
                if (i33 != 0) {
                    this.mTvPictureImgNum.setBackgroundResource(i33);
                }
                int i34 = PictureSelectionConfig.style.pictureUnCompleteTextColor;
                if (i34 != 0) {
                    this.mTvPictureOk.setTextColor(i34);
                }
                int i35 = PictureSelectionConfig.style.pictureCompleteTextSize;
                if (i35 != 0) {
                    this.mTvPictureOk.setTextSize((float) i35);
                }
                int i36 = PictureSelectionConfig.style.pictureBottomBgColor;
                if (i36 != 0) {
                    this.mBottomLayout.setBackgroundColor(i36);
                }
                int i37 = PictureSelectionConfig.style.pictureContainerBackgroundColor;
                if (i37 != 0) {
                    this.container.setBackgroundColor(i37);
                }
                if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureRightDefaultText)) {
                    this.mTvPictureRight.setText(PictureSelectionConfig.style.pictureRightDefaultText);
                }
                if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                    this.mTvPictureOk.setText(PictureSelectionConfig.style.pictureUnCompleteText);
                }
                if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnPreviewText)) {
                    this.mTvPicturePreview.setText(PictureSelectionConfig.style.pictureUnPreviewText);
                }
                if (PictureSelectionConfig.style.pictureTitleRightArrowLeftPadding != 0) {
                    ((RelativeLayout.LayoutParams) this.mIvArrow.getLayoutParams()).leftMargin = PictureSelectionConfig.style.pictureTitleRightArrowLeftPadding;
                }
                if (PictureSelectionConfig.style.pictureTitleBarHeight > 0) {
                    this.mTitleBar.getLayoutParams().height = PictureSelectionConfig.style.pictureTitleBarHeight;
                }
                if (this.config.isOriginalControl) {
                    int i38 = PictureSelectionConfig.style.pictureOriginalControlStyle;
                    if (i38 != 0) {
                        this.mCbOriginal.setButtonDrawable(i38);
                    } else {
                        this.mCbOriginal.setButtonDrawable(a.d(this, R.drawable.picture_original_checkbox));
                    }
                    int i39 = PictureSelectionConfig.style.pictureOriginalFontColor;
                    if (i39 != 0) {
                        this.mCbOriginal.setTextColor(i39);
                    } else {
                        this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_white));
                    }
                    int i40 = PictureSelectionConfig.style.pictureOriginalTextSize;
                    if (i40 != 0) {
                        this.mCbOriginal.setTextSize((float) i40);
                    }
                }
            } else {
                int typeValueColor = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_title_textColor);
                if (typeValueColor != 0) {
                    this.mTvPictureTitle.setTextColor(typeValueColor);
                }
                int typeValueColor2 = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_right_textColor);
                if (typeValueColor2 != 0) {
                    this.mTvPictureRight.setTextColor(typeValueColor2);
                }
                int typeValueColor3 = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_container_backgroundColor);
                if (typeValueColor3 != 0) {
                    this.container.setBackgroundColor(typeValueColor3);
                }
                this.mIvPictureLeftBack.setImageDrawable(AttrsUtils.getTypeValueDrawable(getContext(), R.attr.picture_leftBack_icon, R.drawable.picture_icon_back));
                int i41 = this.config.downResId;
                this.mIvArrow.setImageDrawable(i41 != 0 ? a.d(this, i41) : AttrsUtils.getTypeValueDrawable(getContext(), R.attr.picture_arrow_down_icon, R.drawable.picture_icon_arrow_down));
                int typeValueColor4 = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_bottom_bg);
                if (typeValueColor4 != 0) {
                    this.mBottomLayout.setBackgroundColor(typeValueColor4);
                }
                ColorStateList typeValueColorStateList = AttrsUtils.getTypeValueColorStateList(getContext(), R.attr.picture_complete_textColor);
                if (typeValueColorStateList != null) {
                    this.mTvPictureOk.setTextColor(typeValueColorStateList);
                }
                ColorStateList typeValueColorStateList2 = AttrsUtils.getTypeValueColorStateList(getContext(), R.attr.picture_preview_textColor);
                if (typeValueColorStateList2 != null) {
                    this.mTvPicturePreview.setTextColor(typeValueColorStateList2);
                }
                int typeValueSizeForInt = AttrsUtils.getTypeValueSizeForInt(getContext(), R.attr.picture_titleRightArrow_LeftPadding);
                if (typeValueSizeForInt != 0) {
                    ((RelativeLayout.LayoutParams) this.mIvArrow.getLayoutParams()).leftMargin = typeValueSizeForInt;
                }
                this.mTvPictureImgNum.setBackground(AttrsUtils.getTypeValueDrawable(getContext(), R.attr.picture_num_style, R.drawable.picture_num_oval));
                int typeValueSizeForInt2 = AttrsUtils.getTypeValueSizeForInt(getContext(), R.attr.picture_titleBar_height);
                if (typeValueSizeForInt2 > 0) {
                    this.mTitleBar.getLayoutParams().height = typeValueSizeForInt2;
                }
                if (this.config.isOriginalControl) {
                    this.mCbOriginal.setButtonDrawable(AttrsUtils.getTypeValueDrawable(getContext(), R.attr.picture_original_check_style, R.drawable.picture_original_wechat_checkbox));
                    int typeValueColor5 = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_original_text_color);
                    if (typeValueColor5 != 0) {
                        this.mCbOriginal.setTextColor(typeValueColor5);
                    }
                }
            }
            this.mTitleBar.setBackgroundColor(this.colorPrimary);
            this.mAdapter.bindSelectData(this.selectionMedias);
        }
        this.mCbOriginal.setButtonDrawable(a.d(this, R.drawable.picture_original_checkbox));
        this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_white));
        this.mTitleBar.setBackgroundColor(this.colorPrimary);
        this.mAdapter.bindSelectData(this.selectionMedias);
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initWidgets() {
        RecyclerView.h hVar;
        RecyclerPreloadView recyclerPreloadView;
        super.initWidgets();
        this.container = findViewById(R.id.container);
        this.mTitleBar = findViewById(R.id.titleBar);
        this.mIvPictureLeftBack = (ImageView) findViewById(R.id.pictureLeftBack);
        this.mTvPictureTitle = (TextView) findViewById(R.id.picture_title);
        this.mTvPictureRight = (TextView) findViewById(R.id.picture_right);
        this.mTvPictureOk = (TextView) findViewById(R.id.picture_tv_ok);
        this.mCbOriginal = (CheckBox) findViewById(R.id.cb_original);
        this.mIvArrow = (ImageView) findViewById(R.id.ivArrow);
        this.viewClickMask = findViewById(R.id.viewClickMask);
        this.mTvPicturePreview = (TextView) findViewById(R.id.picture_id_preview);
        this.mTvPictureImgNum = (TextView) findViewById(R.id.tv_media_num);
        this.mRecyclerView = (RecyclerPreloadView) findViewById(R.id.picture_recycler);
        this.mBottomLayout = (RelativeLayout) findViewById(R.id.select_bar_layout);
        this.mTvEmpty = (TextView) findViewById(R.id.tv_empty);
        isNumComplete(this.numComplete);
        if (!this.numComplete) {
            this.animation = AnimationUtils.loadAnimation(this, R.anim.picture_anim_modal_in);
        }
        this.mTvPicturePreview.setOnClickListener(this);
        if (this.config.isAutomaticTitleRecyclerTop) {
            this.mTitleBar.setOnClickListener(this);
        }
        int i5 = 8;
        this.mTvPicturePreview.setVisibility((this.config.chooseMode == PictureMimeType.ofAudio() || !this.config.enablePreview) ? 8 : 0);
        RelativeLayout relativeLayout = this.mBottomLayout;
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.selectionMode != 1 || !pictureSelectionConfig.isSingleDirectReturn) {
            i5 = 0;
        }
        relativeLayout.setVisibility(i5);
        this.mIvPictureLeftBack.setOnClickListener(this);
        this.mTvPictureRight.setOnClickListener(this);
        this.mTvPictureOk.setOnClickListener(this);
        this.viewClickMask.setOnClickListener(this);
        this.mTvPictureImgNum.setOnClickListener(this);
        this.mTvPictureTitle.setOnClickListener(this);
        this.mIvArrow.setOnClickListener(this);
        setTitle((String) null);
        FolderPopWindow folderPopWindow = new FolderPopWindow(this);
        this.folderWindow = folderPopWindow;
        folderPopWindow.setArrowImageView(this.mIvArrow);
        this.folderWindow.setOnAlbumItemClickListener(this);
        RecyclerPreloadView recyclerPreloadView2 = this.mRecyclerView;
        int i6 = this.config.imageSpanCount;
        int i7 = 4;
        if (i6 <= 0) {
            i6 = 4;
        }
        recyclerPreloadView2.addItemDecoration(new GridSpacingItemDecoration(i6, ScreenUtils.dip2px(this, 2.0f), false));
        RecyclerPreloadView recyclerPreloadView3 = this.mRecyclerView;
        Context context = getContext();
        int i8 = this.config.imageSpanCount;
        if (i8 > 0) {
            i7 = i8;
        }
        recyclerPreloadView3.setLayoutManager(new GridLayoutManager(context, i7));
        if (!this.config.isPageStrategy) {
            this.mRecyclerView.setHasFixedSize(true);
        } else {
            this.mRecyclerView.setReachBottomRow(2);
            this.mRecyclerView.setOnRecyclerViewPreloadListener(this);
        }
        RecyclerView.m itemAnimator = this.mRecyclerView.getItemAnimator();
        if (itemAnimator != null) {
            ((l) itemAnimator).Q(false);
            this.mRecyclerView.setItemAnimator(null);
        }
        loadAllMediaData();
        this.mTvEmpty.setText(getString(this.config.chooseMode == PictureMimeType.ofAudio() ? R.string.picture_audio_empty : R.string.picture_empty));
        StringUtils.tempTextFont(this.mTvEmpty, this.config.chooseMode);
        PictureImageGridAdapter pictureImageGridAdapter = new PictureImageGridAdapter(getContext(), this.config);
        this.mAdapter = pictureImageGridAdapter;
        pictureImageGridAdapter.setOnPhotoSelectChangedListener(this);
        int i9 = this.config.animationMode;
        if (i9 == 1) {
            recyclerPreloadView = this.mRecyclerView;
            hVar = new AlphaInAnimationAdapter(this.mAdapter);
        } else if (i9 != 2) {
            recyclerPreloadView = this.mRecyclerView;
            hVar = this.mAdapter;
        } else {
            recyclerPreloadView = this.mRecyclerView;
            hVar = new SlideInBottomAnimationAdapter(this.mAdapter);
        }
        recyclerPreloadView.setAdapter(hVar);
        if (this.config.isOriginalControl) {
            this.mCbOriginal.setVisibility(0);
            this.mCbOriginal.setChecked(this.config.isCheckOriginalImage);
            this.mCbOriginal.setOnCheckedChangeListener(new s(this));
        }
    }

    /* access modifiers changed from: protected */
    public void multiCropHandleResult(Intent intent) {
        ArrayList<LocalMedia> multipleOutput;
        if (intent != null && (multipleOutput = UCrop.getMultipleOutput(intent)) != null && multipleOutput.size() > 0) {
            this.mAdapter.bindSelectData(multipleOutput);
            this.mAdapter.notifyDataSetChanged();
            handlerResult(multipleOutput);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.e
    public void onActivityResult(int i5, int i6, Intent intent) {
        Throwable th;
        ArrayList parcelableArrayListExtra;
        super.onActivityResult(i5, i6, intent);
        if (i6 == -1) {
            if (i5 == 69) {
                singleCropHandleResult(intent);
            } else if (i5 != 166) {
                if (i5 == 609) {
                    multiCropHandleResult(intent);
                } else if (i5 == 909) {
                    dispatchHandleCamera(intent);
                }
            } else if (intent != null && (parcelableArrayListExtra = intent.getParcelableArrayListExtra(PictureConfig.EXTRA_SELECT_LIST)) != null && parcelableArrayListExtra.size() > 0) {
                onResult(parcelableArrayListExtra);
            }
        } else if (i6 == 0) {
            previewCallback(intent);
            if (i5 == 909) {
                MediaUtils.deleteCamera(this, this.config.cameraPath);
            }
        } else if (i6 == 96 && intent != null && (th = (Throwable) intent.getSerializableExtra(UCrop.EXTRA_ERROR)) != null) {
            ToastUtils.s(getContext(), th.getMessage());
        }
    }

    @Override // androidx.activity.ComponentActivity
    public void onBackPressed() {
        if (SdkVersionUtils.isQ()) {
            finishAfterTransition();
        } else {
            super.onBackPressed();
        }
        OnResultCallbackListener<LocalMedia> onResultCallbackListener = PictureSelectionConfig.listener;
        if (onResultCallbackListener != null) {
            onResultCallbackListener.onCancel();
        }
        exit();
    }

    @Override // com.luck.picture.lib.listener.OnPhotoSelectChangedListener
    public void onChange(List<LocalMedia> list) {
        changeImageNumber(list);
        calculateFileTotalSize(list);
    }

    /* access modifiers changed from: protected */
    public void onChangeData(List<LocalMedia> list) {
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R.id.pictureLeftBack || id == R.id.picture_right) {
            FolderPopWindow folderPopWindow = this.folderWindow;
            if (folderPopWindow == null || !folderPopWindow.isShowing()) {
                onBackPressed();
            } else {
                this.folderWindow.dismiss();
            }
        } else if (id == R.id.picture_title || id == R.id.ivArrow || id == R.id.viewClickMask) {
            if (!this.config.isOnlySandboxDir) {
                if (this.folderWindow.isShowing()) {
                    this.folderWindow.dismiss();
                } else if (!this.folderWindow.isEmpty()) {
                    this.folderWindow.showAsDropDown(this.mTitleBar);
                    if (!this.config.isSingleDirectReturn) {
                        this.folderWindow.updateFolderCheckStatus(this.mAdapter.getSelectedData());
                    }
                }
            }
        } else if (id == R.id.picture_id_preview) {
            onPreview();
        } else if (id == R.id.picture_tv_ok || id == R.id.tv_media_num) {
            onComplete();
        } else if (id == R.id.titleBar && this.config.isAutomaticTitleRecyclerTop) {
            if (SystemClock.uptimeMillis() - this.intervalClickTime >= ((long) CropImageView.DEFAULT_IMAGE_TO_CROP_BOUNDS_ANIM_DURATION)) {
                this.intervalClickTime = SystemClock.uptimeMillis();
            } else if (this.mAdapter.getItemCount() > 0) {
                this.mRecyclerView.scrollToPosition(0);
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.e, androidx.core.app.e, com.luck.picture.lib.PictureBaseActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        if (bundle != null) {
            this.allFolderSize = bundle.getInt(PictureConfig.EXTRA_ALL_FOLDER_SIZE);
            this.oldCurrentListSize = bundle.getInt(PictureConfig.EXTRA_OLD_CURRENT_LIST_SIZE, 0);
            List<LocalMedia> obtainSelectorList = PictureSelector.obtainSelectorList(bundle);
            if (obtainSelectorList == null) {
                obtainSelectorList = this.selectionMedias;
            }
            this.selectionMedias = obtainSelectorList;
            PictureImageGridAdapter pictureImageGridAdapter = this.mAdapter;
            if (pictureImageGridAdapter != null) {
                this.isStartAnimation = true;
                pictureImageGridAdapter.bindSelectData(obtainSelectorList);
            }
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.e, com.luck.picture.lib.PictureBaseActivity, androidx.appcompat.app.d
    public void onDestroy() {
        super.onDestroy();
        Animation animation2 = this.animation;
        if (animation2 != null) {
            animation2.cancel();
            this.animation = null;
        }
        if (this.mediaPlayer != null) {
            this.mHandler.removeCallbacks(this.mRunnable);
            this.mediaPlayer.release();
            this.mediaPlayer = null;
        }
    }

    @Override // com.luck.picture.lib.listener.OnAlbumItemClickListener
    public void onItemClick(int i5, boolean z4, long j5, String str, List<LocalMedia> list) {
        this.mAdapter.setShowCamera(this.config.isCamera && z4);
        this.mTvPictureTitle.setText(str);
        TextView textView = this.mTvPictureTitle;
        int i6 = R.id.view_tag;
        long j6 = ValueOf.toLong(textView.getTag(i6));
        this.mTvPictureTitle.setTag(R.id.view_count_tag, Integer.valueOf(this.folderWindow.getFolder(i5) != null ? this.folderWindow.getFolder(i5).getImageNum() : 0));
        if (!this.config.isPageStrategy) {
            this.mAdapter.bindData(list);
            this.mRecyclerView.smoothScrollToPosition(0);
        } else if (j6 != j5) {
            setLastCacheFolderData();
            if (!isCurrentCacheFolderData(i5)) {
                this.mPage = 1;
                showPleaseDialog();
                this.mLoader.loadPageMediaData(j5, this.mPage, new OnQueryDataResultListener<LocalMedia>() {
                    /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass10 */

                    @Override // com.luck.picture.lib.listener.OnQueryDataResultListener
                    public void onComplete(List<LocalMedia> list, int i5, boolean z4) {
                        PictureSelectorActivity pictureSelectorActivity = PictureSelectorActivity.this;
                        pictureSelectorActivity.isHasMore = z4;
                        if (!pictureSelectorActivity.isFinishing()) {
                            if (list.size() == 0) {
                                PictureSelectorActivity.this.mAdapter.clear();
                            }
                            PictureSelectorActivity.this.mAdapter.bindData(list);
                            PictureSelectorActivity.this.mRecyclerView.onScrolled(0, 0);
                            PictureSelectorActivity.this.mRecyclerView.smoothScrollToPosition(0);
                            PictureSelectorActivity.this.dismissDialog();
                        }
                    }
                });
            }
        }
        this.mTvPictureTitle.setTag(i6, Long.valueOf(j5));
        this.folderWindow.dismiss();
    }

    @Override // com.luck.picture.lib.listener.OnItemClickListener
    public void onItemClick(View view, int i5) {
        int i6;
        PictureSelectionConfig pictureSelectionConfig;
        if (i5 == 0) {
            OnCustomCameraInterfaceListener onCustomCameraInterfaceListener = PictureSelectionConfig.onCustomCameraInterfaceListener;
            if (onCustomCameraInterfaceListener != null) {
                onCustomCameraInterfaceListener.onCameraClick(getContext(), this.config, 1);
                pictureSelectionConfig = this.config;
                i6 = PictureMimeType.ofImage();
            } else {
                startOpenCameraImage();
                return;
            }
        } else if (i5 == 1) {
            OnCustomCameraInterfaceListener onCustomCameraInterfaceListener2 = PictureSelectionConfig.onCustomCameraInterfaceListener;
            if (onCustomCameraInterfaceListener2 != null) {
                onCustomCameraInterfaceListener2.onCameraClick(getContext(), this.config, 1);
                pictureSelectionConfig = this.config;
                i6 = PictureMimeType.ofVideo();
            } else {
                startOpenCameraVideo();
                return;
            }
        } else {
            return;
        }
        pictureSelectionConfig.cameraMimeType = i6;
    }

    public void onPictureClick(LocalMedia localMedia, int i5) {
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.selectionMode != 1 || !pictureSelectionConfig.isSingleDirectReturn) {
            startPreview(this.mAdapter.getData(), i5);
            return;
        }
        ArrayList arrayList = new ArrayList();
        arrayList.add(localMedia);
        if (!this.config.enableCrop || !PictureMimeType.isHasImage(localMedia.getMimeType()) || this.config.isCheckOriginalImage) {
            handlerResult(arrayList);
            return;
        }
        this.mAdapter.bindSelectData(arrayList);
        UCropManager.ofCrop(this, localMedia.getPath(), localMedia.getMimeType(), localMedia.getWidth(), localMedia.getHeight());
    }

    @Override // com.luck.picture.lib.listener.OnRecyclerViewPreloadMoreListener
    public void onRecyclerViewPreloadMore() {
        loadMoreData();
    }

    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.e, com.luck.picture.lib.PictureBaseActivity, androidx.core.app.a.c
    public void onRequestPermissionsResult(int i5, String[] strArr, int[] iArr) {
        super.onRequestPermissionsResult(i5, strArr, iArr);
        if (i5 != 1) {
            if (i5 != 2) {
                if (i5 == 5) {
                    if (iArr.length <= 0 || iArr[0] != 0) {
                        showPermissionsDialog(false, new String[]{"android.permission.READ_EXTERNAL_STORAGE", "android.permission.WRITE_EXTERNAL_STORAGE"}, getString(R.string.picture_jurisdiction));
                    } else {
                        startCamera();
                    }
                }
            } else if (iArr.length <= 0 || iArr[0] != 0) {
                showPermissionsDialog(true, new String[]{"android.permission.CAMERA"}, getString(R.string.picture_camera));
            } else {
                onTakePhoto();
            }
        } else if (iArr.length <= 0 || iArr[0] != 0) {
            showPermissionsDialog(false, new String[]{"android.permission.READ_EXTERNAL_STORAGE", "android.permission.WRITE_EXTERNAL_STORAGE"}, getString(R.string.picture_jurisdiction));
        } else {
            readLocalMedia();
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.e
    public void onResume() {
        CheckBox checkBox;
        super.onResume();
        if (this.isEnterSetting) {
            if (!PermissionChecker.checkSelfPermission(this, "android.permission.WRITE_EXTERNAL_STORAGE")) {
                showPermissionsDialog(false, new String[]{"android.permission.WRITE_EXTERNAL_STORAGE"}, getString(R.string.picture_jurisdiction));
            } else if (this.mAdapter.isDataEmpty()) {
                readLocalMedia();
            }
            this.isEnterSetting = false;
        }
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.isOriginalControl && (checkBox = this.mCbOriginal) != null) {
            checkBox.setChecked(pictureSelectionConfig.isCheckOriginalImage);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.activity.ComponentActivity, androidx.core.app.e, com.luck.picture.lib.PictureBaseActivity
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        PictureImageGridAdapter pictureImageGridAdapter = this.mAdapter;
        if (pictureImageGridAdapter != null) {
            bundle.putInt(PictureConfig.EXTRA_OLD_CURRENT_LIST_SIZE, pictureImageGridAdapter.getSize());
            if (this.folderWindow.getFolderData().size() > 0) {
                bundle.putInt(PictureConfig.EXTRA_ALL_FOLDER_SIZE, this.folderWindow.getFolder(0).getImageNum());
            }
            if (this.mAdapter.getSelectedData() != null) {
                PictureSelector.saveSelectorList(bundle, this.mAdapter.getSelectedData());
            }
        }
    }

    @Override // com.luck.picture.lib.listener.OnPhotoSelectChangedListener
    public void onTakePhoto() {
        if (PermissionChecker.checkSelfPermission(this, "android.permission.CAMERA")) {
            startCamera();
        } else {
            PermissionChecker.requestPermissions(this, new String[]{"android.permission.CAMERA"}, 2);
        }
    }

    public void playOrPause() {
        try {
            MediaPlayer mediaPlayer2 = this.mediaPlayer;
            if (mediaPlayer2 == null) {
                return;
            }
            if (mediaPlayer2.isPlaying()) {
                this.mediaPlayer.pause();
            } else {
                this.mediaPlayer.start();
            }
        } catch (Exception e5) {
            e5.printStackTrace();
        }
    }

    /* access modifiers changed from: protected */
    public void readLocalMedia() {
        OnQueryDataResultListener<LocalMediaFolder> onQueryDataResultListener;
        IBridgeMediaLoader iBridgeMediaLoader;
        showPleaseDialog();
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.isOnlySandboxDir) {
            this.mLoader.loadOnlyInAppDirectoryAllMedia(new OnQueryDataResultListener<LocalMediaFolder>() {
                /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass2 */

                public void onComplete(LocalMediaFolder localMediaFolder) {
                    ArrayList arrayList = new ArrayList();
                    if (localMediaFolder != null) {
                        arrayList.add(localMediaFolder);
                        PictureSelectorActivity.this.setTitle((PictureSelectorActivity) localMediaFolder.getName());
                    } else {
                        PictureSelectorActivity.this.setTitle((PictureSelectorActivity) null);
                    }
                    PictureSelectorActivity.this.initAllModel(arrayList);
                }
            });
            return;
        }
        if (pictureSelectionConfig.isPageStrategy) {
            iBridgeMediaLoader = this.mLoader;
            onQueryDataResultListener = new OnQueryDataResultListener<LocalMediaFolder>() {
                /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass3 */

                @Override // com.luck.picture.lib.listener.OnQueryDataResultListener
                public void onComplete(List<LocalMediaFolder> list) {
                    if (!PictureSelectorActivity.this.isFinishing()) {
                        PictureSelectorActivity pictureSelectorActivity = PictureSelectorActivity.this;
                        pictureSelectorActivity.isHasMore = true;
                        pictureSelectorActivity.initPageModel(list);
                    }
                }
            };
        } else {
            iBridgeMediaLoader = this.mLoader;
            onQueryDataResultListener = new OnQueryDataResultListener<LocalMediaFolder>() {
                /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass4 */

                @Override // com.luck.picture.lib.listener.OnQueryDataResultListener
                public void onComplete(List<LocalMediaFolder> list) {
                    PictureSelectorActivity.this.initAllModel(list);
                }
            };
        }
        iBridgeMediaLoader.loadAllMedia(onQueryDataResultListener);
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity
    public void showPermissionsDialog(boolean z4, String[] strArr, String str) {
        if (!isFinishing()) {
            OnPermissionsObtainCallback onPermissionsObtainCallback = PictureSelectionConfig.onPermissionsObtainCallback;
            if (onPermissionsObtainCallback != null) {
                onPermissionsObtainCallback.onPermissionsIntercept(getContext(), z4, strArr, str, new OnPermissionDialogOptionCallback() {
                    /* class com.luck.picture.lib.PictureSelectorActivity.AnonymousClass11 */

                    @Override // com.luck.picture.lib.listener.OnPermissionDialogOptionCallback
                    public void onCancel() {
                        OnResultCallbackListener<LocalMedia> onResultCallbackListener = PictureSelectionConfig.listener;
                        if (onResultCallbackListener != null) {
                            onResultCallbackListener.onCancel();
                        }
                        PictureSelectorActivity.this.exit();
                    }

                    @Override // com.luck.picture.lib.listener.OnPermissionDialogOptionCallback
                    public void onSetting() {
                        PictureSelectorActivity.this.isEnterSetting = true;
                    }
                });
                return;
            }
            PictureCustomDialog pictureCustomDialog = new PictureCustomDialog(getContext(), R.layout.picture_wind_base_dialog);
            pictureCustomDialog.setCancelable(false);
            pictureCustomDialog.setCanceledOnTouchOutside(false);
            Button button = (Button) pictureCustomDialog.findViewById(R.id.btn_commit);
            button.setText(getString(R.string.picture_go_setting));
            ((TextView) pictureCustomDialog.findViewById(R.id.tvTitle)).setText(getString(R.string.picture_prompt));
            ((TextView) pictureCustomDialog.findViewById(R.id.tv_content)).setText(str);
            ((Button) pictureCustomDialog.findViewById(R.id.btn_cancel)).setOnClickListener(new q(this, pictureCustomDialog, z4));
            button.setOnClickListener(new p(this, pictureCustomDialog));
            pictureCustomDialog.show();
        }
    }

    public void startCamera() {
        if (!DoubleUtils.isFastDoubleClick()) {
            OnCustomCameraInterfaceListener onCustomCameraInterfaceListener = PictureSelectionConfig.onCustomCameraInterfaceListener;
            if (onCustomCameraInterfaceListener == null) {
                PictureSelectionConfig pictureSelectionConfig = this.config;
                int i5 = pictureSelectionConfig.chooseMode;
                if (i5 != 0) {
                    if (i5 != 1) {
                        if (i5 != 2) {
                            if (i5 == 3) {
                                startOpenCameraAudio();
                                return;
                            }
                            return;
                        }
                    }
                    startOpenCameraImage();
                    return;
                }
                if (pictureSelectionConfig.ofAllCameraType != PictureMimeType.ofImage()) {
                    if (this.config.ofAllCameraType != PictureMimeType.ofVideo()) {
                        PhotoItemSelectedDialog newInstance = PhotoItemSelectedDialog.newInstance();
                        newInstance.setOnItemClickListener(this);
                        newInstance.show(getSupportFragmentManager(), "PhotoItemSelectedDialog");
                        return;
                    }
                }
                startOpenCameraImage();
                return;
                startOpenCameraVideo();
            } else if (this.config.chooseMode == 0) {
                PhotoItemSelectedDialog newInstance2 = PhotoItemSelectedDialog.newInstance();
                newInstance2.setOnItemClickListener(this);
                newInstance2.show(getSupportFragmentManager(), "PhotoItemSelectedDialog");
            } else {
                Context context = getContext();
                PictureSelectionConfig pictureSelectionConfig2 = this.config;
                onCustomCameraInterfaceListener.onCameraClick(context, pictureSelectionConfig2, pictureSelectionConfig2.chooseMode);
                PictureSelectionConfig pictureSelectionConfig3 = this.config;
                pictureSelectionConfig3.cameraMimeType = pictureSelectionConfig3.chooseMode;
            }
        }
    }

    public void startPreview(List<LocalMedia> list, int i5) {
        LocalMedia localMedia = list.get(i5);
        String mimeType = localMedia.getMimeType();
        Bundle bundle = new Bundle();
        ArrayList arrayList = new ArrayList();
        if (PictureMimeType.isHasVideo(mimeType)) {
            PictureSelectionConfig pictureSelectionConfig = this.config;
            if (pictureSelectionConfig.selectionMode != 1 || pictureSelectionConfig.enPreviewVideo) {
                OnVideoSelectedPlayCallback<LocalMedia> onVideoSelectedPlayCallback = PictureSelectionConfig.customVideoPlayCallback;
                if (onVideoSelectedPlayCallback != null) {
                    onVideoSelectedPlayCallback.startPlayVideo(localMedia);
                    return;
                }
                bundle.putParcelable(PictureConfig.EXTRA_MEDIA_KEY, localMedia);
                JumpUtils.startPictureVideoPlayActivity(getContext(), bundle, PictureConfig.PREVIEW_VIDEO_CODE);
                return;
            }
        } else if (!PictureMimeType.isHasAudio(mimeType)) {
            OnCustomImagePreviewCallback<LocalMedia> onCustomImagePreviewCallback = PictureSelectionConfig.onCustomImagePreviewCallback;
            if (onCustomImagePreviewCallback != null) {
                onCustomImagePreviewCallback.onCustomPreviewCallback(getContext(), list, i5);
                return;
            }
            List<LocalMedia> selectedData = this.mAdapter.getSelectedData();
            ImagesObservable.getInstance().saveData(new ArrayList(list));
            bundle.putParcelableArrayList(PictureConfig.EXTRA_SELECT_LIST, (ArrayList) selectedData);
            bundle.putInt("position", i5);
            bundle.putBoolean(PictureConfig.EXTRA_CHANGE_ORIGINAL, this.config.isCheckOriginalImage);
            bundle.putBoolean(PictureConfig.EXTRA_SHOW_CAMERA, this.mAdapter.isShowCamera());
            bundle.putLong(PictureConfig.EXTRA_BUCKET_ID, ValueOf.toLong(this.mTvPictureTitle.getTag(R.id.view_tag)));
            bundle.putInt(PictureConfig.EXTRA_PAGE, this.mPage);
            bundle.putParcelable(PictureConfig.EXTRA_CONFIG, this.config);
            bundle.putInt(PictureConfig.EXTRA_DATA_COUNT, ValueOf.toInt(this.mTvPictureTitle.getTag(R.id.view_count_tag)));
            bundle.putString(PictureConfig.EXTRA_IS_CURRENT_DIRECTORY, this.mTvPictureTitle.getText().toString());
            Context context = getContext();
            PictureSelectionConfig pictureSelectionConfig2 = this.config;
            JumpUtils.startPicturePreviewActivity(context, pictureSelectionConfig2.isWeChatStyle, bundle, pictureSelectionConfig2.selectionMode == 1 ? 69 : UCrop.REQUEST_MULTI_CROP);
            overridePendingTransition(PictureSelectionConfig.windowAnimationStyle.activityPreviewEnterAnimation, R.anim.picture_anim_fade_in);
            return;
        } else if (this.config.selectionMode != 1) {
            startPlayAudioDialog(localMedia.getPath());
            return;
        }
        arrayList.add(localMedia);
        onResult(arrayList);
    }

    public void stop(String str) {
        MediaPlayer mediaPlayer2 = this.mediaPlayer;
        if (mediaPlayer2 != null) {
            try {
                mediaPlayer2.stop();
                this.mediaPlayer.reset();
                if (PictureMimeType.isContent(str)) {
                    this.mediaPlayer.setDataSource(getContext(), Uri.parse(str));
                } else {
                    this.mediaPlayer.setDataSource(str);
                }
                this.mediaPlayer.prepare();
                this.mediaPlayer.seekTo(0);
            } catch (Exception e5) {
                e5.printStackTrace();
            }
        }
    }
}
