package com.luck.picture.lib;

import android.content.Context;
import android.content.res.ColorStateList;
import android.text.TextUtils;
import android.view.View;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.core.content.a;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.style.PictureParameterStyle;
import com.luck.picture.lib.style.PictureSelectorUIStyle;
import com.luck.picture.lib.tools.AttrsUtils;
import com.luck.picture.lib.widget.FolderPopWindow;
import java.util.List;

public class PictureSelectorWeChatStyleActivity extends PictureSelectorActivity {
    private RelativeLayout rlAlbum;

    private void goneParentView() {
        this.mTvPictureImgNum.setVisibility(8);
        this.mTvPictureOk.setVisibility(8);
    }

    private void setAlbumLayoutParams(boolean z4) {
        if (this.rlAlbum.getLayoutParams() instanceof RelativeLayout.LayoutParams) {
            RelativeLayout.LayoutParams layoutParams = (RelativeLayout.LayoutParams) this.rlAlbum.getLayoutParams();
            if (z4) {
                layoutParams.addRule(1, -1);
                layoutParams.addRule(14);
                return;
            }
            layoutParams.addRule(14, -1);
            layoutParams.addRule(1, R.id.pictureLeftBack);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureSelectorActivity
    public void changeImageNumber(List<LocalMedia> list) {
        TextView textView;
        String str;
        int i5;
        TextView textView2;
        String str2;
        int size = list.size();
        if (size != 0) {
            this.mTvPictureRight.setEnabled(true);
            this.mTvPictureRight.setSelected(true);
            this.mTvPicturePreview.setEnabled(true);
            this.mTvPicturePreview.setSelected(true);
            initCompleteText(list);
            PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle != null) {
                int i6 = pictureSelectorUIStyle.picture_top_titleRightTextNormalBackground;
                if (i6 != 0) {
                    this.mTvPictureRight.setBackgroundResource(i6);
                } else {
                    this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_bg);
                }
                int[] iArr = PictureSelectionConfig.uiStyle.picture_bottom_previewTextColor;
                if (iArr.length > 0) {
                    ColorStateList colorStateList = AttrsUtils.getColorStateList(iArr);
                    if (colorStateList != null) {
                        this.mTvPicturePreview.setTextColor(colorStateList);
                    }
                } else {
                    this.mTvPicturePreview.setTextColor(a.b(getContext(), R.color.picture_color_white));
                }
                PictureSelectorUIStyle pictureSelectorUIStyle2 = PictureSelectionConfig.uiStyle;
                int i7 = pictureSelectorUIStyle2.picture_bottom_previewNormalText;
                if (i7 == 0) {
                    textView = this.mTvPicturePreview;
                    str = getString(R.string.picture_preview_num, new Object[]{Integer.valueOf(size)});
                } else if (pictureSelectorUIStyle2.isCompleteReplaceNum) {
                    textView = this.mTvPicturePreview;
                    str = String.format(getString(i7), Integer.valueOf(size));
                } else {
                    this.mTvPicturePreview.setText(i7);
                    return;
                }
            } else {
                PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
                if (pictureParameterStyle != null) {
                    int i8 = pictureParameterStyle.pictureCompleteBackgroundStyle;
                    if (i8 != 0) {
                        this.mTvPictureRight.setBackgroundResource(i8);
                    } else {
                        this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_bg);
                    }
                    int i9 = PictureSelectionConfig.style.pictureCompleteTextColor;
                    if (i9 != 0) {
                        this.mTvPictureRight.setTextColor(i9);
                    } else {
                        this.mTvPictureRight.setTextColor(a.b(getContext(), R.color.picture_color_white));
                    }
                    int i10 = PictureSelectionConfig.style.picturePreviewTextColor;
                    if (i10 != 0) {
                        this.mTvPicturePreview.setTextColor(i10);
                    } else {
                        this.mTvPicturePreview.setTextColor(a.b(getContext(), R.color.picture_color_white));
                    }
                    if (!TextUtils.isEmpty(PictureSelectionConfig.style.picturePreviewText)) {
                        textView = this.mTvPicturePreview;
                        str = PictureSelectionConfig.style.picturePreviewText;
                    } else {
                        textView = this.mTvPicturePreview;
                        str = getString(R.string.picture_preview_num, new Object[]{Integer.valueOf(size)});
                    }
                } else {
                    this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_bg);
                    TextView textView3 = this.mTvPictureRight;
                    Context context = getContext();
                    int i11 = R.color.picture_color_white;
                    textView3.setTextColor(a.b(context, i11));
                    this.mTvPicturePreview.setTextColor(a.b(getContext(), i11));
                    textView = this.mTvPicturePreview;
                    str = getString(R.string.picture_preview_num, new Object[]{Integer.valueOf(size)});
                }
            }
        } else {
            this.mTvPictureRight.setEnabled(false);
            this.mTvPictureRight.setSelected(false);
            this.mTvPicturePreview.setEnabled(false);
            this.mTvPicturePreview.setSelected(false);
            PictureSelectorUIStyle pictureSelectorUIStyle3 = PictureSelectionConfig.uiStyle;
            if (pictureSelectorUIStyle3 != null) {
                int i12 = pictureSelectorUIStyle3.picture_top_titleRightTextDefaultBackground;
                if (i12 != 0) {
                    this.mTvPictureRight.setBackgroundResource(i12);
                } else {
                    this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                }
                int i13 = PictureSelectionConfig.uiStyle.picture_top_titleRightDefaultText;
                if (i13 != 0) {
                    this.mTvPictureRight.setText(getString(i13));
                } else {
                    this.mTvPictureRight.setText(getString(R.string.picture_send));
                }
                int i14 = PictureSelectionConfig.uiStyle.picture_bottom_previewDefaultText;
                if (i14 != 0) {
                    this.mTvPicturePreview.setText(getString(i14));
                    return;
                }
            } else {
                PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
                if (pictureParameterStyle2 != null) {
                    int i15 = pictureParameterStyle2.pictureUnCompleteBackgroundStyle;
                    if (i15 != 0) {
                        this.mTvPictureRight.setBackgroundResource(i15);
                    } else {
                        this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                    }
                    int i16 = PictureSelectionConfig.style.pictureUnCompleteTextColor;
                    if (i16 != 0) {
                        this.mTvPictureRight.setTextColor(i16);
                    } else {
                        this.mTvPictureRight.setTextColor(a.b(getContext(), R.color.picture_color_53575e));
                    }
                    int i17 = PictureSelectionConfig.style.pictureUnPreviewTextColor;
                    if (i17 != 0) {
                        this.mTvPicturePreview.setTextColor(i17);
                    } else {
                        this.mTvPicturePreview.setTextColor(a.b(getContext(), R.color.picture_color_9b));
                    }
                    if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                        textView2 = this.mTvPictureRight;
                        str2 = PictureSelectionConfig.style.pictureUnCompleteText;
                    } else {
                        textView2 = this.mTvPictureRight;
                        str2 = getString(R.string.picture_send);
                    }
                    textView2.setText(str2);
                    if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnPreviewText)) {
                        textView = this.mTvPicturePreview;
                        str = PictureSelectionConfig.style.pictureUnPreviewText;
                    }
                } else {
                    this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                    this.mTvPictureRight.setTextColor(a.b(getContext(), R.color.picture_color_53575e));
                    this.mTvPicturePreview.setTextColor(a.b(getContext(), R.color.picture_color_9b));
                    this.mTvPicturePreview.setText(getString(R.string.picture_preview));
                    textView = this.mTvPictureRight;
                    i5 = R.string.picture_send;
                    str = getString(i5);
                }
            }
            textView = this.mTvPicturePreview;
            i5 = R.string.picture_preview;
            str = getString(i5);
        }
        textView.setText(str);
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PictureSelectorActivity
    public int getResourceId() {
        return R.layout.picture_wechat_style_selector;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:12:0x0028, code lost:
        if (android.text.TextUtils.isEmpty(r1.pictureUnCompleteText) == false) goto L_0x002a;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x006e, code lost:
        if (android.text.TextUtils.isEmpty(com.luck.picture.lib.config.PictureSelectionConfig.style.pictureCompleteText) == false) goto L_0x0070;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:29:0x0070, code lost:
        r0 = com.luck.picture.lib.config.PictureSelectionConfig.style.pictureCompleteText;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:63:0x0129, code lost:
        if (android.text.TextUtils.isEmpty(com.luck.picture.lib.config.PictureSelectionConfig.style.pictureCompleteText) == false) goto L_0x0070;
     */
    @Override // com.luck.picture.lib.PictureBaseActivity
    public void initCompleteText(List<LocalMedia> list) {
        int i5;
        TextView textView;
        String string;
        TextView textView2;
        String format;
        int size = list.size();
        PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
        boolean z4 = pictureParameterStyle != null;
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (pictureSelectionConfig.isWithVideoImage) {
            if (pictureSelectionConfig.selectionMode != 1) {
                if (!(z4 && pictureParameterStyle.isCompleteReplaceNum) || TextUtils.isEmpty(pictureParameterStyle.pictureCompleteText)) {
                    textView2 = this.mTvPictureRight;
                    if (!z4 || TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                        format = getString(R.string.picture_send_num, new Object[]{Integer.valueOf(size), Integer.valueOf(this.config.maxSelectNum)});
                        textView2.setText(format);
                    }
                } else {
                    textView2 = this.mTvPictureRight;
                    format = String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(size), Integer.valueOf(this.config.maxSelectNum));
                    textView2.setText(format);
                }
            } else if (size <= 0) {
                textView2 = this.mTvPictureRight;
                if (z4) {
                }
            } else {
                if (!(z4 && pictureParameterStyle.isCompleteReplaceNum) || TextUtils.isEmpty(pictureParameterStyle.pictureCompleteText)) {
                    textView2 = this.mTvPictureRight;
                    if (z4) {
                    }
                } else {
                    textView2 = this.mTvPictureRight;
                    format = String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(size), 1);
                    textView2.setText(format);
                }
            }
            format = PictureSelectionConfig.style.pictureUnCompleteText;
            textView2.setText(format);
        }
        if (!PictureMimeType.isHasVideo(list.get(0).getMimeType()) || (i5 = this.config.maxVideoSelectNum) <= 0) {
            i5 = this.config.maxSelectNum;
        }
        if (this.config.selectionMode == 1) {
            if (!(z4 && PictureSelectionConfig.style.isCompleteReplaceNum) || TextUtils.isEmpty(PictureSelectionConfig.style.pictureCompleteText)) {
                textView2 = this.mTvPictureRight;
                if (z4) {
                }
            } else {
                textView2 = this.mTvPictureRight;
                format = String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(size), 1);
                textView2.setText(format);
            }
        } else {
            if (!(z4 && PictureSelectionConfig.style.isCompleteReplaceNum) || TextUtils.isEmpty(PictureSelectionConfig.style.pictureCompleteText)) {
                textView = this.mTvPictureRight;
                string = (!z4 || TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) ? getString(R.string.picture_send_num, new Object[]{Integer.valueOf(size), Integer.valueOf(i5)}) : PictureSelectionConfig.style.pictureUnCompleteText;
            } else {
                textView = this.mTvPictureRight;
                string = String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(size), Integer.valueOf(i5));
            }
            textView.setText(string);
            return;
        }
        format = getString(R.string.picture_send);
        textView2.setText(format);
    }

    /* JADX WARNING: Removed duplicated region for block: B:63:0x0118  */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x0124  */
    /* JADX WARNING: Removed duplicated region for block: B:74:0x014c  */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x0157  */
    /* JADX WARNING: Removed duplicated region for block: B:78:0x015d  */
    /* JADX WARNING: Removed duplicated region for block: B:81:0x016e  */
    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PictureSelectorActivity
    public void initPictureSelectorStyle() {
        int i5;
        int i6;
        int i7;
        TextView textView;
        PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
        if (pictureSelectorUIStyle != null) {
            int i8 = pictureSelectorUIStyle.picture_top_titleRightTextDefaultBackground;
            if (i8 != 0) {
                this.mTvPictureRight.setBackgroundResource(i8);
            } else {
                this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_default_bg);
            }
            int i9 = PictureSelectionConfig.uiStyle.picture_bottom_barBackgroundColor;
            if (i9 != 0) {
                this.mBottomLayout.setBackgroundColor(i9);
            } else {
                this.mBottomLayout.setBackgroundColor(a.b(getContext(), R.color.picture_color_grey));
            }
            int[] iArr = PictureSelectionConfig.uiStyle.picture_top_titleRightTextColor;
            if (iArr.length > 0) {
                ColorStateList colorStateList = AttrsUtils.getColorStateList(iArr);
                if (colorStateList != null) {
                    this.mTvPictureRight.setTextColor(colorStateList);
                }
            } else {
                this.mTvPictureRight.setTextColor(a.b(getContext(), R.color.picture_color_53575e));
            }
            int i10 = PictureSelectionConfig.uiStyle.picture_top_titleRightTextSize;
            if (i10 != 0) {
                this.mTvPictureRight.setTextSize((float) i10);
            }
            if (this.config.isOriginalControl) {
                int i11 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureCheckStyle;
                if (i11 != 0) {
                    this.mCbOriginal.setButtonDrawable(i11);
                }
                int i12 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureTextColor;
                if (i12 != 0) {
                    this.mCbOriginal.setTextColor(i12);
                }
                int i13 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureTextSize;
                if (i13 != 0) {
                    this.mCbOriginal.setTextSize((float) i13);
                }
            }
            int i14 = PictureSelectionConfig.uiStyle.picture_container_backgroundColor;
            if (i14 != 0) {
                this.container.setBackgroundColor(i14);
            }
            int i15 = PictureSelectionConfig.uiStyle.picture_top_titleAlbumBackground;
            if (i15 != 0) {
                this.rlAlbum.setBackgroundResource(i15);
            } else {
                this.rlAlbum.setBackgroundResource(R.drawable.picture_album_bg);
            }
            if (PictureSelectionConfig.uiStyle.picture_album_horizontal) {
                setAlbumLayoutParams(true);
            }
            int i16 = PictureSelectionConfig.uiStyle.picture_top_titleRightDefaultText;
            if (i16 != 0) {
                this.mTvPictureRight.setText(getString(i16));
            }
        } else {
            PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
            if (pictureParameterStyle != null) {
                int i17 = pictureParameterStyle.pictureUnCompleteBackgroundStyle;
                if (i17 != 0) {
                    this.mTvPictureRight.setBackgroundResource(i17);
                } else {
                    this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                }
                int i18 = PictureSelectionConfig.style.pictureBottomBgColor;
                if (i18 != 0) {
                    this.mBottomLayout.setBackgroundColor(i18);
                } else {
                    this.mBottomLayout.setBackgroundColor(a.b(getContext(), R.color.picture_color_grey));
                }
                PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
                int i19 = pictureParameterStyle2.pictureUnCompleteTextColor;
                if (i19 != 0) {
                    textView = this.mTvPictureRight;
                } else {
                    int i20 = pictureParameterStyle2.pictureCancelTextColor;
                    if (i20 != 0) {
                        this.mTvPictureRight.setTextColor(i20);
                        i5 = PictureSelectionConfig.style.pictureRightTextSize;
                        if (i5 != 0) {
                            this.mTvPictureRight.setTextSize((float) i5);
                        }
                        if (PictureSelectionConfig.style.pictureOriginalFontColor == 0) {
                            this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_white));
                        }
                        if (this.config.isOriginalControl && PictureSelectionConfig.style.pictureOriginalControlStyle == 0) {
                            this.mCbOriginal.setButtonDrawable(a.d(this, R.drawable.picture_original_wechat_checkbox));
                        }
                        i6 = PictureSelectionConfig.style.pictureContainerBackgroundColor;
                        if (i6 != 0) {
                            this.container.setBackgroundColor(i6);
                        }
                        i7 = PictureSelectionConfig.style.pictureWeChatTitleBackgroundStyle;
                        if (i7 == 0) {
                            this.rlAlbum.setBackgroundResource(i7);
                        } else {
                            this.rlAlbum.setBackgroundResource(R.drawable.picture_album_bg);
                        }
                        if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                            this.mTvPictureRight.setText(PictureSelectionConfig.style.pictureUnCompleteText);
                        }
                    } else {
                        textView = this.mTvPictureRight;
                        i19 = a.b(getContext(), R.color.picture_color_53575e);
                    }
                }
                textView.setTextColor(i19);
                i5 = PictureSelectionConfig.style.pictureRightTextSize;
                if (i5 != 0) {
                }
                if (PictureSelectionConfig.style.pictureOriginalFontColor == 0) {
                }
                this.mCbOriginal.setButtonDrawable(a.d(this, R.drawable.picture_original_wechat_checkbox));
                i6 = PictureSelectionConfig.style.pictureContainerBackgroundColor;
                if (i6 != 0) {
                }
                i7 = PictureSelectionConfig.style.pictureWeChatTitleBackgroundStyle;
                if (i7 == 0) {
                }
                if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                }
            } else {
                this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_default_bg);
                this.rlAlbum.setBackgroundResource(R.drawable.picture_album_bg);
                this.mTvPictureRight.setTextColor(a.b(getContext(), R.color.picture_color_53575e));
                int typeValueColor = AttrsUtils.getTypeValueColor(getContext(), R.attr.picture_bottom_bg);
                RelativeLayout relativeLayout = this.mBottomLayout;
                if (typeValueColor == 0) {
                    typeValueColor = a.b(getContext(), R.color.picture_color_grey);
                }
                relativeLayout.setBackgroundColor(typeValueColor);
                this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_white));
                this.mIvArrow.setImageDrawable(a.d(this, R.drawable.picture_icon_wechat_down));
                if (this.config.isOriginalControl) {
                    this.mCbOriginal.setButtonDrawable(a.d(this, R.drawable.picture_original_wechat_checkbox));
                }
            }
        }
        super.initPictureSelectorStyle();
        goneParentView();
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PictureSelectorActivity
    public void initWidgets() {
        super.initWidgets();
        this.rlAlbum = (RelativeLayout) findViewById(R.id.rlAlbum);
        this.mTvPictureRight.setOnClickListener(this);
        this.mTvPictureRight.setText(getString(R.string.picture_send));
        this.mTvPicturePreview.setTextSize(16.0f);
        this.mCbOriginal.setTextSize(16.0f);
        PictureSelectionConfig pictureSelectionConfig = this.config;
        int i5 = 0;
        boolean z4 = true;
        if (pictureSelectionConfig.selectionMode != 1 || !pictureSelectionConfig.isSingleDirectReturn) {
            z4 = false;
        }
        TextView textView = this.mTvPictureRight;
        if (z4) {
            i5 = 8;
        }
        textView.setVisibility(i5);
        this.mTvPictureRight.setOnClickListener(this);
        setAlbumLayoutParams(z4);
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureSelectorActivity
    public void onChangeData(List<LocalMedia> list) {
        super.onChangeData(list);
        initCompleteText(list);
    }

    @Override // com.luck.picture.lib.PictureSelectorActivity
    public void onClick(View view) {
        if (view.getId() == R.id.picture_right) {
            FolderPopWindow folderPopWindow = this.folderWindow;
            if (folderPopWindow == null || !folderPopWindow.isShowing()) {
                this.mTvPictureOk.performClick();
            } else {
                this.folderWindow.dismiss();
            }
        } else {
            super.onClick(view);
        }
    }
}
