package com.luck.picture.lib.camera.view;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.RectF;
import android.view.View;

public class TypeButton extends View {
    public static final int TYPE_CANCEL = 1;
    public static final int TYPE_CONFIRM = 2;
    private float button_radius;
    private int button_size;
    private int button_type;
    private float center_X;
    private float center_Y;
    private float index;
    private Paint mPaint;
    private Path path;
    private RectF rectF;
    private float strokeWidth;

    public TypeButton(Context context) {
        super(context);
    }

    public TypeButton(Context context, int i5, int i6) {
        super(context);
        this.button_type = i5;
        this.button_size = i6;
        float f5 = (float) i6;
        float f6 = f5 / 2.0f;
        this.button_radius = f6;
        this.center_X = f6;
        this.center_Y = f6;
        this.mPaint = new Paint();
        this.path = new Path();
        this.strokeWidth = f5 / 50.0f;
        this.index = ((float) this.button_size) / 12.0f;
        float f7 = this.center_X;
        float f8 = this.center_Y;
        float f9 = this.index;
        this.rectF = new RectF(f7, f8 - f9, (2.0f * f9) + f7, f8 + f9);
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.button_type == 1) {
            this.mPaint.setAntiAlias(true);
            this.mPaint.setColor(-287515428);
            this.mPaint.setStyle(Paint.Style.FILL);
            canvas.drawCircle(this.center_X, this.center_Y, this.button_radius, this.mPaint);
            this.mPaint.setColor(-16777216);
            this.mPaint.setStyle(Paint.Style.STROKE);
            this.mPaint.setStrokeWidth(this.strokeWidth);
            Path path2 = this.path;
            float f5 = this.center_X;
            float f6 = this.index;
            path2.moveTo(f5 - (f6 / 7.0f), this.center_Y + f6);
            Path path3 = this.path;
            float f7 = this.center_X;
            float f8 = this.index;
            path3.lineTo(f7 + f8, this.center_Y + f8);
            this.path.arcTo(this.rectF, 90.0f, -180.0f);
            Path path4 = this.path;
            float f9 = this.center_X;
            float f10 = this.index;
            path4.lineTo(f9 - f10, this.center_Y - f10);
            canvas.drawPath(this.path, this.mPaint);
            this.mPaint.setStyle(Paint.Style.FILL);
            this.path.reset();
            Path path5 = this.path;
            float f11 = this.center_X;
            float f12 = this.index;
            path5.moveTo(f11 - f12, (float) (((double) this.center_Y) - (((double) f12) * 1.5d)));
            Path path6 = this.path;
            float f13 = this.center_X;
            float f14 = this.index;
            path6.lineTo(f13 - f14, (float) (((double) this.center_Y) - (((double) f14) / 2.3d)));
            Path path7 = this.path;
            float f15 = this.index;
            path7.lineTo((float) (((double) this.center_X) - (((double) f15) * 1.6d)), this.center_Y - f15);
            this.path.close();
            canvas.drawPath(this.path, this.mPaint);
        }
        if (this.button_type == 2) {
            this.mPaint.setAntiAlias(true);
            this.mPaint.setColor(-1);
            this.mPaint.setStyle(Paint.Style.FILL);
            canvas.drawCircle(this.center_X, this.center_Y, this.button_radius, this.mPaint);
            this.mPaint.setAntiAlias(true);
            this.mPaint.setStyle(Paint.Style.STROKE);
            this.mPaint.setColor(-16724992);
            this.mPaint.setStrokeWidth(this.strokeWidth);
            this.path.moveTo(this.center_X - (((float) this.button_size) / 6.0f), this.center_Y);
            Path path8 = this.path;
            float f16 = this.center_X;
            int i5 = this.button_size;
            path8.lineTo(f16 - (((float) i5) / 21.2f), this.center_Y + (((float) i5) / 7.7f));
            Path path9 = this.path;
            float f17 = this.center_X;
            int i6 = this.button_size;
            path9.lineTo(f17 + (((float) i6) / 4.0f), this.center_Y - (((float) i6) / 8.5f));
            Path path10 = this.path;
            float f18 = this.center_X;
            int i7 = this.button_size;
            path10.lineTo(f18 - (((float) i7) / 21.2f), this.center_Y + (((float) i7) / 9.4f));
            this.path.close();
            canvas.drawPath(this.path, this.mPaint);
        }
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i5, int i6) {
        super.onMeasure(i5, i6);
        int i7 = this.button_size;
        setMeasuredDimension(i7, i7);
    }
}
