package com.luck.picture.lib.entity;

import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import com.luck.picture.lib.config.PictureMimeType;

public class LocalMedia implements Parcelable {
    public static final Parcelable.Creator<LocalMedia> CREATOR = new Parcelable.Creator<LocalMedia>() {
        /* class com.luck.picture.lib.entity.LocalMedia.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public LocalMedia createFromParcel(Parcel parcel) {
            return new LocalMedia(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public LocalMedia[] newArray(int i5) {
            return new LocalMedia[i5];
        }
    };
    private String androidQToPath;
    private long bucketId = -1;
    private int chooseModel;
    private String compressPath;
    private boolean compressed;
    private int cropImageHeight;
    private int cropImageWidth;
    private int cropOffsetX;
    private int cropOffsetY;
    private float cropResultAspectRatio;
    private String cutPath;
    private long dateAddedTime;
    private long duration;
    private String fileName;
    private int height;
    private long id;
    private boolean isChecked;
    private boolean isCut;
    private boolean isEditorImage;
    public boolean isLongImage;
    private boolean isMaxSelectEnabledMask;
    private boolean isOriginal;
    public int loadLongImageStatus = -1;
    private String mimeType;
    private int num;
    @Deprecated
    private int orientation = -1;
    private String originalPath;
    private String parentFolderName;
    private String path;
    public int position;
    private String realPath;
    private long size;
    private int width;

    public LocalMedia() {
    }

    protected LocalMedia(Parcel parcel) {
        this.id = parcel.readLong();
        this.path = parcel.readString();
        this.realPath = parcel.readString();
        this.originalPath = parcel.readString();
        this.compressPath = parcel.readString();
        this.cutPath = parcel.readString();
        this.androidQToPath = parcel.readString();
        this.duration = parcel.readLong();
        boolean z4 = true;
        this.isChecked = parcel.readByte() != 0;
        this.isCut = parcel.readByte() != 0;
        this.position = parcel.readInt();
        this.num = parcel.readInt();
        this.mimeType = parcel.readString();
        this.chooseModel = parcel.readInt();
        this.compressed = parcel.readByte() != 0;
        this.width = parcel.readInt();
        this.height = parcel.readInt();
        this.cropImageWidth = parcel.readInt();
        this.cropImageHeight = parcel.readInt();
        this.cropOffsetX = parcel.readInt();
        this.cropOffsetY = parcel.readInt();
        this.cropResultAspectRatio = parcel.readFloat();
        this.size = parcel.readLong();
        this.isOriginal = parcel.readByte() != 0;
        this.fileName = parcel.readString();
        this.parentFolderName = parcel.readString();
        this.orientation = parcel.readInt();
        this.loadLongImageStatus = parcel.readInt();
        this.isLongImage = parcel.readByte() != 0;
        this.bucketId = parcel.readLong();
        this.isMaxSelectEnabledMask = parcel.readByte() != 0;
        this.isEditorImage = parcel.readByte() == 0 ? false : z4;
        this.dateAddedTime = parcel.readLong();
    }

    public static LocalMedia parseHttpLocalMedia(String str, String str2) {
        return parseLocalMedia(0, str, "", "", "", 0, PictureMimeType.ofImage(), str2, 0, 0, 0, -1, 0);
    }

    public static LocalMedia parseLocalMedia(long j5, String str, String str2, String str3, String str4, long j6, int i5, String str5, int i6, int i7, long j7, long j8, long j9) {
        LocalMedia localMedia = new LocalMedia();
        localMedia.setId(j5);
        localMedia.setPath(str);
        localMedia.setRealPath(str2);
        localMedia.setFileName(str3);
        localMedia.setParentFolderName(str4);
        localMedia.setDuration(j6);
        localMedia.setChooseModel(i5);
        localMedia.setMimeType(str5);
        localMedia.setWidth(i6);
        localMedia.setHeight(i7);
        localMedia.setSize(j7);
        localMedia.setBucketId(j8);
        localMedia.setDateAddedTime(j9);
        return localMedia;
    }

    public static LocalMedia parseLocalMedia(String str, int i5, int i6) {
        LocalMedia parseLocalMedia = parseLocalMedia(0, str, "", "", "", 0, i6, "", 0, 0, 0, -1, 0);
        parseLocalMedia.setPosition(i5);
        return parseLocalMedia;
    }

    public int describeContents() {
        return 0;
    }

    public String getAndroidQToPath() {
        return this.androidQToPath;
    }

    public long getBucketId() {
        return this.bucketId;
    }

    public int getChooseModel() {
        return this.chooseModel;
    }

    public String getCompressPath() {
        return this.compressPath;
    }

    public int getCropImageHeight() {
        return this.cropImageHeight;
    }

    public int getCropImageWidth() {
        return this.cropImageWidth;
    }

    public int getCropOffsetX() {
        return this.cropOffsetX;
    }

    public int getCropOffsetY() {
        return this.cropOffsetY;
    }

    public float getCropResultAspectRatio() {
        return this.cropResultAspectRatio;
    }

    public String getCutPath() {
        return this.cutPath;
    }

    public long getDateAddedTime() {
        return this.dateAddedTime;
    }

    public long getDuration() {
        return this.duration;
    }

    public String getFileName() {
        return this.fileName;
    }

    public int getHeight() {
        return this.height;
    }

    public long getId() {
        return this.id;
    }

    public String getMimeType() {
        return TextUtils.isEmpty(this.mimeType) ? "image/jpeg" : this.mimeType;
    }

    public int getNum() {
        return this.num;
    }

    @Deprecated
    public int getOrientation() {
        return this.orientation;
    }

    public String getOriginalPath() {
        return this.originalPath;
    }

    public String getParentFolderName() {
        return this.parentFolderName;
    }

    public String getPath() {
        return this.path;
    }

    public int getPosition() {
        return this.position;
    }

    public String getRealPath() {
        return this.realPath;
    }

    public long getSize() {
        return this.size;
    }

    public int getWidth() {
        return this.width;
    }

    public boolean isChecked() {
        return this.isChecked;
    }

    public boolean isCompressed() {
        return this.compressed && !TextUtils.isEmpty(getCompressPath());
    }

    public boolean isCut() {
        return this.isCut && !TextUtils.isEmpty(getCutPath());
    }

    public boolean isEditorImage() {
        return this.isEditorImage;
    }

    public boolean isMaxSelectEnabledMask() {
        return this.isMaxSelectEnabledMask;
    }

    public boolean isOriginal() {
        return this.isOriginal;
    }

    public boolean isToSandboxPath() {
        return !TextUtils.isEmpty(getAndroidQToPath());
    }

    public void setAndroidQToPath(String str) {
        this.androidQToPath = str;
    }

    public void setBucketId(long j5) {
        this.bucketId = j5;
    }

    public void setChecked(boolean z4) {
        this.isChecked = z4;
    }

    public void setChooseModel(int i5) {
        this.chooseModel = i5;
    }

    public void setCompressPath(String str) {
        this.compressPath = str;
    }

    public void setCompressed(boolean z4) {
        this.compressed = z4;
    }

    public void setCropImageHeight(int i5) {
        this.cropImageHeight = i5;
    }

    public void setCropImageWidth(int i5) {
        this.cropImageWidth = i5;
    }

    public void setCropOffsetX(int i5) {
        this.cropOffsetX = i5;
    }

    public void setCropOffsetY(int i5) {
        this.cropOffsetY = i5;
    }

    public void setCropResultAspectRatio(float f5) {
        this.cropResultAspectRatio = f5;
    }

    public void setCut(boolean z4) {
        this.isCut = z4;
    }

    public void setCutPath(String str) {
        this.cutPath = str;
    }

    public void setDateAddedTime(long j5) {
        this.dateAddedTime = j5;
    }

    public void setDuration(long j5) {
        this.duration = j5;
    }

    public void setEditorImage(boolean z4) {
        this.isEditorImage = z4;
    }

    public void setFileName(String str) {
        this.fileName = str;
    }

    public void setHeight(int i5) {
        this.height = i5;
    }

    public void setId(long j5) {
        this.id = j5;
    }

    public void setMaxSelectEnabledMask(boolean z4) {
        this.isMaxSelectEnabledMask = z4;
    }

    public void setMimeType(String str) {
        this.mimeType = str;
    }

    public void setNum(int i5) {
        this.num = i5;
    }

    @Deprecated
    public void setOrientation(int i5) {
        this.orientation = i5;
    }

    public void setOriginal(boolean z4) {
        this.isOriginal = z4;
    }

    public void setOriginalPath(String str) {
        this.originalPath = str;
    }

    public void setParentFolderName(String str) {
        this.parentFolderName = str;
    }

    public void setPath(String str) {
        this.path = str;
    }

    public void setPosition(int i5) {
        this.position = i5;
    }

    public void setRealPath(String str) {
        this.realPath = str;
    }

    public void setSize(long j5) {
        this.size = j5;
    }

    public void setWidth(int i5) {
        this.width = i5;
    }

    public String toString() {
        return "LocalMedia{id=" + this.id + ", path='" + this.path + '\'' + ", realPath='" + this.realPath + '\'' + ", originalPath='" + this.originalPath + '\'' + ", compressPath='" + this.compressPath + '\'' + ", cutPath='" + this.cutPath + '\'' + ", androidQToPath='" + this.androidQToPath + '\'' + ", duration=" + this.duration + ", isChecked=" + this.isChecked + ", isCut=" + this.isCut + ", position=" + this.position + ", num=" + this.num + ", mimeType='" + this.mimeType + '\'' + ", chooseModel=" + this.chooseModel + ", compressed=" + this.compressed + ", width=" + this.width + ", height=" + this.height + ", cropImageWidth=" + this.cropImageWidth + ", cropImageHeight=" + this.cropImageHeight + ", cropOffsetX=" + this.cropOffsetX + ", cropOffsetY=" + this.cropOffsetY + ", cropResultAspectRatio=" + this.cropResultAspectRatio + ", size=" + this.size + ", isOriginal=" + this.isOriginal + ", fileName='" + this.fileName + '\'' + ", parentFolderName='" + this.parentFolderName + '\'' + ", orientation=" + this.orientation + ", bucketId=" + this.bucketId + ", isMaxSelectEnabledMask=" + this.isMaxSelectEnabledMask + ", isEditorImage=" + this.isEditorImage + ", dateAddedTime=" + this.dateAddedTime + '}';
    }

    public void writeToParcel(Parcel parcel, int i5) {
        parcel.writeLong(this.id);
        parcel.writeString(this.path);
        parcel.writeString(this.realPath);
        parcel.writeString(this.originalPath);
        parcel.writeString(this.compressPath);
        parcel.writeString(this.cutPath);
        parcel.writeString(this.androidQToPath);
        parcel.writeLong(this.duration);
        parcel.writeByte(this.isChecked ? (byte) 1 : 0);
        parcel.writeByte(this.isCut ? (byte) 1 : 0);
        parcel.writeInt(this.position);
        parcel.writeInt(this.num);
        parcel.writeString(this.mimeType);
        parcel.writeInt(this.chooseModel);
        parcel.writeByte(this.compressed ? (byte) 1 : 0);
        parcel.writeInt(this.width);
        parcel.writeInt(this.height);
        parcel.writeInt(this.cropImageWidth);
        parcel.writeInt(this.cropImageHeight);
        parcel.writeInt(this.cropOffsetX);
        parcel.writeInt(this.cropOffsetY);
        parcel.writeFloat(this.cropResultAspectRatio);
        parcel.writeLong(this.size);
        parcel.writeByte(this.isOriginal ? (byte) 1 : 0);
        parcel.writeString(this.fileName);
        parcel.writeString(this.parentFolderName);
        parcel.writeInt(this.orientation);
        parcel.writeInt(this.loadLongImageStatus);
        parcel.writeByte(this.isLongImage ? (byte) 1 : 0);
        parcel.writeLong(this.bucketId);
        parcel.writeByte(this.isMaxSelectEnabledMask ? (byte) 1 : 0);
        parcel.writeByte(this.isEditorImage ? (byte) 1 : 0);
        parcel.writeLong(this.dateAddedTime);
    }
}
