package com.luck.picture.lib.io;

import com.luck.picture.lib.io.PoolAble;
import java.util.ArrayDeque;
import java.util.Queue;

abstract class BaseKeyPool<T extends PoolAble> {
    private static final int MAX_SIZE = 20;
    private final Queue<T> keyPool = createQueue(20);

    BaseKeyPool() {
    }

    public static <T> Queue<T> createQueue(int i5) {
        return new ArrayDeque(i5);
    }

    /* access modifiers changed from: package-private */
    public abstract T create();

    /* access modifiers changed from: package-private */
    public T get() {
        T poll = this.keyPool.poll();
        return poll == null ? create() : poll;
    }

    public void offer(T t5) {
        if (this.keyPool.size() < 20) {
            this.keyPool.offer(t5);
        }
    }
}
