package com.luck.picture.lib.style;

import android.os.Parcel;
import android.os.Parcelable;
import com.luck.picture.lib.R;

public class PictureWindowAnimationStyle implements Parcelable {
    public static final Parcelable.Creator<PictureWindowAnimationStyle> CREATOR = new Parcelable.Creator<PictureWindowAnimationStyle>() {
        /* class com.luck.picture.lib.style.PictureWindowAnimationStyle.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public PictureWindowAnimationStyle createFromParcel(Parcel parcel) {
            return new PictureWindowAnimationStyle(parcel);
        }

        @Override // android.os.Parcelable.Creator
        public PictureWindowAnimationStyle[] newArray(int i5) {
            return new PictureWindowAnimationStyle[i5];
        }
    };
    public int activityCropEnterAnimation;
    public int activityCropExitAnimation;
    public int activityEnterAnimation;
    public int activityExitAnimation;
    public int activityPreviewEnterAnimation;
    public int activityPreviewExitAnimation;

    public PictureWindowAnimationStyle() {
    }

    public PictureWindowAnimationStyle(int i5, int i6) {
        this.activityEnterAnimation = i5;
        this.activityExitAnimation = i6;
        this.activityPreviewEnterAnimation = i5;
        this.activityPreviewExitAnimation = i6;
        this.activityCropEnterAnimation = i5;
        this.activityCropExitAnimation = i6;
    }

    public PictureWindowAnimationStyle(int i5, int i6, int i7, int i8) {
        this.activityEnterAnimation = i5;
        this.activityExitAnimation = i6;
        this.activityPreviewEnterAnimation = i7;
        this.activityPreviewExitAnimation = i8;
    }

    protected PictureWindowAnimationStyle(Parcel parcel) {
        this.activityEnterAnimation = parcel.readInt();
        this.activityExitAnimation = parcel.readInt();
        this.activityPreviewEnterAnimation = parcel.readInt();
        this.activityPreviewExitAnimation = parcel.readInt();
        this.activityCropEnterAnimation = parcel.readInt();
        this.activityCropExitAnimation = parcel.readInt();
    }

    public static PictureWindowAnimationStyle ofCustomWindowAnimationStyle(int i5, int i6) {
        return new PictureWindowAnimationStyle(i5, i6);
    }

    public static PictureWindowAnimationStyle ofDefaultWindowAnimationStyle() {
        return new PictureWindowAnimationStyle(R.anim.picture_anim_enter, R.anim.picture_anim_exit);
    }

    public int describeContents() {
        return 0;
    }

    public void ofAllAnimation(int i5, int i6) {
        this.activityEnterAnimation = i5;
        this.activityExitAnimation = i6;
        this.activityPreviewEnterAnimation = i5;
        this.activityPreviewExitAnimation = i6;
        this.activityCropEnterAnimation = i5;
        this.activityCropExitAnimation = i6;
    }

    public void writeToParcel(Parcel parcel, int i5) {
        parcel.writeInt(this.activityEnterAnimation);
        parcel.writeInt(this.activityExitAnimation);
        parcel.writeInt(this.activityPreviewEnterAnimation);
        parcel.writeInt(this.activityPreviewExitAnimation);
        parcel.writeInt(this.activityCropEnterAnimation);
        parcel.writeInt(this.activityCropExitAnimation);
    }
}
