package com.luck.picture.lib.tools;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.util.TypedValue;
import androidx.core.content.a;
import com.yalantis.ucrop.view.CropImageView;

public class AttrsUtils {
    public static ColorStateList getColorStateList(int[] iArr) {
        try {
            if (iArr.length != 2) {
                return ColorStateList.valueOf(iArr[0]);
            }
            return new ColorStateList(new int[][]{new int[]{-16842913}, new int[]{16842913}}, iArr);
        } catch (Exception e5) {
            e5.printStackTrace();
            return null;
        }
    }

    public static boolean getTypeValueBoolean(Context context, int i5) {
        boolean z4 = false;
        try {
            int[] iArr = {i5};
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(new TypedValue().resourceId, iArr);
            z4 = obtainStyledAttributes.getBoolean(0, false);
            obtainStyledAttributes.recycle();
            return z4;
        } catch (Exception e5) {
            e5.printStackTrace();
            return z4;
        }
    }

    public static int getTypeValueColor(Context context, int i5) {
        int i6 = 0;
        try {
            int[] iArr = {i5};
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(new TypedValue().resourceId, iArr);
            i6 = obtainStyledAttributes.getColor(0, 0);
            obtainStyledAttributes.recycle();
            return i6;
        } catch (Exception e5) {
            e5.printStackTrace();
            return i6;
        }
    }

    public static ColorStateList getTypeValueColorStateList(Context context, int i5) {
        ColorStateList colorStateList = null;
        try {
            int[] iArr = {i5};
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(new TypedValue().resourceId, iArr);
            colorStateList = obtainStyledAttributes.getColorStateList(0);
            obtainStyledAttributes.recycle();
            return colorStateList;
        } catch (Exception e5) {
            e5.printStackTrace();
            return colorStateList;
        }
    }

    public static Drawable getTypeValueDrawable(Context context, int i5, int i6) {
        Drawable drawable = null;
        try {
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(new TypedValue().resourceId, new int[]{i5});
            drawable = obtainStyledAttributes.getDrawable(0);
            obtainStyledAttributes.recycle();
        } catch (Exception e5) {
            e5.printStackTrace();
        }
        return drawable == null ? a.d(context, i6) : drawable;
    }

    public static float getTypeValueSize(Context context, int i5) {
        float f5 = CropImageView.DEFAULT_ASPECT_RATIO;
        try {
            int[] iArr = {i5};
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(new TypedValue().resourceId, iArr);
            f5 = (float) obtainStyledAttributes.getDimensionPixelSize(0, 0);
            obtainStyledAttributes.recycle();
            return f5;
        } catch (Exception e5) {
            e5.printStackTrace();
            return f5;
        }
    }

    public static int getTypeValueSizeForInt(Context context, int i5) {
        int i6 = 0;
        try {
            int[] iArr = {i5};
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(new TypedValue().resourceId, iArr);
            i6 = obtainStyledAttributes.getDimensionPixelSize(0, 0);
            obtainStyledAttributes.recycle();
            return i6;
        } catch (Exception e5) {
            e5.printStackTrace();
            return i6;
        }
    }
}
