package com.luck.picture.lib.tools;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Matrix;
import android.net.Uri;
import androidx.exifinterface.media.a;
import com.luck.picture.lib.PictureContentResolver;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.widget.longimage.SubsamplingScaleImageView;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;

public class BitmapUtils {
    public static int readPictureDegree(Context context, String str) {
        a aVar;
        int i5;
        InputStream inputStream = null;
        try {
            if (PictureMimeType.isContent(str)) {
                inputStream = PictureContentResolver.getContentResolverOpenInputStream(context, Uri.parse(str));
                aVar = new a(inputStream);
            } else {
                aVar = new a(str);
            }
            int i6 = aVar.i("Orientation", 1);
            if (i6 == 3) {
                i5 = SubsamplingScaleImageView.ORIENTATION_180;
            } else if (i6 == 6) {
                i5 = 90;
            } else if (i6 != 8) {
                return 0;
            } else {
                i5 = SubsamplingScaleImageView.ORIENTATION_270;
            }
            PictureFileUtils.close(inputStream);
            return i5;
        } catch (Exception e5) {
            e5.printStackTrace();
            return 0;
        } finally {
            PictureFileUtils.close(inputStream);
        }
    }

    public static int readPictureDegree(InputStream inputStream) {
        try {
            int i5 = new a(inputStream).i("Orientation", 1);
            if (i5 == 3) {
                return SubsamplingScaleImageView.ORIENTATION_180;
            }
            if (i5 == 6) {
                return 90;
            }
            if (i5 != 8) {
                return 0;
            }
            return SubsamplingScaleImageView.ORIENTATION_270;
        } catch (Exception e5) {
            e5.printStackTrace();
            return 0;
        }
    }

    public static void rotateImage(Context context, boolean z4, String str) {
        if (z4) {
            try {
                int readPictureDegree = readPictureDegree(context, str);
                if (readPictureDegree > 0) {
                    BitmapFactory.Options options = new BitmapFactory.Options();
                    options.inSampleSize = 2;
                    File file = new File(str);
                    Bitmap rotatingImage = rotatingImage(BitmapFactory.decodeFile(file.getAbsolutePath(), options), readPictureDegree);
                    if (rotatingImage != null) {
                        saveBitmapFile(rotatingImage, file);
                        rotatingImage.recycle();
                    }
                }
            } catch (Exception e5) {
                e5.printStackTrace();
            }
        }
    }

    public static Bitmap rotatingImage(Bitmap bitmap, int i5) {
        Matrix matrix = new Matrix();
        matrix.postRotate((float) i5);
        return Bitmap.createBitmap(bitmap, 0, 0, bitmap.getWidth(), bitmap.getHeight(), matrix, true);
    }

    private static void saveBitmapFile(Bitmap bitmap, File file) {
        Throwable th;
        Exception e5;
        BufferedOutputStream bufferedOutputStream = null;
        try {
            BufferedOutputStream bufferedOutputStream2 = new BufferedOutputStream(new FileOutputStream(file));
            try {
                bitmap.compress(Bitmap.CompressFormat.JPEG, 80, bufferedOutputStream2);
                bufferedOutputStream2.flush();
                PictureFileUtils.close(bufferedOutputStream2);
            } catch (Exception e6) {
                e5 = e6;
                bufferedOutputStream = bufferedOutputStream2;
                try {
                    e5.printStackTrace();
                    PictureFileUtils.close(bufferedOutputStream);
                } catch (Throwable th2) {
                    th = th2;
                    PictureFileUtils.close(bufferedOutputStream);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                bufferedOutputStream = bufferedOutputStream2;
                PictureFileUtils.close(bufferedOutputStream);
                throw th;
            }
        } catch (Exception e7) {
            e5 = e7;
            e5.printStackTrace();
            PictureFileUtils.close(bufferedOutputStream);
        }
    }
}
