package com.luck.picture.lib.tools;

import android.content.Context;
import android.text.SpannableString;
import android.text.style.RelativeSizeSpan;
import android.widget.TextView;
import com.luck.picture.lib.R;
import com.luck.picture.lib.config.PictureMimeType;
import java.util.regex.Pattern;

public class StringUtils {
    public static String getEncryptionValue(long j5, int i5, int i6) {
        if (i5 == 0 && i6 == 0) {
            return j5 + "_" + System.currentTimeMillis();
        }
        return j5 + "_" + i5 + i6;
    }

    public static String getMsg(Context context, String str, int i5) {
        if (PictureMimeType.isHasVideo(str)) {
            return context.getString(R.string.picture_message_video_max_num, Integer.valueOf(i5));
        } else if (PictureMimeType.isHasAudio(str)) {
            return context.getString(R.string.picture_message_audio_max_num, Integer.valueOf(i5));
        } else {
            return context.getString(R.string.picture_message_max_num, Integer.valueOf(i5));
        }
    }

    public static String rename(String str) {
        try {
            String substring = str.substring(0, str.lastIndexOf("."));
            String substring2 = str.substring(str.lastIndexOf("."));
            return substring + "_" + DateUtils.getCreateFileName() + substring2;
        } catch (Exception e5) {
            e5.printStackTrace();
            return "";
        }
    }

    public static String renameSuffix(String str, String str2) {
        try {
            String substring = str.substring(0, str.lastIndexOf("."));
            return substring + str2;
        } catch (Exception e5) {
            e5.printStackTrace();
            return "";
        }
    }

    public static int stringToInt(String str) {
        if (Pattern.compile("^[-\\+]?[\\d]+$").matcher(str).matches()) {
            return ValueOf.toInt(str);
        }
        return 0;
    }

    public static void tempTextFont(TextView textView, int i5) {
        Context context;
        int i6;
        String trim = textView.getText().toString().trim();
        if (i5 == PictureMimeType.ofAudio()) {
            context = textView.getContext();
            i6 = R.string.picture_empty_audio_title;
        } else {
            context = textView.getContext();
            i6 = R.string.picture_empty_title;
        }
        String string = context.getString(i6);
        String str = string + trim;
        SpannableString spannableString = new SpannableString(str);
        spannableString.setSpan(new RelativeSizeSpan(0.8f), string.length(), str.length(), 33);
        textView.setText(spannableString);
    }
}
