package com.yalantis.ucrop;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.text.TextUtils;
import android.view.View;
import android.view.animation.AnimationUtils;
import android.widget.FrameLayout;
import android.widget.RelativeLayout;
import androidx.core.content.a;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.l;
import com.luck.picture.lib.R;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.tools.DateUtils;
import com.luck.picture.lib.tools.PictureFileUtils;
import com.luck.picture.lib.tools.ScreenUtils;
import com.luck.picture.lib.tools.SdkVersionUtils;
import com.yalantis.ucrop.PicturePhotoGalleryAdapter;
import com.yalantis.ucrop.UCrop;
import java.io.File;
import java.util.ArrayList;
import java.util.Objects;

public class PictureMultiCuttingActivity extends UCropActivity {
    private static final int MIN_NUM = 1;
    private int cutIndex;
    private boolean isAnimation;
    private boolean isCamera;
    private boolean isWithVideoImage;
    private final ArrayList<LocalMedia> list = new ArrayList<>();
    private PicturePhotoGalleryAdapter mAdapter;
    private RecyclerView mRecyclerView;
    private int oldCutIndex;
    private String renameCropFilename;

    private void addPhotoRecyclerView() {
        boolean booleanExtra = getIntent().getBooleanExtra(UCrop.Options.EXTRA_SKIP_MULTIPLE_CROP, true);
        RecyclerView recyclerView = new RecyclerView(this);
        this.mRecyclerView = recyclerView;
        int i5 = R.id.id_recycler;
        recyclerView.setId(i5);
        this.mRecyclerView.setBackgroundColor(a.b(this, R.color.ucrop_color_widget_background));
        this.mRecyclerView.setLayoutParams(new RelativeLayout.LayoutParams(-1, ScreenUtils.dip2px(this, 80.0f)));
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(this);
        linearLayoutManager.setOrientation(0);
        if (this.isAnimation) {
            this.mRecyclerView.setLayoutAnimation(AnimationUtils.loadLayoutAnimation(getApplicationContext(), R.anim.ucrop_layout_animation_fall_down));
        }
        this.mRecyclerView.setLayoutManager(linearLayoutManager);
        RecyclerView.m itemAnimator = this.mRecyclerView.getItemAnimator();
        Objects.requireNonNull(itemAnimator);
        ((l) itemAnimator).Q(false);
        resetCutDataStatus();
        this.list.get(this.cutIndex).setCut(true);
        PicturePhotoGalleryAdapter picturePhotoGalleryAdapter = new PicturePhotoGalleryAdapter(this.list);
        this.mAdapter = picturePhotoGalleryAdapter;
        this.mRecyclerView.setAdapter(picturePhotoGalleryAdapter);
        if (booleanExtra) {
            this.mAdapter.setOnItemClickListener(new PicturePhotoGalleryAdapter.OnItemClickListener() {
                /* class com.yalantis.ucrop.PictureMultiCuttingActivity.AnonymousClass1 */

                @Override // com.yalantis.ucrop.PicturePhotoGalleryAdapter.OnItemClickListener
                public void onItemClick(int i5, View view) {
                    if (!PictureMimeType.isHasVideo(((LocalMedia) PictureMultiCuttingActivity.this.list.get(i5)).getMimeType()) && PictureMultiCuttingActivity.this.cutIndex != i5) {
                        PictureMultiCuttingActivity.this.resetLastCropStatus();
                        PictureMultiCuttingActivity.this.cutIndex = i5;
                        PictureMultiCuttingActivity pictureMultiCuttingActivity = PictureMultiCuttingActivity.this;
                        pictureMultiCuttingActivity.oldCutIndex = pictureMultiCuttingActivity.cutIndex;
                        PictureMultiCuttingActivity.this.resetCutData();
                    }
                }
            });
        }
        this.uCropPhotoBox.addView(this.mRecyclerView);
        changeLayoutParams(this.mShowBottomControls);
        ((RelativeLayout.LayoutParams) ((FrameLayout) findViewById(R.id.ucrop_frame)).getLayoutParams()).addRule(2, i5);
        ((RelativeLayout.LayoutParams) this.mRecyclerView.getLayoutParams()).addRule(2, R.id.controls_wrapper);
    }

    private void changeLayoutParams(boolean z4) {
        RelativeLayout.LayoutParams layoutParams;
        if (this.mRecyclerView.getLayoutParams() != null) {
            int i5 = 0;
            if (z4) {
                ((RelativeLayout.LayoutParams) this.mRecyclerView.getLayoutParams()).addRule(12, 0);
                layoutParams = (RelativeLayout.LayoutParams) this.mRecyclerView.getLayoutParams();
                i5 = R.id.wrapper_controls;
            } else {
                ((RelativeLayout.LayoutParams) this.mRecyclerView.getLayoutParams()).addRule(12);
                layoutParams = (RelativeLayout.LayoutParams) this.mRecyclerView.getLayoutParams();
            }
            layoutParams.addRule(2, i5);
        }
    }

    private void getIndex(int i5) {
        for (int i6 = 0; i6 < i5; i6++) {
            LocalMedia localMedia = this.list.get(i6);
            if (localMedia != null && PictureMimeType.isHasImage(localMedia.getMimeType())) {
                this.cutIndex = i6;
                return;
            }
        }
    }

    private void initLoadCutData() {
        ArrayList<LocalMedia> arrayList = this.list;
        if (arrayList == null || arrayList.size() == 0) {
            onBackPressed();
            return;
        }
        int size = this.list.size();
        if (this.isWithVideoImage) {
            getIndex(size);
        }
    }

    private void refreshPhotoRecyclerData() {
        resetCutDataStatus();
        this.list.get(this.cutIndex).setCut(true);
        this.mAdapter.notifyItemChanged(this.cutIndex);
        this.uCropPhotoBox.addView(this.mRecyclerView);
        changeLayoutParams(this.mShowBottomControls);
        ((RelativeLayout.LayoutParams) ((FrameLayout) findViewById(R.id.ucrop_frame)).getLayoutParams()).addRule(2, R.id.id_recycler);
        ((RelativeLayout.LayoutParams) this.mRecyclerView.getLayoutParams()).addRule(2, R.id.controls_wrapper);
    }

    private void resetCutDataStatus() {
        int size = this.list.size();
        for (int i5 = 0; i5 < size; i5++) {
            this.list.get(i5).setCut(false);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void resetLastCropStatus() {
        int i5;
        int size = this.list.size();
        if (size > 1 && size > (i5 = this.oldCutIndex)) {
            this.list.get(i5).setCut(false);
            this.mAdapter.notifyItemChanged(this.cutIndex);
        }
    }

    @Override // androidx.activity.ComponentActivity, androidx.fragment.app.e, androidx.core.app.e, com.yalantis.ucrop.UCropActivity
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        Intent intent = getIntent();
        this.renameCropFilename = intent.getStringExtra(UCrop.Options.EXTRA_RENAME_CROP_FILENAME);
        this.isCamera = intent.getBooleanExtra(UCrop.Options.EXTRA_CAMERA, false);
        this.isWithVideoImage = intent.getBooleanExtra(UCrop.Options.EXTRA_WITH_VIDEO_IMAGE, false);
        ArrayList parcelableArrayListExtra = getIntent().getParcelableArrayListExtra(UCrop.Options.EXTRA_CUT_CROP);
        this.isAnimation = getIntent().getBooleanExtra(UCrop.Options.EXTRA_MULTIPLE_RECYCLERANIMATION, true);
        if (parcelableArrayListExtra == null || parcelableArrayListExtra.size() == 0) {
            onBackPressed();
            return;
        }
        this.list.addAll(parcelableArrayListExtra);
        if (this.list.size() > 1) {
            initLoadCutData();
            addPhotoRecyclerView();
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.fragment.app.e, androidx.appcompat.app.d
    public void onDestroy() {
        PicturePhotoGalleryAdapter picturePhotoGalleryAdapter = this.mAdapter;
        if (picturePhotoGalleryAdapter != null) {
            picturePhotoGalleryAdapter.setOnItemClickListener(null);
        }
        super.onDestroy();
    }

    /* access modifiers changed from: protected */
    public void resetCutData() {
        String str;
        RecyclerView recyclerView;
        this.uCropPhotoBox.removeView(this.mRecyclerView);
        View view = this.mBlockingView;
        if (view != null) {
            this.uCropPhotoBox.removeView(view);
        }
        setContentView(R.layout.ucrop_activity_photobox);
        this.uCropPhotoBox = (RelativeLayout) findViewById(R.id.ucrop_photobox);
        addBlockingView();
        Intent intent = getIntent();
        Bundle extras = intent.getExtras();
        if (extras == null) {
            extras = new Bundle();
        }
        LocalMedia localMedia = this.list.get(this.cutIndex);
        String path = localMedia.getPath();
        boolean isHasHttp = PictureMimeType.isHasHttp(path);
        String lastImgType = PictureMimeType.getLastImgType(PictureMimeType.isContent(path) ? PictureFileUtils.getPath(this, Uri.parse(path)) : path);
        Uri fromFile = localMedia.isToSandboxPath() ? Uri.fromFile(new File(localMedia.getAndroidQToPath())) : (isHasHttp || PictureMimeType.isContent(path)) ? Uri.parse(path) : Uri.fromFile(new File(path));
        extras.putInt(UCrop.Options.EXTRA_INPUT_IMAGE_WIDTH, localMedia.getWidth());
        extras.putInt(UCrop.Options.EXTRA_INPUT_IMAGE_HEIGHT, localMedia.getHeight());
        extras.putParcelable(UCrop.EXTRA_INPUT_URI, fromFile);
        File externalFilesDir = Environment.getExternalStorageState().equals("mounted") ? getExternalFilesDir(Environment.DIRECTORY_PICTURES) : getCacheDir();
        if (TextUtils.isEmpty(this.renameCropFilename)) {
            str = DateUtils.getCreateFileName("IMG_CROP_") + lastImgType;
        } else {
            str = this.isCamera ? this.renameCropFilename : PictureFileUtils.rename(this.renameCropFilename);
        }
        extras.putParcelable(UCrop.EXTRA_OUTPUT_URI, Uri.fromFile(new File(externalFilesDir, str)));
        intent.putExtras(extras);
        setupViews(intent);
        refreshPhotoRecyclerData();
        setImageData(intent);
        setInitialState();
        float f5 = 60.0f;
        double dip2px = (double) (this.cutIndex * ScreenUtils.dip2px(this, 60.0f));
        int i5 = this.mScreenWidth;
        if (dip2px > ((double) i5) * 0.8d) {
            recyclerView = this.mRecyclerView;
        } else if (dip2px < ((double) i5) * 0.4d) {
            recyclerView = this.mRecyclerView;
            f5 = -60.0f;
        } else {
            return;
        }
        recyclerView.scrollBy(ScreenUtils.dip2px(this, f5), 0);
    }

    /* access modifiers changed from: protected */
    @Override // com.yalantis.ucrop.UCropActivity
    public void setResultUri(Uri uri, float f5, int i5, int i6, int i7, int i8) {
        try {
            int size = this.list.size();
            int i9 = this.cutIndex;
            if (size < i9) {
                onBackPressed();
                return;
            }
            LocalMedia localMedia = this.list.get(i9);
            localMedia.setCutPath(uri.getPath());
            localMedia.setCut(true);
            localMedia.setCropResultAspectRatio(f5);
            localMedia.setCropOffsetX(i5);
            localMedia.setCropOffsetY(i6);
            localMedia.setCropImageWidth(i7);
            localMedia.setCropImageHeight(i8);
            localMedia.setAndroidQToPath(SdkVersionUtils.isQ() ? localMedia.getCutPath() : localMedia.getAndroidQToPath());
            resetLastCropStatus();
            int i10 = this.cutIndex + 1;
            this.cutIndex = i10;
            if (this.isWithVideoImage && i10 < this.list.size() && PictureMimeType.isHasVideo(this.list.get(this.cutIndex).getMimeType())) {
                while (true) {
                    if (this.cutIndex >= this.list.size()) {
                        break;
                    } else if (PictureMimeType.isHasImage(this.list.get(this.cutIndex).getMimeType())) {
                        break;
                    } else {
                        this.cutIndex++;
                    }
                }
            }
            int i11 = this.cutIndex;
            this.oldCutIndex = i11;
            if (i11 >= this.list.size()) {
                for (int i12 = 0; i12 < this.list.size(); i12++) {
                    LocalMedia localMedia2 = this.list.get(i12);
                    localMedia2.setCut(!TextUtils.isEmpty(localMedia2.getCutPath()));
                }
                setResult(-1, new Intent().putExtra(UCrop.Options.EXTRA_OUTPUT_URI_LIST, this.list));
                onBackPressed();
                return;
            }
            resetCutData();
        } catch (Exception e5) {
            e5.printStackTrace();
        }
    }
}
