package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import androidx.appcompat.view.menu.e;
import androidx.appcompat.view.menu.k;
import androidx.appcompat.widget.ActionMenuView;
import androidx.appcompat.widget.d0;
import androidx.appcompat.widget.d1;
import androidx.appcompat.widget.l0;
import c.j;
import com.luck.picture.lib.tools.PictureFileUtils;

public class ActionMenuItemView extends d0 implements k.a, View.OnClickListener, ActionMenuView.a {

    /* renamed from: e  reason: collision with root package name */
    g f450e;

    /* renamed from: f  reason: collision with root package name */
    private CharSequence f451f;

    /* renamed from: g  reason: collision with root package name */
    private Drawable f452g;

    /* renamed from: h  reason: collision with root package name */
    e.b f453h;

    /* renamed from: i  reason: collision with root package name */
    private l0 f454i;

    /* renamed from: j  reason: collision with root package name */
    b f455j;

    /* renamed from: k  reason: collision with root package name */
    private boolean f456k;

    /* renamed from: l  reason: collision with root package name */
    private boolean f457l;

    /* renamed from: m  reason: collision with root package name */
    private int f458m;

    /* renamed from: n  reason: collision with root package name */
    private int f459n;

    /* renamed from: o  reason: collision with root package name */
    private int f460o;

    private class a extends l0 {
        public a() {
            super(ActionMenuItemView.this);
        }

        @Override // androidx.appcompat.widget.l0
        public h.e b() {
            b bVar = ActionMenuItemView.this.f455j;
            if (bVar != null) {
                return bVar.a();
            }
            return null;
        }

        /* access modifiers changed from: protected */
        @Override // androidx.appcompat.widget.l0
        public boolean c() {
            h.e b5;
            ActionMenuItemView actionMenuItemView = ActionMenuItemView.this;
            e.b bVar = actionMenuItemView.f453h;
            return bVar != null && bVar.a(actionMenuItemView.f450e) && (b5 = b()) != null && b5.c();
        }
    }

    public static abstract class b {
        public abstract h.e a();
    }

    public ActionMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ActionMenuItemView(Context context, AttributeSet attributeSet, int i5) {
        super(context, attributeSet, i5);
        Resources resources = context.getResources();
        this.f456k = f();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, j.f3631v, i5, 0);
        this.f458m = obtainStyledAttributes.getDimensionPixelSize(j.f3636w, 0);
        obtainStyledAttributes.recycle();
        this.f460o = (int) ((resources.getDisplayMetrics().density * 32.0f) + 0.5f);
        setOnClickListener(this);
        this.f459n = -1;
        setSaveEnabled(false);
    }

    private boolean f() {
        Configuration configuration = getContext().getResources().getConfiguration();
        int i5 = configuration.screenWidthDp;
        return i5 >= 480 || (i5 >= 640 && configuration.screenHeightDp >= 480) || configuration.orientation == 2;
    }

    private void g() {
        boolean z4 = true;
        boolean z5 = !TextUtils.isEmpty(this.f451f);
        if (this.f452g != null && (!this.f450e.B() || (!this.f456k && !this.f457l))) {
            z4 = false;
        }
        boolean z6 = z5 & z4;
        CharSequence charSequence = null;
        setText(z6 ? this.f451f : null);
        CharSequence contentDescription = this.f450e.getContentDescription();
        if (TextUtils.isEmpty(contentDescription)) {
            contentDescription = z6 ? null : this.f450e.getTitle();
        }
        setContentDescription(contentDescription);
        CharSequence tooltipText = this.f450e.getTooltipText();
        if (TextUtils.isEmpty(tooltipText)) {
            if (!z6) {
                charSequence = this.f450e.getTitle();
            }
            d1.a(this, charSequence);
            return;
        }
        d1.a(this, tooltipText);
    }

    @Override // androidx.appcompat.view.menu.k.a
    public boolean a() {
        return true;
    }

    @Override // androidx.appcompat.widget.ActionMenuView.a
    public boolean b() {
        return e();
    }

    @Override // androidx.appcompat.widget.ActionMenuView.a
    public boolean c() {
        return e() && this.f450e.getIcon() == null;
    }

    @Override // androidx.appcompat.view.menu.k.a
    public void d(g gVar, int i5) {
        this.f450e = gVar;
        setIcon(gVar.getIcon());
        setTitle(gVar.i(this));
        setId(gVar.getItemId());
        setVisibility(gVar.isVisible() ? 0 : 8);
        setEnabled(gVar.isEnabled());
        if (gVar.hasSubMenu() && this.f454i == null) {
            this.f454i = new a();
        }
    }

    public boolean e() {
        return !TextUtils.isEmpty(getText());
    }

    @Override // androidx.appcompat.view.menu.k.a
    public g getItemData() {
        return this.f450e;
    }

    public void onClick(View view) {
        e.b bVar = this.f453h;
        if (bVar != null) {
            bVar.a(this.f450e);
        }
    }

    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        this.f456k = f();
        g();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.d0
    public void onMeasure(int i5, int i6) {
        int i7;
        boolean e5 = e();
        if (e5 && (i7 = this.f459n) >= 0) {
            super.setPadding(i7, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
        super.onMeasure(i5, i6);
        int mode = View.MeasureSpec.getMode(i5);
        int size = View.MeasureSpec.getSize(i5);
        int measuredWidth = getMeasuredWidth();
        int min = mode == Integer.MIN_VALUE ? Math.min(size, this.f458m) : this.f458m;
        if (mode != 1073741824 && this.f458m > 0 && measuredWidth < min) {
            super.onMeasure(View.MeasureSpec.makeMeasureSpec(min, PictureFileUtils.GB), i6);
        }
        if (!e5 && this.f452g != null) {
            super.setPadding((getMeasuredWidth() - this.f452g.getBounds().width()) / 2, getPaddingTop(), getPaddingRight(), getPaddingBottom());
        }
    }

    public void onRestoreInstanceState(Parcelable parcelable) {
        super.onRestoreInstanceState(null);
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        l0 l0Var;
        if (!this.f450e.hasSubMenu() || (l0Var = this.f454i) == null || !l0Var.onTouch(this, motionEvent)) {
            return super.onTouchEvent(motionEvent);
        }
        return true;
    }

    public void setCheckable(boolean z4) {
    }

    public void setChecked(boolean z4) {
    }

    public void setExpandedFormat(boolean z4) {
        if (this.f457l != z4) {
            this.f457l = z4;
            g gVar = this.f450e;
            if (gVar != null) {
                gVar.c();
            }
        }
    }

    public void setIcon(Drawable drawable) {
        this.f452g = drawable;
        if (drawable != null) {
            int intrinsicWidth = drawable.getIntrinsicWidth();
            int intrinsicHeight = drawable.getIntrinsicHeight();
            int i5 = this.f460o;
            if (intrinsicWidth > i5) {
                intrinsicHeight = (int) (((float) intrinsicHeight) * (((float) i5) / ((float) intrinsicWidth)));
                intrinsicWidth = i5;
            }
            if (intrinsicHeight > i5) {
                intrinsicWidth = (int) (((float) intrinsicWidth) * (((float) i5) / ((float) intrinsicHeight)));
            } else {
                i5 = intrinsicHeight;
            }
            drawable.setBounds(0, 0, intrinsicWidth, i5);
        }
        setCompoundDrawables(drawable, null, null, null);
        g();
    }

    public void setItemInvoker(e.b bVar) {
        this.f453h = bVar;
    }

    public void setPadding(int i5, int i6, int i7, int i8) {
        this.f459n = i5;
        super.setPadding(i5, i6, i7, i8);
    }

    public void setPopupCallback(b bVar) {
        this.f455j = bVar;
    }

    public void setTitle(CharSequence charSequence) {
        this.f451f = charSequence;
        g();
    }
}
