package androidx.appcompat.view.menu;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AbsListView;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RadioButton;
import android.widget.TextView;
import androidx.appcompat.view.menu.k;
import androidx.appcompat.widget.a1;
import androidx.core.view.a0;
import c.a;
import c.f;
import c.g;
import c.j;

public class ListMenuItemView extends LinearLayout implements k.a, AbsListView.SelectionBoundsAdjuster {

    /* renamed from: e  reason: collision with root package name */
    private g f465e;

    /* renamed from: f  reason: collision with root package name */
    private ImageView f466f;

    /* renamed from: g  reason: collision with root package name */
    private RadioButton f467g;

    /* renamed from: h  reason: collision with root package name */
    private TextView f468h;

    /* renamed from: i  reason: collision with root package name */
    private CheckBox f469i;

    /* renamed from: j  reason: collision with root package name */
    private TextView f470j;

    /* renamed from: k  reason: collision with root package name */
    private ImageView f471k;

    /* renamed from: l  reason: collision with root package name */
    private ImageView f472l;

    /* renamed from: m  reason: collision with root package name */
    private LinearLayout f473m;

    /* renamed from: n  reason: collision with root package name */
    private Drawable f474n;

    /* renamed from: o  reason: collision with root package name */
    private int f475o;

    /* renamed from: p  reason: collision with root package name */
    private Context f476p;

    /* renamed from: q  reason: collision with root package name */
    private boolean f477q;

    /* renamed from: r  reason: collision with root package name */
    private Drawable f478r;

    /* renamed from: s  reason: collision with root package name */
    private boolean f479s;

    /* renamed from: t  reason: collision with root package name */
    private LayoutInflater f480t;

    /* renamed from: u  reason: collision with root package name */
    private boolean f481u;

    public ListMenuItemView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, a.D);
    }

    public ListMenuItemView(Context context, AttributeSet attributeSet, int i5) {
        super(context, attributeSet);
        a1 u5 = a1.u(getContext(), attributeSet, j.T1, i5, 0);
        this.f474n = u5.f(j.V1);
        this.f475o = u5.m(j.U1, -1);
        this.f477q = u5.a(j.W1, false);
        this.f476p = context;
        this.f478r = u5.f(j.X1);
        TypedArray obtainStyledAttributes = context.getTheme().obtainStyledAttributes(null, new int[]{16843049}, a.A, 0);
        this.f479s = obtainStyledAttributes.hasValue(0);
        u5.v();
        obtainStyledAttributes.recycle();
    }

    private void b(View view) {
        c(view, -1);
    }

    private void c(View view, int i5) {
        LinearLayout linearLayout = this.f473m;
        if (linearLayout != null) {
            linearLayout.addView(view, i5);
        } else {
            addView(view, i5);
        }
    }

    private void e() {
        CheckBox checkBox = (CheckBox) getInflater().inflate(g.f3497h, (ViewGroup) this, false);
        this.f469i = checkBox;
        b(checkBox);
    }

    private void f() {
        ImageView imageView = (ImageView) getInflater().inflate(g.f3498i, (ViewGroup) this, false);
        this.f466f = imageView;
        c(imageView, 0);
    }

    private void g() {
        RadioButton radioButton = (RadioButton) getInflater().inflate(g.f3500k, (ViewGroup) this, false);
        this.f467g = radioButton;
        b(radioButton);
    }

    private LayoutInflater getInflater() {
        if (this.f480t == null) {
            this.f480t = LayoutInflater.from(getContext());
        }
        return this.f480t;
    }

    private void setSubMenuArrowVisible(boolean z4) {
        ImageView imageView = this.f471k;
        if (imageView != null) {
            imageView.setVisibility(z4 ? 0 : 8);
        }
    }

    @Override // androidx.appcompat.view.menu.k.a
    public boolean a() {
        return false;
    }

    public void adjustListItemSelectionBounds(Rect rect) {
        ImageView imageView = this.f472l;
        if (imageView != null && imageView.getVisibility() == 0) {
            LinearLayout.LayoutParams layoutParams = (LinearLayout.LayoutParams) this.f472l.getLayoutParams();
            rect.top += this.f472l.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
        }
    }

    @Override // androidx.appcompat.view.menu.k.a
    public void d(g gVar, int i5) {
        this.f465e = gVar;
        setVisibility(gVar.isVisible() ? 0 : 8);
        setTitle(gVar.i(this));
        setCheckable(gVar.isCheckable());
        h(gVar.A(), gVar.g());
        setIcon(gVar.getIcon());
        setEnabled(gVar.isEnabled());
        setSubMenuArrowVisible(gVar.hasSubMenu());
        setContentDescription(gVar.getContentDescription());
    }

    @Override // androidx.appcompat.view.menu.k.a
    public g getItemData() {
        return this.f465e;
    }

    public void h(boolean z4, char c5) {
        int i5 = (!z4 || !this.f465e.A()) ? 8 : 0;
        if (i5 == 0) {
            this.f470j.setText(this.f465e.h());
        }
        if (this.f470j.getVisibility() != i5) {
            this.f470j.setVisibility(i5);
        }
    }

    /* access modifiers changed from: protected */
    public void onFinishInflate() {
        super.onFinishInflate();
        a0.e0(this, this.f474n);
        TextView textView = (TextView) findViewById(f.M);
        this.f468h = textView;
        int i5 = this.f475o;
        if (i5 != -1) {
            textView.setTextAppearance(this.f476p, i5);
        }
        this.f470j = (TextView) findViewById(f.F);
        ImageView imageView = (ImageView) findViewById(f.I);
        this.f471k = imageView;
        if (imageView != null) {
            imageView.setImageDrawable(this.f478r);
        }
        this.f472l = (ImageView) findViewById(f.f3481r);
        this.f473m = (LinearLayout) findViewById(f.f3475l);
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i5, int i6) {
        if (this.f466f != null && this.f477q) {
            ViewGroup.LayoutParams layoutParams = getLayoutParams();
            LinearLayout.LayoutParams layoutParams2 = (LinearLayout.LayoutParams) this.f466f.getLayoutParams();
            int i7 = layoutParams.height;
            if (i7 > 0 && layoutParams2.width <= 0) {
                layoutParams2.width = i7;
            }
        }
        super.onMeasure(i5, i6);
    }

    public void setCheckable(boolean z4) {
        CompoundButton compoundButton;
        CompoundButton compoundButton2;
        if (z4 || this.f467g != null || this.f469i != null) {
            if (this.f465e.m()) {
                if (this.f467g == null) {
                    g();
                }
                compoundButton2 = this.f467g;
                compoundButton = this.f469i;
            } else {
                if (this.f469i == null) {
                    e();
                }
                compoundButton2 = this.f469i;
                compoundButton = this.f467g;
            }
            if (z4) {
                compoundButton2.setChecked(this.f465e.isChecked());
                if (compoundButton2.getVisibility() != 0) {
                    compoundButton2.setVisibility(0);
                }
                if (compoundButton != null && compoundButton.getVisibility() != 8) {
                    compoundButton.setVisibility(8);
                    return;
                }
                return;
            }
            CheckBox checkBox = this.f469i;
            if (checkBox != null) {
                checkBox.setVisibility(8);
            }
            RadioButton radioButton = this.f467g;
            if (radioButton != null) {
                radioButton.setVisibility(8);
            }
        }
    }

    public void setChecked(boolean z4) {
        CompoundButton compoundButton;
        if (this.f465e.m()) {
            if (this.f467g == null) {
                g();
            }
            compoundButton = this.f467g;
        } else {
            if (this.f469i == null) {
                e();
            }
            compoundButton = this.f469i;
        }
        compoundButton.setChecked(z4);
    }

    public void setForceShowIcon(boolean z4) {
        this.f481u = z4;
        this.f477q = z4;
    }

    public void setGroupDividerEnabled(boolean z4) {
        ImageView imageView = this.f472l;
        if (imageView != null) {
            imageView.setVisibility((this.f479s || !z4) ? 8 : 0);
        }
    }

    public void setIcon(Drawable drawable) {
        boolean z4 = this.f465e.z() || this.f481u;
        if (z4 || this.f477q) {
            ImageView imageView = this.f466f;
            if (imageView != null || drawable != null || this.f477q) {
                if (imageView == null) {
                    f();
                }
                if (drawable != null || this.f477q) {
                    ImageView imageView2 = this.f466f;
                    if (!z4) {
                        drawable = null;
                    }
                    imageView2.setImageDrawable(drawable);
                    if (this.f466f.getVisibility() != 0) {
                        this.f466f.setVisibility(0);
                        return;
                    }
                    return;
                }
                this.f466f.setVisibility(8);
            }
        }
    }

    public void setTitle(CharSequence charSequence) {
        TextView textView;
        int i5;
        if (charSequence != null) {
            this.f468h.setText(charSequence);
            if (this.f468h.getVisibility() != 0) {
                textView = this.f468h;
                i5 = 0;
            } else {
                return;
            }
        } else {
            i5 = 8;
            if (this.f468h.getVisibility() != 8) {
                textView = this.f468h;
            } else {
                return;
            }
        }
        textView.setVisibility(i5);
    }
}
