package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.view.ActionMode;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import androidx.core.view.a0;
import c.f;
import c.j;
import com.luck.picture.lib.widget.longimage.SubsamplingScaleImageView;

public class ActionBarContainer extends FrameLayout {

    /* renamed from: e  reason: collision with root package name */
    private boolean f634e;

    /* renamed from: f  reason: collision with root package name */
    private View f635f;

    /* renamed from: g  reason: collision with root package name */
    private View f636g;

    /* renamed from: h  reason: collision with root package name */
    private View f637h;

    /* renamed from: i  reason: collision with root package name */
    Drawable f638i;

    /* renamed from: j  reason: collision with root package name */
    Drawable f639j;

    /* renamed from: k  reason: collision with root package name */
    Drawable f640k;

    /* renamed from: l  reason: collision with root package name */
    boolean f641l;

    /* renamed from: m  reason: collision with root package name */
    boolean f642m;

    /* renamed from: n  reason: collision with root package name */
    private int f643n;

    public ActionBarContainer(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        a0.e0(this, new b(this));
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, j.f3526a);
        this.f638i = obtainStyledAttributes.getDrawable(j.f3531b);
        this.f639j = obtainStyledAttributes.getDrawable(j.f3541d);
        this.f643n = obtainStyledAttributes.getDimensionPixelSize(j.f3571j, -1);
        boolean z4 = true;
        if (getId() == f.H) {
            this.f641l = true;
            this.f640k = obtainStyledAttributes.getDrawable(j.f3536c);
        }
        obtainStyledAttributes.recycle();
        if (!this.f641l ? !(this.f638i == null && this.f639j == null) : this.f640k != null) {
            z4 = false;
        }
        setWillNotDraw(z4);
    }

    private int a(View view) {
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) view.getLayoutParams();
        return view.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
    }

    private boolean b(View view) {
        return view == null || view.getVisibility() == 8 || view.getMeasuredHeight() == 0;
    }

    /* access modifiers changed from: protected */
    public void drawableStateChanged() {
        super.drawableStateChanged();
        Drawable drawable = this.f638i;
        if (drawable != null && drawable.isStateful()) {
            this.f638i.setState(getDrawableState());
        }
        Drawable drawable2 = this.f639j;
        if (drawable2 != null && drawable2.isStateful()) {
            this.f639j.setState(getDrawableState());
        }
        Drawable drawable3 = this.f640k;
        if (drawable3 != null && drawable3.isStateful()) {
            this.f640k.setState(getDrawableState());
        }
    }

    public View getTabContainer() {
        return this.f635f;
    }

    public void jumpDrawablesToCurrentState() {
        super.jumpDrawablesToCurrentState();
        Drawable drawable = this.f638i;
        if (drawable != null) {
            drawable.jumpToCurrentState();
        }
        Drawable drawable2 = this.f639j;
        if (drawable2 != null) {
            drawable2.jumpToCurrentState();
        }
        Drawable drawable3 = this.f640k;
        if (drawable3 != null) {
            drawable3.jumpToCurrentState();
        }
    }

    public void onFinishInflate() {
        super.onFinishInflate();
        this.f636g = findViewById(f.f3464a);
        this.f637h = findViewById(f.f3469f);
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        super.onHoverEvent(motionEvent);
        return true;
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        return this.f634e || super.onInterceptTouchEvent(motionEvent);
    }

    public void onLayout(boolean z4, int i5, int i6, int i7, int i8) {
        Drawable drawable;
        Drawable drawable2;
        int left;
        int top;
        int right;
        View view;
        super.onLayout(z4, i5, i6, i7, i8);
        View view2 = this.f635f;
        boolean z5 = true;
        boolean z6 = false;
        boolean z7 = (view2 == null || view2.getVisibility() == 8) ? false : true;
        if (!(view2 == null || view2.getVisibility() == 8)) {
            int measuredHeight = getMeasuredHeight();
            int i9 = ((FrameLayout.LayoutParams) view2.getLayoutParams()).bottomMargin;
            view2.layout(i5, (measuredHeight - view2.getMeasuredHeight()) - i9, i7, measuredHeight - i9);
        }
        if (this.f641l) {
            Drawable drawable3 = this.f640k;
            if (drawable3 != null) {
                drawable3.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            } else {
                z5 = false;
            }
        } else {
            if (this.f638i != null) {
                if (this.f636g.getVisibility() == 0) {
                    drawable2 = this.f638i;
                    left = this.f636g.getLeft();
                    top = this.f636g.getTop();
                    right = this.f636g.getRight();
                    view = this.f636g;
                } else {
                    View view3 = this.f637h;
                    if (view3 == null || view3.getVisibility() != 0) {
                        this.f638i.setBounds(0, 0, 0, 0);
                        z6 = true;
                    } else {
                        drawable2 = this.f638i;
                        left = this.f637h.getLeft();
                        top = this.f637h.getTop();
                        right = this.f637h.getRight();
                        view = this.f637h;
                    }
                }
                drawable2.setBounds(left, top, right, view.getBottom());
                z6 = true;
            }
            this.f642m = z7;
            if (!z7 || (drawable = this.f639j) == null) {
                z5 = z6;
            } else {
                drawable.setBounds(view2.getLeft(), view2.getTop(), view2.getRight(), view2.getBottom());
            }
        }
        if (z5) {
            invalidate();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:25:0x0055  */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x005a  */
    public void onMeasure(int i5, int i6) {
        int i7;
        View view;
        int i8;
        if (this.f636g == null && View.MeasureSpec.getMode(i6) == Integer.MIN_VALUE && (i8 = this.f643n) >= 0) {
            i6 = View.MeasureSpec.makeMeasureSpec(Math.min(i8, View.MeasureSpec.getSize(i6)), Integer.MIN_VALUE);
        }
        super.onMeasure(i5, i6);
        if (this.f636g != null) {
            int mode = View.MeasureSpec.getMode(i6);
            View view2 = this.f635f;
            if (view2 != null && view2.getVisibility() != 8 && mode != 1073741824) {
                if (!b(this.f636g)) {
                    view = this.f636g;
                } else if (!b(this.f637h)) {
                    view = this.f637h;
                } else {
                    i7 = 0;
                    setMeasuredDimension(getMeasuredWidth(), Math.min(i7 + a(this.f635f), mode != Integer.MIN_VALUE ? View.MeasureSpec.getSize(i6) : SubsamplingScaleImageView.TILE_SIZE_AUTO));
                }
                i7 = a(view);
                setMeasuredDimension(getMeasuredWidth(), Math.min(i7 + a(this.f635f), mode != Integer.MIN_VALUE ? View.MeasureSpec.getSize(i6) : SubsamplingScaleImageView.TILE_SIZE_AUTO));
            }
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        super.onTouchEvent(motionEvent);
        return true;
    }

    public void setPrimaryBackground(Drawable drawable) {
        Drawable drawable2 = this.f638i;
        if (drawable2 != null) {
            drawable2.setCallback(null);
            unscheduleDrawable(this.f638i);
        }
        this.f638i = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            View view = this.f636g;
            if (view != null) {
                this.f638i.setBounds(view.getLeft(), this.f636g.getTop(), this.f636g.getRight(), this.f636g.getBottom());
            }
        }
        boolean z4 = true;
        if (!this.f641l ? !(this.f638i == null && this.f639j == null) : this.f640k != null) {
            z4 = false;
        }
        setWillNotDraw(z4);
        invalidate();
        if (Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    public void setSplitBackground(Drawable drawable) {
        Drawable drawable2;
        Drawable drawable3 = this.f640k;
        if (drawable3 != null) {
            drawable3.setCallback(null);
            unscheduleDrawable(this.f640k);
        }
        this.f640k = drawable;
        boolean z4 = false;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.f641l && (drawable2 = this.f640k) != null) {
                drawable2.setBounds(0, 0, getMeasuredWidth(), getMeasuredHeight());
            }
        }
        if (!this.f641l ? this.f638i == null && this.f639j == null : this.f640k == null) {
            z4 = true;
        }
        setWillNotDraw(z4);
        invalidate();
        if (Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    public void setStackedBackground(Drawable drawable) {
        Drawable drawable2;
        Drawable drawable3 = this.f639j;
        if (drawable3 != null) {
            drawable3.setCallback(null);
            unscheduleDrawable(this.f639j);
        }
        this.f639j = drawable;
        if (drawable != null) {
            drawable.setCallback(this);
            if (this.f642m && (drawable2 = this.f639j) != null) {
                drawable2.setBounds(this.f635f.getLeft(), this.f635f.getTop(), this.f635f.getRight(), this.f635f.getBottom());
            }
        }
        boolean z4 = true;
        if (!this.f641l ? !(this.f638i == null && this.f639j == null) : this.f640k != null) {
            z4 = false;
        }
        setWillNotDraw(z4);
        invalidate();
        if (Build.VERSION.SDK_INT >= 21) {
            invalidateOutline();
        }
    }

    public void setTabContainer(t0 t0Var) {
        View view = this.f635f;
        if (view != null) {
            removeView(view);
        }
        this.f635f = t0Var;
        if (t0Var != null) {
            addView(t0Var);
            ViewGroup.LayoutParams layoutParams = t0Var.getLayoutParams();
            layoutParams.width = -1;
            layoutParams.height = -2;
            t0Var.setAllowCollapse(false);
        }
    }

    public void setTransitioning(boolean z4) {
        this.f634e = z4;
        setDescendantFocusability(z4 ? 393216 : 262144);
    }

    public void setVisibility(int i5) {
        super.setVisibility(i5);
        boolean z4 = i5 == 0;
        Drawable drawable = this.f638i;
        if (drawable != null) {
            drawable.setVisible(z4, false);
        }
        Drawable drawable2 = this.f639j;
        if (drawable2 != null) {
            drawable2.setVisible(z4, false);
        }
        Drawable drawable3 = this.f640k;
        if (drawable3 != null) {
            drawable3.setVisible(z4, false);
        }
    }

    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback) {
        return null;
    }

    public ActionMode startActionModeForChild(View view, ActionMode.Callback callback, int i5) {
        if (i5 != 0) {
            return super.startActionModeForChild(view, callback, i5);
        }
        return null;
    }

    /* access modifiers changed from: protected */
    public boolean verifyDrawable(Drawable drawable) {
        return (drawable == this.f638i && !this.f641l) || (drawable == this.f639j && this.f642m) || ((drawable == this.f640k && this.f641l) || super.verifyDrawable(drawable));
    }
}
