package androidx.appcompat.widget;

import android.content.Context;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.TypedValue;
import android.view.View;
import android.widget.FrameLayout;
import androidx.core.view.a0;
import com.luck.picture.lib.tools.PictureFileUtils;

public class ContentFrameLayout extends FrameLayout {

    /* renamed from: e  reason: collision with root package name */
    private TypedValue f701e;

    /* renamed from: f  reason: collision with root package name */
    private TypedValue f702f;

    /* renamed from: g  reason: collision with root package name */
    private TypedValue f703g;

    /* renamed from: h  reason: collision with root package name */
    private TypedValue f704h;

    /* renamed from: i  reason: collision with root package name */
    private TypedValue f705i;

    /* renamed from: j  reason: collision with root package name */
    private TypedValue f706j;

    /* renamed from: k  reason: collision with root package name */
    private final Rect f707k;

    /* renamed from: l  reason: collision with root package name */
    private a f708l;

    public interface a {
        void a();

        void onDetachedFromWindow();
    }

    public ContentFrameLayout(Context context) {
        this(context, null);
    }

    public ContentFrameLayout(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public ContentFrameLayout(Context context, AttributeSet attributeSet, int i5) {
        super(context, attributeSet, i5);
        this.f707k = new Rect();
    }

    public void a(Rect rect) {
        fitSystemWindows(rect);
    }

    public void b(int i5, int i6, int i7, int i8) {
        this.f707k.set(i5, i6, i7, i8);
        if (a0.M(this)) {
            requestLayout();
        }
    }

    public TypedValue getFixedHeightMajor() {
        if (this.f705i == null) {
            this.f705i = new TypedValue();
        }
        return this.f705i;
    }

    public TypedValue getFixedHeightMinor() {
        if (this.f706j == null) {
            this.f706j = new TypedValue();
        }
        return this.f706j;
    }

    public TypedValue getFixedWidthMajor() {
        if (this.f703g == null) {
            this.f703g = new TypedValue();
        }
        return this.f703g;
    }

    public TypedValue getFixedWidthMinor() {
        if (this.f704h == null) {
            this.f704h = new TypedValue();
        }
        return this.f704h;
    }

    public TypedValue getMinWidthMajor() {
        if (this.f701e == null) {
            this.f701e = new TypedValue();
        }
        return this.f701e;
    }

    public TypedValue getMinWidthMinor() {
        if (this.f702f == null) {
            this.f702f = new TypedValue();
        }
        return this.f702f;
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        a aVar = this.f708l;
        if (aVar != null) {
            aVar.a();
        }
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        a aVar = this.f708l;
        if (aVar != null) {
            aVar.onDetachedFromWindow();
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x004a  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x0063  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0086  */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x00ab  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x00ae  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00b8  */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x00be  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x00cc  */
    /* JADX WARNING: Removed duplicated region for block: B:54:0x00d6  */
    /* JADX WARNING: Removed duplicated region for block: B:57:0x00de  */
    /* JADX WARNING: Removed duplicated region for block: B:59:? A[RETURN, SYNTHETIC] */
    public void onMeasure(int i5, int i6) {
        boolean z4;
        int measuredWidth;
        int i7;
        int i8;
        float fraction;
        int i9;
        int i10;
        float fraction2;
        int i11;
        int i12;
        float fraction3;
        DisplayMetrics displayMetrics = getContext().getResources().getDisplayMetrics();
        boolean z5 = true;
        boolean z6 = displayMetrics.widthPixels < displayMetrics.heightPixels;
        int mode = View.MeasureSpec.getMode(i5);
        int mode2 = View.MeasureSpec.getMode(i6);
        if (mode == Integer.MIN_VALUE) {
            TypedValue typedValue = z6 ? this.f704h : this.f703g;
            if (!(typedValue == null || (i11 = typedValue.type) == 0)) {
                if (i11 == 5) {
                    fraction3 = typedValue.getDimension(displayMetrics);
                } else if (i11 == 6) {
                    int i13 = displayMetrics.widthPixels;
                    fraction3 = typedValue.getFraction((float) i13, (float) i13);
                } else {
                    i12 = 0;
                    if (i12 > 0) {
                        Rect rect = this.f707k;
                        i5 = View.MeasureSpec.makeMeasureSpec(Math.min(i12 - (rect.left + rect.right), View.MeasureSpec.getSize(i5)), PictureFileUtils.GB);
                        z4 = true;
                        if (mode2 == Integer.MIN_VALUE) {
                            TypedValue typedValue2 = z6 ? this.f705i : this.f706j;
                            if (!(typedValue2 == null || (i9 = typedValue2.type) == 0)) {
                                if (i9 == 5) {
                                    fraction2 = typedValue2.getDimension(displayMetrics);
                                } else if (i9 == 6) {
                                    int i14 = displayMetrics.heightPixels;
                                    fraction2 = typedValue2.getFraction((float) i14, (float) i14);
                                } else {
                                    i10 = 0;
                                    if (i10 > 0) {
                                        Rect rect2 = this.f707k;
                                        i6 = View.MeasureSpec.makeMeasureSpec(Math.min(i10 - (rect2.top + rect2.bottom), View.MeasureSpec.getSize(i6)), PictureFileUtils.GB);
                                    }
                                }
                                i10 = (int) fraction2;
                                if (i10 > 0) {
                                }
                            }
                        }
                        super.onMeasure(i5, i6);
                        measuredWidth = getMeasuredWidth();
                        int makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(measuredWidth, PictureFileUtils.GB);
                        if (!z4 && mode == Integer.MIN_VALUE) {
                            TypedValue typedValue3 = !z6 ? this.f702f : this.f701e;
                            if (!(typedValue3 == null || (i7 = typedValue3.type) == 0)) {
                                if (i7 != 5) {
                                    fraction = typedValue3.getDimension(displayMetrics);
                                } else if (i7 == 6) {
                                    int i15 = displayMetrics.widthPixels;
                                    fraction = typedValue3.getFraction((float) i15, (float) i15);
                                } else {
                                    i8 = 0;
                                    if (i8 > 0) {
                                        Rect rect3 = this.f707k;
                                        i8 -= rect3.left + rect3.right;
                                    }
                                    if (measuredWidth < i8) {
                                        makeMeasureSpec = View.MeasureSpec.makeMeasureSpec(i8, PictureFileUtils.GB);
                                        if (z5) {
                                            super.onMeasure(makeMeasureSpec, i6);
                                            return;
                                        }
                                        return;
                                    }
                                }
                                i8 = (int) fraction;
                                if (i8 > 0) {
                                }
                                if (measuredWidth < i8) {
                                }
                            }
                        }
                        z5 = false;
                        if (z5) {
                        }
                    }
                }
                i12 = (int) fraction3;
                if (i12 > 0) {
                }
            }
        }
        z4 = false;
        if (mode2 == Integer.MIN_VALUE) {
        }
        super.onMeasure(i5, i6);
        measuredWidth = getMeasuredWidth();
        int makeMeasureSpec2 = View.MeasureSpec.makeMeasureSpec(measuredWidth, PictureFileUtils.GB);
        if (!z6) {
        }
        if (i7 != 5) {
        }
        i8 = (int) fraction;
        if (i8 > 0) {
        }
        if (measuredWidth < i8) {
        }
        z5 = false;
        if (z5) {
        }
    }

    public void setAttachListener(a aVar) {
        this.f708l = aVar;
    }
}
