package androidx.appcompat.widget;

import android.app.PendingIntent;
import android.app.SearchableInfo;
import android.content.ActivityNotFoundException;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.res.Configuration;
import android.content.res.Resources;
import android.database.Cursor;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.Editable;
import android.text.SpannableStringBuilder;
import android.text.TextUtils;
import android.text.TextWatcher;
import android.text.style.ImageSpan;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.TouchDelegate;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.InputConnection;
import android.view.inputmethod.InputMethodManager;
import android.widget.AdapterView;
import android.widget.AutoCompleteTextView;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.core.view.a0;
import com.luck.picture.lib.tools.PictureFileUtils;
import java.lang.reflect.Method;
import java.util.WeakHashMap;

public class SearchView extends m0 implements g.c {

    /* renamed from: u0  reason: collision with root package name */
    static final n f711u0 = (Build.VERSION.SDK_INT < 29 ? new n() : null);
    final ImageView A;
    private final View B;
    private p C;
    private Rect D;
    private Rect E;
    private int[] F;
    private int[] G;
    private final ImageView H;
    private final Drawable I;
    private final int J;
    private final int K;
    private final Intent L;
    private final Intent M;
    private final CharSequence N;
    private l O;
    private k P;
    View.OnFocusChangeListener Q;
    private m R;
    private View.OnClickListener S;
    private boolean T;
    private boolean U;
    i0.a V;
    private boolean W;

    /* renamed from: a0  reason: collision with root package name */
    private CharSequence f712a0;

    /* renamed from: b0  reason: collision with root package name */
    private boolean f713b0;

    /* renamed from: c0  reason: collision with root package name */
    private boolean f714c0;

    /* renamed from: d0  reason: collision with root package name */
    private int f715d0;

    /* renamed from: e0  reason: collision with root package name */
    private boolean f716e0;

    /* renamed from: f0  reason: collision with root package name */
    private CharSequence f717f0;

    /* renamed from: g0  reason: collision with root package name */
    private CharSequence f718g0;

    /* renamed from: h0  reason: collision with root package name */
    private boolean f719h0;

    /* renamed from: i0  reason: collision with root package name */
    private int f720i0;

    /* renamed from: j0  reason: collision with root package name */
    SearchableInfo f721j0;

    /* renamed from: k0  reason: collision with root package name */
    private Bundle f722k0;

    /* renamed from: l0  reason: collision with root package name */
    private final Runnable f723l0;

    /* renamed from: m0  reason: collision with root package name */
    private Runnable f724m0;

    /* renamed from: n0  reason: collision with root package name */
    private final WeakHashMap<String, Drawable.ConstantState> f725n0;

    /* renamed from: o0  reason: collision with root package name */
    private final View.OnClickListener f726o0;

    /* renamed from: p0  reason: collision with root package name */
    View.OnKeyListener f727p0;

    /* renamed from: q0  reason: collision with root package name */
    private final TextView.OnEditorActionListener f728q0;

    /* renamed from: r0  reason: collision with root package name */
    private final AdapterView.OnItemClickListener f729r0;

    /* renamed from: s0  reason: collision with root package name */
    private final AdapterView.OnItemSelectedListener f730s0;

    /* renamed from: t  reason: collision with root package name */
    final SearchAutoComplete f731t;

    /* renamed from: t0  reason: collision with root package name */
    private TextWatcher f732t0;

    /* renamed from: u  reason: collision with root package name */
    private final View f733u;

    /* renamed from: v  reason: collision with root package name */
    private final View f734v;

    /* renamed from: w  reason: collision with root package name */
    private final View f735w;

    /* renamed from: x  reason: collision with root package name */
    final ImageView f736x;

    /* renamed from: y  reason: collision with root package name */
    final ImageView f737y;

    /* renamed from: z  reason: collision with root package name */
    final ImageView f738z;

    public static class SearchAutoComplete extends d {

        /* renamed from: i  reason: collision with root package name */
        private int f739i;

        /* renamed from: j  reason: collision with root package name */
        private SearchView f740j;

        /* renamed from: k  reason: collision with root package name */
        private boolean f741k;

        /* renamed from: l  reason: collision with root package name */
        final Runnable f742l;

        class a implements Runnable {
            a() {
            }

            public void run() {
                SearchAutoComplete.this.d();
            }
        }

        public SearchAutoComplete(Context context, AttributeSet attributeSet) {
            this(context, attributeSet, c.a.f3403p);
        }

        public SearchAutoComplete(Context context, AttributeSet attributeSet, int i5) {
            super(context, attributeSet, i5);
            this.f742l = new a();
            this.f739i = getThreshold();
        }

        private int getSearchViewTextMinWidthDp() {
            Configuration configuration = getResources().getConfiguration();
            int i5 = configuration.screenWidthDp;
            int i6 = configuration.screenHeightDp;
            if (i5 >= 960 && i6 >= 720 && configuration.orientation == 2) {
                return 256;
            }
            if (i5 < 600) {
                return (i5 < 640 || i6 < 480) ? 160 : 192;
            }
            return 192;
        }

        /* access modifiers changed from: package-private */
        public void b() {
            if (Build.VERSION.SDK_INT >= 29) {
                setInputMethodMode(1);
                if (enoughToFilter()) {
                    showDropDown();
                    return;
                }
                return;
            }
            SearchView.f711u0.c(this);
        }

        /* access modifiers changed from: package-private */
        public boolean c() {
            return TextUtils.getTrimmedLength(getText()) == 0;
        }

        /* access modifiers changed from: package-private */
        public void d() {
            if (this.f741k) {
                ((InputMethodManager) getContext().getSystemService("input_method")).showSoftInput(this, 0);
                this.f741k = false;
            }
        }

        public boolean enoughToFilter() {
            return this.f739i <= 0 || super.enoughToFilter();
        }

        @Override // androidx.appcompat.widget.d
        public InputConnection onCreateInputConnection(EditorInfo editorInfo) {
            InputConnection onCreateInputConnection = super.onCreateInputConnection(editorInfo);
            if (this.f741k) {
                removeCallbacks(this.f742l);
                post(this.f742l);
            }
            return onCreateInputConnection;
        }

        /* access modifiers changed from: protected */
        public void onFinishInflate() {
            super.onFinishInflate();
            setMinWidth((int) TypedValue.applyDimension(1, (float) getSearchViewTextMinWidthDp(), getResources().getDisplayMetrics()));
        }

        /* access modifiers changed from: protected */
        public void onFocusChanged(boolean z4, int i5, Rect rect) {
            super.onFocusChanged(z4, i5, rect);
            this.f740j.X();
        }

        public boolean onKeyPreIme(int i5, KeyEvent keyEvent) {
            if (i5 == 4) {
                if (keyEvent.getAction() == 0 && keyEvent.getRepeatCount() == 0) {
                    KeyEvent.DispatcherState keyDispatcherState = getKeyDispatcherState();
                    if (keyDispatcherState != null) {
                        keyDispatcherState.startTracking(keyEvent, this);
                    }
                    return true;
                } else if (keyEvent.getAction() == 1) {
                    KeyEvent.DispatcherState keyDispatcherState2 = getKeyDispatcherState();
                    if (keyDispatcherState2 != null) {
                        keyDispatcherState2.handleUpEvent(keyEvent);
                    }
                    if (keyEvent.isTracking() && !keyEvent.isCanceled()) {
                        this.f740j.clearFocus();
                        setImeVisibility(false);
                        return true;
                    }
                }
            }
            return super.onKeyPreIme(i5, keyEvent);
        }

        public void onWindowFocusChanged(boolean z4) {
            super.onWindowFocusChanged(z4);
            if (z4 && this.f740j.hasFocus() && getVisibility() == 0) {
                this.f741k = true;
                if (SearchView.K(getContext())) {
                    b();
                }
            }
        }

        public void performCompletion() {
        }

        /* access modifiers changed from: protected */
        public void replaceText(CharSequence charSequence) {
        }

        /* access modifiers changed from: package-private */
        public void setImeVisibility(boolean z4) {
            InputMethodManager inputMethodManager = (InputMethodManager) getContext().getSystemService("input_method");
            if (!z4) {
                this.f741k = false;
                removeCallbacks(this.f742l);
                inputMethodManager.hideSoftInputFromWindow(getWindowToken(), 0);
            } else if (inputMethodManager.isActive(this)) {
                this.f741k = false;
                removeCallbacks(this.f742l);
                inputMethodManager.showSoftInput(this, 0);
            } else {
                this.f741k = true;
            }
        }

        /* access modifiers changed from: package-private */
        public void setSearchView(SearchView searchView) {
            this.f740j = searchView;
        }

        public void setThreshold(int i5) {
            super.setThreshold(i5);
            this.f739i = i5;
        }
    }

    class a implements TextWatcher {
        a() {
        }

        public void afterTextChanged(Editable editable) {
        }

        public void beforeTextChanged(CharSequence charSequence, int i5, int i6, int i7) {
        }

        public void onTextChanged(CharSequence charSequence, int i5, int i6, int i7) {
            SearchView.this.W(charSequence);
        }
    }

    class b implements Runnable {
        b() {
        }

        public void run() {
            SearchView.this.d0();
        }
    }

    class c implements Runnable {
        c() {
        }

        public void run() {
            i0.a aVar = SearchView.this.V;
            if (aVar instanceof u0) {
                aVar.a(null);
            }
        }
    }

    class d implements View.OnFocusChangeListener {
        d() {
        }

        public void onFocusChange(View view, boolean z4) {
            SearchView searchView = SearchView.this;
            View.OnFocusChangeListener onFocusChangeListener = searchView.Q;
            if (onFocusChangeListener != null) {
                onFocusChangeListener.onFocusChange(searchView, z4);
            }
        }
    }

    class e implements View.OnLayoutChangeListener {
        e() {
        }

        public void onLayoutChange(View view, int i5, int i6, int i7, int i8, int i9, int i10, int i11, int i12) {
            SearchView.this.z();
        }
    }

    class f implements View.OnClickListener {
        f() {
        }

        public void onClick(View view) {
            SearchView searchView = SearchView.this;
            if (view == searchView.f736x) {
                searchView.T();
            } else if (view == searchView.f738z) {
                searchView.P();
            } else if (view == searchView.f737y) {
                searchView.U();
            } else if (view == searchView.A) {
                searchView.Y();
            } else if (view == searchView.f731t) {
                searchView.F();
            }
        }
    }

    class g implements View.OnKeyListener {
        g() {
        }

        public boolean onKey(View view, int i5, KeyEvent keyEvent) {
            SearchView searchView = SearchView.this;
            if (searchView.f721j0 == null) {
                return false;
            }
            if (searchView.f731t.isPopupShowing() && SearchView.this.f731t.getListSelection() != -1) {
                return SearchView.this.V(view, i5, keyEvent);
            }
            if (SearchView.this.f731t.c() || !keyEvent.hasNoModifiers() || keyEvent.getAction() != 1 || i5 != 66) {
                return false;
            }
            view.cancelLongPress();
            SearchView searchView2 = SearchView.this;
            searchView2.N(0, null, searchView2.f731t.getText().toString());
            return true;
        }
    }

    class h implements TextView.OnEditorActionListener {
        h() {
        }

        public boolean onEditorAction(TextView textView, int i5, KeyEvent keyEvent) {
            SearchView.this.U();
            return true;
        }
    }

    class i implements AdapterView.OnItemClickListener {
        i() {
        }

        @Override // android.widget.AdapterView.OnItemClickListener
        public void onItemClick(AdapterView<?> adapterView, View view, int i5, long j5) {
            SearchView.this.Q(i5, 0, null);
        }
    }

    class j implements AdapterView.OnItemSelectedListener {
        j() {
        }

        @Override // android.widget.AdapterView.OnItemSelectedListener
        public void onItemSelected(AdapterView<?> adapterView, View view, int i5, long j5) {
            SearchView.this.R(i5);
        }

        @Override // android.widget.AdapterView.OnItemSelectedListener
        public void onNothingSelected(AdapterView<?> adapterView) {
        }
    }

    public interface k {
        boolean a();
    }

    public interface l {
        boolean a(String str);

        boolean b(String str);
    }

    public interface m {
        boolean a(int i5);

        boolean b(int i5);
    }

    /* access modifiers changed from: private */
    public static class n {

        /* renamed from: a  reason: collision with root package name */
        private Method f754a = null;

        /* renamed from: b  reason: collision with root package name */
        private Method f755b = null;

        /* renamed from: c  reason: collision with root package name */
        private Method f756c = null;

        n() {
            d();
            try {
                Method declaredMethod = AutoCompleteTextView.class.getDeclaredMethod("doBeforeTextChanged", new Class[0]);
                this.f754a = declaredMethod;
                declaredMethod.setAccessible(true);
            } catch (NoSuchMethodException unused) {
            }
            try {
                Method declaredMethod2 = AutoCompleteTextView.class.getDeclaredMethod("doAfterTextChanged", new Class[0]);
                this.f755b = declaredMethod2;
                declaredMethod2.setAccessible(true);
            } catch (NoSuchMethodException unused2) {
            }
            try {
                Method method = AutoCompleteTextView.class.getMethod("ensureImeVisible", Boolean.TYPE);
                this.f756c = method;
                method.setAccessible(true);
            } catch (NoSuchMethodException unused3) {
            }
        }

        private static void d() {
            if (Build.VERSION.SDK_INT >= 29) {
                throw new UnsupportedClassVersionError("This function can only be used for API Level < 29.");
            }
        }

        /* access modifiers changed from: package-private */
        public void a(AutoCompleteTextView autoCompleteTextView) {
            d();
            Method method = this.f755b;
            if (method != null) {
                try {
                    method.invoke(autoCompleteTextView, new Object[0]);
                } catch (Exception unused) {
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void b(AutoCompleteTextView autoCompleteTextView) {
            d();
            Method method = this.f754a;
            if (method != null) {
                try {
                    method.invoke(autoCompleteTextView, new Object[0]);
                } catch (Exception unused) {
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void c(AutoCompleteTextView autoCompleteTextView) {
            d();
            Method method = this.f756c;
            if (method != null) {
                try {
                    method.invoke(autoCompleteTextView, Boolean.TRUE);
                } catch (Exception unused) {
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static class o extends j0.a {
        public static final Parcelable.Creator<o> CREATOR = new a();

        /* renamed from: g  reason: collision with root package name */
        boolean f757g;

        class a implements Parcelable.ClassLoaderCreator<o> {
            a() {
            }

            /* renamed from: a */
            public o createFromParcel(Parcel parcel) {
                return new o(parcel, null);
            }

            /* renamed from: b */
            public o createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new o(parcel, classLoader);
            }

            /* renamed from: c */
            public o[] newArray(int i5) {
                return new o[i5];
            }
        }

        public o(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f757g = ((Boolean) parcel.readValue(null)).booleanValue();
        }

        o(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "SearchView.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " isIconified=" + this.f757g + "}";
        }

        @Override // j0.a
        public void writeToParcel(Parcel parcel, int i5) {
            super.writeToParcel(parcel, i5);
            parcel.writeValue(Boolean.valueOf(this.f757g));
        }
    }

    private static class p extends TouchDelegate {

        /* renamed from: a  reason: collision with root package name */
        private final View f758a;

        /* renamed from: b  reason: collision with root package name */
        private final Rect f759b = new Rect();

        /* renamed from: c  reason: collision with root package name */
        private final Rect f760c = new Rect();

        /* renamed from: d  reason: collision with root package name */
        private final Rect f761d = new Rect();

        /* renamed from: e  reason: collision with root package name */
        private final int f762e;

        /* renamed from: f  reason: collision with root package name */
        private boolean f763f;

        public p(Rect rect, Rect rect2, View view) {
            super(rect, view);
            this.f762e = ViewConfiguration.get(view.getContext()).getScaledTouchSlop();
            a(rect, rect2);
            this.f758a = view;
        }

        public void a(Rect rect, Rect rect2) {
            this.f759b.set(rect);
            this.f761d.set(rect);
            Rect rect3 = this.f761d;
            int i5 = this.f762e;
            rect3.inset(-i5, -i5);
            this.f760c.set(rect2);
        }

        /* JADX WARNING: Removed duplicated region for block: B:19:0x0041  */
        /* JADX WARNING: Removed duplicated region for block: B:26:? A[RETURN, SYNTHETIC] */
        public boolean onTouchEvent(MotionEvent motionEvent) {
            boolean z4;
            int i5;
            float f5;
            boolean z5;
            int x5 = (int) motionEvent.getX();
            int y5 = (int) motionEvent.getY();
            int action = motionEvent.getAction();
            boolean z6 = true;
            if (action != 0) {
                if (action == 1 || action == 2) {
                    z5 = this.f763f;
                    if (z5 && !this.f761d.contains(x5, y5)) {
                        z6 = z5;
                        z4 = false;
                        if (z6) {
                            return false;
                        }
                        if (!z4 || this.f760c.contains(x5, y5)) {
                            Rect rect = this.f760c;
                            f5 = (float) (x5 - rect.left);
                            i5 = y5 - rect.top;
                        } else {
                            f5 = (float) (this.f758a.getWidth() / 2);
                            i5 = this.f758a.getHeight() / 2;
                        }
                        motionEvent.setLocation(f5, (float) i5);
                        return this.f758a.dispatchTouchEvent(motionEvent);
                    }
                } else {
                    if (action == 3) {
                        z5 = this.f763f;
                        this.f763f = false;
                    }
                    z4 = true;
                    z6 = false;
                    if (z6) {
                    }
                }
                z6 = z5;
            } else {
                if (this.f759b.contains(x5, y5)) {
                    this.f763f = true;
                }
                z4 = true;
                z6 = false;
                if (z6) {
                }
            }
            z4 = true;
            if (z6) {
            }
        }
    }

    public SearchView(Context context) {
        this(context, null);
    }

    public SearchView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, c.a.H);
    }

    public SearchView(Context context, AttributeSet attributeSet, int i5) {
        super(context, attributeSet, i5);
        this.D = new Rect();
        this.E = new Rect();
        this.F = new int[2];
        this.G = new int[2];
        this.f723l0 = new b();
        this.f724m0 = new c();
        this.f725n0 = new WeakHashMap<>();
        f fVar = new f();
        this.f726o0 = fVar;
        this.f727p0 = new g();
        h hVar = new h();
        this.f728q0 = hVar;
        i iVar = new i();
        this.f729r0 = iVar;
        j jVar = new j();
        this.f730s0 = jVar;
        this.f732t0 = new a();
        int[] iArr = c.j.f3554f2;
        a1 u5 = a1.u(context, attributeSet, iArr, i5, 0);
        a0.Z(this, context, iArr, attributeSet, u5.q(), i5, 0);
        LayoutInflater.from(context).inflate(u5.m(c.j.f3604p2, c.g.f3507r), (ViewGroup) this, true);
        SearchAutoComplete searchAutoComplete = (SearchAutoComplete) findViewById(c.f.D);
        this.f731t = searchAutoComplete;
        searchAutoComplete.setSearchView(this);
        this.f733u = findViewById(c.f.f3489z);
        View findViewById = findViewById(c.f.C);
        this.f734v = findViewById;
        View findViewById2 = findViewById(c.f.J);
        this.f735w = findViewById2;
        ImageView imageView = (ImageView) findViewById(c.f.f3487x);
        this.f736x = imageView;
        ImageView imageView2 = (ImageView) findViewById(c.f.A);
        this.f737y = imageView2;
        ImageView imageView3 = (ImageView) findViewById(c.f.f3488y);
        this.f738z = imageView3;
        ImageView imageView4 = (ImageView) findViewById(c.f.E);
        this.A = imageView4;
        ImageView imageView5 = (ImageView) findViewById(c.f.B);
        this.H = imageView5;
        a0.e0(findViewById, u5.f(c.j.f3609q2));
        a0.e0(findViewById2, u5.f(c.j.f3629u2));
        int i6 = c.j.f3624t2;
        imageView.setImageDrawable(u5.f(i6));
        imageView2.setImageDrawable(u5.f(c.j.f3594n2));
        imageView3.setImageDrawable(u5.f(c.j.f3579k2));
        imageView4.setImageDrawable(u5.f(c.j.f3639w2));
        imageView5.setImageDrawable(u5.f(i6));
        this.I = u5.f(c.j.f3619s2);
        d1.a(imageView, getResources().getString(c.h.f3521l));
        this.J = u5.m(c.j.f3634v2, c.g.f3506q);
        this.K = u5.m(c.j.f3584l2, 0);
        imageView.setOnClickListener(fVar);
        imageView3.setOnClickListener(fVar);
        imageView2.setOnClickListener(fVar);
        imageView4.setOnClickListener(fVar);
        searchAutoComplete.setOnClickListener(fVar);
        searchAutoComplete.addTextChangedListener(this.f732t0);
        searchAutoComplete.setOnEditorActionListener(hVar);
        searchAutoComplete.setOnItemClickListener(iVar);
        searchAutoComplete.setOnItemSelectedListener(jVar);
        searchAutoComplete.setOnKeyListener(this.f727p0);
        searchAutoComplete.setOnFocusChangeListener(new d());
        setIconifiedByDefault(u5.a(c.j.f3599o2, true));
        int e5 = u5.e(c.j.f3564h2, -1);
        if (e5 != -1) {
            setMaxWidth(e5);
        }
        this.N = u5.o(c.j.f3589m2);
        this.f712a0 = u5.o(c.j.f3614r2);
        int j5 = u5.j(c.j.f3574j2, -1);
        if (j5 != -1) {
            setImeOptions(j5);
        }
        int j6 = u5.j(c.j.f3569i2, -1);
        if (j6 != -1) {
            setInputType(j6);
        }
        setFocusable(u5.a(c.j.f3559g2, true));
        u5.v();
        Intent intent = new Intent("android.speech.action.WEB_SEARCH");
        this.L = intent;
        intent.addFlags(268435456);
        intent.putExtra("android.speech.extra.LANGUAGE_MODEL", "web_search");
        Intent intent2 = new Intent("android.speech.action.RECOGNIZE_SPEECH");
        this.M = intent2;
        intent2.addFlags(268435456);
        View findViewById3 = findViewById(searchAutoComplete.getDropDownAnchor());
        this.B = findViewById3;
        if (findViewById3 != null) {
            findViewById3.addOnLayoutChangeListener(new e());
        }
        i0(this.T);
        e0();
    }

    private Intent A(String str, Uri uri, String str2, String str3, int i5, String str4) {
        Intent intent = new Intent(str);
        intent.addFlags(268435456);
        if (uri != null) {
            intent.setData(uri);
        }
        intent.putExtra("user_query", this.f718g0);
        if (str3 != null) {
            intent.putExtra("query", str3);
        }
        if (str2 != null) {
            intent.putExtra("intent_extra_data_key", str2);
        }
        Bundle bundle = this.f722k0;
        if (bundle != null) {
            intent.putExtra("app_data", bundle);
        }
        if (i5 != 0) {
            intent.putExtra("action_key", i5);
            intent.putExtra("action_msg", str4);
        }
        intent.setComponent(this.f721j0.getSearchActivity());
        return intent;
    }

    private Intent B(Cursor cursor, int i5, String str) {
        int i6;
        String o5;
        try {
            String o6 = u0.o(cursor, "suggest_intent_action");
            if (o6 == null) {
                o6 = this.f721j0.getSuggestIntentAction();
            }
            if (o6 == null) {
                o6 = "android.intent.action.SEARCH";
            }
            String o7 = u0.o(cursor, "suggest_intent_data");
            if (o7 == null) {
                o7 = this.f721j0.getSuggestIntentData();
            }
            if (!(o7 == null || (o5 = u0.o(cursor, "suggest_intent_data_id")) == null)) {
                o7 = o7 + "/" + Uri.encode(o5);
            }
            return A(o6, o7 == null ? null : Uri.parse(o7), u0.o(cursor, "suggest_intent_extra_data"), u0.o(cursor, "suggest_intent_query"), i5, str);
        } catch (RuntimeException e5) {
            try {
                i6 = cursor.getPosition();
            } catch (RuntimeException unused) {
                i6 = -1;
            }
            Log.w("SearchView", "Search suggestions cursor at row " + i6 + " returned exception.", e5);
            return null;
        }
    }

    private Intent C(Intent intent, SearchableInfo searchableInfo) {
        ComponentName searchActivity = searchableInfo.getSearchActivity();
        Intent intent2 = new Intent("android.intent.action.SEARCH");
        intent2.setComponent(searchActivity);
        PendingIntent activity = PendingIntent.getActivity(getContext(), 0, intent2, 1107296256);
        Bundle bundle = new Bundle();
        Bundle bundle2 = this.f722k0;
        if (bundle2 != null) {
            bundle.putParcelable("app_data", bundle2);
        }
        Intent intent3 = new Intent(intent);
        int i5 = 1;
        Resources resources = getResources();
        String string = searchableInfo.getVoiceLanguageModeId() != 0 ? resources.getString(searchableInfo.getVoiceLanguageModeId()) : "free_form";
        String str = null;
        String string2 = searchableInfo.getVoicePromptTextId() != 0 ? resources.getString(searchableInfo.getVoicePromptTextId()) : null;
        String string3 = searchableInfo.getVoiceLanguageId() != 0 ? resources.getString(searchableInfo.getVoiceLanguageId()) : null;
        if (searchableInfo.getVoiceMaxResults() != 0) {
            i5 = searchableInfo.getVoiceMaxResults();
        }
        intent3.putExtra("android.speech.extra.LANGUAGE_MODEL", string);
        intent3.putExtra("android.speech.extra.PROMPT", string2);
        intent3.putExtra("android.speech.extra.LANGUAGE", string3);
        intent3.putExtra("android.speech.extra.MAX_RESULTS", i5);
        if (searchActivity != null) {
            str = searchActivity.flattenToShortString();
        }
        intent3.putExtra("calling_package", str);
        intent3.putExtra("android.speech.extra.RESULTS_PENDINGINTENT", activity);
        intent3.putExtra("android.speech.extra.RESULTS_PENDINGINTENT_BUNDLE", bundle);
        return intent3;
    }

    private Intent D(Intent intent, SearchableInfo searchableInfo) {
        Intent intent2 = new Intent(intent);
        ComponentName searchActivity = searchableInfo.getSearchActivity();
        intent2.putExtra("calling_package", searchActivity == null ? null : searchActivity.flattenToShortString());
        return intent2;
    }

    private void E() {
        this.f731t.dismissDropDown();
    }

    private void G(View view, Rect rect) {
        view.getLocationInWindow(this.F);
        getLocationInWindow(this.G);
        int[] iArr = this.F;
        int i5 = iArr[1];
        int[] iArr2 = this.G;
        int i6 = i5 - iArr2[1];
        int i7 = iArr[0] - iArr2[0];
        rect.set(i7, i6, view.getWidth() + i7, view.getHeight() + i6);
    }

    private CharSequence H(CharSequence charSequence) {
        if (!this.T || this.I == null) {
            return charSequence;
        }
        int textSize = (int) (((double) this.f731t.getTextSize()) * 1.25d);
        this.I.setBounds(0, 0, textSize, textSize);
        SpannableStringBuilder spannableStringBuilder = new SpannableStringBuilder("   ");
        spannableStringBuilder.setSpan(new ImageSpan(this.I), 1, 2, 33);
        spannableStringBuilder.append(charSequence);
        return spannableStringBuilder;
    }

    private boolean I() {
        SearchableInfo searchableInfo = this.f721j0;
        if (searchableInfo == null || !searchableInfo.getVoiceSearchEnabled()) {
            return false;
        }
        Intent intent = null;
        if (this.f721j0.getVoiceSearchLaunchWebSearch()) {
            intent = this.L;
        } else if (this.f721j0.getVoiceSearchLaunchRecognizer()) {
            intent = this.M;
        }
        return (intent == null || getContext().getPackageManager().resolveActivity(intent, 65536) == null) ? false : true;
    }

    static boolean K(Context context) {
        return context.getResources().getConfiguration().orientation == 2;
    }

    private boolean L() {
        return (this.W || this.f716e0) && !J();
    }

    private void M(Intent intent) {
        if (intent != null) {
            try {
                getContext().startActivity(intent);
            } catch (RuntimeException e5) {
                Log.e("SearchView", "Failed launch activity: " + intent, e5);
            }
        }
    }

    private boolean O(int i5, int i6, String str) {
        Cursor b5 = this.V.b();
        if (b5 == null || !b5.moveToPosition(i5)) {
            return false;
        }
        M(B(b5, i6, str));
        return true;
    }

    private void Z() {
        post(this.f723l0);
    }

    private void a0(int i5) {
        CharSequence c5;
        Editable text = this.f731t.getText();
        Cursor b5 = this.V.b();
        if (b5 != null) {
            if (!b5.moveToPosition(i5) || (c5 = this.V.c(b5)) == null) {
                setQuery(text);
            } else {
                setQuery(c5);
            }
        }
    }

    private void c0() {
        boolean z4 = true;
        boolean z5 = !TextUtils.isEmpty(this.f731t.getText());
        int i5 = 0;
        if (!z5 && (!this.T || this.f719h0)) {
            z4 = false;
        }
        ImageView imageView = this.f738z;
        if (!z4) {
            i5 = 8;
        }
        imageView.setVisibility(i5);
        Drawable drawable = this.f738z.getDrawable();
        if (drawable != null) {
            drawable.setState(z5 ? ViewGroup.ENABLED_STATE_SET : ViewGroup.EMPTY_STATE_SET);
        }
    }

    private void e0() {
        CharSequence queryHint = getQueryHint();
        SearchAutoComplete searchAutoComplete = this.f731t;
        if (queryHint == null) {
            queryHint = "";
        }
        searchAutoComplete.setHint(H(queryHint));
    }

    private void f0() {
        this.f731t.setThreshold(this.f721j0.getSuggestThreshold());
        this.f731t.setImeOptions(this.f721j0.getImeOptions());
        int inputType = this.f721j0.getInputType();
        int i5 = 1;
        if ((inputType & 15) == 1) {
            inputType &= -65537;
            if (this.f721j0.getSuggestAuthority() != null) {
                inputType = inputType | 65536 | 524288;
            }
        }
        this.f731t.setInputType(inputType);
        i0.a aVar = this.V;
        if (aVar != null) {
            aVar.a(null);
        }
        if (this.f721j0.getSuggestAuthority() != null) {
            u0 u0Var = new u0(getContext(), this, this.f721j0, this.f725n0);
            this.V = u0Var;
            this.f731t.setAdapter(u0Var);
            u0 u0Var2 = (u0) this.V;
            if (this.f713b0) {
                i5 = 2;
            }
            u0Var2.x(i5);
        }
    }

    private void g0() {
        this.f735w.setVisibility((!L() || !(this.f737y.getVisibility() == 0 || this.A.getVisibility() == 0)) ? 8 : 0);
    }

    private int getPreferredHeight() {
        return getContext().getResources().getDimensionPixelSize(c.d.f3429g);
    }

    private int getPreferredWidth() {
        return getContext().getResources().getDimensionPixelSize(c.d.f3430h);
    }

    private void h0(boolean z4) {
        this.f737y.setVisibility((!this.W || !L() || !hasFocus() || (!z4 && this.f716e0)) ? 8 : 0);
    }

    private void i0(boolean z4) {
        this.U = z4;
        int i5 = 0;
        int i6 = z4 ? 0 : 8;
        boolean z5 = !TextUtils.isEmpty(this.f731t.getText());
        this.f736x.setVisibility(i6);
        h0(z5);
        this.f733u.setVisibility(z4 ? 8 : 0);
        if (this.H.getDrawable() == null || this.T) {
            i5 = 8;
        }
        this.H.setVisibility(i5);
        c0();
        j0(!z5);
        g0();
    }

    private void j0(boolean z4) {
        int i5 = 8;
        if (this.f716e0 && !J() && z4) {
            this.f737y.setVisibility(8);
            i5 = 0;
        }
        this.A.setVisibility(i5);
    }

    private void setQuery(CharSequence charSequence) {
        this.f731t.setText(charSequence);
        this.f731t.setSelection(TextUtils.isEmpty(charSequence) ? 0 : charSequence.length());
    }

    /* access modifiers changed from: package-private */
    public void F() {
        if (Build.VERSION.SDK_INT >= 29) {
            this.f731t.refreshAutoCompleteResults();
            return;
        }
        n nVar = f711u0;
        nVar.b(this.f731t);
        nVar.a(this.f731t);
    }

    public boolean J() {
        return this.U;
    }

    /* access modifiers changed from: package-private */
    public void N(int i5, String str, String str2) {
        getContext().startActivity(A("android.intent.action.SEARCH", null, null, str2, i5, str));
    }

    /* access modifiers changed from: package-private */
    public void P() {
        if (!TextUtils.isEmpty(this.f731t.getText())) {
            this.f731t.setText("");
            this.f731t.requestFocus();
            this.f731t.setImeVisibility(true);
        } else if (this.T) {
            k kVar = this.P;
            if (kVar == null || !kVar.a()) {
                clearFocus();
                i0(true);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public boolean Q(int i5, int i6, String str) {
        m mVar = this.R;
        if (mVar != null && mVar.b(i5)) {
            return false;
        }
        O(i5, 0, null);
        this.f731t.setImeVisibility(false);
        E();
        return true;
    }

    /* access modifiers changed from: package-private */
    public boolean R(int i5) {
        m mVar = this.R;
        if (mVar != null && mVar.a(i5)) {
            return false;
        }
        a0(i5);
        return true;
    }

    /* access modifiers changed from: package-private */
    public void S(CharSequence charSequence) {
        setQuery(charSequence);
    }

    /* access modifiers changed from: package-private */
    public void T() {
        i0(false);
        this.f731t.requestFocus();
        this.f731t.setImeVisibility(true);
        View.OnClickListener onClickListener = this.S;
        if (onClickListener != null) {
            onClickListener.onClick(this);
        }
    }

    /* access modifiers changed from: package-private */
    public void U() {
        Editable text = this.f731t.getText();
        if (text != null && TextUtils.getTrimmedLength(text) > 0) {
            l lVar = this.O;
            if (lVar == null || !lVar.b(text.toString())) {
                if (this.f721j0 != null) {
                    N(0, null, text.toString());
                }
                this.f731t.setImeVisibility(false);
                E();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public boolean V(View view, int i5, KeyEvent keyEvent) {
        if (this.f721j0 != null && this.V != null && keyEvent.getAction() == 0 && keyEvent.hasNoModifiers()) {
            if (i5 == 66 || i5 == 84 || i5 == 61) {
                return Q(this.f731t.getListSelection(), 0, null);
            }
            if (i5 == 21 || i5 == 22) {
                this.f731t.setSelection(i5 == 21 ? 0 : this.f731t.length());
                this.f731t.setListSelection(0);
                this.f731t.clearListSelection();
                this.f731t.b();
                return true;
            } else if (i5 == 19) {
                this.f731t.getListSelection();
                return false;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public void W(CharSequence charSequence) {
        Editable text = this.f731t.getText();
        this.f718g0 = text;
        boolean z4 = !TextUtils.isEmpty(text);
        h0(z4);
        j0(!z4);
        c0();
        g0();
        if (this.O != null && !TextUtils.equals(charSequence, this.f717f0)) {
            this.O.a(charSequence.toString());
        }
        this.f717f0 = charSequence.toString();
    }

    /* access modifiers changed from: package-private */
    public void X() {
        i0(J());
        Z();
        if (this.f731t.hasFocus()) {
            F();
        }
    }

    /* access modifiers changed from: package-private */
    public void Y() {
        Intent C2;
        SearchableInfo searchableInfo = this.f721j0;
        if (searchableInfo != null) {
            try {
                if (searchableInfo.getVoiceSearchLaunchWebSearch()) {
                    C2 = D(this.L, searchableInfo);
                } else if (searchableInfo.getVoiceSearchLaunchRecognizer()) {
                    C2 = C(this.M, searchableInfo);
                } else {
                    return;
                }
                getContext().startActivity(C2);
            } catch (ActivityNotFoundException unused) {
                Log.w("SearchView", "Could not find voice search activity");
            }
        }
    }

    public void b0(CharSequence charSequence, boolean z4) {
        this.f731t.setText(charSequence);
        if (charSequence != null) {
            SearchAutoComplete searchAutoComplete = this.f731t;
            searchAutoComplete.setSelection(searchAutoComplete.length());
            this.f718g0 = charSequence;
        }
        if (z4 && !TextUtils.isEmpty(charSequence)) {
            U();
        }
    }

    @Override // g.c
    public void c() {
        if (!this.f719h0) {
            this.f719h0 = true;
            int imeOptions = this.f731t.getImeOptions();
            this.f720i0 = imeOptions;
            this.f731t.setImeOptions(imeOptions | 33554432);
            this.f731t.setText("");
            setIconified(false);
        }
    }

    public void clearFocus() {
        this.f714c0 = true;
        super.clearFocus();
        this.f731t.clearFocus();
        this.f731t.setImeVisibility(false);
        this.f714c0 = false;
    }

    @Override // g.c
    public void d() {
        b0("", false);
        clearFocus();
        i0(true);
        this.f731t.setImeOptions(this.f720i0);
        this.f719h0 = false;
    }

    /* access modifiers changed from: package-private */
    public void d0() {
        int[] iArr = this.f731t.hasFocus() ? ViewGroup.FOCUSED_STATE_SET : ViewGroup.EMPTY_STATE_SET;
        Drawable background = this.f734v.getBackground();
        if (background != null) {
            background.setState(iArr);
        }
        Drawable background2 = this.f735w.getBackground();
        if (background2 != null) {
            background2.setState(iArr);
        }
        invalidate();
    }

    public int getImeOptions() {
        return this.f731t.getImeOptions();
    }

    public int getInputType() {
        return this.f731t.getInputType();
    }

    public int getMaxWidth() {
        return this.f715d0;
    }

    public CharSequence getQuery() {
        return this.f731t.getText();
    }

    public CharSequence getQueryHint() {
        CharSequence charSequence = this.f712a0;
        if (charSequence != null) {
            return charSequence;
        }
        SearchableInfo searchableInfo = this.f721j0;
        return (searchableInfo == null || searchableInfo.getHintId() == 0) ? this.N : getContext().getText(this.f721j0.getHintId());
    }

    /* access modifiers changed from: package-private */
    public int getSuggestionCommitIconResId() {
        return this.K;
    }

    /* access modifiers changed from: package-private */
    public int getSuggestionRowLayout() {
        return this.J;
    }

    public i0.a getSuggestionsAdapter() {
        return this.V;
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        removeCallbacks(this.f723l0);
        post(this.f724m0);
        super.onDetachedFromWindow();
    }

    /* access modifiers changed from: protected */
    @Override // androidx.appcompat.widget.m0
    public void onLayout(boolean z4, int i5, int i6, int i7, int i8) {
        super.onLayout(z4, i5, i6, i7, i8);
        if (z4) {
            G(this.f731t, this.D);
            Rect rect = this.E;
            Rect rect2 = this.D;
            rect.set(rect2.left, 0, rect2.right, i8 - i6);
            p pVar = this.C;
            if (pVar == null) {
                p pVar2 = new p(this.E, this.D, this.f731t);
                this.C = pVar2;
                setTouchDelegate(pVar2);
                return;
            }
            pVar.a(this.E, this.D);
        }
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:9:0x001f, code lost:
        if (r0 <= 0) goto L_0x0039;
     */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x0043  */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x004b  */
    @Override // androidx.appcompat.widget.m0
    public void onMeasure(int i5, int i6) {
        int mode;
        int i7;
        if (J()) {
            super.onMeasure(i5, i6);
            return;
        }
        int mode2 = View.MeasureSpec.getMode(i5);
        int size = View.MeasureSpec.getSize(i5);
        if (mode2 != Integer.MIN_VALUE) {
            if (mode2 == 0) {
                size = this.f715d0;
                if (size <= 0) {
                    size = getPreferredWidth();
                }
            } else if (mode2 == 1073741824) {
                i7 = this.f715d0;
            }
            mode = View.MeasureSpec.getMode(i6);
            int size2 = View.MeasureSpec.getSize(i6);
            if (mode != Integer.MIN_VALUE) {
                size2 = Math.min(getPreferredHeight(), size2);
            } else if (mode == 0) {
                size2 = getPreferredHeight();
            }
            super.onMeasure(View.MeasureSpec.makeMeasureSpec(size, PictureFileUtils.GB), View.MeasureSpec.makeMeasureSpec(size2, PictureFileUtils.GB));
        }
        i7 = this.f715d0;
        if (i7 <= 0) {
            i7 = getPreferredWidth();
        }
        size = Math.min(i7, size);
        mode = View.MeasureSpec.getMode(i6);
        int size22 = View.MeasureSpec.getSize(i6);
        if (mode != Integer.MIN_VALUE) {
        }
        super.onMeasure(View.MeasureSpec.makeMeasureSpec(size, PictureFileUtils.GB), View.MeasureSpec.makeMeasureSpec(size22, PictureFileUtils.GB));
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof o)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        o oVar = (o) parcelable;
        super.onRestoreInstanceState(oVar.a());
        i0(oVar.f757g);
        requestLayout();
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        o oVar = new o(super.onSaveInstanceState());
        oVar.f757g = J();
        return oVar;
    }

    public void onWindowFocusChanged(boolean z4) {
        super.onWindowFocusChanged(z4);
        Z();
    }

    public boolean requestFocus(int i5, Rect rect) {
        if (this.f714c0 || !isFocusable()) {
            return false;
        }
        if (J()) {
            return super.requestFocus(i5, rect);
        }
        boolean requestFocus = this.f731t.requestFocus(i5, rect);
        if (requestFocus) {
            i0(false);
        }
        return requestFocus;
    }

    public void setAppSearchData(Bundle bundle) {
        this.f722k0 = bundle;
    }

    public void setIconified(boolean z4) {
        if (z4) {
            P();
        } else {
            T();
        }
    }

    public void setIconifiedByDefault(boolean z4) {
        if (this.T != z4) {
            this.T = z4;
            i0(z4);
            e0();
        }
    }

    public void setImeOptions(int i5) {
        this.f731t.setImeOptions(i5);
    }

    public void setInputType(int i5) {
        this.f731t.setInputType(i5);
    }

    public void setMaxWidth(int i5) {
        this.f715d0 = i5;
        requestLayout();
    }

    public void setOnCloseListener(k kVar) {
        this.P = kVar;
    }

    public void setOnQueryTextFocusChangeListener(View.OnFocusChangeListener onFocusChangeListener) {
        this.Q = onFocusChangeListener;
    }

    public void setOnQueryTextListener(l lVar) {
        this.O = lVar;
    }

    public void setOnSearchClickListener(View.OnClickListener onClickListener) {
        this.S = onClickListener;
    }

    public void setOnSuggestionListener(m mVar) {
        this.R = mVar;
    }

    public void setQueryHint(CharSequence charSequence) {
        this.f712a0 = charSequence;
        e0();
    }

    public void setQueryRefinementEnabled(boolean z4) {
        this.f713b0 = z4;
        i0.a aVar = this.V;
        if (aVar instanceof u0) {
            ((u0) aVar).x(z4 ? 2 : 1);
        }
    }

    public void setSearchableInfo(SearchableInfo searchableInfo) {
        this.f721j0 = searchableInfo;
        if (searchableInfo != null) {
            f0();
            e0();
        }
        boolean I2 = I();
        this.f716e0 = I2;
        if (I2) {
            this.f731t.setPrivateImeOptions("nm");
        }
        i0(J());
    }

    public void setSubmitButtonEnabled(boolean z4) {
        this.W = z4;
        i0(J());
    }

    public void setSuggestionsAdapter(i0.a aVar) {
        this.V = aVar;
        this.f731t.setAdapter(aVar);
    }

    /* access modifiers changed from: package-private */
    public void z() {
        if (this.B.getWidth() > 1) {
            Resources resources = getContext().getResources();
            int paddingLeft = this.f734v.getPaddingLeft();
            Rect rect = new Rect();
            boolean b5 = h1.b(this);
            int dimensionPixelSize = this.T ? resources.getDimensionPixelSize(c.d.f3427e) + resources.getDimensionPixelSize(c.d.f3428f) : 0;
            this.f731t.getDropDownBackground().getPadding(rect);
            int i5 = rect.left;
            this.f731t.setDropDownHorizontalOffset(b5 ? -i5 : paddingLeft - (i5 + dimensionPixelSize));
            this.f731t.setDropDownWidth((((this.B.getWidth() + rect.left) + rect.right) + dimensionPixelSize) - paddingLeft);
        }
    }
}
