package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.Configuration;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.ContextThemeWrapper;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import androidx.core.view.a0;
import androidx.core.view.f0;
import androidx.core.view.g0;
import c.j;
import com.yalantis.ucrop.view.CropImageView;

/* access modifiers changed from: package-private */
public abstract class a extends ViewGroup {

    /* renamed from: e  reason: collision with root package name */
    protected final C0008a f800e;

    /* renamed from: f  reason: collision with root package name */
    protected final Context f801f;

    /* renamed from: g  reason: collision with root package name */
    protected ActionMenuView f802g;

    /* renamed from: h  reason: collision with root package name */
    protected c f803h;

    /* renamed from: i  reason: collision with root package name */
    protected int f804i;

    /* renamed from: j  reason: collision with root package name */
    protected f0 f805j;

    /* renamed from: k  reason: collision with root package name */
    private boolean f806k;

    /* renamed from: l  reason: collision with root package name */
    private boolean f807l;

    /* access modifiers changed from: protected */
    /* renamed from: androidx.appcompat.widget.a$a  reason: collision with other inner class name */
    public class C0008a implements g0 {

        /* renamed from: a  reason: collision with root package name */
        private boolean f808a = false;

        /* renamed from: b  reason: collision with root package name */
        int f809b;

        protected C0008a() {
        }

        @Override // androidx.core.view.g0
        public void a(View view) {
            this.f808a = true;
        }

        @Override // androidx.core.view.g0
        public void b(View view) {
            if (!this.f808a) {
                a aVar = a.this;
                aVar.f805j = null;
                a.super.setVisibility(this.f809b);
            }
        }

        @Override // androidx.core.view.g0
        public void c(View view) {
            a.super.setVisibility(0);
            this.f808a = false;
        }

        public C0008a d(f0 f0Var, int i5) {
            a.this.f805j = f0Var;
            this.f809b = i5;
            return this;
        }
    }

    a(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    a(Context context, AttributeSet attributeSet, int i5) {
        super(context, attributeSet, i5);
        this.f800e = new C0008a();
        TypedValue typedValue = new TypedValue();
        if (!context.getTheme().resolveAttribute(c.a.f3388a, typedValue, true) || typedValue.resourceId == 0) {
            this.f801f = context;
        } else {
            this.f801f = new ContextThemeWrapper(context, typedValue.resourceId);
        }
    }

    protected static int d(int i5, int i6, boolean z4) {
        return z4 ? i5 - i6 : i5 + i6;
    }

    /* access modifiers changed from: protected */
    public int c(View view, int i5, int i6, int i7) {
        view.measure(View.MeasureSpec.makeMeasureSpec(i5, Integer.MIN_VALUE), i6);
        return Math.max(0, (i5 - view.getMeasuredWidth()) - i7);
    }

    /* access modifiers changed from: protected */
    public int e(View view, int i5, int i6, int i7, boolean z4) {
        int measuredWidth = view.getMeasuredWidth();
        int measuredHeight = view.getMeasuredHeight();
        int i8 = i6 + ((i7 - measuredHeight) / 2);
        if (z4) {
            view.layout(i5 - measuredWidth, i8, i5, measuredHeight + i8);
        } else {
            view.layout(i5, i8, i5 + measuredWidth, measuredHeight + i8);
        }
        return z4 ? -measuredWidth : measuredWidth;
    }

    public f0 f(int i5, long j5) {
        f0 a5;
        f0 f0Var = this.f805j;
        if (f0Var != null) {
            f0Var.b();
        }
        if (i5 == 0) {
            if (getVisibility() != 0) {
                setAlpha(CropImageView.DEFAULT_ASPECT_RATIO);
            }
            a5 = a0.c(this).a(1.0f);
        } else {
            a5 = a0.c(this).a(CropImageView.DEFAULT_ASPECT_RATIO);
        }
        a5.d(j5);
        a5.f(this.f800e.d(a5, i5));
        return a5;
    }

    public int getAnimatedVisibility() {
        return this.f805j != null ? this.f800e.f809b : getVisibility();
    }

    public int getContentHeight() {
        return this.f804i;
    }

    /* access modifiers changed from: protected */
    public void onConfigurationChanged(Configuration configuration) {
        super.onConfigurationChanged(configuration);
        TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(null, j.f3526a, c.a.f3390c, 0);
        setContentHeight(obtainStyledAttributes.getLayoutDimension(j.f3571j, 0));
        obtainStyledAttributes.recycle();
        c cVar = this.f803h;
        if (cVar != null) {
            cVar.F(configuration);
        }
    }

    public boolean onHoverEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 9) {
            this.f807l = false;
        }
        if (!this.f807l) {
            boolean onHoverEvent = super.onHoverEvent(motionEvent);
            if (actionMasked == 9 && !onHoverEvent) {
                this.f807l = true;
            }
        }
        if (actionMasked == 10 || actionMasked == 3) {
            this.f807l = false;
        }
        return true;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            this.f806k = false;
        }
        if (!this.f806k) {
            boolean onTouchEvent = super.onTouchEvent(motionEvent);
            if (actionMasked == 0 && !onTouchEvent) {
                this.f806k = true;
            }
        }
        if (actionMasked == 1 || actionMasked == 3) {
            this.f806k = false;
        }
        return true;
    }

    public void setContentHeight(int i5) {
        this.f804i = i5;
        requestLayout();
    }

    public void setVisibility(int i5) {
        if (i5 != getVisibility()) {
            f0 f0Var = this.f805j;
            if (f0Var != null) {
                f0Var.b();
            }
            super.setVisibility(i5);
        }
    }
}
