package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.RectF;
import android.os.Build;
import android.text.Layout;
import android.text.StaticLayout;
import android.text.TextDirectionHeuristic;
import android.text.TextDirectionHeuristics;
import android.text.TextPaint;
import android.text.method.TransformationMethod;
import android.util.AttributeSet;
import android.util.DisplayMetrics;
import android.util.Log;
import android.util.TypedValue;
import android.widget.TextView;
import androidx.core.view.a0;
import c.j;
import com.luck.picture.lib.tools.PictureFileUtils;
import com.luck.picture.lib.widget.longimage.SubsamplingScaleImageView;
import com.yalantis.ucrop.view.CropImageView;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.concurrent.ConcurrentHashMap;

/* access modifiers changed from: package-private */
public class e0 {

    /* renamed from: l  reason: collision with root package name */
    private static final RectF f916l = new RectF();

    /* renamed from: m  reason: collision with root package name */
    private static ConcurrentHashMap<String, Method> f917m = new ConcurrentHashMap<>();

    /* renamed from: n  reason: collision with root package name */
    private static ConcurrentHashMap<String, Field> f918n = new ConcurrentHashMap<>();

    /* renamed from: a  reason: collision with root package name */
    private int f919a = 0;

    /* renamed from: b  reason: collision with root package name */
    private boolean f920b = false;

    /* renamed from: c  reason: collision with root package name */
    private float f921c = -1.0f;

    /* renamed from: d  reason: collision with root package name */
    private float f922d = -1.0f;

    /* renamed from: e  reason: collision with root package name */
    private float f923e = -1.0f;

    /* renamed from: f  reason: collision with root package name */
    private int[] f924f = new int[0];

    /* renamed from: g  reason: collision with root package name */
    private boolean f925g = false;

    /* renamed from: h  reason: collision with root package name */
    private TextPaint f926h;

    /* renamed from: i  reason: collision with root package name */
    private final TextView f927i;

    /* renamed from: j  reason: collision with root package name */
    private final Context f928j;

    /* renamed from: k  reason: collision with root package name */
    private final c f929k;

    private static class a extends c {
        a() {
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.appcompat.widget.e0.c
        public void a(StaticLayout.Builder builder, TextView textView) {
            builder.setTextDirection((TextDirectionHeuristic) e0.r(textView, "getTextDirectionHeuristic", TextDirectionHeuristics.FIRSTSTRONG_LTR));
        }
    }

    private static class b extends a {
        b() {
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.appcompat.widget.e0.c, androidx.appcompat.widget.e0.a
        public void a(StaticLayout.Builder builder, TextView textView) {
            builder.setTextDirection(textView.getTextDirectionHeuristic());
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.appcompat.widget.e0.c
        public boolean b(TextView textView) {
            return textView.isHorizontallyScrollable();
        }
    }

    /* access modifiers changed from: private */
    public static class c {
        c() {
        }

        /* access modifiers changed from: package-private */
        public void a(StaticLayout.Builder builder, TextView textView) {
        }

        /* access modifiers changed from: package-private */
        public boolean b(TextView textView) {
            return ((Boolean) e0.r(textView, "getHorizontallyScrolling", Boolean.FALSE)).booleanValue();
        }
    }

    e0(TextView textView) {
        this.f927i = textView;
        this.f928j = textView.getContext();
        int i5 = Build.VERSION.SDK_INT;
        this.f929k = i5 >= 29 ? new b() : i5 >= 23 ? new a() : new c();
    }

    private void A(TypedArray typedArray) {
        int length = typedArray.length();
        int[] iArr = new int[length];
        if (length > 0) {
            for (int i5 = 0; i5 < length; i5++) {
                iArr[i5] = typedArray.getDimensionPixelSize(i5, -1);
            }
            this.f924f = c(iArr);
            B();
        }
    }

    private boolean B() {
        int[] iArr = this.f924f;
        int length = iArr.length;
        boolean z4 = length > 0;
        this.f925g = z4;
        if (z4) {
            this.f919a = 1;
            this.f922d = (float) iArr[0];
            this.f923e = (float) iArr[length - 1];
            this.f921c = -1.0f;
        }
        return z4;
    }

    private boolean C(int i5, RectF rectF) {
        CharSequence transformation;
        CharSequence text = this.f927i.getText();
        TransformationMethod transformationMethod = this.f927i.getTransformationMethod();
        if (!(transformationMethod == null || (transformation = transformationMethod.getTransformation(text, this.f927i)) == null)) {
            text = transformation;
        }
        int maxLines = Build.VERSION.SDK_INT >= 16 ? this.f927i.getMaxLines() : -1;
        q(i5);
        StaticLayout e5 = e(text, (Layout.Alignment) r(this.f927i, "getLayoutAlignment", Layout.Alignment.ALIGN_NORMAL), Math.round(rectF.right), maxLines);
        return (maxLines == -1 || (e5.getLineCount() <= maxLines && e5.getLineEnd(e5.getLineCount() - 1) == text.length())) && ((float) e5.getHeight()) <= rectF.bottom;
    }

    private boolean D() {
        return !(this.f927i instanceof l);
    }

    private void E(float f5, float f6, float f7) {
        if (f5 <= CropImageView.DEFAULT_ASPECT_RATIO) {
            throw new IllegalArgumentException("Minimum auto-size text size (" + f5 + "px) is less or equal to (0px)");
        } else if (f6 <= f5) {
            throw new IllegalArgumentException("Maximum auto-size text size (" + f6 + "px) is less or equal to minimum auto-size text size (" + f5 + "px)");
        } else if (f7 > CropImageView.DEFAULT_ASPECT_RATIO) {
            this.f919a = 1;
            this.f922d = f5;
            this.f923e = f6;
            this.f921c = f7;
            this.f925g = false;
        } else {
            throw new IllegalArgumentException("The auto-size step granularity (" + f7 + "px) is less or equal to (0px)");
        }
    }

    private static <T> T a(Object obj, String str, T t5) {
        try {
            Field o5 = o(str);
            return o5 == null ? t5 : (T) o5.get(obj);
        } catch (IllegalAccessException e5) {
            Log.w("ACTVAutoSizeHelper", "Failed to access TextView#" + str + " member", e5);
            return t5;
        }
    }

    private int[] c(int[] iArr) {
        int length = iArr.length;
        if (length == 0) {
            return iArr;
        }
        Arrays.sort(iArr);
        ArrayList arrayList = new ArrayList();
        for (int i5 : iArr) {
            if (i5 > 0 && Collections.binarySearch(arrayList, Integer.valueOf(i5)) < 0) {
                arrayList.add(Integer.valueOf(i5));
            }
        }
        if (length == arrayList.size()) {
            return iArr;
        }
        int size = arrayList.size();
        int[] iArr2 = new int[size];
        for (int i6 = 0; i6 < size; i6++) {
            iArr2[i6] = ((Integer) arrayList.get(i6)).intValue();
        }
        return iArr2;
    }

    private void d() {
        this.f919a = 0;
        this.f922d = -1.0f;
        this.f923e = -1.0f;
        this.f921c = -1.0f;
        this.f924f = new int[0];
        this.f920b = false;
    }

    private StaticLayout f(CharSequence charSequence, Layout.Alignment alignment, int i5, int i6) {
        StaticLayout.Builder obtain = StaticLayout.Builder.obtain(charSequence, 0, charSequence.length(), this.f926h, i5);
        StaticLayout.Builder hyphenationFrequency = obtain.setAlignment(alignment).setLineSpacing(this.f927i.getLineSpacingExtra(), this.f927i.getLineSpacingMultiplier()).setIncludePad(this.f927i.getIncludeFontPadding()).setBreakStrategy(this.f927i.getBreakStrategy()).setHyphenationFrequency(this.f927i.getHyphenationFrequency());
        if (i6 == -1) {
            i6 = SubsamplingScaleImageView.TILE_SIZE_AUTO;
        }
        hyphenationFrequency.setMaxLines(i6);
        try {
            this.f929k.a(obtain, this.f927i);
        } catch (ClassCastException unused) {
            Log.w("ACTVAutoSizeHelper", "Failed to obtain TextDirectionHeuristic, auto size may be incorrect");
        }
        return obtain.build();
    }

    private StaticLayout g(CharSequence charSequence, Layout.Alignment alignment, int i5) {
        return new StaticLayout(charSequence, this.f926h, i5, alignment, ((Float) a(this.f927i, "mSpacingMult", Float.valueOf(1.0f))).floatValue(), ((Float) a(this.f927i, "mSpacingAdd", Float.valueOf((float) CropImageView.DEFAULT_ASPECT_RATIO))).floatValue(), ((Boolean) a(this.f927i, "mIncludePad", Boolean.TRUE)).booleanValue());
    }

    private StaticLayout h(CharSequence charSequence, Layout.Alignment alignment, int i5) {
        return new StaticLayout(charSequence, this.f926h, i5, alignment, this.f927i.getLineSpacingMultiplier(), this.f927i.getLineSpacingExtra(), this.f927i.getIncludeFontPadding());
    }

    private int i(RectF rectF) {
        int length = this.f924f.length;
        if (length != 0) {
            int i5 = length - 1;
            int i6 = 1;
            int i7 = 0;
            while (i6 <= i5) {
                int i8 = (i6 + i5) / 2;
                if (C(this.f924f[i8], rectF)) {
                    int i9 = i8 + 1;
                    i7 = i6;
                    i6 = i9;
                } else {
                    i7 = i8 - 1;
                    i5 = i7;
                }
            }
            return this.f924f[i7];
        }
        throw new IllegalStateException("No available text sizes to choose from.");
    }

    private static Field o(String str) {
        try {
            Field field = f918n.get(str);
            if (field == null && (field = TextView.class.getDeclaredField(str)) != null) {
                field.setAccessible(true);
                f918n.put(str, field);
            }
            return field;
        } catch (NoSuchFieldException e5) {
            Log.w("ACTVAutoSizeHelper", "Failed to access TextView#" + str + " member", e5);
            return null;
        }
    }

    private static Method p(String str) {
        try {
            Method method = f917m.get(str);
            if (method == null && (method = TextView.class.getDeclaredMethod(str, new Class[0])) != null) {
                method.setAccessible(true);
                f917m.put(str, method);
            }
            return method;
        } catch (Exception e5) {
            Log.w("ACTVAutoSizeHelper", "Failed to retrieve TextView#" + str + "() method", e5);
            return null;
        }
    }

    static <T> T r(Object obj, String str, T t5) {
        try {
            return (T) p(str).invoke(obj, new Object[0]);
        } catch (Exception e5) {
            Log.w("ACTVAutoSizeHelper", "Failed to invoke TextView#" + str + "() method", e5);
            return t5;
        }
    }

    private void x(float f5) {
        if (f5 != this.f927i.getPaint().getTextSize()) {
            this.f927i.getPaint().setTextSize(f5);
            boolean isInLayout = Build.VERSION.SDK_INT >= 18 ? this.f927i.isInLayout() : false;
            if (this.f927i.getLayout() != null) {
                this.f920b = false;
                try {
                    Method p5 = p("nullLayouts");
                    if (p5 != null) {
                        p5.invoke(this.f927i, new Object[0]);
                    }
                } catch (Exception e5) {
                    Log.w("ACTVAutoSizeHelper", "Failed to invoke TextView#nullLayouts() method", e5);
                }
                if (!isInLayout) {
                    this.f927i.requestLayout();
                } else {
                    this.f927i.forceLayout();
                }
                this.f927i.invalidate();
            }
        }
    }

    private boolean z() {
        if (!D() || this.f919a != 1) {
            this.f920b = false;
        } else {
            if (!this.f925g || this.f924f.length == 0) {
                int floor = ((int) Math.floor((double) ((this.f923e - this.f922d) / this.f921c))) + 1;
                int[] iArr = new int[floor];
                for (int i5 = 0; i5 < floor; i5++) {
                    iArr[i5] = Math.round(this.f922d + (((float) i5) * this.f921c));
                }
                this.f924f = c(iArr);
            }
            this.f920b = true;
        }
        return this.f920b;
    }

    /* access modifiers changed from: package-private */
    public void b() {
        if (s()) {
            if (this.f920b) {
                if (this.f927i.getMeasuredHeight() > 0 && this.f927i.getMeasuredWidth() > 0) {
                    int measuredWidth = this.f929k.b(this.f927i) ? PictureFileUtils.MB : (this.f927i.getMeasuredWidth() - this.f927i.getTotalPaddingLeft()) - this.f927i.getTotalPaddingRight();
                    int height = (this.f927i.getHeight() - this.f927i.getCompoundPaddingBottom()) - this.f927i.getCompoundPaddingTop();
                    if (measuredWidth > 0 && height > 0) {
                        RectF rectF = f916l;
                        synchronized (rectF) {
                            rectF.setEmpty();
                            rectF.right = (float) measuredWidth;
                            rectF.bottom = (float) height;
                            float i5 = (float) i(rectF);
                            if (i5 != this.f927i.getTextSize()) {
                                y(0, i5);
                            }
                        }
                    } else {
                        return;
                    }
                } else {
                    return;
                }
            }
            this.f920b = true;
        }
    }

    /* access modifiers changed from: package-private */
    public StaticLayout e(CharSequence charSequence, Layout.Alignment alignment, int i5, int i6) {
        int i7 = Build.VERSION.SDK_INT;
        return i7 >= 23 ? f(charSequence, alignment, i5, i6) : i7 >= 16 ? h(charSequence, alignment, i5) : g(charSequence, alignment, i5);
    }

    /* access modifiers changed from: package-private */
    public int j() {
        return Math.round(this.f923e);
    }

    /* access modifiers changed from: package-private */
    public int k() {
        return Math.round(this.f922d);
    }

    /* access modifiers changed from: package-private */
    public int l() {
        return Math.round(this.f921c);
    }

    /* access modifiers changed from: package-private */
    public int[] m() {
        return this.f924f;
    }

    /* access modifiers changed from: package-private */
    public int n() {
        return this.f919a;
    }

    /* access modifiers changed from: package-private */
    public void q(int i5) {
        TextPaint textPaint = this.f926h;
        if (textPaint == null) {
            this.f926h = new TextPaint();
        } else {
            textPaint.reset();
        }
        this.f926h.set(this.f927i.getPaint());
        this.f926h.setTextSize((float) i5);
    }

    /* access modifiers changed from: package-private */
    public boolean s() {
        return D() && this.f919a != 0;
    }

    /* access modifiers changed from: package-private */
    public void t(AttributeSet attributeSet, int i5) {
        int resourceId;
        Context context = this.f928j;
        int[] iArr = j.f3557g0;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, i5, 0);
        TextView textView = this.f927i;
        a0.Z(textView, textView.getContext(), iArr, attributeSet, obtainStyledAttributes, i5, 0);
        int i6 = j.f3582l0;
        if (obtainStyledAttributes.hasValue(i6)) {
            this.f919a = obtainStyledAttributes.getInt(i6, 0);
        }
        int i7 = j.f3577k0;
        float dimension = obtainStyledAttributes.hasValue(i7) ? obtainStyledAttributes.getDimension(i7, -1.0f) : -1.0f;
        int i8 = j.f3567i0;
        float dimension2 = obtainStyledAttributes.hasValue(i8) ? obtainStyledAttributes.getDimension(i8, -1.0f) : -1.0f;
        int i9 = j.f3562h0;
        float dimension3 = obtainStyledAttributes.hasValue(i9) ? obtainStyledAttributes.getDimension(i9, -1.0f) : -1.0f;
        int i10 = j.f3572j0;
        if (obtainStyledAttributes.hasValue(i10) && (resourceId = obtainStyledAttributes.getResourceId(i10, 0)) > 0) {
            TypedArray obtainTypedArray = obtainStyledAttributes.getResources().obtainTypedArray(resourceId);
            A(obtainTypedArray);
            obtainTypedArray.recycle();
        }
        obtainStyledAttributes.recycle();
        if (!D()) {
            this.f919a = 0;
        } else if (this.f919a == 1) {
            if (!this.f925g) {
                DisplayMetrics displayMetrics = this.f928j.getResources().getDisplayMetrics();
                if (dimension2 == -1.0f) {
                    dimension2 = TypedValue.applyDimension(2, 12.0f, displayMetrics);
                }
                if (dimension3 == -1.0f) {
                    dimension3 = TypedValue.applyDimension(2, 112.0f, displayMetrics);
                }
                if (dimension == -1.0f) {
                    dimension = 1.0f;
                }
                E(dimension2, dimension3, dimension);
            }
            z();
        }
    }

    /* access modifiers changed from: package-private */
    public void u(int i5, int i6, int i7, int i8) {
        if (D()) {
            DisplayMetrics displayMetrics = this.f928j.getResources().getDisplayMetrics();
            E(TypedValue.applyDimension(i8, (float) i5, displayMetrics), TypedValue.applyDimension(i8, (float) i6, displayMetrics), TypedValue.applyDimension(i8, (float) i7, displayMetrics));
            if (z()) {
                b();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void v(int[] iArr, int i5) {
        if (D()) {
            int length = iArr.length;
            if (length > 0) {
                int[] iArr2 = new int[length];
                if (i5 == 0) {
                    iArr2 = Arrays.copyOf(iArr, length);
                } else {
                    DisplayMetrics displayMetrics = this.f928j.getResources().getDisplayMetrics();
                    for (int i6 = 0; i6 < length; i6++) {
                        iArr2[i6] = Math.round(TypedValue.applyDimension(i5, (float) iArr[i6], displayMetrics));
                    }
                }
                this.f924f = c(iArr2);
                if (!B()) {
                    throw new IllegalArgumentException("None of the preset sizes is valid: " + Arrays.toString(iArr));
                }
            } else {
                this.f925g = false;
            }
            if (z()) {
                b();
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void w(int i5) {
        if (!D()) {
            return;
        }
        if (i5 == 0) {
            d();
        } else if (i5 == 1) {
            DisplayMetrics displayMetrics = this.f928j.getResources().getDisplayMetrics();
            E(TypedValue.applyDimension(2, 12.0f, displayMetrics), TypedValue.applyDimension(2, 112.0f, displayMetrics), 1.0f);
            if (z()) {
                b();
            }
        } else {
            throw new IllegalArgumentException("Unknown auto-size text type: " + i5);
        }
    }

    /* access modifiers changed from: package-private */
    public void y(int i5, float f5) {
        Context context = this.f928j;
        x(TypedValue.applyDimension(i5, f5, (context == null ? Resources.getSystem() : context.getResources()).getDisplayMetrics()));
    }
}
