package androidx.appcompat.widget;

import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.XmlResourceParser;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.util.Xml;
import androidx.vectordrawable.graphics.drawable.i;
import java.lang.ref.WeakReference;
import java.util.WeakHashMap;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
import v.h;

public final class q0 {

    /* renamed from: h  reason: collision with root package name */
    private static final PorterDuff.Mode f1083h = PorterDuff.Mode.SRC_IN;

    /* renamed from: i  reason: collision with root package name */
    private static q0 f1084i;

    /* renamed from: j  reason: collision with root package name */
    private static final c f1085j = new c(6);

    /* renamed from: a  reason: collision with root package name */
    private WeakHashMap<Context, h<ColorStateList>> f1086a;

    /* renamed from: b  reason: collision with root package name */
    private v.g<String, e> f1087b;

    /* renamed from: c  reason: collision with root package name */
    private h<String> f1088c;

    /* renamed from: d  reason: collision with root package name */
    private final WeakHashMap<Context, v.d<WeakReference<Drawable.ConstantState>>> f1089d = new WeakHashMap<>(0);

    /* renamed from: e  reason: collision with root package name */
    private TypedValue f1090e;

    /* renamed from: f  reason: collision with root package name */
    private boolean f1091f;

    /* renamed from: g  reason: collision with root package name */
    private f f1092g;

    /* access modifiers changed from: package-private */
    public static class a implements e {
        a() {
        }

        @Override // androidx.appcompat.widget.q0.e
        public Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return e.a.m(context, context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e5) {
                Log.e("AsldcInflateDelegate", "Exception while inflating <animated-selector>", e5);
                return null;
            }
        }
    }

    /* access modifiers changed from: private */
    public static class b implements e {
        b() {
        }

        @Override // androidx.appcompat.widget.q0.e
        public Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return androidx.vectordrawable.graphics.drawable.c.a(context, context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e5) {
                Log.e("AvdcInflateDelegate", "Exception while inflating <animated-vector>", e5);
                return null;
            }
        }
    }

    /* access modifiers changed from: private */
    public static class c extends v.e<Integer, PorterDuffColorFilter> {
        public c(int i5) {
            super(i5);
        }

        private static int h(int i5, PorterDuff.Mode mode) {
            return ((i5 + 31) * 31) + mode.hashCode();
        }

        /* access modifiers changed from: package-private */
        public PorterDuffColorFilter i(int i5, PorterDuff.Mode mode) {
            return (PorterDuffColorFilter) c(Integer.valueOf(h(i5, mode)));
        }

        /* access modifiers changed from: package-private */
        public PorterDuffColorFilter j(int i5, PorterDuff.Mode mode, PorterDuffColorFilter porterDuffColorFilter) {
            return (PorterDuffColorFilter) d(Integer.valueOf(h(i5, mode)), porterDuffColorFilter);
        }
    }

    /* access modifiers changed from: package-private */
    public static class d implements e {
        d() {
        }

        @Override // androidx.appcompat.widget.q0.e
        public Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            String classAttribute = attributeSet.getClassAttribute();
            if (classAttribute != null) {
                try {
                    Drawable drawable = (Drawable) d.class.getClassLoader().loadClass(classAttribute).asSubclass(Drawable.class).getDeclaredConstructor(new Class[0]).newInstance(new Object[0]);
                    if (Build.VERSION.SDK_INT >= 21) {
                        f.c.c(drawable, context.getResources(), xmlPullParser, attributeSet, theme);
                    } else {
                        drawable.inflate(context.getResources(), xmlPullParser, attributeSet);
                    }
                    return drawable;
                } catch (Exception e5) {
                    Log.e("DrawableDelegate", "Exception while inflating <drawable>", e5);
                }
            }
            return null;
        }
    }

    /* access modifiers changed from: private */
    public interface e {
        Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme);
    }

    public interface f {
        boolean a(Context context, int i5, Drawable drawable);

        PorterDuff.Mode b(int i5);

        Drawable c(q0 q0Var, Context context, int i5);

        ColorStateList d(Context context, int i5);

        boolean e(Context context, int i5, Drawable drawable);
    }

    /* access modifiers changed from: private */
    public static class g implements e {
        g() {
        }

        @Override // androidx.appcompat.widget.q0.e
        public Drawable a(Context context, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
            try {
                return i.c(context.getResources(), xmlPullParser, attributeSet, theme);
            } catch (Exception e5) {
                Log.e("VdcInflateDelegate", "Exception while inflating <vector>", e5);
                return null;
            }
        }
    }

    private void a(String str, e eVar) {
        if (this.f1087b == null) {
            this.f1087b = new v.g<>();
        }
        this.f1087b.put(str, eVar);
    }

    private synchronized boolean b(Context context, long j5, Drawable drawable) {
        boolean z4;
        Drawable.ConstantState constantState = drawable.getConstantState();
        if (constantState != null) {
            v.d<WeakReference<Drawable.ConstantState>> dVar = this.f1089d.get(context);
            if (dVar == null) {
                dVar = new v.d<>();
                this.f1089d.put(context, dVar);
            }
            dVar.i(j5, new WeakReference<>(constantState));
            z4 = true;
        } else {
            z4 = false;
        }
        return z4;
    }

    private void c(Context context, int i5, ColorStateList colorStateList) {
        if (this.f1086a == null) {
            this.f1086a = new WeakHashMap<>();
        }
        h<ColorStateList> hVar = this.f1086a.get(context);
        if (hVar == null) {
            hVar = new h<>();
            this.f1086a.put(context, hVar);
        }
        hVar.a(i5, colorStateList);
    }

    private void d(Context context) {
        if (!this.f1091f) {
            this.f1091f = true;
            Drawable j5 = j(context, f.d.f4416a);
            if (j5 == null || !q(j5)) {
                this.f1091f = false;
                throw new IllegalStateException("This app has been built with an incorrect configuration. Please configure your build for VectorDrawableCompat.");
            }
        }
    }

    private static long e(TypedValue typedValue) {
        return (((long) typedValue.assetCookie) << 32) | ((long) typedValue.data);
    }

    private Drawable f(Context context, int i5) {
        if (this.f1090e == null) {
            this.f1090e = new TypedValue();
        }
        TypedValue typedValue = this.f1090e;
        context.getResources().getValue(i5, typedValue, true);
        long e5 = e(typedValue);
        Drawable i6 = i(context, e5);
        if (i6 != null) {
            return i6;
        }
        f fVar = this.f1092g;
        Drawable c5 = fVar == null ? null : fVar.c(this, context, i5);
        if (c5 != null) {
            c5.setChangingConfigurations(typedValue.changingConfigurations);
            b(context, e5, c5);
        }
        return c5;
    }

    private static PorterDuffColorFilter g(ColorStateList colorStateList, PorterDuff.Mode mode, int[] iArr) {
        if (colorStateList == null || mode == null) {
            return null;
        }
        return l(colorStateList.getColorForState(iArr, 0), mode);
    }

    public static synchronized q0 h() {
        q0 q0Var;
        synchronized (q0.class) {
            if (f1084i == null) {
                q0 q0Var2 = new q0();
                f1084i = q0Var2;
                p(q0Var2);
            }
            q0Var = f1084i;
        }
        return q0Var;
    }

    private synchronized Drawable i(Context context, long j5) {
        v.d<WeakReference<Drawable.ConstantState>> dVar = this.f1089d.get(context);
        if (dVar == null) {
            return null;
        }
        WeakReference<Drawable.ConstantState> e5 = dVar.e(j5);
        if (e5 != null) {
            Drawable.ConstantState constantState = e5.get();
            if (constantState != null) {
                return constantState.newDrawable(context.getResources());
            }
            dVar.j(j5);
        }
        return null;
    }

    public static synchronized PorterDuffColorFilter l(int i5, PorterDuff.Mode mode) {
        PorterDuffColorFilter i6;
        synchronized (q0.class) {
            c cVar = f1085j;
            i6 = cVar.i(i5, mode);
            if (i6 == null) {
                i6 = new PorterDuffColorFilter(i5, mode);
                cVar.j(i5, mode, i6);
            }
        }
        return i6;
    }

    private ColorStateList n(Context context, int i5) {
        h<ColorStateList> hVar;
        WeakHashMap<Context, h<ColorStateList>> weakHashMap = this.f1086a;
        if (weakHashMap == null || (hVar = weakHashMap.get(context)) == null) {
            return null;
        }
        return hVar.e(i5);
    }

    private static void p(q0 q0Var) {
        if (Build.VERSION.SDK_INT < 24) {
            q0Var.a("vector", new g());
            q0Var.a("animated-vector", new b());
            q0Var.a("animated-selector", new a());
            q0Var.a("drawable", new d());
        }
    }

    private static boolean q(Drawable drawable) {
        return (drawable instanceof i) || "android.graphics.drawable.VectorDrawable".equals(drawable.getClass().getName());
    }

    /* JADX WARNING: Removed duplicated region for block: B:30:0x0073 A[Catch:{ Exception -> 0x00a2 }] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x009a A[Catch:{ Exception -> 0x00a2 }] */
    private Drawable r(Context context, int i5) {
        int next;
        v.g<String, e> gVar = this.f1087b;
        if (gVar == null || gVar.isEmpty()) {
            return null;
        }
        h<String> hVar = this.f1088c;
        if (hVar != null) {
            String e5 = hVar.e(i5);
            if ("appcompat_skip_skip".equals(e5) || (e5 != null && this.f1087b.get(e5) == null)) {
                return null;
            }
        } else {
            this.f1088c = new h<>();
        }
        if (this.f1090e == null) {
            this.f1090e = new TypedValue();
        }
        TypedValue typedValue = this.f1090e;
        Resources resources = context.getResources();
        resources.getValue(i5, typedValue, true);
        long e6 = e(typedValue);
        Drawable i6 = i(context, e6);
        if (i6 != null) {
            return i6;
        }
        CharSequence charSequence = typedValue.string;
        if (charSequence != null && charSequence.toString().endsWith(".xml")) {
            try {
                XmlResourceParser xml = resources.getXml(i5);
                AttributeSet asAttributeSet = Xml.asAttributeSet(xml);
                while (true) {
                    next = xml.next();
                    if (next == 2 || next == 1) {
                        if (next != 2) {
                            String name = xml.getName();
                            this.f1088c.a(i5, name);
                            e eVar = this.f1087b.get(name);
                            if (eVar != null) {
                                i6 = eVar.a(context, xml, asAttributeSet, context.getTheme());
                            }
                            if (i6 != null) {
                                i6.setChangingConfigurations(typedValue.changingConfigurations);
                                b(context, e6, i6);
                            }
                        } else {
                            throw new XmlPullParserException("No start tag found");
                        }
                    }
                }
                if (next != 2) {
                }
            } catch (Exception e7) {
                Log.e("ResourceManagerInternal", "Exception while inflating drawable", e7);
            }
        }
        if (i6 == null) {
            this.f1088c.a(i5, "appcompat_skip_skip");
        }
        return i6;
    }

    private Drawable v(Context context, int i5, boolean z4, Drawable drawable) {
        ColorStateList m5 = m(context, i5);
        if (m5 != null) {
            if (i0.a(drawable)) {
                drawable = drawable.mutate();
            }
            Drawable p5 = z.a.p(drawable);
            z.a.n(p5, m5);
            PorterDuff.Mode o5 = o(i5);
            if (o5 == null) {
                return p5;
            }
            z.a.o(p5, o5);
            return p5;
        }
        f fVar = this.f1092g;
        if ((fVar == null || !fVar.e(context, i5, drawable)) && !x(context, i5, drawable) && z4) {
            return null;
        }
        return drawable;
    }

    static void w(Drawable drawable, y0 y0Var, int[] iArr) {
        if (!i0.a(drawable) || drawable.mutate() == drawable) {
            boolean z4 = y0Var.f1170d;
            if (z4 || y0Var.f1169c) {
                drawable.setColorFilter(g(z4 ? y0Var.f1167a : null, y0Var.f1169c ? y0Var.f1168b : f1083h, iArr));
            } else {
                drawable.clearColorFilter();
            }
            if (Build.VERSION.SDK_INT <= 23) {
                drawable.invalidateSelf();
                return;
            }
            return;
        }
        Log.d("ResourceManagerInternal", "Mutated drawable is not the same instance as the input.");
    }

    public synchronized Drawable j(Context context, int i5) {
        return k(context, i5, false);
    }

    /* access modifiers changed from: package-private */
    public synchronized Drawable k(Context context, int i5, boolean z4) {
        Drawable r5;
        d(context);
        r5 = r(context, i5);
        if (r5 == null) {
            r5 = f(context, i5);
        }
        if (r5 == null) {
            r5 = androidx.core.content.a.d(context, i5);
        }
        if (r5 != null) {
            r5 = v(context, i5, z4, r5);
        }
        if (r5 != null) {
            i0.b(r5);
        }
        return r5;
    }

    /* access modifiers changed from: package-private */
    public synchronized ColorStateList m(Context context, int i5) {
        ColorStateList n5;
        n5 = n(context, i5);
        if (n5 == null) {
            f fVar = this.f1092g;
            n5 = fVar == null ? null : fVar.d(context, i5);
            if (n5 != null) {
                c(context, i5, n5);
            }
        }
        return n5;
    }

    /* access modifiers changed from: package-private */
    public PorterDuff.Mode o(int i5) {
        f fVar = this.f1092g;
        if (fVar == null) {
            return null;
        }
        return fVar.b(i5);
    }

    public synchronized void s(Context context) {
        v.d<WeakReference<Drawable.ConstantState>> dVar = this.f1089d.get(context);
        if (dVar != null) {
            dVar.b();
        }
    }

    /* access modifiers changed from: package-private */
    public synchronized Drawable t(Context context, g1 g1Var, int i5) {
        Drawable r5 = r(context, i5);
        if (r5 == null) {
            r5 = g1Var.a(i5);
        }
        if (r5 == null) {
            return null;
        }
        return v(context, i5, false, r5);
    }

    public synchronized void u(f fVar) {
        this.f1092g = fVar;
    }

    /* access modifiers changed from: package-private */
    public boolean x(Context context, int i5, Drawable drawable) {
        f fVar = this.f1092g;
        return fVar != null && fVar.a(context, i5, drawable);
    }
}
