package androidx.appcompat.widget;

import android.app.SearchableInfo;
import android.content.ComponentName;
import android.content.Context;
import android.content.pm.ActivityInfo;
import android.content.pm.PackageManager;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.database.Cursor;
import android.graphics.drawable.Drawable;
import android.net.Uri;
import android.os.Bundle;
import android.text.SpannableString;
import android.text.TextUtils;
import android.text.style.TextAppearanceSpan;
import android.util.Log;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import c.f;
import i0.c;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.List;
import java.util.WeakHashMap;

class u0 extends c implements View.OnClickListener {
    private int A = -1;
    private int B = -1;
    private int C = -1;

    /* renamed from: p  reason: collision with root package name */
    private final SearchView f1131p;

    /* renamed from: q  reason: collision with root package name */
    private final SearchableInfo f1132q;

    /* renamed from: r  reason: collision with root package name */
    private final Context f1133r;

    /* renamed from: s  reason: collision with root package name */
    private final WeakHashMap<String, Drawable.ConstantState> f1134s;

    /* renamed from: t  reason: collision with root package name */
    private final int f1135t;

    /* renamed from: u  reason: collision with root package name */
    private boolean f1136u = false;

    /* renamed from: v  reason: collision with root package name */
    private int f1137v = 1;

    /* renamed from: w  reason: collision with root package name */
    private ColorStateList f1138w;

    /* renamed from: x  reason: collision with root package name */
    private int f1139x = -1;

    /* renamed from: y  reason: collision with root package name */
    private int f1140y = -1;

    /* renamed from: z  reason: collision with root package name */
    private int f1141z = -1;

    /* access modifiers changed from: private */
    public static final class a {

        /* renamed from: a  reason: collision with root package name */
        public final TextView f1142a;

        /* renamed from: b  reason: collision with root package name */
        public final TextView f1143b;

        /* renamed from: c  reason: collision with root package name */
        public final ImageView f1144c;

        /* renamed from: d  reason: collision with root package name */
        public final ImageView f1145d;

        /* renamed from: e  reason: collision with root package name */
        public final ImageView f1146e;

        public a(View view) {
            this.f1142a = (TextView) view.findViewById(16908308);
            this.f1143b = (TextView) view.findViewById(16908309);
            this.f1144c = (ImageView) view.findViewById(16908295);
            this.f1145d = (ImageView) view.findViewById(16908296);
            this.f1146e = (ImageView) view.findViewById(f.f3480q);
        }
    }

    public u0(Context context, SearchView searchView, SearchableInfo searchableInfo, WeakHashMap<String, Drawable.ConstantState> weakHashMap) {
        super(context, searchView.getSuggestionRowLayout(), null, true);
        this.f1131p = searchView;
        this.f1132q = searchableInfo;
        this.f1135t = searchView.getSuggestionCommitIconResId();
        this.f1133r = context;
        this.f1134s = weakHashMap;
    }

    private void A(String str, Drawable drawable) {
        if (drawable != null) {
            this.f1134s.put(str, drawable.getConstantState());
        }
    }

    private void B(Cursor cursor) {
        Bundle extras = cursor != null ? cursor.getExtras() : null;
        if (extras != null) {
            extras.getBoolean("in_progress");
        }
    }

    private Drawable k(String str) {
        Drawable.ConstantState constantState = this.f1134s.get(str);
        if (constantState == null) {
            return null;
        }
        return constantState.newDrawable();
    }

    private CharSequence l(CharSequence charSequence) {
        if (this.f1138w == null) {
            TypedValue typedValue = new TypedValue();
            this.f1133r.getTheme().resolveAttribute(c.a.K, typedValue, true);
            this.f1138w = this.f1133r.getResources().getColorStateList(typedValue.resourceId);
        }
        SpannableString spannableString = new SpannableString(charSequence);
        spannableString.setSpan(new TextAppearanceSpan(null, 0, 0, this.f1138w, null), 0, charSequence.length(), 33);
        return spannableString;
    }

    private Drawable m(ComponentName componentName) {
        String nameNotFoundException;
        PackageManager packageManager = this.f1133r.getPackageManager();
        try {
            ActivityInfo activityInfo = packageManager.getActivityInfo(componentName, 128);
            int iconResource = activityInfo.getIconResource();
            if (iconResource == 0) {
                return null;
            }
            Drawable drawable = packageManager.getDrawable(componentName.getPackageName(), iconResource, activityInfo.applicationInfo);
            if (drawable != null) {
                return drawable;
            }
            nameNotFoundException = "Invalid icon resource " + iconResource + " for " + componentName.flattenToShortString();
            Log.w("SuggestionsAdapter", nameNotFoundException);
            return null;
        } catch (PackageManager.NameNotFoundException e5) {
            nameNotFoundException = e5.toString();
        }
    }

    private Drawable n(ComponentName componentName) {
        String flattenToShortString = componentName.flattenToShortString();
        Drawable.ConstantState constantState = null;
        if (this.f1134s.containsKey(flattenToShortString)) {
            Drawable.ConstantState constantState2 = this.f1134s.get(flattenToShortString);
            if (constantState2 == null) {
                return null;
            }
            return constantState2.newDrawable(this.f1133r.getResources());
        }
        Drawable m5 = m(componentName);
        if (m5 != null) {
            constantState = m5.getConstantState();
        }
        this.f1134s.put(flattenToShortString, constantState);
        return m5;
    }

    public static String o(Cursor cursor, String str) {
        return w(cursor, cursor.getColumnIndex(str));
    }

    private Drawable p() {
        Drawable n5 = n(this.f1132q.getSearchActivity());
        return n5 != null ? n5 : this.f1133r.getPackageManager().getDefaultActivityIcon();
    }

    private Drawable q(Uri uri) {
        try {
            if ("android.resource".equals(uri.getScheme())) {
                try {
                    return r(uri);
                } catch (Resources.NotFoundException unused) {
                    throw new FileNotFoundException("Resource does not exist: " + uri);
                }
            } else {
                InputStream openInputStream = this.f1133r.getContentResolver().openInputStream(uri);
                if (openInputStream != null) {
                    try {
                        return Drawable.createFromStream(openInputStream, null);
                    } finally {
                        try {
                            openInputStream.close();
                        } catch (IOException e5) {
                            Log.e("SuggestionsAdapter", "Error closing icon stream for " + uri, e5);
                        }
                    }
                } else {
                    throw new FileNotFoundException("Failed to open " + uri);
                }
            }
        } catch (FileNotFoundException e6) {
            Log.w("SuggestionsAdapter", "Icon not found: " + uri + ", " + e6.getMessage());
            return null;
        }
    }

    private Drawable s(String str) {
        if (str == null || str.isEmpty() || "0".equals(str)) {
            return null;
        }
        try {
            int parseInt = Integer.parseInt(str);
            String str2 = "android.resource://" + this.f1133r.getPackageName() + "/" + parseInt;
            Drawable k5 = k(str2);
            if (k5 != null) {
                return k5;
            }
            Drawable d5 = androidx.core.content.a.d(this.f1133r, parseInt);
            A(str2, d5);
            return d5;
        } catch (NumberFormatException unused) {
            Drawable k6 = k(str);
            if (k6 != null) {
                return k6;
            }
            Drawable q5 = q(Uri.parse(str));
            A(str, q5);
            return q5;
        } catch (Resources.NotFoundException unused2) {
            Log.w("SuggestionsAdapter", "Icon resource not found: " + str);
            return null;
        }
    }

    private Drawable t(Cursor cursor) {
        int i5 = this.A;
        if (i5 == -1) {
            return null;
        }
        Drawable s5 = s(cursor.getString(i5));
        return s5 != null ? s5 : p();
    }

    private Drawable u(Cursor cursor) {
        int i5 = this.B;
        if (i5 == -1) {
            return null;
        }
        return s(cursor.getString(i5));
    }

    private static String w(Cursor cursor, int i5) {
        if (i5 == -1) {
            return null;
        }
        try {
            return cursor.getString(i5);
        } catch (Exception e5) {
            Log.e("SuggestionsAdapter", "unexpected error retrieving valid column from cursor, did the remote process die?", e5);
            return null;
        }
    }

    private void y(ImageView imageView, Drawable drawable, int i5) {
        imageView.setImageDrawable(drawable);
        if (drawable == null) {
            imageView.setVisibility(i5);
            return;
        }
        imageView.setVisibility(0);
        drawable.setVisible(false, false);
        drawable.setVisible(true, false);
    }

    private void z(TextView textView, CharSequence charSequence) {
        textView.setText(charSequence);
        textView.setVisibility(TextUtils.isEmpty(charSequence) ? 8 : 0);
    }

    @Override // i0.a, i0.b.a
    public void a(Cursor cursor) {
        if (this.f1136u) {
            Log.w("SuggestionsAdapter", "Tried to change cursor after adapter was closed.");
            if (cursor != null) {
                cursor.close();
                return;
            }
            return;
        }
        try {
            super.a(cursor);
            if (cursor != null) {
                this.f1139x = cursor.getColumnIndex("suggest_text_1");
                this.f1140y = cursor.getColumnIndex("suggest_text_2");
                this.f1141z = cursor.getColumnIndex("suggest_text_2_url");
                this.A = cursor.getColumnIndex("suggest_icon_1");
                this.B = cursor.getColumnIndex("suggest_icon_2");
                this.C = cursor.getColumnIndex("suggest_flags");
            }
        } catch (Exception e5) {
            Log.e("SuggestionsAdapter", "error changing cursor and caching columns", e5);
        }
    }

    @Override // i0.a, i0.b.a
    public CharSequence c(Cursor cursor) {
        String o5;
        String o6;
        if (cursor == null) {
            return null;
        }
        String o7 = o(cursor, "suggest_intent_query");
        if (o7 != null) {
            return o7;
        }
        if (this.f1132q.shouldRewriteQueryFromData() && (o6 = o(cursor, "suggest_intent_data")) != null) {
            return o6;
        }
        if (!this.f1132q.shouldRewriteQueryFromText() || (o5 = o(cursor, "suggest_text_1")) == null) {
            return null;
        }
        return o5;
    }

    @Override // i0.b.a
    public Cursor d(CharSequence charSequence) {
        String charSequence2 = charSequence == null ? "" : charSequence.toString();
        if (this.f1131p.getVisibility() == 0 && this.f1131p.getWindowVisibility() == 0) {
            try {
                Cursor v5 = v(this.f1132q, charSequence2, 50);
                if (v5 != null) {
                    v5.getCount();
                    return v5;
                }
            } catch (RuntimeException e5) {
                Log.w("SuggestionsAdapter", "Search suggestions query threw an exception.", e5);
            }
        }
        return null;
    }

    @Override // i0.a
    public void e(View view, Context context, Cursor cursor) {
        a aVar = (a) view.getTag();
        int i5 = this.C;
        int i6 = i5 != -1 ? cursor.getInt(i5) : 0;
        if (aVar.f1142a != null) {
            z(aVar.f1142a, w(cursor, this.f1139x));
        }
        if (aVar.f1143b != null) {
            String w5 = w(cursor, this.f1141z);
            CharSequence l5 = w5 != null ? l(w5) : w(cursor, this.f1140y);
            if (TextUtils.isEmpty(l5)) {
                TextView textView = aVar.f1142a;
                if (textView != null) {
                    textView.setSingleLine(false);
                    aVar.f1142a.setMaxLines(2);
                }
            } else {
                TextView textView2 = aVar.f1142a;
                if (textView2 != null) {
                    textView2.setSingleLine(true);
                    aVar.f1142a.setMaxLines(1);
                }
            }
            z(aVar.f1143b, l5);
        }
        ImageView imageView = aVar.f1144c;
        if (imageView != null) {
            y(imageView, t(cursor), 4);
        }
        ImageView imageView2 = aVar.f1145d;
        if (imageView2 != null) {
            y(imageView2, u(cursor), 8);
        }
        int i7 = this.f1137v;
        if (i7 == 2 || (i7 == 1 && (i6 & 1) != 0)) {
            aVar.f1146e.setVisibility(0);
            aVar.f1146e.setTag(aVar.f1142a.getText());
            aVar.f1146e.setOnClickListener(this);
            return;
        }
        aVar.f1146e.setVisibility(8);
    }

    @Override // i0.a
    public View getDropDownView(int i5, View view, ViewGroup viewGroup) {
        try {
            return super.getDropDownView(i5, view, viewGroup);
        } catch (RuntimeException e5) {
            Log.w("SuggestionsAdapter", "Search suggestions cursor threw exception.", e5);
            View g5 = g(this.f1133r, b(), viewGroup);
            if (g5 != null) {
                ((a) g5.getTag()).f1142a.setText(e5.toString());
            }
            return g5;
        }
    }

    @Override // i0.a
    public View getView(int i5, View view, ViewGroup viewGroup) {
        try {
            return super.getView(i5, view, viewGroup);
        } catch (RuntimeException e5) {
            Log.w("SuggestionsAdapter", "Search suggestions cursor threw exception.", e5);
            View h5 = h(this.f1133r, b(), viewGroup);
            if (h5 != null) {
                ((a) h5.getTag()).f1142a.setText(e5.toString());
            }
            return h5;
        }
    }

    @Override // i0.a, i0.c
    public View h(Context context, Cursor cursor, ViewGroup viewGroup) {
        View h5 = super.h(context, cursor, viewGroup);
        h5.setTag(new a(h5));
        ((ImageView) h5.findViewById(f.f3480q)).setImageResource(this.f1135t);
        return h5;
    }

    public boolean hasStableIds() {
        return false;
    }

    public void notifyDataSetChanged() {
        super.notifyDataSetChanged();
        B(b());
    }

    public void notifyDataSetInvalidated() {
        super.notifyDataSetInvalidated();
        B(b());
    }

    public void onClick(View view) {
        Object tag = view.getTag();
        if (tag instanceof CharSequence) {
            this.f1131p.S((CharSequence) tag);
        }
    }

    /* access modifiers changed from: package-private */
    public Drawable r(Uri uri) {
        int i5;
        String authority = uri.getAuthority();
        if (!TextUtils.isEmpty(authority)) {
            try {
                Resources resourcesForApplication = this.f1133r.getPackageManager().getResourcesForApplication(authority);
                List<String> pathSegments = uri.getPathSegments();
                if (pathSegments != null) {
                    int size = pathSegments.size();
                    if (size == 1) {
                        try {
                            i5 = Integer.parseInt(pathSegments.get(0));
                        } catch (NumberFormatException unused) {
                            throw new FileNotFoundException("Single path segment is not a resource ID: " + uri);
                        }
                    } else if (size == 2) {
                        i5 = resourcesForApplication.getIdentifier(pathSegments.get(1), pathSegments.get(0), authority);
                    } else {
                        throw new FileNotFoundException("More than two path segments: " + uri);
                    }
                    if (i5 != 0) {
                        return resourcesForApplication.getDrawable(i5);
                    }
                    throw new FileNotFoundException("No resource found for: " + uri);
                }
                throw new FileNotFoundException("No path: " + uri);
            } catch (PackageManager.NameNotFoundException unused2) {
                throw new FileNotFoundException("No package found for authority: " + uri);
            }
        } else {
            throw new FileNotFoundException("No authority: " + uri);
        }
    }

    /* access modifiers changed from: package-private */
    public Cursor v(SearchableInfo searchableInfo, String str, int i5) {
        String suggestAuthority;
        String[] strArr = null;
        if (searchableInfo == null || (suggestAuthority = searchableInfo.getSuggestAuthority()) == null) {
            return null;
        }
        Uri.Builder fragment = new Uri.Builder().scheme("content").authority(suggestAuthority).query("").fragment("");
        String suggestPath = searchableInfo.getSuggestPath();
        if (suggestPath != null) {
            fragment.appendEncodedPath(suggestPath);
        }
        fragment.appendPath("search_suggest_query");
        String suggestSelection = searchableInfo.getSuggestSelection();
        if (suggestSelection != null) {
            strArr = new String[]{str};
        } else {
            fragment.appendPath(str);
        }
        if (i5 > 0) {
            fragment.appendQueryParameter("limit", String.valueOf(i5));
        }
        return this.f1133r.getContentResolver().query(fragment.build(), null, suggestSelection, strArr, null);
    }

    public void x(int i5) {
        this.f1137v = i5;
    }
}
