package androidx.camera.core.impl.utils;

import android.location.Location;
import androidx.camera.core.q1;
import androidx.camera.core.z1;
import com.luck.picture.lib.widget.longimage.SubsamplingScaleImageView;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.List;
import java.util.Locale;

public final class c {

    /* renamed from: c  reason: collision with root package name */
    private static final String f1351c = "c";

    /* renamed from: d  reason: collision with root package name */
    private static final ThreadLocal<SimpleDateFormat> f1352d = new a();

    /* renamed from: e  reason: collision with root package name */
    private static final ThreadLocal<SimpleDateFormat> f1353e = new b();

    /* renamed from: f  reason: collision with root package name */
    private static final ThreadLocal<SimpleDateFormat> f1354f = new C0011c();

    /* renamed from: g  reason: collision with root package name */
    private static final List<String> f1355g = n();

    /* renamed from: h  reason: collision with root package name */
    private static final List<String> f1356h = Arrays.asList("ImageWidth", "ImageLength", "PixelXDimension", "PixelYDimension", "Compression", "JPEGInterchangeFormat", "JPEGInterchangeFormatLength", "ThumbnailImageLength", "ThumbnailImageWidth", "ThumbnailOrientation");

    /* renamed from: a  reason: collision with root package name */
    private final androidx.exifinterface.media.a f1357a;

    /* renamed from: b  reason: collision with root package name */
    private boolean f1358b = false;

    class a extends ThreadLocal<SimpleDateFormat> {
        a() {
        }

        /* renamed from: a */
        public SimpleDateFormat initialValue() {
            return new SimpleDateFormat("yyyy:MM:dd", Locale.US);
        }
    }

    class b extends ThreadLocal<SimpleDateFormat> {
        b() {
        }

        /* renamed from: a */
        public SimpleDateFormat initialValue() {
            return new SimpleDateFormat("HH:mm:ss", Locale.US);
        }
    }

    /* renamed from: androidx.camera.core.impl.utils.c$c  reason: collision with other inner class name */
    class C0011c extends ThreadLocal<SimpleDateFormat> {
        C0011c() {
        }

        /* renamed from: a */
        public SimpleDateFormat initialValue() {
            return new SimpleDateFormat("yyyy:MM:dd HH:mm:ss", Locale.US);
        }
    }

    /* access modifiers changed from: private */
    public static final class d {

        /* access modifiers changed from: package-private */
        public static final class a {

            /* renamed from: a  reason: collision with root package name */
            final double f1359a;

            a(double d5) {
                this.f1359a = d5;
            }

            /* access modifiers changed from: package-private */
            public double a() {
                return this.f1359a / 2.23694d;
            }
        }

        static a a(double d5) {
            return new a(d5 * 0.621371d);
        }

        static a b(double d5) {
            return new a(d5 * 1.15078d);
        }

        static a c(double d5) {
            return new a(d5);
        }
    }

    private c(androidx.exifinterface.media.a aVar) {
        this.f1357a = aVar;
    }

    private void a() {
        long currentTimeMillis = System.currentTimeMillis();
        String f5 = f(currentTimeMillis);
        this.f1357a.b0("DateTime", f5);
        try {
            this.f1357a.b0("SubSecTime", Long.toString(currentTimeMillis - d(f5).getTime()));
        } catch (ParseException unused) {
        }
    }

    private static Date c(String str) {
        return f1352d.get().parse(str);
    }

    private static Date d(String str) {
        return f1354f.get().parse(str);
    }

    private static Date e(String str) {
        return f1353e.get().parse(str);
    }

    private static String f(long j5) {
        return f1354f.get().format(new Date(j5));
    }

    public static c h(File file) {
        return i(file.toString());
    }

    public static c i(String str) {
        return new c(new androidx.exifinterface.media.a(str));
    }

    public static c j(q1 q1Var) {
        ByteBuffer c5 = q1Var.d()[0].c();
        c5.rewind();
        byte[] bArr = new byte[c5.capacity()];
        c5.get(bArr);
        return k(new ByteArrayInputStream(bArr));
    }

    public static c k(InputStream inputStream) {
        return new c(new androidx.exifinterface.media.a(inputStream));
    }

    public static List<String> n() {
        return Arrays.asList("ImageWidth", "ImageLength", "BitsPerSample", "Compression", "PhotometricInterpretation", "Orientation", "SamplesPerPixel", "PlanarConfiguration", "YCbCrSubSampling", "YCbCrPositioning", "XResolution", "YResolution", "ResolutionUnit", "StripOffsets", "RowsPerStrip", "StripByteCounts", "JPEGInterchangeFormat", "JPEGInterchangeFormatLength", "TransferFunction", "WhitePoint", "PrimaryChromaticities", "YCbCrCoefficients", "ReferenceBlackWhite", "DateTime", "ImageDescription", "Make", "Model", "Software", "Artist", "Copyright", "ExifVersion", "FlashpixVersion", "ColorSpace", "Gamma", "PixelXDimension", "PixelYDimension", "ComponentsConfiguration", "CompressedBitsPerPixel", "MakerNote", "UserComment", "RelatedSoundFile", "DateTimeOriginal", "DateTimeDigitized", "OffsetTime", "OffsetTimeOriginal", "OffsetTimeDigitized", "SubSecTime", "SubSecTimeOriginal", "SubSecTimeDigitized", "ExposureTime", "FNumber", "ExposureProgram", "SpectralSensitivity", "PhotographicSensitivity", "OECF", "SensitivityType", "StandardOutputSensitivity", "RecommendedExposureIndex", "ISOSpeed", "ISOSpeedLatitudeyyy", "ISOSpeedLatitudezzz", "ShutterSpeedValue", "ApertureValue", "BrightnessValue", "ExposureBiasValue", "MaxApertureValue", "SubjectDistance", "MeteringMode", "LightSource", "Flash", "SubjectArea", "FocalLength", "FlashEnergy", "SpatialFrequencyResponse", "FocalPlaneXResolution", "FocalPlaneYResolution", "FocalPlaneResolutionUnit", "SubjectLocation", "ExposureIndex", "SensingMethod", "FileSource", "SceneType", "CFAPattern", "CustomRendered", "ExposureMode", "WhiteBalance", "DigitalZoomRatio", "FocalLengthIn35mmFilm", "SceneCaptureType", "GainControl", "Contrast", "Saturation", "Sharpness", "DeviceSettingDescription", "SubjectDistanceRange", "ImageUniqueID", "CameraOwnerName", "BodySerialNumber", "LensSpecification", "LensMake", "LensModel", "LensSerialNumber", "GPSVersionID", "GPSLatitudeRef", "GPSLatitude", "GPSLongitudeRef", "GPSLongitude", "GPSAltitudeRef", "GPSAltitude", "GPSTimeStamp", "GPSSatellites", "GPSStatus", "GPSMeasureMode", "GPSDOP", "GPSSpeedRef", "GPSSpeed", "GPSTrackRef", "GPSTrack", "GPSImgDirectionRef", "GPSImgDirection", "GPSMapDatum", "GPSDestLatitudeRef", "GPSDestLatitude", "GPSDestLongitudeRef", "GPSDestLongitude", "GPSDestBearingRef", "GPSDestBearing", "GPSDestDistanceRef", "GPSDestDistance", "GPSProcessingMethod", "GPSAreaInformation", "GPSDateStamp", "GPSDifferential", "GPSHPositioningError", "InteroperabilityIndex", "ThumbnailImageLength", "ThumbnailImageWidth", "ThumbnailOrientation", "DNGVersion", "DefaultCropSize", "ThumbnailImage", "PreviewImageStart", "PreviewImageLength", "AspectFrame", "SensorBottomBorder", "SensorLeftBorder", "SensorRightBorder", "SensorTopBorder", "ISO", "JpgFromRaw", "Xmp", "NewSubfileType", "SubfileType");
    }

    private long x(String str) {
        if (str == null) {
            return -1;
        }
        try {
            return d(str).getTime();
        } catch (ParseException unused) {
            return -1;
        }
    }

    private long y(String str, String str2) {
        if (str == null && str2 == null) {
            return -1;
        }
        if (str2 == null) {
            try {
                return c(str).getTime();
            } catch (ParseException unused) {
                return -1;
            }
        } else if (str == null) {
            try {
                return e(str2).getTime();
            } catch (ParseException unused2) {
                return -1;
            }
        } else {
            return x(str + " " + str2);
        }
    }

    public void A() {
        if (!this.f1358b) {
            a();
        }
        this.f1357a.W();
    }

    public void b(Location location) {
        this.f1357a.c0(location);
    }

    public void g(c cVar) {
        ArrayList<String> arrayList = new ArrayList(f1355g);
        arrayList.removeAll(f1356h);
        for (String str : arrayList) {
            String g5 = this.f1357a.g(str);
            if (g5 != null) {
                cVar.f1357a.b0(str, g5);
            }
        }
    }

    public void l() {
        int i5;
        switch (r()) {
            case 2:
                i5 = 1;
                break;
            case 3:
                i5 = 4;
                break;
            case 4:
                i5 = 3;
                break;
            case 5:
                i5 = 6;
                break;
            case 6:
                i5 = 5;
                break;
            case 7:
                i5 = 8;
                break;
            case 8:
                i5 = 7;
                break;
            default:
                i5 = 2;
                break;
        }
        this.f1357a.b0("Orientation", String.valueOf(i5));
    }

    public void m() {
        int i5;
        switch (r()) {
            case 2:
                i5 = 3;
                break;
            case 3:
                i5 = 2;
                break;
            case 4:
                i5 = 1;
                break;
            case 5:
                i5 = 8;
                break;
            case 6:
                i5 = 7;
                break;
            case 7:
                i5 = 6;
                break;
            case 8:
                i5 = 5;
                break;
            default:
                i5 = 4;
                break;
        }
        this.f1357a.b0("Orientation", String.valueOf(i5));
    }

    public String o() {
        return this.f1357a.g("ImageDescription");
    }

    public int p() {
        return this.f1357a.i("ImageLength", 0);
    }

    public Location q() {
        String g5 = this.f1357a.g("GPSProcessingMethod");
        double[] m5 = this.f1357a.m();
        double f5 = this.f1357a.f(0.0d);
        double h5 = this.f1357a.h("GPSSpeed", 0.0d);
        String g6 = this.f1357a.g("GPSSpeedRef");
        if (g6 == null) {
            g6 = "K";
        }
        long y5 = y(this.f1357a.g("GPSDateStamp"), this.f1357a.g("GPSTimeStamp"));
        if (m5 == null) {
            return null;
        }
        if (g5 == null) {
            g5 = f1351c;
        }
        Location location = new Location(g5);
        location.setLatitude(m5[0]);
        location.setLongitude(m5[1]);
        if (f5 != 0.0d) {
            location.setAltitude(f5);
        }
        if (h5 != 0.0d) {
            char c5 = 65535;
            int hashCode = g6.hashCode();
            if (hashCode != 75) {
                if (hashCode != 77) {
                    if (hashCode == 78 && g6.equals("N")) {
                        c5 = 1;
                    }
                } else if (g6.equals("M")) {
                    c5 = 0;
                }
            } else if (g6.equals("K")) {
                c5 = 2;
            }
            location.setSpeed((float) (c5 != 0 ? c5 != 1 ? d.a(h5) : d.b(h5) : d.c(h5)).a());
        }
        if (y5 != -1) {
            location.setTime(y5);
        }
        return location;
    }

    public int r() {
        return this.f1357a.i("Orientation", 0);
    }

    public int s() {
        switch (r()) {
            case 3:
            case 4:
                return SubsamplingScaleImageView.ORIENTATION_180;
            case 5:
                return SubsamplingScaleImageView.ORIENTATION_270;
            case 6:
            case 7:
                return 90;
            case 8:
                return SubsamplingScaleImageView.ORIENTATION_270;
            default:
                return 0;
        }
    }

    public long t() {
        long x5 = x(this.f1357a.g("DateTimeOriginal"));
        if (x5 == -1) {
            return -1;
        }
        String g5 = this.f1357a.g("SubSecTimeOriginal");
        if (g5 == null) {
            return x5;
        }
        try {
            long parseLong = Long.parseLong(g5);
            while (parseLong > 1000) {
                parseLong /= 10;
            }
            return x5 + parseLong;
        } catch (NumberFormatException unused) {
            return x5;
        }
    }

    public String toString() {
        return String.format(Locale.ENGLISH, "Exif{width=%s, height=%s, rotation=%d, isFlippedVertically=%s, isFlippedHorizontally=%s, location=%s, timestamp=%s, description=%s}", Integer.valueOf(u()), Integer.valueOf(p()), Integer.valueOf(s()), Boolean.valueOf(w()), Boolean.valueOf(v()), q(), Long.valueOf(t()), o());
    }

    public int u() {
        return this.f1357a.i("ImageWidth", 0);
    }

    public boolean v() {
        return r() == 2;
    }

    public boolean w() {
        int r5 = r();
        return r5 == 4 || r5 == 5 || r5 == 7;
    }

    public void z(int i5) {
        androidx.exifinterface.media.a aVar;
        String valueOf;
        if (i5 % 90 != 0) {
            z1.m(f1351c, String.format(Locale.US, "Can only rotate in right angles (eg. 0, 90, 180, 270). %d is unsupported.", Integer.valueOf(i5)));
            aVar = this.f1357a;
            valueOf = String.valueOf(0);
        } else {
            int i6 = i5 % 360;
            int r5 = r();
            while (i6 < 0) {
                i6 += 90;
                switch (r5) {
                    case 2:
                        r5 = 5;
                        break;
                    case 3:
                    case 8:
                        r5 = 6;
                        break;
                    case 4:
                        r5 = 7;
                        break;
                    case 5:
                        r5 = 4;
                        break;
                    case 6:
                        r5 = 1;
                        break;
                    case 7:
                        r5 = 2;
                        break;
                    default:
                        r5 = 8;
                        break;
                }
            }
            while (i6 > 0) {
                i6 -= 90;
                switch (r5) {
                    case 2:
                        r5 = 7;
                        break;
                    case 3:
                        r5 = 8;
                        break;
                    case 4:
                        r5 = 5;
                        break;
                    case 5:
                        r5 = 2;
                        break;
                    case 6:
                        r5 = 3;
                        break;
                    case 7:
                        r5 = 4;
                        break;
                    case 8:
                        r5 = 1;
                        break;
                    default:
                        r5 = 6;
                        break;
                }
            }
            aVar = this.f1357a;
            valueOf = String.valueOf(r5);
        }
        aVar.b0("Orientation", valueOf);
    }
}
