package androidx.camera.lifecycle;

import androidx.camera.core.d3;
import androidx.camera.core.q3;
import androidx.lifecycle.h;
import androidx.lifecycle.k;
import androidx.lifecycle.l;
import androidx.lifecycle.s;
import java.util.ArrayDeque;
import java.util.Collection;
import java.util.Collections;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;
import o.c;

/* access modifiers changed from: package-private */
public final class LifecycleCameraRepository {

    /* renamed from: a  reason: collision with root package name */
    private final Object f1753a = new Object();

    /* renamed from: b  reason: collision with root package name */
    private final Map<a, LifecycleCamera> f1754b = new HashMap();

    /* renamed from: c  reason: collision with root package name */
    private final Map<LifecycleCameraRepositoryObserver, Set<a>> f1755c = new HashMap();

    /* renamed from: d  reason: collision with root package name */
    private final ArrayDeque<l> f1756d = new ArrayDeque<>();

    /* access modifiers changed from: private */
    public static class LifecycleCameraRepositoryObserver implements k {

        /* renamed from: a  reason: collision with root package name */
        private final LifecycleCameraRepository f1757a;

        /* renamed from: b  reason: collision with root package name */
        private final l f1758b;

        LifecycleCameraRepositoryObserver(l lVar, LifecycleCameraRepository lifecycleCameraRepository) {
            this.f1758b = lVar;
            this.f1757a = lifecycleCameraRepository;
        }

        /* access modifiers changed from: package-private */
        public l a() {
            return this.f1758b;
        }

        @s(h.b.ON_DESTROY)
        public void onDestroy(l lVar) {
            this.f1757a.l(lVar);
        }

        @s(h.b.ON_START)
        public void onStart(l lVar) {
            this.f1757a.h(lVar);
        }

        @s(h.b.ON_STOP)
        public void onStop(l lVar) {
            this.f1757a.i(lVar);
        }
    }

    /* access modifiers changed from: package-private */
    public static abstract class a {
        a() {
        }

        static a a(l lVar, c.b bVar) {
            return new a(lVar, bVar);
        }

        public abstract c.b b();

        public abstract l c();
    }

    LifecycleCameraRepository() {
    }

    private LifecycleCameraRepositoryObserver d(l lVar) {
        synchronized (this.f1753a) {
            for (LifecycleCameraRepositoryObserver lifecycleCameraRepositoryObserver : this.f1755c.keySet()) {
                if (lVar.equals(lifecycleCameraRepositoryObserver.a())) {
                    return lifecycleCameraRepositoryObserver;
                }
            }
            return null;
        }
    }

    private boolean f(l lVar) {
        synchronized (this.f1753a) {
            LifecycleCameraRepositoryObserver d5 = d(lVar);
            if (d5 == null) {
                return false;
            }
            for (a aVar : this.f1755c.get(d5)) {
                if (!((LifecycleCamera) f0.h.g(this.f1754b.get(aVar))).p().isEmpty()) {
                    return true;
                }
            }
            return false;
        }
    }

    private void g(LifecycleCamera lifecycleCamera) {
        synchronized (this.f1753a) {
            l o5 = lifecycleCamera.o();
            a a5 = a.a(o5, lifecycleCamera.n().u());
            LifecycleCameraRepositoryObserver d5 = d(o5);
            Set<a> hashSet = d5 != null ? this.f1755c.get(d5) : new HashSet<>();
            hashSet.add(a5);
            this.f1754b.put(a5, lifecycleCamera);
            if (d5 == null) {
                LifecycleCameraRepositoryObserver lifecycleCameraRepositoryObserver = new LifecycleCameraRepositoryObserver(o5, this);
                this.f1755c.put(lifecycleCameraRepositoryObserver, hashSet);
                o5.getLifecycle().a(lifecycleCameraRepositoryObserver);
            }
        }
    }

    private void j(l lVar) {
        synchronized (this.f1753a) {
            for (a aVar : this.f1755c.get(d(lVar))) {
                ((LifecycleCamera) f0.h.g(this.f1754b.get(aVar))).r();
            }
        }
    }

    private void m(l lVar) {
        synchronized (this.f1753a) {
            for (a aVar : this.f1755c.get(d(lVar))) {
                LifecycleCamera lifecycleCamera = this.f1754b.get(aVar);
                if (!((LifecycleCamera) f0.h.g(lifecycleCamera)).p().isEmpty()) {
                    lifecycleCamera.t();
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void a(LifecycleCamera lifecycleCamera, q3 q3Var, Collection<d3> collection) {
        synchronized (this.f1753a) {
            f0.h.a(!collection.isEmpty());
            l o5 = lifecycleCamera.o();
            for (a aVar : this.f1755c.get(d(o5))) {
                LifecycleCamera lifecycleCamera2 = (LifecycleCamera) f0.h.g(this.f1754b.get(aVar));
                if (!lifecycleCamera2.equals(lifecycleCamera)) {
                    if (!lifecycleCamera2.p().isEmpty()) {
                        throw new IllegalArgumentException("Multiple LifecycleCameras with use cases are registered to the same LifecycleOwner.");
                    }
                }
            }
            try {
                lifecycleCamera.n().G(q3Var);
                lifecycleCamera.m(collection);
                if (o5.getLifecycle().b().a(h.c.STARTED)) {
                    h(o5);
                }
            } catch (c.a e5) {
                throw new IllegalArgumentException(e5.getMessage());
            }
        }
    }

    /* access modifiers changed from: package-private */
    public LifecycleCamera b(l lVar, c cVar) {
        LifecycleCamera lifecycleCamera;
        synchronized (this.f1753a) {
            f0.h.b(this.f1754b.get(a.a(lVar, cVar.u())) == null, "LifecycleCamera already exists for the given LifecycleOwner and set of cameras");
            if (lVar.getLifecycle().b() != h.c.DESTROYED) {
                lifecycleCamera = new LifecycleCamera(lVar, cVar);
                if (cVar.w().isEmpty()) {
                    lifecycleCamera.r();
                }
                g(lifecycleCamera);
            } else {
                throw new IllegalArgumentException("Trying to create LifecycleCamera with destroyed lifecycle.");
            }
        }
        return lifecycleCamera;
    }

    /* access modifiers changed from: package-private */
    public LifecycleCamera c(l lVar, c.b bVar) {
        LifecycleCamera lifecycleCamera;
        synchronized (this.f1753a) {
            lifecycleCamera = this.f1754b.get(a.a(lVar, bVar));
        }
        return lifecycleCamera;
    }

    /* access modifiers changed from: package-private */
    public Collection<LifecycleCamera> e() {
        Collection<LifecycleCamera> unmodifiableCollection;
        synchronized (this.f1753a) {
            unmodifiableCollection = Collections.unmodifiableCollection(this.f1754b.values());
        }
        return unmodifiableCollection;
    }

    /* access modifiers changed from: package-private */
    public void h(l lVar) {
        ArrayDeque<l> arrayDeque;
        synchronized (this.f1753a) {
            if (f(lVar)) {
                if (this.f1756d.isEmpty()) {
                    arrayDeque = this.f1756d;
                } else {
                    l peek = this.f1756d.peek();
                    if (!lVar.equals(peek)) {
                        j(peek);
                        this.f1756d.remove(lVar);
                        arrayDeque = this.f1756d;
                    }
                    m(lVar);
                }
                arrayDeque.push(lVar);
                m(lVar);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void i(l lVar) {
        synchronized (this.f1753a) {
            this.f1756d.remove(lVar);
            j(lVar);
            if (!this.f1756d.isEmpty()) {
                m(this.f1756d.peek());
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void k() {
        synchronized (this.f1753a) {
            for (a aVar : this.f1754b.keySet()) {
                LifecycleCamera lifecycleCamera = this.f1754b.get(aVar);
                lifecycleCamera.s();
                i(lifecycleCamera.o());
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void l(l lVar) {
        synchronized (this.f1753a) {
            LifecycleCameraRepositoryObserver d5 = d(lVar);
            if (d5 != null) {
                i(lVar);
                for (a aVar : this.f1755c.get(d5)) {
                    this.f1754b.remove(aVar);
                }
                this.f1755c.remove(d5);
                d5.a().getLifecycle().c(d5);
            }
        }
    }
}
