package androidx.camera.view;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.Matrix;
import android.graphics.Rect;
import android.os.Build;
import android.util.AttributeSet;
import android.util.Rational;
import android.util.Size;
import android.view.MotionEvent;
import android.view.ScaleGestureDetector;
import android.view.View;
import android.widget.FrameLayout;
import androidx.camera.core.c3;
import androidx.camera.core.d2;
import androidx.camera.core.h2;
import androidx.camera.core.impl.utils.j;
import androidx.camera.core.q3;
import androidx.camera.core.z1;
import androidx.core.view.a0;
import androidx.lifecycle.LiveData;
import androidx.lifecycle.q;
import java.util.concurrent.atomic.AtomicReference;
import l.r;
import l.s;

public final class PreviewView extends FrameLayout {

    /* renamed from: p  reason: collision with root package name */
    private static final c f1766p = c.PERFORMANCE;

    /* renamed from: e  reason: collision with root package name */
    c f1767e;

    /* renamed from: f  reason: collision with root package name */
    h f1768f;

    /* renamed from: g  reason: collision with root package name */
    final c f1769g;

    /* renamed from: h  reason: collision with root package name */
    final q<f> f1770h;

    /* renamed from: i  reason: collision with root package name */
    final AtomicReference<b> f1771i;

    /* renamed from: j  reason: collision with root package name */
    a f1772j;

    /* renamed from: k  reason: collision with root package name */
    i f1773k;

    /* renamed from: l  reason: collision with root package name */
    private final ScaleGestureDetector f1774l;

    /* renamed from: m  reason: collision with root package name */
    private MotionEvent f1775m;

    /* renamed from: n  reason: collision with root package name */
    private final View.OnLayoutChangeListener f1776n;

    /* renamed from: o  reason: collision with root package name */
    final h2.d f1777o;

    /* access modifiers changed from: package-private */
    public class a implements h2.d {
        a() {
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private /* synthetic */ void e(c3 c3Var) {
            PreviewView.this.f1777o.a(c3Var);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private /* synthetic */ void f(s sVar, c3 c3Var, c3.g gVar) {
            z1.a("PreviewView", "Preview transformation info updated. " + gVar);
            PreviewView.this.f1769g.p(gVar, c3Var.l(), sVar.i().a().intValue() == 0);
            PreviewView.this.e();
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private /* synthetic */ void g(b bVar, s sVar) {
            if (PreviewView.this.f1771i.compareAndSet(bVar, null)) {
                bVar.c(f.IDLE);
            }
            bVar.b();
            sVar.k().a(bVar);
        }

        @Override // androidx.camera.core.h2.d
        public void a(c3 c3Var) {
            h hVar;
            if (!j.b()) {
                androidx.core.content.a.g(PreviewView.this.getContext()).execute(new g(this, c3Var));
                return;
            }
            z1.a("PreviewView", "Surface requested by Preview.");
            s j5 = c3Var.j();
            c3Var.w(androidx.core.content.a.g(PreviewView.this.getContext()), new e(this, j5, c3Var));
            PreviewView previewView = PreviewView.this;
            if (PreviewView.f(c3Var, previewView.f1767e)) {
                PreviewView previewView2 = PreviewView.this;
                hVar = new t(previewView2, previewView2.f1769g);
            } else {
                PreviewView previewView3 = PreviewView.this;
                hVar = new n(previewView3, previewView3.f1769g);
            }
            previewView.f1768f = hVar;
            r i5 = j5.i();
            PreviewView previewView4 = PreviewView.this;
            b bVar = new b(i5, previewView4.f1770h, previewView4.f1768f);
            PreviewView.this.f1771i.set(bVar);
            j5.k().b(androidx.core.content.a.g(PreviewView.this.getContext()), bVar);
            PreviewView.this.f1768f.g(c3Var, new f(this, bVar, j5));
        }
    }

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class b {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f1779a;

        /* renamed from: b  reason: collision with root package name */
        static final /* synthetic */ int[] f1780b;

        /* JADX WARNING: Can't wrap try/catch for region: R(16:0|(2:1|2)|3|(2:5|6)|7|9|10|11|12|13|14|15|16|17|18|(3:19|20|22)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(19:0|1|2|3|(2:5|6)|7|9|10|11|12|13|14|15|16|17|18|19|20|22) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x002e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0038 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:15:0x0043 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:17:0x004e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:19:0x0059 */
        static {
            int[] iArr = new int[c.values().length];
            f1780b = iArr;
            try {
                iArr[c.COMPATIBLE.ordinal()] = 1;
            } catch (NoSuchFieldError unused) {
            }
            try {
                f1780b[c.PERFORMANCE.ordinal()] = 2;
            } catch (NoSuchFieldError unused2) {
            }
            int[] iArr2 = new int[e.values().length];
            f1779a = iArr2;
            iArr2[e.FILL_END.ordinal()] = 1;
            f1779a[e.FILL_CENTER.ordinal()] = 2;
            f1779a[e.FILL_START.ordinal()] = 3;
            f1779a[e.FIT_END.ordinal()] = 4;
            f1779a[e.FIT_CENTER.ordinal()] = 5;
            try {
                f1779a[e.FIT_START.ordinal()] = 6;
            } catch (NoSuchFieldError unused3) {
            }
        }
    }

    public enum c {
        PERFORMANCE(0),
        COMPATIBLE(1);
        

        /* renamed from: e  reason: collision with root package name */
        private final int f1784e;

        private c(int i5) {
            this.f1784e = i5;
        }

        static c a(int i5) {
            c[] values = values();
            for (c cVar : values) {
                if (cVar.f1784e == i5) {
                    return cVar;
                }
            }
            throw new IllegalArgumentException("Unknown implementation mode id " + i5);
        }

        /* access modifiers changed from: package-private */
        public int b() {
            return this.f1784e;
        }
    }

    class d extends ScaleGestureDetector.SimpleOnScaleGestureListener {
        d() {
        }

        public boolean onScale(ScaleGestureDetector scaleGestureDetector) {
            a aVar = PreviewView.this.f1772j;
            return true;
        }
    }

    public enum e {
        FILL_START(0),
        FILL_CENTER(1),
        FILL_END(2),
        FIT_START(3),
        FIT_CENTER(4),
        FIT_END(5);
        

        /* renamed from: e  reason: collision with root package name */
        private final int f1793e;

        private e(int i5) {
            this.f1793e = i5;
        }

        static e a(int i5) {
            e[] values = values();
            for (e eVar : values) {
                if (eVar.f1793e == i5) {
                    return eVar;
                }
            }
            throw new IllegalArgumentException("Unknown scale type id " + i5);
        }

        /* access modifiers changed from: package-private */
        public int b() {
            return this.f1793e;
        }
    }

    public enum f {
        IDLE,
        STREAMING
    }

    public PreviewView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public PreviewView(Context context, AttributeSet attributeSet, int i5) {
        this(context, attributeSet, i5, 0);
    }

    /* JADX INFO: finally extract failed */
    public PreviewView(Context context, AttributeSet attributeSet, int i5, int i6) {
        super(context, attributeSet, i5, i6);
        c cVar = f1766p;
        this.f1767e = cVar;
        c cVar2 = new c();
        this.f1769g = cVar2;
        this.f1770h = new q<>(f.IDLE);
        this.f1771i = new AtomicReference<>();
        this.f1773k = new i(cVar2);
        this.f1776n = new d(this);
        this.f1777o = new a();
        j.a();
        Resources.Theme theme = context.getTheme();
        int[] iArr = j.f1828a;
        TypedArray obtainStyledAttributes = theme.obtainStyledAttributes(attributeSet, iArr, i5, i6);
        a0.Z(this, context, iArr, attributeSet, obtainStyledAttributes, i5, i6);
        try {
            setScaleType(e.a(obtainStyledAttributes.getInteger(j.f1830c, cVar2.g().b())));
            setImplementationMode(c.a(obtainStyledAttributes.getInteger(j.f1829b, cVar.b())));
            obtainStyledAttributes.recycle();
            this.f1774l = new ScaleGestureDetector(context, new d());
            if (getBackground() == null) {
                setBackgroundColor(androidx.core.content.a.b(getContext(), 17170444));
            }
        } catch (Throwable th) {
            obtainStyledAttributes.recycle();
            throw th;
        }
    }

    private void b(boolean z4) {
        getDisplay();
        getViewPort();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private /* synthetic */ void d(View view, int i5, int i6, int i7, int i8, int i9, int i10, int i11, int i12) {
        if ((i7 - i5 == i11 - i9 && i8 - i6 == i12 - i10) ? false : true) {
            e();
            b(true);
        }
    }

    static boolean f(c3 c3Var, c cVar) {
        int i5;
        boolean equals = c3Var.j().i().c().equals("androidx.camera.camera2.legacy");
        boolean z4 = t.a.a(t.d.class) != null;
        if (c3Var.m() || Build.VERSION.SDK_INT <= 24 || equals || z4 || (i5 = b.f1780b[cVar.ordinal()]) == 1) {
            return true;
        }
        if (i5 == 2) {
            return false;
        }
        throw new IllegalArgumentException("Invalid implementation mode: " + cVar);
    }

    private int getViewPortScaleType() {
        switch (b.f1779a[getScaleType().ordinal()]) {
            case 1:
                return 2;
            case 2:
                return 1;
            case 3:
                return 0;
            case 4:
            case 5:
            case 6:
                return 3;
            default:
                throw new IllegalStateException("Unexpected scale type: " + getScaleType());
        }
    }

    public q3 c(int i5) {
        j.a();
        if (getWidth() == 0 || getHeight() == 0) {
            return null;
        }
        return new q3.a(new Rational(getWidth(), getHeight()), i5).c(getViewPortScaleType()).b(getLayoutDirection()).a();
    }

    /* access modifiers changed from: package-private */
    public void e() {
        h hVar = this.f1768f;
        if (hVar != null) {
            hVar.h();
        }
        this.f1773k.a(new Size(getWidth(), getHeight()), getLayoutDirection());
    }

    public Bitmap getBitmap() {
        j.a();
        h hVar = this.f1768f;
        if (hVar == null) {
            return null;
        }
        return hVar.a();
    }

    public a getController() {
        j.a();
        return this.f1772j;
    }

    public c getImplementationMode() {
        j.a();
        return this.f1767e;
    }

    public d2 getMeteringPointFactory() {
        j.a();
        return this.f1773k;
    }

    public u.a getOutputTransform() {
        Matrix matrix;
        j.a();
        try {
            matrix = this.f1769g.i(new Size(getWidth(), getHeight()), getLayoutDirection());
        } catch (IllegalStateException unused) {
            matrix = null;
        }
        Rect h5 = this.f1769g.h();
        if (matrix == null || h5 == null) {
            z1.a("PreviewView", "Transform info is not ready");
            return null;
        }
        matrix.preConcat(u.a(h5));
        if (this.f1768f instanceof t) {
            matrix.postConcat(getMatrix());
        } else {
            z1.m("PreviewView", "PreviewView needs to be in COMPATIBLE mode for the transform to work correctly.");
        }
        return new u.a(matrix, new Size(h5.width(), h5.height()));
    }

    public LiveData<f> getPreviewStreamState() {
        return this.f1770h;
    }

    public e getScaleType() {
        j.a();
        return this.f1769g.g();
    }

    public h2.d getSurfaceProvider() {
        j.a();
        return this.f1777o;
    }

    public q3 getViewPort() {
        j.a();
        if (getDisplay() == null) {
            return null;
        }
        return c(getDisplay().getRotation());
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        addOnLayoutChangeListener(this.f1776n);
        h hVar = this.f1768f;
        if (hVar != null) {
            hVar.d();
        }
        b(true);
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        removeOnLayoutChangeListener(this.f1776n);
        h hVar = this.f1768f;
        if (hVar != null) {
            hVar.e();
        }
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        return super.onTouchEvent(motionEvent);
    }

    public boolean performClick() {
        this.f1775m = null;
        return super.performClick();
    }

    public void setController(a aVar) {
        j.a();
        b(false);
    }

    public void setImplementationMode(c cVar) {
        j.a();
        this.f1767e = cVar;
    }

    public void setScaleType(e eVar) {
        j.a();
        this.f1769g.o(eVar);
        e();
        b(false);
    }
}
