package androidx.camera.view;

import android.graphics.Bitmap;
import android.graphics.SurfaceTexture;
import android.util.Size;
import android.view.Surface;
import android.view.TextureView;
import android.view.View;
import android.widget.FrameLayout;
import androidx.camera.core.c3;
import androidx.camera.core.z1;
import androidx.camera.view.h;
import androidx.concurrent.futures.c;
import java.util.Objects;
import java.util.concurrent.Executor;
import java.util.concurrent.atomic.AtomicReference;
import n.f;

/* access modifiers changed from: package-private */
public final class t extends h {

    /* renamed from: e  reason: collision with root package name */
    TextureView f1853e;

    /* renamed from: f  reason: collision with root package name */
    SurfaceTexture f1854f;

    /* renamed from: g  reason: collision with root package name */
    c2.a<c3.f> f1855g;

    /* renamed from: h  reason: collision with root package name */
    c3 f1856h;

    /* renamed from: i  reason: collision with root package name */
    boolean f1857i = false;

    /* renamed from: j  reason: collision with root package name */
    SurfaceTexture f1858j;

    /* renamed from: k  reason: collision with root package name */
    AtomicReference<c.a<Void>> f1859k = new AtomicReference<>();

    /* renamed from: l  reason: collision with root package name */
    h.a f1860l;

    /* access modifiers changed from: package-private */
    public class a implements TextureView.SurfaceTextureListener {

        /* renamed from: androidx.camera.view.t$a$a  reason: collision with other inner class name */
        class C0013a implements n.c<c3.f> {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ SurfaceTexture f1862a;

            C0013a(SurfaceTexture surfaceTexture) {
                this.f1862a = surfaceTexture;
            }

            @Override // n.c
            public void a(Throwable th) {
                throw new IllegalStateException("SurfaceReleaseFuture did not complete nicely.", th);
            }

            /* renamed from: c */
            public void b(c3.f fVar) {
                f0.h.j(fVar.a() != 3, "Unexpected result from SurfaceRequest. Surface was provided twice.");
                z1.a("TextureViewImpl", "SurfaceTexture about to manually be destroyed");
                this.f1862a.release();
                t tVar = t.this;
                if (tVar.f1858j != null) {
                    tVar.f1858j = null;
                }
            }
        }

        a() {
        }

        public void onSurfaceTextureAvailable(SurfaceTexture surfaceTexture, int i5, int i6) {
            z1.a("TextureViewImpl", "SurfaceTexture available. Size: " + i5 + "x" + i6);
            t tVar = t.this;
            tVar.f1854f = surfaceTexture;
            if (tVar.f1855g != null) {
                f0.h.g(tVar.f1856h);
                z1.a("TextureViewImpl", "Surface invalidated " + t.this.f1856h);
                t.this.f1856h.k().c();
                return;
            }
            tVar.r();
        }

        public boolean onSurfaceTextureDestroyed(SurfaceTexture surfaceTexture) {
            t tVar = t.this;
            tVar.f1854f = null;
            c2.a<c3.f> aVar = tVar.f1855g;
            if (aVar != null) {
                f.b(aVar, new C0013a(surfaceTexture), androidx.core.content.a.g(t.this.f1853e.getContext()));
                t.this.f1858j = surfaceTexture;
                return false;
            }
            z1.a("TextureViewImpl", "SurfaceTexture about to be destroyed");
            return true;
        }

        public void onSurfaceTextureSizeChanged(SurfaceTexture surfaceTexture, int i5, int i6) {
            z1.a("TextureViewImpl", "SurfaceTexture size changed: " + i5 + "x" + i6);
        }

        public void onSurfaceTextureUpdated(SurfaceTexture surfaceTexture) {
            c.a<Void> andSet = t.this.f1859k.getAndSet(null);
            if (andSet != null) {
                andSet.c(null);
            }
        }
    }

    t(FrameLayout frameLayout, c cVar) {
        super(frameLayout, cVar);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private /* synthetic */ void m(c3 c3Var) {
        c3 c3Var2 = this.f1856h;
        if (c3Var2 != null && c3Var2 == c3Var) {
            this.f1856h = null;
            this.f1855g = null;
        }
        p();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private /* synthetic */ Object n(Surface surface, c.a aVar) {
        z1.a("TextureViewImpl", "Surface set on Preview.");
        c3 c3Var = this.f1856h;
        Executor a5 = m.a.a();
        Objects.requireNonNull(aVar);
        c3Var.v(surface, a5, new q(aVar));
        return "provideSurface[request=" + this.f1856h + " surface=" + surface + "]";
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private /* synthetic */ void o(Surface surface, c2.a aVar, c3 c3Var) {
        z1.a("TextureViewImpl", "Safe to release surface.");
        p();
        surface.release();
        if (this.f1855g == aVar) {
            this.f1855g = null;
        }
        if (this.f1856h == c3Var) {
            this.f1856h = null;
        }
    }

    private void p() {
        h.a aVar = this.f1860l;
        if (aVar != null) {
            aVar.a();
            this.f1860l = null;
        }
    }

    private void q() {
        SurfaceTexture surfaceTexture;
        if (this.f1857i && this.f1858j != null && this.f1853e.getSurfaceTexture() != (surfaceTexture = this.f1858j)) {
            this.f1853e.setSurfaceTexture(surfaceTexture);
            this.f1858j = null;
            this.f1857i = false;
        }
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.camera.view.h
    public View b() {
        return this.f1853e;
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.camera.view.h
    public Bitmap c() {
        TextureView textureView = this.f1853e;
        if (textureView == null || !textureView.isAvailable()) {
            return null;
        }
        return this.f1853e.getBitmap();
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.camera.view.h
    public void d() {
        q();
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.camera.view.h
    public void e() {
        this.f1857i = true;
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.camera.view.h
    public void g(c3 c3Var, h.a aVar) {
        this.f1821a = c3Var.l();
        this.f1860l = aVar;
        l();
        c3 c3Var2 = this.f1856h;
        if (c3Var2 != null) {
            c3Var2.y();
        }
        this.f1856h = c3Var;
        c3Var.i(androidx.core.content.a.g(this.f1853e.getContext()), new s(this, c3Var));
        r();
    }

    public void l() {
        f0.h.g(this.f1822b);
        f0.h.g(this.f1821a);
        TextureView textureView = new TextureView(this.f1822b.getContext());
        this.f1853e = textureView;
        textureView.setLayoutParams(new FrameLayout.LayoutParams(this.f1821a.getWidth(), this.f1821a.getHeight()));
        this.f1853e.setSurfaceTextureListener(new a());
        this.f1822b.removeAllViews();
        this.f1822b.addView(this.f1853e);
    }

    /* access modifiers changed from: package-private */
    public void r() {
        SurfaceTexture surfaceTexture;
        Size size = this.f1821a;
        if (size != null && (surfaceTexture = this.f1854f) != null && this.f1856h != null) {
            surfaceTexture.setDefaultBufferSize(size.getWidth(), this.f1821a.getHeight());
            Surface surface = new Surface(this.f1854f);
            c3 c3Var = this.f1856h;
            c2.a<c3.f> a5 = c.a(new p(this, surface));
            this.f1855g = a5;
            a5.a(new r(this, surface, a5, c3Var), androidx.core.content.a.g(this.f1853e.getContext()));
            f();
        }
    }
}
