package androidx.concurrent.futures;

import java.util.Locale;
import java.util.Objects;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.Future;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.concurrent.atomic.AtomicReferenceFieldUpdater;
import java.util.concurrent.locks.LockSupport;
import java.util.logging.Level;
import java.util.logging.Logger;

public abstract class a<V> implements c2.a<V> {

    /* renamed from: h  reason: collision with root package name */
    static final boolean f1865h = Boolean.parseBoolean(System.getProperty("guava.concurrent.generate_cancellation_cause", "false"));

    /* renamed from: i  reason: collision with root package name */
    private static final Logger f1866i = Logger.getLogger(a.class.getName());

    /* renamed from: j  reason: collision with root package name */
    static final b f1867j;

    /* renamed from: k  reason: collision with root package name */
    private static final Object f1868k = new Object();

    /* renamed from: e  reason: collision with root package name */
    volatile Object f1869e;

    /* renamed from: f  reason: collision with root package name */
    volatile e f1870f;

    /* renamed from: g  reason: collision with root package name */
    volatile i f1871g;

    /* access modifiers changed from: private */
    public static abstract class b {
        private b() {
        }

        /* access modifiers changed from: package-private */
        public abstract boolean a(a<?> aVar, e eVar, e eVar2);

        /* access modifiers changed from: package-private */
        public abstract boolean b(a<?> aVar, Object obj, Object obj2);

        /* access modifiers changed from: package-private */
        public abstract boolean c(a<?> aVar, i iVar, i iVar2);

        /* access modifiers changed from: package-private */
        public abstract void d(i iVar, i iVar2);

        /* access modifiers changed from: package-private */
        public abstract void e(i iVar, Thread thread);
    }

    /* access modifiers changed from: private */
    public static final class c {

        /* renamed from: c  reason: collision with root package name */
        static final c f1872c;

        /* renamed from: d  reason: collision with root package name */
        static final c f1873d;

        /* renamed from: a  reason: collision with root package name */
        final boolean f1874a;

        /* renamed from: b  reason: collision with root package name */
        final Throwable f1875b;

        static {
            if (a.f1865h) {
                f1873d = null;
                f1872c = null;
                return;
            }
            f1873d = new c(false, null);
            f1872c = new c(true, null);
        }

        c(boolean z4, Throwable th) {
            this.f1874a = z4;
            this.f1875b = th;
        }
    }

    /* access modifiers changed from: private */
    public static final class d {

        /* renamed from: b  reason: collision with root package name */
        static final d f1876b = new d(new C0015a("Failure occurred while trying to finish a future."));

        /* renamed from: a  reason: collision with root package name */
        final Throwable f1877a;

        /* renamed from: androidx.concurrent.futures.a$d$a  reason: collision with other inner class name */
        class C0015a extends Throwable {
            C0015a(String str) {
                super(str);
            }

            public synchronized Throwable fillInStackTrace() {
                return this;
            }
        }

        d(Throwable th) {
            this.f1877a = (Throwable) a.e(th);
        }
    }

    /* access modifiers changed from: private */
    public static final class e {

        /* renamed from: d  reason: collision with root package name */
        static final e f1878d = new e(null, null);

        /* renamed from: a  reason: collision with root package name */
        final Runnable f1879a;

        /* renamed from: b  reason: collision with root package name */
        final Executor f1880b;

        /* renamed from: c  reason: collision with root package name */
        e f1881c;

        e(Runnable runnable, Executor executor) {
            this.f1879a = runnable;
            this.f1880b = executor;
        }
    }

    private static final class f extends b {

        /* renamed from: a  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<i, Thread> f1882a;

        /* renamed from: b  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<i, i> f1883b;

        /* renamed from: c  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<a, i> f1884c;

        /* renamed from: d  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<a, e> f1885d;

        /* renamed from: e  reason: collision with root package name */
        final AtomicReferenceFieldUpdater<a, Object> f1886e;

        f(AtomicReferenceFieldUpdater<i, Thread> atomicReferenceFieldUpdater, AtomicReferenceFieldUpdater<i, i> atomicReferenceFieldUpdater2, AtomicReferenceFieldUpdater<a, i> atomicReferenceFieldUpdater3, AtomicReferenceFieldUpdater<a, e> atomicReferenceFieldUpdater4, AtomicReferenceFieldUpdater<a, Object> atomicReferenceFieldUpdater5) {
            super();
            this.f1882a = atomicReferenceFieldUpdater;
            this.f1883b = atomicReferenceFieldUpdater2;
            this.f1884c = atomicReferenceFieldUpdater3;
            this.f1885d = atomicReferenceFieldUpdater4;
            this.f1886e = atomicReferenceFieldUpdater5;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public boolean a(a<?> aVar, e eVar, e eVar2) {
            return b.a(this.f1885d, aVar, eVar, eVar2);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public boolean b(a<?> aVar, Object obj, Object obj2) {
            return b.a(this.f1886e, aVar, obj, obj2);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public boolean c(a<?> aVar, i iVar, i iVar2) {
            return b.a(this.f1884c, aVar, iVar, iVar2);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public void d(i iVar, i iVar2) {
            this.f1883b.lazySet(iVar, iVar2);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public void e(i iVar, Thread thread) {
            this.f1882a.lazySet(iVar, thread);
        }
    }

    /* access modifiers changed from: private */
    public static final class g<V> implements Runnable {

        /* renamed from: e  reason: collision with root package name */
        final a<V> f1887e;

        /* renamed from: f  reason: collision with root package name */
        final c2.a<? extends V> f1888f;

        public void run() {
            if (this.f1887e.f1869e == this) {
                if (a.f1867j.b(this.f1887e, this, a.j(this.f1888f))) {
                    a.g(this.f1887e);
                }
            }
        }
    }

    private static final class h extends b {
        h() {
            super();
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public boolean a(a<?> aVar, e eVar, e eVar2) {
            synchronized (aVar) {
                if (aVar.f1870f != eVar) {
                    return false;
                }
                aVar.f1870f = eVar2;
                return true;
            }
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public boolean b(a<?> aVar, Object obj, Object obj2) {
            synchronized (aVar) {
                if (aVar.f1869e != obj) {
                    return false;
                }
                aVar.f1869e = obj2;
                return true;
            }
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public boolean c(a<?> aVar, i iVar, i iVar2) {
            synchronized (aVar) {
                if (aVar.f1871g != iVar) {
                    return false;
                }
                aVar.f1871g = iVar2;
                return true;
            }
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public void d(i iVar, i iVar2) {
            iVar.f1891b = iVar2;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.concurrent.futures.a.b
        public void e(i iVar, Thread thread) {
            iVar.f1890a = thread;
        }
    }

    /* access modifiers changed from: private */
    public static final class i {

        /* renamed from: c  reason: collision with root package name */
        static final i f1889c = new i(false);

        /* renamed from: a  reason: collision with root package name */
        volatile Thread f1890a;

        /* renamed from: b  reason: collision with root package name */
        volatile i f1891b;

        i() {
            a.f1867j.e(this, Thread.currentThread());
        }

        i(boolean z4) {
        }

        /* access modifiers changed from: package-private */
        public void a(i iVar) {
            a.f1867j.d(this, iVar);
        }

        /* access modifiers changed from: package-private */
        public void b() {
            Thread thread = this.f1890a;
            if (thread != null) {
                this.f1890a = null;
                LockSupport.unpark(thread);
            }
        }
    }

    static {
        b bVar;
        Throwable th;
        try {
            bVar = new f(AtomicReferenceFieldUpdater.newUpdater(i.class, Thread.class, "a"), AtomicReferenceFieldUpdater.newUpdater(i.class, i.class, "b"), AtomicReferenceFieldUpdater.newUpdater(a.class, i.class, "g"), AtomicReferenceFieldUpdater.newUpdater(a.class, e.class, "f"), AtomicReferenceFieldUpdater.newUpdater(a.class, Object.class, "e"));
            th = null;
        } catch (Throwable th2) {
            th = th2;
            bVar = new h();
        }
        f1867j = bVar;
        if (th != null) {
            f1866i.log(Level.SEVERE, "SafeAtomicHelper is broken!", th);
        }
    }

    protected a() {
    }

    private void b(StringBuilder sb) {
        String str = "]";
        try {
            Object k5 = k(this);
            sb.append("SUCCESS, result=[");
            sb.append(r(k5));
            sb.append(str);
            return;
        } catch (ExecutionException e5) {
            sb.append("FAILURE, cause=[");
            sb.append(e5.getCause());
        } catch (CancellationException unused) {
            str = "CANCELLED";
        } catch (RuntimeException e6) {
            sb.append("UNKNOWN, cause=[");
            sb.append(e6.getClass());
            str = " thrown from get()]";
        }
        sb.append(str);
    }

    private static CancellationException d(String str, Throwable th) {
        CancellationException cancellationException = new CancellationException(str);
        cancellationException.initCause(th);
        return cancellationException;
    }

    static <T> T e(T t5) {
        Objects.requireNonNull(t5);
        return t5;
    }

    private e f(e eVar) {
        e eVar2;
        do {
            eVar2 = this.f1870f;
        } while (!f1867j.a(this, eVar2, e.f1878d));
        e eVar3 = eVar;
        e eVar4 = eVar2;
        while (eVar4 != null) {
            e eVar5 = eVar4.f1881c;
            eVar4.f1881c = eVar3;
            eVar3 = eVar4;
            eVar4 = eVar5;
        }
        return eVar3;
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:13:0x0001 */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r4v0, types: [androidx.concurrent.futures.a<?>] */
    /* JADX WARN: Type inference failed for: r4v1, types: [androidx.concurrent.futures.a] */
    /* JADX WARN: Type inference failed for: r4v6, types: [androidx.concurrent.futures.a<V>, androidx.concurrent.futures.a] */
    /* JADX WARN: Type inference failed for: r3v0, types: [androidx.concurrent.futures.a$b] */
    /* JADX WARNING: Unknown variable types count: 1 */
    static void g(a<?> aVar) {
        e eVar = null;
        while (true) {
            aVar.n();
            aVar.c();
            e f5 = aVar.f(eVar);
            while (true) {
                if (f5 != null) {
                    eVar = f5.f1881c;
                    Runnable runnable = f5.f1879a;
                    if (runnable instanceof g) {
                        g gVar = (g) runnable;
                        aVar = gVar.f1887e;
                        if (aVar.f1869e == gVar) {
                            if (f1867j.b(aVar, gVar, j(gVar.f1888f))) {
                            }
                        } else {
                            continue;
                        }
                    } else {
                        h(runnable, f5.f1880b);
                    }
                    f5 = eVar;
                } else {
                    return;
                }
            }
        }
    }

    private static void h(Runnable runnable, Executor executor) {
        try {
            executor.execute(runnable);
        } catch (RuntimeException e5) {
            Logger logger = f1866i;
            Level level = Level.SEVERE;
            logger.log(level, "RuntimeException while executing runnable " + runnable + " with executor " + executor, (Throwable) e5);
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    private V i(Object obj) {
        if (obj instanceof c) {
            throw d("Task was cancelled.", ((c) obj).f1875b);
        } else if (obj instanceof d) {
            throw new ExecutionException(((d) obj).f1877a);
        } else if (obj == f1868k) {
            return null;
        } else {
            return obj;
        }
    }

    static Object j(c2.a<?> aVar) {
        if (aVar instanceof a) {
            Object obj = ((a) aVar).f1869e;
            if (!(obj instanceof c)) {
                return obj;
            }
            c cVar = (c) obj;
            return cVar.f1874a ? cVar.f1875b != null ? new c(false, cVar.f1875b) : c.f1873d : obj;
        }
        boolean isCancelled = aVar.isCancelled();
        if ((!f1865h) && isCancelled) {
            return c.f1873d;
        }
        try {
            Object k5 = k(aVar);
            return k5 == null ? f1868k : k5;
        } catch (ExecutionException e5) {
            return new d(e5.getCause());
        } catch (CancellationException e6) {
            if (isCancelled) {
                return new c(false, e6);
            }
            return new d(new IllegalArgumentException("get() threw CancellationException, despite reporting isCancelled() == false: " + aVar, e6));
        } catch (Throwable th) {
            return new d(th);
        }
    }

    static <V> V k(Future<V> future) {
        V v5;
        boolean z4 = false;
        while (true) {
            try {
                v5 = future.get();
                break;
            } catch (InterruptedException unused) {
                z4 = true;
            } catch (Throwable th) {
                if (z4) {
                    Thread.currentThread().interrupt();
                }
                throw th;
            }
        }
        if (z4) {
            Thread.currentThread().interrupt();
        }
        return v5;
    }

    private void n() {
        i iVar;
        do {
            iVar = this.f1871g;
        } while (!f1867j.c(this, iVar, i.f1889c));
        while (iVar != null) {
            iVar.b();
            iVar = iVar.f1891b;
        }
    }

    private void o(i iVar) {
        iVar.f1890a = null;
        while (true) {
            i iVar2 = this.f1871g;
            if (iVar2 != i.f1889c) {
                i iVar3 = null;
                while (iVar2 != null) {
                    i iVar4 = iVar2.f1891b;
                    if (iVar2.f1890a != null) {
                        iVar3 = iVar2;
                    } else if (iVar3 != null) {
                        iVar3.f1891b = iVar4;
                        if (iVar3.f1890a == null) {
                        }
                    } else if (!f1867j.c(this, iVar2, iVar4)) {
                    }
                    iVar2 = iVar4;
                }
                return;
            }
            return;
        }
    }

    private String r(Object obj) {
        return obj == this ? "this future" : String.valueOf(obj);
    }

    @Override // c2.a
    public final void a(Runnable runnable, Executor executor) {
        e(runnable);
        e(executor);
        e eVar = this.f1870f;
        if (eVar != e.f1878d) {
            e eVar2 = new e(runnable, executor);
            do {
                eVar2.f1881c = eVar;
                if (!f1867j.a(this, eVar, eVar2)) {
                    eVar = this.f1870f;
                } else {
                    return;
                }
            } while (eVar != e.f1878d);
        }
        h(runnable, executor);
    }

    /* access modifiers changed from: protected */
    public void c() {
    }

    public final boolean cancel(boolean z4) {
        Object obj = this.f1869e;
        if (!(obj == null) && !(obj instanceof g)) {
            return false;
        }
        c cVar = f1865h ? new c(z4, new CancellationException("Future.cancel() was called.")) : z4 ? c.f1872c : c.f1873d;
        boolean z5 = false;
        a<V> aVar = this;
        while (true) {
            if (f1867j.b(aVar, obj, cVar)) {
                if (z4) {
                    aVar.l();
                }
                g(aVar);
                if (!(obj instanceof g)) {
                    return true;
                }
                c2.a<? extends V> aVar2 = ((g) obj).f1888f;
                if (aVar2 instanceof a) {
                    aVar = (a) aVar2;
                    obj = aVar.f1869e;
                    if (!(obj == null) && !(obj instanceof g)) {
                        return true;
                    }
                    z5 = true;
                } else {
                    aVar2.cancel(z4);
                    return true;
                }
            } else {
                obj = aVar.f1869e;
                if (!(obj instanceof g)) {
                    return z5;
                }
            }
        }
    }

    @Override // java.util.concurrent.Future
    public final V get() {
        Object obj;
        if (!Thread.interrupted()) {
            Object obj2 = this.f1869e;
            if ((obj2 != null) && (!(obj2 instanceof g))) {
                return i(obj2);
            }
            i iVar = this.f1871g;
            if (iVar != i.f1889c) {
                i iVar2 = new i();
                do {
                    iVar2.a(iVar);
                    if (f1867j.c(this, iVar, iVar2)) {
                        do {
                            LockSupport.park(this);
                            if (!Thread.interrupted()) {
                                obj = this.f1869e;
                            } else {
                                o(iVar2);
                                throw new InterruptedException();
                            }
                        } while (!((obj != null) & (!(obj instanceof g))));
                        return i(obj);
                    }
                    iVar = this.f1871g;
                } while (iVar != i.f1889c);
            }
            return i(this.f1869e);
        }
        throw new InterruptedException();
    }

    @Override // java.util.concurrent.Future
    public final V get(long j5, TimeUnit timeUnit) {
        long nanos = timeUnit.toNanos(j5);
        if (!Thread.interrupted()) {
            Object obj = this.f1869e;
            if ((obj != null) && (!(obj instanceof g))) {
                return i(obj);
            }
            long nanoTime = nanos > 0 ? System.nanoTime() + nanos : 0;
            if (nanos >= 1000) {
                i iVar = this.f1871g;
                if (iVar != i.f1889c) {
                    i iVar2 = new i();
                    do {
                        iVar2.a(iVar);
                        if (f1867j.c(this, iVar, iVar2)) {
                            do {
                                LockSupport.parkNanos(this, nanos);
                                if (!Thread.interrupted()) {
                                    Object obj2 = this.f1869e;
                                    if ((obj2 != null) && (!(obj2 instanceof g))) {
                                        return i(obj2);
                                    }
                                    nanos = nanoTime - System.nanoTime();
                                } else {
                                    o(iVar2);
                                    throw new InterruptedException();
                                }
                            } while (nanos >= 1000);
                            o(iVar2);
                        } else {
                            iVar = this.f1871g;
                        }
                    } while (iVar != i.f1889c);
                }
                return i(this.f1869e);
            }
            while (nanos > 0) {
                Object obj3 = this.f1869e;
                if ((obj3 != null) && (!(obj3 instanceof g))) {
                    return i(obj3);
                }
                if (!Thread.interrupted()) {
                    nanos = nanoTime - System.nanoTime();
                } else {
                    throw new InterruptedException();
                }
            }
            String aVar = toString();
            String timeUnit2 = timeUnit.toString();
            Locale locale = Locale.ROOT;
            String lowerCase = timeUnit2.toLowerCase(locale);
            String str = "Waited " + j5 + " " + timeUnit.toString().toLowerCase(locale);
            if (nanos + 1000 < 0) {
                String str2 = str + " (plus ";
                long j6 = -nanos;
                long convert = timeUnit.convert(j6, TimeUnit.NANOSECONDS);
                long nanos2 = j6 - timeUnit.toNanos(convert);
                int i5 = (convert > 0 ? 1 : (convert == 0 ? 0 : -1));
                boolean z4 = i5 == 0 || nanos2 > 1000;
                if (i5 > 0) {
                    String str3 = str2 + convert + " " + lowerCase;
                    if (z4) {
                        str3 = str3 + ",";
                    }
                    str2 = str3 + " ";
                }
                if (z4) {
                    str2 = str2 + nanos2 + " nanoseconds ";
                }
                str = str2 + "delay)";
            }
            if (isDone()) {
                throw new TimeoutException(str + " but future completed as timeout expired");
            }
            throw new TimeoutException(str + " for " + aVar);
        }
        throw new InterruptedException();
    }

    public final boolean isCancelled() {
        return this.f1869e instanceof c;
    }

    public final boolean isDone() {
        Object obj = this.f1869e;
        return (!(obj instanceof g)) & (obj != null);
    }

    /* access modifiers changed from: protected */
    public void l() {
    }

    /* access modifiers changed from: protected */
    public String m() {
        Object obj = this.f1869e;
        if (obj instanceof g) {
            return "setFuture=[" + r(((g) obj).f1888f) + "]";
        } else if (!(this instanceof ScheduledFuture)) {
            return null;
        } else {
            return "remaining delay=[" + ((ScheduledFuture) this).getDelay(TimeUnit.MILLISECONDS) + " ms]";
        }
    }

    /* access modifiers changed from: protected */
    public boolean p(V v5) {
        if (v5 == null) {
            v5 = (V) f1868k;
        }
        if (!f1867j.b(this, null, v5)) {
            return false;
        }
        g(this);
        return true;
    }

    /* access modifiers changed from: protected */
    public boolean q(Throwable th) {
        if (!f1867j.b(this, null, new d((Throwable) e(th)))) {
            return false;
        }
        g(this);
        return true;
    }

    public String toString() {
        String str;
        String str2;
        StringBuilder sb = new StringBuilder();
        sb.append(super.toString());
        sb.append("[status=");
        if (isCancelled()) {
            str2 = "CANCELLED";
        } else {
            if (!isDone()) {
                try {
                    str = m();
                } catch (RuntimeException e5) {
                    str = "Exception thrown from implementation: " + e5.getClass();
                }
                if (str != null && !str.isEmpty()) {
                    sb.append("PENDING, info=[");
                    sb.append(str);
                    sb.append("]");
                    sb.append("]");
                    return sb.toString();
                } else if (!isDone()) {
                    str2 = "PENDING";
                }
            }
            b(sb);
            sb.append("]");
            return sb.toString();
        }
        sb.append(str2);
        sb.append("]");
        return sb.toString();
    }
}
