package androidx.core.content;

import android.content.Context;
import android.content.Intent;
import android.content.res.ColorStateList;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Process;
import android.util.TypedValue;
import java.io.File;
import java.util.concurrent.Executor;
import x.h;

public class a {

    /* renamed from: a  reason: collision with root package name */
    private static final Object f1936a = new Object();

    /* renamed from: b  reason: collision with root package name */
    private static final Object f1937b = new Object();

    /* renamed from: c  reason: collision with root package name */
    private static TypedValue f1938c;

    /* renamed from: androidx.core.content.a$a  reason: collision with other inner class name */
    static class C0019a {
        static void a(Context context, Intent[] intentArr, Bundle bundle) {
            context.startActivities(intentArr, bundle);
        }

        static void b(Context context, Intent intent, Bundle bundle) {
            context.startActivity(intent, bundle);
        }
    }

    static class b {
        static File[] a(Context context) {
            return context.getExternalCacheDirs();
        }

        static File[] b(Context context, String str) {
            return context.getExternalFilesDirs(str);
        }

        static File[] c(Context context) {
            return context.getObbDirs();
        }
    }

    static class c {
        static File a(Context context) {
            return context.getCodeCacheDir();
        }

        static Drawable b(Context context, int i5) {
            return context.getDrawable(i5);
        }

        static File c(Context context) {
            return context.getNoBackupFilesDir();
        }
    }

    static class d {
        static int a(Context context, int i5) {
            return context.getColor(i5);
        }

        static <T> T b(Context context, Class<T> cls) {
            return (T) context.getSystemService(cls);
        }

        static String c(Context context, Class<?> cls) {
            return context.getSystemServiceName(cls);
        }
    }

    static class e {
        static Executor a(Context context) {
            return context.getMainExecutor();
        }
    }

    public static int a(Context context, String str) {
        f0.c.c(str, "permission must be non-null");
        return context.checkPermission(str, Process.myPid(), Process.myUid());
    }

    public static int b(Context context, int i5) {
        return Build.VERSION.SDK_INT >= 23 ? d.a(context, i5) : context.getResources().getColor(i5);
    }

    public static ColorStateList c(Context context, int i5) {
        return h.c(context.getResources(), i5, context.getTheme());
    }

    public static Drawable d(Context context, int i5) {
        int i6 = Build.VERSION.SDK_INT;
        if (i6 >= 21) {
            return c.b(context, i5);
        }
        if (i6 < 16) {
            synchronized (f1936a) {
                if (f1938c == null) {
                    f1938c = new TypedValue();
                }
                context.getResources().getValue(i5, f1938c, true);
                i5 = f1938c.resourceId;
            }
        }
        return context.getResources().getDrawable(i5);
    }

    public static File[] e(Context context) {
        if (Build.VERSION.SDK_INT >= 19) {
            return b.a(context);
        }
        return new File[]{context.getExternalCacheDir()};
    }

    public static File[] f(Context context, String str) {
        if (Build.VERSION.SDK_INT >= 19) {
            return b.b(context, str);
        }
        return new File[]{context.getExternalFilesDir(str)};
    }

    public static Executor g(Context context) {
        return Build.VERSION.SDK_INT >= 28 ? e.a(context) : c0.c.a(new Handler(context.getMainLooper()));
    }

    public static boolean h(Context context, Intent[] intentArr, Bundle bundle) {
        if (Build.VERSION.SDK_INT >= 16) {
            C0019a.a(context, intentArr, bundle);
            return true;
        }
        context.startActivities(intentArr);
        return true;
    }

    public static void i(Context context, Intent intent, Bundle bundle) {
        if (Build.VERSION.SDK_INT >= 16) {
            C0019a.b(context, intent, bundle);
        } else {
            context.startActivity(intent);
        }
    }
}
