package androidx.core.view;

import android.os.Build;
import android.os.Bundle;
import android.text.style.ClickableSpan;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.accessibility.AccessibilityNodeProvider;
import g0.c;
import g0.d;
import java.lang.ref.WeakReference;
import java.util.Collections;
import java.util.List;
import w.b;

public class a {

    /* renamed from: c  reason: collision with root package name */
    private static final View.AccessibilityDelegate f1952c = new View.AccessibilityDelegate();

    /* renamed from: a  reason: collision with root package name */
    private final View.AccessibilityDelegate f1953a;

    /* renamed from: b  reason: collision with root package name */
    private final View.AccessibilityDelegate f1954b;

    /* access modifiers changed from: package-private */
    /* renamed from: androidx.core.view.a$a  reason: collision with other inner class name */
    public static final class C0021a extends View.AccessibilityDelegate {

        /* renamed from: a  reason: collision with root package name */
        final a f1955a;

        C0021a(a aVar) {
            this.f1955a = aVar;
        }

        public boolean dispatchPopulateAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            return this.f1955a.a(view, accessibilityEvent);
        }

        public AccessibilityNodeProvider getAccessibilityNodeProvider(View view) {
            d b5 = this.f1955a.b(view);
            if (b5 != null) {
                return (AccessibilityNodeProvider) b5.a();
            }
            return null;
        }

        public void onInitializeAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            this.f1955a.f(view, accessibilityEvent);
        }

        public void onInitializeAccessibilityNodeInfo(View view, AccessibilityNodeInfo accessibilityNodeInfo) {
            c S = c.S(accessibilityNodeInfo);
            S.O(a0.N(view));
            S.M(a0.K(view));
            S.N(a0.o(view));
            S.Q(a0.E(view));
            this.f1955a.g(view, S);
            S.d(accessibilityNodeInfo.getText(), view);
            List<c.a> c5 = a.c(view);
            for (int i5 = 0; i5 < c5.size(); i5++) {
                S.b(c5.get(i5));
            }
        }

        public void onPopulateAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            this.f1955a.h(view, accessibilityEvent);
        }

        public boolean onRequestSendAccessibilityEvent(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
            return this.f1955a.i(viewGroup, view, accessibilityEvent);
        }

        public boolean performAccessibilityAction(View view, int i5, Bundle bundle) {
            return this.f1955a.j(view, i5, bundle);
        }

        public void sendAccessibilityEvent(View view, int i5) {
            this.f1955a.l(view, i5);
        }

        public void sendAccessibilityEventUnchecked(View view, AccessibilityEvent accessibilityEvent) {
            this.f1955a.m(view, accessibilityEvent);
        }
    }

    public a() {
        this(f1952c);
    }

    public a(View.AccessibilityDelegate accessibilityDelegate) {
        this.f1953a = accessibilityDelegate;
        this.f1954b = new C0021a(this);
    }

    static List<c.a> c(View view) {
        List<c.a> list = (List) view.getTag(b.H);
        return list == null ? Collections.emptyList() : list;
    }

    private boolean e(ClickableSpan clickableSpan, View view) {
        if (clickableSpan != null) {
            ClickableSpan[] m5 = c.m(view.createAccessibilityNodeInfo().getText());
            int i5 = 0;
            while (m5 != null && i5 < m5.length) {
                if (clickableSpan.equals(m5[i5])) {
                    return true;
                }
                i5++;
            }
        }
        return false;
    }

    private boolean k(int i5, View view) {
        WeakReference weakReference;
        SparseArray sparseArray = (SparseArray) view.getTag(b.I);
        if (sparseArray == null || (weakReference = (WeakReference) sparseArray.get(i5)) == null) {
            return false;
        }
        ClickableSpan clickableSpan = (ClickableSpan) weakReference.get();
        if (!e(clickableSpan, view)) {
            return false;
        }
        clickableSpan.onClick(view);
        return true;
    }

    public boolean a(View view, AccessibilityEvent accessibilityEvent) {
        return this.f1953a.dispatchPopulateAccessibilityEvent(view, accessibilityEvent);
    }

    public d b(View view) {
        AccessibilityNodeProvider accessibilityNodeProvider;
        if (Build.VERSION.SDK_INT < 16 || (accessibilityNodeProvider = this.f1953a.getAccessibilityNodeProvider(view)) == null) {
            return null;
        }
        return new d(accessibilityNodeProvider);
    }

    /* access modifiers changed from: package-private */
    public View.AccessibilityDelegate d() {
        return this.f1954b;
    }

    public void f(View view, AccessibilityEvent accessibilityEvent) {
        this.f1953a.onInitializeAccessibilityEvent(view, accessibilityEvent);
    }

    public void g(View view, c cVar) {
        this.f1953a.onInitializeAccessibilityNodeInfo(view, cVar.R());
    }

    public void h(View view, AccessibilityEvent accessibilityEvent) {
        this.f1953a.onPopulateAccessibilityEvent(view, accessibilityEvent);
    }

    public boolean i(ViewGroup viewGroup, View view, AccessibilityEvent accessibilityEvent) {
        return this.f1953a.onRequestSendAccessibilityEvent(viewGroup, view, accessibilityEvent);
    }

    public boolean j(View view, int i5, Bundle bundle) {
        List<c.a> c5 = c(view);
        boolean z4 = false;
        int i6 = 0;
        while (true) {
            if (i6 >= c5.size()) {
                break;
            }
            c.a aVar = c5.get(i6);
            if (aVar.a() == i5) {
                z4 = aVar.c(view, bundle);
                break;
            }
            i6++;
        }
        if (!z4 && Build.VERSION.SDK_INT >= 16) {
            z4 = this.f1953a.performAccessibilityAction(view, i5, bundle);
        }
        return (z4 || i5 != b.f7777a) ? z4 : k(bundle.getInt("ACCESSIBILITY_CLICKABLE_SPAN_ID", -1), view);
    }

    public void l(View view, int i5) {
        this.f1953a.sendAccessibilityEvent(view, i5);
    }

    public void m(View view, AccessibilityEvent accessibilityEvent) {
        this.f1953a.sendAccessibilityEventUnchecked(view, accessibilityEvent);
    }
}
