package androidx.core.view;

import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.TypedArray;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.ContentInfo;
import android.view.Display;
import android.view.KeyEvent;
import android.view.OnReceiveContentListener;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.ViewTreeObserver;
import android.view.WindowInsets;
import android.view.WindowManager;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import android.view.accessibility.AccessibilityNodeProvider;
import androidx.core.view.a;
import androidx.core.view.j0;
import java.lang.ref.WeakReference;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.WeakHashMap;
import java.util.concurrent.atomic.AtomicInteger;

public class a0 {

    /* renamed from: a  reason: collision with root package name */
    private static final AtomicInteger f1956a = new AtomicInteger(1);

    /* renamed from: b  reason: collision with root package name */
    private static Field f1957b;

    /* renamed from: c  reason: collision with root package name */
    private static boolean f1958c;

    /* renamed from: d  reason: collision with root package name */
    private static Field f1959d;

    /* renamed from: e  reason: collision with root package name */
    private static boolean f1960e;

    /* renamed from: f  reason: collision with root package name */
    private static WeakHashMap<View, String> f1961f;

    /* renamed from: g  reason: collision with root package name */
    private static WeakHashMap<View, f0> f1962g = null;

    /* renamed from: h  reason: collision with root package name */
    private static Field f1963h;

    /* renamed from: i  reason: collision with root package name */
    private static boolean f1964i = false;

    /* renamed from: j  reason: collision with root package name */
    private static ThreadLocal<Rect> f1965j;

    /* renamed from: k  reason: collision with root package name */
    private static final int[] f1966k = {w.b.f7778b, w.b.f7779c, w.b.f7790n, w.b.f7801y, w.b.B, w.b.C, w.b.D, w.b.E, w.b.F, w.b.G, w.b.f7780d, w.b.f7781e, w.b.f7782f, w.b.f7783g, w.b.f7784h, w.b.f7785i, w.b.f7786j, w.b.f7787k, w.b.f7788l, w.b.f7789m, w.b.f7791o, w.b.f7792p, w.b.f7793q, w.b.f7794r, w.b.f7795s, w.b.f7796t, w.b.f7797u, w.b.f7798v, w.b.f7799w, w.b.f7800x, w.b.f7802z, w.b.A};

    /* renamed from: l  reason: collision with root package name */
    private static final w f1967l = z.f2080e;

    /* renamed from: m  reason: collision with root package name */
    private static final e f1968m = new e();

    /* access modifiers changed from: package-private */
    public class a extends f<Boolean> {
        a(int i5, Class cls, int i6) {
            super(i5, cls, i6);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: i */
        public Boolean d(View view) {
            return Boolean.valueOf(p.d(view));
        }

        /* access modifiers changed from: package-private */
        /* renamed from: j */
        public void e(View view, Boolean bool) {
            p.i(view, bool.booleanValue());
        }

        /* access modifiers changed from: package-private */
        /* renamed from: k */
        public boolean h(Boolean bool, Boolean bool2) {
            return !a(bool, bool2);
        }
    }

    /* access modifiers changed from: package-private */
    public class b extends f<CharSequence> {
        b(int i5, Class cls, int i6, int i7) {
            super(i5, cls, i6, i7);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: i */
        public CharSequence d(View view) {
            return p.b(view);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: j */
        public void e(View view, CharSequence charSequence) {
            p.h(view, charSequence);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: k */
        public boolean h(CharSequence charSequence, CharSequence charSequence2) {
            return !TextUtils.equals(charSequence, charSequence2);
        }
    }

    /* access modifiers changed from: package-private */
    public class c extends f<CharSequence> {
        c(int i5, Class cls, int i6, int i7) {
            super(i5, cls, i6, i7);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: i */
        public CharSequence d(View view) {
            return r.a(view);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: j */
        public void e(View view, CharSequence charSequence) {
            r.b(view, charSequence);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: k */
        public boolean h(CharSequence charSequence, CharSequence charSequence2) {
            return !TextUtils.equals(charSequence, charSequence2);
        }
    }

    /* access modifiers changed from: package-private */
    public class d extends f<Boolean> {
        d(int i5, Class cls, int i6) {
            super(i5, cls, i6);
        }

        /* access modifiers changed from: package-private */
        /* renamed from: i */
        public Boolean d(View view) {
            return Boolean.valueOf(p.c(view));
        }

        /* access modifiers changed from: package-private */
        /* renamed from: j */
        public void e(View view, Boolean bool) {
            p.g(view, bool.booleanValue());
        }

        /* access modifiers changed from: package-private */
        /* renamed from: k */
        public boolean h(Boolean bool, Boolean bool2) {
            return !a(bool, bool2);
        }
    }

    /* access modifiers changed from: package-private */
    public static class e implements ViewTreeObserver.OnGlobalLayoutListener, View.OnAttachStateChangeListener {

        /* renamed from: e  reason: collision with root package name */
        private final WeakHashMap<View, Boolean> f1969e = new WeakHashMap<>();

        e() {
        }

        private void b(View view, boolean z4) {
            boolean z5 = view.getVisibility() == 0;
            if (z4 != z5) {
                a0.P(view, z5 ? 16 : 32);
                this.f1969e.put(view, Boolean.valueOf(z5));
            }
        }

        private void c(View view) {
            view.getViewTreeObserver().addOnGlobalLayoutListener(this);
        }

        private void e(View view) {
            h.o(view.getViewTreeObserver(), this);
        }

        /* access modifiers changed from: package-private */
        public void a(View view) {
            this.f1969e.put(view, Boolean.valueOf(view.getVisibility() == 0));
            view.addOnAttachStateChangeListener(this);
            if (k.b(view)) {
                c(view);
            }
        }

        /* access modifiers changed from: package-private */
        public void d(View view) {
            this.f1969e.remove(view);
            view.removeOnAttachStateChangeListener(this);
            e(view);
        }

        public void onGlobalLayout() {
            if (Build.VERSION.SDK_INT < 28) {
                for (Map.Entry<View, Boolean> entry : this.f1969e.entrySet()) {
                    b(entry.getKey(), entry.getValue().booleanValue());
                }
            }
        }

        public void onViewAttachedToWindow(View view) {
            c(view);
        }

        public void onViewDetachedFromWindow(View view) {
        }
    }

    /* access modifiers changed from: package-private */
    public static abstract class f<T> {

        /* renamed from: a  reason: collision with root package name */
        private final int f1970a;

        /* renamed from: b  reason: collision with root package name */
        private final Class<T> f1971b;

        /* renamed from: c  reason: collision with root package name */
        private final int f1972c;

        /* renamed from: d  reason: collision with root package name */
        private final int f1973d;

        f(int i5, Class<T> cls, int i6) {
            this(i5, cls, 0, i6);
        }

        f(int i5, Class<T> cls, int i6, int i7) {
            this.f1970a = i5;
            this.f1971b = cls;
            this.f1973d = i6;
            this.f1972c = i7;
        }

        private boolean b() {
            return Build.VERSION.SDK_INT >= 19;
        }

        private boolean c() {
            return Build.VERSION.SDK_INT >= this.f1972c;
        }

        /* access modifiers changed from: package-private */
        public boolean a(Boolean bool, Boolean bool2) {
            return (bool != null && bool.booleanValue()) == (bool2 != null && bool2.booleanValue());
        }

        /* access modifiers changed from: package-private */
        public abstract T d(View view);

        /* access modifiers changed from: package-private */
        public abstract void e(View view, T t5);

        /* access modifiers changed from: package-private */
        public T f(View view) {
            if (c()) {
                return d(view);
            }
            if (!b()) {
                return null;
            }
            T t5 = (T) view.getTag(this.f1970a);
            if (this.f1971b.isInstance(t5)) {
                return t5;
            }
            return null;
        }

        /* access modifiers changed from: package-private */
        public void g(View view, T t5) {
            if (c()) {
                e(view, t5);
            } else if (b() && h(f(view), t5)) {
                a0.j(view);
                view.setTag(this.f1970a, t5);
                a0.P(view, this.f1973d);
            }
        }

        /* access modifiers changed from: package-private */
        public abstract boolean h(T t5, T t6);
    }

    /* access modifiers changed from: package-private */
    public static class g {
        static boolean a(View view) {
            return view.hasOnClickListeners();
        }
    }

    /* access modifiers changed from: package-private */
    public static class h {
        static AccessibilityNodeProvider a(View view) {
            return view.getAccessibilityNodeProvider();
        }

        static boolean b(View view) {
            return view.getFitsSystemWindows();
        }

        static int c(View view) {
            return view.getImportantForAccessibility();
        }

        static int d(View view) {
            return view.getMinimumHeight();
        }

        static int e(View view) {
            return view.getMinimumWidth();
        }

        static ViewParent f(View view) {
            return view.getParentForAccessibility();
        }

        static int g(View view) {
            return view.getWindowSystemUiVisibility();
        }

        static boolean h(View view) {
            return view.hasOverlappingRendering();
        }

        static boolean i(View view) {
            return view.hasTransientState();
        }

        static boolean j(View view, int i5, Bundle bundle) {
            return view.performAccessibilityAction(i5, bundle);
        }

        static void k(View view) {
            view.postInvalidateOnAnimation();
        }

        static void l(View view, int i5, int i6, int i7, int i8) {
            view.postInvalidateOnAnimation(i5, i6, i7, i8);
        }

        static void m(View view, Runnable runnable) {
            view.postOnAnimation(runnable);
        }

        static void n(View view, Runnable runnable, long j5) {
            view.postOnAnimationDelayed(runnable, j5);
        }

        static void o(ViewTreeObserver viewTreeObserver, ViewTreeObserver.OnGlobalLayoutListener onGlobalLayoutListener) {
            viewTreeObserver.removeOnGlobalLayoutListener(onGlobalLayoutListener);
        }

        static void p(View view) {
            view.requestFitSystemWindows();
        }

        static void q(View view, Drawable drawable) {
            view.setBackground(drawable);
        }

        static void r(View view, boolean z4) {
            view.setHasTransientState(z4);
        }

        static void s(View view, int i5) {
            view.setImportantForAccessibility(i5);
        }
    }

    /* access modifiers changed from: package-private */
    public static class i {
        static int a() {
            return View.generateViewId();
        }

        static Display b(View view) {
            return view.getDisplay();
        }

        static int c(View view) {
            return view.getLabelFor();
        }

        static int d(View view) {
            return view.getLayoutDirection();
        }

        static int e(View view) {
            return view.getPaddingEnd();
        }

        static int f(View view) {
            return view.getPaddingStart();
        }

        static boolean g(View view) {
            return view.isPaddingRelative();
        }

        static void h(View view, int i5) {
            view.setLabelFor(i5);
        }

        static void i(View view, Paint paint) {
            view.setLayerPaint(paint);
        }

        static void j(View view, int i5) {
            view.setLayoutDirection(i5);
        }

        static void k(View view, int i5, int i6, int i7, int i8) {
            view.setPaddingRelative(i5, i6, i7, i8);
        }
    }

    static class j {
        static Rect a(View view) {
            return view.getClipBounds();
        }

        static boolean b(View view) {
            return view.isInLayout();
        }

        static void c(View view, Rect rect) {
            view.setClipBounds(rect);
        }
    }

    /* access modifiers changed from: package-private */
    public static class k {
        static int a(View view) {
            return view.getAccessibilityLiveRegion();
        }

        static boolean b(View view) {
            return view.isAttachedToWindow();
        }

        static boolean c(View view) {
            return view.isLaidOut();
        }

        static boolean d(View view) {
            return view.isLayoutDirectionResolved();
        }

        static void e(ViewParent viewParent, View view, View view2, int i5) {
            viewParent.notifySubtreeAccessibilityStateChanged(view, view2, i5);
        }

        static void f(View view, int i5) {
            view.setAccessibilityLiveRegion(i5);
        }

        static void g(AccessibilityEvent accessibilityEvent, int i5) {
            accessibilityEvent.setContentChangeTypes(i5);
        }
    }

    /* access modifiers changed from: package-private */
    public static class l {
        static WindowInsets a(View view, WindowInsets windowInsets) {
            return view.dispatchApplyWindowInsets(windowInsets);
        }

        static WindowInsets b(View view, WindowInsets windowInsets) {
            return view.onApplyWindowInsets(windowInsets);
        }

        static void c(View view) {
            view.requestApplyInsets();
        }
    }

    /* access modifiers changed from: private */
    public static class m {

        /* access modifiers changed from: package-private */
        public class a implements View.OnApplyWindowInsetsListener {

            /* renamed from: a  reason: collision with root package name */
            j0 f1974a = null;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ View f1975b;

            /* renamed from: c  reason: collision with root package name */
            final /* synthetic */ u f1976c;

            a(View view, u uVar) {
                this.f1975b = view;
                this.f1976c = uVar;
            }

            public WindowInsets onApplyWindowInsets(View view, WindowInsets windowInsets) {
                j0 v5 = j0.v(windowInsets, view);
                int i5 = Build.VERSION.SDK_INT;
                if (i5 < 30) {
                    m.a(windowInsets, this.f1975b);
                    if (v5.equals(this.f1974a)) {
                        return this.f1976c.a(view, v5).t();
                    }
                }
                this.f1974a = v5;
                j0 a5 = this.f1976c.a(view, v5);
                if (i5 >= 30) {
                    return a5.t();
                }
                a0.Y(view);
                return a5.t();
            }
        }

        static void a(WindowInsets windowInsets, View view) {
            View.OnApplyWindowInsetsListener onApplyWindowInsetsListener = (View.OnApplyWindowInsetsListener) view.getTag(w.b.T);
            if (onApplyWindowInsetsListener != null) {
                onApplyWindowInsetsListener.onApplyWindowInsets(view, windowInsets);
            }
        }

        static j0 b(View view, j0 j0Var, Rect rect) {
            WindowInsets t5 = j0Var.t();
            if (t5 != null) {
                return j0.v(view.computeSystemWindowInsets(t5, rect), view);
            }
            rect.setEmpty();
            return j0Var;
        }

        static boolean c(View view, float f5, float f6, boolean z4) {
            return view.dispatchNestedFling(f5, f6, z4);
        }

        static boolean d(View view, float f5, float f6) {
            return view.dispatchNestedPreFling(f5, f6);
        }

        static boolean e(View view, int i5, int i6, int[] iArr, int[] iArr2) {
            return view.dispatchNestedPreScroll(i5, i6, iArr, iArr2);
        }

        static boolean f(View view, int i5, int i6, int i7, int i8, int[] iArr) {
            return view.dispatchNestedScroll(i5, i6, i7, i8, iArr);
        }

        static ColorStateList g(View view) {
            return view.getBackgroundTintList();
        }

        static PorterDuff.Mode h(View view) {
            return view.getBackgroundTintMode();
        }

        static float i(View view) {
            return view.getElevation();
        }

        public static j0 j(View view) {
            return j0.a.a(view);
        }

        static String k(View view) {
            return view.getTransitionName();
        }

        static float l(View view) {
            return view.getTranslationZ();
        }

        static float m(View view) {
            return view.getZ();
        }

        static boolean n(View view) {
            return view.hasNestedScrollingParent();
        }

        static boolean o(View view) {
            return view.isImportantForAccessibility();
        }

        static boolean p(View view) {
            return view.isNestedScrollingEnabled();
        }

        static void q(View view, ColorStateList colorStateList) {
            view.setBackgroundTintList(colorStateList);
        }

        static void r(View view, PorterDuff.Mode mode) {
            view.setBackgroundTintMode(mode);
        }

        static void s(View view, float f5) {
            view.setElevation(f5);
        }

        static void t(View view, boolean z4) {
            view.setNestedScrollingEnabled(z4);
        }

        static void u(View view, u uVar) {
            if (Build.VERSION.SDK_INT < 30) {
                view.setTag(w.b.L, uVar);
            }
            if (uVar == null) {
                view.setOnApplyWindowInsetsListener((View.OnApplyWindowInsetsListener) view.getTag(w.b.T));
            } else {
                view.setOnApplyWindowInsetsListener(new a(view, uVar));
            }
        }

        static void v(View view, String str) {
            view.setTransitionName(str);
        }

        static void w(View view, float f5) {
            view.setTranslationZ(f5);
        }

        static void x(View view, float f5) {
            view.setZ(f5);
        }

        static boolean y(View view, int i5) {
            return view.startNestedScroll(i5);
        }

        static void z(View view) {
            view.stopNestedScroll();
        }
    }

    /* access modifiers changed from: private */
    public static class n {
        public static j0 a(View view) {
            WindowInsets rootWindowInsets = view.getRootWindowInsets();
            if (rootWindowInsets == null) {
                return null;
            }
            j0 u5 = j0.u(rootWindowInsets);
            u5.r(u5);
            u5.d(view.getRootView());
            return u5;
        }

        static int b(View view) {
            return view.getScrollIndicators();
        }

        static void c(View view, int i5) {
            view.setScrollIndicators(i5);
        }

        static void d(View view, int i5, int i6) {
            view.setScrollIndicators(i5, i6);
        }
    }

    static class o {
        static void a(View view, Collection<View> collection, int i5) {
            view.addKeyboardNavigationClusters(collection, i5);
        }

        static int b(View view) {
            return view.getImportantForAutofill();
        }

        static int c(View view) {
            return view.getNextClusterForwardId();
        }

        static boolean d(View view) {
            return view.hasExplicitFocusable();
        }

        static boolean e(View view) {
            return view.isFocusedByDefault();
        }

        static boolean f(View view) {
            return view.isImportantForAutofill();
        }

        static boolean g(View view) {
            return view.isKeyboardNavigationCluster();
        }

        static View h(View view, View view2, int i5) {
            return view.keyboardNavigationClusterSearch(view2, i5);
        }

        static boolean i(View view) {
            return view.restoreDefaultFocus();
        }

        static void j(View view, String... strArr) {
            view.setAutofillHints(strArr);
        }

        static void k(View view, boolean z4) {
            view.setFocusedByDefault(z4);
        }

        static void l(View view, int i5) {
            view.setImportantForAutofill(i5);
        }

        static void m(View view, boolean z4) {
            view.setKeyboardNavigationCluster(z4);
        }

        static void n(View view, int i5) {
            view.setNextClusterForwardId(i5);
        }

        static void o(View view, CharSequence charSequence) {
            view.setTooltipText(charSequence);
        }
    }

    /* access modifiers changed from: package-private */
    public static class p {
        static void a(View view, u uVar) {
            int i5 = w.b.S;
            v.g gVar = (v.g) view.getTag(i5);
            if (gVar == null) {
                gVar = new v.g();
                view.setTag(i5, gVar);
            }
            Objects.requireNonNull(uVar);
            b0 b0Var = new b0(uVar);
            gVar.put(uVar, b0Var);
            view.addOnUnhandledKeyEventListener(b0Var);
        }

        static CharSequence b(View view) {
            return view.getAccessibilityPaneTitle();
        }

        static boolean c(View view) {
            return view.isAccessibilityHeading();
        }

        static boolean d(View view) {
            return view.isScreenReaderFocusable();
        }

        static void e(View view, u uVar) {
            View.OnUnhandledKeyEventListener onUnhandledKeyEventListener;
            v.g gVar = (v.g) view.getTag(w.b.S);
            if (gVar != null && (onUnhandledKeyEventListener = (View.OnUnhandledKeyEventListener) gVar.get(uVar)) != null) {
                view.removeOnUnhandledKeyEventListener(onUnhandledKeyEventListener);
            }
        }

        static <T> T f(View view, int i5) {
            return (T) view.requireViewById(i5);
        }

        static void g(View view, boolean z4) {
            view.setAccessibilityHeading(z4);
        }

        static void h(View view, CharSequence charSequence) {
            view.setAccessibilityPaneTitle(charSequence);
        }

        static void i(View view, boolean z4) {
            view.setScreenReaderFocusable(z4);
        }
    }

    /* access modifiers changed from: private */
    public static class q {
        static View.AccessibilityDelegate a(View view) {
            return view.getAccessibilityDelegate();
        }

        static List<Rect> b(View view) {
            return view.getSystemGestureExclusionRects();
        }

        static void c(View view, Context context, int[] iArr, AttributeSet attributeSet, TypedArray typedArray, int i5, int i6) {
            view.saveAttributeDataForStyleable(context, iArr, attributeSet, typedArray, i5, i6);
        }

        static void d(View view, List<Rect> list) {
            view.setSystemGestureExclusionRects(list);
        }
    }

    /* access modifiers changed from: private */
    public static class r {
        static CharSequence a(View view) {
            return view.getStateDescription();
        }

        static void b(View view, CharSequence charSequence) {
            view.setStateDescription(charSequence);
        }
    }

    /* access modifiers changed from: private */
    public static final class s {
        public static String[] a(View view) {
            return view.getReceiveContentMimeTypes();
        }

        public static c b(View view, c cVar) {
            ContentInfo f5 = cVar.f();
            ContentInfo performReceiveContent = view.performReceiveContent(f5);
            if (performReceiveContent == null) {
                return null;
            }
            return performReceiveContent == f5 ? cVar : c.g(performReceiveContent);
        }

        public static void c(View view, String[] strArr, v vVar) {
            if (vVar == null) {
                view.setOnReceiveContentListener(strArr, null);
            } else {
                view.setOnReceiveContentListener(strArr, new t(vVar));
            }
        }
    }

    private static final class t implements OnReceiveContentListener {

        /* renamed from: a  reason: collision with root package name */
        private final v f1977a;

        t(v vVar) {
            this.f1977a = vVar;
        }

        public ContentInfo onReceiveContent(View view, ContentInfo contentInfo) {
            c g5 = c.g(contentInfo);
            c a5 = this.f1977a.a(view, g5);
            if (a5 == null) {
                return null;
            }
            return a5 == g5 ? contentInfo : a5.f();
        }
    }

    public interface u {
        boolean onUnhandledKeyEvent(View view, KeyEvent keyEvent);
    }

    /* access modifiers changed from: package-private */
    public static class v {

        /* renamed from: d  reason: collision with root package name */
        private static final ArrayList<WeakReference<View>> f1978d = new ArrayList<>();

        /* renamed from: a  reason: collision with root package name */
        private WeakHashMap<View, Boolean> f1979a = null;

        /* renamed from: b  reason: collision with root package name */
        private SparseArray<WeakReference<View>> f1980b = null;

        /* renamed from: c  reason: collision with root package name */
        private WeakReference<KeyEvent> f1981c = null;

        v() {
        }

        static v a(View view) {
            int i5 = w.b.R;
            v vVar = (v) view.getTag(i5);
            if (vVar != null) {
                return vVar;
            }
            v vVar2 = new v();
            view.setTag(i5, vVar2);
            return vVar2;
        }

        private View c(View view, KeyEvent keyEvent) {
            WeakHashMap<View, Boolean> weakHashMap = this.f1979a;
            if (weakHashMap != null && weakHashMap.containsKey(view)) {
                if (view instanceof ViewGroup) {
                    ViewGroup viewGroup = (ViewGroup) view;
                    for (int childCount = viewGroup.getChildCount() - 1; childCount >= 0; childCount--) {
                        View c5 = c(viewGroup.getChildAt(childCount), keyEvent);
                        if (c5 != null) {
                            return c5;
                        }
                    }
                }
                if (e(view, keyEvent)) {
                    return view;
                }
            }
            return null;
        }

        private SparseArray<WeakReference<View>> d() {
            if (this.f1980b == null) {
                this.f1980b = new SparseArray<>();
            }
            return this.f1980b;
        }

        private boolean e(View view, KeyEvent keyEvent) {
            ArrayList arrayList = (ArrayList) view.getTag(w.b.S);
            if (arrayList == null) {
                return false;
            }
            for (int size = arrayList.size() - 1; size >= 0; size--) {
                if (((u) arrayList.get(size)).onUnhandledKeyEvent(view, keyEvent)) {
                    return true;
                }
            }
            return false;
        }

        private void g() {
            WeakHashMap<View, Boolean> weakHashMap = this.f1979a;
            if (weakHashMap != null) {
                weakHashMap.clear();
            }
            ArrayList<WeakReference<View>> arrayList = f1978d;
            if (!arrayList.isEmpty()) {
                synchronized (arrayList) {
                    if (this.f1979a == null) {
                        this.f1979a = new WeakHashMap<>();
                    }
                    for (int size = arrayList.size() - 1; size >= 0; size--) {
                        ArrayList<WeakReference<View>> arrayList2 = f1978d;
                        View view = arrayList2.get(size).get();
                        if (view == null) {
                            arrayList2.remove(size);
                        } else {
                            this.f1979a.put(view, Boolean.TRUE);
                            for (ViewParent parent = view.getParent(); parent instanceof View; parent = parent.getParent()) {
                                this.f1979a.put((View) parent, Boolean.TRUE);
                            }
                        }
                    }
                }
            }
        }

        /* access modifiers changed from: package-private */
        public boolean b(View view, KeyEvent keyEvent) {
            if (keyEvent.getAction() == 0) {
                g();
            }
            View c5 = c(view, keyEvent);
            if (keyEvent.getAction() == 0) {
                int keyCode = keyEvent.getKeyCode();
                if (c5 != null && !KeyEvent.isModifierKey(keyCode)) {
                    d().put(keyCode, new WeakReference<>(c5));
                }
            }
            return c5 != null;
        }

        /* access modifiers changed from: package-private */
        public boolean f(KeyEvent keyEvent) {
            int indexOfKey;
            WeakReference<KeyEvent> weakReference = this.f1981c;
            if (weakReference != null && weakReference.get() == keyEvent) {
                return false;
            }
            this.f1981c = new WeakReference<>(keyEvent);
            WeakReference<View> weakReference2 = null;
            SparseArray<WeakReference<View>> d5 = d();
            if (keyEvent.getAction() == 1 && (indexOfKey = d5.indexOfKey(keyEvent.getKeyCode())) >= 0) {
                weakReference2 = d5.valueAt(indexOfKey);
                d5.removeAt(indexOfKey);
            }
            if (weakReference2 == null) {
                weakReference2 = d5.get(keyEvent.getKeyCode());
            }
            if (weakReference2 == null) {
                return false;
            }
            View view = weakReference2.get();
            if (view != null && a0.L(view)) {
                e(view, keyEvent);
            }
            return true;
        }
    }

    public static String[] A(View view) {
        return Build.VERSION.SDK_INT >= 31 ? s.a(view) : (String[]) view.getTag(w.b.N);
    }

    public static int B(View view) {
        return Build.VERSION.SDK_INT >= 17 ? i.e(view) : view.getPaddingRight();
    }

    public static int C(View view) {
        return Build.VERSION.SDK_INT >= 17 ? i.f(view) : view.getPaddingLeft();
    }

    public static j0 D(View view) {
        int i5 = Build.VERSION.SDK_INT;
        if (i5 >= 23) {
            return n.a(view);
        }
        if (i5 >= 21) {
            return m.j(view);
        }
        return null;
    }

    public static CharSequence E(View view) {
        return r0().f(view);
    }

    public static String F(View view) {
        if (Build.VERSION.SDK_INT >= 21) {
            return m.k(view);
        }
        WeakHashMap<View, String> weakHashMap = f1961f;
        if (weakHashMap == null) {
            return null;
        }
        return weakHashMap.get(view);
    }

    @Deprecated
    public static int G(View view) {
        if (Build.VERSION.SDK_INT >= 16) {
            return h.g(view);
        }
        return 0;
    }

    public static boolean H(View view) {
        if (Build.VERSION.SDK_INT >= 15) {
            return g.a(view);
        }
        return false;
    }

    public static boolean I(View view) {
        if (Build.VERSION.SDK_INT >= 16) {
            return h.h(view);
        }
        return true;
    }

    public static boolean J(View view) {
        if (Build.VERSION.SDK_INT >= 16) {
            return h.i(view);
        }
        return false;
    }

    public static boolean K(View view) {
        Boolean f5 = b().f(view);
        return f5 != null && f5.booleanValue();
    }

    public static boolean L(View view) {
        return Build.VERSION.SDK_INT >= 19 ? k.b(view) : view.getWindowToken() != null;
    }

    public static boolean M(View view) {
        return Build.VERSION.SDK_INT >= 19 ? k.c(view) : view.getWidth() > 0 && view.getHeight() > 0;
    }

    public static boolean N(View view) {
        Boolean f5 = a0().f(view);
        return f5 != null && f5.booleanValue();
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ c O(c cVar) {
        return cVar;
    }

    static void P(View view, int i5) {
        AccessibilityManager accessibilityManager = (AccessibilityManager) view.getContext().getSystemService("accessibility");
        if (accessibilityManager.isEnabled()) {
            boolean z4 = o(view) != null && view.getVisibility() == 0;
            int i6 = 32;
            if (n(view) != 0 || z4) {
                AccessibilityEvent obtain = AccessibilityEvent.obtain();
                if (!z4) {
                    i6 = 2048;
                }
                obtain.setEventType(i6);
                k.g(obtain, i5);
                if (z4) {
                    obtain.getText().add(o(view));
                    q0(view);
                }
                view.sendAccessibilityEventUnchecked(obtain);
            } else if (i5 == 32) {
                AccessibilityEvent obtain2 = AccessibilityEvent.obtain();
                view.onInitializeAccessibilityEvent(obtain2);
                obtain2.setEventType(32);
                k.g(obtain2, i5);
                obtain2.setSource(view);
                view.onPopulateAccessibilityEvent(obtain2);
                obtain2.getText().add(o(view));
                accessibilityManager.sendAccessibilityEvent(obtain2);
            } else if (view.getParent() != null) {
                try {
                    k.e(view.getParent(), view, view, i5);
                } catch (AbstractMethodError e5) {
                    Log.e("ViewCompat", view.getParent().getClass().getSimpleName() + " does not fully implement ViewParent", e5);
                }
            }
        }
    }

    public static void Q(View view, int i5) {
        int i6 = Build.VERSION.SDK_INT;
        if (i6 >= 23) {
            view.offsetLeftAndRight(i5);
        } else if (i6 >= 21) {
            Rect t5 = t();
            boolean z4 = false;
            ViewParent parent = view.getParent();
            if (parent instanceof View) {
                View view2 = (View) parent;
                t5.set(view2.getLeft(), view2.getTop(), view2.getRight(), view2.getBottom());
                z4 = !t5.intersects(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
            }
            d(view, i5);
            if (z4 && t5.intersect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom())) {
                ((View) parent).invalidate(t5);
            }
        } else {
            d(view, i5);
        }
    }

    public static void R(View view, int i5) {
        int i6 = Build.VERSION.SDK_INT;
        if (i6 >= 23) {
            view.offsetTopAndBottom(i5);
        } else if (i6 >= 21) {
            Rect t5 = t();
            boolean z4 = false;
            ViewParent parent = view.getParent();
            if (parent instanceof View) {
                View view2 = (View) parent;
                t5.set(view2.getLeft(), view2.getTop(), view2.getRight(), view2.getBottom());
                z4 = !t5.intersects(view.getLeft(), view.getTop(), view.getRight(), view.getBottom());
            }
            e(view, i5);
            if (z4 && t5.intersect(view.getLeft(), view.getTop(), view.getRight(), view.getBottom())) {
                ((View) parent).invalidate(t5);
            }
        } else {
            e(view, i5);
        }
    }

    public static j0 S(View view, j0 j0Var) {
        WindowInsets t5;
        if (Build.VERSION.SDK_INT >= 21 && (t5 = j0Var.t()) != null) {
            WindowInsets b5 = l.b(view, t5);
            if (!b5.equals(t5)) {
                return j0.v(b5, view);
            }
        }
        return j0Var;
    }

    private static f<CharSequence> T() {
        return new b(w.b.K, CharSequence.class, 8, 28);
    }

    public static c U(View view, c cVar) {
        if (Log.isLoggable("ViewCompat", 3)) {
            Log.d("ViewCompat", "performReceiveContent: " + cVar + ", view=" + view.getClass().getSimpleName() + "[" + view.getId() + "]");
        }
        if (Build.VERSION.SDK_INT >= 31) {
            return s.b(view, cVar);
        }
        v vVar = (v) view.getTag(w.b.M);
        if (vVar == null) {
            return u(view).a(cVar);
        }
        c a5 = vVar.a(view, cVar);
        if (a5 == null) {
            return null;
        }
        return u(view).a(a5);
    }

    public static void V(View view) {
        if (Build.VERSION.SDK_INT >= 16) {
            h.k(view);
        } else {
            view.postInvalidate();
        }
    }

    public static void W(View view, Runnable runnable) {
        if (Build.VERSION.SDK_INT >= 16) {
            h.m(view, runnable);
        } else {
            view.postDelayed(runnable, ValueAnimator.getFrameDelay());
        }
    }

    public static void X(View view, Runnable runnable, long j5) {
        if (Build.VERSION.SDK_INT >= 16) {
            h.n(view, runnable, j5);
        } else {
            view.postDelayed(runnable, ValueAnimator.getFrameDelay() + j5);
        }
    }

    public static void Y(View view) {
        int i5 = Build.VERSION.SDK_INT;
        if (i5 >= 20) {
            l.c(view);
        } else if (i5 >= 16) {
            h.p(view);
        }
    }

    public static void Z(View view, Context context, int[] iArr, AttributeSet attributeSet, TypedArray typedArray, int i5, int i6) {
        if (Build.VERSION.SDK_INT >= 29) {
            q.c(view, context, iArr, attributeSet, typedArray, i5, i6);
        }
    }

    private static f<Boolean> a0() {
        return new a(w.b.O, Boolean.class, 28);
    }

    private static f<Boolean> b() {
        return new d(w.b.J, Boolean.class, 28);
    }

    public static void b0(View view, a aVar) {
        if (aVar == null && (l(view) instanceof a.C0021a)) {
            aVar = new a();
        }
        view.setAccessibilityDelegate(aVar == null ? null : aVar.d());
    }

    public static f0 c(View view) {
        if (f1962g == null) {
            f1962g = new WeakHashMap<>();
        }
        f0 f0Var = f1962g.get(view);
        if (f0Var != null) {
            return f0Var;
        }
        f0 f0Var2 = new f0(view);
        f1962g.put(view, f0Var2);
        return f0Var2;
    }

    public static void c0(View view, boolean z4) {
        b().g(view, Boolean.valueOf(z4));
    }

    private static void d(View view, int i5) {
        view.offsetLeftAndRight(i5);
        if (view.getVisibility() == 0) {
            t0(view);
            ViewParent parent = view.getParent();
            if (parent instanceof View) {
                t0((View) parent);
            }
        }
    }

    public static void d0(View view, CharSequence charSequence) {
        if (Build.VERSION.SDK_INT >= 19) {
            T().g(view, charSequence);
            if (charSequence != null) {
                f1968m.a(view);
            } else {
                f1968m.d(view);
            }
        }
    }

    private static void e(View view, int i5) {
        view.offsetTopAndBottom(i5);
        if (view.getVisibility() == 0) {
            t0(view);
            ViewParent parent = view.getParent();
            if (parent instanceof View) {
                t0((View) parent);
            }
        }
    }

    public static void e0(View view, Drawable drawable) {
        if (Build.VERSION.SDK_INT >= 16) {
            h.q(view, drawable);
        } else {
            view.setBackgroundDrawable(drawable);
        }
    }

    public static j0 f(View view, j0 j0Var, Rect rect) {
        return Build.VERSION.SDK_INT >= 21 ? m.b(view, j0Var, rect) : j0Var;
    }

    public static void f0(View view, ColorStateList colorStateList) {
        int i5 = Build.VERSION.SDK_INT;
        if (i5 >= 21) {
            m.q(view, colorStateList);
            if (i5 == 21) {
                Drawable background = view.getBackground();
                boolean z4 = (m.g(view) == null && m.h(view) == null) ? false : true;
                if (background != null && z4) {
                    if (background.isStateful()) {
                        background.setState(view.getDrawableState());
                    }
                    h.q(view, background);
                }
            }
        } else if (view instanceof y) {
            ((y) view).setSupportBackgroundTintList(colorStateList);
        }
    }

    public static j0 g(View view, j0 j0Var) {
        WindowInsets t5;
        if (Build.VERSION.SDK_INT >= 21 && (t5 = j0Var.t()) != null) {
            WindowInsets a5 = l.a(view, t5);
            if (!a5.equals(t5)) {
                return j0.v(a5, view);
            }
        }
        return j0Var;
    }

    public static void g0(View view, PorterDuff.Mode mode) {
        int i5 = Build.VERSION.SDK_INT;
        if (i5 >= 21) {
            m.r(view, mode);
            if (i5 == 21) {
                Drawable background = view.getBackground();
                boolean z4 = (m.g(view) == null && m.h(view) == null) ? false : true;
                if (background != null && z4) {
                    if (background.isStateful()) {
                        background.setState(view.getDrawableState());
                    }
                    h.q(view, background);
                }
            }
        } else if (view instanceof y) {
            ((y) view).setSupportBackgroundTintMode(mode);
        }
    }

    static boolean h(View view, KeyEvent keyEvent) {
        if (Build.VERSION.SDK_INT >= 28) {
            return false;
        }
        return v.a(view).b(view, keyEvent);
    }

    public static void h0(View view, Rect rect) {
        if (Build.VERSION.SDK_INT >= 18) {
            j.c(view, rect);
        }
    }

    static boolean i(View view, KeyEvent keyEvent) {
        if (Build.VERSION.SDK_INT >= 28) {
            return false;
        }
        return v.a(view).f(keyEvent);
    }

    public static void i0(View view, float f5) {
        if (Build.VERSION.SDK_INT >= 21) {
            m.s(view, f5);
        }
    }

    static void j(View view) {
        a k5 = k(view);
        if (k5 == null) {
            k5 = new a();
        }
        b0(view, k5);
    }

    public static void j0(View view, boolean z4) {
        if (Build.VERSION.SDK_INT >= 16) {
            h.r(view, z4);
        }
    }

    public static a k(View view) {
        View.AccessibilityDelegate l5 = l(view);
        if (l5 == null) {
            return null;
        }
        return l5 instanceof a.C0021a ? ((a.C0021a) l5).f1955a : new a(l5);
    }

    public static void k0(View view, int i5) {
        int i6 = Build.VERSION.SDK_INT;
        if (i6 < 19) {
            if (i6 < 16) {
                return;
            }
            if (i5 == 4) {
                i5 = 2;
            }
        }
        h.s(view, i5);
    }

    private static View.AccessibilityDelegate l(View view) {
        return Build.VERSION.SDK_INT >= 29 ? q.a(view) : m(view);
    }

    public static void l0(View view, int i5) {
        if (Build.VERSION.SDK_INT >= 26) {
            o.l(view, i5);
        }
    }

    private static View.AccessibilityDelegate m(View view) {
        if (f1964i) {
            return null;
        }
        if (f1963h == null) {
            try {
                Field declaredField = View.class.getDeclaredField("mAccessibilityDelegate");
                f1963h = declaredField;
                declaredField.setAccessible(true);
            } catch (Throwable unused) {
                f1964i = true;
                return null;
            }
        }
        try {
            Object obj = f1963h.get(view);
            if (obj instanceof View.AccessibilityDelegate) {
                return (View.AccessibilityDelegate) obj;
            }
            return null;
        } catch (Throwable unused2) {
            f1964i = true;
            return null;
        }
    }

    public static void m0(View view, u uVar) {
        if (Build.VERSION.SDK_INT >= 21) {
            m.u(view, uVar);
        }
    }

    public static int n(View view) {
        if (Build.VERSION.SDK_INT >= 19) {
            return k.a(view);
        }
        return 0;
    }

    public static void n0(View view, boolean z4) {
        a0().g(view, Boolean.valueOf(z4));
    }

    public static CharSequence o(View view) {
        return T().f(view);
    }

    public static void o0(View view, int i5, int i6) {
        if (Build.VERSION.SDK_INT >= 23) {
            n.d(view, i5, i6);
        }
    }

    public static ColorStateList p(View view) {
        if (Build.VERSION.SDK_INT >= 21) {
            return m.g(view);
        }
        if (view instanceof y) {
            return ((y) view).getSupportBackgroundTintList();
        }
        return null;
    }

    public static void p0(View view, String str) {
        if (Build.VERSION.SDK_INT >= 21) {
            m.v(view, str);
            return;
        }
        if (f1961f == null) {
            f1961f = new WeakHashMap<>();
        }
        f1961f.put(view, str);
    }

    public static PorterDuff.Mode q(View view) {
        if (Build.VERSION.SDK_INT >= 21) {
            return m.h(view);
        }
        if (view instanceof y) {
            return ((y) view).getSupportBackgroundTintMode();
        }
        return null;
    }

    private static void q0(View view) {
        if (v(view) == 0) {
            k0(view, 1);
        }
        for (ViewParent parent = view.getParent(); parent instanceof View; parent = parent.getParent()) {
            if (v((View) parent) == 4) {
                k0(view, 2);
                return;
            }
        }
    }

    public static Rect r(View view) {
        if (Build.VERSION.SDK_INT >= 18) {
            return j.a(view);
        }
        return null;
    }

    private static f<CharSequence> r0() {
        return new c(w.b.P, CharSequence.class, 64, 30);
    }

    public static Display s(View view) {
        if (Build.VERSION.SDK_INT >= 17) {
            return i.b(view);
        }
        if (L(view)) {
            return ((WindowManager) view.getContext().getSystemService("window")).getDefaultDisplay();
        }
        return null;
    }

    public static void s0(View view) {
        if (Build.VERSION.SDK_INT >= 21) {
            m.z(view);
        } else if (view instanceof o) {
            ((o) view).stopNestedScroll();
        }
    }

    private static Rect t() {
        if (f1965j == null) {
            f1965j = new ThreadLocal<>();
        }
        Rect rect = f1965j.get();
        if (rect == null) {
            rect = new Rect();
            f1965j.set(rect);
        }
        rect.setEmpty();
        return rect;
    }

    private static void t0(View view) {
        float translationY = view.getTranslationY();
        view.setTranslationY(1.0f + translationY);
        view.setTranslationY(translationY);
    }

    private static w u(View view) {
        return view instanceof w ? (w) view : f1967l;
    }

    public static int v(View view) {
        if (Build.VERSION.SDK_INT >= 16) {
            return h.c(view);
        }
        return 0;
    }

    public static int w(View view) {
        if (Build.VERSION.SDK_INT >= 26) {
            return o.b(view);
        }
        return 0;
    }

    public static int x(View view) {
        if (Build.VERSION.SDK_INT >= 17) {
            return i.d(view);
        }
        return 0;
    }

    public static int y(View view) {
        if (Build.VERSION.SDK_INT >= 16) {
            return h.d(view);
        }
        if (!f1960e) {
            try {
                Field declaredField = View.class.getDeclaredField("mMinHeight");
                f1959d = declaredField;
                declaredField.setAccessible(true);
            } catch (NoSuchFieldException unused) {
            }
            f1960e = true;
        }
        Field field = f1959d;
        if (field == null) {
            return 0;
        }
        try {
            return ((Integer) field.get(view)).intValue();
        } catch (Exception unused2) {
            return 0;
        }
    }

    public static int z(View view) {
        if (Build.VERSION.SDK_INT >= 16) {
            return h.e(view);
        }
        if (!f1958c) {
            try {
                Field declaredField = View.class.getDeclaredField("mMinWidth");
                f1957b = declaredField;
                declaredField.setAccessible(true);
            } catch (NoSuchFieldException unused) {
            }
            f1958c = true;
        }
        Field field = f1957b;
        if (field == null) {
            return 0;
        }
        try {
            return ((Integer) field.get(view)).intValue();
        } catch (Exception unused2) {
            return 0;
        }
    }
}
