package androidx.core.view;

import android.graphics.Rect;
import android.os.Build;
import android.util.Log;
import android.view.View;
import android.view.WindowInsets;
import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.util.Objects;

public class j0 {

    /* renamed from: b  reason: collision with root package name */
    public static final j0 f2025b = (Build.VERSION.SDK_INT >= 30 ? k.f2055q : l.f2056b);

    /* renamed from: a  reason: collision with root package name */
    private final l f2026a;

    /* access modifiers changed from: package-private */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        private static Field f2027a;

        /* renamed from: b  reason: collision with root package name */
        private static Field f2028b;

        /* renamed from: c  reason: collision with root package name */
        private static Field f2029c;

        /* renamed from: d  reason: collision with root package name */
        private static boolean f2030d = true;

        static {
            try {
                Field declaredField = View.class.getDeclaredField("mAttachInfo");
                f2027a = declaredField;
                declaredField.setAccessible(true);
                Class<?> cls = Class.forName("android.view.View$AttachInfo");
                Field declaredField2 = cls.getDeclaredField("mStableInsets");
                f2028b = declaredField2;
                declaredField2.setAccessible(true);
                Field declaredField3 = cls.getDeclaredField("mContentInsets");
                f2029c = declaredField3;
                declaredField3.setAccessible(true);
            } catch (ReflectiveOperationException e5) {
                Log.w("WindowInsetsCompat", "Failed to get visible insets from AttachInfo " + e5.getMessage(), e5);
            }
        }

        public static j0 a(View view) {
            if (f2030d && view.isAttachedToWindow()) {
                try {
                    Object obj = f2027a.get(view.getRootView());
                    if (obj != null) {
                        Rect rect = (Rect) f2028b.get(obj);
                        Rect rect2 = (Rect) f2029c.get(obj);
                        if (!(rect == null || rect2 == null)) {
                            j0 a5 = new b().b(y.e.c(rect)).c(y.e.c(rect2)).a();
                            a5.r(a5);
                            a5.d(view.getRootView());
                            return a5;
                        }
                    }
                } catch (IllegalAccessException e5) {
                    Log.w("WindowInsetsCompat", "Failed to get insets from AttachInfo. " + e5.getMessage(), e5);
                }
            }
            return null;
        }
    }

    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        private final f f2031a;

        public b() {
            int i5 = Build.VERSION.SDK_INT;
            this.f2031a = i5 >= 30 ? new e() : i5 >= 29 ? new d() : i5 >= 20 ? new c() : new f();
        }

        public b(j0 j0Var) {
            int i5 = Build.VERSION.SDK_INT;
            this.f2031a = i5 >= 30 ? new e(j0Var) : i5 >= 29 ? new d(j0Var) : i5 >= 20 ? new c(j0Var) : new f(j0Var);
        }

        public j0 a() {
            return this.f2031a.b();
        }

        @Deprecated
        public b b(y.e eVar) {
            this.f2031a.d(eVar);
            return this;
        }

        @Deprecated
        public b c(y.e eVar) {
            this.f2031a.f(eVar);
            return this;
        }
    }

    private static class c extends f {

        /* renamed from: e  reason: collision with root package name */
        private static Field f2032e = null;

        /* renamed from: f  reason: collision with root package name */
        private static boolean f2033f = false;

        /* renamed from: g  reason: collision with root package name */
        private static Constructor<WindowInsets> f2034g = null;

        /* renamed from: h  reason: collision with root package name */
        private static boolean f2035h = false;

        /* renamed from: c  reason: collision with root package name */
        private WindowInsets f2036c;

        /* renamed from: d  reason: collision with root package name */
        private y.e f2037d;

        c() {
            this.f2036c = h();
        }

        c(j0 j0Var) {
            super(j0Var);
            this.f2036c = j0Var.t();
        }

        private static WindowInsets h() {
            if (!f2033f) {
                try {
                    f2032e = WindowInsets.class.getDeclaredField("CONSUMED");
                } catch (ReflectiveOperationException e5) {
                    Log.i("WindowInsetsCompat", "Could not retrieve WindowInsets.CONSUMED field", e5);
                }
                f2033f = true;
            }
            Field field = f2032e;
            if (field != null) {
                try {
                    WindowInsets windowInsets = (WindowInsets) field.get(null);
                    if (windowInsets != null) {
                        return new WindowInsets(windowInsets);
                    }
                } catch (ReflectiveOperationException e6) {
                    Log.i("WindowInsetsCompat", "Could not get value from WindowInsets.CONSUMED field", e6);
                }
            }
            if (!f2035h) {
                try {
                    f2034g = WindowInsets.class.getConstructor(Rect.class);
                } catch (ReflectiveOperationException e7) {
                    Log.i("WindowInsetsCompat", "Could not retrieve WindowInsets(Rect) constructor", e7);
                }
                f2035h = true;
            }
            Constructor<WindowInsets> constructor = f2034g;
            if (constructor != null) {
                try {
                    return constructor.newInstance(new Rect());
                } catch (ReflectiveOperationException e8) {
                    Log.i("WindowInsetsCompat", "Could not invoke WindowInsets(Rect) constructor", e8);
                }
            }
            return null;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.f
        public j0 b() {
            a();
            j0 u5 = j0.u(this.f2036c);
            u5.p(this.f2040b);
            u5.s(this.f2037d);
            return u5;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.f
        public void d(y.e eVar) {
            this.f2037d = eVar;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.f
        public void f(y.e eVar) {
            WindowInsets windowInsets = this.f2036c;
            if (windowInsets != null) {
                this.f2036c = windowInsets.replaceSystemWindowInsets(eVar.f8030a, eVar.f8031b, eVar.f8032c, eVar.f8033d);
            }
        }
    }

    private static class d extends f {

        /* renamed from: c  reason: collision with root package name */
        final WindowInsets.Builder f2038c;

        d() {
            this.f2038c = new WindowInsets.Builder();
        }

        d(j0 j0Var) {
            super(j0Var);
            WindowInsets.Builder builder;
            if (j0Var.t() == null) {
                builder = new WindowInsets.Builder();
            }
            this.f2038c = builder;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.f
        public j0 b() {
            a();
            j0 u5 = j0.u(this.f2038c.build());
            u5.p(this.f2040b);
            return u5;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.f
        public void c(y.e eVar) {
            this.f2038c.setMandatorySystemGestureInsets(eVar.e());
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.f
        public void d(y.e eVar) {
            this.f2038c.setStableInsets(eVar.e());
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.f
        public void e(y.e eVar) {
            this.f2038c.setSystemGestureInsets(eVar.e());
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.f
        public void f(y.e eVar) {
            this.f2038c.setSystemWindowInsets(eVar.e());
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.f
        public void g(y.e eVar) {
            this.f2038c.setTappableElementInsets(eVar.e());
        }
    }

    private static class e extends d {
        e() {
        }

        e(j0 j0Var) {
            super(j0Var);
        }
    }

    /* access modifiers changed from: private */
    public static class f {

        /* renamed from: a  reason: collision with root package name */
        private final j0 f2039a;

        /* renamed from: b  reason: collision with root package name */
        y.e[] f2040b;

        f() {
            this(new j0((j0) null));
        }

        f(j0 j0Var) {
            this.f2039a = j0Var;
        }

        /* access modifiers changed from: protected */
        public final void a() {
            y.e[] eVarArr = this.f2040b;
            if (eVarArr != null) {
                y.e eVar = eVarArr[m.a(1)];
                y.e eVar2 = this.f2040b[m.a(2)];
                if (eVar2 == null) {
                    eVar2 = this.f2039a.f(2);
                }
                if (eVar == null) {
                    eVar = this.f2039a.f(1);
                }
                f(y.e.a(eVar, eVar2));
                y.e eVar3 = this.f2040b[m.a(16)];
                if (eVar3 != null) {
                    e(eVar3);
                }
                y.e eVar4 = this.f2040b[m.a(32)];
                if (eVar4 != null) {
                    c(eVar4);
                }
                y.e eVar5 = this.f2040b[m.a(64)];
                if (eVar5 != null) {
                    g(eVar5);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public j0 b() {
            a();
            return this.f2039a;
        }

        /* access modifiers changed from: package-private */
        public void c(y.e eVar) {
        }

        /* access modifiers changed from: package-private */
        public void d(y.e eVar) {
        }

        /* access modifiers changed from: package-private */
        public void e(y.e eVar) {
        }

        /* access modifiers changed from: package-private */
        public void f(y.e eVar) {
        }

        /* access modifiers changed from: package-private */
        public void g(y.e eVar) {
        }
    }

    /* access modifiers changed from: private */
    public static class g extends l {

        /* renamed from: h  reason: collision with root package name */
        private static boolean f2041h = false;

        /* renamed from: i  reason: collision with root package name */
        private static Method f2042i;

        /* renamed from: j  reason: collision with root package name */
        private static Class<?> f2043j;

        /* renamed from: k  reason: collision with root package name */
        private static Field f2044k;

        /* renamed from: l  reason: collision with root package name */
        private static Field f2045l;

        /* renamed from: c  reason: collision with root package name */
        final WindowInsets f2046c;

        /* renamed from: d  reason: collision with root package name */
        private y.e[] f2047d;

        /* renamed from: e  reason: collision with root package name */
        private y.e f2048e;

        /* renamed from: f  reason: collision with root package name */
        private j0 f2049f;

        /* renamed from: g  reason: collision with root package name */
        y.e f2050g;

        g(j0 j0Var, WindowInsets windowInsets) {
            super(j0Var);
            this.f2048e = null;
            this.f2046c = windowInsets;
        }

        g(j0 j0Var, g gVar) {
            this(j0Var, new WindowInsets(gVar.f2046c));
        }

        private y.e t(int i5, boolean z4) {
            y.e eVar = y.e.f8029e;
            for (int i6 = 1; i6 <= 256; i6 <<= 1) {
                if ((i5 & i6) != 0) {
                    eVar = y.e.a(eVar, u(i6, z4));
                }
            }
            return eVar;
        }

        private y.e v() {
            j0 j0Var = this.f2049f;
            return j0Var != null ? j0Var.g() : y.e.f8029e;
        }

        private y.e w(View view) {
            if (Build.VERSION.SDK_INT < 30) {
                if (!f2041h) {
                    x();
                }
                Method method = f2042i;
                if (!(method == null || f2043j == null || f2044k == null)) {
                    try {
                        Object invoke = method.invoke(view, new Object[0]);
                        if (invoke == null) {
                            Log.w("WindowInsetsCompat", "Failed to get visible insets. getViewRootImpl() returned null from the provided view. This means that the view is either not attached or the method has been overridden", new NullPointerException());
                            return null;
                        }
                        Rect rect = (Rect) f2044k.get(f2045l.get(invoke));
                        if (rect != null) {
                            return y.e.c(rect);
                        }
                        return null;
                    } catch (ReflectiveOperationException e5) {
                        Log.e("WindowInsetsCompat", "Failed to get visible insets. (Reflection error). " + e5.getMessage(), e5);
                    }
                }
                return null;
            }
            throw new UnsupportedOperationException("getVisibleInsets() should not be called on API >= 30. Use WindowInsets.isVisible() instead.");
        }

        private static void x() {
            try {
                f2042i = View.class.getDeclaredMethod("getViewRootImpl", new Class[0]);
                Class<?> cls = Class.forName("android.view.View$AttachInfo");
                f2043j = cls;
                f2044k = cls.getDeclaredField("mVisibleInsets");
                f2045l = Class.forName("android.view.ViewRootImpl").getDeclaredField("mAttachInfo");
                f2044k.setAccessible(true);
                f2045l.setAccessible(true);
            } catch (ReflectiveOperationException e5) {
                Log.e("WindowInsetsCompat", "Failed to get visible insets. (Reflection error). " + e5.getMessage(), e5);
            }
            f2041h = true;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.l
        public void d(View view) {
            y.e w5 = w(view);
            if (w5 == null) {
                w5 = y.e.f8029e;
            }
            q(w5);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.l
        public void e(j0 j0Var) {
            j0Var.r(this.f2049f);
            j0Var.q(this.f2050g);
        }

        @Override // androidx.core.view.j0.l
        public boolean equals(Object obj) {
            if (!super.equals(obj)) {
                return false;
            }
            return Objects.equals(this.f2050g, ((g) obj).f2050g);
        }

        @Override // androidx.core.view.j0.l
        public y.e g(int i5) {
            return t(i5, false);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.l
        public final y.e k() {
            if (this.f2048e == null) {
                this.f2048e = y.e.b(this.f2046c.getSystemWindowInsetLeft(), this.f2046c.getSystemWindowInsetTop(), this.f2046c.getSystemWindowInsetRight(), this.f2046c.getSystemWindowInsetBottom());
            }
            return this.f2048e;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.l
        public j0 m(int i5, int i6, int i7, int i8) {
            b bVar = new b(j0.u(this.f2046c));
            bVar.c(j0.m(k(), i5, i6, i7, i8));
            bVar.b(j0.m(i(), i5, i6, i7, i8));
            return bVar.a();
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.l
        public boolean o() {
            return this.f2046c.isRound();
        }

        @Override // androidx.core.view.j0.l
        public void p(y.e[] eVarArr) {
            this.f2047d = eVarArr;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.l
        public void q(y.e eVar) {
            this.f2050g = eVar;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.l
        public void r(j0 j0Var) {
            this.f2049f = j0Var;
        }

        /* access modifiers changed from: protected */
        public y.e u(int i5, boolean z4) {
            int i6;
            if (i5 == 1) {
                return z4 ? y.e.b(0, Math.max(v().f8031b, k().f8031b), 0, 0) : y.e.b(0, k().f8031b, 0, 0);
            }
            y.e eVar = null;
            if (i5 != 2) {
                if (i5 == 8) {
                    y.e[] eVarArr = this.f2047d;
                    if (eVarArr != null) {
                        eVar = eVarArr[m.a(8)];
                    }
                    if (eVar != null) {
                        return eVar;
                    }
                    y.e k5 = k();
                    y.e v5 = v();
                    int i7 = k5.f8033d;
                    if (i7 > v5.f8033d) {
                        return y.e.b(0, 0, 0, i7);
                    }
                    y.e eVar2 = this.f2050g;
                    return (eVar2 == null || eVar2.equals(y.e.f8029e) || (i6 = this.f2050g.f8033d) <= v5.f8033d) ? y.e.f8029e : y.e.b(0, 0, 0, i6);
                } else if (i5 == 16) {
                    return j();
                } else {
                    if (i5 == 32) {
                        return h();
                    }
                    if (i5 == 64) {
                        return l();
                    }
                    if (i5 != 128) {
                        return y.e.f8029e;
                    }
                    j0 j0Var = this.f2049f;
                    d e5 = j0Var != null ? j0Var.e() : f();
                    return e5 != null ? y.e.b(e5.b(), e5.d(), e5.c(), e5.a()) : y.e.f8029e;
                }
            } else if (z4) {
                y.e v6 = v();
                y.e i8 = i();
                return y.e.b(Math.max(v6.f8030a, i8.f8030a), 0, Math.max(v6.f8032c, i8.f8032c), Math.max(v6.f8033d, i8.f8033d));
            } else {
                y.e k6 = k();
                j0 j0Var2 = this.f2049f;
                if (j0Var2 != null) {
                    eVar = j0Var2.g();
                }
                int i9 = k6.f8033d;
                if (eVar != null) {
                    i9 = Math.min(i9, eVar.f8033d);
                }
                return y.e.b(k6.f8030a, 0, k6.f8032c, i9);
            }
        }
    }

    private static class h extends g {

        /* renamed from: m  reason: collision with root package name */
        private y.e f2051m = null;

        h(j0 j0Var, WindowInsets windowInsets) {
            super(j0Var, windowInsets);
        }

        h(j0 j0Var, h hVar) {
            super(j0Var, hVar);
            this.f2051m = hVar.f2051m;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.l
        public j0 b() {
            return j0.u(this.f2046c.consumeStableInsets());
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.l
        public j0 c() {
            return j0.u(this.f2046c.consumeSystemWindowInsets());
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.l
        public final y.e i() {
            if (this.f2051m == null) {
                this.f2051m = y.e.b(this.f2046c.getStableInsetLeft(), this.f2046c.getStableInsetTop(), this.f2046c.getStableInsetRight(), this.f2046c.getStableInsetBottom());
            }
            return this.f2051m;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.l
        public boolean n() {
            return this.f2046c.isConsumed();
        }

        @Override // androidx.core.view.j0.l
        public void s(y.e eVar) {
            this.f2051m = eVar;
        }
    }

    private static class i extends h {
        i(j0 j0Var, WindowInsets windowInsets) {
            super(j0Var, windowInsets);
        }

        i(j0 j0Var, i iVar) {
            super(j0Var, iVar);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.l
        public j0 a() {
            return j0.u(this.f2046c.consumeDisplayCutout());
        }

        @Override // androidx.core.view.j0.g, androidx.core.view.j0.l
        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (!(obj instanceof i)) {
                return false;
            }
            i iVar = (i) obj;
            return Objects.equals(this.f2046c, iVar.f2046c) && Objects.equals(this.f2050g, iVar.f2050g);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.l
        public d f() {
            return d.e(this.f2046c.getDisplayCutout());
        }

        @Override // androidx.core.view.j0.l
        public int hashCode() {
            return this.f2046c.hashCode();
        }
    }

    private static class j extends i {

        /* renamed from: n  reason: collision with root package name */
        private y.e f2052n = null;

        /* renamed from: o  reason: collision with root package name */
        private y.e f2053o = null;

        /* renamed from: p  reason: collision with root package name */
        private y.e f2054p = null;

        j(j0 j0Var, WindowInsets windowInsets) {
            super(j0Var, windowInsets);
        }

        j(j0 j0Var, j jVar) {
            super(j0Var, jVar);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.l
        public y.e h() {
            if (this.f2053o == null) {
                this.f2053o = y.e.d(this.f2046c.getMandatorySystemGestureInsets());
            }
            return this.f2053o;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.l
        public y.e j() {
            if (this.f2052n == null) {
                this.f2052n = y.e.d(this.f2046c.getSystemGestureInsets());
            }
            return this.f2052n;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.l
        public y.e l() {
            if (this.f2054p == null) {
                this.f2054p = y.e.d(this.f2046c.getTappableElementInsets());
            }
            return this.f2054p;
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.g, androidx.core.view.j0.l
        public j0 m(int i5, int i6, int i7, int i8) {
            return j0.u(this.f2046c.inset(i5, i6, i7, i8));
        }

        @Override // androidx.core.view.j0.h, androidx.core.view.j0.l
        public void s(y.e eVar) {
        }
    }

    private static class k extends j {

        /* renamed from: q  reason: collision with root package name */
        static final j0 f2055q = j0.u(WindowInsets.CONSUMED);

        k(j0 j0Var, WindowInsets windowInsets) {
            super(j0Var, windowInsets);
        }

        k(j0 j0Var, k kVar) {
            super(j0Var, kVar);
        }

        /* access modifiers changed from: package-private */
        @Override // androidx.core.view.j0.g, androidx.core.view.j0.l
        public final void d(View view) {
        }

        @Override // androidx.core.view.j0.g, androidx.core.view.j0.l
        public y.e g(int i5) {
            return y.e.d(this.f2046c.getInsets(n.a(i5)));
        }
    }

    /* access modifiers changed from: private */
    public static class l {

        /* renamed from: b  reason: collision with root package name */
        static final j0 f2056b = new b().a().a().b().c();

        /* renamed from: a  reason: collision with root package name */
        final j0 f2057a;

        l(j0 j0Var) {
            this.f2057a = j0Var;
        }

        /* access modifiers changed from: package-private */
        public j0 a() {
            return this.f2057a;
        }

        /* access modifiers changed from: package-private */
        public j0 b() {
            return this.f2057a;
        }

        /* access modifiers changed from: package-private */
        public j0 c() {
            return this.f2057a;
        }

        /* access modifiers changed from: package-private */
        public void d(View view) {
        }

        /* access modifiers changed from: package-private */
        public void e(j0 j0Var) {
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (!(obj instanceof l)) {
                return false;
            }
            l lVar = (l) obj;
            return o() == lVar.o() && n() == lVar.n() && f0.c.a(k(), lVar.k()) && f0.c.a(i(), lVar.i()) && f0.c.a(f(), lVar.f());
        }

        /* access modifiers changed from: package-private */
        public d f() {
            return null;
        }

        /* access modifiers changed from: package-private */
        public y.e g(int i5) {
            return y.e.f8029e;
        }

        /* access modifiers changed from: package-private */
        public y.e h() {
            return k();
        }

        public int hashCode() {
            return f0.c.b(Boolean.valueOf(o()), Boolean.valueOf(n()), k(), i(), f());
        }

        /* access modifiers changed from: package-private */
        public y.e i() {
            return y.e.f8029e;
        }

        /* access modifiers changed from: package-private */
        public y.e j() {
            return k();
        }

        /* access modifiers changed from: package-private */
        public y.e k() {
            return y.e.f8029e;
        }

        /* access modifiers changed from: package-private */
        public y.e l() {
            return k();
        }

        /* access modifiers changed from: package-private */
        public j0 m(int i5, int i6, int i7, int i8) {
            return f2056b;
        }

        /* access modifiers changed from: package-private */
        public boolean n() {
            return false;
        }

        /* access modifiers changed from: package-private */
        public boolean o() {
            return false;
        }

        public void p(y.e[] eVarArr) {
        }

        /* access modifiers changed from: package-private */
        public void q(y.e eVar) {
        }

        /* access modifiers changed from: package-private */
        public void r(j0 j0Var) {
        }

        public void s(y.e eVar) {
        }
    }

    public static final class m {
        static int a(int i5) {
            if (i5 == 1) {
                return 0;
            }
            if (i5 == 2) {
                return 1;
            }
            if (i5 == 4) {
                return 2;
            }
            if (i5 == 8) {
                return 3;
            }
            if (i5 == 16) {
                return 4;
            }
            if (i5 == 32) {
                return 5;
            }
            if (i5 == 64) {
                return 6;
            }
            if (i5 == 128) {
                return 7;
            }
            if (i5 == 256) {
                return 8;
            }
            throw new IllegalArgumentException("type needs to be >= FIRST and <= LAST, type=" + i5);
        }
    }

    private static final class n {
        static int a(int i5) {
            int i6;
            int i7 = 0;
            for (int i8 = 1; i8 <= 256; i8 <<= 1) {
                if ((i5 & i8) != 0) {
                    if (i8 == 1) {
                        i6 = WindowInsets.Type.statusBars();
                    } else if (i8 == 2) {
                        i6 = WindowInsets.Type.navigationBars();
                    } else if (i8 == 4) {
                        i6 = WindowInsets.Type.captionBar();
                    } else if (i8 == 8) {
                        i6 = WindowInsets.Type.ime();
                    } else if (i8 == 16) {
                        i6 = WindowInsets.Type.systemGestures();
                    } else if (i8 == 32) {
                        i6 = WindowInsets.Type.mandatorySystemGestures();
                    } else if (i8 == 64) {
                        i6 = WindowInsets.Type.tappableElement();
                    } else if (i8 == 128) {
                        i6 = WindowInsets.Type.displayCutout();
                    }
                    i7 |= i6;
                }
            }
            return i7;
        }
    }

    private j0(WindowInsets windowInsets) {
        l gVar;
        int i5 = Build.VERSION.SDK_INT;
        if (i5 >= 30) {
            gVar = new k(this, windowInsets);
        } else if (i5 >= 29) {
            gVar = new j(this, windowInsets);
        } else if (i5 >= 28) {
            gVar = new i(this, windowInsets);
        } else if (i5 >= 21) {
            gVar = new h(this, windowInsets);
        } else if (i5 >= 20) {
            gVar = new g(this, windowInsets);
        } else {
            this.f2026a = new l(this);
            return;
        }
        this.f2026a = gVar;
    }

    public j0(j0 j0Var) {
        if (j0Var != null) {
            l lVar = j0Var.f2026a;
            int i5 = Build.VERSION.SDK_INT;
            this.f2026a = (i5 < 30 || !(lVar instanceof k)) ? (i5 < 29 || !(lVar instanceof j)) ? (i5 < 28 || !(lVar instanceof i)) ? (i5 < 21 || !(lVar instanceof h)) ? (i5 < 20 || !(lVar instanceof g)) ? new l(this) : new g(this, (g) lVar) : new h(this, (h) lVar) : new i(this, (i) lVar) : new j(this, (j) lVar) : new k(this, (k) lVar);
            lVar.e(this);
            return;
        }
        this.f2026a = new l(this);
    }

    static y.e m(y.e eVar, int i5, int i6, int i7, int i8) {
        int max = Math.max(0, eVar.f8030a - i5);
        int max2 = Math.max(0, eVar.f8031b - i6);
        int max3 = Math.max(0, eVar.f8032c - i7);
        int max4 = Math.max(0, eVar.f8033d - i8);
        return (max == i5 && max2 == i6 && max3 == i7 && max4 == i8) ? eVar : y.e.b(max, max2, max3, max4);
    }

    public static j0 u(WindowInsets windowInsets) {
        return v(windowInsets, null);
    }

    public static j0 v(WindowInsets windowInsets, View view) {
        j0 j0Var = new j0((WindowInsets) f0.h.g(windowInsets));
        if (view != null && a0.L(view)) {
            j0Var.r(a0.D(view));
            j0Var.d(view.getRootView());
        }
        return j0Var;
    }

    @Deprecated
    public j0 a() {
        return this.f2026a.a();
    }

    @Deprecated
    public j0 b() {
        return this.f2026a.b();
    }

    @Deprecated
    public j0 c() {
        return this.f2026a.c();
    }

    /* access modifiers changed from: package-private */
    public void d(View view) {
        this.f2026a.d(view);
    }

    public d e() {
        return this.f2026a.f();
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof j0)) {
            return false;
        }
        return f0.c.a(this.f2026a, ((j0) obj).f2026a);
    }

    public y.e f(int i5) {
        return this.f2026a.g(i5);
    }

    @Deprecated
    public y.e g() {
        return this.f2026a.i();
    }

    @Deprecated
    public int h() {
        return this.f2026a.k().f8033d;
    }

    public int hashCode() {
        l lVar = this.f2026a;
        if (lVar == null) {
            return 0;
        }
        return lVar.hashCode();
    }

    @Deprecated
    public int i() {
        return this.f2026a.k().f8030a;
    }

    @Deprecated
    public int j() {
        return this.f2026a.k().f8032c;
    }

    @Deprecated
    public int k() {
        return this.f2026a.k().f8031b;
    }

    public j0 l(int i5, int i6, int i7, int i8) {
        return this.f2026a.m(i5, i6, i7, i8);
    }

    public boolean n() {
        return this.f2026a.n();
    }

    @Deprecated
    public j0 o(int i5, int i6, int i7, int i8) {
        return new b(this).c(y.e.b(i5, i6, i7, i8)).a();
    }

    /* access modifiers changed from: package-private */
    public void p(y.e[] eVarArr) {
        this.f2026a.p(eVarArr);
    }

    /* access modifiers changed from: package-private */
    public void q(y.e eVar) {
        this.f2026a.q(eVar);
    }

    /* access modifiers changed from: package-private */
    public void r(j0 j0Var) {
        this.f2026a.r(j0Var);
    }

    /* access modifiers changed from: package-private */
    public void s(y.e eVar) {
        this.f2026a.s(eVar);
    }

    public WindowInsets t() {
        l lVar = this.f2026a;
        if (lVar instanceof g) {
            return ((g) lVar).f2046c;
        }
        return null;
    }
}
