package androidx.core.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.util.TypedValue;
import android.view.FocusFinder;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.animation.AnimationUtils;
import android.widget.EdgeEffect;
import android.widget.FrameLayout;
import android.widget.OverScroller;
import android.widget.ScrollView;
import androidx.core.view.a0;
import androidx.core.view.o;
import androidx.core.view.p;
import androidx.core.view.r;
import androidx.core.view.t;
import com.luck.picture.lib.tools.PictureFileUtils;
import com.luck.picture.lib.widget.longimage.SubsamplingScaleImageView;
import com.yalantis.ucrop.view.CropImageView;
import g0.c;
import g0.e;
import java.util.ArrayList;

public class NestedScrollView extends FrameLayout implements r, o {
    private static final a E = new a();
    private static final int[] F = {16843130};
    private final t A;
    private final p B;
    private float C;
    private b D;

    /* renamed from: e  reason: collision with root package name */
    private long f2081e;

    /* renamed from: f  reason: collision with root package name */
    private final Rect f2082f;

    /* renamed from: g  reason: collision with root package name */
    private OverScroller f2083g;

    /* renamed from: h  reason: collision with root package name */
    public EdgeEffect f2084h;

    /* renamed from: i  reason: collision with root package name */
    public EdgeEffect f2085i;

    /* renamed from: j  reason: collision with root package name */
    private int f2086j;

    /* renamed from: k  reason: collision with root package name */
    private boolean f2087k;

    /* renamed from: l  reason: collision with root package name */
    private boolean f2088l;

    /* renamed from: m  reason: collision with root package name */
    private View f2089m;

    /* renamed from: n  reason: collision with root package name */
    private boolean f2090n;

    /* renamed from: o  reason: collision with root package name */
    private VelocityTracker f2091o;

    /* renamed from: p  reason: collision with root package name */
    private boolean f2092p;

    /* renamed from: q  reason: collision with root package name */
    private boolean f2093q;

    /* renamed from: r  reason: collision with root package name */
    private int f2094r;

    /* renamed from: s  reason: collision with root package name */
    private int f2095s;

    /* renamed from: t  reason: collision with root package name */
    private int f2096t;

    /* renamed from: u  reason: collision with root package name */
    private int f2097u;

    /* renamed from: v  reason: collision with root package name */
    private final int[] f2098v;

    /* renamed from: w  reason: collision with root package name */
    private final int[] f2099w;

    /* renamed from: x  reason: collision with root package name */
    private int f2100x;

    /* renamed from: y  reason: collision with root package name */
    private int f2101y;

    /* renamed from: z  reason: collision with root package name */
    private c f2102z;

    static class a extends androidx.core.view.a {
        a() {
        }

        @Override // androidx.core.view.a
        public void f(View view, AccessibilityEvent accessibilityEvent) {
            super.f(view, accessibilityEvent);
            NestedScrollView nestedScrollView = (NestedScrollView) view;
            accessibilityEvent.setClassName(ScrollView.class.getName());
            accessibilityEvent.setScrollable(nestedScrollView.getScrollRange() > 0);
            accessibilityEvent.setScrollX(nestedScrollView.getScrollX());
            accessibilityEvent.setScrollY(nestedScrollView.getScrollY());
            e.a(accessibilityEvent, nestedScrollView.getScrollX());
            e.b(accessibilityEvent, nestedScrollView.getScrollRange());
        }

        @Override // androidx.core.view.a
        public void g(View view, g0.c cVar) {
            int scrollRange;
            super.g(view, cVar);
            NestedScrollView nestedScrollView = (NestedScrollView) view;
            cVar.J(ScrollView.class.getName());
            if (nestedScrollView.isEnabled() && (scrollRange = nestedScrollView.getScrollRange()) > 0) {
                cVar.P(true);
                if (nestedScrollView.getScrollY() > 0) {
                    cVar.b(c.a.f4769r);
                    cVar.b(c.a.C);
                }
                if (nestedScrollView.getScrollY() < scrollRange) {
                    cVar.b(c.a.f4768q);
                    cVar.b(c.a.E);
                }
            }
        }

        @Override // androidx.core.view.a
        public boolean j(View view, int i5, Bundle bundle) {
            if (super.j(view, i5, bundle)) {
                return true;
            }
            NestedScrollView nestedScrollView = (NestedScrollView) view;
            if (!nestedScrollView.isEnabled()) {
                return false;
            }
            if (i5 != 4096) {
                if (i5 == 8192 || i5 == 16908344) {
                    int max = Math.max(nestedScrollView.getScrollY() - ((nestedScrollView.getHeight() - nestedScrollView.getPaddingBottom()) - nestedScrollView.getPaddingTop()), 0);
                    if (max == nestedScrollView.getScrollY()) {
                        return false;
                    }
                    nestedScrollView.P(0, max, true);
                    return true;
                } else if (i5 != 16908346) {
                    return false;
                }
            }
            int min = Math.min(nestedScrollView.getScrollY() + ((nestedScrollView.getHeight() - nestedScrollView.getPaddingBottom()) - nestedScrollView.getPaddingTop()), nestedScrollView.getScrollRange());
            if (min == nestedScrollView.getScrollY()) {
                return false;
            }
            nestedScrollView.P(0, min, true);
            return true;
        }
    }

    public interface b {
        void a(NestedScrollView nestedScrollView, int i5, int i6, int i7, int i8);
    }

    /* access modifiers changed from: package-private */
    public static class c extends View.BaseSavedState {
        public static final Parcelable.Creator<c> CREATOR = new a();

        /* renamed from: e  reason: collision with root package name */
        public int f2103e;

        class a implements Parcelable.Creator<c> {
            a() {
            }

            /* renamed from: a */
            public c createFromParcel(Parcel parcel) {
                return new c(parcel);
            }

            /* renamed from: b */
            public c[] newArray(int i5) {
                return new c[i5];
            }
        }

        c(Parcel parcel) {
            super(parcel);
            this.f2103e = parcel.readInt();
        }

        c(Parcelable parcelable) {
            super(parcelable);
        }

        public String toString() {
            return "HorizontalScrollView.SavedState{" + Integer.toHexString(System.identityHashCode(this)) + " scrollPosition=" + this.f2103e + "}";
        }

        public void writeToParcel(Parcel parcel, int i5) {
            super.writeToParcel(parcel, i5);
            parcel.writeInt(this.f2103e);
        }
    }

    public NestedScrollView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, w.a.f7776c);
    }

    public NestedScrollView(Context context, AttributeSet attributeSet, int i5) {
        super(context, attributeSet, i5);
        this.f2082f = new Rect();
        this.f2087k = true;
        this.f2088l = false;
        this.f2089m = null;
        this.f2090n = false;
        this.f2093q = true;
        this.f2097u = -1;
        this.f2098v = new int[2];
        this.f2099w = new int[2];
        this.f2084h = e.a(context, attributeSet);
        this.f2085i = e.a(context, attributeSet);
        x();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, F, i5, 0);
        setFillViewport(obtainStyledAttributes.getBoolean(0, false));
        obtainStyledAttributes.recycle();
        this.A = new t(this);
        this.B = new p(this);
        setNestedScrollingEnabled(true);
        a0.b0(this, E);
    }

    private static boolean A(View view, View view2) {
        if (view == view2) {
            return true;
        }
        ViewParent parent = view.getParent();
        return (parent instanceof ViewGroup) && A((View) parent, view2);
    }

    private boolean B(View view, int i5, int i6) {
        view.getDrawingRect(this.f2082f);
        offsetDescendantRectToMyCoords(view, this.f2082f);
        return this.f2082f.bottom + i5 >= getScrollY() && this.f2082f.top - i5 <= getScrollY() + i6;
    }

    private void C(int i5, int i6, int[] iArr) {
        int scrollY = getScrollY();
        scrollBy(0, i5);
        int scrollY2 = getScrollY() - scrollY;
        if (iArr != null) {
            iArr[1] = iArr[1] + scrollY2;
        }
        this.B.e(0, scrollY2, 0, i5 - scrollY2, null, i6, iArr);
    }

    private void D(MotionEvent motionEvent) {
        int actionIndex = motionEvent.getActionIndex();
        if (motionEvent.getPointerId(actionIndex) == this.f2097u) {
            int i5 = actionIndex == 0 ? 1 : 0;
            this.f2086j = (int) motionEvent.getY(i5);
            this.f2097u = motionEvent.getPointerId(i5);
            VelocityTracker velocityTracker = this.f2091o;
            if (velocityTracker != null) {
                velocityTracker.clear();
            }
        }
    }

    private void G() {
        VelocityTracker velocityTracker = this.f2091o;
        if (velocityTracker != null) {
            velocityTracker.recycle();
            this.f2091o = null;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:14:0x005e  */
    private int H(int i5, float f5) {
        int round;
        float d5;
        EdgeEffect edgeEffect;
        float width = f5 / ((float) getWidth());
        float height = ((float) i5) / ((float) getHeight());
        float b5 = e.b(this.f2084h);
        float f6 = CropImageView.DEFAULT_ASPECT_RATIO;
        if (b5 != CropImageView.DEFAULT_ASPECT_RATIO) {
            d5 = -e.d(this.f2084h, -height, width);
            if (e.b(this.f2084h) == CropImageView.DEFAULT_ASPECT_RATIO) {
                edgeEffect = this.f2084h;
            }
            f6 = d5;
            round = Math.round(f6 * ((float) getHeight()));
            if (round != 0) {
                invalidate();
            }
            return round;
        }
        if (e.b(this.f2085i) != CropImageView.DEFAULT_ASPECT_RATIO) {
            d5 = e.d(this.f2085i, height, 1.0f - width);
            if (e.b(this.f2085i) == CropImageView.DEFAULT_ASPECT_RATIO) {
                edgeEffect = this.f2085i;
            }
            f6 = d5;
        }
        round = Math.round(f6 * ((float) getHeight()));
        if (round != 0) {
        }
        return round;
        edgeEffect.onRelease();
        f6 = d5;
        round = Math.round(f6 * ((float) getHeight()));
        if (round != 0) {
        }
        return round;
    }

    private void I(boolean z4) {
        if (z4) {
            Q(2, 1);
        } else {
            S(1);
        }
        this.f2101y = getScrollY();
        a0.V(this);
    }

    private boolean J(int i5, int i6, int i7) {
        int height = getHeight();
        int scrollY = getScrollY();
        int i8 = height + scrollY;
        boolean z4 = false;
        boolean z5 = i5 == 33;
        View r5 = r(z5, i6, i7);
        if (r5 == null) {
            r5 = this;
        }
        if (i6 < scrollY || i7 > i8) {
            k(z5 ? i6 - scrollY : i7 - i8);
            z4 = true;
        }
        if (r5 != findFocus()) {
            r5.requestFocus(i5);
        }
        return z4;
    }

    private void K(View view) {
        view.getDrawingRect(this.f2082f);
        offsetDescendantRectToMyCoords(view, this.f2082f);
        int e5 = e(this.f2082f);
        if (e5 != 0) {
            scrollBy(0, e5);
        }
    }

    private boolean L(Rect rect, boolean z4) {
        int e5 = e(rect);
        boolean z5 = e5 != 0;
        if (z5) {
            if (z4) {
                scrollBy(0, e5);
            } else {
                M(0, e5);
            }
        }
        return z5;
    }

    private void N(int i5, int i6, int i7, boolean z4) {
        if (getChildCount() != 0) {
            if (AnimationUtils.currentAnimationTimeMillis() - this.f2081e > 250) {
                View childAt = getChildAt(0);
                FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
                int scrollY = getScrollY();
                OverScroller overScroller = this.f2083g;
                int scrollX = getScrollX();
                overScroller.startScroll(scrollX, scrollY, 0, Math.max(0, Math.min(i6 + scrollY, Math.max(0, ((childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin) - ((getHeight() - getPaddingTop()) - getPaddingBottom())))) - scrollY, i7);
                I(z4);
            } else {
                if (!this.f2083g.isFinished()) {
                    a();
                }
                scrollBy(i5, i6);
            }
            this.f2081e = AnimationUtils.currentAnimationTimeMillis();
        }
    }

    private boolean R(MotionEvent motionEvent) {
        boolean z4;
        if (e.b(this.f2084h) != CropImageView.DEFAULT_ASPECT_RATIO) {
            e.d(this.f2084h, CropImageView.DEFAULT_ASPECT_RATIO, motionEvent.getY() / ((float) getHeight()));
            z4 = true;
        } else {
            z4 = false;
        }
        if (e.b(this.f2085i) == CropImageView.DEFAULT_ASPECT_RATIO) {
            return z4;
        }
        e.d(this.f2085i, CropImageView.DEFAULT_ASPECT_RATIO, 1.0f - (motionEvent.getY() / ((float) getHeight())));
        return true;
    }

    private void a() {
        this.f2083g.abortAnimation();
        S(1);
    }

    private boolean c() {
        if (getChildCount() <= 0) {
            return false;
        }
        View childAt = getChildAt(0);
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
        return (childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin > (getHeight() - getPaddingTop()) - getPaddingBottom();
    }

    private static int d(int i5, int i6, int i7) {
        if (i6 >= i7 || i5 < 0) {
            return 0;
        }
        return i6 + i5 > i7 ? i7 - i6 : i5;
    }

    private float getVerticalScrollFactorCompat() {
        if (this.C == CropImageView.DEFAULT_ASPECT_RATIO) {
            TypedValue typedValue = new TypedValue();
            Context context = getContext();
            if (context.getTheme().resolveAttribute(16842829, typedValue, true)) {
                this.C = typedValue.getDimension(context.getResources().getDisplayMetrics());
            } else {
                throw new IllegalStateException("Expected theme to define listPreferredItemHeight.");
            }
        }
        return this.C;
    }

    private void k(int i5) {
        if (i5 == 0) {
            return;
        }
        if (this.f2093q) {
            M(0, i5);
        } else {
            scrollBy(0, i5);
        }
    }

    private boolean l(int i5) {
        EdgeEffect edgeEffect;
        if (e.b(this.f2084h) != CropImageView.DEFAULT_ASPECT_RATIO) {
            edgeEffect = this.f2084h;
        } else if (e.b(this.f2085i) == CropImageView.DEFAULT_ASPECT_RATIO) {
            return false;
        } else {
            edgeEffect = this.f2085i;
            i5 = -i5;
        }
        edgeEffect.onAbsorb(i5);
        return true;
    }

    private void p() {
        this.f2090n = false;
        G();
        S(0);
        this.f2084h.onRelease();
        this.f2085i.onRelease();
    }

    private View r(boolean z4, int i5, int i6) {
        ArrayList focusables = getFocusables(2);
        int size = focusables.size();
        View view = null;
        boolean z5 = false;
        for (int i7 = 0; i7 < size; i7++) {
            View view2 = (View) focusables.get(i7);
            int top = view2.getTop();
            int bottom = view2.getBottom();
            if (i5 < bottom && top < i6) {
                boolean z6 = i5 < top && bottom < i6;
                if (view == null) {
                    view = view2;
                    z5 = z6;
                } else {
                    boolean z7 = (z4 && top < view.getTop()) || (!z4 && bottom > view.getBottom());
                    if (z5) {
                        if (z6) {
                            if (!z7) {
                            }
                        }
                    } else if (z6) {
                        view = view2;
                        z5 = true;
                    } else if (!z7) {
                    }
                    view = view2;
                }
            }
        }
        return view;
    }

    private boolean v(int i5, int i6) {
        if (getChildCount() <= 0) {
            return false;
        }
        int scrollY = getScrollY();
        View childAt = getChildAt(0);
        return i6 >= childAt.getTop() - scrollY && i6 < childAt.getBottom() - scrollY && i5 >= childAt.getLeft() && i5 < childAt.getRight();
    }

    private void w() {
        VelocityTracker velocityTracker = this.f2091o;
        if (velocityTracker == null) {
            this.f2091o = VelocityTracker.obtain();
        } else {
            velocityTracker.clear();
        }
    }

    private void x() {
        this.f2083g = new OverScroller(getContext());
        setFocusable(true);
        setDescendantFocusability(262144);
        setWillNotDraw(false);
        ViewConfiguration viewConfiguration = ViewConfiguration.get(getContext());
        this.f2094r = viewConfiguration.getScaledTouchSlop();
        this.f2095s = viewConfiguration.getScaledMinimumFlingVelocity();
        this.f2096t = viewConfiguration.getScaledMaximumFlingVelocity();
    }

    private void y() {
        if (this.f2091o == null) {
            this.f2091o = VelocityTracker.obtain();
        }
    }

    private boolean z(View view) {
        return !B(view, 0, getHeight());
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x0057  */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x005a  */
    /* JADX WARNING: Removed duplicated region for block: B:45:0x0083 A[ADDED_TO_REGION] */
    public boolean E(int i5, int i6, int i7, int i8, int i9, int i10, int i11, int i12, boolean z4) {
        boolean z5;
        boolean z6;
        int overScrollMode = getOverScrollMode();
        boolean z7 = computeHorizontalScrollRange() > computeHorizontalScrollExtent();
        boolean z8 = computeVerticalScrollRange() > computeVerticalScrollExtent();
        boolean z9 = overScrollMode == 0 || (overScrollMode == 1 && z7);
        boolean z10 = overScrollMode == 0 || (overScrollMode == 1 && z8);
        int i13 = i7 + i5;
        int i14 = !z9 ? 0 : i11;
        int i15 = i8 + i6;
        int i16 = !z10 ? 0 : i12;
        int i17 = -i14;
        int i18 = i14 + i9;
        int i19 = -i16;
        int i20 = i16 + i10;
        if (i13 > i18) {
            i13 = i18;
        } else if (i13 < i17) {
            i13 = i17;
        } else {
            z5 = false;
            if (i15 <= i20) {
                i15 = i20;
            } else if (i15 < i19) {
                i15 = i19;
            } else {
                z6 = false;
                if (z6 && !u(1)) {
                    this.f2083g.springBack(i13, i15, 0, 0, 0, getScrollRange());
                }
                onOverScrolled(i13, i15, z5, z6);
                return !z5 || z6;
            }
            z6 = true;
            this.f2083g.springBack(i13, i15, 0, 0, 0, getScrollRange());
            onOverScrolled(i13, i15, z5, z6);
            if (!z5) {
            }
        }
        z5 = true;
        if (i15 <= i20) {
        }
        z6 = true;
        this.f2083g.springBack(i13, i15, 0, 0, 0, getScrollRange());
        onOverScrolled(i13, i15, z5, z6);
        if (!z5) {
        }
    }

    public boolean F(int i5) {
        boolean z4 = i5 == 130;
        int height = getHeight();
        if (z4) {
            this.f2082f.top = getScrollY() + height;
            int childCount = getChildCount();
            if (childCount > 0) {
                View childAt = getChildAt(childCount - 1);
                int bottom = childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin + getPaddingBottom();
                Rect rect = this.f2082f;
                if (rect.top + height > bottom) {
                    rect.top = bottom - height;
                }
            }
        } else {
            this.f2082f.top = getScrollY() - height;
            Rect rect2 = this.f2082f;
            if (rect2.top < 0) {
                rect2.top = 0;
            }
        }
        Rect rect3 = this.f2082f;
        int i6 = rect3.top;
        int i7 = height + i6;
        rect3.bottom = i7;
        return J(i5, i6, i7);
    }

    public final void M(int i5, int i6) {
        N(i5, i6, 250, false);
    }

    /* access modifiers changed from: package-private */
    public void O(int i5, int i6, int i7, boolean z4) {
        N(i5 - getScrollX(), i6 - getScrollY(), i7, z4);
    }

    /* access modifiers changed from: package-private */
    public void P(int i5, int i6, boolean z4) {
        O(i5, i6, 250, z4);
    }

    public boolean Q(int i5, int i6) {
        return this.B.q(i5, i6);
    }

    public void S(int i5) {
        this.B.s(i5);
    }

    public void addView(View view) {
        if (getChildCount() <= 0) {
            super.addView(view);
            return;
        }
        throw new IllegalStateException("ScrollView can host only one direct child");
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i5) {
        if (getChildCount() <= 0) {
            super.addView(view, i5);
            return;
        }
        throw new IllegalStateException("ScrollView can host only one direct child");
    }

    @Override // android.view.ViewGroup
    public void addView(View view, int i5, ViewGroup.LayoutParams layoutParams) {
        if (getChildCount() <= 0) {
            super.addView(view, i5, layoutParams);
            return;
        }
        throw new IllegalStateException("ScrollView can host only one direct child");
    }

    @Override // android.view.ViewGroup
    public void addView(View view, ViewGroup.LayoutParams layoutParams) {
        if (getChildCount() <= 0) {
            super.addView(view, layoutParams);
            return;
        }
        throw new IllegalStateException("ScrollView can host only one direct child");
    }

    public boolean b(int i5) {
        View findFocus = findFocus();
        if (findFocus == this) {
            findFocus = null;
        }
        View findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, i5);
        int maxScrollAmount = getMaxScrollAmount();
        if (findNextFocus == null || !B(findNextFocus, maxScrollAmount, getHeight())) {
            if (i5 == 33 && getScrollY() < maxScrollAmount) {
                maxScrollAmount = getScrollY();
            } else if (i5 == 130 && getChildCount() > 0) {
                View childAt = getChildAt(0);
                maxScrollAmount = Math.min((childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin) - ((getScrollY() + getHeight()) - getPaddingBottom()), maxScrollAmount);
            }
            if (maxScrollAmount == 0) {
                return false;
            }
            if (i5 != 130) {
                maxScrollAmount = -maxScrollAmount;
            }
            k(maxScrollAmount);
        } else {
            findNextFocus.getDrawingRect(this.f2082f);
            offsetDescendantRectToMyCoords(findNextFocus, this.f2082f);
            k(e(this.f2082f));
            findNextFocus.requestFocus(i5);
        }
        if (findFocus == null || !findFocus.isFocused() || !z(findFocus)) {
            return true;
        }
        int descendantFocusability = getDescendantFocusability();
        setDescendantFocusability(131072);
        requestFocus();
        setDescendantFocusability(descendantFocusability);
        return true;
    }

    public int computeHorizontalScrollExtent() {
        return super.computeHorizontalScrollExtent();
    }

    public int computeHorizontalScrollOffset() {
        return super.computeHorizontalScrollOffset();
    }

    public int computeHorizontalScrollRange() {
        return super.computeHorizontalScrollRange();
    }

    public void computeScroll() {
        EdgeEffect edgeEffect;
        if (!this.f2083g.isFinished()) {
            this.f2083g.computeScrollOffset();
            int currY = this.f2083g.getCurrY();
            int i5 = currY - this.f2101y;
            this.f2101y = currY;
            int[] iArr = this.f2099w;
            boolean z4 = false;
            iArr[1] = 0;
            f(0, i5, iArr, null, 1);
            int i6 = i5 - this.f2099w[1];
            int scrollRange = getScrollRange();
            if (i6 != 0) {
                int scrollY = getScrollY();
                E(0, i6, getScrollX(), scrollY, 0, scrollRange, 0, 0, false);
                int scrollY2 = getScrollY() - scrollY;
                int i7 = i6 - scrollY2;
                int[] iArr2 = this.f2099w;
                iArr2[1] = 0;
                g(0, scrollY2, 0, i7, this.f2098v, 1, iArr2);
                i6 = i7 - this.f2099w[1];
            }
            if (i6 != 0) {
                int overScrollMode = getOverScrollMode();
                if (overScrollMode == 0 || (overScrollMode == 1 && scrollRange > 0)) {
                    z4 = true;
                }
                if (z4) {
                    if (i6 < 0) {
                        if (this.f2084h.isFinished()) {
                            edgeEffect = this.f2084h;
                        }
                    } else if (this.f2085i.isFinished()) {
                        edgeEffect = this.f2085i;
                    }
                    edgeEffect.onAbsorb((int) this.f2083g.getCurrVelocity());
                }
                a();
            }
            if (!this.f2083g.isFinished()) {
                a0.V(this);
            } else {
                S(1);
            }
        }
    }

    public int computeVerticalScrollExtent() {
        return super.computeVerticalScrollExtent();
    }

    public int computeVerticalScrollOffset() {
        return Math.max(0, super.computeVerticalScrollOffset());
    }

    public int computeVerticalScrollRange() {
        int childCount = getChildCount();
        int height = (getHeight() - getPaddingBottom()) - getPaddingTop();
        if (childCount == 0) {
            return height;
        }
        View childAt = getChildAt(0);
        int bottom = childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin;
        int scrollY = getScrollY();
        int max = Math.max(0, bottom - height);
        return scrollY < 0 ? bottom - scrollY : scrollY > max ? bottom + (scrollY - max) : bottom;
    }

    public boolean dispatchKeyEvent(KeyEvent keyEvent) {
        return super.dispatchKeyEvent(keyEvent) || q(keyEvent);
    }

    public boolean dispatchNestedFling(float f5, float f6, boolean z4) {
        return this.B.a(f5, f6, z4);
    }

    public boolean dispatchNestedPreFling(float f5, float f6) {
        return this.B.b(f5, f6);
    }

    public boolean dispatchNestedPreScroll(int i5, int i6, int[] iArr, int[] iArr2) {
        return f(i5, i6, iArr, iArr2, 0);
    }

    public boolean dispatchNestedScroll(int i5, int i6, int i7, int i8, int[] iArr) {
        return this.B.f(i5, i6, i7, i8, iArr);
    }

    public void draw(Canvas canvas) {
        int i5;
        super.draw(canvas);
        int scrollY = getScrollY();
        int i6 = 0;
        if (!this.f2084h.isFinished()) {
            int save = canvas.save();
            int width = getWidth();
            int height = getHeight();
            int min = Math.min(0, scrollY);
            int i7 = Build.VERSION.SDK_INT;
            if (i7 < 21 || getClipToPadding()) {
                width -= getPaddingLeft() + getPaddingRight();
                i5 = getPaddingLeft() + 0;
            } else {
                i5 = 0;
            }
            if (i7 >= 21 && getClipToPadding()) {
                height -= getPaddingTop() + getPaddingBottom();
                min += getPaddingTop();
            }
            canvas.translate((float) i5, (float) min);
            this.f2084h.setSize(width, height);
            if (this.f2084h.draw(canvas)) {
                a0.V(this);
            }
            canvas.restoreToCount(save);
        }
        if (!this.f2085i.isFinished()) {
            int save2 = canvas.save();
            int width2 = getWidth();
            int height2 = getHeight();
            int max = Math.max(getScrollRange(), scrollY) + height2;
            int i8 = Build.VERSION.SDK_INT;
            if (i8 < 21 || getClipToPadding()) {
                width2 -= getPaddingLeft() + getPaddingRight();
                i6 = 0 + getPaddingLeft();
            }
            if (i8 >= 21 && getClipToPadding()) {
                height2 -= getPaddingTop() + getPaddingBottom();
                max -= getPaddingBottom();
            }
            canvas.translate((float) (i6 - width2), (float) max);
            canvas.rotate(180.0f, (float) width2, CropImageView.DEFAULT_ASPECT_RATIO);
            this.f2085i.setSize(width2, height2);
            if (this.f2085i.draw(canvas)) {
                a0.V(this);
            }
            canvas.restoreToCount(save2);
        }
    }

    /* access modifiers changed from: protected */
    public int e(Rect rect) {
        if (getChildCount() == 0) {
            return 0;
        }
        int height = getHeight();
        int scrollY = getScrollY();
        int i5 = scrollY + height;
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        if (rect.top > 0) {
            scrollY += verticalFadingEdgeLength;
        }
        View childAt = getChildAt(0);
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
        int i6 = rect.bottom < (childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin ? i5 - verticalFadingEdgeLength : i5;
        int i7 = rect.bottom;
        if (i7 > i6 && rect.top > scrollY) {
            return Math.min((rect.height() > height ? rect.top - scrollY : rect.bottom - i6) + 0, (childAt.getBottom() + layoutParams.bottomMargin) - i5);
        } else if (rect.top >= scrollY || i7 >= i6) {
            return 0;
        } else {
            return Math.max(rect.height() > height ? 0 - (i6 - rect.bottom) : 0 - (scrollY - rect.top), -getScrollY());
        }
    }

    public boolean f(int i5, int i6, int[] iArr, int[] iArr2, int i7) {
        return this.B.d(i5, i6, iArr, iArr2, i7);
    }

    public void g(int i5, int i6, int i7, int i8, int[] iArr, int i9, int[] iArr2) {
        this.B.e(i5, i6, i7, i8, iArr, i9, iArr2);
    }

    /* access modifiers changed from: protected */
    public float getBottomFadingEdgeStrength() {
        if (getChildCount() == 0) {
            return CropImageView.DEFAULT_ASPECT_RATIO;
        }
        View childAt = getChildAt(0);
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        int bottom = ((childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin) - getScrollY()) - (getHeight() - getPaddingBottom());
        if (bottom < verticalFadingEdgeLength) {
            return ((float) bottom) / ((float) verticalFadingEdgeLength);
        }
        return 1.0f;
    }

    public int getMaxScrollAmount() {
        return (int) (((float) getHeight()) * 0.5f);
    }

    public int getNestedScrollAxes() {
        return this.A.a();
    }

    /* access modifiers changed from: package-private */
    public int getScrollRange() {
        if (getChildCount() <= 0) {
            return 0;
        }
        View childAt = getChildAt(0);
        FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
        return Math.max(0, ((childAt.getHeight() + layoutParams.topMargin) + layoutParams.bottomMargin) - ((getHeight() - getPaddingTop()) - getPaddingBottom()));
    }

    /* access modifiers changed from: protected */
    public float getTopFadingEdgeStrength() {
        if (getChildCount() == 0) {
            return CropImageView.DEFAULT_ASPECT_RATIO;
        }
        int verticalFadingEdgeLength = getVerticalFadingEdgeLength();
        int scrollY = getScrollY();
        if (scrollY < verticalFadingEdgeLength) {
            return ((float) scrollY) / ((float) verticalFadingEdgeLength);
        }
        return 1.0f;
    }

    @Override // androidx.core.view.q
    public void h(View view, View view2, int i5, int i6) {
        this.A.c(view, view2, i5, i6);
        Q(2, i6);
    }

    public boolean hasNestedScrollingParent() {
        return u(0);
    }

    @Override // androidx.core.view.q
    public void i(View view, int i5) {
        this.A.d(view, i5);
        S(i5);
    }

    public boolean isNestedScrollingEnabled() {
        return this.B.m();
    }

    @Override // androidx.core.view.q
    public void j(View view, int i5, int i6, int[] iArr, int i7) {
        f(i5, i6, iArr, null, i7);
    }

    @Override // androidx.core.view.r
    public void m(View view, int i5, int i6, int i7, int i8, int i9, int[] iArr) {
        C(i8, i9, iArr);
    }

    /* access modifiers changed from: protected */
    public void measureChild(View view, int i5, int i6) {
        view.measure(FrameLayout.getChildMeasureSpec(i5, getPaddingLeft() + getPaddingRight(), view.getLayoutParams().width), View.MeasureSpec.makeMeasureSpec(0, 0));
    }

    /* access modifiers changed from: protected */
    public void measureChildWithMargins(View view, int i5, int i6, int i7, int i8) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        view.measure(FrameLayout.getChildMeasureSpec(i5, getPaddingLeft() + getPaddingRight() + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin + i6, marginLayoutParams.width), View.MeasureSpec.makeMeasureSpec(marginLayoutParams.topMargin + marginLayoutParams.bottomMargin, 0));
    }

    @Override // androidx.core.view.q
    public void n(View view, int i5, int i6, int i7, int i8, int i9) {
        C(i8, i9, null);
    }

    @Override // androidx.core.view.q
    public boolean o(View view, View view2, int i5, int i6) {
        return (i5 & 2) != 0;
    }

    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.f2088l = false;
    }

    public boolean onGenericMotionEvent(MotionEvent motionEvent) {
        if ((motionEvent.getSource() & 2) != 0 && motionEvent.getAction() == 8 && !this.f2090n) {
            float axisValue = motionEvent.getAxisValue(9);
            if (axisValue != CropImageView.DEFAULT_ASPECT_RATIO) {
                int scrollRange = getScrollRange();
                int scrollY = getScrollY();
                int verticalScrollFactorCompat = scrollY - ((int) (axisValue * getVerticalScrollFactorCompat()));
                if (verticalScrollFactorCompat < 0) {
                    scrollRange = 0;
                } else if (verticalScrollFactorCompat <= scrollRange) {
                    scrollRange = verticalScrollFactorCompat;
                }
                if (scrollRange != scrollY) {
                    super.scrollTo(getScrollX(), scrollRange);
                    return true;
                }
            }
        }
        return false;
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int action = motionEvent.getAction();
        boolean z4 = true;
        if (action == 2 && this.f2090n) {
            return true;
        }
        int i5 = action & 255;
        if (i5 != 0) {
            if (i5 != 1) {
                if (i5 == 2) {
                    int i6 = this.f2097u;
                    if (i6 != -1) {
                        int findPointerIndex = motionEvent.findPointerIndex(i6);
                        if (findPointerIndex == -1) {
                            Log.e("NestedScrollView", "Invalid pointerId=" + i6 + " in onInterceptTouchEvent");
                        } else {
                            int y5 = (int) motionEvent.getY(findPointerIndex);
                            if (Math.abs(y5 - this.f2086j) > this.f2094r && (2 & getNestedScrollAxes()) == 0) {
                                this.f2090n = true;
                                this.f2086j = y5;
                                y();
                                this.f2091o.addMovement(motionEvent);
                                this.f2100x = 0;
                                ViewParent parent = getParent();
                                if (parent != null) {
                                    parent.requestDisallowInterceptTouchEvent(true);
                                }
                            }
                        }
                    }
                } else if (i5 != 3) {
                    if (i5 == 6) {
                        D(motionEvent);
                    }
                }
            }
            this.f2090n = false;
            this.f2097u = -1;
            G();
            if (this.f2083g.springBack(getScrollX(), getScrollY(), 0, 0, 0, getScrollRange())) {
                a0.V(this);
            }
            S(0);
        } else {
            int y6 = (int) motionEvent.getY();
            if (!v((int) motionEvent.getX(), y6)) {
                if (!R(motionEvent) && this.f2083g.isFinished()) {
                    z4 = false;
                }
                this.f2090n = z4;
                G();
            } else {
                this.f2086j = y6;
                this.f2097u = motionEvent.getPointerId(0);
                w();
                this.f2091o.addMovement(motionEvent);
                this.f2083g.computeScrollOffset();
                if (!R(motionEvent) && this.f2083g.isFinished()) {
                    z4 = false;
                }
                this.f2090n = z4;
                Q(2, 0);
            }
        }
        return this.f2090n;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z4, int i5, int i6, int i7, int i8) {
        super.onLayout(z4, i5, i6, i7, i8);
        int i9 = 0;
        this.f2087k = false;
        View view = this.f2089m;
        if (view != null && A(view, this)) {
            K(this.f2089m);
        }
        this.f2089m = null;
        if (!this.f2088l) {
            if (this.f2102z != null) {
                scrollTo(getScrollX(), this.f2102z.f2103e);
                this.f2102z = null;
            }
            if (getChildCount() > 0) {
                View childAt = getChildAt(0);
                FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
                i9 = childAt.getMeasuredHeight() + layoutParams.topMargin + layoutParams.bottomMargin;
            }
            int paddingTop = ((i8 - i6) - getPaddingTop()) - getPaddingBottom();
            int scrollY = getScrollY();
            int d5 = d(scrollY, paddingTop, i9);
            if (d5 != scrollY) {
                scrollTo(getScrollX(), d5);
            }
        }
        scrollTo(getScrollX(), getScrollY());
        this.f2088l = true;
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i5, int i6) {
        super.onMeasure(i5, i6);
        if (this.f2092p && View.MeasureSpec.getMode(i6) != 0 && getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            int measuredHeight = childAt.getMeasuredHeight();
            int measuredHeight2 = (((getMeasuredHeight() - getPaddingTop()) - getPaddingBottom()) - layoutParams.topMargin) - layoutParams.bottomMargin;
            if (measuredHeight < measuredHeight2) {
                childAt.measure(FrameLayout.getChildMeasureSpec(i5, getPaddingLeft() + getPaddingRight() + layoutParams.leftMargin + layoutParams.rightMargin, layoutParams.width), View.MeasureSpec.makeMeasureSpec(measuredHeight2, PictureFileUtils.GB));
            }
        }
    }

    @Override // androidx.core.view.s
    public boolean onNestedFling(View view, float f5, float f6, boolean z4) {
        if (z4) {
            return false;
        }
        dispatchNestedFling(CropImageView.DEFAULT_ASPECT_RATIO, f6, true);
        s((int) f6);
        return true;
    }

    @Override // androidx.core.view.s
    public boolean onNestedPreFling(View view, float f5, float f6) {
        return dispatchNestedPreFling(f5, f6);
    }

    @Override // androidx.core.view.s
    public void onNestedPreScroll(View view, int i5, int i6, int[] iArr) {
        j(view, i5, i6, iArr, 0);
    }

    @Override // androidx.core.view.s
    public void onNestedScroll(View view, int i5, int i6, int i7, int i8) {
        C(i8, 0, null);
    }

    @Override // androidx.core.view.s
    public void onNestedScrollAccepted(View view, View view2, int i5) {
        h(view, view2, i5, 0);
    }

    /* access modifiers changed from: protected */
    public void onOverScrolled(int i5, int i6, boolean z4, boolean z5) {
        super.scrollTo(i5, i6);
    }

    /* access modifiers changed from: protected */
    public boolean onRequestFocusInDescendants(int i5, Rect rect) {
        if (i5 == 2) {
            i5 = 130;
        } else if (i5 == 1) {
            i5 = 33;
        }
        FocusFinder instance = FocusFinder.getInstance();
        View findNextFocus = rect == null ? instance.findNextFocus(this, null, i5) : instance.findNextFocusFromRect(this, rect, i5);
        if (findNextFocus != null && !z(findNextFocus)) {
            return findNextFocus.requestFocus(i5, rect);
        }
        return false;
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof c)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        c cVar = (c) parcelable;
        super.onRestoreInstanceState(cVar.getSuperState());
        this.f2102z = cVar;
        requestLayout();
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        c cVar = new c(super.onSaveInstanceState());
        cVar.f2103e = getScrollY();
        return cVar;
    }

    /* access modifiers changed from: protected */
    public void onScrollChanged(int i5, int i6, int i7, int i8) {
        super.onScrollChanged(i5, i6, i7, i8);
        b bVar = this.D;
        if (bVar != null) {
            bVar.a(this, i5, i6, i7, i8);
        }
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i5, int i6, int i7, int i8) {
        super.onSizeChanged(i5, i6, i7, i8);
        View findFocus = findFocus();
        if (findFocus != null && this != findFocus && B(findFocus, 0, i8)) {
            findFocus.getDrawingRect(this.f2082f);
            offsetDescendantRectToMyCoords(findFocus, this.f2082f);
            k(e(this.f2082f));
        }
    }

    @Override // androidx.core.view.s
    public boolean onStartNestedScroll(View view, View view2, int i5) {
        return o(view, view2, i5, 0);
    }

    @Override // androidx.core.view.s
    public void onStopNestedScroll(View view) {
        i(view, 0);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:21:0x0076, code lost:
        if (r23.f2083g.springBack(getScrollX(), getScrollY(), 0, 0, 0, getScrollRange()) != false) goto L_0x0078;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:84:0x0222, code lost:
        if (r23.f2083g.springBack(getScrollX(), getScrollY(), 0, 0, 0, getScrollRange()) != false) goto L_0x0078;
     */
    /* JADX WARNING: Removed duplicated region for block: B:75:0x01d4  */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        ViewParent parent;
        EdgeEffect edgeEffect;
        y();
        int actionMasked = motionEvent.getActionMasked();
        boolean z4 = false;
        if (actionMasked == 0) {
            this.f2100x = 0;
        }
        MotionEvent obtain = MotionEvent.obtain(motionEvent);
        obtain.offsetLocation(CropImageView.DEFAULT_ASPECT_RATIO, (float) this.f2100x);
        if (actionMasked != 0) {
            if (actionMasked == 1) {
                VelocityTracker velocityTracker = this.f2091o;
                velocityTracker.computeCurrentVelocity(1000, (float) this.f2096t);
                int yVelocity = (int) velocityTracker.getYVelocity(this.f2097u);
                if (Math.abs(yVelocity) >= this.f2095s) {
                    if (!l(yVelocity)) {
                        int i5 = -yVelocity;
                        float f5 = (float) i5;
                        if (!dispatchNestedPreFling(CropImageView.DEFAULT_ASPECT_RATIO, f5)) {
                            dispatchNestedFling(CropImageView.DEFAULT_ASPECT_RATIO, f5, true);
                            s(i5);
                        }
                    }
                }
                this.f2097u = -1;
                p();
            } else if (actionMasked == 2) {
                int findPointerIndex = motionEvent.findPointerIndex(this.f2097u);
                if (findPointerIndex == -1) {
                    Log.e("NestedScrollView", "Invalid pointerId=" + this.f2097u + " in onTouchEvent");
                } else {
                    int y5 = (int) motionEvent.getY(findPointerIndex);
                    int i6 = this.f2086j - y5;
                    int H = i6 - H(i6, motionEvent.getX(findPointerIndex));
                    if (!this.f2090n && Math.abs(H) > this.f2094r) {
                        ViewParent parent2 = getParent();
                        if (parent2 != null) {
                            parent2.requestDisallowInterceptTouchEvent(true);
                        }
                        this.f2090n = true;
                        int i7 = this.f2094r;
                        H = H > 0 ? H - i7 : H + i7;
                    }
                    int i8 = H;
                    if (this.f2090n) {
                        if (f(0, i8, this.f2099w, this.f2098v, 0)) {
                            i8 -= this.f2099w[1];
                            this.f2100x += this.f2098v[1];
                        }
                        this.f2086j = y5 - this.f2098v[1];
                        int scrollY = getScrollY();
                        int scrollRange = getScrollRange();
                        int overScrollMode = getOverScrollMode();
                        boolean z5 = overScrollMode == 0 || (overScrollMode == 1 && scrollRange > 0);
                        boolean z6 = E(0, i8, 0, getScrollY(), 0, scrollRange, 0, 0, true) && !u(0);
                        int scrollY2 = getScrollY() - scrollY;
                        int i9 = i8 - scrollY2;
                        int[] iArr = this.f2099w;
                        iArr[1] = 0;
                        g(0, scrollY2, 0, i9, this.f2098v, 0, iArr);
                        int i10 = this.f2086j;
                        int[] iArr2 = this.f2098v;
                        this.f2086j = i10 - iArr2[1];
                        this.f2100x += iArr2[1];
                        if (z5) {
                            int i11 = i8 - this.f2099w[1];
                            int i12 = scrollY + i11;
                            if (i12 < 0) {
                                e.d(this.f2084h, ((float) (-i11)) / ((float) getHeight()), motionEvent.getX(findPointerIndex) / ((float) getWidth()));
                                if (!this.f2085i.isFinished()) {
                                    edgeEffect = this.f2085i;
                                }
                                if (!this.f2084h.isFinished() || !this.f2085i.isFinished()) {
                                    a0.V(this);
                                    if (z4) {
                                        this.f2091o.clear();
                                    }
                                }
                            } else {
                                if (i12 > scrollRange) {
                                    e.d(this.f2085i, ((float) i11) / ((float) getHeight()), 1.0f - (motionEvent.getX(findPointerIndex) / ((float) getWidth())));
                                    if (!this.f2084h.isFinished()) {
                                        edgeEffect = this.f2084h;
                                    }
                                }
                                a0.V(this);
                                if (z4) {
                                }
                            }
                            edgeEffect.onRelease();
                            a0.V(this);
                            if (z4) {
                            }
                        }
                        z4 = z6;
                        if (z4) {
                        }
                    }
                }
            } else if (actionMasked == 3) {
                if (this.f2090n) {
                    if (getChildCount() > 0) {
                    }
                }
                this.f2097u = -1;
                p();
            } else if (actionMasked == 5) {
                int actionIndex = motionEvent.getActionIndex();
                this.f2086j = (int) motionEvent.getY(actionIndex);
                this.f2097u = motionEvent.getPointerId(actionIndex);
            } else if (actionMasked == 6) {
                D(motionEvent);
                this.f2086j = (int) motionEvent.getY(motionEvent.findPointerIndex(this.f2097u));
            }
            a0.V(this);
            this.f2097u = -1;
            p();
        } else if (getChildCount() == 0) {
            return false;
        } else {
            if (this.f2090n && (parent = getParent()) != null) {
                parent.requestDisallowInterceptTouchEvent(true);
            }
            if (!this.f2083g.isFinished()) {
                a();
            }
            this.f2086j = (int) motionEvent.getY();
            this.f2097u = motionEvent.getPointerId(0);
            Q(2, 0);
        }
        VelocityTracker velocityTracker2 = this.f2091o;
        if (velocityTracker2 != null) {
            velocityTracker2.addMovement(obtain);
        }
        obtain.recycle();
        return true;
    }

    public boolean q(KeyEvent keyEvent) {
        this.f2082f.setEmpty();
        int i5 = 130;
        if (!c()) {
            if (!isFocused() || keyEvent.getKeyCode() == 4) {
                return false;
            }
            View findFocus = findFocus();
            if (findFocus == this) {
                findFocus = null;
            }
            View findNextFocus = FocusFinder.getInstance().findNextFocus(this, findFocus, 130);
            return (findNextFocus == null || findNextFocus == this || !findNextFocus.requestFocus(130)) ? false : true;
        } else if (keyEvent.getAction() != 0) {
            return false;
        } else {
            int keyCode = keyEvent.getKeyCode();
            if (keyCode == 19) {
                return !keyEvent.isAltPressed() ? b(33) : t(33);
            }
            if (keyCode == 20) {
                return !keyEvent.isAltPressed() ? b(130) : t(130);
            }
            if (keyCode != 62) {
                return false;
            }
            if (keyEvent.isShiftPressed()) {
                i5 = 33;
            }
            F(i5);
            return false;
        }
    }

    public void requestChildFocus(View view, View view2) {
        if (!this.f2087k) {
            K(view2);
        } else {
            this.f2089m = view2;
        }
        super.requestChildFocus(view, view2);
    }

    public boolean requestChildRectangleOnScreen(View view, Rect rect, boolean z4) {
        rect.offset(view.getLeft() - view.getScrollX(), view.getTop() - view.getScrollY());
        return L(rect, z4);
    }

    public void requestDisallowInterceptTouchEvent(boolean z4) {
        if (z4) {
            G();
        }
        super.requestDisallowInterceptTouchEvent(z4);
    }

    public void requestLayout() {
        this.f2087k = true;
        super.requestLayout();
    }

    public void s(int i5) {
        if (getChildCount() > 0) {
            this.f2083g.fling(getScrollX(), getScrollY(), 0, i5, 0, 0, Integer.MIN_VALUE, SubsamplingScaleImageView.TILE_SIZE_AUTO, 0, 0);
            I(true);
        }
    }

    public void scrollTo(int i5, int i6) {
        if (getChildCount() > 0) {
            View childAt = getChildAt(0);
            FrameLayout.LayoutParams layoutParams = (FrameLayout.LayoutParams) childAt.getLayoutParams();
            int d5 = d(i5, (getWidth() - getPaddingLeft()) - getPaddingRight(), childAt.getWidth() + layoutParams.leftMargin + layoutParams.rightMargin);
            int d6 = d(i6, (getHeight() - getPaddingTop()) - getPaddingBottom(), childAt.getHeight() + layoutParams.topMargin + layoutParams.bottomMargin);
            if (d5 != getScrollX() || d6 != getScrollY()) {
                super.scrollTo(d5, d6);
            }
        }
    }

    public void setFillViewport(boolean z4) {
        if (z4 != this.f2092p) {
            this.f2092p = z4;
            requestLayout();
        }
    }

    public void setNestedScrollingEnabled(boolean z4) {
        this.B.n(z4);
    }

    public void setOnScrollChangeListener(b bVar) {
        this.D = bVar;
    }

    public void setSmoothScrollingEnabled(boolean z4) {
        this.f2093q = z4;
    }

    public boolean shouldDelayChildPressedState() {
        return true;
    }

    public boolean startNestedScroll(int i5) {
        return Q(i5, 0);
    }

    @Override // androidx.core.view.o
    public void stopNestedScroll() {
        S(0);
    }

    public boolean t(int i5) {
        int childCount;
        boolean z4 = i5 == 130;
        int height = getHeight();
        Rect rect = this.f2082f;
        rect.top = 0;
        rect.bottom = height;
        if (z4 && (childCount = getChildCount()) > 0) {
            View childAt = getChildAt(childCount - 1);
            this.f2082f.bottom = childAt.getBottom() + ((FrameLayout.LayoutParams) childAt.getLayoutParams()).bottomMargin + getPaddingBottom();
            Rect rect2 = this.f2082f;
            rect2.top = rect2.bottom - height;
        }
        Rect rect3 = this.f2082f;
        return J(i5, rect3.top, rect3.bottom);
    }

    public boolean u(int i5) {
        return this.B.l(i5);
    }
}
