package androidx.fragment.app;

import android.util.Log;
import androidx.lifecycle.x;
import androidx.lifecycle.y;
import androidx.lifecycle.z;
import java.util.ArrayList;
import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;

/* access modifiers changed from: package-private */
public final class q extends x {

    /* renamed from: j  reason: collision with root package name */
    private static final y.b f2555j = new a();

    /* renamed from: c  reason: collision with root package name */
    private final HashMap<String, Fragment> f2556c = new HashMap<>();

    /* renamed from: d  reason: collision with root package name */
    private final HashMap<String, q> f2557d = new HashMap<>();

    /* renamed from: e  reason: collision with root package name */
    private final HashMap<String, z> f2558e = new HashMap<>();

    /* renamed from: f  reason: collision with root package name */
    private final boolean f2559f;

    /* renamed from: g  reason: collision with root package name */
    private boolean f2560g = false;

    /* renamed from: h  reason: collision with root package name */
    private boolean f2561h = false;

    /* renamed from: i  reason: collision with root package name */
    private boolean f2562i = false;

    class a implements y.b {
        a() {
        }

        @Override // androidx.lifecycle.y.b
        public <T extends x> T a(Class<T> cls) {
            return new q(true);
        }
    }

    q(boolean z4) {
        this.f2559f = z4;
    }

    static q j(z zVar) {
        return (q) new y(zVar, f2555j).a(q.class);
    }

    /* access modifiers changed from: protected */
    @Override // androidx.lifecycle.x
    public void d() {
        if (n.F0(3)) {
            Log.d("FragmentManager", "onCleared called for " + this);
        }
        this.f2560g = true;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || q.class != obj.getClass()) {
            return false;
        }
        q qVar = (q) obj;
        return this.f2556c.equals(qVar.f2556c) && this.f2557d.equals(qVar.f2557d) && this.f2558e.equals(qVar.f2558e);
    }

    /* access modifiers changed from: package-private */
    public void f(Fragment fragment) {
        if (this.f2562i) {
            if (n.F0(2)) {
                Log.v("FragmentManager", "Ignoring addRetainedFragment as the state is already saved");
            }
        } else if (!this.f2556c.containsKey(fragment.mWho)) {
            this.f2556c.put(fragment.mWho, fragment);
            if (n.F0(2)) {
                Log.v("FragmentManager", "Updating retained Fragments: Added " + fragment);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void g(Fragment fragment) {
        if (n.F0(3)) {
            Log.d("FragmentManager", "Clearing non-config state for " + fragment);
        }
        q qVar = this.f2557d.get(fragment.mWho);
        if (qVar != null) {
            qVar.d();
            this.f2557d.remove(fragment.mWho);
        }
        z zVar = this.f2558e.get(fragment.mWho);
        if (zVar != null) {
            zVar.a();
            this.f2558e.remove(fragment.mWho);
        }
    }

    /* access modifiers changed from: package-private */
    public Fragment h(String str) {
        return this.f2556c.get(str);
    }

    public int hashCode() {
        return (((this.f2556c.hashCode() * 31) + this.f2557d.hashCode()) * 31) + this.f2558e.hashCode();
    }

    /* access modifiers changed from: package-private */
    public q i(Fragment fragment) {
        q qVar = this.f2557d.get(fragment.mWho);
        if (qVar != null) {
            return qVar;
        }
        q qVar2 = new q(this.f2559f);
        this.f2557d.put(fragment.mWho, qVar2);
        return qVar2;
    }

    /* access modifiers changed from: package-private */
    public Collection<Fragment> k() {
        return new ArrayList(this.f2556c.values());
    }

    /* access modifiers changed from: package-private */
    public z l(Fragment fragment) {
        z zVar = this.f2558e.get(fragment.mWho);
        if (zVar != null) {
            return zVar;
        }
        z zVar2 = new z();
        this.f2558e.put(fragment.mWho, zVar2);
        return zVar2;
    }

    /* access modifiers changed from: package-private */
    public boolean m() {
        return this.f2560g;
    }

    /* access modifiers changed from: package-private */
    public void n(Fragment fragment) {
        if (!this.f2562i) {
            if ((this.f2556c.remove(fragment.mWho) != null) && n.F0(2)) {
                Log.v("FragmentManager", "Updating retained Fragments: Removed " + fragment);
            }
        } else if (n.F0(2)) {
            Log.v("FragmentManager", "Ignoring removeRetainedFragment as the state is already saved");
        }
    }

    /* access modifiers changed from: package-private */
    public void o(boolean z4) {
        this.f2562i = z4;
    }

    /* access modifiers changed from: package-private */
    public boolean p(Fragment fragment) {
        if (!this.f2556c.containsKey(fragment.mWho)) {
            return true;
        }
        return this.f2559f ? this.f2560g : !this.f2561h;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder("FragmentManagerViewModel{");
        sb.append(Integer.toHexString(System.identityHashCode(this)));
        sb.append("} Fragments (");
        Iterator<Fragment> it = this.f2556c.values().iterator();
        while (it.hasNext()) {
            sb.append(it.next());
            if (it.hasNext()) {
                sb.append(", ");
            }
        }
        sb.append(") Child Non Config (");
        Iterator<String> it2 = this.f2557d.keySet().iterator();
        while (it2.hasNext()) {
            sb.append(it2.next());
            if (it2.hasNext()) {
                sb.append(", ");
            }
        }
        sb.append(") ViewModelStores (");
        Iterator<String> it3 = this.f2558e.keySet().iterator();
        while (it3.hasNext()) {
            sb.append(it3.next());
            if (it3.hasNext()) {
                sb.append(", ");
            }
        }
        sb.append(')');
        return sb.toString();
    }
}
