package androidx.lifecycle;

import android.os.Binder;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.Size;
import android.util.SizeF;
import android.util.SparseArray;
import androidx.savedstate.SavedStateRegistry;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public final class v {

    /* renamed from: e  reason: collision with root package name */
    private static final Class[] f2759e;

    /* renamed from: a  reason: collision with root package name */
    final Map<String, Object> f2760a;

    /* renamed from: b  reason: collision with root package name */
    final Map<String, SavedStateRegistry.b> f2761b;

    /* renamed from: c  reason: collision with root package name */
    private final Map<String, Object> f2762c;

    /* renamed from: d  reason: collision with root package name */
    private final SavedStateRegistry.b f2763d;

    class a implements SavedStateRegistry.b {
        a() {
        }

        @Override // androidx.savedstate.SavedStateRegistry.b
        public Bundle a() {
            for (Map.Entry entry : new HashMap(v.this.f2761b).entrySet()) {
                v.this.c((String) entry.getKey(), ((SavedStateRegistry.b) entry.getValue()).a());
            }
            Set<String> keySet = v.this.f2760a.keySet();
            ArrayList<? extends Parcelable> arrayList = new ArrayList<>(keySet.size());
            ArrayList<? extends Parcelable> arrayList2 = new ArrayList<>(arrayList.size());
            for (String str : keySet) {
                arrayList.add(str);
                arrayList2.add(v.this.f2760a.get(str));
            }
            Bundle bundle = new Bundle();
            bundle.putParcelableArrayList("keys", arrayList);
            bundle.putParcelableArrayList("values", arrayList2);
            return bundle;
        }
    }

    static {
        Class[] clsArr = new Class[29];
        clsArr[0] = Boolean.TYPE;
        clsArr[1] = boolean[].class;
        clsArr[2] = Double.TYPE;
        clsArr[3] = double[].class;
        Class<SizeF> cls = Integer.TYPE;
        clsArr[4] = cls;
        clsArr[5] = int[].class;
        clsArr[6] = Long.TYPE;
        clsArr[7] = long[].class;
        clsArr[8] = String.class;
        clsArr[9] = String[].class;
        clsArr[10] = Binder.class;
        clsArr[11] = Bundle.class;
        clsArr[12] = Byte.TYPE;
        clsArr[13] = byte[].class;
        clsArr[14] = Character.TYPE;
        clsArr[15] = char[].class;
        clsArr[16] = CharSequence.class;
        clsArr[17] = CharSequence[].class;
        clsArr[18] = ArrayList.class;
        clsArr[19] = Float.TYPE;
        clsArr[20] = float[].class;
        clsArr[21] = Parcelable.class;
        clsArr[22] = Parcelable[].class;
        clsArr[23] = Serializable.class;
        clsArr[24] = Short.TYPE;
        clsArr[25] = short[].class;
        clsArr[26] = SparseArray.class;
        int i5 = Build.VERSION.SDK_INT;
        clsArr[27] = i5 >= 21 ? Size.class : cls;
        if (i5 >= 21) {
            cls = SizeF.class;
        }
        clsArr[28] = cls;
        f2759e = clsArr;
    }

    public v() {
        this.f2761b = new HashMap();
        this.f2762c = new HashMap();
        this.f2763d = new a();
        this.f2760a = new HashMap();
    }

    public v(Map<String, Object> map) {
        this.f2761b = new HashMap();
        this.f2762c = new HashMap();
        this.f2763d = new a();
        this.f2760a = new HashMap(map);
    }

    static v a(Bundle bundle, Bundle bundle2) {
        if (bundle == null && bundle2 == null) {
            return new v();
        }
        HashMap hashMap = new HashMap();
        if (bundle2 != null) {
            for (String str : bundle2.keySet()) {
                hashMap.put(str, bundle2.get(str));
            }
        }
        if (bundle == null) {
            return new v(hashMap);
        }
        ArrayList parcelableArrayList = bundle.getParcelableArrayList("keys");
        ArrayList parcelableArrayList2 = bundle.getParcelableArrayList("values");
        if (parcelableArrayList == null || parcelableArrayList2 == null || parcelableArrayList.size() != parcelableArrayList2.size()) {
            throw new IllegalStateException("Invalid bundle passed as restored state");
        }
        for (int i5 = 0; i5 < parcelableArrayList.size(); i5++) {
            hashMap.put((String) parcelableArrayList.get(i5), parcelableArrayList2.get(i5));
        }
        return new v(hashMap);
    }

    private static void d(Object obj) {
        if (obj != null) {
            for (Class cls : f2759e) {
                if (cls.isInstance(obj)) {
                    return;
                }
            }
            throw new IllegalArgumentException("Can't put value with type " + obj.getClass() + " into saved state");
        }
    }

    /* access modifiers changed from: package-private */
    public SavedStateRegistry.b b() {
        return this.f2763d;
    }

    public <T> void c(String str, T t5) {
        d(t5);
        q qVar = (q) this.f2762c.get(str);
        if (qVar != null) {
            qVar.k(t5);
        } else {
            this.f2760a.put(str, t5);
        }
    }
}
