package androidx.lifecycle;

import android.app.Application;
import android.os.Bundle;
import androidx.lifecycle.y;
import androidx.savedstate.SavedStateRegistry;
import androidx.savedstate.c;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.util.Arrays;

public final class w extends y.c {

    /* renamed from: f  reason: collision with root package name */
    private static final Class<?>[] f2765f = {Application.class, v.class};

    /* renamed from: g  reason: collision with root package name */
    private static final Class<?>[] f2766g = {v.class};

    /* renamed from: a  reason: collision with root package name */
    private final Application f2767a;

    /* renamed from: b  reason: collision with root package name */
    private final y.b f2768b;

    /* renamed from: c  reason: collision with root package name */
    private final Bundle f2769c;

    /* renamed from: d  reason: collision with root package name */
    private final h f2770d;

    /* renamed from: e  reason: collision with root package name */
    private final SavedStateRegistry f2771e;

    public w(Application application, c cVar, Bundle bundle) {
        this.f2771e = cVar.getSavedStateRegistry();
        this.f2770d = cVar.getLifecycle();
        this.f2769c = bundle;
        this.f2767a = application;
        this.f2768b = application != null ? y.a.c(application) : y.d.b();
    }

    private static <T> Constructor<T> d(Class<T> cls, Class<?>[] clsArr) {
        for (Constructor<?> constructor : cls.getConstructors()) {
            Constructor<T> constructor2 = (Constructor<T>) constructor;
            if (Arrays.equals(clsArr, constructor2.getParameterTypes())) {
                return constructor2;
            }
        }
        return null;
    }

    @Override // androidx.lifecycle.y.b, androidx.lifecycle.y.c
    public <T extends x> T a(Class<T> cls) {
        String canonicalName = cls.getCanonicalName();
        if (canonicalName != null) {
            return (T) c(canonicalName, cls);
        }
        throw new IllegalArgumentException("Local and anonymous classes can not be ViewModels");
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.lifecycle.y.e
    public void b(x xVar) {
        SavedStateHandleController.a(xVar, this.f2771e, this.f2770d);
    }

    @Override // androidx.lifecycle.y.c
    public <T extends x> T c(String str, Class<T> cls) {
        Object newInstance;
        boolean isAssignableFrom = a.class.isAssignableFrom(cls);
        Constructor d5 = (!isAssignableFrom || this.f2767a == null) ? d(cls, f2766g) : d(cls, f2765f);
        if (d5 == null) {
            return (T) this.f2768b.a(cls);
        }
        SavedStateHandleController g5 = SavedStateHandleController.g(this.f2771e, this.f2770d, str, this.f2769c);
        if (isAssignableFrom) {
            try {
                Application application = this.f2767a;
                if (application != null) {
                    newInstance = d5.newInstance(application, g5.h());
                    T t5 = (T) ((x) newInstance);
                    t5.e("androidx.lifecycle.savedstate.vm.tag", g5);
                    return t5;
                }
            } catch (IllegalAccessException e5) {
                throw new RuntimeException("Failed to access " + cls, e5);
            } catch (InstantiationException e6) {
                throw new RuntimeException("A " + cls + " cannot be instantiated.", e6);
            } catch (InvocationTargetException e7) {
                throw new RuntimeException("An exception happened in constructor of " + cls, e7.getCause());
            }
        }
        newInstance = d5.newInstance(g5.h());
        T t52 = (T) ((x) newInstance);
        t52.e("androidx.lifecycle.savedstate.vm.tag", g5);
        return t52;
    }
}
