package androidx.recyclerview.widget;

import android.content.Context;
import android.graphics.PointF;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.util.Log;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import androidx.recyclerview.widget.RecyclerView;
import com.luck.picture.lib.widget.longimage.SubsamplingScaleImageView;
import com.yalantis.ucrop.view.CropImageView;
import java.util.List;

public class LinearLayoutManager extends RecyclerView.p implements RecyclerView.a0.b {
    static final boolean DEBUG = false;
    public static final int HORIZONTAL = 0;
    public static final int INVALID_OFFSET = Integer.MIN_VALUE;
    private static final float MAX_SCROLL_FACTOR = 0.33333334f;
    private static final String TAG = "LinearLayoutManager";
    public static final int VERTICAL = 1;
    final a mAnchorInfo;
    private int mInitialPrefetchItemCount;
    private boolean mLastStackFromEnd;
    private final b mLayoutChunkResult;
    private c mLayoutState;
    int mOrientation;
    i mOrientationHelper;
    d mPendingSavedState;
    int mPendingScrollPosition;
    int mPendingScrollPositionOffset;
    private boolean mRecycleChildrenOnDetach;
    private int[] mReusableIntPair;
    private boolean mReverseLayout;
    boolean mShouldReverseLayout;
    private boolean mSmoothScrollbarEnabled;
    private boolean mStackFromEnd;

    /* access modifiers changed from: package-private */
    public static class a {

        /* renamed from: a  reason: collision with root package name */
        i f2805a;

        /* renamed from: b  reason: collision with root package name */
        int f2806b;

        /* renamed from: c  reason: collision with root package name */
        int f2807c;

        /* renamed from: d  reason: collision with root package name */
        boolean f2808d;

        /* renamed from: e  reason: collision with root package name */
        boolean f2809e;

        a() {
            e();
        }

        /* access modifiers changed from: package-private */
        public void a() {
            this.f2807c = this.f2808d ? this.f2805a.i() : this.f2805a.m();
        }

        public void b(View view, int i5) {
            this.f2807c = this.f2808d ? this.f2805a.d(view) + this.f2805a.o() : this.f2805a.g(view);
            this.f2806b = i5;
        }

        public void c(View view, int i5) {
            int o5 = this.f2805a.o();
            if (o5 >= 0) {
                b(view, i5);
                return;
            }
            this.f2806b = i5;
            if (this.f2808d) {
                int i6 = (this.f2805a.i() - o5) - this.f2805a.d(view);
                this.f2807c = this.f2805a.i() - i6;
                if (i6 > 0) {
                    int e5 = this.f2807c - this.f2805a.e(view);
                    int m5 = this.f2805a.m();
                    int min = e5 - (m5 + Math.min(this.f2805a.g(view) - m5, 0));
                    if (min < 0) {
                        this.f2807c += Math.min(i6, -min);
                        return;
                    }
                    return;
                }
                return;
            }
            int g5 = this.f2805a.g(view);
            int m6 = g5 - this.f2805a.m();
            this.f2807c = g5;
            if (m6 > 0) {
                int i7 = (this.f2805a.i() - Math.min(0, (this.f2805a.i() - o5) - this.f2805a.d(view))) - (g5 + this.f2805a.e(view));
                if (i7 < 0) {
                    this.f2807c -= Math.min(m6, -i7);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public boolean d(View view, RecyclerView.b0 b0Var) {
            RecyclerView.q qVar = (RecyclerView.q) view.getLayoutParams();
            return !qVar.c() && qVar.a() >= 0 && qVar.a() < b0Var.b();
        }

        /* access modifiers changed from: package-private */
        public void e() {
            this.f2806b = -1;
            this.f2807c = Integer.MIN_VALUE;
            this.f2808d = false;
            this.f2809e = false;
        }

        public String toString() {
            return "AnchorInfo{mPosition=" + this.f2806b + ", mCoordinate=" + this.f2807c + ", mLayoutFromEnd=" + this.f2808d + ", mValid=" + this.f2809e + '}';
        }
    }

    /* access modifiers changed from: protected */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        public int f2810a;

        /* renamed from: b  reason: collision with root package name */
        public boolean f2811b;

        /* renamed from: c  reason: collision with root package name */
        public boolean f2812c;

        /* renamed from: d  reason: collision with root package name */
        public boolean f2813d;

        protected b() {
        }

        /* access modifiers changed from: package-private */
        public void a() {
            this.f2810a = 0;
            this.f2811b = false;
            this.f2812c = false;
            this.f2813d = false;
        }
    }

    /* access modifiers changed from: package-private */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        boolean f2814a = true;

        /* renamed from: b  reason: collision with root package name */
        int f2815b;

        /* renamed from: c  reason: collision with root package name */
        int f2816c;

        /* renamed from: d  reason: collision with root package name */
        int f2817d;

        /* renamed from: e  reason: collision with root package name */
        int f2818e;

        /* renamed from: f  reason: collision with root package name */
        int f2819f;

        /* renamed from: g  reason: collision with root package name */
        int f2820g;

        /* renamed from: h  reason: collision with root package name */
        int f2821h = 0;

        /* renamed from: i  reason: collision with root package name */
        int f2822i = 0;

        /* renamed from: j  reason: collision with root package name */
        boolean f2823j = false;

        /* renamed from: k  reason: collision with root package name */
        int f2824k;

        /* renamed from: l  reason: collision with root package name */
        List<RecyclerView.e0> f2825l = null;

        /* renamed from: m  reason: collision with root package name */
        boolean f2826m;

        c() {
        }

        private View e() {
            int size = this.f2825l.size();
            for (int i5 = 0; i5 < size; i5++) {
                View view = this.f2825l.get(i5).itemView;
                RecyclerView.q qVar = (RecyclerView.q) view.getLayoutParams();
                if (!qVar.c() && this.f2817d == qVar.a()) {
                    b(view);
                    return view;
                }
            }
            return null;
        }

        public void a() {
            b(null);
        }

        public void b(View view) {
            View f5 = f(view);
            this.f2817d = f5 == null ? -1 : ((RecyclerView.q) f5.getLayoutParams()).a();
        }

        /* access modifiers changed from: package-private */
        public boolean c(RecyclerView.b0 b0Var) {
            int i5 = this.f2817d;
            return i5 >= 0 && i5 < b0Var.b();
        }

        /* access modifiers changed from: package-private */
        public View d(RecyclerView.w wVar) {
            if (this.f2825l != null) {
                return e();
            }
            View o5 = wVar.o(this.f2817d);
            this.f2817d += this.f2818e;
            return o5;
        }

        public View f(View view) {
            int a5;
            int size = this.f2825l.size();
            View view2 = null;
            int i5 = SubsamplingScaleImageView.TILE_SIZE_AUTO;
            for (int i6 = 0; i6 < size; i6++) {
                View view3 = this.f2825l.get(i6).itemView;
                RecyclerView.q qVar = (RecyclerView.q) view3.getLayoutParams();
                if (view3 != view && !qVar.c() && (a5 = (qVar.a() - this.f2817d) * this.f2818e) >= 0 && a5 < i5) {
                    view2 = view3;
                    if (a5 == 0) {
                        break;
                    }
                    i5 = a5;
                }
            }
            return view2;
        }
    }

    public static class d implements Parcelable {
        public static final Parcelable.Creator<d> CREATOR = new a();

        /* renamed from: e  reason: collision with root package name */
        int f2827e;

        /* renamed from: f  reason: collision with root package name */
        int f2828f;

        /* renamed from: g  reason: collision with root package name */
        boolean f2829g;

        class a implements Parcelable.Creator<d> {
            a() {
            }

            /* renamed from: a */
            public d createFromParcel(Parcel parcel) {
                return new d(parcel);
            }

            /* renamed from: b */
            public d[] newArray(int i5) {
                return new d[i5];
            }
        }

        public d() {
        }

        d(Parcel parcel) {
            this.f2827e = parcel.readInt();
            this.f2828f = parcel.readInt();
            this.f2829g = parcel.readInt() != 1 ? false : true;
        }

        public d(d dVar) {
            this.f2827e = dVar.f2827e;
            this.f2828f = dVar.f2828f;
            this.f2829g = dVar.f2829g;
        }

        /* access modifiers changed from: package-private */
        public boolean a() {
            return this.f2827e >= 0;
        }

        /* access modifiers changed from: package-private */
        public void b() {
            this.f2827e = -1;
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i5) {
            parcel.writeInt(this.f2827e);
            parcel.writeInt(this.f2828f);
            parcel.writeInt(this.f2829g ? 1 : 0);
        }
    }

    public LinearLayoutManager(Context context) {
        this(context, 1, false);
    }

    public LinearLayoutManager(Context context, int i5, boolean z4) {
        this.mOrientation = 1;
        this.mReverseLayout = false;
        this.mShouldReverseLayout = false;
        this.mStackFromEnd = false;
        this.mSmoothScrollbarEnabled = true;
        this.mPendingScrollPosition = -1;
        this.mPendingScrollPositionOffset = Integer.MIN_VALUE;
        this.mPendingSavedState = null;
        this.mAnchorInfo = new a();
        this.mLayoutChunkResult = new b();
        this.mInitialPrefetchItemCount = 2;
        this.mReusableIntPair = new int[2];
        setOrientation(i5);
        setReverseLayout(z4);
    }

    public LinearLayoutManager(Context context, AttributeSet attributeSet, int i5, int i6) {
        this.mOrientation = 1;
        this.mReverseLayout = false;
        this.mShouldReverseLayout = false;
        this.mStackFromEnd = false;
        this.mSmoothScrollbarEnabled = true;
        this.mPendingScrollPosition = -1;
        this.mPendingScrollPositionOffset = Integer.MIN_VALUE;
        this.mPendingSavedState = null;
        this.mAnchorInfo = new a();
        this.mLayoutChunkResult = new b();
        this.mInitialPrefetchItemCount = 2;
        this.mReusableIntPair = new int[2];
        RecyclerView.p.d properties = RecyclerView.p.getProperties(context, attributeSet, i5, i6);
        setOrientation(properties.f2892a);
        setReverseLayout(properties.f2894c);
        setStackFromEnd(properties.f2895d);
    }

    private int computeScrollExtent(RecyclerView.b0 b0Var) {
        if (getChildCount() == 0) {
            return 0;
        }
        ensureLayoutState();
        return k.a(b0Var, this.mOrientationHelper, findFirstVisibleChildClosestToStart(!this.mSmoothScrollbarEnabled, true), findFirstVisibleChildClosestToEnd(!this.mSmoothScrollbarEnabled, true), this, this.mSmoothScrollbarEnabled);
    }

    private int computeScrollOffset(RecyclerView.b0 b0Var) {
        if (getChildCount() == 0) {
            return 0;
        }
        ensureLayoutState();
        return k.b(b0Var, this.mOrientationHelper, findFirstVisibleChildClosestToStart(!this.mSmoothScrollbarEnabled, true), findFirstVisibleChildClosestToEnd(!this.mSmoothScrollbarEnabled, true), this, this.mSmoothScrollbarEnabled, this.mShouldReverseLayout);
    }

    private int computeScrollRange(RecyclerView.b0 b0Var) {
        if (getChildCount() == 0) {
            return 0;
        }
        ensureLayoutState();
        return k.c(b0Var, this.mOrientationHelper, findFirstVisibleChildClosestToStart(!this.mSmoothScrollbarEnabled, true), findFirstVisibleChildClosestToEnd(!this.mSmoothScrollbarEnabled, true), this, this.mSmoothScrollbarEnabled);
    }

    private View findFirstPartiallyOrCompletelyInvisibleChild() {
        return findOnePartiallyOrCompletelyInvisibleChild(0, getChildCount());
    }

    private View findLastPartiallyOrCompletelyInvisibleChild() {
        return findOnePartiallyOrCompletelyInvisibleChild(getChildCount() - 1, -1);
    }

    private View findPartiallyOrCompletelyInvisibleChildClosestToEnd() {
        return this.mShouldReverseLayout ? findFirstPartiallyOrCompletelyInvisibleChild() : findLastPartiallyOrCompletelyInvisibleChild();
    }

    private View findPartiallyOrCompletelyInvisibleChildClosestToStart() {
        return this.mShouldReverseLayout ? findLastPartiallyOrCompletelyInvisibleChild() : findFirstPartiallyOrCompletelyInvisibleChild();
    }

    private int fixLayoutEndGap(int i5, RecyclerView.w wVar, RecyclerView.b0 b0Var, boolean z4) {
        int i6;
        int i7 = this.mOrientationHelper.i() - i5;
        if (i7 <= 0) {
            return 0;
        }
        int i8 = -scrollBy(-i7, wVar, b0Var);
        int i9 = i5 + i8;
        if (!z4 || (i6 = this.mOrientationHelper.i() - i9) <= 0) {
            return i8;
        }
        this.mOrientationHelper.r(i6);
        return i6 + i8;
    }

    private int fixLayoutStartGap(int i5, RecyclerView.w wVar, RecyclerView.b0 b0Var, boolean z4) {
        int m5;
        int m6 = i5 - this.mOrientationHelper.m();
        if (m6 <= 0) {
            return 0;
        }
        int i6 = -scrollBy(m6, wVar, b0Var);
        int i7 = i5 + i6;
        if (!z4 || (m5 = i7 - this.mOrientationHelper.m()) <= 0) {
            return i6;
        }
        this.mOrientationHelper.r(-m5);
        return i6 - m5;
    }

    private View getChildClosestToEnd() {
        return getChildAt(this.mShouldReverseLayout ? 0 : getChildCount() - 1);
    }

    private View getChildClosestToStart() {
        return getChildAt(this.mShouldReverseLayout ? getChildCount() - 1 : 0);
    }

    private void layoutForPredictiveAnimations(RecyclerView.w wVar, RecyclerView.b0 b0Var, int i5, int i6) {
        if (b0Var.g() && getChildCount() != 0 && !b0Var.e() && supportsPredictiveItemAnimations()) {
            List<RecyclerView.e0> k5 = wVar.k();
            int size = k5.size();
            int position = getPosition(getChildAt(0));
            int i7 = 0;
            int i8 = 0;
            for (int i9 = 0; i9 < size; i9++) {
                RecyclerView.e0 e0Var = k5.get(i9);
                if (!e0Var.isRemoved()) {
                    char c5 = 1;
                    if ((e0Var.getLayoutPosition() < position) != this.mShouldReverseLayout) {
                        c5 = 65535;
                    }
                    int e5 = this.mOrientationHelper.e(e0Var.itemView);
                    if (c5 == 65535) {
                        i7 += e5;
                    } else {
                        i8 += e5;
                    }
                }
            }
            this.mLayoutState.f2825l = k5;
            if (i7 > 0) {
                updateLayoutStateToFillStart(getPosition(getChildClosestToStart()), i5);
                c cVar = this.mLayoutState;
                cVar.f2821h = i7;
                cVar.f2816c = 0;
                cVar.a();
                fill(wVar, this.mLayoutState, b0Var, false);
            }
            if (i8 > 0) {
                updateLayoutStateToFillEnd(getPosition(getChildClosestToEnd()), i6);
                c cVar2 = this.mLayoutState;
                cVar2.f2821h = i8;
                cVar2.f2816c = 0;
                cVar2.a();
                fill(wVar, this.mLayoutState, b0Var, false);
            }
            this.mLayoutState.f2825l = null;
        }
    }

    private void logChildren() {
        Log.d(TAG, "internal representation of views on the screen");
        for (int i5 = 0; i5 < getChildCount(); i5++) {
            View childAt = getChildAt(i5);
            Log.d(TAG, "item " + getPosition(childAt) + ", coord:" + this.mOrientationHelper.g(childAt));
        }
        Log.d(TAG, "==============");
    }

    private void recycleByLayoutState(RecyclerView.w wVar, c cVar) {
        if (cVar.f2814a && !cVar.f2826m) {
            int i5 = cVar.f2820g;
            int i6 = cVar.f2822i;
            if (cVar.f2819f == -1) {
                recycleViewsFromEnd(wVar, i5, i6);
            } else {
                recycleViewsFromStart(wVar, i5, i6);
            }
        }
    }

    private void recycleChildren(RecyclerView.w wVar, int i5, int i6) {
        if (i5 != i6) {
            if (i6 > i5) {
                for (int i7 = i6 - 1; i7 >= i5; i7--) {
                    removeAndRecycleViewAt(i7, wVar);
                }
                return;
            }
            while (i5 > i6) {
                removeAndRecycleViewAt(i5, wVar);
                i5--;
            }
        }
    }

    private void recycleViewsFromEnd(RecyclerView.w wVar, int i5, int i6) {
        int childCount = getChildCount();
        if (i5 >= 0) {
            int h5 = (this.mOrientationHelper.h() - i5) + i6;
            if (this.mShouldReverseLayout) {
                for (int i7 = 0; i7 < childCount; i7++) {
                    View childAt = getChildAt(i7);
                    if (this.mOrientationHelper.g(childAt) < h5 || this.mOrientationHelper.q(childAt) < h5) {
                        recycleChildren(wVar, 0, i7);
                        return;
                    }
                }
                return;
            }
            int i8 = childCount - 1;
            for (int i9 = i8; i9 >= 0; i9--) {
                View childAt2 = getChildAt(i9);
                if (this.mOrientationHelper.g(childAt2) < h5 || this.mOrientationHelper.q(childAt2) < h5) {
                    recycleChildren(wVar, i8, i9);
                    return;
                }
            }
        }
    }

    private void recycleViewsFromStart(RecyclerView.w wVar, int i5, int i6) {
        if (i5 >= 0) {
            int i7 = i5 - i6;
            int childCount = getChildCount();
            if (this.mShouldReverseLayout) {
                int i8 = childCount - 1;
                for (int i9 = i8; i9 >= 0; i9--) {
                    View childAt = getChildAt(i9);
                    if (this.mOrientationHelper.d(childAt) > i7 || this.mOrientationHelper.p(childAt) > i7) {
                        recycleChildren(wVar, i8, i9);
                        return;
                    }
                }
                return;
            }
            for (int i10 = 0; i10 < childCount; i10++) {
                View childAt2 = getChildAt(i10);
                if (this.mOrientationHelper.d(childAt2) > i7 || this.mOrientationHelper.p(childAt2) > i7) {
                    recycleChildren(wVar, 0, i10);
                    return;
                }
            }
        }
    }

    private void resolveShouldLayoutReverse() {
        this.mShouldReverseLayout = (this.mOrientation == 1 || !isLayoutRTL()) ? this.mReverseLayout : !this.mReverseLayout;
    }

    private boolean updateAnchorFromChildren(RecyclerView.w wVar, RecyclerView.b0 b0Var, a aVar) {
        View findReferenceChild;
        boolean z4 = false;
        if (getChildCount() == 0) {
            return false;
        }
        View focusedChild = getFocusedChild();
        if (focusedChild == null || !aVar.d(focusedChild, b0Var)) {
            boolean z5 = this.mLastStackFromEnd;
            boolean z6 = this.mStackFromEnd;
            if (z5 != z6 || (findReferenceChild = findReferenceChild(wVar, b0Var, aVar.f2808d, z6)) == null) {
                return false;
            }
            aVar.b(findReferenceChild, getPosition(findReferenceChild));
            if (!b0Var.e() && supportsPredictiveItemAnimations()) {
                int g5 = this.mOrientationHelper.g(findReferenceChild);
                int d5 = this.mOrientationHelper.d(findReferenceChild);
                int m5 = this.mOrientationHelper.m();
                int i5 = this.mOrientationHelper.i();
                boolean z7 = d5 <= m5 && g5 < m5;
                if (g5 >= i5 && d5 > i5) {
                    z4 = true;
                }
                if (z7 || z4) {
                    if (aVar.f2808d) {
                        m5 = i5;
                    }
                    aVar.f2807c = m5;
                }
            }
            return true;
        }
        aVar.c(focusedChild, getPosition(focusedChild));
        return true;
    }

    private boolean updateAnchorFromPendingData(RecyclerView.b0 b0Var, a aVar) {
        int i5;
        boolean z4 = false;
        if (!b0Var.e() && (i5 = this.mPendingScrollPosition) != -1) {
            if (i5 < 0 || i5 >= b0Var.b()) {
                this.mPendingScrollPosition = -1;
                this.mPendingScrollPositionOffset = Integer.MIN_VALUE;
            } else {
                aVar.f2806b = this.mPendingScrollPosition;
                d dVar = this.mPendingSavedState;
                if (dVar != null && dVar.a()) {
                    boolean z5 = this.mPendingSavedState.f2829g;
                    aVar.f2808d = z5;
                    aVar.f2807c = z5 ? this.mOrientationHelper.i() - this.mPendingSavedState.f2828f : this.mOrientationHelper.m() + this.mPendingSavedState.f2828f;
                    return true;
                } else if (this.mPendingScrollPositionOffset == Integer.MIN_VALUE) {
                    View findViewByPosition = findViewByPosition(this.mPendingScrollPosition);
                    if (findViewByPosition == null) {
                        if (getChildCount() > 0) {
                            if ((this.mPendingScrollPosition < getPosition(getChildAt(0))) == this.mShouldReverseLayout) {
                                z4 = true;
                            }
                            aVar.f2808d = z4;
                        }
                        aVar.a();
                    } else if (this.mOrientationHelper.e(findViewByPosition) > this.mOrientationHelper.n()) {
                        aVar.a();
                        return true;
                    } else if (this.mOrientationHelper.g(findViewByPosition) - this.mOrientationHelper.m() < 0) {
                        aVar.f2807c = this.mOrientationHelper.m();
                        aVar.f2808d = false;
                        return true;
                    } else if (this.mOrientationHelper.i() - this.mOrientationHelper.d(findViewByPosition) < 0) {
                        aVar.f2807c = this.mOrientationHelper.i();
                        aVar.f2808d = true;
                        return true;
                    } else {
                        aVar.f2807c = aVar.f2808d ? this.mOrientationHelper.d(findViewByPosition) + this.mOrientationHelper.o() : this.mOrientationHelper.g(findViewByPosition);
                    }
                    return true;
                } else {
                    boolean z6 = this.mShouldReverseLayout;
                    aVar.f2808d = z6;
                    aVar.f2807c = z6 ? this.mOrientationHelper.i() - this.mPendingScrollPositionOffset : this.mOrientationHelper.m() + this.mPendingScrollPositionOffset;
                    return true;
                }
            }
        }
        return false;
    }

    private void updateAnchorInfoForLayout(RecyclerView.w wVar, RecyclerView.b0 b0Var, a aVar) {
        if (!updateAnchorFromPendingData(b0Var, aVar) && !updateAnchorFromChildren(wVar, b0Var, aVar)) {
            aVar.a();
            aVar.f2806b = this.mStackFromEnd ? b0Var.b() - 1 : 0;
        }
    }

    private void updateLayoutState(int i5, int i6, boolean z4, RecyclerView.b0 b0Var) {
        int i7;
        this.mLayoutState.f2826m = resolveIsInfinite();
        this.mLayoutState.f2819f = i5;
        int[] iArr = this.mReusableIntPair;
        boolean z5 = false;
        iArr[0] = 0;
        int i8 = 1;
        iArr[1] = 0;
        calculateExtraLayoutSpace(b0Var, iArr);
        int max = Math.max(0, this.mReusableIntPair[0]);
        int max2 = Math.max(0, this.mReusableIntPair[1]);
        if (i5 == 1) {
            z5 = true;
        }
        c cVar = this.mLayoutState;
        int i9 = z5 ? max2 : max;
        cVar.f2821h = i9;
        if (!z5) {
            max = max2;
        }
        cVar.f2822i = max;
        if (z5) {
            cVar.f2821h = i9 + this.mOrientationHelper.j();
            View childClosestToEnd = getChildClosestToEnd();
            c cVar2 = this.mLayoutState;
            if (this.mShouldReverseLayout) {
                i8 = -1;
            }
            cVar2.f2818e = i8;
            int position = getPosition(childClosestToEnd);
            c cVar3 = this.mLayoutState;
            cVar2.f2817d = position + cVar3.f2818e;
            cVar3.f2815b = this.mOrientationHelper.d(childClosestToEnd);
            i7 = this.mOrientationHelper.d(childClosestToEnd) - this.mOrientationHelper.i();
        } else {
            View childClosestToStart = getChildClosestToStart();
            this.mLayoutState.f2821h += this.mOrientationHelper.m();
            c cVar4 = this.mLayoutState;
            if (!this.mShouldReverseLayout) {
                i8 = -1;
            }
            cVar4.f2818e = i8;
            int position2 = getPosition(childClosestToStart);
            c cVar5 = this.mLayoutState;
            cVar4.f2817d = position2 + cVar5.f2818e;
            cVar5.f2815b = this.mOrientationHelper.g(childClosestToStart);
            i7 = (-this.mOrientationHelper.g(childClosestToStart)) + this.mOrientationHelper.m();
        }
        c cVar6 = this.mLayoutState;
        cVar6.f2816c = i6;
        if (z4) {
            cVar6.f2816c = i6 - i7;
        }
        cVar6.f2820g = i7;
    }

    private void updateLayoutStateToFillEnd(int i5, int i6) {
        this.mLayoutState.f2816c = this.mOrientationHelper.i() - i6;
        c cVar = this.mLayoutState;
        cVar.f2818e = this.mShouldReverseLayout ? -1 : 1;
        cVar.f2817d = i5;
        cVar.f2819f = 1;
        cVar.f2815b = i6;
        cVar.f2820g = Integer.MIN_VALUE;
    }

    private void updateLayoutStateToFillEnd(a aVar) {
        updateLayoutStateToFillEnd(aVar.f2806b, aVar.f2807c);
    }

    private void updateLayoutStateToFillStart(int i5, int i6) {
        this.mLayoutState.f2816c = i6 - this.mOrientationHelper.m();
        c cVar = this.mLayoutState;
        cVar.f2817d = i5;
        cVar.f2818e = this.mShouldReverseLayout ? 1 : -1;
        cVar.f2819f = -1;
        cVar.f2815b = i6;
        cVar.f2820g = Integer.MIN_VALUE;
    }

    private void updateLayoutStateToFillStart(a aVar) {
        updateLayoutStateToFillStart(aVar.f2806b, aVar.f2807c);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void assertNotInLayoutOrScroll(String str) {
        if (this.mPendingSavedState == null) {
            super.assertNotInLayoutOrScroll(str);
        }
    }

    /* access modifiers changed from: protected */
    public void calculateExtraLayoutSpace(RecyclerView.b0 b0Var, int[] iArr) {
        int i5;
        int extraLayoutSpace = getExtraLayoutSpace(b0Var);
        if (this.mLayoutState.f2819f == -1) {
            i5 = 0;
        } else {
            i5 = extraLayoutSpace;
            extraLayoutSpace = 0;
        }
        iArr[0] = extraLayoutSpace;
        iArr[1] = i5;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public boolean canScrollHorizontally() {
        return this.mOrientation == 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public boolean canScrollVertically() {
        return this.mOrientation == 1;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void collectAdjacentPrefetchPositions(int i5, int i6, RecyclerView.b0 b0Var, RecyclerView.p.c cVar) {
        if (this.mOrientation != 0) {
            i5 = i6;
        }
        if (getChildCount() != 0 && i5 != 0) {
            ensureLayoutState();
            updateLayoutState(i5 > 0 ? 1 : -1, Math.abs(i5), true, b0Var);
            collectPrefetchPositionsForLayoutState(b0Var, this.mLayoutState, cVar);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void collectInitialPrefetchPositions(int i5, RecyclerView.p.c cVar) {
        boolean z4;
        int i6;
        d dVar = this.mPendingSavedState;
        int i7 = -1;
        if (dVar == null || !dVar.a()) {
            resolveShouldLayoutReverse();
            z4 = this.mShouldReverseLayout;
            i6 = this.mPendingScrollPosition;
            if (i6 == -1) {
                i6 = z4 ? i5 - 1 : 0;
            }
        } else {
            d dVar2 = this.mPendingSavedState;
            z4 = dVar2.f2829g;
            i6 = dVar2.f2827e;
        }
        if (!z4) {
            i7 = 1;
        }
        for (int i8 = 0; i8 < this.mInitialPrefetchItemCount && i6 >= 0 && i6 < i5; i8++) {
            cVar.a(i6, 0);
            i6 += i7;
        }
    }

    /* access modifiers changed from: package-private */
    public void collectPrefetchPositionsForLayoutState(RecyclerView.b0 b0Var, c cVar, RecyclerView.p.c cVar2) {
        int i5 = cVar.f2817d;
        if (i5 >= 0 && i5 < b0Var.b()) {
            cVar2.a(i5, Math.max(0, cVar.f2820g));
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public int computeHorizontalScrollExtent(RecyclerView.b0 b0Var) {
        return computeScrollExtent(b0Var);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public int computeHorizontalScrollOffset(RecyclerView.b0 b0Var) {
        return computeScrollOffset(b0Var);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public int computeHorizontalScrollRange(RecyclerView.b0 b0Var) {
        return computeScrollRange(b0Var);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.a0.b
    public PointF computeScrollVectorForPosition(int i5) {
        if (getChildCount() == 0) {
            return null;
        }
        boolean z4 = false;
        int i6 = 1;
        if (i5 < getPosition(getChildAt(0))) {
            z4 = true;
        }
        if (z4 != this.mShouldReverseLayout) {
            i6 = -1;
        }
        return this.mOrientation == 0 ? new PointF((float) i6, CropImageView.DEFAULT_ASPECT_RATIO) : new PointF(CropImageView.DEFAULT_ASPECT_RATIO, (float) i6);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public int computeVerticalScrollExtent(RecyclerView.b0 b0Var) {
        return computeScrollExtent(b0Var);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public int computeVerticalScrollOffset(RecyclerView.b0 b0Var) {
        return computeScrollOffset(b0Var);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public int computeVerticalScrollRange(RecyclerView.b0 b0Var) {
        return computeScrollRange(b0Var);
    }

    /* access modifiers changed from: package-private */
    public int convertFocusDirectionToLayoutDirection(int i5) {
        return i5 != 1 ? i5 != 2 ? i5 != 17 ? i5 != 33 ? i5 != 66 ? (i5 == 130 && this.mOrientation == 1) ? 1 : Integer.MIN_VALUE : this.mOrientation == 0 ? 1 : Integer.MIN_VALUE : this.mOrientation == 1 ? -1 : Integer.MIN_VALUE : this.mOrientation == 0 ? -1 : Integer.MIN_VALUE : (this.mOrientation != 1 && isLayoutRTL()) ? -1 : 1 : (this.mOrientation != 1 && isLayoutRTL()) ? 1 : -1;
    }

    /* access modifiers changed from: package-private */
    public c createLayoutState() {
        return new c();
    }

    /* access modifiers changed from: package-private */
    public void ensureLayoutState() {
        if (this.mLayoutState == null) {
            this.mLayoutState = createLayoutState();
        }
    }

    /* access modifiers changed from: package-private */
    public int fill(RecyclerView.w wVar, c cVar, RecyclerView.b0 b0Var, boolean z4) {
        int i5 = cVar.f2816c;
        int i6 = cVar.f2820g;
        if (i6 != Integer.MIN_VALUE) {
            if (i5 < 0) {
                cVar.f2820g = i6 + i5;
            }
            recycleByLayoutState(wVar, cVar);
        }
        int i7 = cVar.f2816c + cVar.f2821h;
        b bVar = this.mLayoutChunkResult;
        while (true) {
            if ((!cVar.f2826m && i7 <= 0) || !cVar.c(b0Var)) {
                break;
            }
            bVar.a();
            layoutChunk(wVar, b0Var, cVar, bVar);
            if (!bVar.f2811b) {
                cVar.f2815b += bVar.f2810a * cVar.f2819f;
                if (!bVar.f2812c || cVar.f2825l != null || !b0Var.e()) {
                    int i8 = cVar.f2816c;
                    int i9 = bVar.f2810a;
                    cVar.f2816c = i8 - i9;
                    i7 -= i9;
                }
                int i10 = cVar.f2820g;
                if (i10 != Integer.MIN_VALUE) {
                    int i11 = i10 + bVar.f2810a;
                    cVar.f2820g = i11;
                    int i12 = cVar.f2816c;
                    if (i12 < 0) {
                        cVar.f2820g = i11 + i12;
                    }
                    recycleByLayoutState(wVar, cVar);
                }
                if (z4 && bVar.f2813d) {
                    break;
                }
            } else {
                break;
            }
        }
        return i5 - cVar.f2816c;
    }

    public int findFirstCompletelyVisibleItemPosition() {
        View findOneVisibleChild = findOneVisibleChild(0, getChildCount(), true, false);
        if (findOneVisibleChild == null) {
            return -1;
        }
        return getPosition(findOneVisibleChild);
    }

    /* access modifiers changed from: package-private */
    public View findFirstVisibleChildClosestToEnd(boolean z4, boolean z5) {
        int childCount;
        int i5;
        if (this.mShouldReverseLayout) {
            childCount = 0;
            i5 = getChildCount();
        } else {
            childCount = getChildCount() - 1;
            i5 = -1;
        }
        return findOneVisibleChild(childCount, i5, z4, z5);
    }

    /* access modifiers changed from: package-private */
    public View findFirstVisibleChildClosestToStart(boolean z4, boolean z5) {
        int i5;
        int childCount;
        if (this.mShouldReverseLayout) {
            i5 = getChildCount() - 1;
            childCount = -1;
        } else {
            i5 = 0;
            childCount = getChildCount();
        }
        return findOneVisibleChild(i5, childCount, z4, z5);
    }

    public int findFirstVisibleItemPosition() {
        View findOneVisibleChild = findOneVisibleChild(0, getChildCount(), false, true);
        if (findOneVisibleChild == null) {
            return -1;
        }
        return getPosition(findOneVisibleChild);
    }

    public int findLastCompletelyVisibleItemPosition() {
        View findOneVisibleChild = findOneVisibleChild(getChildCount() - 1, -1, true, false);
        if (findOneVisibleChild == null) {
            return -1;
        }
        return getPosition(findOneVisibleChild);
    }

    public int findLastVisibleItemPosition() {
        View findOneVisibleChild = findOneVisibleChild(getChildCount() - 1, -1, false, true);
        if (findOneVisibleChild == null) {
            return -1;
        }
        return getPosition(findOneVisibleChild);
    }

    /* access modifiers changed from: package-private */
    public View findOnePartiallyOrCompletelyInvisibleChild(int i5, int i6) {
        int i7;
        int i8;
        ensureLayoutState();
        if ((i6 > i5 ? 1 : i6 < i5 ? (char) 65535 : 0) == 0) {
            return getChildAt(i5);
        }
        if (this.mOrientationHelper.g(getChildAt(i5)) < this.mOrientationHelper.m()) {
            i8 = 16644;
            i7 = 16388;
        } else {
            i8 = 4161;
            i7 = 4097;
        }
        return (this.mOrientation == 0 ? this.mHorizontalBoundCheck : this.mVerticalBoundCheck).a(i5, i6, i8, i7);
    }

    /* access modifiers changed from: package-private */
    public View findOneVisibleChild(int i5, int i6, boolean z4, boolean z5) {
        ensureLayoutState();
        int i7 = 320;
        int i8 = z4 ? 24579 : 320;
        if (!z5) {
            i7 = 0;
        }
        return (this.mOrientation == 0 ? this.mHorizontalBoundCheck : this.mVerticalBoundCheck).a(i5, i6, i8, i7);
    }

    /* access modifiers changed from: package-private */
    public View findReferenceChild(RecyclerView.w wVar, RecyclerView.b0 b0Var, boolean z4, boolean z5) {
        int i5;
        int i6;
        ensureLayoutState();
        int childCount = getChildCount();
        int i7 = -1;
        if (z5) {
            i6 = getChildCount() - 1;
            i5 = -1;
        } else {
            i7 = childCount;
            i6 = 0;
            i5 = 1;
        }
        int b5 = b0Var.b();
        int m5 = this.mOrientationHelper.m();
        int i8 = this.mOrientationHelper.i();
        View view = null;
        View view2 = null;
        View view3 = null;
        while (i6 != i7) {
            View childAt = getChildAt(i6);
            int position = getPosition(childAt);
            int g5 = this.mOrientationHelper.g(childAt);
            int d5 = this.mOrientationHelper.d(childAt);
            if (position >= 0 && position < b5) {
                if (!((RecyclerView.q) childAt.getLayoutParams()).c()) {
                    boolean z6 = d5 <= m5 && g5 < m5;
                    boolean z7 = g5 >= i8 && d5 > i8;
                    if (!z6 && !z7) {
                        return childAt;
                    }
                    if (z4) {
                        if (!z7) {
                            if (view != null) {
                            }
                            view = childAt;
                        }
                    } else if (!z6) {
                        if (view != null) {
                        }
                        view = childAt;
                    }
                    view2 = childAt;
                } else if (view3 == null) {
                    view3 = childAt;
                }
            }
            i6 += i5;
        }
        return view != null ? view : view2 != null ? view2 : view3;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public View findViewByPosition(int i5) {
        int childCount = getChildCount();
        if (childCount == 0) {
            return null;
        }
        int position = i5 - getPosition(getChildAt(0));
        if (position >= 0 && position < childCount) {
            View childAt = getChildAt(position);
            if (getPosition(childAt) == i5) {
                return childAt;
            }
        }
        return super.findViewByPosition(i5);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public RecyclerView.q generateDefaultLayoutParams() {
        return new RecyclerView.q(-2, -2);
    }

    /* access modifiers changed from: protected */
    @Deprecated
    public int getExtraLayoutSpace(RecyclerView.b0 b0Var) {
        if (b0Var.d()) {
            return this.mOrientationHelper.n();
        }
        return 0;
    }

    public int getInitialPrefetchItemCount() {
        return this.mInitialPrefetchItemCount;
    }

    public int getOrientation() {
        return this.mOrientation;
    }

    public boolean getRecycleChildrenOnDetach() {
        return this.mRecycleChildrenOnDetach;
    }

    public boolean getReverseLayout() {
        return this.mReverseLayout;
    }

    public boolean getStackFromEnd() {
        return this.mStackFromEnd;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public boolean isAutoMeasureEnabled() {
        return true;
    }

    /* access modifiers changed from: protected */
    public boolean isLayoutRTL() {
        return getLayoutDirection() == 1;
    }

    public boolean isSmoothScrollbarEnabled() {
        return this.mSmoothScrollbarEnabled;
    }

    /* access modifiers changed from: package-private */
    public void layoutChunk(RecyclerView.w wVar, RecyclerView.b0 b0Var, c cVar, b bVar) {
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        View d5 = cVar.d(wVar);
        if (d5 == null) {
            bVar.f2811b = true;
            return;
        }
        RecyclerView.q qVar = (RecyclerView.q) d5.getLayoutParams();
        if (cVar.f2825l == null) {
            if (this.mShouldReverseLayout == (cVar.f2819f == -1)) {
                addView(d5);
            } else {
                addView(d5, 0);
            }
        } else {
            if (this.mShouldReverseLayout == (cVar.f2819f == -1)) {
                addDisappearingView(d5);
            } else {
                addDisappearingView(d5, 0);
            }
        }
        measureChildWithMargins(d5, 0, 0);
        bVar.f2810a = this.mOrientationHelper.e(d5);
        if (this.mOrientation == 1) {
            if (isLayoutRTL()) {
                i9 = getWidth() - getPaddingRight();
                i8 = i9 - this.mOrientationHelper.f(d5);
            } else {
                i8 = getPaddingLeft();
                i9 = this.mOrientationHelper.f(d5) + i8;
            }
            int i10 = cVar.f2819f;
            int i11 = cVar.f2815b;
            if (i10 == -1) {
                i5 = i11;
                i6 = i9;
                i7 = i11 - bVar.f2810a;
            } else {
                i7 = i11;
                i6 = i9;
                i5 = bVar.f2810a + i11;
            }
        } else {
            int paddingTop = getPaddingTop();
            int f5 = this.mOrientationHelper.f(d5) + paddingTop;
            int i12 = cVar.f2819f;
            int i13 = cVar.f2815b;
            if (i12 == -1) {
                i6 = i13;
                i7 = paddingTop;
                i5 = f5;
                i8 = i13 - bVar.f2810a;
            } else {
                i7 = paddingTop;
                i6 = bVar.f2810a + i13;
                i5 = f5;
                i8 = i13;
            }
        }
        layoutDecoratedWithMargins(d5, i8, i7, i6, i5);
        if (qVar.c() || qVar.b()) {
            bVar.f2812c = true;
        }
        bVar.f2813d = d5.hasFocusable();
    }

    /* access modifiers changed from: package-private */
    public void onAnchorReady(RecyclerView.w wVar, RecyclerView.b0 b0Var, a aVar, int i5) {
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onDetachedFromWindow(RecyclerView recyclerView, RecyclerView.w wVar) {
        super.onDetachedFromWindow(recyclerView, wVar);
        if (this.mRecycleChildrenOnDetach) {
            removeAndRecycleAllViews(wVar);
            wVar.c();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public View onFocusSearchFailed(View view, int i5, RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        int convertFocusDirectionToLayoutDirection;
        resolveShouldLayoutReverse();
        if (getChildCount() == 0 || (convertFocusDirectionToLayoutDirection = convertFocusDirectionToLayoutDirection(i5)) == Integer.MIN_VALUE) {
            return null;
        }
        ensureLayoutState();
        updateLayoutState(convertFocusDirectionToLayoutDirection, (int) (((float) this.mOrientationHelper.n()) * MAX_SCROLL_FACTOR), false, b0Var);
        c cVar = this.mLayoutState;
        cVar.f2820g = Integer.MIN_VALUE;
        cVar.f2814a = false;
        fill(wVar, cVar, b0Var, true);
        View findPartiallyOrCompletelyInvisibleChildClosestToStart = convertFocusDirectionToLayoutDirection == -1 ? findPartiallyOrCompletelyInvisibleChildClosestToStart() : findPartiallyOrCompletelyInvisibleChildClosestToEnd();
        View childClosestToStart = convertFocusDirectionToLayoutDirection == -1 ? getChildClosestToStart() : getChildClosestToEnd();
        if (!childClosestToStart.hasFocusable()) {
            return findPartiallyOrCompletelyInvisibleChildClosestToStart;
        }
        if (findPartiallyOrCompletelyInvisibleChildClosestToStart == null) {
            return null;
        }
        return childClosestToStart;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        if (getChildCount() > 0) {
            accessibilityEvent.setFromIndex(findFirstVisibleItemPosition());
            accessibilityEvent.setToIndex(findLastVisibleItemPosition());
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onLayoutChildren(RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        int i5;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        View findViewByPosition;
        int i11;
        int i12;
        int i13 = -1;
        if (!(this.mPendingSavedState == null && this.mPendingScrollPosition == -1) && b0Var.b() == 0) {
            removeAndRecycleAllViews(wVar);
            return;
        }
        d dVar = this.mPendingSavedState;
        if (dVar != null && dVar.a()) {
            this.mPendingScrollPosition = this.mPendingSavedState.f2827e;
        }
        ensureLayoutState();
        this.mLayoutState.f2814a = false;
        resolveShouldLayoutReverse();
        View focusedChild = getFocusedChild();
        a aVar = this.mAnchorInfo;
        if (!aVar.f2809e || this.mPendingScrollPosition != -1 || this.mPendingSavedState != null) {
            aVar.e();
            a aVar2 = this.mAnchorInfo;
            aVar2.f2808d = this.mShouldReverseLayout ^ this.mStackFromEnd;
            updateAnchorInfoForLayout(wVar, b0Var, aVar2);
            this.mAnchorInfo.f2809e = true;
        } else if (focusedChild != null && (this.mOrientationHelper.g(focusedChild) >= this.mOrientationHelper.i() || this.mOrientationHelper.d(focusedChild) <= this.mOrientationHelper.m())) {
            this.mAnchorInfo.c(focusedChild, getPosition(focusedChild));
        }
        c cVar = this.mLayoutState;
        cVar.f2819f = cVar.f2824k >= 0 ? 1 : -1;
        int[] iArr = this.mReusableIntPair;
        iArr[0] = 0;
        iArr[1] = 0;
        calculateExtraLayoutSpace(b0Var, iArr);
        int max = Math.max(0, this.mReusableIntPair[0]) + this.mOrientationHelper.m();
        int max2 = Math.max(0, this.mReusableIntPair[1]) + this.mOrientationHelper.j();
        if (!(!b0Var.e() || (i10 = this.mPendingScrollPosition) == -1 || this.mPendingScrollPositionOffset == Integer.MIN_VALUE || (findViewByPosition = findViewByPosition(i10)) == null)) {
            if (this.mShouldReverseLayout) {
                i11 = this.mOrientationHelper.i() - this.mOrientationHelper.d(findViewByPosition);
                i12 = this.mPendingScrollPositionOffset;
            } else {
                i12 = this.mOrientationHelper.g(findViewByPosition) - this.mOrientationHelper.m();
                i11 = this.mPendingScrollPositionOffset;
            }
            int i14 = i11 - i12;
            if (i14 > 0) {
                max += i14;
            } else {
                max2 -= i14;
            }
        }
        a aVar3 = this.mAnchorInfo;
        if (!aVar3.f2808d ? !this.mShouldReverseLayout : this.mShouldReverseLayout) {
            i13 = 1;
        }
        onAnchorReady(wVar, b0Var, aVar3, i13);
        detachAndScrapAttachedViews(wVar);
        this.mLayoutState.f2826m = resolveIsInfinite();
        this.mLayoutState.f2823j = b0Var.e();
        this.mLayoutState.f2822i = 0;
        a aVar4 = this.mAnchorInfo;
        if (aVar4.f2808d) {
            updateLayoutStateToFillStart(aVar4);
            c cVar2 = this.mLayoutState;
            cVar2.f2821h = max;
            fill(wVar, cVar2, b0Var, false);
            c cVar3 = this.mLayoutState;
            i6 = cVar3.f2815b;
            int i15 = cVar3.f2817d;
            int i16 = cVar3.f2816c;
            if (i16 > 0) {
                max2 += i16;
            }
            updateLayoutStateToFillEnd(this.mAnchorInfo);
            c cVar4 = this.mLayoutState;
            cVar4.f2821h = max2;
            cVar4.f2817d += cVar4.f2818e;
            fill(wVar, cVar4, b0Var, false);
            c cVar5 = this.mLayoutState;
            i5 = cVar5.f2815b;
            int i17 = cVar5.f2816c;
            if (i17 > 0) {
                updateLayoutStateToFillStart(i15, i6);
                c cVar6 = this.mLayoutState;
                cVar6.f2821h = i17;
                fill(wVar, cVar6, b0Var, false);
                i6 = this.mLayoutState.f2815b;
            }
        } else {
            updateLayoutStateToFillEnd(aVar4);
            c cVar7 = this.mLayoutState;
            cVar7.f2821h = max2;
            fill(wVar, cVar7, b0Var, false);
            c cVar8 = this.mLayoutState;
            i5 = cVar8.f2815b;
            int i18 = cVar8.f2817d;
            int i19 = cVar8.f2816c;
            if (i19 > 0) {
                max += i19;
            }
            updateLayoutStateToFillStart(this.mAnchorInfo);
            c cVar9 = this.mLayoutState;
            cVar9.f2821h = max;
            cVar9.f2817d += cVar9.f2818e;
            fill(wVar, cVar9, b0Var, false);
            c cVar10 = this.mLayoutState;
            i6 = cVar10.f2815b;
            int i20 = cVar10.f2816c;
            if (i20 > 0) {
                updateLayoutStateToFillEnd(i18, i5);
                c cVar11 = this.mLayoutState;
                cVar11.f2821h = i20;
                fill(wVar, cVar11, b0Var, false);
                i5 = this.mLayoutState.f2815b;
            }
        }
        if (getChildCount() > 0) {
            if (this.mShouldReverseLayout ^ this.mStackFromEnd) {
                int fixLayoutEndGap = fixLayoutEndGap(i5, wVar, b0Var, true);
                i8 = i6 + fixLayoutEndGap;
                i7 = i5 + fixLayoutEndGap;
                i9 = fixLayoutStartGap(i8, wVar, b0Var, false);
            } else {
                int fixLayoutStartGap = fixLayoutStartGap(i6, wVar, b0Var, true);
                i8 = i6 + fixLayoutStartGap;
                i7 = i5 + fixLayoutStartGap;
                i9 = fixLayoutEndGap(i7, wVar, b0Var, false);
            }
            i6 = i8 + i9;
            i5 = i7 + i9;
        }
        layoutForPredictiveAnimations(wVar, b0Var, i6, i5);
        if (!b0Var.e()) {
            this.mOrientationHelper.s();
        } else {
            this.mAnchorInfo.e();
        }
        this.mLastStackFromEnd = this.mStackFromEnd;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onLayoutCompleted(RecyclerView.b0 b0Var) {
        super.onLayoutCompleted(b0Var);
        this.mPendingSavedState = null;
        this.mPendingScrollPosition = -1;
        this.mPendingScrollPositionOffset = Integer.MIN_VALUE;
        this.mAnchorInfo.e();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (parcelable instanceof d) {
            d dVar = (d) parcelable;
            this.mPendingSavedState = dVar;
            if (this.mPendingScrollPosition != -1) {
                dVar.b();
            }
            requestLayout();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public Parcelable onSaveInstanceState() {
        if (this.mPendingSavedState != null) {
            return new d(this.mPendingSavedState);
        }
        d dVar = new d();
        if (getChildCount() > 0) {
            ensureLayoutState();
            boolean z4 = this.mLastStackFromEnd ^ this.mShouldReverseLayout;
            dVar.f2829g = z4;
            if (z4) {
                View childClosestToEnd = getChildClosestToEnd();
                dVar.f2828f = this.mOrientationHelper.i() - this.mOrientationHelper.d(childClosestToEnd);
                dVar.f2827e = getPosition(childClosestToEnd);
            } else {
                View childClosestToStart = getChildClosestToStart();
                dVar.f2827e = getPosition(childClosestToStart);
                dVar.f2828f = this.mOrientationHelper.g(childClosestToStart) - this.mOrientationHelper.m();
            }
        } else {
            dVar.b();
        }
        return dVar;
    }

    public void prepareForDrop(View view, View view2, int i5, int i6) {
        int i7;
        assertNotInLayoutOrScroll("Cannot drop a view during a scroll or layout calculation");
        ensureLayoutState();
        resolveShouldLayoutReverse();
        int position = getPosition(view);
        int position2 = getPosition(view2);
        char c5 = position < position2 ? (char) 1 : 65535;
        if (this.mShouldReverseLayout) {
            if (c5 == 1) {
                scrollToPositionWithOffset(position2, this.mOrientationHelper.i() - (this.mOrientationHelper.g(view2) + this.mOrientationHelper.e(view)));
                return;
            }
            i7 = this.mOrientationHelper.i() - this.mOrientationHelper.d(view2);
        } else if (c5 == 65535) {
            i7 = this.mOrientationHelper.g(view2);
        } else {
            scrollToPositionWithOffset(position2, this.mOrientationHelper.d(view2) - this.mOrientationHelper.e(view));
            return;
        }
        scrollToPositionWithOffset(position2, i7);
    }

    /* access modifiers changed from: package-private */
    public boolean resolveIsInfinite() {
        return this.mOrientationHelper.k() == 0 && this.mOrientationHelper.h() == 0;
    }

    /* access modifiers changed from: package-private */
    public int scrollBy(int i5, RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        if (getChildCount() == 0 || i5 == 0) {
            return 0;
        }
        ensureLayoutState();
        this.mLayoutState.f2814a = true;
        int i6 = i5 > 0 ? 1 : -1;
        int abs = Math.abs(i5);
        updateLayoutState(i6, abs, true, b0Var);
        c cVar = this.mLayoutState;
        int fill = cVar.f2820g + fill(wVar, cVar, b0Var, false);
        if (fill < 0) {
            return 0;
        }
        if (abs > fill) {
            i5 = i6 * fill;
        }
        this.mOrientationHelper.r(-i5);
        this.mLayoutState.f2824k = i5;
        return i5;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public int scrollHorizontallyBy(int i5, RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        if (this.mOrientation == 1) {
            return 0;
        }
        return scrollBy(i5, wVar, b0Var);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void scrollToPosition(int i5) {
        this.mPendingScrollPosition = i5;
        this.mPendingScrollPositionOffset = Integer.MIN_VALUE;
        d dVar = this.mPendingSavedState;
        if (dVar != null) {
            dVar.b();
        }
        requestLayout();
    }

    public void scrollToPositionWithOffset(int i5, int i6) {
        this.mPendingScrollPosition = i5;
        this.mPendingScrollPositionOffset = i6;
        d dVar = this.mPendingSavedState;
        if (dVar != null) {
            dVar.b();
        }
        requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public int scrollVerticallyBy(int i5, RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        if (this.mOrientation == 0) {
            return 0;
        }
        return scrollBy(i5, wVar, b0Var);
    }

    public void setInitialPrefetchItemCount(int i5) {
        this.mInitialPrefetchItemCount = i5;
    }

    public void setOrientation(int i5) {
        if (i5 == 0 || i5 == 1) {
            assertNotInLayoutOrScroll(null);
            if (i5 != this.mOrientation || this.mOrientationHelper == null) {
                i b5 = i.b(this, i5);
                this.mOrientationHelper = b5;
                this.mAnchorInfo.f2805a = b5;
                this.mOrientation = i5;
                requestLayout();
                return;
            }
            return;
        }
        throw new IllegalArgumentException("invalid orientation:" + i5);
    }

    public void setRecycleChildrenOnDetach(boolean z4) {
        this.mRecycleChildrenOnDetach = z4;
    }

    public void setReverseLayout(boolean z4) {
        assertNotInLayoutOrScroll(null);
        if (z4 != this.mReverseLayout) {
            this.mReverseLayout = z4;
            requestLayout();
        }
    }

    public void setSmoothScrollbarEnabled(boolean z4) {
        this.mSmoothScrollbarEnabled = z4;
    }

    public void setStackFromEnd(boolean z4) {
        assertNotInLayoutOrScroll(null);
        if (this.mStackFromEnd != z4) {
            this.mStackFromEnd = z4;
            requestLayout();
        }
    }

    /* access modifiers changed from: package-private */
    @Override // androidx.recyclerview.widget.RecyclerView.p
    public boolean shouldMeasureTwice() {
        return (getHeightMode() == 1073741824 || getWidthMode() == 1073741824 || !hasFlexibleChildInBothOrientations()) ? false : true;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void smoothScrollToPosition(RecyclerView recyclerView, RecyclerView.b0 b0Var, int i5) {
        g gVar = new g(recyclerView.getContext());
        gVar.p(i5);
        startSmoothScroll(gVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public boolean supportsPredictiveItemAnimations() {
        return this.mPendingSavedState == null && this.mLastStackFromEnd == this.mStackFromEnd;
    }

    /* access modifiers changed from: package-private */
    public void validateChildOrder() {
        Log.d(TAG, "validating child count " + getChildCount());
        boolean z4 = true;
        if (getChildCount() >= 1) {
            int position = getPosition(getChildAt(0));
            int g5 = this.mOrientationHelper.g(getChildAt(0));
            if (this.mShouldReverseLayout) {
                for (int i5 = 1; i5 < getChildCount(); i5++) {
                    View childAt = getChildAt(i5);
                    int position2 = getPosition(childAt);
                    int g6 = this.mOrientationHelper.g(childAt);
                    if (position2 < position) {
                        logChildren();
                        StringBuilder sb = new StringBuilder();
                        sb.append("detected invalid position. loc invalid? ");
                        if (g6 >= g5) {
                            z4 = false;
                        }
                        sb.append(z4);
                        throw new RuntimeException(sb.toString());
                    } else if (g6 > g5) {
                        logChildren();
                        throw new RuntimeException("detected invalid location");
                    }
                }
                return;
            }
            for (int i6 = 1; i6 < getChildCount(); i6++) {
                View childAt2 = getChildAt(i6);
                int position3 = getPosition(childAt2);
                int g7 = this.mOrientationHelper.g(childAt2);
                if (position3 < position) {
                    logChildren();
                    StringBuilder sb2 = new StringBuilder();
                    sb2.append("detected invalid position. loc invalid? ");
                    if (g7 >= g5) {
                        z4 = false;
                    }
                    sb2.append(z4);
                    throw new RuntimeException(sb2.toString());
                } else if (g7 < g5) {
                    logChildren();
                    throw new RuntimeException("detected invalid location");
                }
            }
        }
    }
}
