package androidx.recyclerview.widget;

import android.animation.LayoutTransition;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.database.Observable;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.RectF;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.StateListDrawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.os.SystemClock;
import android.util.AttributeSet;
import android.util.Log;
import android.util.SparseArray;
import android.view.Display;
import android.view.FocusFinder;
import android.view.MotionEvent;
import android.view.VelocityTracker;
import android.view.View;
import android.view.ViewConfiguration;
import android.view.ViewGroup;
import android.view.ViewParent;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import android.view.animation.Interpolator;
import android.widget.EdgeEffect;
import android.widget.OverScroller;
import androidx.recyclerview.widget.a;
import androidx.recyclerview.widget.b;
import androidx.recyclerview.widget.e;
import androidx.recyclerview.widget.j;
import androidx.recyclerview.widget.m;
import androidx.recyclerview.widget.n;
import com.luck.picture.lib.io.LruArrayPool;
import com.luck.picture.lib.tools.PictureFileUtils;
import com.luck.picture.lib.widget.longimage.SubsamplingScaleImageView;
import com.yalantis.ucrop.view.CropImageView;
import g0.c;
import java.lang.ref.WeakReference;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class RecyclerView extends ViewGroup implements androidx.core.view.o {
    static final boolean ALLOW_SIZE_IN_UNSPECIFIED_SPEC;
    static final boolean ALLOW_THREAD_GAP_WORK;
    static final boolean DEBUG = false;
    static final int DEFAULT_ORIENTATION = 1;
    static final boolean DISPATCH_TEMP_DETACH = false;
    private static final boolean FORCE_ABS_FOCUS_SEARCH_DIRECTION;
    static final boolean FORCE_INVALIDATE_DISPLAY_LIST;
    static final long FOREVER_NS = Long.MAX_VALUE;
    public static final int HORIZONTAL = 0;
    private static final boolean IGNORE_DETACHED_FOCUSED_CHILD;
    private static final int INVALID_POINTER = -1;
    public static final int INVALID_TYPE = -1;
    private static final Class<?>[] LAYOUT_MANAGER_CONSTRUCTOR_SIGNATURE;
    static final int MAX_SCROLL_DURATION = 2000;
    private static final int[] NESTED_SCROLLING_ATTRS = {16843830};
    public static final long NO_ID = -1;
    public static final int NO_POSITION = -1;
    static final boolean POST_UPDATES_ON_ANIMATION;
    public static final int SCROLL_STATE_DRAGGING = 1;
    public static final int SCROLL_STATE_IDLE = 0;
    public static final int SCROLL_STATE_SETTLING = 2;
    static final String TAG = "RecyclerView";
    public static final int TOUCH_SLOP_DEFAULT = 0;
    public static final int TOUCH_SLOP_PAGING = 1;
    static final String TRACE_BIND_VIEW_TAG = "RV OnBindView";
    static final String TRACE_CREATE_VIEW_TAG = "RV CreateView";
    private static final String TRACE_HANDLE_ADAPTER_UPDATES_TAG = "RV PartialInvalidate";
    static final String TRACE_NESTED_PREFETCH_TAG = "RV Nested Prefetch";
    private static final String TRACE_ON_DATA_SET_CHANGE_LAYOUT_TAG = "RV FullInvalidate";
    private static final String TRACE_ON_LAYOUT_TAG = "RV OnLayout";
    static final String TRACE_PREFETCH_TAG = "RV Prefetch";
    static final String TRACE_SCROLL_TAG = "RV Scroll";
    public static final int UNDEFINED_DURATION = Integer.MIN_VALUE;
    static final boolean VERBOSE_TRACING = false;
    public static final int VERTICAL = 1;
    static final Interpolator sQuinticInterpolator = new c();
    j mAccessibilityDelegate;
    private final AccessibilityManager mAccessibilityManager;
    h mAdapter;
    a mAdapterHelper;
    boolean mAdapterUpdateDuringMeasure;
    private EdgeEffect mBottomGlow;
    private k mChildDrawingOrderCallback;
    b mChildHelper;
    boolean mClipToPadding;
    boolean mDataSetHasChangedAfterLayout;
    boolean mDispatchItemsChangedEvent;
    private int mDispatchScrollCounter;
    private int mEatenAccessibilityChangeFlags;
    private l mEdgeEffectFactory;
    boolean mEnableFastScroller;
    boolean mFirstLayoutComplete;
    e mGapWorker;
    boolean mHasFixedSize;
    private boolean mIgnoreMotionEventTillDown;
    private int mInitialTouchX;
    private int mInitialTouchY;
    private int mInterceptRequestLayoutDepth;
    private t mInterceptingOnItemTouchListener;
    boolean mIsAttached;
    m mItemAnimator;
    private m.b mItemAnimatorListener;
    private Runnable mItemAnimatorRunner;
    final ArrayList<o> mItemDecorations;
    boolean mItemsAddedOrRemoved;
    boolean mItemsChanged;
    private int mLastAutoMeasureNonExactMeasuredHeight;
    private int mLastAutoMeasureNonExactMeasuredWidth;
    private boolean mLastAutoMeasureSkippedDueToExact;
    private int mLastTouchX;
    private int mLastTouchY;
    p mLayout;
    private int mLayoutOrScrollCounter;
    boolean mLayoutSuppressed;
    boolean mLayoutWasDefered;
    private EdgeEffect mLeftGlow;
    private final int mMaxFlingVelocity;
    private final int mMinFlingVelocity;
    private final int[] mMinMaxLayoutPositions;
    private final int[] mNestedOffsets;
    private final y mObserver;
    private List<r> mOnChildAttachStateListeners;
    private s mOnFlingListener;
    private final ArrayList<t> mOnItemTouchListeners;
    final List<e0> mPendingAccessibilityImportanceChange;
    z mPendingSavedState;
    boolean mPostedAnimatorRunner;
    e.b mPrefetchRegistry;
    private boolean mPreserveFocusAfterLayout;
    final w mRecycler;
    x mRecyclerListener;
    final List<x> mRecyclerListeners;
    final int[] mReusableIntPair;
    private EdgeEffect mRightGlow;
    private float mScaledHorizontalScrollFactor;
    private float mScaledVerticalScrollFactor;
    private u mScrollListener;
    private List<u> mScrollListeners;
    private final int[] mScrollOffset;
    private int mScrollPointerId;
    private int mScrollState;
    private androidx.core.view.p mScrollingChildHelper;
    final b0 mState;
    final Rect mTempRect;
    private final Rect mTempRect2;
    final RectF mTempRectF;
    private EdgeEffect mTopGlow;
    private int mTouchSlop;
    final Runnable mUpdateChildViewsRunnable;
    private VelocityTracker mVelocityTracker;
    final d0 mViewFlinger;
    private final n.b mViewInfoProcessCallback;
    final n mViewInfoStore;

    class a implements Runnable {
        a() {
        }

        public void run() {
            RecyclerView recyclerView = RecyclerView.this;
            if (recyclerView.mFirstLayoutComplete && !recyclerView.isLayoutRequested()) {
                RecyclerView recyclerView2 = RecyclerView.this;
                if (!recyclerView2.mIsAttached) {
                    recyclerView2.requestLayout();
                } else if (recyclerView2.mLayoutSuppressed) {
                    recyclerView2.mLayoutWasDefered = true;
                } else {
                    recyclerView2.consumePendingUpdateOperations();
                }
            }
        }
    }

    public static abstract class a0 {

        /* renamed from: a  reason: collision with root package name */
        private int f2831a = -1;

        /* renamed from: b  reason: collision with root package name */
        private RecyclerView f2832b;

        /* renamed from: c  reason: collision with root package name */
        private p f2833c;

        /* renamed from: d  reason: collision with root package name */
        private boolean f2834d;

        /* renamed from: e  reason: collision with root package name */
        private boolean f2835e;

        /* renamed from: f  reason: collision with root package name */
        private View f2836f;

        /* renamed from: g  reason: collision with root package name */
        private final a f2837g = new a(0, 0);

        /* renamed from: h  reason: collision with root package name */
        private boolean f2838h;

        public static class a {

            /* renamed from: a  reason: collision with root package name */
            private int f2839a;

            /* renamed from: b  reason: collision with root package name */
            private int f2840b;

            /* renamed from: c  reason: collision with root package name */
            private int f2841c;

            /* renamed from: d  reason: collision with root package name */
            private int f2842d;

            /* renamed from: e  reason: collision with root package name */
            private Interpolator f2843e;

            /* renamed from: f  reason: collision with root package name */
            private boolean f2844f;

            /* renamed from: g  reason: collision with root package name */
            private int f2845g;

            public a(int i5, int i6) {
                this(i5, i6, Integer.MIN_VALUE, null);
            }

            public a(int i5, int i6, int i7, Interpolator interpolator) {
                this.f2842d = -1;
                this.f2844f = false;
                this.f2845g = 0;
                this.f2839a = i5;
                this.f2840b = i6;
                this.f2841c = i7;
                this.f2843e = interpolator;
            }

            private void e() {
                if (this.f2843e != null && this.f2841c < 1) {
                    throw new IllegalStateException("If you provide an interpolator, you must set a positive duration");
                } else if (this.f2841c < 1) {
                    throw new IllegalStateException("Scroll duration must be a positive number");
                }
            }

            /* access modifiers changed from: package-private */
            public boolean a() {
                return this.f2842d >= 0;
            }

            public void b(int i5) {
                this.f2842d = i5;
            }

            /* access modifiers changed from: package-private */
            public void c(RecyclerView recyclerView) {
                int i5 = this.f2842d;
                if (i5 >= 0) {
                    this.f2842d = -1;
                    recyclerView.jumpToPositionForSmoothScroller(i5);
                    this.f2844f = false;
                } else if (this.f2844f) {
                    e();
                    recyclerView.mViewFlinger.e(this.f2839a, this.f2840b, this.f2841c, this.f2843e);
                    int i6 = this.f2845g + 1;
                    this.f2845g = i6;
                    if (i6 > 10) {
                        Log.e(RecyclerView.TAG, "Smooth Scroll action is being updated too frequently. Make sure you are not changing it unless necessary");
                    }
                    this.f2844f = false;
                } else {
                    this.f2845g = 0;
                }
            }

            public void d(int i5, int i6, int i7, Interpolator interpolator) {
                this.f2839a = i5;
                this.f2840b = i6;
                this.f2841c = i7;
                this.f2843e = interpolator;
                this.f2844f = true;
            }
        }

        public interface b {
            PointF computeScrollVectorForPosition(int i5);
        }

        public PointF a(int i5) {
            p e5 = e();
            if (e5 instanceof b) {
                return ((b) e5).computeScrollVectorForPosition(i5);
            }
            Log.w(RecyclerView.TAG, "You should override computeScrollVectorForPosition when the LayoutManager does not implement " + b.class.getCanonicalName());
            return null;
        }

        public View b(int i5) {
            return this.f2832b.mLayout.findViewByPosition(i5);
        }

        public int c() {
            return this.f2832b.mLayout.getChildCount();
        }

        public int d(View view) {
            return this.f2832b.getChildLayoutPosition(view);
        }

        public p e() {
            return this.f2833c;
        }

        public int f() {
            return this.f2831a;
        }

        public boolean g() {
            return this.f2834d;
        }

        public boolean h() {
            return this.f2835e;
        }

        /* access modifiers changed from: protected */
        public void i(PointF pointF) {
            float f5 = pointF.x;
            float f6 = pointF.y;
            float sqrt = (float) Math.sqrt((double) ((f5 * f5) + (f6 * f6)));
            pointF.x /= sqrt;
            pointF.y /= sqrt;
        }

        /* access modifiers changed from: package-private */
        public void j(int i5, int i6) {
            PointF a5;
            RecyclerView recyclerView = this.f2832b;
            if (this.f2831a == -1 || recyclerView == null) {
                r();
            }
            if (this.f2834d && this.f2836f == null && this.f2833c != null && (a5 = a(this.f2831a)) != null) {
                float f5 = a5.x;
                if (!(f5 == CropImageView.DEFAULT_ASPECT_RATIO && a5.y == CropImageView.DEFAULT_ASPECT_RATIO)) {
                    recyclerView.scrollStep((int) Math.signum(f5), (int) Math.signum(a5.y), null);
                }
            }
            this.f2834d = false;
            View view = this.f2836f;
            if (view != null) {
                if (d(view) == this.f2831a) {
                    o(this.f2836f, recyclerView.mState, this.f2837g);
                    this.f2837g.c(recyclerView);
                    r();
                } else {
                    Log.e(RecyclerView.TAG, "Passed over target position while smooth scrolling.");
                    this.f2836f = null;
                }
            }
            if (this.f2835e) {
                l(i5, i6, recyclerView.mState, this.f2837g);
                boolean a6 = this.f2837g.a();
                this.f2837g.c(recyclerView);
                if (a6 && this.f2835e) {
                    this.f2834d = true;
                    recyclerView.mViewFlinger.d();
                }
            }
        }

        /* access modifiers changed from: protected */
        public void k(View view) {
            if (d(view) == f()) {
                this.f2836f = view;
            }
        }

        /* access modifiers changed from: protected */
        public abstract void l(int i5, int i6, b0 b0Var, a aVar);

        /* access modifiers changed from: protected */
        public abstract void m();

        /* access modifiers changed from: protected */
        public abstract void n();

        /* access modifiers changed from: protected */
        public abstract void o(View view, b0 b0Var, a aVar);

        public void p(int i5) {
            this.f2831a = i5;
        }

        /* access modifiers changed from: package-private */
        public void q(RecyclerView recyclerView, p pVar) {
            recyclerView.mViewFlinger.f();
            if (this.f2838h) {
                Log.w(RecyclerView.TAG, "An instance of " + getClass().getSimpleName() + " was started more than once. Each instance of" + getClass().getSimpleName() + " is intended to only be used once. You should create a new instance for each use.");
            }
            this.f2832b = recyclerView;
            this.f2833c = pVar;
            int i5 = this.f2831a;
            if (i5 != -1) {
                recyclerView.mState.f2847a = i5;
                this.f2835e = true;
                this.f2834d = true;
                this.f2836f = b(f());
                m();
                this.f2832b.mViewFlinger.d();
                this.f2838h = true;
                return;
            }
            throw new IllegalArgumentException("Invalid target position");
        }

        /* access modifiers changed from: protected */
        public final void r() {
            if (this.f2835e) {
                this.f2835e = false;
                n();
                this.f2832b.mState.f2847a = -1;
                this.f2836f = null;
                this.f2831a = -1;
                this.f2834d = false;
                this.f2833c.onSmoothScrollerStopped(this);
                this.f2833c = null;
                this.f2832b = null;
            }
        }
    }

    class b implements Runnable {
        b() {
        }

        public void run() {
            m mVar = RecyclerView.this.mItemAnimator;
            if (mVar != null) {
                mVar.u();
            }
            RecyclerView.this.mPostedAnimatorRunner = false;
        }
    }

    public static class b0 {

        /* renamed from: a  reason: collision with root package name */
        int f2847a = -1;

        /* renamed from: b  reason: collision with root package name */
        private SparseArray<Object> f2848b;

        /* renamed from: c  reason: collision with root package name */
        int f2849c = 0;

        /* renamed from: d  reason: collision with root package name */
        int f2850d = 0;

        /* renamed from: e  reason: collision with root package name */
        int f2851e = 1;

        /* renamed from: f  reason: collision with root package name */
        int f2852f = 0;

        /* renamed from: g  reason: collision with root package name */
        boolean f2853g = false;

        /* renamed from: h  reason: collision with root package name */
        boolean f2854h = false;

        /* renamed from: i  reason: collision with root package name */
        boolean f2855i = false;

        /* renamed from: j  reason: collision with root package name */
        boolean f2856j = false;

        /* renamed from: k  reason: collision with root package name */
        boolean f2857k = false;

        /* renamed from: l  reason: collision with root package name */
        boolean f2858l = false;

        /* renamed from: m  reason: collision with root package name */
        int f2859m;

        /* renamed from: n  reason: collision with root package name */
        long f2860n;

        /* renamed from: o  reason: collision with root package name */
        int f2861o;

        /* renamed from: p  reason: collision with root package name */
        int f2862p;

        /* renamed from: q  reason: collision with root package name */
        int f2863q;

        /* access modifiers changed from: package-private */
        public void a(int i5) {
            if ((this.f2851e & i5) == 0) {
                throw new IllegalStateException("Layout state should be one of " + Integer.toBinaryString(i5) + " but it is " + Integer.toBinaryString(this.f2851e));
            }
        }

        public int b() {
            return this.f2854h ? this.f2849c - this.f2850d : this.f2852f;
        }

        public int c() {
            return this.f2847a;
        }

        public boolean d() {
            return this.f2847a != -1;
        }

        public boolean e() {
            return this.f2854h;
        }

        /* access modifiers changed from: package-private */
        public void f(h hVar) {
            this.f2851e = 1;
            this.f2852f = hVar.getItemCount();
            this.f2854h = false;
            this.f2855i = false;
            this.f2856j = false;
        }

        public boolean g() {
            return this.f2858l;
        }

        public String toString() {
            return "State{mTargetPosition=" + this.f2847a + ", mData=" + this.f2848b + ", mItemCount=" + this.f2852f + ", mIsMeasuring=" + this.f2856j + ", mPreviousLayoutItemCount=" + this.f2849c + ", mDeletedInvisibleItemCountSincePreviousLayout=" + this.f2850d + ", mStructureChanged=" + this.f2853g + ", mInPreLayout=" + this.f2854h + ", mRunSimpleAnimations=" + this.f2857k + ", mRunPredictiveAnimations=" + this.f2858l + '}';
        }
    }

    class c implements Interpolator {
        c() {
        }

        public float getInterpolation(float f5) {
            float f6 = f5 - 1.0f;
            return (f6 * f6 * f6 * f6 * f6) + 1.0f;
        }
    }

    public static abstract class c0 {
    }

    class d implements n.b {
        d() {
        }

        @Override // androidx.recyclerview.widget.n.b
        public void a(e0 e0Var) {
            RecyclerView recyclerView = RecyclerView.this;
            recyclerView.mLayout.removeAndRecycleView(e0Var.itemView, recyclerView.mRecycler);
        }

        @Override // androidx.recyclerview.widget.n.b
        public void b(e0 e0Var, m.c cVar, m.c cVar2) {
            RecyclerView.this.animateAppearance(e0Var, cVar, cVar2);
        }

        @Override // androidx.recyclerview.widget.n.b
        public void c(e0 e0Var, m.c cVar, m.c cVar2) {
            RecyclerView.this.mRecycler.J(e0Var);
            RecyclerView.this.animateDisappearance(e0Var, cVar, cVar2);
        }

        @Override // androidx.recyclerview.widget.n.b
        public void d(e0 e0Var, m.c cVar, m.c cVar2) {
            e0Var.setIsRecyclable(false);
            RecyclerView recyclerView = RecyclerView.this;
            boolean z4 = recyclerView.mDataSetHasChangedAfterLayout;
            m mVar = recyclerView.mItemAnimator;
            if (z4) {
                if (!mVar.b(e0Var, e0Var, cVar, cVar2)) {
                    return;
                }
            } else if (!mVar.d(e0Var, cVar, cVar2)) {
                return;
            }
            RecyclerView.this.postAnimationRunner();
        }
    }

    /* access modifiers changed from: package-private */
    public class d0 implements Runnable {

        /* renamed from: e  reason: collision with root package name */
        private int f2865e;

        /* renamed from: f  reason: collision with root package name */
        private int f2866f;

        /* renamed from: g  reason: collision with root package name */
        OverScroller f2867g;

        /* renamed from: h  reason: collision with root package name */
        Interpolator f2868h;

        /* renamed from: i  reason: collision with root package name */
        private boolean f2869i = false;

        /* renamed from: j  reason: collision with root package name */
        private boolean f2870j = false;

        d0() {
            Interpolator interpolator = RecyclerView.sQuinticInterpolator;
            this.f2868h = interpolator;
            this.f2867g = new OverScroller(RecyclerView.this.getContext(), interpolator);
        }

        private int a(int i5, int i6) {
            int abs = Math.abs(i5);
            int abs2 = Math.abs(i6);
            boolean z4 = abs > abs2;
            RecyclerView recyclerView = RecyclerView.this;
            int width = z4 ? recyclerView.getWidth() : recyclerView.getHeight();
            if (!z4) {
                abs = abs2;
            }
            return Math.min((int) (((((float) abs) / ((float) width)) + 1.0f) * 300.0f), (int) RecyclerView.MAX_SCROLL_DURATION);
        }

        private void c() {
            RecyclerView.this.removeCallbacks(this);
            androidx.core.view.a0.W(RecyclerView.this, this);
        }

        public void b(int i5, int i6) {
            RecyclerView.this.setScrollState(2);
            this.f2866f = 0;
            this.f2865e = 0;
            Interpolator interpolator = this.f2868h;
            Interpolator interpolator2 = RecyclerView.sQuinticInterpolator;
            if (interpolator != interpolator2) {
                this.f2868h = interpolator2;
                this.f2867g = new OverScroller(RecyclerView.this.getContext(), interpolator2);
            }
            this.f2867g.fling(0, 0, i5, i6, Integer.MIN_VALUE, SubsamplingScaleImageView.TILE_SIZE_AUTO, Integer.MIN_VALUE, SubsamplingScaleImageView.TILE_SIZE_AUTO);
            d();
        }

        /* access modifiers changed from: package-private */
        public void d() {
            if (this.f2869i) {
                this.f2870j = true;
            } else {
                c();
            }
        }

        public void e(int i5, int i6, int i7, Interpolator interpolator) {
            if (i7 == Integer.MIN_VALUE) {
                i7 = a(i5, i6);
            }
            if (interpolator == null) {
                interpolator = RecyclerView.sQuinticInterpolator;
            }
            if (this.f2868h != interpolator) {
                this.f2868h = interpolator;
                this.f2867g = new OverScroller(RecyclerView.this.getContext(), interpolator);
            }
            this.f2866f = 0;
            this.f2865e = 0;
            RecyclerView.this.setScrollState(2);
            this.f2867g.startScroll(0, 0, i5, i6, i7);
            if (Build.VERSION.SDK_INT < 23) {
                this.f2867g.computeScrollOffset();
            }
            d();
        }

        public void f() {
            RecyclerView.this.removeCallbacks(this);
            this.f2867g.abortAnimation();
        }

        public void run() {
            int i5;
            int i6;
            RecyclerView recyclerView = RecyclerView.this;
            if (recyclerView.mLayout == null) {
                f();
                return;
            }
            this.f2870j = false;
            this.f2869i = true;
            recyclerView.consumePendingUpdateOperations();
            OverScroller overScroller = this.f2867g;
            if (overScroller.computeScrollOffset()) {
                int currX = overScroller.getCurrX();
                int currY = overScroller.getCurrY();
                int i7 = currX - this.f2865e;
                int i8 = currY - this.f2866f;
                this.f2865e = currX;
                this.f2866f = currY;
                RecyclerView recyclerView2 = RecyclerView.this;
                int[] iArr = recyclerView2.mReusableIntPair;
                iArr[0] = 0;
                iArr[1] = 0;
                if (recyclerView2.dispatchNestedPreScroll(i7, i8, iArr, null, 1)) {
                    int[] iArr2 = RecyclerView.this.mReusableIntPair;
                    i7 -= iArr2[0];
                    i8 -= iArr2[1];
                }
                if (RecyclerView.this.getOverScrollMode() != 2) {
                    RecyclerView.this.considerReleasingGlowsOnScroll(i7, i8);
                }
                RecyclerView recyclerView3 = RecyclerView.this;
                if (recyclerView3.mAdapter != null) {
                    int[] iArr3 = recyclerView3.mReusableIntPair;
                    iArr3[0] = 0;
                    iArr3[1] = 0;
                    recyclerView3.scrollStep(i7, i8, iArr3);
                    RecyclerView recyclerView4 = RecyclerView.this;
                    int[] iArr4 = recyclerView4.mReusableIntPair;
                    i5 = iArr4[0];
                    i6 = iArr4[1];
                    i7 -= i5;
                    i8 -= i6;
                    a0 a0Var = recyclerView4.mLayout.mSmoothScroller;
                    if (a0Var != null && !a0Var.g() && a0Var.h()) {
                        int b5 = RecyclerView.this.mState.b();
                        if (b5 == 0) {
                            a0Var.r();
                        } else {
                            if (a0Var.f() >= b5) {
                                a0Var.p(b5 - 1);
                            }
                            a0Var.j(i5, i6);
                        }
                    }
                } else {
                    i6 = 0;
                    i5 = 0;
                }
                if (!RecyclerView.this.mItemDecorations.isEmpty()) {
                    RecyclerView.this.invalidate();
                }
                RecyclerView recyclerView5 = RecyclerView.this;
                int[] iArr5 = recyclerView5.mReusableIntPair;
                iArr5[0] = 0;
                iArr5[1] = 0;
                recyclerView5.dispatchNestedScroll(i5, i6, i7, i8, null, 1, iArr5);
                RecyclerView recyclerView6 = RecyclerView.this;
                int[] iArr6 = recyclerView6.mReusableIntPair;
                int i9 = i7 - iArr6[0];
                int i10 = i8 - iArr6[1];
                if (!(i5 == 0 && i6 == 0)) {
                    recyclerView6.dispatchOnScrolled(i5, i6);
                }
                if (!RecyclerView.this.awakenScrollBars()) {
                    RecyclerView.this.invalidate();
                }
                boolean z4 = overScroller.isFinished() || (((overScroller.getCurrX() == overScroller.getFinalX()) || i9 != 0) && ((overScroller.getCurrY() == overScroller.getFinalY()) || i10 != 0));
                a0 a0Var2 = RecyclerView.this.mLayout.mSmoothScroller;
                if ((a0Var2 != null && a0Var2.g()) || !z4) {
                    d();
                    RecyclerView recyclerView7 = RecyclerView.this;
                    e eVar = recyclerView7.mGapWorker;
                    if (eVar != null) {
                        eVar.f(recyclerView7, i5, i6);
                    }
                } else {
                    if (RecyclerView.this.getOverScrollMode() != 2) {
                        int currVelocity = (int) overScroller.getCurrVelocity();
                        int i11 = i9 < 0 ? -currVelocity : i9 > 0 ? currVelocity : 0;
                        if (i10 < 0) {
                            currVelocity = -currVelocity;
                        } else if (i10 <= 0) {
                            currVelocity = 0;
                        }
                        RecyclerView.this.absorbGlows(i11, currVelocity);
                    }
                    if (RecyclerView.ALLOW_THREAD_GAP_WORK) {
                        RecyclerView.this.mPrefetchRegistry.b();
                    }
                }
            }
            a0 a0Var3 = RecyclerView.this.mLayout.mSmoothScroller;
            if (a0Var3 != null && a0Var3.g()) {
                a0Var3.j(0, 0);
            }
            this.f2869i = false;
            if (this.f2870j) {
                c();
                return;
            }
            RecyclerView.this.setScrollState(0);
            RecyclerView.this.stopNestedScroll(1);
        }
    }

    /* access modifiers changed from: package-private */
    public class e implements b.AbstractC0038b {
        e() {
        }

        @Override // androidx.recyclerview.widget.b.AbstractC0038b
        public View a(int i5) {
            return RecyclerView.this.getChildAt(i5);
        }

        @Override // androidx.recyclerview.widget.b.AbstractC0038b
        public void b(View view) {
            e0 childViewHolderInt = RecyclerView.getChildViewHolderInt(view);
            if (childViewHolderInt != null) {
                childViewHolderInt.onEnteredHiddenState(RecyclerView.this);
            }
        }

        @Override // androidx.recyclerview.widget.b.AbstractC0038b
        public e0 c(View view) {
            return RecyclerView.getChildViewHolderInt(view);
        }

        @Override // androidx.recyclerview.widget.b.AbstractC0038b
        public void d(int i5) {
            e0 childViewHolderInt;
            View a5 = a(i5);
            if (!(a5 == null || (childViewHolderInt = RecyclerView.getChildViewHolderInt(a5)) == null)) {
                if (!childViewHolderInt.isTmpDetached() || childViewHolderInt.shouldIgnore()) {
                    childViewHolderInt.addFlags(256);
                } else {
                    throw new IllegalArgumentException("called detach on an already detached child " + childViewHolderInt + RecyclerView.this.exceptionLabel());
                }
            }
            RecyclerView.this.detachViewFromParent((RecyclerView) i5);
        }

        @Override // androidx.recyclerview.widget.b.AbstractC0038b
        public void e(View view) {
            e0 childViewHolderInt = RecyclerView.getChildViewHolderInt(view);
            if (childViewHolderInt != null) {
                childViewHolderInt.onLeftHiddenState(RecyclerView.this);
            }
        }

        @Override // androidx.recyclerview.widget.b.AbstractC0038b
        public void f(View view, int i5) {
            RecyclerView.this.addView(view, i5);
            RecyclerView.this.dispatchChildAttached(view);
        }

        @Override // androidx.recyclerview.widget.b.AbstractC0038b
        public int g() {
            return RecyclerView.this.getChildCount();
        }

        @Override // androidx.recyclerview.widget.b.AbstractC0038b
        public void h(int i5) {
            View childAt = RecyclerView.this.getChildAt(i5);
            if (childAt != null) {
                RecyclerView.this.dispatchChildDetached(childAt);
                childAt.clearAnimation();
            }
            RecyclerView.this.removeViewAt(i5);
        }

        @Override // androidx.recyclerview.widget.b.AbstractC0038b
        public void i() {
            int g5 = g();
            for (int i5 = 0; i5 < g5; i5++) {
                View a5 = a(i5);
                RecyclerView.this.dispatchChildDetached(a5);
                a5.clearAnimation();
            }
            RecyclerView.this.removeAllViews();
        }

        @Override // androidx.recyclerview.widget.b.AbstractC0038b
        public void j(View view, int i5, ViewGroup.LayoutParams layoutParams) {
            e0 childViewHolderInt = RecyclerView.getChildViewHolderInt(view);
            if (childViewHolderInt != null) {
                if (childViewHolderInt.isTmpDetached() || childViewHolderInt.shouldIgnore()) {
                    childViewHolderInt.clearTmpDetachFlag();
                } else {
                    throw new IllegalArgumentException("Called attach on a child which is not detached: " + childViewHolderInt + RecyclerView.this.exceptionLabel());
                }
            }
            RecyclerView.this.attachViewToParent(view, i5, layoutParams);
        }

        @Override // androidx.recyclerview.widget.b.AbstractC0038b
        public int k(View view) {
            return RecyclerView.this.indexOfChild(view);
        }
    }

    public static abstract class e0 {
        static final int FLAG_ADAPTER_FULLUPDATE = 1024;
        static final int FLAG_ADAPTER_POSITION_UNKNOWN = 512;
        static final int FLAG_APPEARED_IN_PRE_LAYOUT = 4096;
        static final int FLAG_BOUNCED_FROM_HIDDEN_LIST = 8192;
        static final int FLAG_BOUND = 1;
        static final int FLAG_IGNORE = 128;
        static final int FLAG_INVALID = 4;
        static final int FLAG_MOVED = 2048;
        static final int FLAG_NOT_RECYCLABLE = 16;
        static final int FLAG_REMOVED = 8;
        static final int FLAG_RETURNED_FROM_SCRAP = 32;
        static final int FLAG_TMP_DETACHED = 256;
        static final int FLAG_UPDATE = 2;
        private static final List<Object> FULLUPDATE_PAYLOADS = Collections.emptyList();
        static final int PENDING_ACCESSIBILITY_STATE_NOT_SET = -1;
        public final View itemView;
        h<? extends e0> mBindingAdapter;
        int mFlags;
        boolean mInChangeScrap = false;
        private int mIsRecyclableCount = 0;
        long mItemId = -1;
        int mItemViewType = -1;
        WeakReference<RecyclerView> mNestedRecyclerView;
        int mOldPosition = -1;
        RecyclerView mOwnerRecyclerView;
        List<Object> mPayloads = null;
        int mPendingAccessibilityState = -1;
        int mPosition = -1;
        int mPreLayoutPosition = -1;
        w mScrapContainer = null;
        e0 mShadowedHolder = null;
        e0 mShadowingHolder = null;
        List<Object> mUnmodifiedPayloads = null;
        private int mWasImportantForAccessibilityBeforeHidden = 0;

        public e0(View view) {
            if (view != null) {
                this.itemView = view;
                return;
            }
            throw new IllegalArgumentException("itemView may not be null");
        }

        private void createPayloadsIfNeeded() {
            if (this.mPayloads == null) {
                ArrayList arrayList = new ArrayList();
                this.mPayloads = arrayList;
                this.mUnmodifiedPayloads = Collections.unmodifiableList(arrayList);
            }
        }

        /* access modifiers changed from: package-private */
        public void addChangePayload(Object obj) {
            if (obj == null) {
                addFlags(1024);
            } else if ((1024 & this.mFlags) == 0) {
                createPayloadsIfNeeded();
                this.mPayloads.add(obj);
            }
        }

        /* access modifiers changed from: package-private */
        public void addFlags(int i5) {
            this.mFlags = i5 | this.mFlags;
        }

        /* access modifiers changed from: package-private */
        public void clearOldPosition() {
            this.mOldPosition = -1;
            this.mPreLayoutPosition = -1;
        }

        /* access modifiers changed from: package-private */
        public void clearPayload() {
            List<Object> list = this.mPayloads;
            if (list != null) {
                list.clear();
            }
            this.mFlags &= -1025;
        }

        /* access modifiers changed from: package-private */
        public void clearReturnedFromScrapFlag() {
            this.mFlags &= -33;
        }

        /* access modifiers changed from: package-private */
        public void clearTmpDetachFlag() {
            this.mFlags &= -257;
        }

        /* access modifiers changed from: package-private */
        public boolean doesTransientStatePreventRecycling() {
            return (this.mFlags & 16) == 0 && androidx.core.view.a0.J(this.itemView);
        }

        /* access modifiers changed from: package-private */
        public void flagRemovedAndOffsetPosition(int i5, int i6, boolean z4) {
            addFlags(8);
            offsetPosition(i6, z4);
            this.mPosition = i5;
        }

        public final int getAbsoluteAdapterPosition() {
            RecyclerView recyclerView = this.mOwnerRecyclerView;
            if (recyclerView == null) {
                return -1;
            }
            return recyclerView.getAdapterPositionInRecyclerView(this);
        }

        @Deprecated
        public final int getAdapterPosition() {
            return getBindingAdapterPosition();
        }

        public final h<? extends e0> getBindingAdapter() {
            return this.mBindingAdapter;
        }

        public final int getBindingAdapterPosition() {
            RecyclerView recyclerView;
            h adapter;
            int adapterPositionInRecyclerView;
            if (this.mBindingAdapter == null || (recyclerView = this.mOwnerRecyclerView) == null || (adapter = recyclerView.getAdapter()) == null || (adapterPositionInRecyclerView = this.mOwnerRecyclerView.getAdapterPositionInRecyclerView(this)) == -1) {
                return -1;
            }
            return adapter.findRelativeAdapterPositionIn(this.mBindingAdapter, this, adapterPositionInRecyclerView);
        }

        public final long getItemId() {
            return this.mItemId;
        }

        public final int getItemViewType() {
            return this.mItemViewType;
        }

        public final int getLayoutPosition() {
            int i5 = this.mPreLayoutPosition;
            return i5 == -1 ? this.mPosition : i5;
        }

        public final int getOldPosition() {
            return this.mOldPosition;
        }

        @Deprecated
        public final int getPosition() {
            int i5 = this.mPreLayoutPosition;
            return i5 == -1 ? this.mPosition : i5;
        }

        /* access modifiers changed from: package-private */
        public List<Object> getUnmodifiedPayloads() {
            if ((this.mFlags & 1024) != 0) {
                return FULLUPDATE_PAYLOADS;
            }
            List<Object> list = this.mPayloads;
            return (list == null || list.size() == 0) ? FULLUPDATE_PAYLOADS : this.mUnmodifiedPayloads;
        }

        /* access modifiers changed from: package-private */
        public boolean hasAnyOfTheFlags(int i5) {
            return (i5 & this.mFlags) != 0;
        }

        /* access modifiers changed from: package-private */
        public boolean isAdapterPositionUnknown() {
            return (this.mFlags & FLAG_ADAPTER_POSITION_UNKNOWN) != 0 || isInvalid();
        }

        /* access modifiers changed from: package-private */
        public boolean isAttachedToTransitionOverlay() {
            return (this.itemView.getParent() == null || this.itemView.getParent() == this.mOwnerRecyclerView) ? false : true;
        }

        /* access modifiers changed from: package-private */
        public boolean isBound() {
            return (this.mFlags & 1) != 0;
        }

        /* access modifiers changed from: package-private */
        public boolean isInvalid() {
            return (this.mFlags & 4) != 0;
        }

        public final boolean isRecyclable() {
            return (this.mFlags & 16) == 0 && !androidx.core.view.a0.J(this.itemView);
        }

        /* access modifiers changed from: package-private */
        public boolean isRemoved() {
            return (this.mFlags & 8) != 0;
        }

        /* access modifiers changed from: package-private */
        public boolean isScrap() {
            return this.mScrapContainer != null;
        }

        /* access modifiers changed from: package-private */
        public boolean isTmpDetached() {
            return (this.mFlags & FLAG_TMP_DETACHED) != 0;
        }

        /* access modifiers changed from: package-private */
        public boolean isUpdated() {
            return (this.mFlags & 2) != 0;
        }

        /* access modifiers changed from: package-private */
        public boolean needsUpdate() {
            return (this.mFlags & 2) != 0;
        }

        /* access modifiers changed from: package-private */
        public void offsetPosition(int i5, boolean z4) {
            if (this.mOldPosition == -1) {
                this.mOldPosition = this.mPosition;
            }
            if (this.mPreLayoutPosition == -1) {
                this.mPreLayoutPosition = this.mPosition;
            }
            if (z4) {
                this.mPreLayoutPosition += i5;
            }
            this.mPosition += i5;
            if (this.itemView.getLayoutParams() != null) {
                ((q) this.itemView.getLayoutParams()).f2898c = true;
            }
        }

        /* access modifiers changed from: package-private */
        public void onEnteredHiddenState(RecyclerView recyclerView) {
            int i5 = this.mPendingAccessibilityState;
            if (i5 == -1) {
                i5 = androidx.core.view.a0.v(this.itemView);
            }
            this.mWasImportantForAccessibilityBeforeHidden = i5;
            recyclerView.setChildImportantForAccessibilityInternal(this, 4);
        }

        /* access modifiers changed from: package-private */
        public void onLeftHiddenState(RecyclerView recyclerView) {
            recyclerView.setChildImportantForAccessibilityInternal(this, this.mWasImportantForAccessibilityBeforeHidden);
            this.mWasImportantForAccessibilityBeforeHidden = 0;
        }

        /* access modifiers changed from: package-private */
        public void resetInternal() {
            this.mFlags = 0;
            this.mPosition = -1;
            this.mOldPosition = -1;
            this.mItemId = -1;
            this.mPreLayoutPosition = -1;
            this.mIsRecyclableCount = 0;
            this.mShadowedHolder = null;
            this.mShadowingHolder = null;
            clearPayload();
            this.mWasImportantForAccessibilityBeforeHidden = 0;
            this.mPendingAccessibilityState = -1;
            RecyclerView.clearNestedRecyclerViewIfNotNested(this);
        }

        /* access modifiers changed from: package-private */
        public void saveOldPosition() {
            if (this.mOldPosition == -1) {
                this.mOldPosition = this.mPosition;
            }
        }

        /* access modifiers changed from: package-private */
        public void setFlags(int i5, int i6) {
            this.mFlags = (i5 & i6) | (this.mFlags & (~i6));
        }

        public final void setIsRecyclable(boolean z4) {
            int i5;
            int i6 = this.mIsRecyclableCount;
            int i7 = z4 ? i6 - 1 : i6 + 1;
            this.mIsRecyclableCount = i7;
            if (i7 < 0) {
                this.mIsRecyclableCount = 0;
                Log.e("View", "isRecyclable decremented below 0: unmatched pair of setIsRecyable() calls for " + this);
                return;
            }
            if (!z4 && i7 == 1) {
                i5 = this.mFlags | 16;
            } else if (z4 && i7 == 0) {
                i5 = this.mFlags & -17;
            } else {
                return;
            }
            this.mFlags = i5;
        }

        /* access modifiers changed from: package-private */
        public void setScrapContainer(w wVar, boolean z4) {
            this.mScrapContainer = wVar;
            this.mInChangeScrap = z4;
        }

        /* access modifiers changed from: package-private */
        public boolean shouldBeKeptAsChild() {
            return (this.mFlags & 16) != 0;
        }

        /* access modifiers changed from: package-private */
        public boolean shouldIgnore() {
            return (this.mFlags & FLAG_IGNORE) != 0;
        }

        /* access modifiers changed from: package-private */
        public void stopIgnoring() {
            this.mFlags &= -129;
        }

        public String toString() {
            String simpleName = getClass().isAnonymousClass() ? "ViewHolder" : getClass().getSimpleName();
            StringBuilder sb = new StringBuilder(simpleName + "{" + Integer.toHexString(hashCode()) + " position=" + this.mPosition + " id=" + this.mItemId + ", oldPos=" + this.mOldPosition + ", pLpos:" + this.mPreLayoutPosition);
            if (isScrap()) {
                sb.append(" scrap ");
                sb.append(this.mInChangeScrap ? "[changeScrap]" : "[attachedScrap]");
            }
            if (isInvalid()) {
                sb.append(" invalid");
            }
            if (!isBound()) {
                sb.append(" unbound");
            }
            if (needsUpdate()) {
                sb.append(" update");
            }
            if (isRemoved()) {
                sb.append(" removed");
            }
            if (shouldIgnore()) {
                sb.append(" ignored");
            }
            if (isTmpDetached()) {
                sb.append(" tmpDetached");
            }
            if (!isRecyclable()) {
                sb.append(" not recyclable(" + this.mIsRecyclableCount + ")");
            }
            if (isAdapterPositionUnknown()) {
                sb.append(" undefined adapter position");
            }
            if (this.itemView.getParent() == null) {
                sb.append(" no parent");
            }
            sb.append("}");
            return sb.toString();
        }

        /* access modifiers changed from: package-private */
        public void unScrap() {
            this.mScrapContainer.J(this);
        }

        /* access modifiers changed from: package-private */
        public boolean wasReturnedFromScrap() {
            return (this.mFlags & 32) != 0;
        }
    }

    /* access modifiers changed from: package-private */
    public class f implements a.AbstractC0037a {
        f() {
        }

        @Override // androidx.recyclerview.widget.a.AbstractC0037a
        public void a(int i5, int i6) {
            RecyclerView.this.offsetPositionRecordsForMove(i5, i6);
            RecyclerView.this.mItemsAddedOrRemoved = true;
        }

        @Override // androidx.recyclerview.widget.a.AbstractC0037a
        public void b(a.b bVar) {
            i(bVar);
        }

        @Override // androidx.recyclerview.widget.a.AbstractC0037a
        public e0 c(int i5) {
            e0 findViewHolderForPosition = RecyclerView.this.findViewHolderForPosition(i5, true);
            if (findViewHolderForPosition != null && !RecyclerView.this.mChildHelper.n(findViewHolderForPosition.itemView)) {
                return findViewHolderForPosition;
            }
            return null;
        }

        @Override // androidx.recyclerview.widget.a.AbstractC0037a
        public void d(int i5, int i6) {
            RecyclerView.this.offsetPositionRecordsForRemove(i5, i6, false);
            RecyclerView.this.mItemsAddedOrRemoved = true;
        }

        @Override // androidx.recyclerview.widget.a.AbstractC0037a
        public void e(int i5, int i6) {
            RecyclerView.this.offsetPositionRecordsForInsert(i5, i6);
            RecyclerView.this.mItemsAddedOrRemoved = true;
        }

        @Override // androidx.recyclerview.widget.a.AbstractC0037a
        public void f(int i5, int i6) {
            RecyclerView.this.offsetPositionRecordsForRemove(i5, i6, true);
            RecyclerView recyclerView = RecyclerView.this;
            recyclerView.mItemsAddedOrRemoved = true;
            recyclerView.mState.f2850d += i6;
        }

        @Override // androidx.recyclerview.widget.a.AbstractC0037a
        public void g(a.b bVar) {
            i(bVar);
        }

        @Override // androidx.recyclerview.widget.a.AbstractC0037a
        public void h(int i5, int i6, Object obj) {
            RecyclerView.this.viewRangeUpdate(i5, i6, obj);
            RecyclerView.this.mItemsChanged = true;
        }

        /* access modifiers changed from: package-private */
        public void i(a.b bVar) {
            int i5 = bVar.f2980a;
            if (i5 == 1) {
                RecyclerView recyclerView = RecyclerView.this;
                recyclerView.mLayout.onItemsAdded(recyclerView, bVar.f2981b, bVar.f2983d);
            } else if (i5 == 2) {
                RecyclerView recyclerView2 = RecyclerView.this;
                recyclerView2.mLayout.onItemsRemoved(recyclerView2, bVar.f2981b, bVar.f2983d);
            } else if (i5 == 4) {
                RecyclerView recyclerView3 = RecyclerView.this;
                recyclerView3.mLayout.onItemsUpdated(recyclerView3, bVar.f2981b, bVar.f2983d, bVar.f2982c);
            } else if (i5 == 8) {
                RecyclerView recyclerView4 = RecyclerView.this;
                recyclerView4.mLayout.onItemsMoved(recyclerView4, bVar.f2981b, bVar.f2983d, 1);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class g {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f2874a;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|6) */
        /* JADX WARNING: Code restructure failed: missing block: B:7:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        static {
            int[] iArr = new int[h.a.values().length];
            f2874a = iArr;
            iArr[h.a.PREVENT.ordinal()] = 1;
            f2874a[h.a.PREVENT_WHEN_EMPTY.ordinal()] = 2;
        }
    }

    public static abstract class h<VH extends e0> {
        private boolean mHasStableIds = false;
        private final i mObservable = new i();
        private a mStateRestorationPolicy = a.ALLOW;

        public enum a {
            ALLOW,
            PREVENT_WHEN_EMPTY,
            PREVENT
        }

        public final void bindViewHolder(VH vh, int i5) {
            boolean z4 = vh.mBindingAdapter == null;
            if (z4) {
                vh.mPosition = i5;
                if (hasStableIds()) {
                    vh.mItemId = getItemId(i5);
                }
                vh.setFlags(1, 519);
                c0.f.a(RecyclerView.TRACE_BIND_VIEW_TAG);
            }
            vh.mBindingAdapter = this;
            onBindViewHolder(vh, i5, vh.getUnmodifiedPayloads());
            if (z4) {
                vh.clearPayload();
                ViewGroup.LayoutParams layoutParams = vh.itemView.getLayoutParams();
                if (layoutParams instanceof q) {
                    ((q) layoutParams).f2898c = true;
                }
                c0.f.b();
            }
        }

        /* access modifiers changed from: package-private */
        public boolean canRestoreState() {
            int i5 = g.f2874a[this.mStateRestorationPolicy.ordinal()];
            if (i5 != 1) {
                return i5 != 2 || getItemCount() > 0;
            }
            return false;
        }

        public final VH createViewHolder(ViewGroup viewGroup, int i5) {
            try {
                c0.f.a(RecyclerView.TRACE_CREATE_VIEW_TAG);
                VH onCreateViewHolder = onCreateViewHolder(viewGroup, i5);
                if (onCreateViewHolder.itemView.getParent() == null) {
                    onCreateViewHolder.mItemViewType = i5;
                    return onCreateViewHolder;
                }
                throw new IllegalStateException("ViewHolder views must not be attached when created. Ensure that you are not passing 'true' to the attachToRoot parameter of LayoutInflater.inflate(..., boolean attachToRoot)");
            } finally {
                c0.f.b();
            }
        }

        public int findRelativeAdapterPositionIn(h<? extends e0> hVar, e0 e0Var, int i5) {
            if (hVar == this) {
                return i5;
            }
            return -1;
        }

        public abstract int getItemCount();

        public long getItemId(int i5) {
            return -1;
        }

        public int getItemViewType(int i5) {
            return 0;
        }

        public final a getStateRestorationPolicy() {
            return this.mStateRestorationPolicy;
        }

        public final boolean hasObservers() {
            return this.mObservable.a();
        }

        public final boolean hasStableIds() {
            return this.mHasStableIds;
        }

        public final void notifyDataSetChanged() {
            this.mObservable.b();
        }

        public final void notifyItemChanged(int i5) {
            this.mObservable.d(i5, 1);
        }

        public final void notifyItemChanged(int i5, Object obj) {
            this.mObservable.e(i5, 1, obj);
        }

        public final void notifyItemInserted(int i5) {
            this.mObservable.f(i5, 1);
        }

        public final void notifyItemMoved(int i5, int i6) {
            this.mObservable.c(i5, i6);
        }

        public final void notifyItemRangeChanged(int i5, int i6) {
            this.mObservable.d(i5, i6);
        }

        public final void notifyItemRangeChanged(int i5, int i6, Object obj) {
            this.mObservable.e(i5, i6, obj);
        }

        public final void notifyItemRangeInserted(int i5, int i6) {
            this.mObservable.f(i5, i6);
        }

        public final void notifyItemRangeRemoved(int i5, int i6) {
            this.mObservable.g(i5, i6);
        }

        public final void notifyItemRemoved(int i5) {
            this.mObservable.g(i5, 1);
        }

        public void onAttachedToRecyclerView(RecyclerView recyclerView) {
        }

        public abstract void onBindViewHolder(VH vh, int i5);

        public void onBindViewHolder(VH vh, int i5, List<Object> list) {
            onBindViewHolder(vh, i5);
        }

        public abstract VH onCreateViewHolder(ViewGroup viewGroup, int i5);

        public void onDetachedFromRecyclerView(RecyclerView recyclerView) {
        }

        public boolean onFailedToRecycleView(VH vh) {
            return false;
        }

        public void onViewAttachedToWindow(VH vh) {
        }

        public void onViewDetachedFromWindow(VH vh) {
        }

        public void onViewRecycled(VH vh) {
        }

        public void registerAdapterDataObserver(j jVar) {
            this.mObservable.registerObserver(jVar);
        }

        public void setHasStableIds(boolean z4) {
            if (!hasObservers()) {
                this.mHasStableIds = z4;
                return;
            }
            throw new IllegalStateException("Cannot change whether this adapter has stable IDs while the adapter has registered observers.");
        }

        public void setStateRestorationPolicy(a aVar) {
            this.mStateRestorationPolicy = aVar;
            this.mObservable.h();
        }

        public void unregisterAdapterDataObserver(j jVar) {
            this.mObservable.unregisterObserver(jVar);
        }
    }

    /* access modifiers changed from: package-private */
    public static class i extends Observable<j> {
        i() {
        }

        public boolean a() {
            return !((Observable) this).mObservers.isEmpty();
        }

        public void b() {
            for (int size = ((Observable) this).mObservers.size() - 1; size >= 0; size--) {
                ((j) ((Observable) this).mObservers.get(size)).a();
            }
        }

        public void c(int i5, int i6) {
            for (int size = ((Observable) this).mObservers.size() - 1; size >= 0; size--) {
                ((j) ((Observable) this).mObservers.get(size)).e(i5, i6, 1);
            }
        }

        public void d(int i5, int i6) {
            e(i5, i6, null);
        }

        public void e(int i5, int i6, Object obj) {
            for (int size = ((Observable) this).mObservers.size() - 1; size >= 0; size--) {
                ((j) ((Observable) this).mObservers.get(size)).c(i5, i6, obj);
            }
        }

        public void f(int i5, int i6) {
            for (int size = ((Observable) this).mObservers.size() - 1; size >= 0; size--) {
                ((j) ((Observable) this).mObservers.get(size)).d(i5, i6);
            }
        }

        public void g(int i5, int i6) {
            for (int size = ((Observable) this).mObservers.size() - 1; size >= 0; size--) {
                ((j) ((Observable) this).mObservers.get(size)).f(i5, i6);
            }
        }

        public void h() {
            for (int size = ((Observable) this).mObservers.size() - 1; size >= 0; size--) {
                ((j) ((Observable) this).mObservers.get(size)).g();
            }
        }
    }

    public static abstract class j {
        public void a() {
        }

        public void b(int i5, int i6) {
        }

        public void c(int i5, int i6, Object obj) {
            b(i5, i6);
        }

        public void d(int i5, int i6) {
        }

        public void e(int i5, int i6, int i7) {
        }

        public void f(int i5, int i6) {
        }

        public void g() {
        }
    }

    public interface k {
        int a(int i5, int i6);
    }

    public static class l {
        /* access modifiers changed from: protected */
        public EdgeEffect a(RecyclerView recyclerView, int i5) {
            return new EdgeEffect(recyclerView.getContext());
        }
    }

    public static abstract class m {

        /* renamed from: a  reason: collision with root package name */
        private b f2879a = null;

        /* renamed from: b  reason: collision with root package name */
        private ArrayList<a> f2880b = new ArrayList<>();

        /* renamed from: c  reason: collision with root package name */
        private long f2881c = 120;

        /* renamed from: d  reason: collision with root package name */
        private long f2882d = 120;

        /* renamed from: e  reason: collision with root package name */
        private long f2883e = 250;

        /* renamed from: f  reason: collision with root package name */
        private long f2884f = 250;

        public interface a {
            void a();
        }

        /* access modifiers changed from: package-private */
        public interface b {
            void a(e0 e0Var);
        }

        public static class c {

            /* renamed from: a  reason: collision with root package name */
            public int f2885a;

            /* renamed from: b  reason: collision with root package name */
            public int f2886b;

            /* renamed from: c  reason: collision with root package name */
            public int f2887c;

            /* renamed from: d  reason: collision with root package name */
            public int f2888d;

            public c a(e0 e0Var) {
                return b(e0Var, 0);
            }

            public c b(e0 e0Var, int i5) {
                View view = e0Var.itemView;
                this.f2885a = view.getLeft();
                this.f2886b = view.getTop();
                this.f2887c = view.getRight();
                this.f2888d = view.getBottom();
                return this;
            }
        }

        static int e(e0 e0Var) {
            int i5 = e0Var.mFlags & 14;
            if (e0Var.isInvalid()) {
                return 4;
            }
            if ((i5 & 4) != 0) {
                return i5;
            }
            int oldPosition = e0Var.getOldPosition();
            int absoluteAdapterPosition = e0Var.getAbsoluteAdapterPosition();
            return (oldPosition == -1 || absoluteAdapterPosition == -1 || oldPosition == absoluteAdapterPosition) ? i5 : i5 | 2048;
        }

        public abstract boolean a(e0 e0Var, c cVar, c cVar2);

        public abstract boolean b(e0 e0Var, e0 e0Var2, c cVar, c cVar2);

        public abstract boolean c(e0 e0Var, c cVar, c cVar2);

        public abstract boolean d(e0 e0Var, c cVar, c cVar2);

        public abstract boolean f(e0 e0Var);

        public boolean g(e0 e0Var, List<Object> list) {
            return f(e0Var);
        }

        public final void h(e0 e0Var) {
            r(e0Var);
            b bVar = this.f2879a;
            if (bVar != null) {
                bVar.a(e0Var);
            }
        }

        public final void i() {
            int size = this.f2880b.size();
            for (int i5 = 0; i5 < size; i5++) {
                this.f2880b.get(i5).a();
            }
            this.f2880b.clear();
        }

        public abstract void j(e0 e0Var);

        public abstract void k();

        public long l() {
            return this.f2881c;
        }

        public long m() {
            return this.f2884f;
        }

        public long n() {
            return this.f2883e;
        }

        public long o() {
            return this.f2882d;
        }

        public abstract boolean p();

        public c q() {
            return new c();
        }

        public void r(e0 e0Var) {
        }

        public c s(b0 b0Var, e0 e0Var) {
            return q().a(e0Var);
        }

        public c t(b0 b0Var, e0 e0Var, int i5, List<Object> list) {
            return q().a(e0Var);
        }

        public abstract void u();

        /* access modifiers changed from: package-private */
        public void v(b bVar) {
            this.f2879a = bVar;
        }
    }

    private class n implements m.b {
        n() {
        }

        @Override // androidx.recyclerview.widget.RecyclerView.m.b
        public void a(e0 e0Var) {
            e0Var.setIsRecyclable(true);
            if (e0Var.mShadowedHolder != null && e0Var.mShadowingHolder == null) {
                e0Var.mShadowedHolder = null;
            }
            e0Var.mShadowingHolder = null;
            if (!e0Var.shouldBeKeptAsChild() && !RecyclerView.this.removeAnimatingView(e0Var.itemView) && e0Var.isTmpDetached()) {
                RecyclerView.this.removeDetachedView(e0Var.itemView, false);
            }
        }
    }

    public static abstract class o {
        @Deprecated
        public void getItemOffsets(Rect rect, int i5, RecyclerView recyclerView) {
            rect.set(0, 0, 0, 0);
        }

        public void getItemOffsets(Rect rect, View view, RecyclerView recyclerView, b0 b0Var) {
            getItemOffsets(rect, ((q) view.getLayoutParams()).a(), recyclerView);
        }

        @Deprecated
        public void onDraw(Canvas canvas, RecyclerView recyclerView) {
        }

        public void onDraw(Canvas canvas, RecyclerView recyclerView, b0 b0Var) {
            onDraw(canvas, recyclerView);
        }

        @Deprecated
        public void onDrawOver(Canvas canvas, RecyclerView recyclerView) {
        }

        public void onDrawOver(Canvas canvas, RecyclerView recyclerView, b0 b0Var) {
            onDrawOver(canvas, recyclerView);
        }
    }

    public static abstract class p {
        boolean mAutoMeasure = false;
        b mChildHelper;
        private int mHeight;
        private int mHeightMode;
        m mHorizontalBoundCheck;
        private final m.b mHorizontalBoundCheckCallback;
        boolean mIsAttachedToWindow = false;
        private boolean mItemPrefetchEnabled = true;
        private boolean mMeasurementCacheEnabled = true;
        int mPrefetchMaxCountObserved;
        boolean mPrefetchMaxObservedInInitialPrefetch;
        RecyclerView mRecyclerView;
        boolean mRequestedSimpleAnimations = false;
        a0 mSmoothScroller;
        m mVerticalBoundCheck;
        private final m.b mVerticalBoundCheckCallback;
        private int mWidth;
        private int mWidthMode;

        class a implements m.b {
            a() {
            }

            @Override // androidx.recyclerview.widget.m.b
            public View a(int i5) {
                return p.this.getChildAt(i5);
            }

            @Override // androidx.recyclerview.widget.m.b
            public int b() {
                return p.this.getWidth() - p.this.getPaddingRight();
            }

            @Override // androidx.recyclerview.widget.m.b
            public int c(View view) {
                return p.this.getDecoratedLeft(view) - ((ViewGroup.MarginLayoutParams) ((q) view.getLayoutParams())).leftMargin;
            }

            @Override // androidx.recyclerview.widget.m.b
            public int d() {
                return p.this.getPaddingLeft();
            }

            @Override // androidx.recyclerview.widget.m.b
            public int e(View view) {
                return p.this.getDecoratedRight(view) + ((ViewGroup.MarginLayoutParams) ((q) view.getLayoutParams())).rightMargin;
            }
        }

        class b implements m.b {
            b() {
            }

            @Override // androidx.recyclerview.widget.m.b
            public View a(int i5) {
                return p.this.getChildAt(i5);
            }

            @Override // androidx.recyclerview.widget.m.b
            public int b() {
                return p.this.getHeight() - p.this.getPaddingBottom();
            }

            @Override // androidx.recyclerview.widget.m.b
            public int c(View view) {
                return p.this.getDecoratedTop(view) - ((ViewGroup.MarginLayoutParams) ((q) view.getLayoutParams())).topMargin;
            }

            @Override // androidx.recyclerview.widget.m.b
            public int d() {
                return p.this.getPaddingTop();
            }

            @Override // androidx.recyclerview.widget.m.b
            public int e(View view) {
                return p.this.getDecoratedBottom(view) + ((ViewGroup.MarginLayoutParams) ((q) view.getLayoutParams())).bottomMargin;
            }
        }

        public interface c {
            void a(int i5, int i6);
        }

        public static class d {

            /* renamed from: a  reason: collision with root package name */
            public int f2892a;

            /* renamed from: b  reason: collision with root package name */
            public int f2893b;

            /* renamed from: c  reason: collision with root package name */
            public boolean f2894c;

            /* renamed from: d  reason: collision with root package name */
            public boolean f2895d;
        }

        public p() {
            a aVar = new a();
            this.mHorizontalBoundCheckCallback = aVar;
            b bVar = new b();
            this.mVerticalBoundCheckCallback = bVar;
            this.mHorizontalBoundCheck = new m(aVar);
            this.mVerticalBoundCheck = new m(bVar);
        }

        private void addViewInt(View view, int i5, boolean z4) {
            e0 childViewHolderInt = RecyclerView.getChildViewHolderInt(view);
            if (z4 || childViewHolderInt.isRemoved()) {
                this.mRecyclerView.mViewInfoStore.b(childViewHolderInt);
            } else {
                this.mRecyclerView.mViewInfoStore.p(childViewHolderInt);
            }
            q qVar = (q) view.getLayoutParams();
            if (childViewHolderInt.wasReturnedFromScrap() || childViewHolderInt.isScrap()) {
                if (childViewHolderInt.isScrap()) {
                    childViewHolderInt.unScrap();
                } else {
                    childViewHolderInt.clearReturnedFromScrapFlag();
                }
                this.mChildHelper.c(view, i5, view.getLayoutParams(), false);
            } else if (view.getParent() == this.mRecyclerView) {
                int m5 = this.mChildHelper.m(view);
                if (i5 == -1) {
                    i5 = this.mChildHelper.g();
                }
                if (m5 == -1) {
                    throw new IllegalStateException("Added View has RecyclerView as parent but view is not a real child. Unfiltered index:" + this.mRecyclerView.indexOfChild(view) + this.mRecyclerView.exceptionLabel());
                } else if (m5 != i5) {
                    this.mRecyclerView.mLayout.moveView(m5, i5);
                }
            } else {
                this.mChildHelper.a(view, i5, false);
                qVar.f2898c = true;
                a0 a0Var = this.mSmoothScroller;
                if (a0Var != null && a0Var.h()) {
                    this.mSmoothScroller.k(view);
                }
            }
            if (qVar.f2899d) {
                childViewHolderInt.itemView.invalidate();
                qVar.f2899d = false;
            }
        }

        public static int chooseSize(int i5, int i6, int i7) {
            int mode = View.MeasureSpec.getMode(i5);
            int size = View.MeasureSpec.getSize(i5);
            return mode != Integer.MIN_VALUE ? mode != 1073741824 ? Math.max(i6, i7) : size : Math.min(size, Math.max(i6, i7));
        }

        private void detachViewInternal(int i5, View view) {
            this.mChildHelper.d(i5);
        }

        /* JADX WARNING: Code restructure failed: missing block: B:6:0x0017, code lost:
            if (r5 == 1073741824) goto L_0x0021;
         */
        public static int getChildMeasureSpec(int i5, int i6, int i7, int i8, boolean z4) {
            int max = Math.max(0, i5 - i7);
            if (z4) {
                if (i8 < 0) {
                    if (i8 == -1) {
                        if (i6 != Integer.MIN_VALUE) {
                            if (i6 != 0) {
                            }
                        }
                        i8 = max;
                        return View.MeasureSpec.makeMeasureSpec(i8, i6);
                    }
                    i6 = 0;
                    i8 = 0;
                    return View.MeasureSpec.makeMeasureSpec(i8, i6);
                }
            } else if (i8 < 0) {
                if (i8 != -1) {
                    if (i8 == -2) {
                        i6 = (i6 == Integer.MIN_VALUE || i6 == 1073741824) ? Integer.MIN_VALUE : 0;
                    }
                    i6 = 0;
                    i8 = 0;
                    return View.MeasureSpec.makeMeasureSpec(i8, i6);
                }
                i8 = max;
                return View.MeasureSpec.makeMeasureSpec(i8, i6);
            }
            i6 = PictureFileUtils.GB;
            return View.MeasureSpec.makeMeasureSpec(i8, i6);
        }

        /* JADX WARNING: Code restructure failed: missing block: B:2:0x000a, code lost:
            if (r3 >= 0) goto L_0x0011;
         */
        @Deprecated
        public static int getChildMeasureSpec(int i5, int i6, int i7, boolean z4) {
            int i8 = i5 - i6;
            int i9 = 0;
            int max = Math.max(0, i8);
            if (!z4) {
                if (i7 < 0) {
                    if (i7 == -1) {
                        i9 = PictureFileUtils.GB;
                    } else if (i7 == -2) {
                        i9 = Integer.MIN_VALUE;
                    }
                    i7 = max;
                    return View.MeasureSpec.makeMeasureSpec(i7, i9);
                }
                i9 = PictureFileUtils.GB;
                return View.MeasureSpec.makeMeasureSpec(i7, i9);
            }
            i7 = 0;
            return View.MeasureSpec.makeMeasureSpec(i7, i9);
        }

        private int[] getChildRectangleOnScreenScrollAmount(View view, Rect rect) {
            int[] iArr = new int[2];
            int paddingLeft = getPaddingLeft();
            int paddingTop = getPaddingTop();
            int width = getWidth() - getPaddingRight();
            int height = getHeight() - getPaddingBottom();
            int left = (view.getLeft() + rect.left) - view.getScrollX();
            int top = (view.getTop() + rect.top) - view.getScrollY();
            int width2 = rect.width() + left;
            int height2 = rect.height() + top;
            int i5 = left - paddingLeft;
            int min = Math.min(0, i5);
            int i6 = top - paddingTop;
            int min2 = Math.min(0, i6);
            int i7 = width2 - width;
            int max = Math.max(0, i7);
            int max2 = Math.max(0, height2 - height);
            if (getLayoutDirection() != 1) {
                if (min == 0) {
                    min = Math.min(i5, max);
                }
                max = min;
            } else if (max == 0) {
                max = Math.max(min, i7);
            }
            if (min2 == 0) {
                min2 = Math.min(i6, max2);
            }
            iArr[0] = max;
            iArr[1] = min2;
            return iArr;
        }

        public static d getProperties(Context context, AttributeSet attributeSet, int i5, int i6) {
            d dVar = new d();
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, s0.c.f7007f, i5, i6);
            dVar.f2892a = obtainStyledAttributes.getInt(s0.c.f7008g, 1);
            dVar.f2893b = obtainStyledAttributes.getInt(s0.c.f7018q, 1);
            dVar.f2894c = obtainStyledAttributes.getBoolean(s0.c.f7017p, false);
            dVar.f2895d = obtainStyledAttributes.getBoolean(s0.c.f7019r, false);
            obtainStyledAttributes.recycle();
            return dVar;
        }

        private boolean isFocusedChildVisibleAfterScrolling(RecyclerView recyclerView, int i5, int i6) {
            View focusedChild = recyclerView.getFocusedChild();
            if (focusedChild == null) {
                return false;
            }
            int paddingLeft = getPaddingLeft();
            int paddingTop = getPaddingTop();
            int width = getWidth() - getPaddingRight();
            int height = getHeight() - getPaddingBottom();
            Rect rect = this.mRecyclerView.mTempRect;
            getDecoratedBoundsWithMargins(focusedChild, rect);
            return rect.left - i5 < width && rect.right - i5 > paddingLeft && rect.top - i6 < height && rect.bottom - i6 > paddingTop;
        }

        private static boolean isMeasurementUpToDate(int i5, int i6, int i7) {
            int mode = View.MeasureSpec.getMode(i6);
            int size = View.MeasureSpec.getSize(i6);
            if (i7 > 0 && i5 != i7) {
                return false;
            }
            if (mode == Integer.MIN_VALUE) {
                return size >= i5;
            }
            if (mode != 0) {
                return mode == 1073741824 && size == i5;
            }
            return true;
        }

        private void scrapOrRecycleView(w wVar, int i5, View view) {
            e0 childViewHolderInt = RecyclerView.getChildViewHolderInt(view);
            if (!childViewHolderInt.shouldIgnore()) {
                if (!childViewHolderInt.isInvalid() || childViewHolderInt.isRemoved() || this.mRecyclerView.mAdapter.hasStableIds()) {
                    detachViewAt(i5);
                    wVar.D(view);
                    this.mRecyclerView.mViewInfoStore.k(childViewHolderInt);
                    return;
                }
                removeViewAt(i5);
                wVar.C(childViewHolderInt);
            }
        }

        public void addDisappearingView(View view) {
            addDisappearingView(view, -1);
        }

        public void addDisappearingView(View view, int i5) {
            addViewInt(view, i5, true);
        }

        public void addView(View view) {
            addView(view, -1);
        }

        public void addView(View view, int i5) {
            addViewInt(view, i5, false);
        }

        public void assertInLayoutOrScroll(String str) {
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView != null) {
                recyclerView.assertInLayoutOrScroll(str);
            }
        }

        public void assertNotInLayoutOrScroll(String str) {
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView != null) {
                recyclerView.assertNotInLayoutOrScroll(str);
            }
        }

        public void attachView(View view) {
            attachView(view, -1);
        }

        public void attachView(View view, int i5) {
            attachView(view, i5, (q) view.getLayoutParams());
        }

        public void attachView(View view, int i5, q qVar) {
            e0 childViewHolderInt = RecyclerView.getChildViewHolderInt(view);
            if (childViewHolderInt.isRemoved()) {
                this.mRecyclerView.mViewInfoStore.b(childViewHolderInt);
            } else {
                this.mRecyclerView.mViewInfoStore.p(childViewHolderInt);
            }
            this.mChildHelper.c(view, i5, qVar, childViewHolderInt.isRemoved());
        }

        public void calculateItemDecorationsForChild(View view, Rect rect) {
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView == null) {
                rect.set(0, 0, 0, 0);
            } else {
                rect.set(recyclerView.getItemDecorInsetsForChild(view));
            }
        }

        public boolean canScrollHorizontally() {
            return false;
        }

        public boolean canScrollVertically() {
            return false;
        }

        public boolean checkLayoutParams(q qVar) {
            return qVar != null;
        }

        public void collectAdjacentPrefetchPositions(int i5, int i6, b0 b0Var, c cVar) {
        }

        public void collectInitialPrefetchPositions(int i5, c cVar) {
        }

        public int computeHorizontalScrollExtent(b0 b0Var) {
            return 0;
        }

        public int computeHorizontalScrollOffset(b0 b0Var) {
            return 0;
        }

        public int computeHorizontalScrollRange(b0 b0Var) {
            return 0;
        }

        public int computeVerticalScrollExtent(b0 b0Var) {
            return 0;
        }

        public int computeVerticalScrollOffset(b0 b0Var) {
            return 0;
        }

        public int computeVerticalScrollRange(b0 b0Var) {
            return 0;
        }

        public void detachAndScrapAttachedViews(w wVar) {
            for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
                scrapOrRecycleView(wVar, childCount, getChildAt(childCount));
            }
        }

        public void detachAndScrapView(View view, w wVar) {
            scrapOrRecycleView(wVar, this.mChildHelper.m(view), view);
        }

        public void detachAndScrapViewAt(int i5, w wVar) {
            scrapOrRecycleView(wVar, i5, getChildAt(i5));
        }

        public void detachView(View view) {
            int m5 = this.mChildHelper.m(view);
            if (m5 >= 0) {
                detachViewInternal(m5, view);
            }
        }

        public void detachViewAt(int i5) {
            detachViewInternal(i5, getChildAt(i5));
        }

        /* access modifiers changed from: package-private */
        public void dispatchAttachedToWindow(RecyclerView recyclerView) {
            this.mIsAttachedToWindow = true;
            onAttachedToWindow(recyclerView);
        }

        /* access modifiers changed from: package-private */
        public void dispatchDetachedFromWindow(RecyclerView recyclerView, w wVar) {
            this.mIsAttachedToWindow = false;
            onDetachedFromWindow(recyclerView, wVar);
        }

        public void endAnimation(View view) {
            m mVar = this.mRecyclerView.mItemAnimator;
            if (mVar != null) {
                mVar.j(RecyclerView.getChildViewHolderInt(view));
            }
        }

        public View findContainingItemView(View view) {
            View findContainingItemView;
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView == null || (findContainingItemView = recyclerView.findContainingItemView(view)) == null || this.mChildHelper.n(findContainingItemView)) {
                return null;
            }
            return findContainingItemView;
        }

        public View findViewByPosition(int i5) {
            int childCount = getChildCount();
            for (int i6 = 0; i6 < childCount; i6++) {
                View childAt = getChildAt(i6);
                e0 childViewHolderInt = RecyclerView.getChildViewHolderInt(childAt);
                if (childViewHolderInt != null && childViewHolderInt.getLayoutPosition() == i5 && !childViewHolderInt.shouldIgnore() && (this.mRecyclerView.mState.e() || !childViewHolderInt.isRemoved())) {
                    return childAt;
                }
            }
            return null;
        }

        public abstract q generateDefaultLayoutParams();

        public q generateLayoutParams(Context context, AttributeSet attributeSet) {
            return new q(context, attributeSet);
        }

        public q generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
            return layoutParams instanceof q ? new q((q) layoutParams) : layoutParams instanceof ViewGroup.MarginLayoutParams ? new q((ViewGroup.MarginLayoutParams) layoutParams) : new q(layoutParams);
        }

        public int getBaseline() {
            return -1;
        }

        public int getBottomDecorationHeight(View view) {
            return ((q) view.getLayoutParams()).f2897b.bottom;
        }

        public View getChildAt(int i5) {
            b bVar = this.mChildHelper;
            if (bVar != null) {
                return bVar.f(i5);
            }
            return null;
        }

        public int getChildCount() {
            b bVar = this.mChildHelper;
            if (bVar != null) {
                return bVar.g();
            }
            return 0;
        }

        public boolean getClipToPadding() {
            RecyclerView recyclerView = this.mRecyclerView;
            return recyclerView != null && recyclerView.mClipToPadding;
        }

        public int getColumnCountForAccessibility(w wVar, b0 b0Var) {
            return -1;
        }

        public int getDecoratedBottom(View view) {
            return view.getBottom() + getBottomDecorationHeight(view);
        }

        public void getDecoratedBoundsWithMargins(View view, Rect rect) {
            RecyclerView.getDecoratedBoundsWithMarginsInt(view, rect);
        }

        public int getDecoratedLeft(View view) {
            return view.getLeft() - getLeftDecorationWidth(view);
        }

        public int getDecoratedMeasuredHeight(View view) {
            Rect rect = ((q) view.getLayoutParams()).f2897b;
            return view.getMeasuredHeight() + rect.top + rect.bottom;
        }

        public int getDecoratedMeasuredWidth(View view) {
            Rect rect = ((q) view.getLayoutParams()).f2897b;
            return view.getMeasuredWidth() + rect.left + rect.right;
        }

        public int getDecoratedRight(View view) {
            return view.getRight() + getRightDecorationWidth(view);
        }

        public int getDecoratedTop(View view) {
            return view.getTop() - getTopDecorationHeight(view);
        }

        public View getFocusedChild() {
            View focusedChild;
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView == null || (focusedChild = recyclerView.getFocusedChild()) == null || this.mChildHelper.n(focusedChild)) {
                return null;
            }
            return focusedChild;
        }

        public int getHeight() {
            return this.mHeight;
        }

        public int getHeightMode() {
            return this.mHeightMode;
        }

        public int getItemCount() {
            RecyclerView recyclerView = this.mRecyclerView;
            h adapter = recyclerView != null ? recyclerView.getAdapter() : null;
            if (adapter != null) {
                return adapter.getItemCount();
            }
            return 0;
        }

        public int getItemViewType(View view) {
            return RecyclerView.getChildViewHolderInt(view).getItemViewType();
        }

        public int getLayoutDirection() {
            return androidx.core.view.a0.x(this.mRecyclerView);
        }

        public int getLeftDecorationWidth(View view) {
            return ((q) view.getLayoutParams()).f2897b.left;
        }

        public int getMinimumHeight() {
            return androidx.core.view.a0.y(this.mRecyclerView);
        }

        public int getMinimumWidth() {
            return androidx.core.view.a0.z(this.mRecyclerView);
        }

        public int getPaddingBottom() {
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView != null) {
                return recyclerView.getPaddingBottom();
            }
            return 0;
        }

        public int getPaddingEnd() {
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView != null) {
                return androidx.core.view.a0.B(recyclerView);
            }
            return 0;
        }

        public int getPaddingLeft() {
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView != null) {
                return recyclerView.getPaddingLeft();
            }
            return 0;
        }

        public int getPaddingRight() {
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView != null) {
                return recyclerView.getPaddingRight();
            }
            return 0;
        }

        public int getPaddingStart() {
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView != null) {
                return androidx.core.view.a0.C(recyclerView);
            }
            return 0;
        }

        public int getPaddingTop() {
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView != null) {
                return recyclerView.getPaddingTop();
            }
            return 0;
        }

        public int getPosition(View view) {
            return ((q) view.getLayoutParams()).a();
        }

        public int getRightDecorationWidth(View view) {
            return ((q) view.getLayoutParams()).f2897b.right;
        }

        public int getRowCountForAccessibility(w wVar, b0 b0Var) {
            return -1;
        }

        public int getSelectionModeForAccessibility(w wVar, b0 b0Var) {
            return 0;
        }

        public int getTopDecorationHeight(View view) {
            return ((q) view.getLayoutParams()).f2897b.top;
        }

        public void getTransformedBoundingBox(View view, boolean z4, Rect rect) {
            Matrix matrix;
            if (z4) {
                Rect rect2 = ((q) view.getLayoutParams()).f2897b;
                rect.set(-rect2.left, -rect2.top, view.getWidth() + rect2.right, view.getHeight() + rect2.bottom);
            } else {
                rect.set(0, 0, view.getWidth(), view.getHeight());
            }
            if (!(this.mRecyclerView == null || (matrix = view.getMatrix()) == null || matrix.isIdentity())) {
                RectF rectF = this.mRecyclerView.mTempRectF;
                rectF.set(rect);
                matrix.mapRect(rectF);
                rect.set((int) Math.floor((double) rectF.left), (int) Math.floor((double) rectF.top), (int) Math.ceil((double) rectF.right), (int) Math.ceil((double) rectF.bottom));
            }
            rect.offset(view.getLeft(), view.getTop());
        }

        public int getWidth() {
            return this.mWidth;
        }

        public int getWidthMode() {
            return this.mWidthMode;
        }

        /* access modifiers changed from: package-private */
        public boolean hasFlexibleChildInBothOrientations() {
            int childCount = getChildCount();
            for (int i5 = 0; i5 < childCount; i5++) {
                ViewGroup.LayoutParams layoutParams = getChildAt(i5).getLayoutParams();
                if (layoutParams.width < 0 && layoutParams.height < 0) {
                    return true;
                }
            }
            return false;
        }

        public boolean hasFocus() {
            RecyclerView recyclerView = this.mRecyclerView;
            return recyclerView != null && recyclerView.hasFocus();
        }

        public void ignoreView(View view) {
            ViewParent parent = view.getParent();
            RecyclerView recyclerView = this.mRecyclerView;
            if (parent != recyclerView || recyclerView.indexOfChild(view) == -1) {
                throw new IllegalArgumentException("View should be fully attached to be ignored" + this.mRecyclerView.exceptionLabel());
            }
            e0 childViewHolderInt = RecyclerView.getChildViewHolderInt(view);
            childViewHolderInt.addFlags(128);
            this.mRecyclerView.mViewInfoStore.q(childViewHolderInt);
        }

        public boolean isAttachedToWindow() {
            return this.mIsAttachedToWindow;
        }

        public boolean isAutoMeasureEnabled() {
            return this.mAutoMeasure;
        }

        public boolean isFocused() {
            RecyclerView recyclerView = this.mRecyclerView;
            return recyclerView != null && recyclerView.isFocused();
        }

        public final boolean isItemPrefetchEnabled() {
            return this.mItemPrefetchEnabled;
        }

        public boolean isLayoutHierarchical(w wVar, b0 b0Var) {
            return false;
        }

        public boolean isMeasurementCacheEnabled() {
            return this.mMeasurementCacheEnabled;
        }

        public boolean isSmoothScrolling() {
            a0 a0Var = this.mSmoothScroller;
            return a0Var != null && a0Var.h();
        }

        public boolean isViewPartiallyVisible(View view, boolean z4, boolean z5) {
            boolean z6 = this.mHorizontalBoundCheck.b(view, 24579) && this.mVerticalBoundCheck.b(view, 24579);
            return z4 ? z6 : !z6;
        }

        public void layoutDecorated(View view, int i5, int i6, int i7, int i8) {
            Rect rect = ((q) view.getLayoutParams()).f2897b;
            view.layout(i5 + rect.left, i6 + rect.top, i7 - rect.right, i8 - rect.bottom);
        }

        public void layoutDecoratedWithMargins(View view, int i5, int i6, int i7, int i8) {
            q qVar = (q) view.getLayoutParams();
            Rect rect = qVar.f2897b;
            view.layout(i5 + rect.left + ((ViewGroup.MarginLayoutParams) qVar).leftMargin, i6 + rect.top + ((ViewGroup.MarginLayoutParams) qVar).topMargin, (i7 - rect.right) - ((ViewGroup.MarginLayoutParams) qVar).rightMargin, (i8 - rect.bottom) - ((ViewGroup.MarginLayoutParams) qVar).bottomMargin);
        }

        public void measureChild(View view, int i5, int i6) {
            q qVar = (q) view.getLayoutParams();
            Rect itemDecorInsetsForChild = this.mRecyclerView.getItemDecorInsetsForChild(view);
            int i7 = i5 + itemDecorInsetsForChild.left + itemDecorInsetsForChild.right;
            int i8 = i6 + itemDecorInsetsForChild.top + itemDecorInsetsForChild.bottom;
            int childMeasureSpec = getChildMeasureSpec(getWidth(), getWidthMode(), getPaddingLeft() + getPaddingRight() + i7, ((ViewGroup.MarginLayoutParams) qVar).width, canScrollHorizontally());
            int childMeasureSpec2 = getChildMeasureSpec(getHeight(), getHeightMode(), getPaddingTop() + getPaddingBottom() + i8, ((ViewGroup.MarginLayoutParams) qVar).height, canScrollVertically());
            if (shouldMeasureChild(view, childMeasureSpec, childMeasureSpec2, qVar)) {
                view.measure(childMeasureSpec, childMeasureSpec2);
            }
        }

        public void measureChildWithMargins(View view, int i5, int i6) {
            q qVar = (q) view.getLayoutParams();
            Rect itemDecorInsetsForChild = this.mRecyclerView.getItemDecorInsetsForChild(view);
            int i7 = i5 + itemDecorInsetsForChild.left + itemDecorInsetsForChild.right;
            int i8 = i6 + itemDecorInsetsForChild.top + itemDecorInsetsForChild.bottom;
            int childMeasureSpec = getChildMeasureSpec(getWidth(), getWidthMode(), getPaddingLeft() + getPaddingRight() + ((ViewGroup.MarginLayoutParams) qVar).leftMargin + ((ViewGroup.MarginLayoutParams) qVar).rightMargin + i7, ((ViewGroup.MarginLayoutParams) qVar).width, canScrollHorizontally());
            int childMeasureSpec2 = getChildMeasureSpec(getHeight(), getHeightMode(), getPaddingTop() + getPaddingBottom() + ((ViewGroup.MarginLayoutParams) qVar).topMargin + ((ViewGroup.MarginLayoutParams) qVar).bottomMargin + i8, ((ViewGroup.MarginLayoutParams) qVar).height, canScrollVertically());
            if (shouldMeasureChild(view, childMeasureSpec, childMeasureSpec2, qVar)) {
                view.measure(childMeasureSpec, childMeasureSpec2);
            }
        }

        public void moveView(int i5, int i6) {
            View childAt = getChildAt(i5);
            if (childAt != null) {
                detachViewAt(i5);
                attachView(childAt, i6);
                return;
            }
            throw new IllegalArgumentException("Cannot move a child from non-existing index:" + i5 + this.mRecyclerView.toString());
        }

        public void offsetChildrenHorizontal(int i5) {
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView != null) {
                recyclerView.offsetChildrenHorizontal(i5);
            }
        }

        public void offsetChildrenVertical(int i5) {
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView != null) {
                recyclerView.offsetChildrenVertical(i5);
            }
        }

        public void onAdapterChanged(h hVar, h hVar2) {
        }

        public boolean onAddFocusables(RecyclerView recyclerView, ArrayList<View> arrayList, int i5, int i6) {
            return false;
        }

        public void onAttachedToWindow(RecyclerView recyclerView) {
        }

        @Deprecated
        public void onDetachedFromWindow(RecyclerView recyclerView) {
        }

        public void onDetachedFromWindow(RecyclerView recyclerView, w wVar) {
            onDetachedFromWindow(recyclerView);
        }

        public View onFocusSearchFailed(View view, int i5, w wVar, b0 b0Var) {
            return null;
        }

        public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
            RecyclerView recyclerView = this.mRecyclerView;
            onInitializeAccessibilityEvent(recyclerView.mRecycler, recyclerView.mState, accessibilityEvent);
        }

        public void onInitializeAccessibilityEvent(w wVar, b0 b0Var, AccessibilityEvent accessibilityEvent) {
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView != null && accessibilityEvent != null) {
                boolean z4 = true;
                if (!recyclerView.canScrollVertically(1) && !this.mRecyclerView.canScrollVertically(-1) && !this.mRecyclerView.canScrollHorizontally(-1) && !this.mRecyclerView.canScrollHorizontally(1)) {
                    z4 = false;
                }
                accessibilityEvent.setScrollable(z4);
                h hVar = this.mRecyclerView.mAdapter;
                if (hVar != null) {
                    accessibilityEvent.setItemCount(hVar.getItemCount());
                }
            }
        }

        public void onInitializeAccessibilityNodeInfo(w wVar, b0 b0Var, g0.c cVar) {
            if (this.mRecyclerView.canScrollVertically(-1) || this.mRecyclerView.canScrollHorizontally(-1)) {
                cVar.a(8192);
                cVar.P(true);
            }
            if (this.mRecyclerView.canScrollVertically(1) || this.mRecyclerView.canScrollHorizontally(1)) {
                cVar.a(4096);
                cVar.P(true);
            }
            cVar.K(c.b.a(getRowCountForAccessibility(wVar, b0Var), getColumnCountForAccessibility(wVar, b0Var), isLayoutHierarchical(wVar, b0Var), getSelectionModeForAccessibility(wVar, b0Var)));
        }

        /* access modifiers changed from: package-private */
        public void onInitializeAccessibilityNodeInfo(g0.c cVar) {
            RecyclerView recyclerView = this.mRecyclerView;
            onInitializeAccessibilityNodeInfo(recyclerView.mRecycler, recyclerView.mState, cVar);
        }

        /* access modifiers changed from: package-private */
        public void onInitializeAccessibilityNodeInfoForItem(View view, g0.c cVar) {
            e0 childViewHolderInt = RecyclerView.getChildViewHolderInt(view);
            if (childViewHolderInt != null && !childViewHolderInt.isRemoved() && !this.mChildHelper.n(childViewHolderInt.itemView)) {
                RecyclerView recyclerView = this.mRecyclerView;
                onInitializeAccessibilityNodeInfoForItem(recyclerView.mRecycler, recyclerView.mState, view, cVar);
            }
        }

        public void onInitializeAccessibilityNodeInfoForItem(w wVar, b0 b0Var, View view, g0.c cVar) {
        }

        public View onInterceptFocusSearch(View view, int i5) {
            return null;
        }

        public void onItemsAdded(RecyclerView recyclerView, int i5, int i6) {
        }

        public void onItemsChanged(RecyclerView recyclerView) {
        }

        public void onItemsMoved(RecyclerView recyclerView, int i5, int i6, int i7) {
        }

        public void onItemsRemoved(RecyclerView recyclerView, int i5, int i6) {
        }

        public void onItemsUpdated(RecyclerView recyclerView, int i5, int i6) {
        }

        public void onItemsUpdated(RecyclerView recyclerView, int i5, int i6, Object obj) {
            onItemsUpdated(recyclerView, i5, i6);
        }

        public void onLayoutChildren(w wVar, b0 b0Var) {
            Log.e(RecyclerView.TAG, "You must override onLayoutChildren(Recycler recycler, State state) ");
        }

        public void onLayoutCompleted(b0 b0Var) {
        }

        public void onMeasure(w wVar, b0 b0Var, int i5, int i6) {
            this.mRecyclerView.defaultOnMeasure(i5, i6);
        }

        @Deprecated
        public boolean onRequestChildFocus(RecyclerView recyclerView, View view, View view2) {
            return isSmoothScrolling() || recyclerView.isComputingLayout();
        }

        public boolean onRequestChildFocus(RecyclerView recyclerView, b0 b0Var, View view, View view2) {
            return onRequestChildFocus(recyclerView, view, view2);
        }

        public void onRestoreInstanceState(Parcelable parcelable) {
        }

        public Parcelable onSaveInstanceState() {
            return null;
        }

        public void onScrollStateChanged(int i5) {
        }

        /* access modifiers changed from: package-private */
        public void onSmoothScrollerStopped(a0 a0Var) {
            if (this.mSmoothScroller == a0Var) {
                this.mSmoothScroller = null;
            }
        }

        /* access modifiers changed from: package-private */
        public boolean performAccessibilityAction(int i5, Bundle bundle) {
            RecyclerView recyclerView = this.mRecyclerView;
            return performAccessibilityAction(recyclerView.mRecycler, recyclerView.mState, i5, bundle);
        }

        /* JADX WARNING: Removed duplicated region for block: B:25:0x0075 A[ADDED_TO_REGION] */
        public boolean performAccessibilityAction(w wVar, b0 b0Var, int i5, Bundle bundle) {
            int i6;
            int i7;
            int i8;
            int i9;
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView == null) {
                return false;
            }
            if (i5 == 4096) {
                i8 = recyclerView.canScrollVertically(1) ? (getHeight() - getPaddingTop()) - getPaddingBottom() : 0;
                if (this.mRecyclerView.canScrollHorizontally(1)) {
                    i9 = (getWidth() - getPaddingLeft()) - getPaddingRight();
                }
                i6 = i8;
                i7 = 0;
                if (i6 != 0) {
                }
                this.mRecyclerView.smoothScrollBy(i7, i6, null, Integer.MIN_VALUE, true);
                return true;
            } else if (i5 != 8192) {
                i7 = 0;
                i6 = 0;
                if (i6 != 0 && i7 == 0) {
                    return false;
                }
                this.mRecyclerView.smoothScrollBy(i7, i6, null, Integer.MIN_VALUE, true);
                return true;
            } else {
                i8 = recyclerView.canScrollVertically(-1) ? -((getHeight() - getPaddingTop()) - getPaddingBottom()) : 0;
                if (this.mRecyclerView.canScrollHorizontally(-1)) {
                    i9 = -((getWidth() - getPaddingLeft()) - getPaddingRight());
                }
                i6 = i8;
                i7 = 0;
                if (i6 != 0) {
                }
                this.mRecyclerView.smoothScrollBy(i7, i6, null, Integer.MIN_VALUE, true);
                return true;
            }
            i6 = i8;
            i7 = i9;
            if (i6 != 0) {
            }
            this.mRecyclerView.smoothScrollBy(i7, i6, null, Integer.MIN_VALUE, true);
            return true;
        }

        /* access modifiers changed from: package-private */
        public boolean performAccessibilityActionForItem(View view, int i5, Bundle bundle) {
            RecyclerView recyclerView = this.mRecyclerView;
            return performAccessibilityActionForItem(recyclerView.mRecycler, recyclerView.mState, view, i5, bundle);
        }

        public boolean performAccessibilityActionForItem(w wVar, b0 b0Var, View view, int i5, Bundle bundle) {
            return false;
        }

        public void postOnAnimation(Runnable runnable) {
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView != null) {
                androidx.core.view.a0.W(recyclerView, runnable);
            }
        }

        public void removeAllViews() {
            for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
                this.mChildHelper.q(childCount);
            }
        }

        public void removeAndRecycleAllViews(w wVar) {
            for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
                if (!RecyclerView.getChildViewHolderInt(getChildAt(childCount)).shouldIgnore()) {
                    removeAndRecycleViewAt(childCount, wVar);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void removeAndRecycleScrapInt(w wVar) {
            int j5 = wVar.j();
            for (int i5 = j5 - 1; i5 >= 0; i5--) {
                View n5 = wVar.n(i5);
                e0 childViewHolderInt = RecyclerView.getChildViewHolderInt(n5);
                if (!childViewHolderInt.shouldIgnore()) {
                    childViewHolderInt.setIsRecyclable(false);
                    if (childViewHolderInt.isTmpDetached()) {
                        this.mRecyclerView.removeDetachedView(n5, false);
                    }
                    m mVar = this.mRecyclerView.mItemAnimator;
                    if (mVar != null) {
                        mVar.j(childViewHolderInt);
                    }
                    childViewHolderInt.setIsRecyclable(true);
                    wVar.y(n5);
                }
            }
            wVar.e();
            if (j5 > 0) {
                this.mRecyclerView.invalidate();
            }
        }

        public void removeAndRecycleView(View view, w wVar) {
            removeView(view);
            wVar.B(view);
        }

        public void removeAndRecycleViewAt(int i5, w wVar) {
            View childAt = getChildAt(i5);
            removeViewAt(i5);
            wVar.B(childAt);
        }

        public boolean removeCallbacks(Runnable runnable) {
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView != null) {
                return recyclerView.removeCallbacks(runnable);
            }
            return false;
        }

        public void removeDetachedView(View view) {
            this.mRecyclerView.removeDetachedView(view, false);
        }

        public void removeView(View view) {
            this.mChildHelper.p(view);
        }

        public void removeViewAt(int i5) {
            if (getChildAt(i5) != null) {
                this.mChildHelper.q(i5);
            }
        }

        public boolean requestChildRectangleOnScreen(RecyclerView recyclerView, View view, Rect rect, boolean z4) {
            return requestChildRectangleOnScreen(recyclerView, view, rect, z4, false);
        }

        public boolean requestChildRectangleOnScreen(RecyclerView recyclerView, View view, Rect rect, boolean z4, boolean z5) {
            int[] childRectangleOnScreenScrollAmount = getChildRectangleOnScreenScrollAmount(view, rect);
            int i5 = childRectangleOnScreenScrollAmount[0];
            int i6 = childRectangleOnScreenScrollAmount[1];
            if ((z5 && !isFocusedChildVisibleAfterScrolling(recyclerView, i5, i6)) || (i5 == 0 && i6 == 0)) {
                return false;
            }
            if (z4) {
                recyclerView.scrollBy(i5, i6);
            } else {
                recyclerView.smoothScrollBy(i5, i6);
            }
            return true;
        }

        public void requestLayout() {
            RecyclerView recyclerView = this.mRecyclerView;
            if (recyclerView != null) {
                recyclerView.requestLayout();
            }
        }

        public void requestSimpleAnimationsInNextLayout() {
            this.mRequestedSimpleAnimations = true;
        }

        public int scrollHorizontallyBy(int i5, w wVar, b0 b0Var) {
            return 0;
        }

        public void scrollToPosition(int i5) {
        }

        public int scrollVerticallyBy(int i5, w wVar, b0 b0Var) {
            return 0;
        }

        @Deprecated
        public void setAutoMeasureEnabled(boolean z4) {
            this.mAutoMeasure = z4;
        }

        /* access modifiers changed from: package-private */
        public void setExactMeasureSpecsFrom(RecyclerView recyclerView) {
            setMeasureSpecs(View.MeasureSpec.makeMeasureSpec(recyclerView.getWidth(), PictureFileUtils.GB), View.MeasureSpec.makeMeasureSpec(recyclerView.getHeight(), PictureFileUtils.GB));
        }

        public final void setItemPrefetchEnabled(boolean z4) {
            if (z4 != this.mItemPrefetchEnabled) {
                this.mItemPrefetchEnabled = z4;
                this.mPrefetchMaxCountObserved = 0;
                RecyclerView recyclerView = this.mRecyclerView;
                if (recyclerView != null) {
                    recyclerView.mRecycler.K();
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void setMeasureSpecs(int i5, int i6) {
            this.mWidth = View.MeasureSpec.getSize(i5);
            int mode = View.MeasureSpec.getMode(i5);
            this.mWidthMode = mode;
            if (mode == 0 && !RecyclerView.ALLOW_SIZE_IN_UNSPECIFIED_SPEC) {
                this.mWidth = 0;
            }
            this.mHeight = View.MeasureSpec.getSize(i6);
            int mode2 = View.MeasureSpec.getMode(i6);
            this.mHeightMode = mode2;
            if (mode2 == 0 && !RecyclerView.ALLOW_SIZE_IN_UNSPECIFIED_SPEC) {
                this.mHeight = 0;
            }
        }

        public void setMeasuredDimension(int i5, int i6) {
            this.mRecyclerView.setMeasuredDimension(i5, i6);
        }

        public void setMeasuredDimension(Rect rect, int i5, int i6) {
            setMeasuredDimension(chooseSize(i5, rect.width() + getPaddingLeft() + getPaddingRight(), getMinimumWidth()), chooseSize(i6, rect.height() + getPaddingTop() + getPaddingBottom(), getMinimumHeight()));
        }

        /* access modifiers changed from: package-private */
        public void setMeasuredDimensionFromChildren(int i5, int i6) {
            int childCount = getChildCount();
            if (childCount == 0) {
                this.mRecyclerView.defaultOnMeasure(i5, i6);
                return;
            }
            int i7 = Integer.MIN_VALUE;
            int i8 = Integer.MIN_VALUE;
            int i9 = SubsamplingScaleImageView.TILE_SIZE_AUTO;
            int i10 = SubsamplingScaleImageView.TILE_SIZE_AUTO;
            for (int i11 = 0; i11 < childCount; i11++) {
                View childAt = getChildAt(i11);
                Rect rect = this.mRecyclerView.mTempRect;
                getDecoratedBoundsWithMargins(childAt, rect);
                int i12 = rect.left;
                if (i12 < i9) {
                    i9 = i12;
                }
                int i13 = rect.right;
                if (i13 > i7) {
                    i7 = i13;
                }
                int i14 = rect.top;
                if (i14 < i10) {
                    i10 = i14;
                }
                int i15 = rect.bottom;
                if (i15 > i8) {
                    i8 = i15;
                }
            }
            this.mRecyclerView.mTempRect.set(i9, i10, i7, i8);
            setMeasuredDimension(this.mRecyclerView.mTempRect, i5, i6);
        }

        public void setMeasurementCacheEnabled(boolean z4) {
            this.mMeasurementCacheEnabled = z4;
        }

        /* access modifiers changed from: package-private */
        public void setRecyclerView(RecyclerView recyclerView) {
            int i5;
            if (recyclerView == null) {
                this.mRecyclerView = null;
                this.mChildHelper = null;
                i5 = 0;
                this.mWidth = 0;
            } else {
                this.mRecyclerView = recyclerView;
                this.mChildHelper = recyclerView.mChildHelper;
                this.mWidth = recyclerView.getWidth();
                i5 = recyclerView.getHeight();
            }
            this.mHeight = i5;
            this.mWidthMode = PictureFileUtils.GB;
            this.mHeightMode = PictureFileUtils.GB;
        }

        /* access modifiers changed from: package-private */
        public boolean shouldMeasureChild(View view, int i5, int i6, q qVar) {
            return view.isLayoutRequested() || !this.mMeasurementCacheEnabled || !isMeasurementUpToDate(view.getWidth(), i5, ((ViewGroup.MarginLayoutParams) qVar).width) || !isMeasurementUpToDate(view.getHeight(), i6, ((ViewGroup.MarginLayoutParams) qVar).height);
        }

        /* access modifiers changed from: package-private */
        public boolean shouldMeasureTwice() {
            return false;
        }

        /* access modifiers changed from: package-private */
        public boolean shouldReMeasureChild(View view, int i5, int i6, q qVar) {
            return !this.mMeasurementCacheEnabled || !isMeasurementUpToDate(view.getMeasuredWidth(), i5, ((ViewGroup.MarginLayoutParams) qVar).width) || !isMeasurementUpToDate(view.getMeasuredHeight(), i6, ((ViewGroup.MarginLayoutParams) qVar).height);
        }

        public void smoothScrollToPosition(RecyclerView recyclerView, b0 b0Var, int i5) {
            Log.e(RecyclerView.TAG, "You must override smoothScrollToPosition to support smooth scrolling");
        }

        public void startSmoothScroll(a0 a0Var) {
            a0 a0Var2 = this.mSmoothScroller;
            if (!(a0Var2 == null || a0Var == a0Var2 || !a0Var2.h())) {
                this.mSmoothScroller.r();
            }
            this.mSmoothScroller = a0Var;
            a0Var.q(this.mRecyclerView, this);
        }

        public void stopIgnoringView(View view) {
            e0 childViewHolderInt = RecyclerView.getChildViewHolderInt(view);
            childViewHolderInt.stopIgnoring();
            childViewHolderInt.resetInternal();
            childViewHolderInt.addFlags(4);
        }

        /* access modifiers changed from: package-private */
        public void stopSmoothScroller() {
            a0 a0Var = this.mSmoothScroller;
            if (a0Var != null) {
                a0Var.r();
            }
        }

        public boolean supportsPredictiveItemAnimations() {
            return false;
        }
    }

    public static class q extends ViewGroup.MarginLayoutParams {

        /* renamed from: a  reason: collision with root package name */
        e0 f2896a;

        /* renamed from: b  reason: collision with root package name */
        final Rect f2897b = new Rect();

        /* renamed from: c  reason: collision with root package name */
        boolean f2898c = true;

        /* renamed from: d  reason: collision with root package name */
        boolean f2899d = false;

        public q(int i5, int i6) {
            super(i5, i6);
        }

        public q(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public q(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public q(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        public q(q qVar) {
            super((ViewGroup.LayoutParams) qVar);
        }

        public int a() {
            return this.f2896a.getLayoutPosition();
        }

        public boolean b() {
            return this.f2896a.isUpdated();
        }

        public boolean c() {
            return this.f2896a.isRemoved();
        }

        public boolean d() {
            return this.f2896a.isInvalid();
        }
    }

    public interface r {
        void a(View view);

        void b(View view);
    }

    public static abstract class s {
    }

    public interface t {
        boolean a(RecyclerView recyclerView, MotionEvent motionEvent);

        void b(RecyclerView recyclerView, MotionEvent motionEvent);

        void c(boolean z4);
    }

    public static abstract class u {
        public void a(RecyclerView recyclerView, int i5) {
        }

        public void b(RecyclerView recyclerView, int i5, int i6) {
        }
    }

    public static class v {

        /* renamed from: a  reason: collision with root package name */
        SparseArray<a> f2900a = new SparseArray<>();

        /* renamed from: b  reason: collision with root package name */
        private int f2901b = 0;

        /* access modifiers changed from: package-private */
        public static class a {

            /* renamed from: a  reason: collision with root package name */
            final ArrayList<e0> f2902a = new ArrayList<>();

            /* renamed from: b  reason: collision with root package name */
            int f2903b = 5;

            /* renamed from: c  reason: collision with root package name */
            long f2904c = 0;

            /* renamed from: d  reason: collision with root package name */
            long f2905d = 0;

            a() {
            }
        }

        private a g(int i5) {
            a aVar = this.f2900a.get(i5);
            if (aVar != null) {
                return aVar;
            }
            a aVar2 = new a();
            this.f2900a.put(i5, aVar2);
            return aVar2;
        }

        /* access modifiers changed from: package-private */
        public void a() {
            this.f2901b++;
        }

        public void b() {
            for (int i5 = 0; i5 < this.f2900a.size(); i5++) {
                this.f2900a.valueAt(i5).f2902a.clear();
            }
        }

        /* access modifiers changed from: package-private */
        public void c() {
            this.f2901b--;
        }

        /* access modifiers changed from: package-private */
        public void d(int i5, long j5) {
            a g5 = g(i5);
            g5.f2905d = j(g5.f2905d, j5);
        }

        /* access modifiers changed from: package-private */
        public void e(int i5, long j5) {
            a g5 = g(i5);
            g5.f2904c = j(g5.f2904c, j5);
        }

        public e0 f(int i5) {
            a aVar = this.f2900a.get(i5);
            if (aVar == null || aVar.f2902a.isEmpty()) {
                return null;
            }
            ArrayList<e0> arrayList = aVar.f2902a;
            for (int size = arrayList.size() - 1; size >= 0; size--) {
                if (!arrayList.get(size).isAttachedToTransitionOverlay()) {
                    return arrayList.remove(size);
                }
            }
            return null;
        }

        /* access modifiers changed from: package-private */
        public void h(h hVar, h hVar2, boolean z4) {
            if (hVar != null) {
                c();
            }
            if (!z4 && this.f2901b == 0) {
                b();
            }
            if (hVar2 != null) {
                a();
            }
        }

        public void i(e0 e0Var) {
            int itemViewType = e0Var.getItemViewType();
            ArrayList<e0> arrayList = g(itemViewType).f2902a;
            if (this.f2900a.get(itemViewType).f2903b > arrayList.size()) {
                e0Var.resetInternal();
                arrayList.add(e0Var);
            }
        }

        /* access modifiers changed from: package-private */
        public long j(long j5, long j6) {
            return j5 == 0 ? j6 : ((j5 / 4) * 3) + (j6 / 4);
        }

        /* access modifiers changed from: package-private */
        public boolean k(int i5, long j5, long j6) {
            long j7 = g(i5).f2905d;
            return j7 == 0 || j5 + j7 < j6;
        }

        /* access modifiers changed from: package-private */
        public boolean l(int i5, long j5, long j6) {
            long j7 = g(i5).f2904c;
            return j7 == 0 || j5 + j7 < j6;
        }
    }

    public final class w {

        /* renamed from: a  reason: collision with root package name */
        final ArrayList<e0> f2906a;

        /* renamed from: b  reason: collision with root package name */
        ArrayList<e0> f2907b = null;

        /* renamed from: c  reason: collision with root package name */
        final ArrayList<e0> f2908c = new ArrayList<>();

        /* renamed from: d  reason: collision with root package name */
        private final List<e0> f2909d;

        /* renamed from: e  reason: collision with root package name */
        private int f2910e;

        /* renamed from: f  reason: collision with root package name */
        int f2911f;

        /* renamed from: g  reason: collision with root package name */
        v f2912g;

        public w() {
            ArrayList<e0> arrayList = new ArrayList<>();
            this.f2906a = arrayList;
            this.f2909d = Collections.unmodifiableList(arrayList);
            this.f2910e = 2;
            this.f2911f = 2;
        }

        private boolean H(e0 e0Var, int i5, int i6, long j5) {
            e0Var.mBindingAdapter = null;
            e0Var.mOwnerRecyclerView = RecyclerView.this;
            int itemViewType = e0Var.getItemViewType();
            long nanoTime = RecyclerView.this.getNanoTime();
            if (j5 != RecyclerView.FOREVER_NS && !this.f2912g.k(itemViewType, nanoTime, j5)) {
                return false;
            }
            RecyclerView.this.mAdapter.bindViewHolder(e0Var, i5);
            this.f2912g.d(e0Var.getItemViewType(), RecyclerView.this.getNanoTime() - nanoTime);
            b(e0Var);
            if (!RecyclerView.this.mState.e()) {
                return true;
            }
            e0Var.mPreLayoutPosition = i6;
            return true;
        }

        private void b(e0 e0Var) {
            if (RecyclerView.this.isAccessibilityEnabled()) {
                View view = e0Var.itemView;
                if (androidx.core.view.a0.v(view) == 0) {
                    androidx.core.view.a0.k0(view, 1);
                }
                j jVar = RecyclerView.this.mAccessibilityDelegate;
                if (jVar != null) {
                    androidx.core.view.a n5 = jVar.n();
                    if (n5 instanceof j.a) {
                        ((j.a) n5).o(view);
                    }
                    androidx.core.view.a0.b0(view, n5);
                }
            }
        }

        private void q(ViewGroup viewGroup, boolean z4) {
            for (int childCount = viewGroup.getChildCount() - 1; childCount >= 0; childCount--) {
                View childAt = viewGroup.getChildAt(childCount);
                if (childAt instanceof ViewGroup) {
                    q((ViewGroup) childAt, true);
                }
            }
            if (z4) {
                if (viewGroup.getVisibility() == 4) {
                    viewGroup.setVisibility(0);
                    viewGroup.setVisibility(4);
                    return;
                }
                int visibility = viewGroup.getVisibility();
                viewGroup.setVisibility(4);
                viewGroup.setVisibility(visibility);
            }
        }

        private void r(e0 e0Var) {
            View view = e0Var.itemView;
            if (view instanceof ViewGroup) {
                q((ViewGroup) view, false);
            }
        }

        /* access modifiers changed from: package-private */
        public void A(int i5) {
            a(this.f2908c.get(i5), true);
            this.f2908c.remove(i5);
        }

        public void B(View view) {
            e0 childViewHolderInt = RecyclerView.getChildViewHolderInt(view);
            if (childViewHolderInt.isTmpDetached()) {
                RecyclerView.this.removeDetachedView(view, false);
            }
            if (childViewHolderInt.isScrap()) {
                childViewHolderInt.unScrap();
            } else if (childViewHolderInt.wasReturnedFromScrap()) {
                childViewHolderInt.clearReturnedFromScrapFlag();
            }
            C(childViewHolderInt);
            if (RecyclerView.this.mItemAnimator != null && !childViewHolderInt.isRecyclable()) {
                RecyclerView.this.mItemAnimator.j(childViewHolderInt);
            }
        }

        /* access modifiers changed from: package-private */
        public void C(e0 e0Var) {
            boolean z4;
            boolean z5 = false;
            boolean z6 = true;
            if (e0Var.isScrap() || e0Var.itemView.getParent() != null) {
                StringBuilder sb = new StringBuilder();
                sb.append("Scrapped or attached views may not be recycled. isScrap:");
                sb.append(e0Var.isScrap());
                sb.append(" isAttached:");
                if (e0Var.itemView.getParent() != null) {
                    z5 = true;
                }
                sb.append(z5);
                sb.append(RecyclerView.this.exceptionLabel());
                throw new IllegalArgumentException(sb.toString());
            } else if (e0Var.isTmpDetached()) {
                throw new IllegalArgumentException("Tmp detached view should be removed from RecyclerView before it can be recycled: " + e0Var + RecyclerView.this.exceptionLabel());
            } else if (!e0Var.shouldIgnore()) {
                boolean doesTransientStatePreventRecycling = e0Var.doesTransientStatePreventRecycling();
                h hVar = RecyclerView.this.mAdapter;
                if ((hVar != null && doesTransientStatePreventRecycling && hVar.onFailedToRecycleView(e0Var)) || e0Var.isRecyclable()) {
                    if (this.f2911f <= 0 || e0Var.hasAnyOfTheFlags(526)) {
                        z4 = false;
                    } else {
                        int size = this.f2908c.size();
                        if (size >= this.f2911f && size > 0) {
                            A(0);
                            size--;
                        }
                        if (RecyclerView.ALLOW_THREAD_GAP_WORK && size > 0 && !RecyclerView.this.mPrefetchRegistry.d(e0Var.mPosition)) {
                            int i5 = size - 1;
                            while (i5 >= 0) {
                                if (!RecyclerView.this.mPrefetchRegistry.d(this.f2908c.get(i5).mPosition)) {
                                    break;
                                }
                                i5--;
                            }
                            size = i5 + 1;
                        }
                        this.f2908c.add(size, e0Var);
                        z4 = true;
                    }
                    if (!z4) {
                        a(e0Var, true);
                        z5 = z4;
                        RecyclerView.this.mViewInfoStore.q(e0Var);
                        if (!z5 && !z6 && doesTransientStatePreventRecycling) {
                            e0Var.mBindingAdapter = null;
                            e0Var.mOwnerRecyclerView = null;
                            return;
                        }
                        return;
                    }
                    z5 = z4;
                }
                z6 = false;
                RecyclerView.this.mViewInfoStore.q(e0Var);
                if (!z5) {
                }
            } else {
                throw new IllegalArgumentException("Trying to recycle an ignored view holder. You should first call stopIgnoringView(view) before calling recycle." + RecyclerView.this.exceptionLabel());
            }
        }

        /* access modifiers changed from: package-private */
        public void D(View view) {
            ArrayList<e0> arrayList;
            e0 childViewHolderInt = RecyclerView.getChildViewHolderInt(view);
            if (!childViewHolderInt.hasAnyOfTheFlags(12) && childViewHolderInt.isUpdated() && !RecyclerView.this.canReuseUpdatedViewHolder(childViewHolderInt)) {
                if (this.f2907b == null) {
                    this.f2907b = new ArrayList<>();
                }
                childViewHolderInt.setScrapContainer(this, true);
                arrayList = this.f2907b;
            } else if (!childViewHolderInt.isInvalid() || childViewHolderInt.isRemoved() || RecyclerView.this.mAdapter.hasStableIds()) {
                childViewHolderInt.setScrapContainer(this, false);
                arrayList = this.f2906a;
            } else {
                throw new IllegalArgumentException("Called scrap view with an invalid view. Invalid views cannot be reused from scrap, they should rebound from recycler pool." + RecyclerView.this.exceptionLabel());
            }
            arrayList.add(childViewHolderInt);
        }

        /* access modifiers changed from: package-private */
        public void E(v vVar) {
            v vVar2 = this.f2912g;
            if (vVar2 != null) {
                vVar2.c();
            }
            this.f2912g = vVar;
            if (vVar != null && RecyclerView.this.getAdapter() != null) {
                this.f2912g.a();
            }
        }

        /* access modifiers changed from: package-private */
        public void F(c0 c0Var) {
        }

        public void G(int i5) {
            this.f2910e = i5;
            K();
        }

        /* access modifiers changed from: package-private */
        /* JADX WARNING: Removed duplicated region for block: B:16:0x0037  */
        /* JADX WARNING: Removed duplicated region for block: B:25:0x005c  */
        /* JADX WARNING: Removed duplicated region for block: B:27:0x005f  */
        /* JADX WARNING: Removed duplicated region for block: B:66:0x014d  */
        /* JADX WARNING: Removed duplicated region for block: B:69:0x0170  */
        /* JADX WARNING: Removed duplicated region for block: B:82:0x01a9  */
        /* JADX WARNING: Removed duplicated region for block: B:84:0x01b7  */
        public e0 I(int i5, boolean z4, long j5) {
            boolean z5;
            e0 e0Var;
            e0 e0Var2;
            boolean z6;
            ViewGroup.LayoutParams layoutParams;
            q qVar;
            ViewGroup.LayoutParams generateLayoutParams;
            RecyclerView findNestedRecyclerView;
            if (i5 < 0 || i5 >= RecyclerView.this.mState.b()) {
                throw new IndexOutOfBoundsException("Invalid item position " + i5 + "(" + i5 + "). Item count:" + RecyclerView.this.mState.b() + RecyclerView.this.exceptionLabel());
            }
            boolean z7 = true;
            if (RecyclerView.this.mState.e()) {
                e0Var = h(i5);
                if (e0Var != null) {
                    z5 = true;
                    if (e0Var == null && (e0Var = m(i5, z4)) != null) {
                        if (L(e0Var)) {
                            if (!z4) {
                                e0Var.addFlags(4);
                                if (e0Var.isScrap()) {
                                    RecyclerView.this.removeDetachedView(e0Var.itemView, false);
                                    e0Var.unScrap();
                                } else if (e0Var.wasReturnedFromScrap()) {
                                    e0Var.clearReturnedFromScrapFlag();
                                }
                                C(e0Var);
                            }
                            e0Var = null;
                        } else {
                            z5 = true;
                        }
                    }
                    if (e0Var == null) {
                        int m5 = RecyclerView.this.mAdapterHelper.m(i5);
                        if (m5 < 0 || m5 >= RecyclerView.this.mAdapter.getItemCount()) {
                            throw new IndexOutOfBoundsException("Inconsistency detected. Invalid item position " + i5 + "(offset:" + m5 + ").state:" + RecyclerView.this.mState.b() + RecyclerView.this.exceptionLabel());
                        }
                        int itemViewType = RecyclerView.this.mAdapter.getItemViewType(m5);
                        if (RecyclerView.this.mAdapter.hasStableIds() && (e0Var = l(RecyclerView.this.mAdapter.getItemId(m5), itemViewType, z4)) != null) {
                            e0Var.mPosition = m5;
                            z5 = true;
                        }
                        if (e0Var == null) {
                            e0 f5 = i().f(itemViewType);
                            if (f5 != null) {
                                f5.resetInternal();
                                if (RecyclerView.FORCE_INVALIDATE_DISPLAY_LIST) {
                                    r(f5);
                                }
                            }
                            e0Var = f5;
                        }
                        if (e0Var == null) {
                            long nanoTime = RecyclerView.this.getNanoTime();
                            if (j5 != RecyclerView.FOREVER_NS && !this.f2912g.l(itemViewType, nanoTime, j5)) {
                                return null;
                            }
                            RecyclerView recyclerView = RecyclerView.this;
                            e0 createViewHolder = recyclerView.mAdapter.createViewHolder(recyclerView, itemViewType);
                            if (RecyclerView.ALLOW_THREAD_GAP_WORK && (findNestedRecyclerView = RecyclerView.findNestedRecyclerView(createViewHolder.itemView)) != null) {
                                createViewHolder.mNestedRecyclerView = new WeakReference<>(findNestedRecyclerView);
                            }
                            this.f2912g.e(itemViewType, RecyclerView.this.getNanoTime() - nanoTime);
                            e0Var2 = createViewHolder;
                            if (z5 && !RecyclerView.this.mState.e() && e0Var2.hasAnyOfTheFlags(8192)) {
                                e0Var2.setFlags(0, 8192);
                                if (RecyclerView.this.mState.f2857k) {
                                    RecyclerView recyclerView2 = RecyclerView.this;
                                    RecyclerView.this.recordAnimationInfoIfBouncedHiddenView(e0Var2, recyclerView2.mItemAnimator.t(recyclerView2.mState, e0Var2, m.e(e0Var2) | 4096, e0Var2.getUnmodifiedPayloads()));
                                }
                            }
                            if (!RecyclerView.this.mState.e() && e0Var2.isBound()) {
                                e0Var2.mPreLayoutPosition = i5;
                            } else if (!e0Var2.isBound() || e0Var2.needsUpdate() || e0Var2.isInvalid()) {
                                z6 = H(e0Var2, RecyclerView.this.mAdapterHelper.m(i5), i5, j5);
                                layoutParams = e0Var2.itemView.getLayoutParams();
                                if (layoutParams != null) {
                                    generateLayoutParams = RecyclerView.this.generateDefaultLayoutParams();
                                } else if (!RecyclerView.this.checkLayoutParams(layoutParams)) {
                                    generateLayoutParams = RecyclerView.this.generateLayoutParams(layoutParams);
                                } else {
                                    qVar = (q) layoutParams;
                                    qVar.f2896a = e0Var2;
                                    if (!z5 || !z6) {
                                        z7 = false;
                                    }
                                    qVar.f2899d = z7;
                                    return e0Var2;
                                }
                                qVar = (q) generateLayoutParams;
                                e0Var2.itemView.setLayoutParams(qVar);
                                qVar.f2896a = e0Var2;
                                z7 = false;
                                qVar.f2899d = z7;
                                return e0Var2;
                            }
                            z6 = false;
                            layoutParams = e0Var2.itemView.getLayoutParams();
                            if (layoutParams != null) {
                            }
                            qVar = (q) generateLayoutParams;
                            e0Var2.itemView.setLayoutParams(qVar);
                            qVar.f2896a = e0Var2;
                            z7 = false;
                            qVar.f2899d = z7;
                            return e0Var2;
                        }
                    }
                    e0Var2 = e0Var;
                    e0Var2.setFlags(0, 8192);
                    if (RecyclerView.this.mState.f2857k) {
                    }
                    if (!RecyclerView.this.mState.e()) {
                    }
                    z6 = H(e0Var2, RecyclerView.this.mAdapterHelper.m(i5), i5, j5);
                    layoutParams = e0Var2.itemView.getLayoutParams();
                    if (layoutParams != null) {
                    }
                    qVar = (q) generateLayoutParams;
                    e0Var2.itemView.setLayoutParams(qVar);
                    qVar.f2896a = e0Var2;
                    z7 = false;
                    qVar.f2899d = z7;
                    return e0Var2;
                }
            } else {
                e0Var = null;
            }
            z5 = false;
            if (L(e0Var)) {
            }
            if (e0Var == null) {
            }
            e0Var2 = e0Var;
            e0Var2.setFlags(0, 8192);
            if (RecyclerView.this.mState.f2857k) {
            }
            if (!RecyclerView.this.mState.e()) {
            }
            z6 = H(e0Var2, RecyclerView.this.mAdapterHelper.m(i5), i5, j5);
            layoutParams = e0Var2.itemView.getLayoutParams();
            if (layoutParams != null) {
            }
            qVar = (q) generateLayoutParams;
            e0Var2.itemView.setLayoutParams(qVar);
            qVar.f2896a = e0Var2;
            z7 = false;
            qVar.f2899d = z7;
            return e0Var2;
        }

        /* access modifiers changed from: package-private */
        public void J(e0 e0Var) {
            (e0Var.mInChangeScrap ? this.f2907b : this.f2906a).remove(e0Var);
            e0Var.mScrapContainer = null;
            e0Var.mInChangeScrap = false;
            e0Var.clearReturnedFromScrapFlag();
        }

        /* access modifiers changed from: package-private */
        public void K() {
            p pVar = RecyclerView.this.mLayout;
            this.f2911f = this.f2910e + (pVar != null ? pVar.mPrefetchMaxCountObserved : 0);
            for (int size = this.f2908c.size() - 1; size >= 0 && this.f2908c.size() > this.f2911f; size--) {
                A(size);
            }
        }

        /* access modifiers changed from: package-private */
        public boolean L(e0 e0Var) {
            if (e0Var.isRemoved()) {
                return RecyclerView.this.mState.e();
            }
            int i5 = e0Var.mPosition;
            if (i5 < 0 || i5 >= RecyclerView.this.mAdapter.getItemCount()) {
                throw new IndexOutOfBoundsException("Inconsistency detected. Invalid view holder adapter position" + e0Var + RecyclerView.this.exceptionLabel());
            } else if (RecyclerView.this.mState.e() || RecyclerView.this.mAdapter.getItemViewType(e0Var.mPosition) == e0Var.getItemViewType()) {
                return !RecyclerView.this.mAdapter.hasStableIds() || e0Var.getItemId() == RecyclerView.this.mAdapter.getItemId(e0Var.mPosition);
            } else {
                return false;
            }
        }

        /* access modifiers changed from: package-private */
        public void M(int i5, int i6) {
            int i7;
            int i8 = i6 + i5;
            for (int size = this.f2908c.size() - 1; size >= 0; size--) {
                e0 e0Var = this.f2908c.get(size);
                if (e0Var != null && (i7 = e0Var.mPosition) >= i5 && i7 < i8) {
                    e0Var.addFlags(2);
                    A(size);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void a(e0 e0Var, boolean z4) {
            RecyclerView.clearNestedRecyclerViewIfNotNested(e0Var);
            View view = e0Var.itemView;
            j jVar = RecyclerView.this.mAccessibilityDelegate;
            if (jVar != null) {
                androidx.core.view.a n5 = jVar.n();
                androidx.core.view.a0.b0(view, n5 instanceof j.a ? ((j.a) n5).n(view) : null);
            }
            if (z4) {
                g(e0Var);
            }
            e0Var.mBindingAdapter = null;
            e0Var.mOwnerRecyclerView = null;
            i().i(e0Var);
        }

        public void c() {
            this.f2906a.clear();
            z();
        }

        /* access modifiers changed from: package-private */
        public void d() {
            int size = this.f2908c.size();
            for (int i5 = 0; i5 < size; i5++) {
                this.f2908c.get(i5).clearOldPosition();
            }
            int size2 = this.f2906a.size();
            for (int i6 = 0; i6 < size2; i6++) {
                this.f2906a.get(i6).clearOldPosition();
            }
            ArrayList<e0> arrayList = this.f2907b;
            if (arrayList != null) {
                int size3 = arrayList.size();
                for (int i7 = 0; i7 < size3; i7++) {
                    this.f2907b.get(i7).clearOldPosition();
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void e() {
            this.f2906a.clear();
            ArrayList<e0> arrayList = this.f2907b;
            if (arrayList != null) {
                arrayList.clear();
            }
        }

        public int f(int i5) {
            if (i5 >= 0 && i5 < RecyclerView.this.mState.b()) {
                return !RecyclerView.this.mState.e() ? i5 : RecyclerView.this.mAdapterHelper.m(i5);
            }
            throw new IndexOutOfBoundsException("invalid position " + i5 + ". State item count is " + RecyclerView.this.mState.b() + RecyclerView.this.exceptionLabel());
        }

        /* access modifiers changed from: package-private */
        public void g(e0 e0Var) {
            x xVar = RecyclerView.this.mRecyclerListener;
            if (xVar != null) {
                xVar.a(e0Var);
            }
            int size = RecyclerView.this.mRecyclerListeners.size();
            for (int i5 = 0; i5 < size; i5++) {
                RecyclerView.this.mRecyclerListeners.get(i5).a(e0Var);
            }
            h hVar = RecyclerView.this.mAdapter;
            if (hVar != null) {
                hVar.onViewRecycled(e0Var);
            }
            RecyclerView recyclerView = RecyclerView.this;
            if (recyclerView.mState != null) {
                recyclerView.mViewInfoStore.q(e0Var);
            }
        }

        /* access modifiers changed from: package-private */
        public e0 h(int i5) {
            int size;
            int m5;
            ArrayList<e0> arrayList = this.f2907b;
            if (!(arrayList == null || (size = arrayList.size()) == 0)) {
                for (int i6 = 0; i6 < size; i6++) {
                    e0 e0Var = this.f2907b.get(i6);
                    if (!e0Var.wasReturnedFromScrap() && e0Var.getLayoutPosition() == i5) {
                        e0Var.addFlags(32);
                        return e0Var;
                    }
                }
                if (RecyclerView.this.mAdapter.hasStableIds() && (m5 = RecyclerView.this.mAdapterHelper.m(i5)) > 0 && m5 < RecyclerView.this.mAdapter.getItemCount()) {
                    long itemId = RecyclerView.this.mAdapter.getItemId(m5);
                    for (int i7 = 0; i7 < size; i7++) {
                        e0 e0Var2 = this.f2907b.get(i7);
                        if (!e0Var2.wasReturnedFromScrap() && e0Var2.getItemId() == itemId) {
                            e0Var2.addFlags(32);
                            return e0Var2;
                        }
                    }
                }
            }
            return null;
        }

        /* access modifiers changed from: package-private */
        public v i() {
            if (this.f2912g == null) {
                this.f2912g = new v();
            }
            return this.f2912g;
        }

        /* access modifiers changed from: package-private */
        public int j() {
            return this.f2906a.size();
        }

        public List<e0> k() {
            return this.f2909d;
        }

        /* access modifiers changed from: package-private */
        public e0 l(long j5, int i5, boolean z4) {
            for (int size = this.f2906a.size() - 1; size >= 0; size--) {
                e0 e0Var = this.f2906a.get(size);
                if (e0Var.getItemId() == j5 && !e0Var.wasReturnedFromScrap()) {
                    if (i5 == e0Var.getItemViewType()) {
                        e0Var.addFlags(32);
                        if (e0Var.isRemoved() && !RecyclerView.this.mState.e()) {
                            e0Var.setFlags(2, 14);
                        }
                        return e0Var;
                    } else if (!z4) {
                        this.f2906a.remove(size);
                        RecyclerView.this.removeDetachedView(e0Var.itemView, false);
                        y(e0Var.itemView);
                    }
                }
            }
            int size2 = this.f2908c.size();
            while (true) {
                size2--;
                if (size2 < 0) {
                    return null;
                }
                e0 e0Var2 = this.f2908c.get(size2);
                if (e0Var2.getItemId() == j5 && !e0Var2.isAttachedToTransitionOverlay()) {
                    if (i5 == e0Var2.getItemViewType()) {
                        if (!z4) {
                            this.f2908c.remove(size2);
                        }
                        return e0Var2;
                    } else if (!z4) {
                        A(size2);
                        return null;
                    }
                }
            }
        }

        /* access modifiers changed from: package-private */
        public e0 m(int i5, boolean z4) {
            View e5;
            int size = this.f2906a.size();
            for (int i6 = 0; i6 < size; i6++) {
                e0 e0Var = this.f2906a.get(i6);
                if (!e0Var.wasReturnedFromScrap() && e0Var.getLayoutPosition() == i5 && !e0Var.isInvalid() && (RecyclerView.this.mState.f2854h || !e0Var.isRemoved())) {
                    e0Var.addFlags(32);
                    return e0Var;
                }
            }
            if (z4 || (e5 = RecyclerView.this.mChildHelper.e(i5)) == null) {
                int size2 = this.f2908c.size();
                for (int i7 = 0; i7 < size2; i7++) {
                    e0 e0Var2 = this.f2908c.get(i7);
                    if (!e0Var2.isInvalid() && e0Var2.getLayoutPosition() == i5 && !e0Var2.isAttachedToTransitionOverlay()) {
                        if (!z4) {
                            this.f2908c.remove(i7);
                        }
                        return e0Var2;
                    }
                }
                return null;
            }
            e0 childViewHolderInt = RecyclerView.getChildViewHolderInt(e5);
            RecyclerView.this.mChildHelper.s(e5);
            int m5 = RecyclerView.this.mChildHelper.m(e5);
            if (m5 != -1) {
                RecyclerView.this.mChildHelper.d(m5);
                D(e5);
                childViewHolderInt.addFlags(8224);
                return childViewHolderInt;
            }
            throw new IllegalStateException("layout index should not be -1 after unhiding a view:" + childViewHolderInt + RecyclerView.this.exceptionLabel());
        }

        /* access modifiers changed from: package-private */
        public View n(int i5) {
            return this.f2906a.get(i5).itemView;
        }

        public View o(int i5) {
            return p(i5, false);
        }

        /* access modifiers changed from: package-private */
        public View p(int i5, boolean z4) {
            return I(i5, z4, RecyclerView.FOREVER_NS).itemView;
        }

        /* access modifiers changed from: package-private */
        public void s() {
            int size = this.f2908c.size();
            for (int i5 = 0; i5 < size; i5++) {
                q qVar = (q) this.f2908c.get(i5).itemView.getLayoutParams();
                if (qVar != null) {
                    qVar.f2898c = true;
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void t() {
            int size = this.f2908c.size();
            for (int i5 = 0; i5 < size; i5++) {
                e0 e0Var = this.f2908c.get(i5);
                if (e0Var != null) {
                    e0Var.addFlags(6);
                    e0Var.addChangePayload(null);
                }
            }
            h hVar = RecyclerView.this.mAdapter;
            if (hVar == null || !hVar.hasStableIds()) {
                z();
            }
        }

        /* access modifiers changed from: package-private */
        public void u(int i5, int i6) {
            int size = this.f2908c.size();
            for (int i7 = 0; i7 < size; i7++) {
                e0 e0Var = this.f2908c.get(i7);
                if (e0Var != null && e0Var.mPosition >= i5) {
                    e0Var.offsetPosition(i6, false);
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void v(int i5, int i6) {
            int i7;
            int i8;
            int i9;
            int i10;
            if (i5 < i6) {
                i9 = -1;
                i8 = i5;
                i7 = i6;
            } else {
                i9 = 1;
                i7 = i5;
                i8 = i6;
            }
            int size = this.f2908c.size();
            for (int i11 = 0; i11 < size; i11++) {
                e0 e0Var = this.f2908c.get(i11);
                if (e0Var != null && (i10 = e0Var.mPosition) >= i8 && i10 <= i7) {
                    if (i10 == i5) {
                        e0Var.offsetPosition(i6 - i5, false);
                    } else {
                        e0Var.offsetPosition(i9, false);
                    }
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void w(int i5, int i6, boolean z4) {
            int i7 = i5 + i6;
            for (int size = this.f2908c.size() - 1; size >= 0; size--) {
                e0 e0Var = this.f2908c.get(size);
                if (e0Var != null) {
                    int i8 = e0Var.mPosition;
                    if (i8 >= i7) {
                        e0Var.offsetPosition(-i6, z4);
                    } else if (i8 >= i5) {
                        e0Var.addFlags(8);
                        A(size);
                    }
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void x(h hVar, h hVar2, boolean z4) {
            c();
            i().h(hVar, hVar2, z4);
        }

        /* access modifiers changed from: package-private */
        public void y(View view) {
            e0 childViewHolderInt = RecyclerView.getChildViewHolderInt(view);
            childViewHolderInt.mScrapContainer = null;
            childViewHolderInt.mInChangeScrap = false;
            childViewHolderInt.clearReturnedFromScrapFlag();
            C(childViewHolderInt);
        }

        /* access modifiers changed from: package-private */
        public void z() {
            for (int size = this.f2908c.size() - 1; size >= 0; size--) {
                A(size);
            }
            this.f2908c.clear();
            if (RecyclerView.ALLOW_THREAD_GAP_WORK) {
                RecyclerView.this.mPrefetchRegistry.b();
            }
        }
    }

    public interface x {
        void a(e0 e0Var);
    }

    /* access modifiers changed from: private */
    public class y extends j {
        y() {
        }

        @Override // androidx.recyclerview.widget.RecyclerView.j
        public void a() {
            RecyclerView.this.assertNotInLayoutOrScroll(null);
            RecyclerView recyclerView = RecyclerView.this;
            recyclerView.mState.f2853g = true;
            recyclerView.processDataSetCompletelyChanged(true);
            if (!RecyclerView.this.mAdapterHelper.p()) {
                RecyclerView.this.requestLayout();
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.j
        public void c(int i5, int i6, Object obj) {
            RecyclerView.this.assertNotInLayoutOrScroll(null);
            if (RecyclerView.this.mAdapterHelper.r(i5, i6, obj)) {
                h();
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.j
        public void d(int i5, int i6) {
            RecyclerView.this.assertNotInLayoutOrScroll(null);
            if (RecyclerView.this.mAdapterHelper.s(i5, i6)) {
                h();
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.j
        public void e(int i5, int i6, int i7) {
            RecyclerView.this.assertNotInLayoutOrScroll(null);
            if (RecyclerView.this.mAdapterHelper.t(i5, i6, i7)) {
                h();
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.j
        public void f(int i5, int i6) {
            RecyclerView.this.assertNotInLayoutOrScroll(null);
            if (RecyclerView.this.mAdapterHelper.u(i5, i6)) {
                h();
            }
        }

        @Override // androidx.recyclerview.widget.RecyclerView.j
        public void g() {
            h hVar;
            RecyclerView recyclerView = RecyclerView.this;
            if (recyclerView.mPendingSavedState != null && (hVar = recyclerView.mAdapter) != null && hVar.canRestoreState()) {
                RecyclerView.this.requestLayout();
            }
        }

        /* access modifiers changed from: package-private */
        public void h() {
            if (RecyclerView.POST_UPDATES_ON_ANIMATION) {
                RecyclerView recyclerView = RecyclerView.this;
                if (recyclerView.mHasFixedSize && recyclerView.mIsAttached) {
                    androidx.core.view.a0.W(recyclerView, recyclerView.mUpdateChildViewsRunnable);
                    return;
                }
            }
            RecyclerView recyclerView2 = RecyclerView.this;
            recyclerView2.mAdapterUpdateDuringMeasure = true;
            recyclerView2.requestLayout();
        }
    }

    public static class z extends j0.a {
        public static final Parcelable.Creator<z> CREATOR = new a();

        /* renamed from: g  reason: collision with root package name */
        Parcelable f2915g;

        class a implements Parcelable.ClassLoaderCreator<z> {
            a() {
            }

            /* renamed from: a */
            public z createFromParcel(Parcel parcel) {
                return new z(parcel, null);
            }

            /* renamed from: b */
            public z createFromParcel(Parcel parcel, ClassLoader classLoader) {
                return new z(parcel, classLoader);
            }

            /* renamed from: c */
            public z[] newArray(int i5) {
                return new z[i5];
            }
        }

        z(Parcel parcel, ClassLoader classLoader) {
            super(parcel, classLoader);
            this.f2915g = parcel.readParcelable(classLoader == null ? p.class.getClassLoader() : classLoader);
        }

        z(Parcelable parcelable) {
            super(parcelable);
        }

        /* access modifiers changed from: package-private */
        public void b(z zVar) {
            this.f2915g = zVar.f2915g;
        }

        @Override // j0.a
        public void writeToParcel(Parcel parcel, int i5) {
            super.writeToParcel(parcel, i5);
            parcel.writeParcelable(this.f2915g, 0);
        }
    }

    static {
        int i5 = Build.VERSION.SDK_INT;
        FORCE_INVALIDATE_DISPLAY_LIST = i5 == 18 || i5 == 19 || i5 == 20;
        ALLOW_SIZE_IN_UNSPECIFIED_SPEC = i5 >= 23;
        POST_UPDATES_ON_ANIMATION = i5 >= 16;
        ALLOW_THREAD_GAP_WORK = i5 >= 21;
        FORCE_ABS_FOCUS_SEARCH_DIRECTION = i5 <= 15;
        IGNORE_DETACHED_FOCUSED_CHILD = i5 <= 15;
        Class<?> cls = Integer.TYPE;
        LAYOUT_MANAGER_CONSTRUCTOR_SIGNATURE = new Class[]{Context.class, AttributeSet.class, cls, cls};
    }

    public RecyclerView(Context context) {
        this(context, null);
    }

    public RecyclerView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, s0.a.f6998a);
    }

    public RecyclerView(Context context, AttributeSet attributeSet, int i5) {
        super(context, attributeSet, i5);
        this.mObserver = new y();
        this.mRecycler = new w();
        this.mViewInfoStore = new n();
        this.mUpdateChildViewsRunnable = new a();
        this.mTempRect = new Rect();
        this.mTempRect2 = new Rect();
        this.mTempRectF = new RectF();
        this.mRecyclerListeners = new ArrayList();
        this.mItemDecorations = new ArrayList<>();
        this.mOnItemTouchListeners = new ArrayList<>();
        this.mInterceptRequestLayoutDepth = 0;
        this.mDataSetHasChangedAfterLayout = false;
        this.mDispatchItemsChangedEvent = false;
        this.mLayoutOrScrollCounter = 0;
        this.mDispatchScrollCounter = 0;
        this.mEdgeEffectFactory = new l();
        this.mItemAnimator = new c();
        this.mScrollState = 0;
        this.mScrollPointerId = -1;
        this.mScaledHorizontalScrollFactor = Float.MIN_VALUE;
        this.mScaledVerticalScrollFactor = Float.MIN_VALUE;
        boolean z4 = true;
        this.mPreserveFocusAfterLayout = true;
        this.mViewFlinger = new d0();
        this.mPrefetchRegistry = ALLOW_THREAD_GAP_WORK ? new e.b() : null;
        this.mState = new b0();
        this.mItemsAddedOrRemoved = false;
        this.mItemsChanged = false;
        this.mItemAnimatorListener = new n();
        this.mPostedAnimatorRunner = false;
        this.mMinMaxLayoutPositions = new int[2];
        this.mScrollOffset = new int[2];
        this.mNestedOffsets = new int[2];
        this.mReusableIntPair = new int[2];
        this.mPendingAccessibilityImportanceChange = new ArrayList();
        this.mItemAnimatorRunner = new b();
        this.mLastAutoMeasureNonExactMeasuredWidth = 0;
        this.mLastAutoMeasureNonExactMeasuredHeight = 0;
        this.mViewInfoProcessCallback = new d();
        setScrollContainer(true);
        setFocusableInTouchMode(true);
        ViewConfiguration viewConfiguration = ViewConfiguration.get(context);
        this.mTouchSlop = viewConfiguration.getScaledTouchSlop();
        this.mScaledHorizontalScrollFactor = androidx.core.view.c0.b(viewConfiguration, context);
        this.mScaledVerticalScrollFactor = androidx.core.view.c0.d(viewConfiguration, context);
        this.mMinFlingVelocity = viewConfiguration.getScaledMinimumFlingVelocity();
        this.mMaxFlingVelocity = viewConfiguration.getScaledMaximumFlingVelocity();
        setWillNotDraw(getOverScrollMode() == 2);
        this.mItemAnimator.v(this.mItemAnimatorListener);
        initAdapterManager();
        initChildrenHelper();
        initAutofill();
        if (androidx.core.view.a0.v(this) == 0) {
            androidx.core.view.a0.k0(this, 1);
        }
        this.mAccessibilityManager = (AccessibilityManager) getContext().getSystemService("accessibility");
        setAccessibilityDelegateCompat(new j(this));
        int[] iArr = s0.c.f7007f;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, iArr, i5, 0);
        androidx.core.view.a0.Z(this, context, iArr, attributeSet, obtainStyledAttributes, i5, 0);
        String string = obtainStyledAttributes.getString(s0.c.f7016o);
        if (obtainStyledAttributes.getInt(s0.c.f7010i, -1) == -1) {
            setDescendantFocusability(262144);
        }
        this.mClipToPadding = obtainStyledAttributes.getBoolean(s0.c.f7009h, true);
        boolean z5 = obtainStyledAttributes.getBoolean(s0.c.f7011j, false);
        this.mEnableFastScroller = z5;
        if (z5) {
            initFastScroller((StateListDrawable) obtainStyledAttributes.getDrawable(s0.c.f7014m), obtainStyledAttributes.getDrawable(s0.c.f7015n), (StateListDrawable) obtainStyledAttributes.getDrawable(s0.c.f7012k), obtainStyledAttributes.getDrawable(s0.c.f7013l));
        }
        obtainStyledAttributes.recycle();
        createLayoutManager(context, string, attributeSet, i5, 0);
        if (Build.VERSION.SDK_INT >= 21) {
            int[] iArr2 = NESTED_SCROLLING_ATTRS;
            TypedArray obtainStyledAttributes2 = context.obtainStyledAttributes(attributeSet, iArr2, i5, 0);
            androidx.core.view.a0.Z(this, context, iArr2, attributeSet, obtainStyledAttributes2, i5, 0);
            z4 = obtainStyledAttributes2.getBoolean(0, true);
            obtainStyledAttributes2.recycle();
        }
        setNestedScrollingEnabled(z4);
    }

    private void addAnimatingView(e0 e0Var) {
        View view = e0Var.itemView;
        boolean z4 = view.getParent() == this;
        this.mRecycler.J(getChildViewHolder(view));
        if (e0Var.isTmpDetached()) {
            this.mChildHelper.c(view, -1, view.getLayoutParams(), true);
            return;
        }
        b bVar = this.mChildHelper;
        if (!z4) {
            bVar.b(view, true);
        } else {
            bVar.k(view);
        }
    }

    private void animateChange(e0 e0Var, e0 e0Var2, m.c cVar, m.c cVar2, boolean z4, boolean z5) {
        e0Var.setIsRecyclable(false);
        if (z4) {
            addAnimatingView(e0Var);
        }
        if (e0Var != e0Var2) {
            if (z5) {
                addAnimatingView(e0Var2);
            }
            e0Var.mShadowedHolder = e0Var2;
            addAnimatingView(e0Var);
            this.mRecycler.J(e0Var);
            e0Var2.setIsRecyclable(false);
            e0Var2.mShadowingHolder = e0Var;
        }
        if (this.mItemAnimator.b(e0Var, e0Var2, cVar, cVar2)) {
            postAnimationRunner();
        }
    }

    private void cancelScroll() {
        resetScroll();
        setScrollState(0);
    }

    static void clearNestedRecyclerViewIfNotNested(e0 e0Var) {
        WeakReference<RecyclerView> weakReference = e0Var.mNestedRecyclerView;
        if (weakReference != null) {
            ViewParent viewParent = weakReference.get();
            while (true) {
                View view = (View) viewParent;
                while (true) {
                    if (view == null) {
                        e0Var.mNestedRecyclerView = null;
                        return;
                    } else if (view != e0Var.itemView) {
                        viewParent = view.getParent();
                        if (!(viewParent instanceof View)) {
                            view = null;
                        }
                    } else {
                        return;
                    }
                }
            }
        }
    }

    private void createLayoutManager(Context context, String str, AttributeSet attributeSet, int i5, int i6) {
        Constructor<? extends U> constructor;
        if (str != null) {
            String trim = str.trim();
            if (!trim.isEmpty()) {
                String fullClassName = getFullClassName(context, trim);
                try {
                    Class<? extends U> asSubclass = Class.forName(fullClassName, false, isInEditMode() ? getClass().getClassLoader() : context.getClassLoader()).asSubclass(p.class);
                    Object[] objArr = null;
                    try {
                        constructor = asSubclass.getConstructor(LAYOUT_MANAGER_CONSTRUCTOR_SIGNATURE);
                        objArr = new Object[]{context, attributeSet, Integer.valueOf(i5), Integer.valueOf(i6)};
                    } catch (NoSuchMethodException e5) {
                        try {
                            constructor = asSubclass.getConstructor(new Class[0]);
                        } catch (NoSuchMethodException e6) {
                            e6.initCause(e5);
                            throw new IllegalStateException(attributeSet.getPositionDescription() + ": Error creating LayoutManager " + fullClassName, e6);
                        }
                    }
                    constructor.setAccessible(true);
                    setLayoutManager((p) constructor.newInstance(objArr));
                } catch (ClassNotFoundException e7) {
                    throw new IllegalStateException(attributeSet.getPositionDescription() + ": Unable to find LayoutManager " + fullClassName, e7);
                } catch (InvocationTargetException e8) {
                    throw new IllegalStateException(attributeSet.getPositionDescription() + ": Could not instantiate the LayoutManager: " + fullClassName, e8);
                } catch (InstantiationException e9) {
                    throw new IllegalStateException(attributeSet.getPositionDescription() + ": Could not instantiate the LayoutManager: " + fullClassName, e9);
                } catch (IllegalAccessException e10) {
                    throw new IllegalStateException(attributeSet.getPositionDescription() + ": Cannot access non-public constructor " + fullClassName, e10);
                } catch (ClassCastException e11) {
                    throw new IllegalStateException(attributeSet.getPositionDescription() + ": Class is not a LayoutManager " + fullClassName, e11);
                }
            }
        }
    }

    private boolean didChildRangeChange(int i5, int i6) {
        findMinMaxChildLayoutPositions(this.mMinMaxLayoutPositions);
        int[] iArr = this.mMinMaxLayoutPositions;
        return (iArr[0] == i5 && iArr[1] == i6) ? false : true;
    }

    private void dispatchContentChangedIfNecessary() {
        int i5 = this.mEatenAccessibilityChangeFlags;
        this.mEatenAccessibilityChangeFlags = 0;
        if (i5 != 0 && isAccessibilityEnabled()) {
            AccessibilityEvent obtain = AccessibilityEvent.obtain();
            obtain.setEventType(2048);
            g0.b.b(obtain, i5);
            sendAccessibilityEventUnchecked(obtain);
        }
    }

    private void dispatchLayoutStep1() {
        boolean z4 = true;
        this.mState.a(1);
        fillRemainingScrollValues(this.mState);
        this.mState.f2856j = false;
        startInterceptRequestLayout();
        this.mViewInfoStore.f();
        onEnterLayoutOrScroll();
        processAdapterUpdatesAndSetAnimationFlags();
        saveFocusInfo();
        b0 b0Var = this.mState;
        if (!b0Var.f2857k || !this.mItemsChanged) {
            z4 = false;
        }
        b0Var.f2855i = z4;
        this.mItemsChanged = false;
        this.mItemsAddedOrRemoved = false;
        b0Var.f2854h = b0Var.f2858l;
        b0Var.f2852f = this.mAdapter.getItemCount();
        findMinMaxChildLayoutPositions(this.mMinMaxLayoutPositions);
        if (this.mState.f2857k) {
            int g5 = this.mChildHelper.g();
            for (int i5 = 0; i5 < g5; i5++) {
                e0 childViewHolderInt = getChildViewHolderInt(this.mChildHelper.f(i5));
                if (!childViewHolderInt.shouldIgnore() && (!childViewHolderInt.isInvalid() || this.mAdapter.hasStableIds())) {
                    this.mViewInfoStore.e(childViewHolderInt, this.mItemAnimator.t(this.mState, childViewHolderInt, m.e(childViewHolderInt), childViewHolderInt.getUnmodifiedPayloads()));
                    if (this.mState.f2855i && childViewHolderInt.isUpdated() && !childViewHolderInt.isRemoved() && !childViewHolderInt.shouldIgnore() && !childViewHolderInt.isInvalid()) {
                        this.mViewInfoStore.c(getChangedHolderKey(childViewHolderInt), childViewHolderInt);
                    }
                }
            }
        }
        if (this.mState.f2858l) {
            saveOldPositions();
            b0 b0Var2 = this.mState;
            boolean z5 = b0Var2.f2853g;
            b0Var2.f2853g = false;
            this.mLayout.onLayoutChildren(this.mRecycler, b0Var2);
            this.mState.f2853g = z5;
            for (int i6 = 0; i6 < this.mChildHelper.g(); i6++) {
                e0 childViewHolderInt2 = getChildViewHolderInt(this.mChildHelper.f(i6));
                if (!childViewHolderInt2.shouldIgnore() && !this.mViewInfoStore.i(childViewHolderInt2)) {
                    int e5 = m.e(childViewHolderInt2);
                    boolean hasAnyOfTheFlags = childViewHolderInt2.hasAnyOfTheFlags(8192);
                    if (!hasAnyOfTheFlags) {
                        e5 |= 4096;
                    }
                    m.c t5 = this.mItemAnimator.t(this.mState, childViewHolderInt2, e5, childViewHolderInt2.getUnmodifiedPayloads());
                    if (hasAnyOfTheFlags) {
                        recordAnimationInfoIfBouncedHiddenView(childViewHolderInt2, t5);
                    } else {
                        this.mViewInfoStore.a(childViewHolderInt2, t5);
                    }
                }
            }
        }
        clearOldPositions();
        onExitLayoutOrScroll();
        stopInterceptRequestLayout(false);
        this.mState.f2851e = 2;
    }

    private void dispatchLayoutStep2() {
        startInterceptRequestLayout();
        onEnterLayoutOrScroll();
        this.mState.a(6);
        this.mAdapterHelper.j();
        this.mState.f2852f = this.mAdapter.getItemCount();
        this.mState.f2850d = 0;
        if (this.mPendingSavedState != null && this.mAdapter.canRestoreState()) {
            Parcelable parcelable = this.mPendingSavedState.f2915g;
            if (parcelable != null) {
                this.mLayout.onRestoreInstanceState(parcelable);
            }
            this.mPendingSavedState = null;
        }
        b0 b0Var = this.mState;
        b0Var.f2854h = false;
        this.mLayout.onLayoutChildren(this.mRecycler, b0Var);
        b0 b0Var2 = this.mState;
        b0Var2.f2853g = false;
        b0Var2.f2857k = b0Var2.f2857k && this.mItemAnimator != null;
        b0Var2.f2851e = 4;
        onExitLayoutOrScroll();
        stopInterceptRequestLayout(false);
    }

    private void dispatchLayoutStep3() {
        this.mState.a(4);
        startInterceptRequestLayout();
        onEnterLayoutOrScroll();
        b0 b0Var = this.mState;
        b0Var.f2851e = 1;
        if (b0Var.f2857k) {
            for (int g5 = this.mChildHelper.g() - 1; g5 >= 0; g5--) {
                e0 childViewHolderInt = getChildViewHolderInt(this.mChildHelper.f(g5));
                if (!childViewHolderInt.shouldIgnore()) {
                    long changedHolderKey = getChangedHolderKey(childViewHolderInt);
                    m.c s5 = this.mItemAnimator.s(this.mState, childViewHolderInt);
                    e0 g6 = this.mViewInfoStore.g(changedHolderKey);
                    if (g6 != null && !g6.shouldIgnore()) {
                        boolean h5 = this.mViewInfoStore.h(g6);
                        boolean h6 = this.mViewInfoStore.h(childViewHolderInt);
                        if (!h5 || g6 != childViewHolderInt) {
                            m.c n5 = this.mViewInfoStore.n(g6);
                            this.mViewInfoStore.d(childViewHolderInt, s5);
                            m.c m5 = this.mViewInfoStore.m(childViewHolderInt);
                            if (n5 == null) {
                                handleMissingPreInfoForChangeError(changedHolderKey, childViewHolderInt, g6);
                            } else {
                                animateChange(g6, childViewHolderInt, n5, m5, h5, h6);
                            }
                        }
                    }
                    this.mViewInfoStore.d(childViewHolderInt, s5);
                }
            }
            this.mViewInfoStore.o(this.mViewInfoProcessCallback);
        }
        this.mLayout.removeAndRecycleScrapInt(this.mRecycler);
        b0 b0Var2 = this.mState;
        b0Var2.f2849c = b0Var2.f2852f;
        this.mDataSetHasChangedAfterLayout = false;
        this.mDispatchItemsChangedEvent = false;
        b0Var2.f2857k = false;
        b0Var2.f2858l = false;
        this.mLayout.mRequestedSimpleAnimations = false;
        ArrayList<e0> arrayList = this.mRecycler.f2907b;
        if (arrayList != null) {
            arrayList.clear();
        }
        p pVar = this.mLayout;
        if (pVar.mPrefetchMaxObservedInInitialPrefetch) {
            pVar.mPrefetchMaxCountObserved = 0;
            pVar.mPrefetchMaxObservedInInitialPrefetch = false;
            this.mRecycler.K();
        }
        this.mLayout.onLayoutCompleted(this.mState);
        onExitLayoutOrScroll();
        stopInterceptRequestLayout(false);
        this.mViewInfoStore.f();
        int[] iArr = this.mMinMaxLayoutPositions;
        if (didChildRangeChange(iArr[0], iArr[1])) {
            dispatchOnScrolled(0, 0);
        }
        recoverFocusFromState();
        resetFocusInfo();
    }

    private boolean dispatchToOnItemTouchListeners(MotionEvent motionEvent) {
        t tVar = this.mInterceptingOnItemTouchListener;
        if (tVar != null) {
            tVar.b(this, motionEvent);
            int action = motionEvent.getAction();
            if (action == 3 || action == 1) {
                this.mInterceptingOnItemTouchListener = null;
            }
            return true;
        } else if (motionEvent.getAction() == 0) {
            return false;
        } else {
            return findInterceptingOnItemTouchListener(motionEvent);
        }
    }

    private boolean findInterceptingOnItemTouchListener(MotionEvent motionEvent) {
        int action = motionEvent.getAction();
        int size = this.mOnItemTouchListeners.size();
        for (int i5 = 0; i5 < size; i5++) {
            t tVar = this.mOnItemTouchListeners.get(i5);
            if (tVar.a(this, motionEvent) && action != 3) {
                this.mInterceptingOnItemTouchListener = tVar;
                return true;
            }
        }
        return false;
    }

    private void findMinMaxChildLayoutPositions(int[] iArr) {
        int g5 = this.mChildHelper.g();
        if (g5 == 0) {
            iArr[0] = -1;
            iArr[1] = -1;
            return;
        }
        int i5 = SubsamplingScaleImageView.TILE_SIZE_AUTO;
        int i6 = Integer.MIN_VALUE;
        for (int i7 = 0; i7 < g5; i7++) {
            e0 childViewHolderInt = getChildViewHolderInt(this.mChildHelper.f(i7));
            if (!childViewHolderInt.shouldIgnore()) {
                int layoutPosition = childViewHolderInt.getLayoutPosition();
                if (layoutPosition < i5) {
                    i5 = layoutPosition;
                }
                if (layoutPosition > i6) {
                    i6 = layoutPosition;
                }
            }
        }
        iArr[0] = i5;
        iArr[1] = i6;
    }

    static RecyclerView findNestedRecyclerView(View view) {
        if (!(view instanceof ViewGroup)) {
            return null;
        }
        if (view instanceof RecyclerView) {
            return (RecyclerView) view;
        }
        ViewGroup viewGroup = (ViewGroup) view;
        int childCount = viewGroup.getChildCount();
        for (int i5 = 0; i5 < childCount; i5++) {
            RecyclerView findNestedRecyclerView = findNestedRecyclerView(viewGroup.getChildAt(i5));
            if (findNestedRecyclerView != null) {
                return findNestedRecyclerView;
            }
        }
        return null;
    }

    private View findNextViewToFocus() {
        e0 findViewHolderForAdapterPosition;
        b0 b0Var = this.mState;
        int i5 = b0Var.f2859m;
        if (i5 == -1) {
            i5 = 0;
        }
        int b5 = b0Var.b();
        for (int i6 = i5; i6 < b5; i6++) {
            e0 findViewHolderForAdapterPosition2 = findViewHolderForAdapterPosition(i6);
            if (findViewHolderForAdapterPosition2 == null) {
                break;
            } else if (findViewHolderForAdapterPosition2.itemView.hasFocusable()) {
                return findViewHolderForAdapterPosition2.itemView;
            }
        }
        int min = Math.min(b5, i5);
        while (true) {
            min--;
            if (min < 0 || (findViewHolderForAdapterPosition = findViewHolderForAdapterPosition(min)) == null) {
                return null;
            }
            if (findViewHolderForAdapterPosition.itemView.hasFocusable()) {
                return findViewHolderForAdapterPosition.itemView;
            }
        }
    }

    static e0 getChildViewHolderInt(View view) {
        if (view == null) {
            return null;
        }
        return ((q) view.getLayoutParams()).f2896a;
    }

    static void getDecoratedBoundsWithMarginsInt(View view, Rect rect) {
        q qVar = (q) view.getLayoutParams();
        Rect rect2 = qVar.f2897b;
        rect.set((view.getLeft() - rect2.left) - ((ViewGroup.MarginLayoutParams) qVar).leftMargin, (view.getTop() - rect2.top) - ((ViewGroup.MarginLayoutParams) qVar).topMargin, view.getRight() + rect2.right + ((ViewGroup.MarginLayoutParams) qVar).rightMargin, view.getBottom() + rect2.bottom + ((ViewGroup.MarginLayoutParams) qVar).bottomMargin);
    }

    private int getDeepestFocusedViewWithId(View view) {
        int id;
        loop0:
        while (true) {
            id = view.getId();
            while (true) {
                if (view.isFocused() || !(view instanceof ViewGroup) || !view.hasFocus()) {
                    return id;
                }
                view = ((ViewGroup) view).getFocusedChild();
                if (view.getId() != -1) {
                }
            }
        }
        return id;
    }

    private String getFullClassName(Context context, String str) {
        if (str.charAt(0) == '.') {
            return context.getPackageName() + str;
        } else if (str.contains(".")) {
            return str;
        } else {
            return RecyclerView.class.getPackage().getName() + '.' + str;
        }
    }

    private androidx.core.view.p getScrollingChildHelper() {
        if (this.mScrollingChildHelper == null) {
            this.mScrollingChildHelper = new androidx.core.view.p(this);
        }
        return this.mScrollingChildHelper;
    }

    private void handleMissingPreInfoForChangeError(long j5, e0 e0Var, e0 e0Var2) {
        int g5 = this.mChildHelper.g();
        for (int i5 = 0; i5 < g5; i5++) {
            e0 childViewHolderInt = getChildViewHolderInt(this.mChildHelper.f(i5));
            if (childViewHolderInt != e0Var && getChangedHolderKey(childViewHolderInt) == j5) {
                h hVar = this.mAdapter;
                if (hVar == null || !hVar.hasStableIds()) {
                    throw new IllegalStateException("Two different ViewHolders have the same change ID. This might happen due to inconsistent Adapter update events or if the LayoutManager lays out the same View multiple times.\n ViewHolder 1:" + childViewHolderInt + " \n View Holder 2:" + e0Var + exceptionLabel());
                }
                throw new IllegalStateException("Two different ViewHolders have the same stable ID. Stable IDs in your adapter MUST BE unique and SHOULD NOT change.\n ViewHolder 1:" + childViewHolderInt + " \n View Holder 2:" + e0Var + exceptionLabel());
            }
        }
        Log.e(TAG, "Problem while matching changed view holders with the newones. The pre-layout information for the change holder " + e0Var2 + " cannot be found but it is necessary for " + e0Var + exceptionLabel());
    }

    private boolean hasUpdatedView() {
        int g5 = this.mChildHelper.g();
        for (int i5 = 0; i5 < g5; i5++) {
            e0 childViewHolderInt = getChildViewHolderInt(this.mChildHelper.f(i5));
            if (!(childViewHolderInt == null || childViewHolderInt.shouldIgnore() || !childViewHolderInt.isUpdated())) {
                return true;
            }
        }
        return false;
    }

    private void initAutofill() {
        if (androidx.core.view.a0.w(this) == 0) {
            androidx.core.view.a0.l0(this, 8);
        }
    }

    private void initChildrenHelper() {
        this.mChildHelper = new b(new e());
    }

    private boolean isPreferredNextFocus(View view, View view2, int i5) {
        int i6;
        if (view2 == null || view2 == this || view2 == view || findContainingItemView(view2) == null) {
            return false;
        }
        if (view == null || findContainingItemView(view) == null) {
            return true;
        }
        this.mTempRect.set(0, 0, view.getWidth(), view.getHeight());
        this.mTempRect2.set(0, 0, view2.getWidth(), view2.getHeight());
        offsetDescendantRectToMyCoords(view, this.mTempRect);
        offsetDescendantRectToMyCoords(view2, this.mTempRect2);
        char c5 = 65535;
        int i7 = this.mLayout.getLayoutDirection() == 1 ? -1 : 1;
        Rect rect = this.mTempRect;
        int i8 = rect.left;
        Rect rect2 = this.mTempRect2;
        int i9 = rect2.left;
        if ((i8 < i9 || rect.right <= i9) && rect.right < rect2.right) {
            i6 = 1;
        } else {
            int i10 = rect.right;
            int i11 = rect2.right;
            i6 = ((i10 > i11 || i8 >= i11) && i8 > i9) ? -1 : 0;
        }
        int i12 = rect.top;
        int i13 = rect2.top;
        if ((i12 < i13 || rect.bottom <= i13) && rect.bottom < rect2.bottom) {
            c5 = 1;
        } else {
            int i14 = rect.bottom;
            int i15 = rect2.bottom;
            if ((i14 <= i15 && i12 < i15) || i12 <= i13) {
                c5 = 0;
            }
        }
        if (i5 == 1) {
            return c5 < 0 || (c5 == 0 && i6 * i7 < 0);
        }
        if (i5 == 2) {
            return c5 > 0 || (c5 == 0 && i6 * i7 > 0);
        }
        if (i5 == 17) {
            return i6 < 0;
        }
        if (i5 == 33) {
            return c5 < 0;
        }
        if (i5 == 66) {
            return i6 > 0;
        }
        if (i5 == 130) {
            return c5 > 0;
        }
        throw new IllegalArgumentException("Invalid direction: " + i5 + exceptionLabel());
    }

    private void nestedScrollByInternal(int i5, int i6, MotionEvent motionEvent, int i7) {
        p pVar = this.mLayout;
        if (pVar == null) {
            Log.e(TAG, "Cannot scroll without a LayoutManager set. Call setLayoutManager with a non-null argument.");
        } else if (!this.mLayoutSuppressed) {
            int[] iArr = this.mReusableIntPair;
            int i8 = 0;
            iArr[0] = 0;
            iArr[1] = 0;
            boolean canScrollHorizontally = pVar.canScrollHorizontally();
            boolean canScrollVertically = this.mLayout.canScrollVertically();
            startNestedScroll(canScrollVertically ? canScrollHorizontally | 2 : canScrollHorizontally, i7);
            if (dispatchNestedPreScroll(canScrollHorizontally ? i5 : 0, canScrollVertically ? i6 : 0, this.mReusableIntPair, this.mScrollOffset, i7)) {
                int[] iArr2 = this.mReusableIntPair;
                i5 -= iArr2[0];
                i6 -= iArr2[1];
            }
            int i9 = canScrollHorizontally ? i5 : 0;
            if (canScrollVertically) {
                i8 = i6;
            }
            scrollByInternal(i9, i8, motionEvent, i7);
            e eVar = this.mGapWorker;
            if (!(eVar == null || (i5 == 0 && i6 == 0))) {
                eVar.f(this, i5, i6);
            }
            stopNestedScroll(i7);
        }
    }

    private void onPointerUp(MotionEvent motionEvent) {
        int actionIndex = motionEvent.getActionIndex();
        if (motionEvent.getPointerId(actionIndex) == this.mScrollPointerId) {
            int i5 = actionIndex == 0 ? 1 : 0;
            this.mScrollPointerId = motionEvent.getPointerId(i5);
            int x5 = (int) (motionEvent.getX(i5) + 0.5f);
            this.mLastTouchX = x5;
            this.mInitialTouchX = x5;
            int y5 = (int) (motionEvent.getY(i5) + 0.5f);
            this.mLastTouchY = y5;
            this.mInitialTouchY = y5;
        }
    }

    private boolean predictiveItemAnimationsEnabled() {
        return this.mItemAnimator != null && this.mLayout.supportsPredictiveItemAnimations();
    }

    private void processAdapterUpdatesAndSetAnimationFlags() {
        boolean z4;
        if (this.mDataSetHasChangedAfterLayout) {
            this.mAdapterHelper.y();
            if (this.mDispatchItemsChangedEvent) {
                this.mLayout.onItemsChanged(this);
            }
        }
        if (predictiveItemAnimationsEnabled()) {
            this.mAdapterHelper.w();
        } else {
            this.mAdapterHelper.j();
        }
        boolean z5 = false;
        boolean z6 = this.mItemsAddedOrRemoved || this.mItemsChanged;
        this.mState.f2857k = this.mFirstLayoutComplete && this.mItemAnimator != null && ((z4 = this.mDataSetHasChangedAfterLayout) || z6 || this.mLayout.mRequestedSimpleAnimations) && (!z4 || this.mAdapter.hasStableIds());
        b0 b0Var = this.mState;
        if (b0Var.f2857k && z6 && !this.mDataSetHasChangedAfterLayout && predictiveItemAnimationsEnabled()) {
            z5 = true;
        }
        b0Var.f2858l = z5;
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x003d  */
    /* JADX WARNING: Removed duplicated region for block: B:11:0x0053  */
    private void pullGlows(float f5, float f6, float f7, float f8) {
        boolean z4;
        EdgeEffect edgeEffect;
        float width;
        float height;
        boolean z5 = true;
        if (f6 < CropImageView.DEFAULT_ASPECT_RATIO) {
            ensureLeftGlow();
            edgeEffect = this.mLeftGlow;
            width = (-f6) / ((float) getWidth());
            height = 1.0f - (f7 / ((float) getHeight()));
        } else if (f6 > CropImageView.DEFAULT_ASPECT_RATIO) {
            ensureRightGlow();
            edgeEffect = this.mRightGlow;
            width = f6 / ((float) getWidth());
            height = f7 / ((float) getHeight());
        } else {
            z4 = false;
            if (f8 >= CropImageView.DEFAULT_ASPECT_RATIO) {
                ensureTopGlow();
                androidx.core.widget.e.c(this.mTopGlow, (-f8) / ((float) getHeight()), f5 / ((float) getWidth()));
            } else if (f8 > CropImageView.DEFAULT_ASPECT_RATIO) {
                ensureBottomGlow();
                androidx.core.widget.e.c(this.mBottomGlow, f8 / ((float) getHeight()), 1.0f - (f5 / ((float) getWidth())));
            } else {
                z5 = z4;
            }
            if (!z5 || f6 != CropImageView.DEFAULT_ASPECT_RATIO || f8 != CropImageView.DEFAULT_ASPECT_RATIO) {
                androidx.core.view.a0.V(this);
            }
            return;
        }
        androidx.core.widget.e.c(edgeEffect, width, height);
        z4 = true;
        if (f8 >= CropImageView.DEFAULT_ASPECT_RATIO) {
        }
        if (!z5) {
        }
        androidx.core.view.a0.V(this);
    }

    private void recoverFocusFromState() {
        View findViewById;
        if (this.mPreserveFocusAfterLayout && this.mAdapter != null && hasFocus() && getDescendantFocusability() != 393216) {
            if (getDescendantFocusability() != 131072 || !isFocused()) {
                if (!isFocused()) {
                    View focusedChild = getFocusedChild();
                    if (!IGNORE_DETACHED_FOCUSED_CHILD || (focusedChild.getParent() != null && focusedChild.hasFocus())) {
                        if (!this.mChildHelper.n(focusedChild)) {
                            return;
                        }
                    } else if (this.mChildHelper.g() == 0) {
                        requestFocus();
                        return;
                    }
                }
                View view = null;
                e0 findViewHolderForItemId = (this.mState.f2860n == -1 || !this.mAdapter.hasStableIds()) ? null : findViewHolderForItemId(this.mState.f2860n);
                if (findViewHolderForItemId != null && !this.mChildHelper.n(findViewHolderForItemId.itemView) && findViewHolderForItemId.itemView.hasFocusable()) {
                    view = findViewHolderForItemId.itemView;
                } else if (this.mChildHelper.g() > 0) {
                    view = findNextViewToFocus();
                }
                if (view != null) {
                    int i5 = this.mState.f2861o;
                    if (!(((long) i5) == -1 || (findViewById = view.findViewById(i5)) == null || !findViewById.isFocusable())) {
                        view = findViewById;
                    }
                    view.requestFocus();
                }
            }
        }
    }

    private void releaseGlows() {
        boolean z4;
        EdgeEffect edgeEffect = this.mLeftGlow;
        if (edgeEffect != null) {
            edgeEffect.onRelease();
            z4 = this.mLeftGlow.isFinished();
        } else {
            z4 = false;
        }
        EdgeEffect edgeEffect2 = this.mTopGlow;
        if (edgeEffect2 != null) {
            edgeEffect2.onRelease();
            z4 |= this.mTopGlow.isFinished();
        }
        EdgeEffect edgeEffect3 = this.mRightGlow;
        if (edgeEffect3 != null) {
            edgeEffect3.onRelease();
            z4 |= this.mRightGlow.isFinished();
        }
        EdgeEffect edgeEffect4 = this.mBottomGlow;
        if (edgeEffect4 != null) {
            edgeEffect4.onRelease();
            z4 |= this.mBottomGlow.isFinished();
        }
        if (z4) {
            androidx.core.view.a0.V(this);
        }
    }

    private void requestChildOnScreen(View view, View view2) {
        View view3 = view2 != null ? view2 : view;
        this.mTempRect.set(0, 0, view3.getWidth(), view3.getHeight());
        ViewGroup.LayoutParams layoutParams = view3.getLayoutParams();
        if (layoutParams instanceof q) {
            q qVar = (q) layoutParams;
            if (!qVar.f2898c) {
                Rect rect = qVar.f2897b;
                Rect rect2 = this.mTempRect;
                rect2.left -= rect.left;
                rect2.right += rect.right;
                rect2.top -= rect.top;
                rect2.bottom += rect.bottom;
            }
        }
        if (view2 != null) {
            offsetDescendantRectToMyCoords(view2, this.mTempRect);
            offsetRectIntoDescendantCoords(view, this.mTempRect);
        }
        this.mLayout.requestChildRectangleOnScreen(this, view, this.mTempRect, !this.mFirstLayoutComplete, view2 == null);
    }

    private void resetFocusInfo() {
        b0 b0Var = this.mState;
        b0Var.f2860n = -1;
        b0Var.f2859m = -1;
        b0Var.f2861o = -1;
    }

    private void resetScroll() {
        VelocityTracker velocityTracker = this.mVelocityTracker;
        if (velocityTracker != null) {
            velocityTracker.clear();
        }
        stopNestedScroll(0);
        releaseGlows();
    }

    private void saveFocusInfo() {
        e0 e0Var = null;
        View focusedChild = (!this.mPreserveFocusAfterLayout || !hasFocus() || this.mAdapter == null) ? null : getFocusedChild();
        if (focusedChild != null) {
            e0Var = findContainingViewHolder(focusedChild);
        }
        if (e0Var == null) {
            resetFocusInfo();
            return;
        }
        this.mState.f2860n = this.mAdapter.hasStableIds() ? e0Var.getItemId() : -1;
        this.mState.f2859m = this.mDataSetHasChangedAfterLayout ? -1 : e0Var.isRemoved() ? e0Var.mOldPosition : e0Var.getAbsoluteAdapterPosition();
        this.mState.f2861o = getDeepestFocusedViewWithId(e0Var.itemView);
    }

    private void setAdapterInternal(h hVar, boolean z4, boolean z5) {
        h hVar2 = this.mAdapter;
        if (hVar2 != null) {
            hVar2.unregisterAdapterDataObserver(this.mObserver);
            this.mAdapter.onDetachedFromRecyclerView(this);
        }
        if (!z4 || z5) {
            removeAndRecycleViews();
        }
        this.mAdapterHelper.y();
        h hVar3 = this.mAdapter;
        this.mAdapter = hVar;
        if (hVar != null) {
            hVar.registerAdapterDataObserver(this.mObserver);
            hVar.onAttachedToRecyclerView(this);
        }
        p pVar = this.mLayout;
        if (pVar != null) {
            pVar.onAdapterChanged(hVar3, this.mAdapter);
        }
        this.mRecycler.x(hVar3, this.mAdapter, z4);
        this.mState.f2853g = true;
    }

    private void stopScrollersInternal() {
        this.mViewFlinger.f();
        p pVar = this.mLayout;
        if (pVar != null) {
            pVar.stopSmoothScroller();
        }
    }

    /* access modifiers changed from: package-private */
    public void absorbGlows(int i5, int i6) {
        if (i5 < 0) {
            ensureLeftGlow();
            if (this.mLeftGlow.isFinished()) {
                this.mLeftGlow.onAbsorb(-i5);
            }
        } else if (i5 > 0) {
            ensureRightGlow();
            if (this.mRightGlow.isFinished()) {
                this.mRightGlow.onAbsorb(i5);
            }
        }
        if (i6 < 0) {
            ensureTopGlow();
            if (this.mTopGlow.isFinished()) {
                this.mTopGlow.onAbsorb(-i6);
            }
        } else if (i6 > 0) {
            ensureBottomGlow();
            if (this.mBottomGlow.isFinished()) {
                this.mBottomGlow.onAbsorb(i6);
            }
        }
        if (i5 != 0 || i6 != 0) {
            androidx.core.view.a0.V(this);
        }
    }

    @Override // android.view.View, android.view.ViewGroup
    public void addFocusables(ArrayList<View> arrayList, int i5, int i6) {
        p pVar = this.mLayout;
        if (pVar == null || !pVar.onAddFocusables(this, arrayList, i5, i6)) {
            super.addFocusables(arrayList, i5, i6);
        }
    }

    public void addItemDecoration(o oVar) {
        addItemDecoration(oVar, -1);
    }

    public void addItemDecoration(o oVar, int i5) {
        p pVar = this.mLayout;
        if (pVar != null) {
            pVar.assertNotInLayoutOrScroll("Cannot add item decoration during a scroll  or layout");
        }
        if (this.mItemDecorations.isEmpty()) {
            setWillNotDraw(false);
        }
        if (i5 < 0) {
            this.mItemDecorations.add(oVar);
        } else {
            this.mItemDecorations.add(i5, oVar);
        }
        markItemDecorInsetsDirty();
        requestLayout();
    }

    public void addOnChildAttachStateChangeListener(r rVar) {
        if (this.mOnChildAttachStateListeners == null) {
            this.mOnChildAttachStateListeners = new ArrayList();
        }
        this.mOnChildAttachStateListeners.add(rVar);
    }

    public void addOnItemTouchListener(t tVar) {
        this.mOnItemTouchListeners.add(tVar);
    }

    public void addOnScrollListener(u uVar) {
        if (this.mScrollListeners == null) {
            this.mScrollListeners = new ArrayList();
        }
        this.mScrollListeners.add(uVar);
    }

    public void addRecyclerListener(x xVar) {
        f0.h.b(xVar != null, "'listener' arg cannot be null.");
        this.mRecyclerListeners.add(xVar);
    }

    /* access modifiers changed from: package-private */
    public void animateAppearance(e0 e0Var, m.c cVar, m.c cVar2) {
        e0Var.setIsRecyclable(false);
        if (this.mItemAnimator.a(e0Var, cVar, cVar2)) {
            postAnimationRunner();
        }
    }

    /* access modifiers changed from: package-private */
    public void animateDisappearance(e0 e0Var, m.c cVar, m.c cVar2) {
        addAnimatingView(e0Var);
        e0Var.setIsRecyclable(false);
        if (this.mItemAnimator.c(e0Var, cVar, cVar2)) {
            postAnimationRunner();
        }
    }

    /* access modifiers changed from: package-private */
    public void assertInLayoutOrScroll(String str) {
        if (isComputingLayout()) {
            return;
        }
        if (str == null) {
            throw new IllegalStateException("Cannot call this method unless RecyclerView is computing a layout or scrolling" + exceptionLabel());
        }
        throw new IllegalStateException(str + exceptionLabel());
    }

    /* access modifiers changed from: package-private */
    public void assertNotInLayoutOrScroll(String str) {
        if (isComputingLayout()) {
            if (str == null) {
                throw new IllegalStateException("Cannot call this method while RecyclerView is computing a layout or scrolling" + exceptionLabel());
            }
            throw new IllegalStateException(str);
        } else if (this.mDispatchScrollCounter > 0) {
            Log.w(TAG, "Cannot call this method in a scroll callback. Scroll callbacks mightbe run during a measure & layout pass where you cannot change theRecyclerView data. Any method call that might change the structureof the RecyclerView or the adapter contents should be postponed tothe next frame.", new IllegalStateException("" + exceptionLabel()));
        }
    }

    /* access modifiers changed from: package-private */
    public boolean canReuseUpdatedViewHolder(e0 e0Var) {
        m mVar = this.mItemAnimator;
        return mVar == null || mVar.g(e0Var, e0Var.getUnmodifiedPayloads());
    }

    /* access modifiers changed from: protected */
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return (layoutParams instanceof q) && this.mLayout.checkLayoutParams((q) layoutParams);
    }

    /* access modifiers changed from: package-private */
    public void clearOldPositions() {
        int j5 = this.mChildHelper.j();
        for (int i5 = 0; i5 < j5; i5++) {
            e0 childViewHolderInt = getChildViewHolderInt(this.mChildHelper.i(i5));
            if (!childViewHolderInt.shouldIgnore()) {
                childViewHolderInt.clearOldPosition();
            }
        }
        this.mRecycler.d();
    }

    public void clearOnChildAttachStateChangeListeners() {
        List<r> list = this.mOnChildAttachStateListeners;
        if (list != null) {
            list.clear();
        }
    }

    public void clearOnScrollListeners() {
        List<u> list = this.mScrollListeners;
        if (list != null) {
            list.clear();
        }
    }

    public int computeHorizontalScrollExtent() {
        p pVar = this.mLayout;
        if (pVar != null && pVar.canScrollHorizontally()) {
            return this.mLayout.computeHorizontalScrollExtent(this.mState);
        }
        return 0;
    }

    public int computeHorizontalScrollOffset() {
        p pVar = this.mLayout;
        if (pVar != null && pVar.canScrollHorizontally()) {
            return this.mLayout.computeHorizontalScrollOffset(this.mState);
        }
        return 0;
    }

    public int computeHorizontalScrollRange() {
        p pVar = this.mLayout;
        if (pVar != null && pVar.canScrollHorizontally()) {
            return this.mLayout.computeHorizontalScrollRange(this.mState);
        }
        return 0;
    }

    public int computeVerticalScrollExtent() {
        p pVar = this.mLayout;
        if (pVar != null && pVar.canScrollVertically()) {
            return this.mLayout.computeVerticalScrollExtent(this.mState);
        }
        return 0;
    }

    public int computeVerticalScrollOffset() {
        p pVar = this.mLayout;
        if (pVar != null && pVar.canScrollVertically()) {
            return this.mLayout.computeVerticalScrollOffset(this.mState);
        }
        return 0;
    }

    public int computeVerticalScrollRange() {
        p pVar = this.mLayout;
        if (pVar != null && pVar.canScrollVertically()) {
            return this.mLayout.computeVerticalScrollRange(this.mState);
        }
        return 0;
    }

    /* access modifiers changed from: package-private */
    public void considerReleasingGlowsOnScroll(int i5, int i6) {
        boolean z4;
        EdgeEffect edgeEffect = this.mLeftGlow;
        if (edgeEffect == null || edgeEffect.isFinished() || i5 <= 0) {
            z4 = false;
        } else {
            this.mLeftGlow.onRelease();
            z4 = this.mLeftGlow.isFinished();
        }
        EdgeEffect edgeEffect2 = this.mRightGlow;
        if (edgeEffect2 != null && !edgeEffect2.isFinished() && i5 < 0) {
            this.mRightGlow.onRelease();
            z4 |= this.mRightGlow.isFinished();
        }
        EdgeEffect edgeEffect3 = this.mTopGlow;
        if (edgeEffect3 != null && !edgeEffect3.isFinished() && i6 > 0) {
            this.mTopGlow.onRelease();
            z4 |= this.mTopGlow.isFinished();
        }
        EdgeEffect edgeEffect4 = this.mBottomGlow;
        if (edgeEffect4 != null && !edgeEffect4.isFinished() && i6 < 0) {
            this.mBottomGlow.onRelease();
            z4 |= this.mBottomGlow.isFinished();
        }
        if (z4) {
            androidx.core.view.a0.V(this);
        }
    }

    /* access modifiers changed from: package-private */
    public void consumePendingUpdateOperations() {
        if (!this.mFirstLayoutComplete || this.mDataSetHasChangedAfterLayout) {
            c0.f.a(TRACE_ON_DATA_SET_CHANGE_LAYOUT_TAG);
            dispatchLayout();
            c0.f.b();
        } else if (this.mAdapterHelper.p()) {
            if (this.mAdapterHelper.o(4) && !this.mAdapterHelper.o(11)) {
                c0.f.a(TRACE_HANDLE_ADAPTER_UPDATES_TAG);
                startInterceptRequestLayout();
                onEnterLayoutOrScroll();
                this.mAdapterHelper.w();
                if (!this.mLayoutWasDefered) {
                    if (hasUpdatedView()) {
                        dispatchLayout();
                    } else {
                        this.mAdapterHelper.i();
                    }
                }
                stopInterceptRequestLayout(true);
                onExitLayoutOrScroll();
            } else if (this.mAdapterHelper.p()) {
                c0.f.a(TRACE_ON_DATA_SET_CHANGE_LAYOUT_TAG);
                dispatchLayout();
            } else {
                return;
            }
            c0.f.b();
        }
    }

    /* access modifiers changed from: package-private */
    public void defaultOnMeasure(int i5, int i6) {
        setMeasuredDimension(p.chooseSize(i5, getPaddingLeft() + getPaddingRight(), androidx.core.view.a0.z(this)), p.chooseSize(i6, getPaddingTop() + getPaddingBottom(), androidx.core.view.a0.y(this)));
    }

    /* access modifiers changed from: package-private */
    public void dispatchChildAttached(View view) {
        e0 childViewHolderInt = getChildViewHolderInt(view);
        onChildAttachedToWindow(view);
        h hVar = this.mAdapter;
        if (!(hVar == null || childViewHolderInt == null)) {
            hVar.onViewAttachedToWindow(childViewHolderInt);
        }
        List<r> list = this.mOnChildAttachStateListeners;
        if (list != null) {
            for (int size = list.size() - 1; size >= 0; size--) {
                this.mOnChildAttachStateListeners.get(size).a(view);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void dispatchChildDetached(View view) {
        e0 childViewHolderInt = getChildViewHolderInt(view);
        onChildDetachedFromWindow(view);
        h hVar = this.mAdapter;
        if (!(hVar == null || childViewHolderInt == null)) {
            hVar.onViewDetachedFromWindow(childViewHolderInt);
        }
        List<r> list = this.mOnChildAttachStateListeners;
        if (list != null) {
            for (int size = list.size() - 1; size >= 0; size--) {
                this.mOnChildAttachStateListeners.get(size).b(view);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void dispatchLayout() {
        if (this.mAdapter == null) {
            Log.w(TAG, "No adapter attached; skipping layout");
        } else if (this.mLayout == null) {
            Log.e(TAG, "No layout manager attached; skipping layout");
        } else {
            this.mState.f2856j = false;
            boolean z4 = this.mLastAutoMeasureSkippedDueToExact && !(this.mLastAutoMeasureNonExactMeasuredWidth == getWidth() && this.mLastAutoMeasureNonExactMeasuredHeight == getHeight());
            this.mLastAutoMeasureNonExactMeasuredWidth = 0;
            this.mLastAutoMeasureNonExactMeasuredHeight = 0;
            this.mLastAutoMeasureSkippedDueToExact = false;
            if (this.mState.f2851e == 1) {
                dispatchLayoutStep1();
            } else if (!this.mAdapterHelper.q() && !z4 && this.mLayout.getWidth() == getWidth() && this.mLayout.getHeight() == getHeight()) {
                this.mLayout.setExactMeasureSpecsFrom(this);
                dispatchLayoutStep3();
            }
            this.mLayout.setExactMeasureSpecsFrom(this);
            dispatchLayoutStep2();
            dispatchLayoutStep3();
        }
    }

    public boolean dispatchNestedFling(float f5, float f6, boolean z4) {
        return getScrollingChildHelper().a(f5, f6, z4);
    }

    public boolean dispatchNestedPreFling(float f5, float f6) {
        return getScrollingChildHelper().b(f5, f6);
    }

    public boolean dispatchNestedPreScroll(int i5, int i6, int[] iArr, int[] iArr2) {
        return getScrollingChildHelper().c(i5, i6, iArr, iArr2);
    }

    public boolean dispatchNestedPreScroll(int i5, int i6, int[] iArr, int[] iArr2, int i7) {
        return getScrollingChildHelper().d(i5, i6, iArr, iArr2, i7);
    }

    public final void dispatchNestedScroll(int i5, int i6, int i7, int i8, int[] iArr, int i9, int[] iArr2) {
        getScrollingChildHelper().e(i5, i6, i7, i8, iArr, i9, iArr2);
    }

    public boolean dispatchNestedScroll(int i5, int i6, int i7, int i8, int[] iArr) {
        return getScrollingChildHelper().f(i5, i6, i7, i8, iArr);
    }

    public boolean dispatchNestedScroll(int i5, int i6, int i7, int i8, int[] iArr, int i9) {
        return getScrollingChildHelper().g(i5, i6, i7, i8, iArr, i9);
    }

    /* access modifiers changed from: package-private */
    public void dispatchOnScrollStateChanged(int i5) {
        p pVar = this.mLayout;
        if (pVar != null) {
            pVar.onScrollStateChanged(i5);
        }
        onScrollStateChanged(i5);
        u uVar = this.mScrollListener;
        if (uVar != null) {
            uVar.a(this, i5);
        }
        List<u> list = this.mScrollListeners;
        if (list != null) {
            for (int size = list.size() - 1; size >= 0; size--) {
                this.mScrollListeners.get(size).a(this, i5);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void dispatchOnScrolled(int i5, int i6) {
        this.mDispatchScrollCounter++;
        int scrollX = getScrollX();
        int scrollY = getScrollY();
        onScrollChanged(scrollX, scrollY, scrollX - i5, scrollY - i6);
        onScrolled(i5, i6);
        u uVar = this.mScrollListener;
        if (uVar != null) {
            uVar.b(this, i5, i6);
        }
        List<u> list = this.mScrollListeners;
        if (list != null) {
            for (int size = list.size() - 1; size >= 0; size--) {
                this.mScrollListeners.get(size).b(this, i5, i6);
            }
        }
        this.mDispatchScrollCounter--;
    }

    /* access modifiers changed from: package-private */
    public void dispatchPendingImportantForAccessibilityChanges() {
        int i5;
        for (int size = this.mPendingAccessibilityImportanceChange.size() - 1; size >= 0; size--) {
            e0 e0Var = this.mPendingAccessibilityImportanceChange.get(size);
            if (e0Var.itemView.getParent() == this && !e0Var.shouldIgnore() && (i5 = e0Var.mPendingAccessibilityState) != -1) {
                androidx.core.view.a0.k0(e0Var.itemView, i5);
                e0Var.mPendingAccessibilityState = -1;
            }
        }
        this.mPendingAccessibilityImportanceChange.clear();
    }

    public boolean dispatchPopulateAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        onPopulateAccessibilityEvent(accessibilityEvent);
        return true;
    }

    /* access modifiers changed from: protected */
    @Override // android.view.View, android.view.ViewGroup
    public void dispatchRestoreInstanceState(SparseArray<Parcelable> sparseArray) {
        dispatchThawSelfOnly(sparseArray);
    }

    /* access modifiers changed from: protected */
    @Override // android.view.View, android.view.ViewGroup
    public void dispatchSaveInstanceState(SparseArray<Parcelable> sparseArray) {
        dispatchFreezeSelfOnly(sparseArray);
    }

    public void draw(Canvas canvas) {
        boolean z4;
        int i5;
        float f5;
        super.draw(canvas);
        int size = this.mItemDecorations.size();
        boolean z5 = false;
        for (int i6 = 0; i6 < size; i6++) {
            this.mItemDecorations.get(i6).onDrawOver(canvas, this, this.mState);
        }
        EdgeEffect edgeEffect = this.mLeftGlow;
        boolean z6 = true;
        if (edgeEffect == null || edgeEffect.isFinished()) {
            z4 = false;
        } else {
            int save = canvas.save();
            int paddingBottom = this.mClipToPadding ? getPaddingBottom() : 0;
            canvas.rotate(270.0f);
            canvas.translate((float) ((-getHeight()) + paddingBottom), CropImageView.DEFAULT_ASPECT_RATIO);
            EdgeEffect edgeEffect2 = this.mLeftGlow;
            z4 = edgeEffect2 != null && edgeEffect2.draw(canvas);
            canvas.restoreToCount(save);
        }
        EdgeEffect edgeEffect3 = this.mTopGlow;
        if (edgeEffect3 != null && !edgeEffect3.isFinished()) {
            int save2 = canvas.save();
            if (this.mClipToPadding) {
                canvas.translate((float) getPaddingLeft(), (float) getPaddingTop());
            }
            EdgeEffect edgeEffect4 = this.mTopGlow;
            z4 |= edgeEffect4 != null && edgeEffect4.draw(canvas);
            canvas.restoreToCount(save2);
        }
        EdgeEffect edgeEffect5 = this.mRightGlow;
        if (edgeEffect5 != null && !edgeEffect5.isFinished()) {
            int save3 = canvas.save();
            int width = getWidth();
            int paddingTop = this.mClipToPadding ? getPaddingTop() : 0;
            canvas.rotate(90.0f);
            canvas.translate((float) paddingTop, (float) (-width));
            EdgeEffect edgeEffect6 = this.mRightGlow;
            z4 |= edgeEffect6 != null && edgeEffect6.draw(canvas);
            canvas.restoreToCount(save3);
        }
        EdgeEffect edgeEffect7 = this.mBottomGlow;
        if (edgeEffect7 != null && !edgeEffect7.isFinished()) {
            int save4 = canvas.save();
            canvas.rotate(180.0f);
            if (this.mClipToPadding) {
                f5 = (float) ((-getWidth()) + getPaddingRight());
                i5 = (-getHeight()) + getPaddingBottom();
            } else {
                f5 = (float) (-getWidth());
                i5 = -getHeight();
            }
            canvas.translate(f5, (float) i5);
            EdgeEffect edgeEffect8 = this.mBottomGlow;
            if (edgeEffect8 != null && edgeEffect8.draw(canvas)) {
                z5 = true;
            }
            z4 |= z5;
            canvas.restoreToCount(save4);
        }
        if (z4 || this.mItemAnimator == null || this.mItemDecorations.size() <= 0 || !this.mItemAnimator.p()) {
            z6 = z4;
        }
        if (z6) {
            androidx.core.view.a0.V(this);
        }
    }

    public boolean drawChild(Canvas canvas, View view, long j5) {
        return super.drawChild(canvas, view, j5);
    }

    /* access modifiers changed from: package-private */
    public void ensureBottomGlow() {
        int i5;
        int i6;
        if (this.mBottomGlow == null) {
            EdgeEffect a5 = this.mEdgeEffectFactory.a(this, 3);
            this.mBottomGlow = a5;
            if (this.mClipToPadding) {
                i6 = (getMeasuredWidth() - getPaddingLeft()) - getPaddingRight();
                i5 = (getMeasuredHeight() - getPaddingTop()) - getPaddingBottom();
            } else {
                i6 = getMeasuredWidth();
                i5 = getMeasuredHeight();
            }
            a5.setSize(i6, i5);
        }
    }

    /* access modifiers changed from: package-private */
    public void ensureLeftGlow() {
        int i5;
        int i6;
        if (this.mLeftGlow == null) {
            EdgeEffect a5 = this.mEdgeEffectFactory.a(this, 0);
            this.mLeftGlow = a5;
            if (this.mClipToPadding) {
                i6 = (getMeasuredHeight() - getPaddingTop()) - getPaddingBottom();
                i5 = (getMeasuredWidth() - getPaddingLeft()) - getPaddingRight();
            } else {
                i6 = getMeasuredHeight();
                i5 = getMeasuredWidth();
            }
            a5.setSize(i6, i5);
        }
    }

    /* access modifiers changed from: package-private */
    public void ensureRightGlow() {
        int i5;
        int i6;
        if (this.mRightGlow == null) {
            EdgeEffect a5 = this.mEdgeEffectFactory.a(this, 2);
            this.mRightGlow = a5;
            if (this.mClipToPadding) {
                i6 = (getMeasuredHeight() - getPaddingTop()) - getPaddingBottom();
                i5 = (getMeasuredWidth() - getPaddingLeft()) - getPaddingRight();
            } else {
                i6 = getMeasuredHeight();
                i5 = getMeasuredWidth();
            }
            a5.setSize(i6, i5);
        }
    }

    /* access modifiers changed from: package-private */
    public void ensureTopGlow() {
        int i5;
        int i6;
        if (this.mTopGlow == null) {
            EdgeEffect a5 = this.mEdgeEffectFactory.a(this, 1);
            this.mTopGlow = a5;
            if (this.mClipToPadding) {
                i6 = (getMeasuredWidth() - getPaddingLeft()) - getPaddingRight();
                i5 = (getMeasuredHeight() - getPaddingTop()) - getPaddingBottom();
            } else {
                i6 = getMeasuredWidth();
                i5 = getMeasuredHeight();
            }
            a5.setSize(i6, i5);
        }
    }

    /* access modifiers changed from: package-private */
    public String exceptionLabel() {
        return " " + super.toString() + ", adapter:" + this.mAdapter + ", layout:" + this.mLayout + ", context:" + getContext();
    }

    /* access modifiers changed from: package-private */
    public final void fillRemainingScrollValues(b0 b0Var) {
        if (getScrollState() == 2) {
            OverScroller overScroller = this.mViewFlinger.f2867g;
            b0Var.f2862p = overScroller.getFinalX() - overScroller.getCurrX();
            b0Var.f2863q = overScroller.getFinalY() - overScroller.getCurrY();
            return;
        }
        b0Var.f2862p = 0;
        b0Var.f2863q = 0;
    }

    public View findChildViewUnder(float f5, float f6) {
        for (int g5 = this.mChildHelper.g() - 1; g5 >= 0; g5--) {
            View f7 = this.mChildHelper.f(g5);
            float translationX = f7.getTranslationX();
            float translationY = f7.getTranslationY();
            if (f5 >= ((float) f7.getLeft()) + translationX && f5 <= ((float) f7.getRight()) + translationX && f6 >= ((float) f7.getTop()) + translationY && f6 <= ((float) f7.getBottom()) + translationY) {
                return f7;
            }
        }
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:? A[RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:7:0x0013 A[ORIG_RETURN, RETURN, SYNTHETIC] */
    public View findContainingItemView(View view) {
        ViewParent parent;
        while (true) {
            parent = view.getParent();
            if (parent != null && parent != this && (parent instanceof View)) {
                view = (View) parent;
            } else if (parent != this) {
                return view;
            } else {
                return null;
            }
        }
        if (parent != this) {
        }
    }

    public e0 findContainingViewHolder(View view) {
        View findContainingItemView = findContainingItemView(view);
        if (findContainingItemView == null) {
            return null;
        }
        return getChildViewHolder(findContainingItemView);
    }

    public e0 findViewHolderForAdapterPosition(int i5) {
        e0 e0Var = null;
        if (this.mDataSetHasChangedAfterLayout) {
            return null;
        }
        int j5 = this.mChildHelper.j();
        for (int i6 = 0; i6 < j5; i6++) {
            e0 childViewHolderInt = getChildViewHolderInt(this.mChildHelper.i(i6));
            if (childViewHolderInt != null && !childViewHolderInt.isRemoved() && getAdapterPositionInRecyclerView(childViewHolderInt) == i5) {
                if (!this.mChildHelper.n(childViewHolderInt.itemView)) {
                    return childViewHolderInt;
                }
                e0Var = childViewHolderInt;
            }
        }
        return e0Var;
    }

    public e0 findViewHolderForItemId(long j5) {
        h hVar = this.mAdapter;
        e0 e0Var = null;
        if (hVar != null && hVar.hasStableIds()) {
            int j6 = this.mChildHelper.j();
            for (int i5 = 0; i5 < j6; i5++) {
                e0 childViewHolderInt = getChildViewHolderInt(this.mChildHelper.i(i5));
                if (childViewHolderInt != null && !childViewHolderInt.isRemoved() && childViewHolderInt.getItemId() == j5) {
                    if (!this.mChildHelper.n(childViewHolderInt.itemView)) {
                        return childViewHolderInt;
                    }
                    e0Var = childViewHolderInt;
                }
            }
        }
        return e0Var;
    }

    public e0 findViewHolderForLayoutPosition(int i5) {
        return findViewHolderForPosition(i5, false);
    }

    @Deprecated
    public e0 findViewHolderForPosition(int i5) {
        return findViewHolderForPosition(i5, false);
    }

    /* access modifiers changed from: package-private */
    public e0 findViewHolderForPosition(int i5, boolean z4) {
        int j5 = this.mChildHelper.j();
        e0 e0Var = null;
        for (int i6 = 0; i6 < j5; i6++) {
            e0 childViewHolderInt = getChildViewHolderInt(this.mChildHelper.i(i6));
            if (childViewHolderInt != null && !childViewHolderInt.isRemoved()) {
                if (z4) {
                    if (childViewHolderInt.mPosition != i5) {
                        continue;
                    }
                } else if (childViewHolderInt.getLayoutPosition() != i5) {
                    continue;
                }
                if (!this.mChildHelper.n(childViewHolderInt.itemView)) {
                    return childViewHolderInt;
                }
                e0Var = childViewHolderInt;
            }
        }
        return e0Var;
    }

    public boolean fling(int i5, int i6) {
        p pVar = this.mLayout;
        if (pVar == null) {
            Log.e(TAG, "Cannot fling without a LayoutManager set. Call setLayoutManager with a non-null argument.");
            return false;
        } else if (this.mLayoutSuppressed) {
            return false;
        } else {
            boolean canScrollHorizontally = pVar.canScrollHorizontally();
            boolean canScrollVertically = this.mLayout.canScrollVertically();
            if (!canScrollHorizontally || Math.abs(i5) < this.mMinFlingVelocity) {
                i5 = 0;
            }
            if (!canScrollVertically || Math.abs(i6) < this.mMinFlingVelocity) {
                i6 = 0;
            }
            if (i5 == 0 && i6 == 0) {
                return false;
            }
            float f5 = (float) i5;
            float f6 = (float) i6;
            if (!dispatchNestedPreFling(f5, f6)) {
                boolean z4 = canScrollHorizontally || canScrollVertically;
                dispatchNestedFling(f5, f6, z4);
                if (z4) {
                    if (canScrollVertically) {
                        boolean z5 = canScrollHorizontally ? 1 : 0;
                        char c5 = canScrollHorizontally ? 1 : 0;
                        canScrollHorizontally = z5 | true;
                    }
                    int i7 = canScrollHorizontally ? 1 : 0;
                    int i8 = canScrollHorizontally ? 1 : 0;
                    int i9 = canScrollHorizontally ? 1 : 0;
                    startNestedScroll(i7, 1);
                    int i10 = this.mMaxFlingVelocity;
                    int max = Math.max(-i10, Math.min(i5, i10));
                    int i11 = this.mMaxFlingVelocity;
                    this.mViewFlinger.b(max, Math.max(-i11, Math.min(i6, i11)));
                    return true;
                }
            }
            return false;
        }
    }

    public View focusSearch(View view, int i5) {
        View view2;
        boolean z4;
        View onInterceptFocusSearch = this.mLayout.onInterceptFocusSearch(view, i5);
        if (onInterceptFocusSearch != null) {
            return onInterceptFocusSearch;
        }
        boolean z5 = true;
        boolean z6 = this.mAdapter != null && this.mLayout != null && !isComputingLayout() && !this.mLayoutSuppressed;
        FocusFinder instance = FocusFinder.getInstance();
        if (!z6 || !(i5 == 2 || i5 == 1)) {
            View findNextFocus = instance.findNextFocus(this, view, i5);
            if (findNextFocus != null || !z6) {
                view2 = findNextFocus;
            } else {
                consumePendingUpdateOperations();
                if (findContainingItemView(view) == null) {
                    return null;
                }
                startInterceptRequestLayout();
                view2 = this.mLayout.onFocusSearchFailed(view, i5, this.mRecycler, this.mState);
                stopInterceptRequestLayout(false);
            }
        } else {
            if (this.mLayout.canScrollVertically()) {
                int i6 = i5 == 2 ? 130 : 33;
                z4 = instance.findNextFocus(this, view, i6) == null;
                if (FORCE_ABS_FOCUS_SEARCH_DIRECTION) {
                    i5 = i6;
                }
            } else {
                z4 = false;
            }
            if (!z4 && this.mLayout.canScrollHorizontally()) {
                int i7 = (this.mLayout.getLayoutDirection() == 1) ^ (i5 == 2) ? 66 : 17;
                if (instance.findNextFocus(this, view, i7) != null) {
                    z5 = false;
                }
                if (FORCE_ABS_FOCUS_SEARCH_DIRECTION) {
                    i5 = i7;
                }
                z4 = z5;
            }
            if (z4) {
                consumePendingUpdateOperations();
                if (findContainingItemView(view) == null) {
                    return null;
                }
                startInterceptRequestLayout();
                this.mLayout.onFocusSearchFailed(view, i5, this.mRecycler, this.mState);
                stopInterceptRequestLayout(false);
            }
            view2 = instance.findNextFocus(this, view, i5);
        }
        if (view2 == null || view2.hasFocusable()) {
            return isPreferredNextFocus(view, view2, i5) ? view2 : super.focusSearch(view, i5);
        }
        if (getFocusedChild() == null) {
            return super.focusSearch(view, i5);
        }
        requestChildOnScreen(view2, null);
        return view;
    }

    /* access modifiers changed from: protected */
    public ViewGroup.LayoutParams generateDefaultLayoutParams() {
        p pVar = this.mLayout;
        if (pVar != null) {
            return pVar.generateDefaultLayoutParams();
        }
        throw new IllegalStateException("RecyclerView has no LayoutManager" + exceptionLabel());
    }

    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(AttributeSet attributeSet) {
        p pVar = this.mLayout;
        if (pVar != null) {
            return pVar.generateLayoutParams(getContext(), attributeSet);
        }
        throw new IllegalStateException("RecyclerView has no LayoutManager" + exceptionLabel());
    }

    /* access modifiers changed from: protected */
    @Override // android.view.ViewGroup
    public ViewGroup.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        p pVar = this.mLayout;
        if (pVar != null) {
            return pVar.generateLayoutParams(layoutParams);
        }
        throw new IllegalStateException("RecyclerView has no LayoutManager" + exceptionLabel());
    }

    public CharSequence getAccessibilityClassName() {
        return "androidx.recyclerview.widget.RecyclerView";
    }

    public h getAdapter() {
        return this.mAdapter;
    }

    /* access modifiers changed from: package-private */
    public int getAdapterPositionInRecyclerView(e0 e0Var) {
        if (e0Var.hasAnyOfTheFlags(524) || !e0Var.isBound()) {
            return -1;
        }
        return this.mAdapterHelper.e(e0Var.mPosition);
    }

    public int getBaseline() {
        p pVar = this.mLayout;
        return pVar != null ? pVar.getBaseline() : super.getBaseline();
    }

    /* access modifiers changed from: package-private */
    public long getChangedHolderKey(e0 e0Var) {
        return this.mAdapter.hasStableIds() ? e0Var.getItemId() : (long) e0Var.mPosition;
    }

    public int getChildAdapterPosition(View view) {
        e0 childViewHolderInt = getChildViewHolderInt(view);
        if (childViewHolderInt != null) {
            return childViewHolderInt.getAbsoluteAdapterPosition();
        }
        return -1;
    }

    /* access modifiers changed from: protected */
    public int getChildDrawingOrder(int i5, int i6) {
        k kVar = this.mChildDrawingOrderCallback;
        return kVar == null ? super.getChildDrawingOrder(i5, i6) : kVar.a(i5, i6);
    }

    public long getChildItemId(View view) {
        e0 childViewHolderInt;
        h hVar = this.mAdapter;
        if (hVar == null || !hVar.hasStableIds() || (childViewHolderInt = getChildViewHolderInt(view)) == null) {
            return -1;
        }
        return childViewHolderInt.getItemId();
    }

    public int getChildLayoutPosition(View view) {
        e0 childViewHolderInt = getChildViewHolderInt(view);
        if (childViewHolderInt != null) {
            return childViewHolderInt.getLayoutPosition();
        }
        return -1;
    }

    @Deprecated
    public int getChildPosition(View view) {
        return getChildAdapterPosition(view);
    }

    public e0 getChildViewHolder(View view) {
        ViewParent parent = view.getParent();
        if (parent == null || parent == this) {
            return getChildViewHolderInt(view);
        }
        throw new IllegalArgumentException("View " + view + " is not a direct child of " + this);
    }

    public boolean getClipToPadding() {
        return this.mClipToPadding;
    }

    public j getCompatAccessibilityDelegate() {
        return this.mAccessibilityDelegate;
    }

    public void getDecoratedBoundsWithMargins(View view, Rect rect) {
        getDecoratedBoundsWithMarginsInt(view, rect);
    }

    public l getEdgeEffectFactory() {
        return this.mEdgeEffectFactory;
    }

    public m getItemAnimator() {
        return this.mItemAnimator;
    }

    /* access modifiers changed from: package-private */
    public Rect getItemDecorInsetsForChild(View view) {
        q qVar = (q) view.getLayoutParams();
        if (!qVar.f2898c) {
            return qVar.f2897b;
        }
        if (this.mState.e() && (qVar.b() || qVar.d())) {
            return qVar.f2897b;
        }
        Rect rect = qVar.f2897b;
        rect.set(0, 0, 0, 0);
        int size = this.mItemDecorations.size();
        for (int i5 = 0; i5 < size; i5++) {
            this.mTempRect.set(0, 0, 0, 0);
            this.mItemDecorations.get(i5).getItemOffsets(this.mTempRect, view, this, this.mState);
            int i6 = rect.left;
            Rect rect2 = this.mTempRect;
            rect.left = i6 + rect2.left;
            rect.top += rect2.top;
            rect.right += rect2.right;
            rect.bottom += rect2.bottom;
        }
        qVar.f2898c = false;
        return rect;
    }

    public o getItemDecorationAt(int i5) {
        int itemDecorationCount = getItemDecorationCount();
        if (i5 >= 0 && i5 < itemDecorationCount) {
            return this.mItemDecorations.get(i5);
        }
        throw new IndexOutOfBoundsException(i5 + " is an invalid index for size " + itemDecorationCount);
    }

    public int getItemDecorationCount() {
        return this.mItemDecorations.size();
    }

    public p getLayoutManager() {
        return this.mLayout;
    }

    public int getMaxFlingVelocity() {
        return this.mMaxFlingVelocity;
    }

    public int getMinFlingVelocity() {
        return this.mMinFlingVelocity;
    }

    /* access modifiers changed from: package-private */
    public long getNanoTime() {
        if (ALLOW_THREAD_GAP_WORK) {
            return System.nanoTime();
        }
        return 0;
    }

    public s getOnFlingListener() {
        return this.mOnFlingListener;
    }

    public boolean getPreserveFocusAfterLayout() {
        return this.mPreserveFocusAfterLayout;
    }

    public v getRecycledViewPool() {
        return this.mRecycler.i();
    }

    public int getScrollState() {
        return this.mScrollState;
    }

    public boolean hasFixedSize() {
        return this.mHasFixedSize;
    }

    public boolean hasNestedScrollingParent() {
        return getScrollingChildHelper().k();
    }

    public boolean hasNestedScrollingParent(int i5) {
        return getScrollingChildHelper().l(i5);
    }

    public boolean hasPendingAdapterUpdates() {
        return !this.mFirstLayoutComplete || this.mDataSetHasChangedAfterLayout || this.mAdapterHelper.p();
    }

    /* access modifiers changed from: package-private */
    public void initAdapterManager() {
        this.mAdapterHelper = new a(new f());
    }

    /* access modifiers changed from: package-private */
    public void initFastScroller(StateListDrawable stateListDrawable, Drawable drawable, StateListDrawable stateListDrawable2, Drawable drawable2) {
        if (stateListDrawable == null || drawable == null || stateListDrawable2 == null || drawable2 == null) {
            throw new IllegalArgumentException("Trying to set fast scroller without both required drawables." + exceptionLabel());
        }
        Resources resources = getContext().getResources();
        new d(this, stateListDrawable, drawable, stateListDrawable2, drawable2, resources.getDimensionPixelSize(s0.b.f6999a), resources.getDimensionPixelSize(s0.b.f7001c), resources.getDimensionPixelOffset(s0.b.f7000b));
    }

    /* access modifiers changed from: package-private */
    public void invalidateGlows() {
        this.mBottomGlow = null;
        this.mTopGlow = null;
        this.mRightGlow = null;
        this.mLeftGlow = null;
    }

    public void invalidateItemDecorations() {
        if (this.mItemDecorations.size() != 0) {
            p pVar = this.mLayout;
            if (pVar != null) {
                pVar.assertNotInLayoutOrScroll("Cannot invalidate item decorations during a scroll or layout");
            }
            markItemDecorInsetsDirty();
            requestLayout();
        }
    }

    /* access modifiers changed from: package-private */
    public boolean isAccessibilityEnabled() {
        AccessibilityManager accessibilityManager = this.mAccessibilityManager;
        return accessibilityManager != null && accessibilityManager.isEnabled();
    }

    public boolean isAnimating() {
        m mVar = this.mItemAnimator;
        return mVar != null && mVar.p();
    }

    public boolean isAttachedToWindow() {
        return this.mIsAttached;
    }

    public boolean isComputingLayout() {
        return this.mLayoutOrScrollCounter > 0;
    }

    @Deprecated
    public boolean isLayoutFrozen() {
        return isLayoutSuppressed();
    }

    public final boolean isLayoutSuppressed() {
        return this.mLayoutSuppressed;
    }

    public boolean isNestedScrollingEnabled() {
        return getScrollingChildHelper().m();
    }

    /* access modifiers changed from: package-private */
    public void jumpToPositionForSmoothScroller(int i5) {
        if (this.mLayout != null) {
            setScrollState(2);
            this.mLayout.scrollToPosition(i5);
            awakenScrollBars();
        }
    }

    /* access modifiers changed from: package-private */
    public void markItemDecorInsetsDirty() {
        int j5 = this.mChildHelper.j();
        for (int i5 = 0; i5 < j5; i5++) {
            ((q) this.mChildHelper.i(i5).getLayoutParams()).f2898c = true;
        }
        this.mRecycler.s();
    }

    /* access modifiers changed from: package-private */
    public void markKnownViewsInvalid() {
        int j5 = this.mChildHelper.j();
        for (int i5 = 0; i5 < j5; i5++) {
            e0 childViewHolderInt = getChildViewHolderInt(this.mChildHelper.i(i5));
            if (childViewHolderInt != null && !childViewHolderInt.shouldIgnore()) {
                childViewHolderInt.addFlags(6);
            }
        }
        markItemDecorInsetsDirty();
        this.mRecycler.t();
    }

    public void nestedScrollBy(int i5, int i6) {
        nestedScrollByInternal(i5, i6, null, 1);
    }

    public void offsetChildrenHorizontal(int i5) {
        int g5 = this.mChildHelper.g();
        for (int i6 = 0; i6 < g5; i6++) {
            this.mChildHelper.f(i6).offsetLeftAndRight(i5);
        }
    }

    public void offsetChildrenVertical(int i5) {
        int g5 = this.mChildHelper.g();
        for (int i6 = 0; i6 < g5; i6++) {
            this.mChildHelper.f(i6).offsetTopAndBottom(i5);
        }
    }

    /* access modifiers changed from: package-private */
    public void offsetPositionRecordsForInsert(int i5, int i6) {
        int j5 = this.mChildHelper.j();
        for (int i7 = 0; i7 < j5; i7++) {
            e0 childViewHolderInt = getChildViewHolderInt(this.mChildHelper.i(i7));
            if (childViewHolderInt != null && !childViewHolderInt.shouldIgnore() && childViewHolderInt.mPosition >= i5) {
                childViewHolderInt.offsetPosition(i6, false);
                this.mState.f2853g = true;
            }
        }
        this.mRecycler.u(i5, i6);
        requestLayout();
    }

    /* access modifiers changed from: package-private */
    public void offsetPositionRecordsForMove(int i5, int i6) {
        int i7;
        int i8;
        int i9;
        int i10;
        int j5 = this.mChildHelper.j();
        if (i5 < i6) {
            i9 = -1;
            i8 = i5;
            i7 = i6;
        } else {
            i7 = i5;
            i8 = i6;
            i9 = 1;
        }
        for (int i11 = 0; i11 < j5; i11++) {
            e0 childViewHolderInt = getChildViewHolderInt(this.mChildHelper.i(i11));
            if (childViewHolderInt != null && (i10 = childViewHolderInt.mPosition) >= i8 && i10 <= i7) {
                if (i10 == i5) {
                    childViewHolderInt.offsetPosition(i6 - i5, false);
                } else {
                    childViewHolderInt.offsetPosition(i9, false);
                }
                this.mState.f2853g = true;
            }
        }
        this.mRecycler.v(i5, i6);
        requestLayout();
    }

    /* access modifiers changed from: package-private */
    public void offsetPositionRecordsForRemove(int i5, int i6, boolean z4) {
        int i7 = i5 + i6;
        int j5 = this.mChildHelper.j();
        for (int i8 = 0; i8 < j5; i8++) {
            e0 childViewHolderInt = getChildViewHolderInt(this.mChildHelper.i(i8));
            if (childViewHolderInt != null && !childViewHolderInt.shouldIgnore()) {
                int i9 = childViewHolderInt.mPosition;
                if (i9 >= i7) {
                    childViewHolderInt.offsetPosition(-i6, z4);
                } else if (i9 >= i5) {
                    childViewHolderInt.flagRemovedAndOffsetPosition(i5 - 1, -i6, z4);
                }
                this.mState.f2853g = true;
            }
        }
        this.mRecycler.w(i5, i6, z4);
        requestLayout();
    }

    /* access modifiers changed from: protected */
    public void onAttachedToWindow() {
        super.onAttachedToWindow();
        this.mLayoutOrScrollCounter = 0;
        boolean z4 = true;
        this.mIsAttached = true;
        if (!this.mFirstLayoutComplete || isLayoutRequested()) {
            z4 = false;
        }
        this.mFirstLayoutComplete = z4;
        p pVar = this.mLayout;
        if (pVar != null) {
            pVar.dispatchAttachedToWindow(this);
        }
        this.mPostedAnimatorRunner = false;
        if (ALLOW_THREAD_GAP_WORK) {
            ThreadLocal<e> threadLocal = e.f3071i;
            e eVar = threadLocal.get();
            this.mGapWorker = eVar;
            if (eVar == null) {
                this.mGapWorker = new e();
                Display s5 = androidx.core.view.a0.s(this);
                float f5 = 60.0f;
                if (!isInEditMode() && s5 != null) {
                    float refreshRate = s5.getRefreshRate();
                    if (refreshRate >= 30.0f) {
                        f5 = refreshRate;
                    }
                }
                e eVar2 = this.mGapWorker;
                eVar2.f3075g = (long) (1.0E9f / f5);
                threadLocal.set(eVar2);
            }
            this.mGapWorker.a(this);
        }
    }

    public void onChildAttachedToWindow(View view) {
    }

    public void onChildDetachedFromWindow(View view) {
    }

    /* access modifiers changed from: protected */
    public void onDetachedFromWindow() {
        e eVar;
        super.onDetachedFromWindow();
        m mVar = this.mItemAnimator;
        if (mVar != null) {
            mVar.k();
        }
        stopScroll();
        this.mIsAttached = false;
        p pVar = this.mLayout;
        if (pVar != null) {
            pVar.dispatchDetachedFromWindow(this, this.mRecycler);
        }
        this.mPendingAccessibilityImportanceChange.clear();
        removeCallbacks(this.mItemAnimatorRunner);
        this.mViewInfoStore.j();
        if (ALLOW_THREAD_GAP_WORK && (eVar = this.mGapWorker) != null) {
            eVar.j(this);
            this.mGapWorker = null;
        }
    }

    public void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int size = this.mItemDecorations.size();
        for (int i5 = 0; i5 < size; i5++) {
            this.mItemDecorations.get(i5).onDraw(canvas, this, this.mState);
        }
    }

    /* access modifiers changed from: package-private */
    public void onEnterLayoutOrScroll() {
        this.mLayoutOrScrollCounter++;
    }

    /* access modifiers changed from: package-private */
    public void onExitLayoutOrScroll() {
        onExitLayoutOrScroll(true);
    }

    /* access modifiers changed from: package-private */
    public void onExitLayoutOrScroll(boolean z4) {
        int i5 = this.mLayoutOrScrollCounter - 1;
        this.mLayoutOrScrollCounter = i5;
        if (i5 < 1) {
            this.mLayoutOrScrollCounter = 0;
            if (z4) {
                dispatchContentChangedIfNecessary();
                dispatchPendingImportantForAccessibilityChanges();
            }
        }
    }

    public boolean onGenericMotionEvent(MotionEvent motionEvent) {
        float f5;
        float f6;
        if (this.mLayout != null && !this.mLayoutSuppressed && motionEvent.getAction() == 8) {
            if ((motionEvent.getSource() & 2) != 0) {
                f6 = this.mLayout.canScrollVertically() ? -motionEvent.getAxisValue(9) : CropImageView.DEFAULT_ASPECT_RATIO;
                if (this.mLayout.canScrollHorizontally()) {
                    f5 = motionEvent.getAxisValue(10);
                    if (!(f6 == CropImageView.DEFAULT_ASPECT_RATIO && f5 == CropImageView.DEFAULT_ASPECT_RATIO)) {
                        nestedScrollByInternal((int) (f5 * this.mScaledHorizontalScrollFactor), (int) (f6 * this.mScaledVerticalScrollFactor), motionEvent, 1);
                    }
                }
            } else {
                if ((motionEvent.getSource() & LruArrayPool.DEFAULT_SIZE) != 0) {
                    float axisValue = motionEvent.getAxisValue(26);
                    if (this.mLayout.canScrollVertically()) {
                        f6 = -axisValue;
                    } else if (this.mLayout.canScrollHorizontally()) {
                        f5 = axisValue;
                        f6 = CropImageView.DEFAULT_ASPECT_RATIO;
                        nestedScrollByInternal((int) (f5 * this.mScaledHorizontalScrollFactor), (int) (f6 * this.mScaledVerticalScrollFactor), motionEvent, 1);
                    }
                }
                f6 = CropImageView.DEFAULT_ASPECT_RATIO;
            }
            f5 = CropImageView.DEFAULT_ASPECT_RATIO;
            nestedScrollByInternal((int) (f5 * this.mScaledHorizontalScrollFactor), (int) (f6 * this.mScaledVerticalScrollFactor), motionEvent, 1);
        }
        return false;
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        boolean z4;
        if (this.mLayoutSuppressed) {
            return false;
        }
        this.mInterceptingOnItemTouchListener = null;
        if (findInterceptingOnItemTouchListener(motionEvent)) {
            cancelScroll();
            return true;
        }
        p pVar = this.mLayout;
        if (pVar == null) {
            return false;
        }
        boolean canScrollHorizontally = pVar.canScrollHorizontally();
        boolean canScrollVertically = this.mLayout.canScrollVertically();
        if (this.mVelocityTracker == null) {
            this.mVelocityTracker = VelocityTracker.obtain();
        }
        this.mVelocityTracker.addMovement(motionEvent);
        int actionMasked = motionEvent.getActionMasked();
        int actionIndex = motionEvent.getActionIndex();
        if (actionMasked == 0) {
            if (this.mIgnoreMotionEventTillDown) {
                this.mIgnoreMotionEventTillDown = false;
            }
            this.mScrollPointerId = motionEvent.getPointerId(0);
            int x5 = (int) (motionEvent.getX() + 0.5f);
            this.mLastTouchX = x5;
            this.mInitialTouchX = x5;
            int y5 = (int) (motionEvent.getY() + 0.5f);
            this.mLastTouchY = y5;
            this.mInitialTouchY = y5;
            if (this.mScrollState == 2) {
                getParent().requestDisallowInterceptTouchEvent(true);
                setScrollState(1);
                stopNestedScroll(1);
            }
            int[] iArr = this.mNestedOffsets;
            iArr[1] = 0;
            iArr[0] = 0;
            if (canScrollVertically) {
                boolean z5 = canScrollHorizontally ? 1 : 0;
                char c5 = canScrollHorizontally ? 1 : 0;
                canScrollHorizontally = z5 | true;
            }
            int i5 = canScrollHorizontally ? 1 : 0;
            int i6 = canScrollHorizontally ? 1 : 0;
            int i7 = canScrollHorizontally ? 1 : 0;
            startNestedScroll(i5, 0);
        } else if (actionMasked == 1) {
            this.mVelocityTracker.clear();
            stopNestedScroll(0);
        } else if (actionMasked == 2) {
            int findPointerIndex = motionEvent.findPointerIndex(this.mScrollPointerId);
            if (findPointerIndex < 0) {
                Log.e(TAG, "Error processing scroll; pointer index for id " + this.mScrollPointerId + " not found. Did any MotionEvents get skipped?");
                return false;
            }
            int x6 = (int) (motionEvent.getX(findPointerIndex) + 0.5f);
            int y6 = (int) (motionEvent.getY(findPointerIndex) + 0.5f);
            if (this.mScrollState != 1) {
                int i8 = x6 - this.mInitialTouchX;
                int i9 = y6 - this.mInitialTouchY;
                if (!canScrollHorizontally || Math.abs(i8) <= this.mTouchSlop) {
                    z4 = false;
                } else {
                    this.mLastTouchX = x6;
                    z4 = true;
                }
                if (canScrollVertically && Math.abs(i9) > this.mTouchSlop) {
                    this.mLastTouchY = y6;
                    z4 = true;
                }
                if (z4) {
                    setScrollState(1);
                }
            }
        } else if (actionMasked == 3) {
            cancelScroll();
        } else if (actionMasked == 5) {
            this.mScrollPointerId = motionEvent.getPointerId(actionIndex);
            int x7 = (int) (motionEvent.getX(actionIndex) + 0.5f);
            this.mLastTouchX = x7;
            this.mInitialTouchX = x7;
            int y7 = (int) (motionEvent.getY(actionIndex) + 0.5f);
            this.mLastTouchY = y7;
            this.mInitialTouchY = y7;
        } else if (actionMasked == 6) {
            onPointerUp(motionEvent);
        }
        return this.mScrollState == 1;
    }

    /* access modifiers changed from: protected */
    public void onLayout(boolean z4, int i5, int i6, int i7, int i8) {
        c0.f.a(TRACE_ON_LAYOUT_TAG);
        dispatchLayout();
        c0.f.b();
        this.mFirstLayoutComplete = true;
    }

    /* access modifiers changed from: protected */
    public void onMeasure(int i5, int i6) {
        p pVar = this.mLayout;
        if (pVar == null) {
            defaultOnMeasure(i5, i6);
            return;
        }
        boolean z4 = false;
        if (pVar.isAutoMeasureEnabled()) {
            int mode = View.MeasureSpec.getMode(i5);
            int mode2 = View.MeasureSpec.getMode(i6);
            this.mLayout.onMeasure(this.mRecycler, this.mState, i5, i6);
            if (mode == 1073741824 && mode2 == 1073741824) {
                z4 = true;
            }
            this.mLastAutoMeasureSkippedDueToExact = z4;
            if (!z4 && this.mAdapter != null) {
                if (this.mState.f2851e == 1) {
                    dispatchLayoutStep1();
                }
                this.mLayout.setMeasureSpecs(i5, i6);
                this.mState.f2856j = true;
                dispatchLayoutStep2();
                this.mLayout.setMeasuredDimensionFromChildren(i5, i6);
                if (this.mLayout.shouldMeasureTwice()) {
                    this.mLayout.setMeasureSpecs(View.MeasureSpec.makeMeasureSpec(getMeasuredWidth(), PictureFileUtils.GB), View.MeasureSpec.makeMeasureSpec(getMeasuredHeight(), PictureFileUtils.GB));
                    this.mState.f2856j = true;
                    dispatchLayoutStep2();
                    this.mLayout.setMeasuredDimensionFromChildren(i5, i6);
                }
                this.mLastAutoMeasureNonExactMeasuredWidth = getMeasuredWidth();
                this.mLastAutoMeasureNonExactMeasuredHeight = getMeasuredHeight();
            }
        } else if (this.mHasFixedSize) {
            this.mLayout.onMeasure(this.mRecycler, this.mState, i5, i6);
        } else {
            if (this.mAdapterUpdateDuringMeasure) {
                startInterceptRequestLayout();
                onEnterLayoutOrScroll();
                processAdapterUpdatesAndSetAnimationFlags();
                onExitLayoutOrScroll();
                b0 b0Var = this.mState;
                if (b0Var.f2858l) {
                    b0Var.f2854h = true;
                } else {
                    this.mAdapterHelper.j();
                    this.mState.f2854h = false;
                }
                this.mAdapterUpdateDuringMeasure = false;
                stopInterceptRequestLayout(false);
            } else if (this.mState.f2858l) {
                setMeasuredDimension(getMeasuredWidth(), getMeasuredHeight());
                return;
            }
            h hVar = this.mAdapter;
            if (hVar != null) {
                this.mState.f2852f = hVar.getItemCount();
            } else {
                this.mState.f2852f = 0;
            }
            startInterceptRequestLayout();
            this.mLayout.onMeasure(this.mRecycler, this.mState, i5, i6);
            stopInterceptRequestLayout(false);
            this.mState.f2854h = false;
        }
    }

    /* access modifiers changed from: protected */
    public boolean onRequestFocusInDescendants(int i5, Rect rect) {
        if (isComputingLayout()) {
            return false;
        }
        return super.onRequestFocusInDescendants(i5, rect);
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof z)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        z zVar = (z) parcelable;
        this.mPendingSavedState = zVar;
        super.onRestoreInstanceState(zVar.a());
        requestLayout();
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        z zVar = new z(super.onSaveInstanceState());
        z zVar2 = this.mPendingSavedState;
        if (zVar2 != null) {
            zVar.b(zVar2);
        } else {
            p pVar = this.mLayout;
            zVar.f2915g = pVar != null ? pVar.onSaveInstanceState() : null;
        }
        return zVar;
    }

    public void onScrollStateChanged(int i5) {
    }

    public void onScrolled(int i5, int i6) {
    }

    /* access modifiers changed from: protected */
    public void onSizeChanged(int i5, int i6, int i7, int i8) {
        super.onSizeChanged(i5, i6, i7, i8);
        if (i5 != i7 || i6 != i8) {
            invalidateGlows();
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:46:0x00e0  */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x00f4  */
    public boolean onTouchEvent(MotionEvent motionEvent) {
        boolean z4;
        boolean z5 = false;
        if (this.mLayoutSuppressed || this.mIgnoreMotionEventTillDown) {
            return false;
        }
        if (dispatchToOnItemTouchListeners(motionEvent)) {
            cancelScroll();
            return true;
        }
        p pVar = this.mLayout;
        if (pVar == null) {
            return false;
        }
        boolean canScrollHorizontally = pVar.canScrollHorizontally();
        boolean canScrollVertically = this.mLayout.canScrollVertically();
        if (this.mVelocityTracker == null) {
            this.mVelocityTracker = VelocityTracker.obtain();
        }
        int actionMasked = motionEvent.getActionMasked();
        int actionIndex = motionEvent.getActionIndex();
        if (actionMasked == 0) {
            int[] iArr = this.mNestedOffsets;
            iArr[1] = 0;
            iArr[0] = 0;
        }
        MotionEvent obtain = MotionEvent.obtain(motionEvent);
        int[] iArr2 = this.mNestedOffsets;
        obtain.offsetLocation((float) iArr2[0], (float) iArr2[1]);
        if (actionMasked == 0) {
            this.mScrollPointerId = motionEvent.getPointerId(0);
            int x5 = (int) (motionEvent.getX() + 0.5f);
            this.mLastTouchX = x5;
            this.mInitialTouchX = x5;
            int y5 = (int) (motionEvent.getY() + 0.5f);
            this.mLastTouchY = y5;
            this.mInitialTouchY = y5;
            if (canScrollVertically) {
                boolean z6 = canScrollHorizontally ? 1 : 0;
                char c5 = canScrollHorizontally ? 1 : 0;
                canScrollHorizontally = z6 | true;
            }
            int i5 = canScrollHorizontally ? 1 : 0;
            int i6 = canScrollHorizontally ? 1 : 0;
            int i7 = canScrollHorizontally ? 1 : 0;
            startNestedScroll(i5, 0);
        } else if (actionMasked == 1) {
            this.mVelocityTracker.addMovement(obtain);
            this.mVelocityTracker.computeCurrentVelocity(1000, (float) this.mMaxFlingVelocity);
            float f5 = canScrollHorizontally ? -this.mVelocityTracker.getXVelocity(this.mScrollPointerId) : CropImageView.DEFAULT_ASPECT_RATIO;
            float f6 = canScrollVertically ? -this.mVelocityTracker.getYVelocity(this.mScrollPointerId) : CropImageView.DEFAULT_ASPECT_RATIO;
            if ((f5 == CropImageView.DEFAULT_ASPECT_RATIO && f6 == CropImageView.DEFAULT_ASPECT_RATIO) || !fling((int) f5, (int) f6)) {
                setScrollState(0);
            }
            resetScroll();
            z5 = true;
        } else if (actionMasked == 2) {
            int findPointerIndex = motionEvent.findPointerIndex(this.mScrollPointerId);
            if (findPointerIndex < 0) {
                Log.e(TAG, "Error processing scroll; pointer index for id " + this.mScrollPointerId + " not found. Did any MotionEvents get skipped?");
                return false;
            }
            int x6 = (int) (motionEvent.getX(findPointerIndex) + 0.5f);
            int y6 = (int) (motionEvent.getY(findPointerIndex) + 0.5f);
            int i8 = this.mLastTouchX - x6;
            int i9 = this.mLastTouchY - y6;
            if (this.mScrollState != 1) {
                if (canScrollHorizontally) {
                    int i10 = this.mTouchSlop;
                    i8 = i8 > 0 ? Math.max(0, i8 - i10) : Math.min(0, i8 + i10);
                    if (i8 != 0) {
                        z4 = true;
                        if (canScrollVertically) {
                            int i11 = this.mTouchSlop;
                            i9 = i9 > 0 ? Math.max(0, i9 - i11) : Math.min(0, i9 + i11);
                            if (i9 != 0) {
                                z4 = true;
                            }
                        }
                        if (z4) {
                            setScrollState(1);
                        }
                    }
                }
                z4 = false;
                if (canScrollVertically) {
                }
                if (z4) {
                }
            }
            int i12 = i8;
            int i13 = i9;
            if (this.mScrollState == 1) {
                int[] iArr3 = this.mReusableIntPair;
                iArr3[0] = 0;
                iArr3[1] = 0;
                if (dispatchNestedPreScroll(canScrollHorizontally ? i12 : 0, canScrollVertically ? i13 : 0, iArr3, this.mScrollOffset, 0)) {
                    int[] iArr4 = this.mReusableIntPair;
                    i12 -= iArr4[0];
                    i13 -= iArr4[1];
                    int[] iArr5 = this.mNestedOffsets;
                    int i14 = iArr5[0];
                    int[] iArr6 = this.mScrollOffset;
                    iArr5[0] = i14 + iArr6[0];
                    iArr5[1] = iArr5[1] + iArr6[1];
                    getParent().requestDisallowInterceptTouchEvent(true);
                }
                int[] iArr7 = this.mScrollOffset;
                this.mLastTouchX = x6 - iArr7[0];
                this.mLastTouchY = y6 - iArr7[1];
                if (scrollByInternal(canScrollHorizontally ? i12 : 0, canScrollVertically ? i13 : 0, motionEvent, 0)) {
                    getParent().requestDisallowInterceptTouchEvent(true);
                }
                e eVar = this.mGapWorker;
                if (!(eVar == null || (i12 == 0 && i13 == 0))) {
                    eVar.f(this, i12, i13);
                }
            }
        } else if (actionMasked == 3) {
            cancelScroll();
        } else if (actionMasked == 5) {
            this.mScrollPointerId = motionEvent.getPointerId(actionIndex);
            int x7 = (int) (motionEvent.getX(actionIndex) + 0.5f);
            this.mLastTouchX = x7;
            this.mInitialTouchX = x7;
            int y7 = (int) (motionEvent.getY(actionIndex) + 0.5f);
            this.mLastTouchY = y7;
            this.mInitialTouchY = y7;
        } else if (actionMasked == 6) {
            onPointerUp(motionEvent);
        }
        if (!z5) {
            this.mVelocityTracker.addMovement(obtain);
        }
        obtain.recycle();
        return true;
    }

    /* access modifiers changed from: package-private */
    public void postAnimationRunner() {
        if (!this.mPostedAnimatorRunner && this.mIsAttached) {
            androidx.core.view.a0.W(this, this.mItemAnimatorRunner);
            this.mPostedAnimatorRunner = true;
        }
    }

    /* access modifiers changed from: package-private */
    public void processDataSetCompletelyChanged(boolean z4) {
        this.mDispatchItemsChangedEvent = z4 | this.mDispatchItemsChangedEvent;
        this.mDataSetHasChangedAfterLayout = true;
        markKnownViewsInvalid();
    }

    /* access modifiers changed from: package-private */
    public void recordAnimationInfoIfBouncedHiddenView(e0 e0Var, m.c cVar) {
        e0Var.setFlags(0, 8192);
        if (this.mState.f2855i && e0Var.isUpdated() && !e0Var.isRemoved() && !e0Var.shouldIgnore()) {
            this.mViewInfoStore.c(getChangedHolderKey(e0Var), e0Var);
        }
        this.mViewInfoStore.e(e0Var, cVar);
    }

    /* access modifiers changed from: package-private */
    public void removeAndRecycleViews() {
        m mVar = this.mItemAnimator;
        if (mVar != null) {
            mVar.k();
        }
        p pVar = this.mLayout;
        if (pVar != null) {
            pVar.removeAndRecycleAllViews(this.mRecycler);
            this.mLayout.removeAndRecycleScrapInt(this.mRecycler);
        }
        this.mRecycler.c();
    }

    /* access modifiers changed from: package-private */
    public boolean removeAnimatingView(View view) {
        startInterceptRequestLayout();
        boolean r5 = this.mChildHelper.r(view);
        if (r5) {
            e0 childViewHolderInt = getChildViewHolderInt(view);
            this.mRecycler.J(childViewHolderInt);
            this.mRecycler.C(childViewHolderInt);
        }
        stopInterceptRequestLayout(!r5);
        return r5;
    }

    /* access modifiers changed from: protected */
    public void removeDetachedView(View view, boolean z4) {
        e0 childViewHolderInt = getChildViewHolderInt(view);
        if (childViewHolderInt != null) {
            if (childViewHolderInt.isTmpDetached()) {
                childViewHolderInt.clearTmpDetachFlag();
            } else if (!childViewHolderInt.shouldIgnore()) {
                throw new IllegalArgumentException("Called removeDetachedView with a view which is not flagged as tmp detached." + childViewHolderInt + exceptionLabel());
            }
        }
        view.clearAnimation();
        dispatchChildDetached(view);
        super.removeDetachedView(view, z4);
    }

    public void removeItemDecoration(o oVar) {
        p pVar = this.mLayout;
        if (pVar != null) {
            pVar.assertNotInLayoutOrScroll("Cannot remove item decoration during a scroll  or layout");
        }
        this.mItemDecorations.remove(oVar);
        if (this.mItemDecorations.isEmpty()) {
            setWillNotDraw(getOverScrollMode() == 2);
        }
        markItemDecorInsetsDirty();
        requestLayout();
    }

    public void removeItemDecorationAt(int i5) {
        int itemDecorationCount = getItemDecorationCount();
        if (i5 < 0 || i5 >= itemDecorationCount) {
            throw new IndexOutOfBoundsException(i5 + " is an invalid index for size " + itemDecorationCount);
        }
        removeItemDecoration(getItemDecorationAt(i5));
    }

    public void removeOnChildAttachStateChangeListener(r rVar) {
        List<r> list = this.mOnChildAttachStateListeners;
        if (list != null) {
            list.remove(rVar);
        }
    }

    public void removeOnItemTouchListener(t tVar) {
        this.mOnItemTouchListeners.remove(tVar);
        if (this.mInterceptingOnItemTouchListener == tVar) {
            this.mInterceptingOnItemTouchListener = null;
        }
    }

    public void removeOnScrollListener(u uVar) {
        List<u> list = this.mScrollListeners;
        if (list != null) {
            list.remove(uVar);
        }
    }

    public void removeRecyclerListener(x xVar) {
        this.mRecyclerListeners.remove(xVar);
    }

    /* access modifiers changed from: package-private */
    public void repositionShadowingViews() {
        e0 e0Var;
        int g5 = this.mChildHelper.g();
        for (int i5 = 0; i5 < g5; i5++) {
            View f5 = this.mChildHelper.f(i5);
            e0 childViewHolder = getChildViewHolder(f5);
            if (!(childViewHolder == null || (e0Var = childViewHolder.mShadowingHolder) == null)) {
                View view = e0Var.itemView;
                int left = f5.getLeft();
                int top = f5.getTop();
                if (left != view.getLeft() || top != view.getTop()) {
                    view.layout(left, top, view.getWidth() + left, view.getHeight() + top);
                }
            }
        }
    }

    public void requestChildFocus(View view, View view2) {
        if (!this.mLayout.onRequestChildFocus(this, this.mState, view, view2) && view2 != null) {
            requestChildOnScreen(view, view2);
        }
        super.requestChildFocus(view, view2);
    }

    public boolean requestChildRectangleOnScreen(View view, Rect rect, boolean z4) {
        return this.mLayout.requestChildRectangleOnScreen(this, view, rect, z4);
    }

    public void requestDisallowInterceptTouchEvent(boolean z4) {
        int size = this.mOnItemTouchListeners.size();
        for (int i5 = 0; i5 < size; i5++) {
            this.mOnItemTouchListeners.get(i5).c(z4);
        }
        super.requestDisallowInterceptTouchEvent(z4);
    }

    public void requestLayout() {
        if (this.mInterceptRequestLayoutDepth != 0 || this.mLayoutSuppressed) {
            this.mLayoutWasDefered = true;
        } else {
            super.requestLayout();
        }
    }

    /* access modifiers changed from: package-private */
    public void saveOldPositions() {
        int j5 = this.mChildHelper.j();
        for (int i5 = 0; i5 < j5; i5++) {
            e0 childViewHolderInt = getChildViewHolderInt(this.mChildHelper.i(i5));
            if (!childViewHolderInt.shouldIgnore()) {
                childViewHolderInt.saveOldPosition();
            }
        }
    }

    public void scrollBy(int i5, int i6) {
        p pVar = this.mLayout;
        if (pVar == null) {
            Log.e(TAG, "Cannot scroll without a LayoutManager set. Call setLayoutManager with a non-null argument.");
        } else if (!this.mLayoutSuppressed) {
            boolean canScrollHorizontally = pVar.canScrollHorizontally();
            boolean canScrollVertically = this.mLayout.canScrollVertically();
            if (canScrollHorizontally || canScrollVertically) {
                if (!canScrollHorizontally) {
                    i5 = 0;
                }
                if (!canScrollVertically) {
                    i6 = 0;
                }
                scrollByInternal(i5, i6, null, 0);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public boolean scrollByInternal(int i5, int i6, MotionEvent motionEvent, int i7) {
        int i8;
        int i9;
        int i10;
        int i11;
        consumePendingUpdateOperations();
        if (this.mAdapter != null) {
            int[] iArr = this.mReusableIntPair;
            iArr[0] = 0;
            iArr[1] = 0;
            scrollStep(i5, i6, iArr);
            int[] iArr2 = this.mReusableIntPair;
            int i12 = iArr2[0];
            int i13 = iArr2[1];
            i11 = i13;
            i10 = i12;
            i9 = i5 - i12;
            i8 = i6 - i13;
        } else {
            i11 = 0;
            i10 = 0;
            i9 = 0;
            i8 = 0;
        }
        if (!this.mItemDecorations.isEmpty()) {
            invalidate();
        }
        int[] iArr3 = this.mReusableIntPair;
        iArr3[0] = 0;
        iArr3[1] = 0;
        dispatchNestedScroll(i10, i11, i9, i8, this.mScrollOffset, i7, iArr3);
        int[] iArr4 = this.mReusableIntPair;
        int i14 = i9 - iArr4[0];
        int i15 = i8 - iArr4[1];
        boolean z4 = (iArr4[0] == 0 && iArr4[1] == 0) ? false : true;
        int i16 = this.mLastTouchX;
        int[] iArr5 = this.mScrollOffset;
        this.mLastTouchX = i16 - iArr5[0];
        this.mLastTouchY -= iArr5[1];
        int[] iArr6 = this.mNestedOffsets;
        iArr6[0] = iArr6[0] + iArr5[0];
        iArr6[1] = iArr6[1] + iArr5[1];
        if (getOverScrollMode() != 2) {
            if (motionEvent != null && !androidx.core.view.n.a(motionEvent, 8194)) {
                pullGlows(motionEvent.getX(), (float) i14, motionEvent.getY(), (float) i15);
            }
            considerReleasingGlowsOnScroll(i5, i6);
        }
        if (!(i10 == 0 && i11 == 0)) {
            dispatchOnScrolled(i10, i11);
        }
        if (!awakenScrollBars()) {
            invalidate();
        }
        return (!z4 && i10 == 0 && i11 == 0) ? false : true;
    }

    /* access modifiers changed from: package-private */
    public void scrollStep(int i5, int i6, int[] iArr) {
        startInterceptRequestLayout();
        onEnterLayoutOrScroll();
        c0.f.a(TRACE_SCROLL_TAG);
        fillRemainingScrollValues(this.mState);
        int scrollHorizontallyBy = i5 != 0 ? this.mLayout.scrollHorizontallyBy(i5, this.mRecycler, this.mState) : 0;
        int scrollVerticallyBy = i6 != 0 ? this.mLayout.scrollVerticallyBy(i6, this.mRecycler, this.mState) : 0;
        c0.f.b();
        repositionShadowingViews();
        onExitLayoutOrScroll();
        stopInterceptRequestLayout(false);
        if (iArr != null) {
            iArr[0] = scrollHorizontallyBy;
            iArr[1] = scrollVerticallyBy;
        }
    }

    public void scrollTo(int i5, int i6) {
        Log.w(TAG, "RecyclerView does not support scrolling to an absolute position. Use scrollToPosition instead");
    }

    public void scrollToPosition(int i5) {
        if (!this.mLayoutSuppressed) {
            stopScroll();
            p pVar = this.mLayout;
            if (pVar == null) {
                Log.e(TAG, "Cannot scroll to position a LayoutManager set. Call setLayoutManager with a non-null argument.");
                return;
            }
            pVar.scrollToPosition(i5);
            awakenScrollBars();
        }
    }

    public void sendAccessibilityEventUnchecked(AccessibilityEvent accessibilityEvent) {
        if (!shouldDeferAccessibilityEvent(accessibilityEvent)) {
            super.sendAccessibilityEventUnchecked(accessibilityEvent);
        }
    }

    public void setAccessibilityDelegateCompat(j jVar) {
        this.mAccessibilityDelegate = jVar;
        androidx.core.view.a0.b0(this, jVar);
    }

    public void setAdapter(h hVar) {
        setLayoutFrozen(false);
        setAdapterInternal(hVar, false, true);
        processDataSetCompletelyChanged(false);
        requestLayout();
    }

    public void setChildDrawingOrderCallback(k kVar) {
        if (kVar != this.mChildDrawingOrderCallback) {
            this.mChildDrawingOrderCallback = kVar;
            setChildrenDrawingOrderEnabled(kVar != null);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean setChildImportantForAccessibilityInternal(e0 e0Var, int i5) {
        if (isComputingLayout()) {
            e0Var.mPendingAccessibilityState = i5;
            this.mPendingAccessibilityImportanceChange.add(e0Var);
            return false;
        }
        androidx.core.view.a0.k0(e0Var.itemView, i5);
        return true;
    }

    public void setClipToPadding(boolean z4) {
        if (z4 != this.mClipToPadding) {
            invalidateGlows();
        }
        this.mClipToPadding = z4;
        super.setClipToPadding(z4);
        if (this.mFirstLayoutComplete) {
            requestLayout();
        }
    }

    public void setEdgeEffectFactory(l lVar) {
        f0.h.g(lVar);
        this.mEdgeEffectFactory = lVar;
        invalidateGlows();
    }

    public void setHasFixedSize(boolean z4) {
        this.mHasFixedSize = z4;
    }

    public void setItemAnimator(m mVar) {
        m mVar2 = this.mItemAnimator;
        if (mVar2 != null) {
            mVar2.k();
            this.mItemAnimator.v(null);
        }
        this.mItemAnimator = mVar;
        if (mVar != null) {
            mVar.v(this.mItemAnimatorListener);
        }
    }

    public void setItemViewCacheSize(int i5) {
        this.mRecycler.G(i5);
    }

    @Deprecated
    public void setLayoutFrozen(boolean z4) {
        suppressLayout(z4);
    }

    public void setLayoutManager(p pVar) {
        if (pVar != this.mLayout) {
            stopScroll();
            if (this.mLayout != null) {
                m mVar = this.mItemAnimator;
                if (mVar != null) {
                    mVar.k();
                }
                this.mLayout.removeAndRecycleAllViews(this.mRecycler);
                this.mLayout.removeAndRecycleScrapInt(this.mRecycler);
                this.mRecycler.c();
                if (this.mIsAttached) {
                    this.mLayout.dispatchDetachedFromWindow(this, this.mRecycler);
                }
                this.mLayout.setRecyclerView(null);
                this.mLayout = null;
            } else {
                this.mRecycler.c();
            }
            this.mChildHelper.o();
            this.mLayout = pVar;
            if (pVar != null) {
                if (pVar.mRecyclerView == null) {
                    pVar.setRecyclerView(this);
                    if (this.mIsAttached) {
                        this.mLayout.dispatchAttachedToWindow(this);
                    }
                } else {
                    throw new IllegalArgumentException("LayoutManager " + pVar + " is already attached to a RecyclerView:" + pVar.mRecyclerView.exceptionLabel());
                }
            }
            this.mRecycler.K();
            requestLayout();
        }
    }

    @Deprecated
    public void setLayoutTransition(LayoutTransition layoutTransition) {
        if (Build.VERSION.SDK_INT < 18) {
            if (layoutTransition == null) {
                suppressLayout(false);
                return;
            } else if (layoutTransition.getAnimator(0) == null && layoutTransition.getAnimator(1) == null && layoutTransition.getAnimator(2) == null && layoutTransition.getAnimator(3) == null && layoutTransition.getAnimator(4) == null) {
                suppressLayout(true);
                return;
            }
        }
        if (layoutTransition == null) {
            super.setLayoutTransition(null);
            return;
        }
        throw new IllegalArgumentException("Providing a LayoutTransition into RecyclerView is not supported. Please use setItemAnimator() instead for animating changes to the items in this RecyclerView");
    }

    public void setNestedScrollingEnabled(boolean z4) {
        getScrollingChildHelper().n(z4);
    }

    public void setOnFlingListener(s sVar) {
    }

    @Deprecated
    public void setOnScrollListener(u uVar) {
        this.mScrollListener = uVar;
    }

    public void setPreserveFocusAfterLayout(boolean z4) {
        this.mPreserveFocusAfterLayout = z4;
    }

    public void setRecycledViewPool(v vVar) {
        this.mRecycler.E(vVar);
    }

    @Deprecated
    public void setRecyclerListener(x xVar) {
        this.mRecyclerListener = xVar;
    }

    /* access modifiers changed from: package-private */
    public void setScrollState(int i5) {
        if (i5 != this.mScrollState) {
            this.mScrollState = i5;
            if (i5 != 2) {
                stopScrollersInternal();
            }
            dispatchOnScrollStateChanged(i5);
        }
    }

    public void setScrollingTouchSlop(int i5) {
        int i6;
        ViewConfiguration viewConfiguration = ViewConfiguration.get(getContext());
        if (i5 != 0) {
            if (i5 != 1) {
                Log.w(TAG, "setScrollingTouchSlop(): bad argument constant " + i5 + "; using default value");
            } else {
                i6 = viewConfiguration.getScaledPagingTouchSlop();
                this.mTouchSlop = i6;
            }
        }
        i6 = viewConfiguration.getScaledTouchSlop();
        this.mTouchSlop = i6;
    }

    public void setViewCacheExtension(c0 c0Var) {
        this.mRecycler.F(c0Var);
    }

    /* access modifiers changed from: package-private */
    public boolean shouldDeferAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        int i5 = 0;
        if (!isComputingLayout()) {
            return false;
        }
        int a5 = accessibilityEvent != null ? g0.b.a(accessibilityEvent) : 0;
        if (a5 != 0) {
            i5 = a5;
        }
        this.mEatenAccessibilityChangeFlags |= i5;
        return true;
    }

    public void smoothScrollBy(int i5, int i6) {
        smoothScrollBy(i5, i6, null);
    }

    public void smoothScrollBy(int i5, int i6, Interpolator interpolator) {
        smoothScrollBy(i5, i6, interpolator, Integer.MIN_VALUE);
    }

    public void smoothScrollBy(int i5, int i6, Interpolator interpolator, int i7) {
        smoothScrollBy(i5, i6, interpolator, i7, false);
    }

    /* access modifiers changed from: package-private */
    public void smoothScrollBy(int i5, int i6, Interpolator interpolator, int i7, boolean z4) {
        p pVar = this.mLayout;
        if (pVar == null) {
            Log.e(TAG, "Cannot smooth scroll without a LayoutManager set. Call setLayoutManager with a non-null argument.");
        } else if (!this.mLayoutSuppressed) {
            int i8 = 0;
            if (!pVar.canScrollHorizontally()) {
                i5 = 0;
            }
            if (!this.mLayout.canScrollVertically()) {
                i6 = 0;
            }
            if (i5 != 0 || i6 != 0) {
                if (i7 == Integer.MIN_VALUE || i7 > 0) {
                    if (z4) {
                        if (i5 != 0) {
                            i8 = 1;
                        }
                        if (i6 != 0) {
                            i8 |= 2;
                        }
                        startNestedScroll(i8, 1);
                    }
                    this.mViewFlinger.e(i5, i6, i7, interpolator);
                    return;
                }
                scrollBy(i5, i6);
            }
        }
    }

    public void smoothScrollToPosition(int i5) {
        if (!this.mLayoutSuppressed) {
            p pVar = this.mLayout;
            if (pVar == null) {
                Log.e(TAG, "Cannot smooth scroll without a LayoutManager set. Call setLayoutManager with a non-null argument.");
            } else {
                pVar.smoothScrollToPosition(this, this.mState, i5);
            }
        }
    }

    /* access modifiers changed from: package-private */
    public void startInterceptRequestLayout() {
        int i5 = this.mInterceptRequestLayoutDepth + 1;
        this.mInterceptRequestLayoutDepth = i5;
        if (i5 == 1 && !this.mLayoutSuppressed) {
            this.mLayoutWasDefered = false;
        }
    }

    public boolean startNestedScroll(int i5) {
        return getScrollingChildHelper().p(i5);
    }

    public boolean startNestedScroll(int i5, int i6) {
        return getScrollingChildHelper().q(i5, i6);
    }

    /* access modifiers changed from: package-private */
    public void stopInterceptRequestLayout(boolean z4) {
        if (this.mInterceptRequestLayoutDepth < 1) {
            this.mInterceptRequestLayoutDepth = 1;
        }
        if (!z4 && !this.mLayoutSuppressed) {
            this.mLayoutWasDefered = false;
        }
        if (this.mInterceptRequestLayoutDepth == 1) {
            if (z4 && this.mLayoutWasDefered && !this.mLayoutSuppressed && this.mLayout != null && this.mAdapter != null) {
                dispatchLayout();
            }
            if (!this.mLayoutSuppressed) {
                this.mLayoutWasDefered = false;
            }
        }
        this.mInterceptRequestLayoutDepth--;
    }

    @Override // androidx.core.view.o
    public void stopNestedScroll() {
        getScrollingChildHelper().r();
    }

    public void stopNestedScroll(int i5) {
        getScrollingChildHelper().s(i5);
    }

    public void stopScroll() {
        setScrollState(0);
        stopScrollersInternal();
    }

    public final void suppressLayout(boolean z4) {
        if (z4 != this.mLayoutSuppressed) {
            assertNotInLayoutOrScroll("Do not suppressLayout in layout or scroll");
            if (!z4) {
                this.mLayoutSuppressed = false;
                if (!(!this.mLayoutWasDefered || this.mLayout == null || this.mAdapter == null)) {
                    requestLayout();
                }
                this.mLayoutWasDefered = false;
                return;
            }
            long uptimeMillis = SystemClock.uptimeMillis();
            onTouchEvent(MotionEvent.obtain(uptimeMillis, uptimeMillis, 3, CropImageView.DEFAULT_ASPECT_RATIO, CropImageView.DEFAULT_ASPECT_RATIO, 0));
            this.mLayoutSuppressed = true;
            this.mIgnoreMotionEventTillDown = true;
            stopScroll();
        }
    }

    public void swapAdapter(h hVar, boolean z4) {
        setLayoutFrozen(false);
        setAdapterInternal(hVar, true, z4);
        processDataSetCompletelyChanged(true);
        requestLayout();
    }

    /* access modifiers changed from: package-private */
    public void viewRangeUpdate(int i5, int i6, Object obj) {
        int i7;
        int j5 = this.mChildHelper.j();
        int i8 = i5 + i6;
        for (int i9 = 0; i9 < j5; i9++) {
            View i10 = this.mChildHelper.i(i9);
            e0 childViewHolderInt = getChildViewHolderInt(i10);
            if (childViewHolderInt != null && !childViewHolderInt.shouldIgnore() && (i7 = childViewHolderInt.mPosition) >= i5 && i7 < i8) {
                childViewHolderInt.addFlags(2);
                childViewHolderInt.addChangePayload(obj);
                ((q) i10.getLayoutParams()).f2898c = true;
            }
        }
        this.mRecycler.M(i5, i6);
    }
}
