package androidx.recyclerview.widget;

import android.content.Context;
import android.graphics.PointF;
import android.graphics.Rect;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import android.view.accessibility.AccessibilityEvent;
import androidx.recyclerview.widget.RecyclerView;
import com.luck.picture.lib.widget.longimage.SubsamplingScaleImageView;
import com.yalantis.ucrop.view.CropImageView;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.BitSet;
import java.util.List;

public class StaggeredGridLayoutManager extends RecyclerView.p implements RecyclerView.a0.b {

    /* renamed from: a  reason: collision with root package name */
    private int f2916a = -1;

    /* renamed from: b  reason: collision with root package name */
    f[] f2917b;

    /* renamed from: c  reason: collision with root package name */
    i f2918c;

    /* renamed from: d  reason: collision with root package name */
    i f2919d;

    /* renamed from: e  reason: collision with root package name */
    private int f2920e;

    /* renamed from: f  reason: collision with root package name */
    private int f2921f;

    /* renamed from: g  reason: collision with root package name */
    private final f f2922g;

    /* renamed from: h  reason: collision with root package name */
    boolean f2923h = false;

    /* renamed from: i  reason: collision with root package name */
    boolean f2924i = false;

    /* renamed from: j  reason: collision with root package name */
    private BitSet f2925j;

    /* renamed from: k  reason: collision with root package name */
    int f2926k = -1;

    /* renamed from: l  reason: collision with root package name */
    int f2927l = Integer.MIN_VALUE;

    /* renamed from: m  reason: collision with root package name */
    d f2928m = new d();

    /* renamed from: n  reason: collision with root package name */
    private int f2929n = 2;

    /* renamed from: o  reason: collision with root package name */
    private boolean f2930o;

    /* renamed from: p  reason: collision with root package name */
    private boolean f2931p;

    /* renamed from: q  reason: collision with root package name */
    private e f2932q;

    /* renamed from: r  reason: collision with root package name */
    private int f2933r;

    /* renamed from: s  reason: collision with root package name */
    private final Rect f2934s = new Rect();

    /* renamed from: t  reason: collision with root package name */
    private final b f2935t = new b();

    /* renamed from: u  reason: collision with root package name */
    private boolean f2936u = false;

    /* renamed from: v  reason: collision with root package name */
    private boolean f2937v = true;

    /* renamed from: w  reason: collision with root package name */
    private int[] f2938w;

    /* renamed from: x  reason: collision with root package name */
    private final Runnable f2939x = new a();

    class a implements Runnable {
        a() {
        }

        public void run() {
            StaggeredGridLayoutManager.this.g();
        }
    }

    /* access modifiers changed from: package-private */
    public class b {

        /* renamed from: a  reason: collision with root package name */
        int f2941a;

        /* renamed from: b  reason: collision with root package name */
        int f2942b;

        /* renamed from: c  reason: collision with root package name */
        boolean f2943c;

        /* renamed from: d  reason: collision with root package name */
        boolean f2944d;

        /* renamed from: e  reason: collision with root package name */
        boolean f2945e;

        /* renamed from: f  reason: collision with root package name */
        int[] f2946f;

        b() {
            c();
        }

        /* access modifiers changed from: package-private */
        public void a() {
            this.f2942b = this.f2943c ? StaggeredGridLayoutManager.this.f2918c.i() : StaggeredGridLayoutManager.this.f2918c.m();
        }

        /* access modifiers changed from: package-private */
        public void b(int i5) {
            this.f2942b = this.f2943c ? StaggeredGridLayoutManager.this.f2918c.i() - i5 : StaggeredGridLayoutManager.this.f2918c.m() + i5;
        }

        /* access modifiers changed from: package-private */
        public void c() {
            this.f2941a = -1;
            this.f2942b = Integer.MIN_VALUE;
            this.f2943c = false;
            this.f2944d = false;
            this.f2945e = false;
            int[] iArr = this.f2946f;
            if (iArr != null) {
                Arrays.fill(iArr, -1);
            }
        }

        /* access modifiers changed from: package-private */
        public void d(f[] fVarArr) {
            int length = fVarArr.length;
            int[] iArr = this.f2946f;
            if (iArr == null || iArr.length < length) {
                this.f2946f = new int[StaggeredGridLayoutManager.this.f2917b.length];
            }
            for (int i5 = 0; i5 < length; i5++) {
                this.f2946f[i5] = fVarArr[i5].p(Integer.MIN_VALUE);
            }
        }
    }

    public static class c extends RecyclerView.q {

        /* renamed from: e  reason: collision with root package name */
        f f2948e;

        /* renamed from: f  reason: collision with root package name */
        boolean f2949f;

        public c(int i5, int i6) {
            super(i5, i6);
        }

        public c(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public c(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public c(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        public boolean e() {
            return this.f2949f;
        }
    }

    /* access modifiers changed from: package-private */
    public static class d {

        /* renamed from: a  reason: collision with root package name */
        int[] f2950a;

        /* renamed from: b  reason: collision with root package name */
        List<a> f2951b;

        /* access modifiers changed from: package-private */
        public static class a implements Parcelable {
            public static final Parcelable.Creator<a> CREATOR = new C0036a();

            /* renamed from: e  reason: collision with root package name */
            int f2952e;

            /* renamed from: f  reason: collision with root package name */
            int f2953f;

            /* renamed from: g  reason: collision with root package name */
            int[] f2954g;

            /* renamed from: h  reason: collision with root package name */
            boolean f2955h;

            /* renamed from: androidx.recyclerview.widget.StaggeredGridLayoutManager$d$a$a  reason: collision with other inner class name */
            class C0036a implements Parcelable.Creator<a> {
                C0036a() {
                }

                /* renamed from: a */
                public a createFromParcel(Parcel parcel) {
                    return new a(parcel);
                }

                /* renamed from: b */
                public a[] newArray(int i5) {
                    return new a[i5];
                }
            }

            a() {
            }

            a(Parcel parcel) {
                this.f2952e = parcel.readInt();
                this.f2953f = parcel.readInt();
                this.f2955h = parcel.readInt() != 1 ? false : true;
                int readInt = parcel.readInt();
                if (readInt > 0) {
                    int[] iArr = new int[readInt];
                    this.f2954g = iArr;
                    parcel.readIntArray(iArr);
                }
            }

            /* access modifiers changed from: package-private */
            public int a(int i5) {
                int[] iArr = this.f2954g;
                if (iArr == null) {
                    return 0;
                }
                return iArr[i5];
            }

            public int describeContents() {
                return 0;
            }

            public String toString() {
                return "FullSpanItem{mPosition=" + this.f2952e + ", mGapDir=" + this.f2953f + ", mHasUnwantedGapAfter=" + this.f2955h + ", mGapPerSpan=" + Arrays.toString(this.f2954g) + '}';
            }

            public void writeToParcel(Parcel parcel, int i5) {
                parcel.writeInt(this.f2952e);
                parcel.writeInt(this.f2953f);
                parcel.writeInt(this.f2955h ? 1 : 0);
                int[] iArr = this.f2954g;
                if (iArr == null || iArr.length <= 0) {
                    parcel.writeInt(0);
                    return;
                }
                parcel.writeInt(iArr.length);
                parcel.writeIntArray(this.f2954g);
            }
        }

        d() {
        }

        private int i(int i5) {
            if (this.f2951b == null) {
                return -1;
            }
            a f5 = f(i5);
            if (f5 != null) {
                this.f2951b.remove(f5);
            }
            int size = this.f2951b.size();
            int i6 = 0;
            while (true) {
                if (i6 >= size) {
                    i6 = -1;
                    break;
                } else if (this.f2951b.get(i6).f2952e >= i5) {
                    break;
                } else {
                    i6++;
                }
            }
            if (i6 == -1) {
                return -1;
            }
            this.f2951b.remove(i6);
            return this.f2951b.get(i6).f2952e;
        }

        private void l(int i5, int i6) {
            List<a> list = this.f2951b;
            if (list != null) {
                for (int size = list.size() - 1; size >= 0; size--) {
                    a aVar = this.f2951b.get(size);
                    int i7 = aVar.f2952e;
                    if (i7 >= i5) {
                        aVar.f2952e = i7 + i6;
                    }
                }
            }
        }

        private void m(int i5, int i6) {
            List<a> list = this.f2951b;
            if (list != null) {
                int i7 = i5 + i6;
                for (int size = list.size() - 1; size >= 0; size--) {
                    a aVar = this.f2951b.get(size);
                    int i8 = aVar.f2952e;
                    if (i8 >= i5) {
                        if (i8 < i7) {
                            this.f2951b.remove(size);
                        } else {
                            aVar.f2952e = i8 - i6;
                        }
                    }
                }
            }
        }

        public void a(a aVar) {
            if (this.f2951b == null) {
                this.f2951b = new ArrayList();
            }
            int size = this.f2951b.size();
            for (int i5 = 0; i5 < size; i5++) {
                a aVar2 = this.f2951b.get(i5);
                if (aVar2.f2952e == aVar.f2952e) {
                    this.f2951b.remove(i5);
                }
                if (aVar2.f2952e >= aVar.f2952e) {
                    this.f2951b.add(i5, aVar);
                    return;
                }
            }
            this.f2951b.add(aVar);
        }

        /* access modifiers changed from: package-private */
        public void b() {
            int[] iArr = this.f2950a;
            if (iArr != null) {
                Arrays.fill(iArr, -1);
            }
            this.f2951b = null;
        }

        /* access modifiers changed from: package-private */
        public void c(int i5) {
            int[] iArr = this.f2950a;
            if (iArr == null) {
                int[] iArr2 = new int[(Math.max(i5, 10) + 1)];
                this.f2950a = iArr2;
                Arrays.fill(iArr2, -1);
            } else if (i5 >= iArr.length) {
                int[] iArr3 = new int[o(i5)];
                this.f2950a = iArr3;
                System.arraycopy(iArr, 0, iArr3, 0, iArr.length);
                int[] iArr4 = this.f2950a;
                Arrays.fill(iArr4, iArr.length, iArr4.length, -1);
            }
        }

        /* access modifiers changed from: package-private */
        public int d(int i5) {
            List<a> list = this.f2951b;
            if (list != null) {
                for (int size = list.size() - 1; size >= 0; size--) {
                    if (this.f2951b.get(size).f2952e >= i5) {
                        this.f2951b.remove(size);
                    }
                }
            }
            return h(i5);
        }

        public a e(int i5, int i6, int i7, boolean z4) {
            List<a> list = this.f2951b;
            if (list == null) {
                return null;
            }
            int size = list.size();
            for (int i8 = 0; i8 < size; i8++) {
                a aVar = this.f2951b.get(i8);
                int i9 = aVar.f2952e;
                if (i9 >= i6) {
                    return null;
                }
                if (i9 >= i5 && (i7 == 0 || aVar.f2953f == i7 || (z4 && aVar.f2955h))) {
                    return aVar;
                }
            }
            return null;
        }

        public a f(int i5) {
            List<a> list = this.f2951b;
            if (list == null) {
                return null;
            }
            for (int size = list.size() - 1; size >= 0; size--) {
                a aVar = this.f2951b.get(size);
                if (aVar.f2952e == i5) {
                    return aVar;
                }
            }
            return null;
        }

        /* access modifiers changed from: package-private */
        public int g(int i5) {
            int[] iArr = this.f2950a;
            if (iArr == null || i5 >= iArr.length) {
                return -1;
            }
            return iArr[i5];
        }

        /* access modifiers changed from: package-private */
        public int h(int i5) {
            int[] iArr = this.f2950a;
            if (iArr == null || i5 >= iArr.length) {
                return -1;
            }
            int i6 = i(i5);
            if (i6 == -1) {
                int[] iArr2 = this.f2950a;
                Arrays.fill(iArr2, i5, iArr2.length, -1);
                return this.f2950a.length;
            }
            int min = Math.min(i6 + 1, this.f2950a.length);
            Arrays.fill(this.f2950a, i5, min, -1);
            return min;
        }

        /* access modifiers changed from: package-private */
        public void j(int i5, int i6) {
            int[] iArr = this.f2950a;
            if (iArr != null && i5 < iArr.length) {
                int i7 = i5 + i6;
                c(i7);
                int[] iArr2 = this.f2950a;
                System.arraycopy(iArr2, i5, iArr2, i7, (iArr2.length - i5) - i6);
                Arrays.fill(this.f2950a, i5, i7, -1);
                l(i5, i6);
            }
        }

        /* access modifiers changed from: package-private */
        public void k(int i5, int i6) {
            int[] iArr = this.f2950a;
            if (iArr != null && i5 < iArr.length) {
                int i7 = i5 + i6;
                c(i7);
                int[] iArr2 = this.f2950a;
                System.arraycopy(iArr2, i7, iArr2, i5, (iArr2.length - i5) - i6);
                int[] iArr3 = this.f2950a;
                Arrays.fill(iArr3, iArr3.length - i6, iArr3.length, -1);
                m(i5, i6);
            }
        }

        /* access modifiers changed from: package-private */
        public void n(int i5, f fVar) {
            c(i5);
            this.f2950a[i5] = fVar.f2970e;
        }

        /* access modifiers changed from: package-private */
        public int o(int i5) {
            int length = this.f2950a.length;
            while (length <= i5) {
                length *= 2;
            }
            return length;
        }
    }

    public static class e implements Parcelable {
        public static final Parcelable.Creator<e> CREATOR = new a();

        /* renamed from: e  reason: collision with root package name */
        int f2956e;

        /* renamed from: f  reason: collision with root package name */
        int f2957f;

        /* renamed from: g  reason: collision with root package name */
        int f2958g;

        /* renamed from: h  reason: collision with root package name */
        int[] f2959h;

        /* renamed from: i  reason: collision with root package name */
        int f2960i;

        /* renamed from: j  reason: collision with root package name */
        int[] f2961j;

        /* renamed from: k  reason: collision with root package name */
        List<d.a> f2962k;

        /* renamed from: l  reason: collision with root package name */
        boolean f2963l;

        /* renamed from: m  reason: collision with root package name */
        boolean f2964m;

        /* renamed from: n  reason: collision with root package name */
        boolean f2965n;

        class a implements Parcelable.Creator<e> {
            a() {
            }

            /* renamed from: a */
            public e createFromParcel(Parcel parcel) {
                return new e(parcel);
            }

            /* renamed from: b */
            public e[] newArray(int i5) {
                return new e[i5];
            }
        }

        public e() {
        }

        e(Parcel parcel) {
            this.f2956e = parcel.readInt();
            this.f2957f = parcel.readInt();
            int readInt = parcel.readInt();
            this.f2958g = readInt;
            if (readInt > 0) {
                int[] iArr = new int[readInt];
                this.f2959h = iArr;
                parcel.readIntArray(iArr);
            }
            int readInt2 = parcel.readInt();
            this.f2960i = readInt2;
            if (readInt2 > 0) {
                int[] iArr2 = new int[readInt2];
                this.f2961j = iArr2;
                parcel.readIntArray(iArr2);
            }
            boolean z4 = false;
            this.f2963l = parcel.readInt() == 1;
            this.f2964m = parcel.readInt() == 1;
            this.f2965n = parcel.readInt() == 1 ? true : z4;
            this.f2962k = parcel.readArrayList(d.a.class.getClassLoader());
        }

        public e(e eVar) {
            this.f2958g = eVar.f2958g;
            this.f2956e = eVar.f2956e;
            this.f2957f = eVar.f2957f;
            this.f2959h = eVar.f2959h;
            this.f2960i = eVar.f2960i;
            this.f2961j = eVar.f2961j;
            this.f2963l = eVar.f2963l;
            this.f2964m = eVar.f2964m;
            this.f2965n = eVar.f2965n;
            this.f2962k = eVar.f2962k;
        }

        /* access modifiers changed from: package-private */
        public void a() {
            this.f2959h = null;
            this.f2958g = 0;
            this.f2956e = -1;
            this.f2957f = -1;
        }

        /* access modifiers changed from: package-private */
        public void b() {
            this.f2959h = null;
            this.f2958g = 0;
            this.f2960i = 0;
            this.f2961j = null;
            this.f2962k = null;
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i5) {
            parcel.writeInt(this.f2956e);
            parcel.writeInt(this.f2957f);
            parcel.writeInt(this.f2958g);
            if (this.f2958g > 0) {
                parcel.writeIntArray(this.f2959h);
            }
            parcel.writeInt(this.f2960i);
            if (this.f2960i > 0) {
                parcel.writeIntArray(this.f2961j);
            }
            parcel.writeInt(this.f2963l ? 1 : 0);
            parcel.writeInt(this.f2964m ? 1 : 0);
            parcel.writeInt(this.f2965n ? 1 : 0);
            parcel.writeList(this.f2962k);
        }
    }

    /* access modifiers changed from: package-private */
    public class f {

        /* renamed from: a  reason: collision with root package name */
        ArrayList<View> f2966a = new ArrayList<>();

        /* renamed from: b  reason: collision with root package name */
        int f2967b = Integer.MIN_VALUE;

        /* renamed from: c  reason: collision with root package name */
        int f2968c = Integer.MIN_VALUE;

        /* renamed from: d  reason: collision with root package name */
        int f2969d = 0;

        /* renamed from: e  reason: collision with root package name */
        final int f2970e;

        f(int i5) {
            this.f2970e = i5;
        }

        /* access modifiers changed from: package-private */
        public void a(View view) {
            c n5 = n(view);
            n5.f2948e = this;
            this.f2966a.add(view);
            this.f2968c = Integer.MIN_VALUE;
            if (this.f2966a.size() == 1) {
                this.f2967b = Integer.MIN_VALUE;
            }
            if (n5.c() || n5.b()) {
                this.f2969d += StaggeredGridLayoutManager.this.f2918c.e(view);
            }
        }

        /* access modifiers changed from: package-private */
        public void b(boolean z4, int i5) {
            int l5 = z4 ? l(Integer.MIN_VALUE) : p(Integer.MIN_VALUE);
            e();
            if (l5 != Integer.MIN_VALUE) {
                if (z4 && l5 < StaggeredGridLayoutManager.this.f2918c.i()) {
                    return;
                }
                if (z4 || l5 <= StaggeredGridLayoutManager.this.f2918c.m()) {
                    if (i5 != Integer.MIN_VALUE) {
                        l5 += i5;
                    }
                    this.f2968c = l5;
                    this.f2967b = l5;
                }
            }
        }

        /* access modifiers changed from: package-private */
        public void c() {
            d.a f5;
            ArrayList<View> arrayList = this.f2966a;
            View view = arrayList.get(arrayList.size() - 1);
            c n5 = n(view);
            this.f2968c = StaggeredGridLayoutManager.this.f2918c.d(view);
            if (n5.f2949f && (f5 = StaggeredGridLayoutManager.this.f2928m.f(n5.a())) != null && f5.f2953f == 1) {
                this.f2968c += f5.a(this.f2970e);
            }
        }

        /* access modifiers changed from: package-private */
        public void d() {
            d.a f5;
            View view = this.f2966a.get(0);
            c n5 = n(view);
            this.f2967b = StaggeredGridLayoutManager.this.f2918c.g(view);
            if (n5.f2949f && (f5 = StaggeredGridLayoutManager.this.f2928m.f(n5.a())) != null && f5.f2953f == -1) {
                this.f2967b -= f5.a(this.f2970e);
            }
        }

        /* access modifiers changed from: package-private */
        public void e() {
            this.f2966a.clear();
            q();
            this.f2969d = 0;
        }

        public int f() {
            int i5;
            int i6;
            if (StaggeredGridLayoutManager.this.f2923h) {
                i6 = this.f2966a.size() - 1;
                i5 = -1;
            } else {
                i6 = 0;
                i5 = this.f2966a.size();
            }
            return i(i6, i5, true);
        }

        public int g() {
            int i5;
            int i6;
            if (StaggeredGridLayoutManager.this.f2923h) {
                i6 = 0;
                i5 = this.f2966a.size();
            } else {
                i6 = this.f2966a.size() - 1;
                i5 = -1;
            }
            return i(i6, i5, true);
        }

        /* access modifiers changed from: package-private */
        public int h(int i5, int i6, boolean z4, boolean z5, boolean z6) {
            int m5 = StaggeredGridLayoutManager.this.f2918c.m();
            int i7 = StaggeredGridLayoutManager.this.f2918c.i();
            int i8 = i6 > i5 ? 1 : -1;
            while (i5 != i6) {
                View view = this.f2966a.get(i5);
                int g5 = StaggeredGridLayoutManager.this.f2918c.g(view);
                int d5 = StaggeredGridLayoutManager.this.f2918c.d(view);
                boolean z7 = false;
                boolean z8 = !z6 ? g5 < i7 : g5 <= i7;
                if (!z6 ? d5 > m5 : d5 >= m5) {
                    z7 = true;
                }
                if (z8 && z7) {
                    if (!z4 || !z5) {
                        if (!z5 && g5 >= m5 && d5 <= i7) {
                        }
                    } else if (g5 >= m5 && d5 <= i7) {
                    }
                    return StaggeredGridLayoutManager.this.getPosition(view);
                }
                i5 += i8;
            }
            return -1;
        }

        /* access modifiers changed from: package-private */
        public int i(int i5, int i6, boolean z4) {
            return h(i5, i6, false, false, z4);
        }

        public int j() {
            return this.f2969d;
        }

        /* access modifiers changed from: package-private */
        public int k() {
            int i5 = this.f2968c;
            if (i5 != Integer.MIN_VALUE) {
                return i5;
            }
            c();
            return this.f2968c;
        }

        /* access modifiers changed from: package-private */
        public int l(int i5) {
            int i6 = this.f2968c;
            if (i6 != Integer.MIN_VALUE) {
                return i6;
            }
            if (this.f2966a.size() == 0) {
                return i5;
            }
            c();
            return this.f2968c;
        }

        public View m(int i5, int i6) {
            View view = null;
            if (i6 != -1) {
                int size = this.f2966a.size() - 1;
                while (size >= 0) {
                    View view2 = this.f2966a.get(size);
                    StaggeredGridLayoutManager staggeredGridLayoutManager = StaggeredGridLayoutManager.this;
                    if (staggeredGridLayoutManager.f2923h && staggeredGridLayoutManager.getPosition(view2) >= i5) {
                        break;
                    }
                    StaggeredGridLayoutManager staggeredGridLayoutManager2 = StaggeredGridLayoutManager.this;
                    if ((!staggeredGridLayoutManager2.f2923h && staggeredGridLayoutManager2.getPosition(view2) <= i5) || !view2.hasFocusable()) {
                        break;
                    }
                    size--;
                    view = view2;
                }
            } else {
                int size2 = this.f2966a.size();
                int i7 = 0;
                while (i7 < size2) {
                    View view3 = this.f2966a.get(i7);
                    StaggeredGridLayoutManager staggeredGridLayoutManager3 = StaggeredGridLayoutManager.this;
                    if (staggeredGridLayoutManager3.f2923h && staggeredGridLayoutManager3.getPosition(view3) <= i5) {
                        break;
                    }
                    StaggeredGridLayoutManager staggeredGridLayoutManager4 = StaggeredGridLayoutManager.this;
                    if ((!staggeredGridLayoutManager4.f2923h && staggeredGridLayoutManager4.getPosition(view3) >= i5) || !view3.hasFocusable()) {
                        break;
                    }
                    i7++;
                    view = view3;
                }
            }
            return view;
        }

        /* access modifiers changed from: package-private */
        public c n(View view) {
            return (c) view.getLayoutParams();
        }

        /* access modifiers changed from: package-private */
        public int o() {
            int i5 = this.f2967b;
            if (i5 != Integer.MIN_VALUE) {
                return i5;
            }
            d();
            return this.f2967b;
        }

        /* access modifiers changed from: package-private */
        public int p(int i5) {
            int i6 = this.f2967b;
            if (i6 != Integer.MIN_VALUE) {
                return i6;
            }
            if (this.f2966a.size() == 0) {
                return i5;
            }
            d();
            return this.f2967b;
        }

        /* access modifiers changed from: package-private */
        public void q() {
            this.f2967b = Integer.MIN_VALUE;
            this.f2968c = Integer.MIN_VALUE;
        }

        /* access modifiers changed from: package-private */
        public void r(int i5) {
            int i6 = this.f2967b;
            if (i6 != Integer.MIN_VALUE) {
                this.f2967b = i6 + i5;
            }
            int i7 = this.f2968c;
            if (i7 != Integer.MIN_VALUE) {
                this.f2968c = i7 + i5;
            }
        }

        /* access modifiers changed from: package-private */
        public void s() {
            int size = this.f2966a.size();
            View remove = this.f2966a.remove(size - 1);
            c n5 = n(remove);
            n5.f2948e = null;
            if (n5.c() || n5.b()) {
                this.f2969d -= StaggeredGridLayoutManager.this.f2918c.e(remove);
            }
            if (size == 1) {
                this.f2967b = Integer.MIN_VALUE;
            }
            this.f2968c = Integer.MIN_VALUE;
        }

        /* access modifiers changed from: package-private */
        public void t() {
            View remove = this.f2966a.remove(0);
            c n5 = n(remove);
            n5.f2948e = null;
            if (this.f2966a.size() == 0) {
                this.f2968c = Integer.MIN_VALUE;
            }
            if (n5.c() || n5.b()) {
                this.f2969d -= StaggeredGridLayoutManager.this.f2918c.e(remove);
            }
            this.f2967b = Integer.MIN_VALUE;
        }

        /* access modifiers changed from: package-private */
        public void u(View view) {
            c n5 = n(view);
            n5.f2948e = this;
            this.f2966a.add(0, view);
            this.f2967b = Integer.MIN_VALUE;
            if (this.f2966a.size() == 1) {
                this.f2968c = Integer.MIN_VALUE;
            }
            if (n5.c() || n5.b()) {
                this.f2969d += StaggeredGridLayoutManager.this.f2918c.e(view);
            }
        }

        /* access modifiers changed from: package-private */
        public void v(int i5) {
            this.f2967b = i5;
            this.f2968c = i5;
        }
    }

    public StaggeredGridLayoutManager(Context context, AttributeSet attributeSet, int i5, int i6) {
        RecyclerView.p.d properties = RecyclerView.p.getProperties(context, attributeSet, i5, i6);
        setOrientation(properties.f2892a);
        O(properties.f2893b);
        setReverseLayout(properties.f2894c);
        this.f2922g = new f();
        k();
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x0025  */
    /* JADX WARNING: Removed duplicated region for block: B:18:0x003c  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x0043 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x0044  */
    private void A(int i5, int i6, int i7) {
        int i8;
        int i9;
        int u5 = this.f2924i ? u() : t();
        if (i7 != 8) {
            i9 = i5 + i6;
        } else if (i5 < i6) {
            i9 = i6 + 1;
        } else {
            i9 = i5 + 1;
            i8 = i6;
            this.f2928m.h(i8);
            if (i7 != 1) {
                this.f2928m.j(i5, i6);
            } else if (i7 == 2) {
                this.f2928m.k(i5, i6);
            } else if (i7 == 8) {
                this.f2928m.k(i5, 1);
                this.f2928m.j(i6, 1);
            }
            if (i9 <= u5) {
                if (i8 <= (this.f2924i ? t() : u())) {
                    requestLayout();
                    return;
                }
                return;
            }
            return;
        }
        i8 = i5;
        this.f2928m.h(i8);
        if (i7 != 1) {
        }
        if (i9 <= u5) {
        }
    }

    private void D(View view, int i5, int i6, boolean z4) {
        calculateItemDecorationsForChild(view, this.f2934s);
        c cVar = (c) view.getLayoutParams();
        int i7 = ((ViewGroup.MarginLayoutParams) cVar).leftMargin;
        Rect rect = this.f2934s;
        int W = W(i5, i7 + rect.left, ((ViewGroup.MarginLayoutParams) cVar).rightMargin + rect.right);
        int i8 = ((ViewGroup.MarginLayoutParams) cVar).topMargin;
        Rect rect2 = this.f2934s;
        int W2 = W(i6, i8 + rect2.top, ((ViewGroup.MarginLayoutParams) cVar).bottomMargin + rect2.bottom);
        if (z4 ? shouldReMeasureChild(view, W, W2, cVar) : shouldMeasureChild(view, W, W2, cVar)) {
            view.measure(W, W2);
        }
    }

    private void E(View view, c cVar, boolean z4) {
        int i5;
        int i6;
        if (cVar.f2949f) {
            if (this.f2920e == 1) {
                i6 = this.f2933r;
            } else {
                D(view, RecyclerView.p.getChildMeasureSpec(getWidth(), getWidthMode(), getPaddingLeft() + getPaddingRight(), ((ViewGroup.MarginLayoutParams) cVar).width, true), this.f2933r, z4);
                return;
            }
        } else if (this.f2920e == 1) {
            i6 = RecyclerView.p.getChildMeasureSpec(this.f2921f, getWidthMode(), 0, ((ViewGroup.MarginLayoutParams) cVar).width, false);
        } else {
            i6 = RecyclerView.p.getChildMeasureSpec(getWidth(), getWidthMode(), getPaddingLeft() + getPaddingRight(), ((ViewGroup.MarginLayoutParams) cVar).width, true);
            i5 = RecyclerView.p.getChildMeasureSpec(this.f2921f, getHeightMode(), 0, ((ViewGroup.MarginLayoutParams) cVar).height, false);
            D(view, i6, i5, z4);
        }
        i5 = RecyclerView.p.getChildMeasureSpec(getHeight(), getHeightMode(), getPaddingTop() + getPaddingBottom(), ((ViewGroup.MarginLayoutParams) cVar).height, true);
        D(view, i6, i5, z4);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:83:0x014b, code lost:
        if (g() != false) goto L_0x014f;
     */
    private void F(RecyclerView.w wVar, RecyclerView.b0 b0Var, boolean z4) {
        e eVar;
        b bVar = this.f2935t;
        if (!(this.f2932q == null && this.f2926k == -1) && b0Var.b() == 0) {
            removeAndRecycleAllViews(wVar);
            bVar.c();
            return;
        }
        boolean z5 = true;
        boolean z6 = (bVar.f2945e && this.f2926k == -1 && this.f2932q == null) ? false : true;
        if (z6) {
            bVar.c();
            if (this.f2932q != null) {
                b(bVar);
            } else {
                resolveShouldLayoutReverse();
                bVar.f2943c = this.f2924i;
            }
            S(b0Var, bVar);
            bVar.f2945e = true;
        }
        if (this.f2932q == null && this.f2926k == -1 && !(bVar.f2943c == this.f2930o && isLayoutRTL() == this.f2931p)) {
            this.f2928m.b();
            bVar.f2944d = true;
        }
        if (getChildCount() > 0 && ((eVar = this.f2932q) == null || eVar.f2958g < 1)) {
            if (bVar.f2944d) {
                for (int i5 = 0; i5 < this.f2916a; i5++) {
                    this.f2917b[i5].e();
                    int i6 = bVar.f2942b;
                    if (i6 != Integer.MIN_VALUE) {
                        this.f2917b[i5].v(i6);
                    }
                }
            } else if (z6 || this.f2935t.f2946f == null) {
                for (int i7 = 0; i7 < this.f2916a; i7++) {
                    this.f2917b[i7].b(this.f2924i, bVar.f2942b);
                }
                this.f2935t.d(this.f2917b);
            } else {
                for (int i8 = 0; i8 < this.f2916a; i8++) {
                    f fVar = this.f2917b[i8];
                    fVar.e();
                    fVar.v(this.f2935t.f2946f[i8]);
                }
            }
        }
        detachAndScrapAttachedViews(wVar);
        this.f2922g.f3086a = false;
        this.f2936u = false;
        U(this.f2919d.n());
        T(bVar.f2941a, b0Var);
        if (bVar.f2943c) {
            N(-1);
            l(wVar, this.f2922g, b0Var);
            N(1);
        } else {
            N(1);
            l(wVar, this.f2922g, b0Var);
            N(-1);
        }
        f fVar2 = this.f2922g;
        fVar2.f3088c = bVar.f2941a + fVar2.f3089d;
        l(wVar, fVar2, b0Var);
        M();
        if (getChildCount() > 0) {
            if (this.f2924i) {
                r(wVar, b0Var, true);
                s(wVar, b0Var, false);
            } else {
                s(wVar, b0Var, true);
                r(wVar, b0Var, false);
            }
        }
        if (z4 && !b0Var.e()) {
            if (this.f2929n != 0 && getChildCount() > 0 && (this.f2936u || B() != null)) {
                removeCallbacks(this.f2939x);
            }
        }
        z5 = false;
        if (b0Var.e()) {
            this.f2935t.c();
        }
        this.f2930o = bVar.f2943c;
        this.f2931p = isLayoutRTL();
        if (z5) {
            this.f2935t.c();
            F(wVar, b0Var, false);
        }
    }

    private boolean G(int i5) {
        if (this.f2920e == 0) {
            return (i5 == -1) != this.f2924i;
        }
        return ((i5 == -1) == this.f2924i) == isLayoutRTL();
    }

    private void I(View view) {
        for (int i5 = this.f2916a - 1; i5 >= 0; i5--) {
            this.f2917b[i5].u(view);
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:7:0x0010, code lost:
        if (r4.f3090e == -1) goto L_0x0012;
     */
    private void J(RecyclerView.w wVar, f fVar) {
        int min;
        int min2;
        if (fVar.f3086a && !fVar.f3094i) {
            if (fVar.f3087b != 0) {
                if (fVar.f3090e == -1) {
                    int i5 = fVar.f3091f;
                    int w5 = i5 - w(i5);
                    if (w5 >= 0) {
                        min2 = fVar.f3092g - Math.min(w5, fVar.f3087b);
                        K(wVar, min2);
                    }
                } else {
                    int x5 = x(fVar.f3092g) - fVar.f3092g;
                    if (x5 >= 0) {
                        min = Math.min(x5, fVar.f3087b) + fVar.f3091f;
                        L(wVar, min);
                        return;
                    }
                    min = fVar.f3091f;
                    L(wVar, min);
                    return;
                }
            }
            min2 = fVar.f3092g;
            K(wVar, min2);
        }
    }

    private void K(RecyclerView.w wVar, int i5) {
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            View childAt = getChildAt(childCount);
            if (this.f2918c.g(childAt) >= i5 && this.f2918c.q(childAt) >= i5) {
                c cVar = (c) childAt.getLayoutParams();
                if (cVar.f2949f) {
                    for (int i6 = 0; i6 < this.f2916a; i6++) {
                        if (this.f2917b[i6].f2966a.size() == 1) {
                            return;
                        }
                    }
                    for (int i7 = 0; i7 < this.f2916a; i7++) {
                        this.f2917b[i7].s();
                    }
                } else if (cVar.f2948e.f2966a.size() != 1) {
                    cVar.f2948e.s();
                } else {
                    return;
                }
                removeAndRecycleView(childAt, wVar);
            } else {
                return;
            }
        }
    }

    private void L(RecyclerView.w wVar, int i5) {
        while (getChildCount() > 0) {
            View childAt = getChildAt(0);
            if (this.f2918c.d(childAt) <= i5 && this.f2918c.p(childAt) <= i5) {
                c cVar = (c) childAt.getLayoutParams();
                if (cVar.f2949f) {
                    for (int i6 = 0; i6 < this.f2916a; i6++) {
                        if (this.f2917b[i6].f2966a.size() == 1) {
                            return;
                        }
                    }
                    for (int i7 = 0; i7 < this.f2916a; i7++) {
                        this.f2917b[i7].t();
                    }
                } else if (cVar.f2948e.f2966a.size() != 1) {
                    cVar.f2948e.t();
                } else {
                    return;
                }
                removeAndRecycleView(childAt, wVar);
            } else {
                return;
            }
        }
    }

    private void M() {
        if (this.f2919d.k() != 1073741824) {
            float f5 = CropImageView.DEFAULT_ASPECT_RATIO;
            int childCount = getChildCount();
            for (int i5 = 0; i5 < childCount; i5++) {
                View childAt = getChildAt(i5);
                float e5 = (float) this.f2919d.e(childAt);
                if (e5 >= f5) {
                    if (((c) childAt.getLayoutParams()).e()) {
                        e5 = (e5 * 1.0f) / ((float) this.f2916a);
                    }
                    f5 = Math.max(f5, e5);
                }
            }
            int i6 = this.f2921f;
            int round = Math.round(f5 * ((float) this.f2916a));
            if (this.f2919d.k() == Integer.MIN_VALUE) {
                round = Math.min(round, this.f2919d.n());
            }
            U(round);
            if (this.f2921f != i6) {
                for (int i7 = 0; i7 < childCount; i7++) {
                    View childAt2 = getChildAt(i7);
                    c cVar = (c) childAt2.getLayoutParams();
                    if (!cVar.f2949f) {
                        if (!isLayoutRTL() || this.f2920e != 1) {
                            int i8 = cVar.f2948e.f2970e;
                            int i9 = this.f2920e;
                            int i10 = (this.f2921f * i8) - (i8 * i6);
                            if (i9 == 1) {
                                childAt2.offsetLeftAndRight(i10);
                            } else {
                                childAt2.offsetTopAndBottom(i10);
                            }
                        } else {
                            int i11 = this.f2916a;
                            int i12 = cVar.f2948e.f2970e;
                            childAt2.offsetLeftAndRight(((-((i11 - 1) - i12)) * this.f2921f) - ((-((i11 - 1) - i12)) * i6));
                        }
                    }
                }
            }
        }
    }

    private void N(int i5) {
        f fVar = this.f2922g;
        fVar.f3090e = i5;
        int i6 = 1;
        if (this.f2924i != (i5 == -1)) {
            i6 = -1;
        }
        fVar.f3089d = i6;
    }

    private void P(int i5, int i6) {
        for (int i7 = 0; i7 < this.f2916a; i7++) {
            if (!this.f2917b[i7].f2966a.isEmpty()) {
                V(this.f2917b[i7], i5, i6);
            }
        }
    }

    private boolean Q(RecyclerView.b0 b0Var, b bVar) {
        boolean z4 = this.f2930o;
        int b5 = b0Var.b();
        bVar.f2941a = z4 ? q(b5) : m(b5);
        bVar.f2942b = Integer.MIN_VALUE;
        return true;
    }

    /* JADX WARNING: Removed duplicated region for block: B:15:0x0036  */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x004d  */
    private void T(int i5, RecyclerView.b0 b0Var) {
        int i6;
        int i7;
        int c5;
        f fVar = this.f2922g;
        boolean z4 = false;
        fVar.f3087b = 0;
        fVar.f3088c = i5;
        if (!isSmoothScrolling() || (c5 = b0Var.c()) == -1) {
            i7 = 0;
        } else {
            if (this.f2924i == (c5 < i5)) {
                i7 = this.f2918c.n();
            } else {
                i6 = this.f2918c.n();
                i7 = 0;
                if (!getClipToPadding()) {
                    this.f2922g.f3091f = this.f2918c.m() - i6;
                    this.f2922g.f3092g = this.f2918c.i() + i7;
                } else {
                    this.f2922g.f3092g = this.f2918c.h() + i7;
                    this.f2922g.f3091f = -i6;
                }
                f fVar2 = this.f2922g;
                fVar2.f3093h = false;
                fVar2.f3086a = true;
                if (this.f2918c.k() == 0 && this.f2918c.h() == 0) {
                    z4 = true;
                }
                fVar2.f3094i = z4;
            }
        }
        i6 = 0;
        if (!getClipToPadding()) {
        }
        f fVar22 = this.f2922g;
        fVar22.f3093h = false;
        fVar22.f3086a = true;
        z4 = true;
        fVar22.f3094i = z4;
    }

    private void V(f fVar, int i5, int i6) {
        int j5 = fVar.j();
        if (i5 == -1) {
            if (fVar.o() + j5 > i6) {
                return;
            }
        } else if (fVar.k() - j5 < i6) {
            return;
        }
        this.f2925j.set(fVar.f2970e, false);
    }

    private int W(int i5, int i6, int i7) {
        if (i6 == 0 && i7 == 0) {
            return i5;
        }
        int mode = View.MeasureSpec.getMode(i5);
        return (mode == Integer.MIN_VALUE || mode == 1073741824) ? View.MeasureSpec.makeMeasureSpec(Math.max(0, (View.MeasureSpec.getSize(i5) - i6) - i7), mode) : i5;
    }

    private void a(View view) {
        for (int i5 = this.f2916a - 1; i5 >= 0; i5--) {
            this.f2917b[i5].a(view);
        }
    }

    private void b(b bVar) {
        boolean z4;
        e eVar = this.f2932q;
        int i5 = eVar.f2958g;
        if (i5 > 0) {
            if (i5 == this.f2916a) {
                for (int i6 = 0; i6 < this.f2916a; i6++) {
                    this.f2917b[i6].e();
                    e eVar2 = this.f2932q;
                    int i7 = eVar2.f2959h[i6];
                    if (i7 != Integer.MIN_VALUE) {
                        i7 += eVar2.f2964m ? this.f2918c.i() : this.f2918c.m();
                    }
                    this.f2917b[i6].v(i7);
                }
            } else {
                eVar.b();
                e eVar3 = this.f2932q;
                eVar3.f2956e = eVar3.f2957f;
            }
        }
        e eVar4 = this.f2932q;
        this.f2931p = eVar4.f2965n;
        setReverseLayout(eVar4.f2963l);
        resolveShouldLayoutReverse();
        e eVar5 = this.f2932q;
        int i8 = eVar5.f2956e;
        if (i8 != -1) {
            this.f2926k = i8;
            z4 = eVar5.f2964m;
        } else {
            z4 = this.f2924i;
        }
        bVar.f2943c = z4;
        if (eVar5.f2960i > 1) {
            d dVar = this.f2928m;
            dVar.f2950a = eVar5.f2961j;
            dVar.f2951b = eVar5.f2962k;
        }
    }

    private int computeScrollExtent(RecyclerView.b0 b0Var) {
        if (getChildCount() == 0) {
            return 0;
        }
        return k.a(b0Var, this.f2918c, o(!this.f2937v), n(!this.f2937v), this, this.f2937v);
    }

    private int computeScrollOffset(RecyclerView.b0 b0Var) {
        if (getChildCount() == 0) {
            return 0;
        }
        return k.b(b0Var, this.f2918c, o(!this.f2937v), n(!this.f2937v), this, this.f2937v, this.f2924i);
    }

    private int computeScrollRange(RecyclerView.b0 b0Var) {
        if (getChildCount() == 0) {
            return 0;
        }
        return k.c(b0Var, this.f2918c, o(!this.f2937v), n(!this.f2937v), this, this.f2937v);
    }

    private int convertFocusDirectionToLayoutDirection(int i5) {
        return i5 != 1 ? i5 != 2 ? i5 != 17 ? i5 != 33 ? i5 != 66 ? (i5 == 130 && this.f2920e == 1) ? 1 : Integer.MIN_VALUE : this.f2920e == 0 ? 1 : Integer.MIN_VALUE : this.f2920e == 1 ? -1 : Integer.MIN_VALUE : this.f2920e == 0 ? -1 : Integer.MIN_VALUE : (this.f2920e != 1 && isLayoutRTL()) ? -1 : 1 : (this.f2920e != 1 && isLayoutRTL()) ? 1 : -1;
    }

    private void e(View view, c cVar, f fVar) {
        if (fVar.f3090e == 1) {
            if (cVar.f2949f) {
                a(view);
            } else {
                cVar.f2948e.a(view);
            }
        } else if (cVar.f2949f) {
            I(view);
        } else {
            cVar.f2948e.u(view);
        }
    }

    private int f(int i5) {
        if (getChildCount() == 0) {
            return this.f2924i ? 1 : -1;
        }
        return (i5 < t()) != this.f2924i ? -1 : 1;
    }

    private boolean h(f fVar) {
        if (this.f2924i) {
            if (fVar.k() < this.f2918c.i()) {
                ArrayList<View> arrayList = fVar.f2966a;
                return !fVar.n(arrayList.get(arrayList.size() - 1)).f2949f;
            }
        } else if (fVar.o() > this.f2918c.m()) {
            return !fVar.n(fVar.f2966a.get(0)).f2949f;
        }
        return false;
    }

    private d.a i(int i5) {
        d.a aVar = new d.a();
        aVar.f2954g = new int[this.f2916a];
        for (int i6 = 0; i6 < this.f2916a; i6++) {
            aVar.f2954g[i6] = i5 - this.f2917b[i6].l(i5);
        }
        return aVar;
    }

    private d.a j(int i5) {
        d.a aVar = new d.a();
        aVar.f2954g = new int[this.f2916a];
        for (int i6 = 0; i6 < this.f2916a; i6++) {
            aVar.f2954g[i6] = this.f2917b[i6].p(i5) - i5;
        }
        return aVar;
    }

    private void k() {
        this.f2918c = i.b(this, this.f2920e);
        this.f2919d = i.b(this, 1 - this.f2920e);
    }

    private int l(RecyclerView.w wVar, f fVar, RecyclerView.b0 b0Var) {
        int i5;
        f fVar2;
        int i6;
        int i7;
        int i8;
        int i9;
        int i10;
        int i11;
        View view;
        StaggeredGridLayoutManager staggeredGridLayoutManager;
        boolean z4 = false;
        this.f2925j.set(0, this.f2916a, true);
        if (this.f2922g.f3094i) {
            i5 = fVar.f3090e == 1 ? SubsamplingScaleImageView.TILE_SIZE_AUTO : Integer.MIN_VALUE;
        } else {
            i5 = fVar.f3090e == 1 ? fVar.f3092g + fVar.f3087b : fVar.f3091f - fVar.f3087b;
        }
        P(fVar.f3090e, i5);
        int i12 = this.f2924i ? this.f2918c.i() : this.f2918c.m();
        boolean z5 = false;
        while (fVar.a(b0Var) && (this.f2922g.f3094i || !this.f2925j.isEmpty())) {
            View b5 = fVar.b(wVar);
            c cVar = (c) b5.getLayoutParams();
            int a5 = cVar.a();
            int g5 = this.f2928m.g(a5);
            boolean z6 = g5 == -1;
            if (z6) {
                if (cVar.f2949f) {
                    f[] fVarArr = this.f2917b;
                    char c5 = z4 ? 1 : 0;
                    char c6 = z4 ? 1 : 0;
                    char c7 = z4 ? 1 : 0;
                    fVar2 = fVarArr[c5];
                } else {
                    fVar2 = z(fVar);
                }
                this.f2928m.n(a5, fVar2);
            } else {
                fVar2 = this.f2917b[g5];
            }
            cVar.f2948e = fVar2;
            if (fVar.f3090e == 1) {
                addView(b5);
            } else {
                int i13 = z4 ? 1 : 0;
                int i14 = z4 ? 1 : 0;
                int i15 = z4 ? 1 : 0;
                addView(b5, i13);
            }
            E(b5, cVar, z4);
            if (fVar.f3090e == 1) {
                int v5 = cVar.f2949f ? v(i12) : fVar2.l(i12);
                int e5 = this.f2918c.e(b5) + v5;
                if (z6 && cVar.f2949f) {
                    d.a i16 = i(v5);
                    i16.f2953f = -1;
                    i16.f2952e = a5;
                    this.f2928m.a(i16);
                }
                i6 = e5;
                i7 = v5;
            } else {
                int y5 = cVar.f2949f ? y(i12) : fVar2.p(i12);
                i7 = y5 - this.f2918c.e(b5);
                if (z6 && cVar.f2949f) {
                    d.a j5 = j(y5);
                    j5.f2953f = 1;
                    j5.f2952e = a5;
                    this.f2928m.a(j5);
                }
                i6 = y5;
            }
            if (cVar.f2949f && fVar.f3089d == -1) {
                if (!z6) {
                    if (!(fVar.f3090e == 1 ? c() : d())) {
                        d.a f5 = this.f2928m.f(a5);
                        if (f5 != null) {
                            f5.f2955h = true;
                        }
                    }
                }
                this.f2936u = true;
            }
            e(b5, cVar, fVar);
            if (!isLayoutRTL() || this.f2920e != 1) {
                int m5 = cVar.f2949f ? this.f2919d.m() : (fVar2.f2970e * this.f2921f) + this.f2919d.m();
                i9 = m5;
                i8 = this.f2919d.e(b5) + m5;
            } else {
                int i17 = cVar.f2949f ? this.f2919d.i() : this.f2919d.i() - (((this.f2916a - 1) - fVar2.f2970e) * this.f2921f);
                i8 = i17;
                i9 = i17 - this.f2919d.e(b5);
            }
            if (this.f2920e == 1) {
                staggeredGridLayoutManager = this;
                view = b5;
                i11 = i9;
                i9 = i7;
                i10 = i8;
            } else {
                staggeredGridLayoutManager = this;
                view = b5;
                i11 = i7;
                i10 = i6;
                i6 = i8;
            }
            staggeredGridLayoutManager.layoutDecoratedWithMargins(view, i11, i9, i10, i6);
            if (cVar.f2949f) {
                P(this.f2922g.f3090e, i5);
            } else {
                V(fVar2, this.f2922g.f3090e, i5);
            }
            J(wVar, this.f2922g);
            if (this.f2922g.f3093h && b5.hasFocusable()) {
                if (cVar.f2949f) {
                    this.f2925j.clear();
                } else {
                    this.f2925j.set(fVar2.f2970e, false);
                    z5 = true;
                    z4 = false;
                }
            }
            z5 = true;
            z4 = false;
        }
        if (!z5) {
            J(wVar, this.f2922g);
        }
        int m6 = this.f2922g.f3090e == -1 ? this.f2918c.m() - y(this.f2918c.m()) : v(this.f2918c.i()) - this.f2918c.i();
        if (m6 > 0) {
            return Math.min(fVar.f3087b, m6);
        }
        return 0;
    }

    private int m(int i5) {
        int childCount = getChildCount();
        for (int i6 = 0; i6 < childCount; i6++) {
            int position = getPosition(getChildAt(i6));
            if (position >= 0 && position < i5) {
                return position;
            }
        }
        return 0;
    }

    private int q(int i5) {
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            int position = getPosition(getChildAt(childCount));
            if (position >= 0 && position < i5) {
                return position;
            }
        }
        return 0;
    }

    private void r(RecyclerView.w wVar, RecyclerView.b0 b0Var, boolean z4) {
        int i5;
        int v5 = v(Integer.MIN_VALUE);
        if (v5 != Integer.MIN_VALUE && (i5 = this.f2918c.i() - v5) > 0) {
            int i6 = i5 - (-scrollBy(-i5, wVar, b0Var));
            if (z4 && i6 > 0) {
                this.f2918c.r(i6);
            }
        }
    }

    private void resolveShouldLayoutReverse() {
        this.f2924i = (this.f2920e == 1 || !isLayoutRTL()) ? this.f2923h : !this.f2923h;
    }

    private void s(RecyclerView.w wVar, RecyclerView.b0 b0Var, boolean z4) {
        int m5;
        int y5 = y(SubsamplingScaleImageView.TILE_SIZE_AUTO);
        if (y5 != Integer.MAX_VALUE && (m5 = y5 - this.f2918c.m()) > 0) {
            int scrollBy = m5 - scrollBy(m5, wVar, b0Var);
            if (z4 && scrollBy > 0) {
                this.f2918c.r(-scrollBy);
            }
        }
    }

    private int v(int i5) {
        int l5 = this.f2917b[0].l(i5);
        for (int i6 = 1; i6 < this.f2916a; i6++) {
            int l6 = this.f2917b[i6].l(i5);
            if (l6 > l5) {
                l5 = l6;
            }
        }
        return l5;
    }

    private int w(int i5) {
        int p5 = this.f2917b[0].p(i5);
        for (int i6 = 1; i6 < this.f2916a; i6++) {
            int p6 = this.f2917b[i6].p(i5);
            if (p6 > p5) {
                p5 = p6;
            }
        }
        return p5;
    }

    private int x(int i5) {
        int l5 = this.f2917b[0].l(i5);
        for (int i6 = 1; i6 < this.f2916a; i6++) {
            int l6 = this.f2917b[i6].l(i5);
            if (l6 < l5) {
                l5 = l6;
            }
        }
        return l5;
    }

    private int y(int i5) {
        int p5 = this.f2917b[0].p(i5);
        for (int i6 = 1; i6 < this.f2916a; i6++) {
            int p6 = this.f2917b[i6].p(i5);
            if (p6 < p5) {
                p5 = p6;
            }
        }
        return p5;
    }

    private f z(f fVar) {
        int i5;
        int i6;
        int i7 = -1;
        if (G(fVar.f3090e)) {
            i6 = this.f2916a - 1;
            i5 = -1;
        } else {
            i6 = 0;
            i7 = this.f2916a;
            i5 = 1;
        }
        f fVar2 = null;
        if (fVar.f3090e == 1) {
            int i8 = SubsamplingScaleImageView.TILE_SIZE_AUTO;
            int m5 = this.f2918c.m();
            while (i6 != i7) {
                f fVar3 = this.f2917b[i6];
                int l5 = fVar3.l(m5);
                if (l5 < i8) {
                    fVar2 = fVar3;
                    i8 = l5;
                }
                i6 += i5;
            }
            return fVar2;
        }
        int i9 = Integer.MIN_VALUE;
        int i10 = this.f2918c.i();
        while (i6 != i7) {
            f fVar4 = this.f2917b[i6];
            int p5 = fVar4.p(i10);
            if (p5 > i9) {
                fVar2 = fVar4;
                i9 = p5;
            }
            i6 += i5;
        }
        return fVar2;
    }

    /* access modifiers changed from: package-private */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x0074, code lost:
        if (r10 == r11) goto L_0x0088;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:32:0x0086, code lost:
        if (r10 == r11) goto L_0x0088;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:0x008a, code lost:
        r10 = false;
     */
    public View B() {
        int i5;
        int i6;
        int childCount = getChildCount() - 1;
        BitSet bitSet = new BitSet(this.f2916a);
        bitSet.set(0, this.f2916a, true);
        int i7 = -1;
        char c5 = (this.f2920e != 1 || !isLayoutRTL()) ? (char) 65535 : 1;
        if (this.f2924i) {
            i5 = -1;
        } else {
            i5 = childCount + 1;
            childCount = 0;
        }
        if (childCount < i5) {
            i7 = 1;
        }
        while (childCount != i5) {
            View childAt = getChildAt(childCount);
            c cVar = (c) childAt.getLayoutParams();
            if (bitSet.get(cVar.f2948e.f2970e)) {
                if (h(cVar.f2948e)) {
                    return childAt;
                }
                bitSet.clear(cVar.f2948e.f2970e);
            }
            if (!cVar.f2949f && (i6 = childCount + i7) != i5) {
                View childAt2 = getChildAt(i6);
                if (this.f2924i) {
                    int d5 = this.f2918c.d(childAt);
                    int d6 = this.f2918c.d(childAt2);
                    if (d5 < d6) {
                        return childAt;
                    }
                } else {
                    int g5 = this.f2918c.g(childAt);
                    int g6 = this.f2918c.g(childAt2);
                    if (g5 > g6) {
                        return childAt;
                    }
                }
                boolean z4 = true;
                if (!z4) {
                    continue;
                } else {
                    if ((cVar.f2948e.f2970e - ((c) childAt2.getLayoutParams()).f2948e.f2970e < 0) != (c5 < 0)) {
                        return childAt;
                    }
                }
            }
            childCount += i7;
        }
        return null;
    }

    public void C() {
        this.f2928m.b();
        requestLayout();
    }

    /* access modifiers changed from: package-private */
    public void H(int i5, RecyclerView.b0 b0Var) {
        int i6;
        int i7;
        if (i5 > 0) {
            i7 = u();
            i6 = 1;
        } else {
            i7 = t();
            i6 = -1;
        }
        this.f2922g.f3086a = true;
        T(i7, b0Var);
        N(i6);
        f fVar = this.f2922g;
        fVar.f3088c = i7 + fVar.f3089d;
        fVar.f3087b = Math.abs(i5);
    }

    public void O(int i5) {
        assertNotInLayoutOrScroll(null);
        if (i5 != this.f2916a) {
            C();
            this.f2916a = i5;
            this.f2925j = new BitSet(this.f2916a);
            this.f2917b = new f[this.f2916a];
            for (int i6 = 0; i6 < this.f2916a; i6++) {
                this.f2917b[i6] = new f(i6);
            }
            requestLayout();
        }
    }

    /* access modifiers changed from: package-private */
    public boolean R(RecyclerView.b0 b0Var, b bVar) {
        int i5;
        int i6;
        int i7;
        boolean z4 = false;
        if (!b0Var.e() && (i5 = this.f2926k) != -1) {
            if (i5 < 0 || i5 >= b0Var.b()) {
                this.f2926k = -1;
                this.f2927l = Integer.MIN_VALUE;
            } else {
                e eVar = this.f2932q;
                if (eVar == null || eVar.f2956e == -1 || eVar.f2958g < 1) {
                    View findViewByPosition = findViewByPosition(this.f2926k);
                    if (findViewByPosition != null) {
                        bVar.f2941a = this.f2924i ? u() : t();
                        if (this.f2927l != Integer.MIN_VALUE) {
                            if (bVar.f2943c) {
                                i7 = this.f2918c.i() - this.f2927l;
                                i6 = this.f2918c.d(findViewByPosition);
                            } else {
                                i7 = this.f2918c.m() + this.f2927l;
                                i6 = this.f2918c.g(findViewByPosition);
                            }
                            bVar.f2942b = i7 - i6;
                            return true;
                        } else if (this.f2918c.e(findViewByPosition) > this.f2918c.n()) {
                            bVar.f2942b = bVar.f2943c ? this.f2918c.i() : this.f2918c.m();
                            return true;
                        } else {
                            int g5 = this.f2918c.g(findViewByPosition) - this.f2918c.m();
                            if (g5 < 0) {
                                bVar.f2942b = -g5;
                                return true;
                            }
                            int i8 = this.f2918c.i() - this.f2918c.d(findViewByPosition);
                            if (i8 < 0) {
                                bVar.f2942b = i8;
                                return true;
                            }
                            bVar.f2942b = Integer.MIN_VALUE;
                        }
                    } else {
                        int i9 = this.f2926k;
                        bVar.f2941a = i9;
                        int i10 = this.f2927l;
                        if (i10 == Integer.MIN_VALUE) {
                            if (f(i9) == 1) {
                                z4 = true;
                            }
                            bVar.f2943c = z4;
                            bVar.a();
                        } else {
                            bVar.b(i10);
                        }
                        bVar.f2944d = true;
                    }
                } else {
                    bVar.f2942b = Integer.MIN_VALUE;
                    bVar.f2941a = this.f2926k;
                }
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: package-private */
    public void S(RecyclerView.b0 b0Var, b bVar) {
        if (!R(b0Var, bVar) && !Q(b0Var, bVar)) {
            bVar.a();
            bVar.f2941a = 0;
        }
    }

    /* access modifiers changed from: package-private */
    public void U(int i5) {
        this.f2921f = i5 / this.f2916a;
        this.f2933r = View.MeasureSpec.makeMeasureSpec(i5, this.f2919d.k());
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void assertNotInLayoutOrScroll(String str) {
        if (this.f2932q == null) {
            super.assertNotInLayoutOrScroll(str);
        }
    }

    /* access modifiers changed from: package-private */
    public boolean c() {
        int l5 = this.f2917b[0].l(Integer.MIN_VALUE);
        for (int i5 = 1; i5 < this.f2916a; i5++) {
            if (this.f2917b[i5].l(Integer.MIN_VALUE) != l5) {
                return false;
            }
        }
        return true;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public boolean canScrollHorizontally() {
        return this.f2920e == 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public boolean canScrollVertically() {
        return this.f2920e == 1;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public boolean checkLayoutParams(RecyclerView.q qVar) {
        return qVar instanceof c;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void collectAdjacentPrefetchPositions(int i5, int i6, RecyclerView.b0 b0Var, RecyclerView.p.c cVar) {
        int i7;
        int i8;
        if (this.f2920e != 0) {
            i5 = i6;
        }
        if (!(getChildCount() == 0 || i5 == 0)) {
            H(i5, b0Var);
            int[] iArr = this.f2938w;
            if (iArr == null || iArr.length < this.f2916a) {
                this.f2938w = new int[this.f2916a];
            }
            int i9 = 0;
            for (int i10 = 0; i10 < this.f2916a; i10++) {
                f fVar = this.f2922g;
                if (fVar.f3089d == -1) {
                    i8 = fVar.f3091f;
                    i7 = this.f2917b[i10].p(i8);
                } else {
                    i8 = this.f2917b[i10].l(fVar.f3092g);
                    i7 = this.f2922g.f3092g;
                }
                int i11 = i8 - i7;
                if (i11 >= 0) {
                    this.f2938w[i9] = i11;
                    i9++;
                }
            }
            Arrays.sort(this.f2938w, 0, i9);
            for (int i12 = 0; i12 < i9 && this.f2922g.a(b0Var); i12++) {
                cVar.a(this.f2922g.f3088c, this.f2938w[i12]);
                f fVar2 = this.f2922g;
                fVar2.f3088c += fVar2.f3089d;
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public int computeHorizontalScrollExtent(RecyclerView.b0 b0Var) {
        return computeScrollExtent(b0Var);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public int computeHorizontalScrollOffset(RecyclerView.b0 b0Var) {
        return computeScrollOffset(b0Var);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public int computeHorizontalScrollRange(RecyclerView.b0 b0Var) {
        return computeScrollRange(b0Var);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.a0.b
    public PointF computeScrollVectorForPosition(int i5) {
        int f5 = f(i5);
        PointF pointF = new PointF();
        if (f5 == 0) {
            return null;
        }
        if (this.f2920e == 0) {
            pointF.x = (float) f5;
            pointF.y = CropImageView.DEFAULT_ASPECT_RATIO;
        } else {
            pointF.x = CropImageView.DEFAULT_ASPECT_RATIO;
            pointF.y = (float) f5;
        }
        return pointF;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public int computeVerticalScrollExtent(RecyclerView.b0 b0Var) {
        return computeScrollExtent(b0Var);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public int computeVerticalScrollOffset(RecyclerView.b0 b0Var) {
        return computeScrollOffset(b0Var);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public int computeVerticalScrollRange(RecyclerView.b0 b0Var) {
        return computeScrollRange(b0Var);
    }

    /* access modifiers changed from: package-private */
    public boolean d() {
        int p5 = this.f2917b[0].p(Integer.MIN_VALUE);
        for (int i5 = 1; i5 < this.f2916a; i5++) {
            if (this.f2917b[i5].p(Integer.MIN_VALUE) != p5) {
                return false;
            }
        }
        return true;
    }

    /* access modifiers changed from: package-private */
    public boolean g() {
        int i5;
        int i6;
        if (getChildCount() == 0 || this.f2929n == 0 || !isAttachedToWindow()) {
            return false;
        }
        if (this.f2924i) {
            i6 = u();
            i5 = t();
        } else {
            i6 = t();
            i5 = u();
        }
        if (i6 == 0 && B() != null) {
            this.f2928m.b();
        } else if (!this.f2936u) {
            return false;
        } else {
            int i7 = this.f2924i ? -1 : 1;
            int i8 = i5 + 1;
            d.a e5 = this.f2928m.e(i6, i8, i7, true);
            if (e5 == null) {
                this.f2936u = false;
                this.f2928m.d(i8);
                return false;
            }
            d.a e6 = this.f2928m.e(i6, e5.f2952e, i7 * -1, true);
            if (e6 == null) {
                this.f2928m.d(e5.f2952e);
            } else {
                this.f2928m.d(e6.f2952e + 1);
            }
        }
        requestSimpleAnimationsInNextLayout();
        requestLayout();
        return true;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public RecyclerView.q generateDefaultLayoutParams() {
        return this.f2920e == 0 ? new c(-2, -1) : new c(-1, -2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public RecyclerView.q generateLayoutParams(Context context, AttributeSet attributeSet) {
        return new c(context, attributeSet);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public RecyclerView.q generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        return layoutParams instanceof ViewGroup.MarginLayoutParams ? new c((ViewGroup.MarginLayoutParams) layoutParams) : new c(layoutParams);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public boolean isAutoMeasureEnabled() {
        return this.f2929n != 0;
    }

    /* access modifiers changed from: package-private */
    public boolean isLayoutRTL() {
        return getLayoutDirection() == 1;
    }

    /* access modifiers changed from: package-private */
    public View n(boolean z4) {
        int m5 = this.f2918c.m();
        int i5 = this.f2918c.i();
        View view = null;
        for (int childCount = getChildCount() - 1; childCount >= 0; childCount--) {
            View childAt = getChildAt(childCount);
            int g5 = this.f2918c.g(childAt);
            int d5 = this.f2918c.d(childAt);
            if (d5 > m5 && g5 < i5) {
                if (d5 <= i5 || !z4) {
                    return childAt;
                }
                if (view == null) {
                    view = childAt;
                }
            }
        }
        return view;
    }

    /* access modifiers changed from: package-private */
    public View o(boolean z4) {
        int m5 = this.f2918c.m();
        int i5 = this.f2918c.i();
        int childCount = getChildCount();
        View view = null;
        for (int i6 = 0; i6 < childCount; i6++) {
            View childAt = getChildAt(i6);
            int g5 = this.f2918c.g(childAt);
            if (this.f2918c.d(childAt) > m5 && g5 < i5) {
                if (g5 >= m5 || !z4) {
                    return childAt;
                }
                if (view == null) {
                    view = childAt;
                }
            }
        }
        return view;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void offsetChildrenHorizontal(int i5) {
        super.offsetChildrenHorizontal(i5);
        for (int i6 = 0; i6 < this.f2916a; i6++) {
            this.f2917b[i6].r(i5);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void offsetChildrenVertical(int i5) {
        super.offsetChildrenVertical(i5);
        for (int i6 = 0; i6 < this.f2916a; i6++) {
            this.f2917b[i6].r(i5);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onAdapterChanged(RecyclerView.h hVar, RecyclerView.h hVar2) {
        this.f2928m.b();
        for (int i5 = 0; i5 < this.f2916a; i5++) {
            this.f2917b[i5].e();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onDetachedFromWindow(RecyclerView recyclerView, RecyclerView.w wVar) {
        super.onDetachedFromWindow(recyclerView, wVar);
        removeCallbacks(this.f2939x);
        for (int i5 = 0; i5 < this.f2916a; i5++) {
            this.f2917b[i5].e();
        }
        recyclerView.requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public View onFocusSearchFailed(View view, int i5, RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        View findContainingItemView;
        View m5;
        if (getChildCount() == 0 || (findContainingItemView = findContainingItemView(view)) == null) {
            return null;
        }
        resolveShouldLayoutReverse();
        int convertFocusDirectionToLayoutDirection = convertFocusDirectionToLayoutDirection(i5);
        if (convertFocusDirectionToLayoutDirection == Integer.MIN_VALUE) {
            return null;
        }
        c cVar = (c) findContainingItemView.getLayoutParams();
        boolean z4 = cVar.f2949f;
        f fVar = cVar.f2948e;
        int u5 = convertFocusDirectionToLayoutDirection == 1 ? u() : t();
        T(u5, b0Var);
        N(convertFocusDirectionToLayoutDirection);
        f fVar2 = this.f2922g;
        fVar2.f3088c = fVar2.f3089d + u5;
        fVar2.f3087b = (int) (((float) this.f2918c.n()) * 0.33333334f);
        f fVar3 = this.f2922g;
        fVar3.f3093h = true;
        fVar3.f3086a = false;
        l(wVar, fVar3, b0Var);
        this.f2930o = this.f2924i;
        if (!(z4 || (m5 = fVar.m(u5, convertFocusDirectionToLayoutDirection)) == null || m5 == findContainingItemView)) {
            return m5;
        }
        if (G(convertFocusDirectionToLayoutDirection)) {
            for (int i6 = this.f2916a - 1; i6 >= 0; i6--) {
                View m6 = this.f2917b[i6].m(u5, convertFocusDirectionToLayoutDirection);
                if (!(m6 == null || m6 == findContainingItemView)) {
                    return m6;
                }
            }
        } else {
            for (int i7 = 0; i7 < this.f2916a; i7++) {
                View m7 = this.f2917b[i7].m(u5, convertFocusDirectionToLayoutDirection);
                if (!(m7 == null || m7 == findContainingItemView)) {
                    return m7;
                }
            }
        }
        boolean z5 = (this.f2923h ^ true) == (convertFocusDirectionToLayoutDirection == -1);
        if (!z4) {
            View findViewByPosition = findViewByPosition(z5 ? fVar.f() : fVar.g());
            if (!(findViewByPosition == null || findViewByPosition == findContainingItemView)) {
                return findViewByPosition;
            }
        }
        if (G(convertFocusDirectionToLayoutDirection)) {
            for (int i8 = this.f2916a - 1; i8 >= 0; i8--) {
                if (i8 != fVar.f2970e) {
                    f[] fVarArr = this.f2917b;
                    View findViewByPosition2 = findViewByPosition(z5 ? fVarArr[i8].f() : fVarArr[i8].g());
                    if (!(findViewByPosition2 == null || findViewByPosition2 == findContainingItemView)) {
                        return findViewByPosition2;
                    }
                }
            }
        } else {
            for (int i9 = 0; i9 < this.f2916a; i9++) {
                f[] fVarArr2 = this.f2917b;
                View findViewByPosition3 = findViewByPosition(z5 ? fVarArr2[i9].f() : fVarArr2[i9].g());
                if (!(findViewByPosition3 == null || findViewByPosition3 == findContainingItemView)) {
                    return findViewByPosition3;
                }
            }
        }
        return null;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onInitializeAccessibilityEvent(AccessibilityEvent accessibilityEvent) {
        super.onInitializeAccessibilityEvent(accessibilityEvent);
        if (getChildCount() > 0) {
            View o5 = o(false);
            View n5 = n(false);
            if (o5 != null && n5 != null) {
                int position = getPosition(o5);
                int position2 = getPosition(n5);
                if (position < position2) {
                    accessibilityEvent.setFromIndex(position);
                    accessibilityEvent.setToIndex(position2);
                    return;
                }
                accessibilityEvent.setFromIndex(position2);
                accessibilityEvent.setToIndex(position);
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onItemsAdded(RecyclerView recyclerView, int i5, int i6) {
        A(i5, i6, 1);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onItemsChanged(RecyclerView recyclerView) {
        this.f2928m.b();
        requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onItemsMoved(RecyclerView recyclerView, int i5, int i6, int i7) {
        A(i5, i6, 8);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onItemsRemoved(RecyclerView recyclerView, int i5, int i6) {
        A(i5, i6, 2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onItemsUpdated(RecyclerView recyclerView, int i5, int i6, Object obj) {
        A(i5, i6, 4);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onLayoutChildren(RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        F(wVar, b0Var, true);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onLayoutCompleted(RecyclerView.b0 b0Var) {
        super.onLayoutCompleted(b0Var);
        this.f2926k = -1;
        this.f2927l = Integer.MIN_VALUE;
        this.f2932q = null;
        this.f2935t.c();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (parcelable instanceof e) {
            e eVar = (e) parcelable;
            this.f2932q = eVar;
            if (this.f2926k != -1) {
                eVar.a();
                this.f2932q.b();
            }
            requestLayout();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public Parcelable onSaveInstanceState() {
        int i5;
        int i6;
        int[] iArr;
        if (this.f2932q != null) {
            return new e(this.f2932q);
        }
        e eVar = new e();
        eVar.f2963l = this.f2923h;
        eVar.f2964m = this.f2930o;
        eVar.f2965n = this.f2931p;
        d dVar = this.f2928m;
        if (dVar == null || (iArr = dVar.f2950a) == null) {
            eVar.f2960i = 0;
        } else {
            eVar.f2961j = iArr;
            eVar.f2960i = iArr.length;
            eVar.f2962k = dVar.f2951b;
        }
        if (getChildCount() > 0) {
            eVar.f2956e = this.f2930o ? u() : t();
            eVar.f2957f = p();
            int i7 = this.f2916a;
            eVar.f2958g = i7;
            eVar.f2959h = new int[i7];
            for (int i8 = 0; i8 < this.f2916a; i8++) {
                if (this.f2930o) {
                    i5 = this.f2917b[i8].l(Integer.MIN_VALUE);
                    if (i5 != Integer.MIN_VALUE) {
                        i6 = this.f2918c.i();
                    } else {
                        eVar.f2959h[i8] = i5;
                    }
                } else {
                    i5 = this.f2917b[i8].p(Integer.MIN_VALUE);
                    if (i5 != Integer.MIN_VALUE) {
                        i6 = this.f2918c.m();
                    } else {
                        eVar.f2959h[i8] = i5;
                    }
                }
                i5 -= i6;
                eVar.f2959h[i8] = i5;
            }
        } else {
            eVar.f2956e = -1;
            eVar.f2957f = -1;
            eVar.f2958g = 0;
        }
        return eVar;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void onScrollStateChanged(int i5) {
        if (i5 == 0) {
            g();
        }
    }

    /* access modifiers changed from: package-private */
    public int p() {
        View n5 = this.f2924i ? n(true) : o(true);
        if (n5 == null) {
            return -1;
        }
        return getPosition(n5);
    }

    /* access modifiers changed from: package-private */
    public int scrollBy(int i5, RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        if (getChildCount() == 0 || i5 == 0) {
            return 0;
        }
        H(i5, b0Var);
        int l5 = l(wVar, this.f2922g, b0Var);
        if (this.f2922g.f3087b >= l5) {
            i5 = i5 < 0 ? -l5 : l5;
        }
        this.f2918c.r(-i5);
        this.f2930o = this.f2924i;
        f fVar = this.f2922g;
        fVar.f3087b = 0;
        J(wVar, fVar);
        return i5;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public int scrollHorizontallyBy(int i5, RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        return scrollBy(i5, wVar, b0Var);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void scrollToPosition(int i5) {
        e eVar = this.f2932q;
        if (!(eVar == null || eVar.f2956e == i5)) {
            eVar.a();
        }
        this.f2926k = i5;
        this.f2927l = Integer.MIN_VALUE;
        requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public int scrollVerticallyBy(int i5, RecyclerView.w wVar, RecyclerView.b0 b0Var) {
        return scrollBy(i5, wVar, b0Var);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void setMeasuredDimension(Rect rect, int i5, int i6) {
        int i7;
        int i8;
        int paddingLeft = getPaddingLeft() + getPaddingRight();
        int paddingTop = getPaddingTop() + getPaddingBottom();
        if (this.f2920e == 1) {
            i8 = RecyclerView.p.chooseSize(i6, rect.height() + paddingTop, getMinimumHeight());
            i7 = RecyclerView.p.chooseSize(i5, (this.f2921f * this.f2916a) + paddingLeft, getMinimumWidth());
        } else {
            i7 = RecyclerView.p.chooseSize(i5, rect.width() + paddingLeft, getMinimumWidth());
            i8 = RecyclerView.p.chooseSize(i6, (this.f2921f * this.f2916a) + paddingTop, getMinimumHeight());
        }
        setMeasuredDimension(i7, i8);
    }

    public void setOrientation(int i5) {
        if (i5 == 0 || i5 == 1) {
            assertNotInLayoutOrScroll(null);
            if (i5 != this.f2920e) {
                this.f2920e = i5;
                i iVar = this.f2918c;
                this.f2918c = this.f2919d;
                this.f2919d = iVar;
                requestLayout();
                return;
            }
            return;
        }
        throw new IllegalArgumentException("invalid orientation.");
    }

    public void setReverseLayout(boolean z4) {
        assertNotInLayoutOrScroll(null);
        e eVar = this.f2932q;
        if (!(eVar == null || eVar.f2963l == z4)) {
            eVar.f2963l = z4;
        }
        this.f2923h = z4;
        requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public void smoothScrollToPosition(RecyclerView recyclerView, RecyclerView.b0 b0Var, int i5) {
        g gVar = new g(recyclerView.getContext());
        gVar.p(i5);
        startSmoothScroll(gVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.p
    public boolean supportsPredictiveItemAnimations() {
        return this.f2932q == null;
    }

    /* access modifiers changed from: package-private */
    public int t() {
        if (getChildCount() == 0) {
            return 0;
        }
        return getPosition(getChildAt(0));
    }

    /* access modifiers changed from: package-private */
    public int u() {
        int childCount = getChildCount();
        if (childCount == 0) {
            return 0;
        }
        return getPosition(getChildAt(childCount - 1));
    }
}
