package androidx.vectordrawable.graphics.drawable;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.animation.ArgbEvaluator;
import android.animation.ObjectAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.Region;
import android.graphics.drawable.Animatable;
import android.graphics.drawable.AnimatedVectorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.util.AttributeSet;
import java.util.ArrayList;
import org.xmlpull.v1.XmlPullParser;
import x.i;

public class c extends h implements Animatable {

    /* renamed from: f  reason: collision with root package name */
    private b f3153f;

    /* renamed from: g  reason: collision with root package name */
    private Context f3154g;

    /* renamed from: h  reason: collision with root package name */
    private ArgbEvaluator f3155h;

    /* renamed from: i  reason: collision with root package name */
    private Animator.AnimatorListener f3156i;

    /* renamed from: j  reason: collision with root package name */
    ArrayList<b> f3157j;

    /* renamed from: k  reason: collision with root package name */
    final Drawable.Callback f3158k;

    class a implements Drawable.Callback {
        a() {
        }

        public void invalidateDrawable(Drawable drawable) {
            c.this.invalidateSelf();
        }

        public void scheduleDrawable(Drawable drawable, Runnable runnable, long j5) {
            c.this.scheduleSelf(runnable, j5);
        }

        public void unscheduleDrawable(Drawable drawable, Runnable runnable) {
            c.this.unscheduleSelf(runnable);
        }
    }

    /* access modifiers changed from: private */
    public static class b extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        int f3160a;

        /* renamed from: b  reason: collision with root package name */
        i f3161b;

        /* renamed from: c  reason: collision with root package name */
        AnimatorSet f3162c;

        /* renamed from: d  reason: collision with root package name */
        ArrayList<Animator> f3163d;

        /* renamed from: e  reason: collision with root package name */
        v.a<Animator, String> f3164e;

        public b(Context context, b bVar, Drawable.Callback callback, Resources resources) {
            if (bVar != null) {
                this.f3160a = bVar.f3160a;
                i iVar = bVar.f3161b;
                if (iVar != null) {
                    Drawable.ConstantState constantState = iVar.getConstantState();
                    this.f3161b = (i) (resources != null ? constantState.newDrawable(resources) : constantState.newDrawable());
                    i iVar2 = (i) this.f3161b.mutate();
                    this.f3161b = iVar2;
                    iVar2.setCallback(callback);
                    this.f3161b.setBounds(bVar.f3161b.getBounds());
                    this.f3161b.h(false);
                }
                ArrayList<Animator> arrayList = bVar.f3163d;
                if (arrayList != null) {
                    int size = arrayList.size();
                    this.f3163d = new ArrayList<>(size);
                    this.f3164e = new v.a<>(size);
                    for (int i5 = 0; i5 < size; i5++) {
                        Animator animator = bVar.f3163d.get(i5);
                        Animator clone = animator.clone();
                        String str = bVar.f3164e.get(animator);
                        clone.setTarget(this.f3161b.d(str));
                        this.f3163d.add(clone);
                        this.f3164e.put(clone, str);
                    }
                    a();
                }
            }
        }

        public void a() {
            if (this.f3162c == null) {
                this.f3162c = new AnimatorSet();
            }
            this.f3162c.playTogether(this.f3163d);
        }

        public int getChangingConfigurations() {
            return this.f3160a;
        }

        public Drawable newDrawable() {
            throw new IllegalStateException("No constant state support for SDK < 24.");
        }

        public Drawable newDrawable(Resources resources) {
            throw new IllegalStateException("No constant state support for SDK < 24.");
        }
    }

    /* renamed from: androidx.vectordrawable.graphics.drawable.c$c  reason: collision with other inner class name */
    private static class C0041c extends Drawable.ConstantState {

        /* renamed from: a  reason: collision with root package name */
        private final Drawable.ConstantState f3165a;

        public C0041c(Drawable.ConstantState constantState) {
            this.f3165a = constantState;
        }

        public boolean canApplyTheme() {
            return this.f3165a.canApplyTheme();
        }

        public int getChangingConfigurations() {
            return this.f3165a.getChangingConfigurations();
        }

        public Drawable newDrawable() {
            c cVar = new c();
            Drawable newDrawable = this.f3165a.newDrawable();
            cVar.f3170e = newDrawable;
            newDrawable.setCallback(cVar.f3158k);
            return cVar;
        }

        public Drawable newDrawable(Resources resources) {
            c cVar = new c();
            Drawable newDrawable = this.f3165a.newDrawable(resources);
            cVar.f3170e = newDrawable;
            newDrawable.setCallback(cVar.f3158k);
            return cVar;
        }

        public Drawable newDrawable(Resources resources, Resources.Theme theme) {
            c cVar = new c();
            Drawable newDrawable = this.f3165a.newDrawable(resources, theme);
            cVar.f3170e = newDrawable;
            newDrawable.setCallback(cVar.f3158k);
            return cVar;
        }
    }

    c() {
        this(null, null, null);
    }

    private c(Context context) {
        this(context, null, null);
    }

    private c(Context context, b bVar, Resources resources) {
        this.f3155h = null;
        this.f3156i = null;
        this.f3157j = null;
        a aVar = new a();
        this.f3158k = aVar;
        this.f3154g = context;
        if (bVar != null) {
            this.f3153f = bVar;
        } else {
            this.f3153f = new b(context, bVar, aVar, resources);
        }
    }

    public static c a(Context context, Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        c cVar = new c(context);
        cVar.inflate(resources, xmlPullParser, attributeSet, theme);
        return cVar;
    }

    private void b(String str, Animator animator) {
        animator.setTarget(this.f3153f.f3161b.d(str));
        if (Build.VERSION.SDK_INT < 21) {
            c(animator);
        }
        b bVar = this.f3153f;
        if (bVar.f3163d == null) {
            bVar.f3163d = new ArrayList<>();
            this.f3153f.f3164e = new v.a<>();
        }
        this.f3153f.f3163d.add(animator);
        this.f3153f.f3164e.put(animator, str);
    }

    private void c(Animator animator) {
        ArrayList<Animator> childAnimations;
        if ((animator instanceof AnimatorSet) && (childAnimations = ((AnimatorSet) animator).getChildAnimations()) != null) {
            for (int i5 = 0; i5 < childAnimations.size(); i5++) {
                c(childAnimations.get(i5));
            }
        }
        if (animator instanceof ObjectAnimator) {
            ObjectAnimator objectAnimator = (ObjectAnimator) animator;
            String propertyName = objectAnimator.getPropertyName();
            if ("fillColor".equals(propertyName) || "strokeColor".equals(propertyName)) {
                if (this.f3155h == null) {
                    this.f3155h = new ArgbEvaluator();
                }
                objectAnimator.setEvaluator(this.f3155h);
            }
        }
    }

    @Override // androidx.vectordrawable.graphics.drawable.h
    public void applyTheme(Resources.Theme theme) {
        Drawable drawable = this.f3170e;
        if (drawable != null) {
            z.a.a(drawable, theme);
        }
    }

    public boolean canApplyTheme() {
        Drawable drawable = this.f3170e;
        if (drawable != null) {
            return z.a.b(drawable);
        }
        return false;
    }

    @Override // androidx.vectordrawable.graphics.drawable.h
    public /* bridge */ /* synthetic */ void clearColorFilter() {
        super.clearColorFilter();
    }

    public void draw(Canvas canvas) {
        Drawable drawable = this.f3170e;
        if (drawable != null) {
            drawable.draw(canvas);
            return;
        }
        this.f3153f.f3161b.draw(canvas);
        if (this.f3153f.f3162c.isStarted()) {
            invalidateSelf();
        }
    }

    public int getAlpha() {
        Drawable drawable = this.f3170e;
        return drawable != null ? z.a.c(drawable) : this.f3153f.f3161b.getAlpha();
    }

    public int getChangingConfigurations() {
        Drawable drawable = this.f3170e;
        return drawable != null ? drawable.getChangingConfigurations() : super.getChangingConfigurations() | this.f3153f.f3160a;
    }

    public ColorFilter getColorFilter() {
        Drawable drawable = this.f3170e;
        return drawable != null ? z.a.d(drawable) : this.f3153f.f3161b.getColorFilter();
    }

    public Drawable.ConstantState getConstantState() {
        if (this.f3170e == null || Build.VERSION.SDK_INT < 24) {
            return null;
        }
        return new C0041c(this.f3170e.getConstantState());
    }

    @Override // androidx.vectordrawable.graphics.drawable.h
    public /* bridge */ /* synthetic */ Drawable getCurrent() {
        return super.getCurrent();
    }

    public int getIntrinsicHeight() {
        Drawable drawable = this.f3170e;
        return drawable != null ? drawable.getIntrinsicHeight() : this.f3153f.f3161b.getIntrinsicHeight();
    }

    public int getIntrinsicWidth() {
        Drawable drawable = this.f3170e;
        return drawable != null ? drawable.getIntrinsicWidth() : this.f3153f.f3161b.getIntrinsicWidth();
    }

    @Override // androidx.vectordrawable.graphics.drawable.h
    public /* bridge */ /* synthetic */ int getMinimumHeight() {
        return super.getMinimumHeight();
    }

    @Override // androidx.vectordrawable.graphics.drawable.h
    public /* bridge */ /* synthetic */ int getMinimumWidth() {
        return super.getMinimumWidth();
    }

    public int getOpacity() {
        Drawable drawable = this.f3170e;
        return drawable != null ? drawable.getOpacity() : this.f3153f.f3161b.getOpacity();
    }

    @Override // androidx.vectordrawable.graphics.drawable.h
    public /* bridge */ /* synthetic */ boolean getPadding(Rect rect) {
        return super.getPadding(rect);
    }

    @Override // androidx.vectordrawable.graphics.drawable.h
    public /* bridge */ /* synthetic */ int[] getState() {
        return super.getState();
    }

    @Override // androidx.vectordrawable.graphics.drawable.h
    public /* bridge */ /* synthetic */ Region getTransparentRegion() {
        return super.getTransparentRegion();
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet) {
        inflate(resources, xmlPullParser, attributeSet, null);
    }

    @Override // android.graphics.drawable.Drawable
    public void inflate(Resources resources, XmlPullParser xmlPullParser, AttributeSet attributeSet, Resources.Theme theme) {
        TypedArray obtainAttributes;
        Drawable drawable = this.f3170e;
        if (drawable != null) {
            z.a.f(drawable, resources, xmlPullParser, attributeSet, theme);
            return;
        }
        int eventType = xmlPullParser.getEventType();
        int depth = xmlPullParser.getDepth() + 1;
        while (eventType != 1 && (xmlPullParser.getDepth() >= depth || eventType != 3)) {
            if (eventType == 2) {
                String name = xmlPullParser.getName();
                if ("animated-vector".equals(name)) {
                    obtainAttributes = i.k(resources, theme, attributeSet, a.f3145e);
                    int resourceId = obtainAttributes.getResourceId(0, 0);
                    if (resourceId != 0) {
                        i b5 = i.b(resources, resourceId, theme);
                        b5.h(false);
                        b5.setCallback(this.f3158k);
                        i iVar = this.f3153f.f3161b;
                        if (iVar != null) {
                            iVar.setCallback(null);
                        }
                        this.f3153f.f3161b = b5;
                    }
                } else if ("target".equals(name)) {
                    obtainAttributes = resources.obtainAttributes(attributeSet, a.f3146f);
                    String string = obtainAttributes.getString(0);
                    int resourceId2 = obtainAttributes.getResourceId(1, 0);
                    if (resourceId2 != 0) {
                        Context context = this.f3154g;
                        if (context != null) {
                            b(string, e.i(context, resourceId2));
                        } else {
                            obtainAttributes.recycle();
                            throw new IllegalStateException("Context can't be null when inflating animators");
                        }
                    }
                } else {
                    continue;
                }
                obtainAttributes.recycle();
            }
            eventType = xmlPullParser.next();
        }
        this.f3153f.a();
    }

    public boolean isAutoMirrored() {
        Drawable drawable = this.f3170e;
        return drawable != null ? z.a.g(drawable) : this.f3153f.f3161b.isAutoMirrored();
    }

    public boolean isRunning() {
        Drawable drawable = this.f3170e;
        return drawable != null ? ((AnimatedVectorDrawable) drawable).isRunning() : this.f3153f.f3162c.isRunning();
    }

    public boolean isStateful() {
        Drawable drawable = this.f3170e;
        return drawable != null ? drawable.isStateful() : this.f3153f.f3161b.isStateful();
    }

    @Override // androidx.vectordrawable.graphics.drawable.h
    public /* bridge */ /* synthetic */ void jumpToCurrentState() {
        super.jumpToCurrentState();
    }

    public Drawable mutate() {
        Drawable drawable = this.f3170e;
        if (drawable != null) {
            drawable.mutate();
        }
        return this;
    }

    /* access modifiers changed from: protected */
    public void onBoundsChange(Rect rect) {
        Drawable drawable = this.f3170e;
        if (drawable != null) {
            drawable.setBounds(rect);
        } else {
            this.f3153f.f3161b.setBounds(rect);
        }
    }

    /* access modifiers changed from: protected */
    @Override // androidx.vectordrawable.graphics.drawable.h
    public boolean onLevelChange(int i5) {
        Drawable drawable = this.f3170e;
        return drawable != null ? drawable.setLevel(i5) : this.f3153f.f3161b.setLevel(i5);
    }

    /* access modifiers changed from: protected */
    public boolean onStateChange(int[] iArr) {
        Drawable drawable = this.f3170e;
        return drawable != null ? drawable.setState(iArr) : this.f3153f.f3161b.setState(iArr);
    }

    public void setAlpha(int i5) {
        Drawable drawable = this.f3170e;
        if (drawable != null) {
            drawable.setAlpha(i5);
        } else {
            this.f3153f.f3161b.setAlpha(i5);
        }
    }

    public void setAutoMirrored(boolean z4) {
        Drawable drawable = this.f3170e;
        if (drawable != null) {
            z.a.i(drawable, z4);
        } else {
            this.f3153f.f3161b.setAutoMirrored(z4);
        }
    }

    @Override // androidx.vectordrawable.graphics.drawable.h
    public /* bridge */ /* synthetic */ void setChangingConfigurations(int i5) {
        super.setChangingConfigurations(i5);
    }

    @Override // androidx.vectordrawable.graphics.drawable.h
    public /* bridge */ /* synthetic */ void setColorFilter(int i5, PorterDuff.Mode mode) {
        super.setColorFilter(i5, mode);
    }

    public void setColorFilter(ColorFilter colorFilter) {
        Drawable drawable = this.f3170e;
        if (drawable != null) {
            drawable.setColorFilter(colorFilter);
        } else {
            this.f3153f.f3161b.setColorFilter(colorFilter);
        }
    }

    @Override // androidx.vectordrawable.graphics.drawable.h
    public /* bridge */ /* synthetic */ void setFilterBitmap(boolean z4) {
        super.setFilterBitmap(z4);
    }

    @Override // androidx.vectordrawable.graphics.drawable.h
    public /* bridge */ /* synthetic */ void setHotspot(float f5, float f6) {
        super.setHotspot(f5, f6);
    }

    @Override // androidx.vectordrawable.graphics.drawable.h
    public /* bridge */ /* synthetic */ void setHotspotBounds(int i5, int i6, int i7, int i8) {
        super.setHotspotBounds(i5, i6, i7, i8);
    }

    @Override // androidx.vectordrawable.graphics.drawable.h
    public /* bridge */ /* synthetic */ boolean setState(int[] iArr) {
        return super.setState(iArr);
    }

    @Override // z.e
    public void setTint(int i5) {
        Drawable drawable = this.f3170e;
        if (drawable != null) {
            z.a.m(drawable, i5);
        } else {
            this.f3153f.f3161b.setTint(i5);
        }
    }

    @Override // z.e
    public void setTintList(ColorStateList colorStateList) {
        Drawable drawable = this.f3170e;
        if (drawable != null) {
            z.a.n(drawable, colorStateList);
        } else {
            this.f3153f.f3161b.setTintList(colorStateList);
        }
    }

    @Override // z.e
    public void setTintMode(PorterDuff.Mode mode) {
        Drawable drawable = this.f3170e;
        if (drawable != null) {
            z.a.o(drawable, mode);
        } else {
            this.f3153f.f3161b.setTintMode(mode);
        }
    }

    public boolean setVisible(boolean z4, boolean z5) {
        Drawable drawable = this.f3170e;
        if (drawable != null) {
            return drawable.setVisible(z4, z5);
        }
        this.f3153f.f3161b.setVisible(z4, z5);
        return super.setVisible(z4, z5);
    }

    public void start() {
        Drawable drawable = this.f3170e;
        if (drawable != null) {
            ((AnimatedVectorDrawable) drawable).start();
        } else if (!this.f3153f.f3162c.isStarted()) {
            this.f3153f.f3162c.start();
            invalidateSelf();
        }
    }

    public void stop() {
        Drawable drawable = this.f3170e;
        if (drawable != null) {
            ((AnimatedVectorDrawable) drawable).stop();
        } else {
            this.f3153f.f3162c.end();
        }
    }
}
