package androidx.vectordrawable.graphics.drawable;

import android.animation.Animator;
import android.animation.AnimatorInflater;
import android.animation.AnimatorSet;
import android.animation.Keyframe;
import android.animation.ObjectAnimator;
import android.animation.PropertyValuesHolder;
import android.animation.TypeEvaluator;
import android.animation.ValueAnimator;
import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.content.res.XmlResourceParser;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.os.Build;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.util.Xml;
import android.view.InflateException;
import com.yalantis.ucrop.view.CropImageView;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;
import x.i;
import y.g;

public class e {

    /* access modifiers changed from: private */
    public static class a implements TypeEvaluator<g.b[]> {

        /* renamed from: a  reason: collision with root package name */
        private g.b[] f3166a;

        a() {
        }

        /* renamed from: a */
        public g.b[] evaluate(float f5, g.b[] bVarArr, g.b[] bVarArr2) {
            if (g.b(bVarArr, bVarArr2)) {
                if (!g.b(this.f3166a, bVarArr)) {
                    this.f3166a = g.f(bVarArr);
                }
                for (int i5 = 0; i5 < bVarArr.length; i5++) {
                    this.f3166a[i5].d(bVarArr[i5], bVarArr2[i5], f5);
                }
                return this.f3166a;
            }
            throw new IllegalArgumentException("Can't interpolate between two incompatible pathData");
        }
    }

    private static Animator a(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, float f5) {
        return b(context, resources, theme, xmlPullParser, Xml.asAttributeSet(xmlPullParser), null, 0, f5);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r15v0, resolved type: android.animation.AnimatorSet */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARNING: Removed duplicated region for block: B:30:0x00b8  */
    private static Animator b(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, AttributeSet attributeSet, AnimatorSet animatorSet, int i5, float f5) {
        int i6;
        int depth = xmlPullParser.getDepth();
        ValueAnimator valueAnimator = null;
        ArrayList arrayList = null;
        while (true) {
            int next = xmlPullParser.next();
            i6 = 0;
            if ((next != 3 || xmlPullParser.getDepth() > depth) && next != 1) {
                if (next == 2) {
                    String name = xmlPullParser.getName();
                    if (name.equals("objectAnimator")) {
                        valueAnimator = n(context, resources, theme, attributeSet, f5, xmlPullParser);
                    } else if (name.equals("animator")) {
                        valueAnimator = l(context, resources, theme, attributeSet, null, f5, xmlPullParser);
                    } else {
                        if (name.equals("set")) {
                            AnimatorSet animatorSet2 = new AnimatorSet();
                            TypedArray k5 = i.k(resources, theme, attributeSet, a.f3148h);
                            b(context, resources, theme, xmlPullParser, attributeSet, animatorSet2, i.g(k5, xmlPullParser, "ordering", 0, 0), f5);
                            k5.recycle();
                            valueAnimator = animatorSet2;
                        } else if (name.equals("propertyValuesHolder")) {
                            PropertyValuesHolder[] p5 = p(context, resources, theme, xmlPullParser, Xml.asAttributeSet(xmlPullParser));
                            if (p5 != null && (valueAnimator instanceof ValueAnimator)) {
                                valueAnimator.setValues(p5);
                            }
                            i6 = 1;
                        } else {
                            throw new RuntimeException("Unknown animator name: " + xmlPullParser.getName());
                        }
                        if (animatorSet != null && i6 == 0) {
                            if (arrayList == null) {
                                arrayList = new ArrayList();
                            }
                            arrayList.add(valueAnimator);
                        }
                    }
                    if (arrayList == null) {
                    }
                    arrayList.add(valueAnimator);
                }
            }
        }
        if (!(animatorSet == null || arrayList == null)) {
            Animator[] animatorArr = new Animator[arrayList.size()];
            Iterator it = arrayList.iterator();
            while (it.hasNext()) {
                animatorArr[i6] = (Animator) it.next();
                i6++;
            }
            if (i5 == 0) {
                animatorSet.playTogether(animatorArr);
            } else {
                animatorSet.playSequentially(animatorArr);
            }
        }
        return valueAnimator;
    }

    private static Keyframe c(Keyframe keyframe, float f5) {
        return keyframe.getType() == Float.TYPE ? Keyframe.ofFloat(f5) : keyframe.getType() == Integer.TYPE ? Keyframe.ofInt(f5) : Keyframe.ofObject(f5);
    }

    private static void d(Keyframe[] keyframeArr, float f5, int i5, int i6) {
        float f6 = f5 / ((float) ((i6 - i5) + 2));
        while (i5 <= i6) {
            keyframeArr[i5].setFraction(keyframeArr[i5 - 1].getFraction() + f6);
            i5++;
        }
    }

    private static PropertyValuesHolder e(TypedArray typedArray, int i5, int i6, int i7, String str) {
        PropertyValuesHolder propertyValuesHolder;
        PropertyValuesHolder propertyValuesHolder2;
        TypedValue peekValue = typedArray.peekValue(i6);
        boolean z4 = peekValue != null;
        int i8 = z4 ? peekValue.type : 0;
        TypedValue peekValue2 = typedArray.peekValue(i7);
        boolean z5 = peekValue2 != null;
        int i9 = z5 ? peekValue2.type : 0;
        if (i5 == 4) {
            i5 = ((!z4 || !h(i8)) && (!z5 || !h(i9))) ? 0 : 3;
        }
        boolean z6 = i5 == 0;
        PropertyValuesHolder propertyValuesHolder3 = null;
        if (i5 == 2) {
            String string = typedArray.getString(i6);
            String string2 = typedArray.getString(i7);
            g.b[] d5 = g.d(string);
            g.b[] d6 = g.d(string2);
            if (d5 == null && d6 == null) {
                return null;
            }
            if (d5 != null) {
                a aVar = new a();
                if (d6 == null) {
                    propertyValuesHolder2 = PropertyValuesHolder.ofObject(str, aVar, d5);
                } else if (g.b(d5, d6)) {
                    propertyValuesHolder2 = PropertyValuesHolder.ofObject(str, aVar, d5, d6);
                } else {
                    throw new InflateException(" Can't morph from " + string + " to " + string2);
                }
                return propertyValuesHolder2;
            } else if (d6 == null) {
                return null;
            } else {
                return PropertyValuesHolder.ofObject(str, new a(), d6);
            }
        } else {
            f a5 = i5 == 3 ? f.a() : null;
            if (z6) {
                if (z4) {
                    float dimension = i8 == 5 ? typedArray.getDimension(i6, CropImageView.DEFAULT_ASPECT_RATIO) : typedArray.getFloat(i6, CropImageView.DEFAULT_ASPECT_RATIO);
                    if (z5) {
                        propertyValuesHolder = PropertyValuesHolder.ofFloat(str, dimension, i9 == 5 ? typedArray.getDimension(i7, CropImageView.DEFAULT_ASPECT_RATIO) : typedArray.getFloat(i7, CropImageView.DEFAULT_ASPECT_RATIO));
                    } else {
                        propertyValuesHolder = PropertyValuesHolder.ofFloat(str, dimension);
                    }
                } else {
                    propertyValuesHolder = PropertyValuesHolder.ofFloat(str, i9 == 5 ? typedArray.getDimension(i7, CropImageView.DEFAULT_ASPECT_RATIO) : typedArray.getFloat(i7, CropImageView.DEFAULT_ASPECT_RATIO));
                }
                propertyValuesHolder3 = propertyValuesHolder;
            } else if (z4) {
                int dimension2 = i8 == 5 ? (int) typedArray.getDimension(i6, CropImageView.DEFAULT_ASPECT_RATIO) : h(i8) ? typedArray.getColor(i6, 0) : typedArray.getInt(i6, 0);
                if (z5) {
                    propertyValuesHolder3 = PropertyValuesHolder.ofInt(str, dimension2, i9 == 5 ? (int) typedArray.getDimension(i7, CropImageView.DEFAULT_ASPECT_RATIO) : h(i9) ? typedArray.getColor(i7, 0) : typedArray.getInt(i7, 0));
                } else {
                    propertyValuesHolder3 = PropertyValuesHolder.ofInt(str, dimension2);
                }
            } else if (z5) {
                propertyValuesHolder3 = PropertyValuesHolder.ofInt(str, i9 == 5 ? (int) typedArray.getDimension(i7, CropImageView.DEFAULT_ASPECT_RATIO) : h(i9) ? typedArray.getColor(i7, 0) : typedArray.getInt(i7, 0));
            }
            if (propertyValuesHolder3 == null || a5 == null) {
                return propertyValuesHolder3;
            }
            propertyValuesHolder3.setEvaluator(a5);
            return propertyValuesHolder3;
        }
    }

    private static int f(TypedArray typedArray, int i5, int i6) {
        TypedValue peekValue = typedArray.peekValue(i5);
        boolean z4 = true;
        boolean z5 = peekValue != null;
        int i7 = z5 ? peekValue.type : 0;
        TypedValue peekValue2 = typedArray.peekValue(i6);
        if (peekValue2 == null) {
            z4 = false;
        }
        return ((!z5 || !h(i7)) && (!z4 || !h(z4 ? peekValue2.type : 0))) ? 0 : 3;
    }

    private static int g(Resources resources, Resources.Theme theme, AttributeSet attributeSet, XmlPullParser xmlPullParser) {
        TypedArray k5 = i.k(resources, theme, attributeSet, a.f3150j);
        int i5 = 0;
        TypedValue l5 = i.l(k5, xmlPullParser, "value", 0);
        if ((l5 != null) && h(l5.type)) {
            i5 = 3;
        }
        k5.recycle();
        return i5;
    }

    private static boolean h(int i5) {
        return i5 >= 28 && i5 <= 31;
    }

    public static Animator i(Context context, int i5) {
        return Build.VERSION.SDK_INT >= 24 ? AnimatorInflater.loadAnimator(context, i5) : j(context, context.getResources(), context.getTheme(), i5);
    }

    public static Animator j(Context context, Resources resources, Resources.Theme theme, int i5) {
        return k(context, resources, theme, i5, 1.0f);
    }

    public static Animator k(Context context, Resources resources, Resources.Theme theme, int i5, float f5) {
        XmlResourceParser xmlResourceParser = null;
        try {
            xmlResourceParser = resources.getAnimation(i5);
            Animator a5 = a(context, resources, theme, xmlResourceParser, f5);
            if (xmlResourceParser != null) {
                xmlResourceParser.close();
            }
            return a5;
        } catch (XmlPullParserException e5) {
            Resources.NotFoundException notFoundException = new Resources.NotFoundException("Can't load animation resource ID #0x" + Integer.toHexString(i5));
            notFoundException.initCause(e5);
            throw notFoundException;
        } catch (IOException e6) {
            Resources.NotFoundException notFoundException2 = new Resources.NotFoundException("Can't load animation resource ID #0x" + Integer.toHexString(i5));
            notFoundException2.initCause(e6);
            throw notFoundException2;
        } catch (Throwable th) {
            if (xmlResourceParser != null) {
                xmlResourceParser.close();
            }
            throw th;
        }
    }

    private static ValueAnimator l(Context context, Resources resources, Resources.Theme theme, AttributeSet attributeSet, ValueAnimator valueAnimator, float f5, XmlPullParser xmlPullParser) {
        TypedArray k5 = i.k(resources, theme, attributeSet, a.f3147g);
        TypedArray k6 = i.k(resources, theme, attributeSet, a.f3151k);
        if (valueAnimator == null) {
            valueAnimator = new ValueAnimator();
        }
        q(valueAnimator, k5, k6, f5, xmlPullParser);
        int h5 = i.h(k5, xmlPullParser, "interpolator", 0, 0);
        if (h5 > 0) {
            valueAnimator.setInterpolator(d.b(context, h5));
        }
        k5.recycle();
        if (k6 != null) {
            k6.recycle();
        }
        return valueAnimator;
    }

    private static Keyframe m(Context context, Resources resources, Resources.Theme theme, AttributeSet attributeSet, int i5, XmlPullParser xmlPullParser) {
        TypedArray k5 = i.k(resources, theme, attributeSet, a.f3150j);
        float f5 = i.f(k5, xmlPullParser, "fraction", 3, -1.0f);
        TypedValue l5 = i.l(k5, xmlPullParser, "value", 0);
        boolean z4 = l5 != null;
        if (i5 == 4) {
            i5 = (!z4 || !h(l5.type)) ? 0 : 3;
        }
        Keyframe ofInt = z4 ? i5 != 0 ? (i5 == 1 || i5 == 3) ? Keyframe.ofInt(f5, i.g(k5, xmlPullParser, "value", 0, 0)) : null : Keyframe.ofFloat(f5, i.f(k5, xmlPullParser, "value", 0, CropImageView.DEFAULT_ASPECT_RATIO)) : i5 == 0 ? Keyframe.ofFloat(f5) : Keyframe.ofInt(f5);
        int h5 = i.h(k5, xmlPullParser, "interpolator", 1, 0);
        if (h5 > 0) {
            ofInt.setInterpolator(d.b(context, h5));
        }
        k5.recycle();
        return ofInt;
    }

    private static ObjectAnimator n(Context context, Resources resources, Resources.Theme theme, AttributeSet attributeSet, float f5, XmlPullParser xmlPullParser) {
        ObjectAnimator objectAnimator = new ObjectAnimator();
        l(context, resources, theme, attributeSet, objectAnimator, f5, xmlPullParser);
        return objectAnimator;
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x0062  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x007f  */
    /* JADX WARNING: Removed duplicated region for block: B:33:0x0097  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x00e2  */
    private static PropertyValuesHolder o(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, String str, int i5) {
        int size;
        int i6;
        float fraction;
        float fraction2;
        PropertyValuesHolder propertyValuesHolder = null;
        ArrayList arrayList = null;
        while (true) {
            int next = xmlPullParser.next();
            if (next == 3 || next == 1) {
                if (arrayList != null && (size = arrayList.size()) > 0) {
                    Keyframe keyframe = (Keyframe) arrayList.get(0);
                    Keyframe keyframe2 = (Keyframe) arrayList.get(size - 1);
                    fraction = keyframe2.getFraction();
                    if (fraction < 1.0f) {
                        if (fraction < CropImageView.DEFAULT_ASPECT_RATIO) {
                            keyframe2.setFraction(1.0f);
                        } else {
                            arrayList.add(arrayList.size(), c(keyframe2, 1.0f));
                            size++;
                        }
                    }
                    fraction2 = keyframe.getFraction();
                    if (fraction2 != CropImageView.DEFAULT_ASPECT_RATIO) {
                        if (fraction2 < CropImageView.DEFAULT_ASPECT_RATIO) {
                            keyframe.setFraction(CropImageView.DEFAULT_ASPECT_RATIO);
                        } else {
                            arrayList.add(0, c(keyframe, CropImageView.DEFAULT_ASPECT_RATIO));
                            size++;
                        }
                    }
                    Keyframe[] keyframeArr = new Keyframe[size];
                    arrayList.toArray(keyframeArr);
                    for (i6 = 0; i6 < size; i6++) {
                        Keyframe keyframe3 = keyframeArr[i6];
                        if (keyframe3.getFraction() < CropImageView.DEFAULT_ASPECT_RATIO) {
                            if (i6 == 0) {
                                keyframe3.setFraction(CropImageView.DEFAULT_ASPECT_RATIO);
                            } else {
                                int i7 = size - 1;
                                if (i6 == i7) {
                                    keyframe3.setFraction(1.0f);
                                } else {
                                    int i8 = i6 + 1;
                                    int i9 = i6;
                                    while (i8 < i7 && keyframeArr[i8].getFraction() < CropImageView.DEFAULT_ASPECT_RATIO) {
                                        i9 = i8;
                                        i8++;
                                    }
                                    d(keyframeArr, keyframeArr[i9 + 1].getFraction() - keyframeArr[i6 - 1].getFraction(), i6, i9);
                                }
                            }
                        }
                    }
                    propertyValuesHolder = PropertyValuesHolder.ofKeyframe(str, keyframeArr);
                    if (i5 == 3) {
                        propertyValuesHolder.setEvaluator(f.a());
                    }
                }
            } else if (xmlPullParser.getName().equals("keyframe")) {
                if (i5 == 4) {
                    i5 = g(resources, theme, Xml.asAttributeSet(xmlPullParser), xmlPullParser);
                }
                Keyframe m5 = m(context, resources, theme, Xml.asAttributeSet(xmlPullParser), i5, xmlPullParser);
                if (m5 != null) {
                    if (arrayList == null) {
                        arrayList = new ArrayList();
                    }
                    arrayList.add(m5);
                }
                xmlPullParser.next();
            }
        }
        Keyframe keyframe4 = (Keyframe) arrayList.get(0);
        Keyframe keyframe22 = (Keyframe) arrayList.get(size - 1);
        fraction = keyframe22.getFraction();
        if (fraction < 1.0f) {
        }
        fraction2 = keyframe4.getFraction();
        if (fraction2 != CropImageView.DEFAULT_ASPECT_RATIO) {
        }
        Keyframe[] keyframeArr2 = new Keyframe[size];
        arrayList.toArray(keyframeArr2);
        while (i6 < size) {
        }
        propertyValuesHolder = PropertyValuesHolder.ofKeyframe(str, keyframeArr2);
        if (i5 == 3) {
        }
        return propertyValuesHolder;
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x006c  */
    private static PropertyValuesHolder[] p(Context context, Resources resources, Resources.Theme theme, XmlPullParser xmlPullParser, AttributeSet attributeSet) {
        PropertyValuesHolder[] propertyValuesHolderArr = null;
        ArrayList arrayList = null;
        while (true) {
            int eventType = xmlPullParser.getEventType();
            if (eventType != 3 && eventType != 1) {
                if (eventType == 2) {
                    if (xmlPullParser.getName().equals("propertyValuesHolder")) {
                        TypedArray k5 = i.k(resources, theme, attributeSet, a.f3149i);
                        String i5 = i.i(k5, xmlPullParser, "propertyName", 3);
                        int g5 = i.g(k5, xmlPullParser, "valueType", 2, 4);
                        PropertyValuesHolder o5 = o(context, resources, theme, xmlPullParser, i5, g5);
                        if (o5 == null) {
                            o5 = e(k5, g5, 0, 1, i5);
                        }
                        if (o5 != null) {
                            if (arrayList == null) {
                                arrayList = new ArrayList();
                            }
                            arrayList.add(o5);
                        }
                        k5.recycle();
                    }
                }
                xmlPullParser.next();
            } else if (arrayList != null) {
                int size = arrayList.size();
                propertyValuesHolderArr = new PropertyValuesHolder[size];
                for (int i6 = 0; i6 < size; i6++) {
                    propertyValuesHolderArr[i6] = (PropertyValuesHolder) arrayList.get(i6);
                }
            }
        }
        if (arrayList != null) {
        }
        return propertyValuesHolderArr;
    }

    private static void q(ValueAnimator valueAnimator, TypedArray typedArray, TypedArray typedArray2, float f5, XmlPullParser xmlPullParser) {
        long g5 = (long) i.g(typedArray, xmlPullParser, "duration", 1, 300);
        long g6 = (long) i.g(typedArray, xmlPullParser, "startOffset", 2, 0);
        int g7 = i.g(typedArray, xmlPullParser, "valueType", 7, 4);
        if (i.j(xmlPullParser, "valueFrom") && i.j(xmlPullParser, "valueTo")) {
            if (g7 == 4) {
                g7 = f(typedArray, 5, 6);
            }
            PropertyValuesHolder e5 = e(typedArray, g7, 5, 6, "");
            if (e5 != null) {
                valueAnimator.setValues(e5);
            }
        }
        valueAnimator.setDuration(g5);
        valueAnimator.setStartDelay(g6);
        valueAnimator.setRepeatCount(i.g(typedArray, xmlPullParser, "repeatCount", 3, 0));
        valueAnimator.setRepeatMode(i.g(typedArray, xmlPullParser, "repeatMode", 4, 1));
        if (typedArray2 != null) {
            r(valueAnimator, typedArray2, g7, f5, xmlPullParser);
        }
    }

    private static void r(ValueAnimator valueAnimator, TypedArray typedArray, int i5, float f5, XmlPullParser xmlPullParser) {
        ObjectAnimator objectAnimator = (ObjectAnimator) valueAnimator;
        String i6 = i.i(typedArray, xmlPullParser, "pathData", 1);
        if (i6 != null) {
            String i7 = i.i(typedArray, xmlPullParser, "propertyXName", 2);
            String i8 = i.i(typedArray, xmlPullParser, "propertyYName", 3);
            if (i5 != 2) {
            }
            if (i7 == null && i8 == null) {
                throw new InflateException(typedArray.getPositionDescription() + " propertyXName or propertyYName is needed for PathData");
            }
            s(g.e(i6), objectAnimator, f5 * 0.5f, i7, i8);
            return;
        }
        objectAnimator.setPropertyName(i.i(typedArray, xmlPullParser, "propertyName", 0));
    }

    private static void s(Path path, ObjectAnimator objectAnimator, float f5, String str, String str2) {
        PropertyValuesHolder propertyValuesHolder;
        PathMeasure pathMeasure = new PathMeasure(path, false);
        ArrayList arrayList = new ArrayList();
        float f6 = CropImageView.DEFAULT_ASPECT_RATIO;
        arrayList.add(Float.valueOf((float) CropImageView.DEFAULT_ASPECT_RATIO));
        float f7 = CropImageView.DEFAULT_ASPECT_RATIO;
        do {
            f7 += pathMeasure.getLength();
            arrayList.add(Float.valueOf(f7));
        } while (pathMeasure.nextContour());
        PathMeasure pathMeasure2 = new PathMeasure(path, false);
        int min = Math.min(100, ((int) (f7 / f5)) + 1);
        float[] fArr = new float[min];
        float[] fArr2 = new float[min];
        float[] fArr3 = new float[2];
        float f8 = f7 / ((float) (min - 1));
        int i5 = 0;
        int i6 = 0;
        while (true) {
            propertyValuesHolder = null;
            if (i5 >= min) {
                break;
            }
            pathMeasure2.getPosTan(f6 - ((Float) arrayList.get(i6)).floatValue(), fArr3, null);
            fArr[i5] = fArr3[0];
            fArr2[i5] = fArr3[1];
            f6 += f8;
            int i7 = i6 + 1;
            if (i7 < arrayList.size() && f6 > ((Float) arrayList.get(i7)).floatValue()) {
                pathMeasure2.nextContour();
                i6 = i7;
            }
            i5++;
        }
        PropertyValuesHolder ofFloat = str != null ? PropertyValuesHolder.ofFloat(str, fArr) : null;
        if (str2 != null) {
            propertyValuesHolder = PropertyValuesHolder.ofFloat(str2, fArr2);
        }
        if (ofFloat == null) {
            objectAnimator.setValues(propertyValuesHolder);
        } else if (propertyValuesHolder == null) {
            objectAnimator.setValues(ofFloat);
        } else {
            objectAnimator.setValues(ofFloat, propertyValuesHolder);
        }
    }
}
