package androidx.vectordrawable.graphics.drawable;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Path;
import android.graphics.PathMeasure;
import android.util.AttributeSet;
import android.view.InflateException;
import android.view.animation.Interpolator;
import com.yalantis.ucrop.view.CropImageView;
import org.xmlpull.v1.XmlPullParser;
import x.i;

public class g implements Interpolator {

    /* renamed from: a  reason: collision with root package name */
    private float[] f3168a;

    /* renamed from: b  reason: collision with root package name */
    private float[] f3169b;

    public g(Context context, AttributeSet attributeSet, XmlPullParser xmlPullParser) {
        this(context.getResources(), context.getTheme(), attributeSet, xmlPullParser);
    }

    public g(Resources resources, Resources.Theme theme, AttributeSet attributeSet, XmlPullParser xmlPullParser) {
        TypedArray k5 = i.k(resources, theme, attributeSet, a.f3152l);
        d(k5, xmlPullParser);
        k5.recycle();
    }

    private void a(float f5, float f6, float f7, float f8) {
        Path path = new Path();
        path.moveTo(CropImageView.DEFAULT_ASPECT_RATIO, CropImageView.DEFAULT_ASPECT_RATIO);
        path.cubicTo(f5, f6, f7, f8, 1.0f, 1.0f);
        b(path);
    }

    private void b(Path path) {
        int i5 = 0;
        PathMeasure pathMeasure = new PathMeasure(path, false);
        float length = pathMeasure.getLength();
        int min = Math.min(3000, ((int) (length / 0.002f)) + 1);
        if (min > 0) {
            this.f3168a = new float[min];
            this.f3169b = new float[min];
            float[] fArr = new float[2];
            for (int i6 = 0; i6 < min; i6++) {
                pathMeasure.getPosTan((((float) i6) * length) / ((float) (min - 1)), fArr, null);
                this.f3168a[i6] = fArr[0];
                this.f3169b[i6] = fArr[1];
            }
            if (((double) Math.abs(this.f3168a[0])) <= 1.0E-5d && ((double) Math.abs(this.f3169b[0])) <= 1.0E-5d) {
                int i7 = min - 1;
                if (((double) Math.abs(this.f3168a[i7] - 1.0f)) <= 1.0E-5d && ((double) Math.abs(this.f3169b[i7] - 1.0f)) <= 1.0E-5d) {
                    float f5 = CropImageView.DEFAULT_ASPECT_RATIO;
                    int i8 = 0;
                    while (i5 < min) {
                        float[] fArr2 = this.f3168a;
                        int i9 = i8 + 1;
                        float f6 = fArr2[i8];
                        if (f6 >= f5) {
                            fArr2[i5] = f6;
                            i5++;
                            f5 = f6;
                            i8 = i9;
                        } else {
                            throw new IllegalArgumentException("The Path cannot loop back on itself, x :" + f6);
                        }
                    }
                    if (pathMeasure.nextContour()) {
                        throw new IllegalArgumentException("The Path should be continuous, can't have 2+ contours");
                    }
                    return;
                }
            }
            StringBuilder sb = new StringBuilder();
            sb.append("The Path must start at (0,0) and end at (1,1) start: ");
            sb.append(this.f3168a[0]);
            sb.append(",");
            sb.append(this.f3169b[0]);
            sb.append(" end:");
            int i10 = min - 1;
            sb.append(this.f3168a[i10]);
            sb.append(",");
            sb.append(this.f3169b[i10]);
            throw new IllegalArgumentException(sb.toString());
        }
        throw new IllegalArgumentException("The Path has a invalid length " + length);
    }

    private void c(float f5, float f6) {
        Path path = new Path();
        path.moveTo(CropImageView.DEFAULT_ASPECT_RATIO, CropImageView.DEFAULT_ASPECT_RATIO);
        path.quadTo(f5, f6, 1.0f, 1.0f);
        b(path);
    }

    private void d(TypedArray typedArray, XmlPullParser xmlPullParser) {
        if (i.j(xmlPullParser, "pathData")) {
            String i5 = i.i(typedArray, xmlPullParser, "pathData", 4);
            Path e5 = y.g.e(i5);
            if (e5 != null) {
                b(e5);
                return;
            }
            throw new InflateException("The path is null, which is created from " + i5);
        } else if (!i.j(xmlPullParser, "controlX1")) {
            throw new InflateException("pathInterpolator requires the controlX1 attribute");
        } else if (i.j(xmlPullParser, "controlY1")) {
            float f5 = i.f(typedArray, xmlPullParser, "controlX1", 0, CropImageView.DEFAULT_ASPECT_RATIO);
            float f6 = i.f(typedArray, xmlPullParser, "controlY1", 1, CropImageView.DEFAULT_ASPECT_RATIO);
            boolean j5 = i.j(xmlPullParser, "controlX2");
            if (j5 != i.j(xmlPullParser, "controlY2")) {
                throw new InflateException("pathInterpolator requires both controlX2 and controlY2 for cubic Beziers.");
            } else if (!j5) {
                c(f5, f6);
            } else {
                a(f5, f6, i.f(typedArray, xmlPullParser, "controlX2", 2, CropImageView.DEFAULT_ASPECT_RATIO), i.f(typedArray, xmlPullParser, "controlY2", 3, CropImageView.DEFAULT_ASPECT_RATIO));
            }
        } else {
            throw new InflateException("pathInterpolator requires the controlY1 attribute");
        }
    }

    public float getInterpolation(float f5) {
        if (f5 <= CropImageView.DEFAULT_ASPECT_RATIO) {
            return CropImageView.DEFAULT_ASPECT_RATIO;
        }
        if (f5 >= 1.0f) {
            return 1.0f;
        }
        int i5 = 0;
        int length = this.f3168a.length - 1;
        while (length - i5 > 1) {
            int i6 = (i5 + length) / 2;
            if (f5 < this.f3168a[i6]) {
                length = i6;
            } else {
                i5 = i6;
            }
        }
        float[] fArr = this.f3168a;
        float f6 = fArr[length] - fArr[i5];
        if (f6 == CropImageView.DEFAULT_ASPECT_RATIO) {
            return this.f3169b[i5];
        }
        float[] fArr2 = this.f3169b;
        float f7 = fArr2[i5];
        return f7 + (((f5 - fArr[i5]) / f6) * (fArr2[length] - f7));
    }
}
