package androidx.window.embedding;

import android.app.Activity;
import android.content.Intent;
import android.util.Pair;
import android.view.WindowMetrics;
import androidx.window.extensions.embedding.ActivityRule;
import androidx.window.extensions.embedding.ActivityStack;
import androidx.window.extensions.embedding.EmbeddingRule;
import androidx.window.extensions.embedding.SplitInfo;
import androidx.window.extensions.embedding.SplitPairRule;
import androidx.window.extensions.embedding.SplitPlaceholderRule;
import b4.j;
import b4.q;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.Set;
import java.util.function.Predicate;
import kotlin.jvm.internal.i;

public final class EmbeddingAdapter {
    private final <F, S> F component1(Pair<F, S> pair) {
        i.e(pair, "<this>");
        return (F) pair.first;
    }

    private final <F, S> S component2(Pair<F, S> pair) {
        i.e(pair, "<this>");
        return (S) pair.second;
    }

    private final SplitInfo translate(SplitInfo splitInfo) {
        boolean z4;
        ActivityStack primaryActivityStack = splitInfo.getPrimaryActivityStack();
        i.d(primaryActivityStack, "splitInfo.primaryActivityStack");
        boolean z5 = false;
        try {
            z4 = primaryActivityStack.isEmpty();
        } catch (NoSuchMethodError unused) {
            z4 = false;
        }
        List activities = primaryActivityStack.getActivities();
        i.d(activities, "primaryActivityStack.activities");
        ActivityStack activityStack = new ActivityStack(activities, z4);
        ActivityStack secondaryActivityStack = splitInfo.getSecondaryActivityStack();
        i.d(secondaryActivityStack, "splitInfo.secondaryActivityStack");
        try {
            z5 = secondaryActivityStack.isEmpty();
        } catch (NoSuchMethodError unused2) {
        }
        List activities2 = secondaryActivityStack.getActivities();
        i.d(activities2, "secondaryActivityStack.activities");
        return new SplitInfo(activityStack, new ActivityStack(activities2, z5), splitInfo.getSplitRatio());
    }

    /* access modifiers changed from: private */
    /* renamed from: translateActivityIntentPredicates$lambda-3  reason: not valid java name */
    public static final boolean m0translateActivityIntentPredicates$lambda3(EmbeddingAdapter embeddingAdapter, Set set, Pair pair) {
        i.e(embeddingAdapter, "this$0");
        i.e(set, "$splitPairFilters");
        i.d(pair, "(first, second)");
        Activity activity = (Activity) embeddingAdapter.component1(pair);
        Intent intent = (Intent) embeddingAdapter.component2(pair);
        if ((set instanceof Collection) && set.isEmpty()) {
            return false;
        }
        Iterator it = set.iterator();
        while (it.hasNext()) {
            if (((SplitPairFilter) it.next()).matchesActivityIntentPair(activity, intent)) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* renamed from: translateActivityPairPredicates$lambda-1  reason: not valid java name */
    public static final boolean m1translateActivityPairPredicates$lambda1(EmbeddingAdapter embeddingAdapter, Set set, Pair pair) {
        i.e(embeddingAdapter, "this$0");
        i.e(set, "$splitPairFilters");
        i.d(pair, "(first, second)");
        Activity activity = (Activity) embeddingAdapter.component1(pair);
        Activity activity2 = (Activity) embeddingAdapter.component2(pair);
        if ((set instanceof Collection) && set.isEmpty()) {
            return false;
        }
        Iterator it = set.iterator();
        while (it.hasNext()) {
            if (((SplitPairFilter) it.next()).matchesActivityPair(activity, activity2)) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* renamed from: translateActivityPredicates$lambda-6  reason: not valid java name */
    public static final boolean m2translateActivityPredicates$lambda6(Set set, Activity activity) {
        i.e(set, "$activityFilters");
        if ((set instanceof Collection) && set.isEmpty()) {
            return false;
        }
        Iterator it = set.iterator();
        while (it.hasNext()) {
            i.d(activity, "activity");
            if (((ActivityFilter) it.next()).matchesActivity(activity)) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* renamed from: translateIntentPredicates$lambda-8  reason: not valid java name */
    public static final boolean m3translateIntentPredicates$lambda8(Set set, Intent intent) {
        i.e(set, "$activityFilters");
        if ((set instanceof Collection) && set.isEmpty()) {
            return false;
        }
        Iterator it = set.iterator();
        while (it.hasNext()) {
            i.d(intent, "intent");
            if (((ActivityFilter) it.next()).matchesIntent(intent)) {
                return true;
            }
        }
        return false;
    }

    /* access modifiers changed from: private */
    /* renamed from: translateParentMetricsPredicate$lambda-4  reason: not valid java name */
    public static final boolean m4translateParentMetricsPredicate$lambda4(SplitRule splitRule, WindowMetrics windowMetrics) {
        i.e(splitRule, "$splitRule");
        i.d(windowMetrics, "windowMetrics");
        return splitRule.checkParentMetrics(windowMetrics);
    }

    public final List<SplitInfo> translate(List<? extends SplitInfo> list) {
        i.e(list, "splitInfoList");
        ArrayList arrayList = new ArrayList(j.g(list, 10));
        Iterator<T> it = list.iterator();
        while (it.hasNext()) {
            arrayList.add(translate((SplitInfo) it.next()));
        }
        return arrayList;
    }

    public final Set<EmbeddingRule> translate(Set<? extends EmbeddingRule> set) {
        SplitPairRule build;
        String str;
        i.e(set, "rules");
        ArrayList arrayList = new ArrayList(j.g(set, 10));
        for (T t5 : set) {
            if (t5 instanceof SplitPairRule) {
                T t6 = t5;
                build = new SplitPairRule.Builder(translateActivityPairPredicates(t6.getFilters()), translateActivityIntentPredicates(t6.getFilters()), translateParentMetricsPredicate(t5)).setSplitRatio(t6.getSplitRatio()).setLayoutDirection(t6.getLayoutDirection()).setShouldFinishPrimaryWithSecondary(t6.getFinishPrimaryWithSecondary()).setShouldFinishSecondaryWithPrimary(t6.getFinishSecondaryWithPrimary()).setShouldClearTop(t6.getClearTop()).build();
                str = "SplitPairRuleBuilder(\n  …                 .build()";
            } else if (t5 instanceof SplitPlaceholderRule) {
                T t7 = t5;
                build = new SplitPlaceholderRule.Builder(t7.getPlaceholderIntent(), translateActivityPredicates(t7.getFilters()), translateIntentPredicates(t7.getFilters()), translateParentMetricsPredicate(t5)).setSplitRatio(t7.getSplitRatio()).setLayoutDirection(t7.getLayoutDirection()).build();
                str = "SplitPlaceholderRuleBuil…                 .build()";
            } else if (t5 instanceof ActivityRule) {
                T t8 = t5;
                build = new ActivityRule.Builder(translateActivityPredicates(t8.getFilters()), translateIntentPredicates(t8.getFilters())).setShouldAlwaysExpand(t8.getAlwaysExpand()).build();
                str = "ActivityRuleBuilder(\n   …                 .build()";
            } else {
                throw new IllegalArgumentException("Unsupported rule type");
            }
            i.d(build, str);
            arrayList.add((EmbeddingRule) build);
        }
        return q.t(arrayList);
    }

    public final Predicate<Pair<Activity, Intent>> translateActivityIntentPredicates(Set<SplitPairFilter> set) {
        i.e(set, "splitPairFilters");
        return new b(this, set);
    }

    public final Predicate<Pair<Activity, Activity>> translateActivityPairPredicates(Set<SplitPairFilter> set) {
        i.e(set, "splitPairFilters");
        return new c(this, set);
    }

    public final Predicate<Activity> translateActivityPredicates(Set<ActivityFilter> set) {
        i.e(set, "activityFilters");
        return new e(set);
    }

    public final Predicate<Intent> translateIntentPredicates(Set<ActivityFilter> set) {
        i.e(set, "activityFilters");
        return new f(set);
    }

    public final Predicate<WindowMetrics> translateParentMetricsPredicate(SplitRule splitRule) {
        i.e(splitRule, "splitRule");
        return new d(splitRule);
    }
}
