package com.journeyapps.barcodescanner;

import android.content.Context;
import android.content.Intent;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.view.KeyEvent;
import android.widget.FrameLayout;
import android.widget.TextView;
import c3.j;
import d2.e;
import d2.p;
import d3.i;
import h2.f;
import h2.g;
import h2.k;
import h2.l;
import h2.o;
import java.util.List;
import java.util.Map;
import java.util.Set;

public class DecoratedBarcodeView extends FrameLayout {

    /* renamed from: e  reason: collision with root package name */
    private BarcodeView f3834e;

    /* renamed from: f  reason: collision with root package name */
    private ViewfinderView f3835f;

    /* renamed from: g  reason: collision with root package name */
    private TextView f3836g;

    /* renamed from: h  reason: collision with root package name */
    private a f3837h;

    public interface a {
        void a();

        void b();
    }

    /* access modifiers changed from: private */
    public class b implements c3.a {

        /* renamed from: a  reason: collision with root package name */
        private c3.a f3838a;

        public b(c3.a aVar) {
            this.f3838a = aVar;
        }

        @Override // c3.a
        public void a(c3.b bVar) {
            this.f3838a.a(bVar);
        }

        @Override // c3.a
        public void b(List<p> list) {
            for (p pVar : list) {
                DecoratedBarcodeView.this.f3835f.a(pVar);
            }
            this.f3838a.b(list);
        }
    }

    public DecoratedBarcodeView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        c(attributeSet);
    }

    private void c(AttributeSet attributeSet) {
        TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, o.f4987t);
        int resourceId = obtainStyledAttributes.getResourceId(o.f4988u, l.zxing_barcode_scanner);
        obtainStyledAttributes.recycle();
        FrameLayout.inflate(getContext(), resourceId, this);
        BarcodeView barcodeView = (BarcodeView) findViewById(k.zxing_barcode_surface);
        this.f3834e = barcodeView;
        if (barcodeView != null) {
            barcodeView.q(attributeSet);
            ViewfinderView viewfinderView = (ViewfinderView) findViewById(k.zxing_viewfinder_view);
            this.f3835f = viewfinderView;
            if (viewfinderView != null) {
                viewfinderView.setCameraPreview(this.f3834e);
                this.f3836g = (TextView) findViewById(k.zxing_status_view);
                return;
            }
            throw new IllegalArgumentException("There is no a com.journeyapps.barcodescanner.ViewfinderView on provided layout with the id \"zxing_viewfinder_view\".");
        }
        throw new IllegalArgumentException("There is no a com.journeyapps.barcodescanner.BarcodeView on provided layout with the id \"zxing_barcode_surface\".");
    }

    public void b(c3.a aVar) {
        this.f3834e.J(new b(aVar));
    }

    public void d(Intent intent) {
        int intExtra;
        Set<d2.a> a5 = f.a(intent);
        Map<e, ?> a6 = g.a(intent);
        i iVar = new i();
        if (intent.hasExtra("SCAN_CAMERA_ID") && (intExtra = intent.getIntExtra("SCAN_CAMERA_ID", -1)) >= 0) {
            iVar.i(intExtra);
        }
        if (intent.hasExtra("TORCH_ENABLED") && intent.getBooleanExtra("TORCH_ENABLED", false)) {
            i();
        }
        String stringExtra = intent.getStringExtra("PROMPT_MESSAGE");
        if (stringExtra != null) {
            setStatusText(stringExtra);
        }
        int intExtra2 = intent.getIntExtra("SCAN_TYPE", 0);
        String stringExtra2 = intent.getStringExtra("CHARACTER_SET");
        new d2.i().f(a6);
        this.f3834e.setCameraSettings(iVar);
        this.f3834e.setDecoderFactory(new j(a5, a6, stringExtra2, intExtra2));
    }

    public void e() {
        this.f3834e.u();
    }

    public void f() {
        this.f3834e.v();
    }

    public void g() {
        this.f3834e.y();
    }

    public BarcodeView getBarcodeView() {
        return (BarcodeView) findViewById(k.zxing_barcode_surface);
    }

    public i getCameraSettings() {
        return this.f3834e.getCameraSettings();
    }

    public c3.g getDecoderFactory() {
        return this.f3834e.getDecoderFactory();
    }

    public TextView getStatusView() {
        return this.f3836g;
    }

    public ViewfinderView getViewFinder() {
        return this.f3835f;
    }

    public void h() {
        this.f3834e.setTorch(false);
        a aVar = this.f3837h;
        if (aVar != null) {
            aVar.a();
        }
    }

    public void i() {
        this.f3834e.setTorch(true);
        a aVar = this.f3837h;
        if (aVar != null) {
            aVar.b();
        }
    }

    public boolean onKeyDown(int i5, KeyEvent keyEvent) {
        if (i5 == 24) {
            i();
            return true;
        } else if (i5 == 25) {
            h();
            return true;
        } else if (i5 == 27 || i5 == 80) {
            return true;
        } else {
            return super.onKeyDown(i5, keyEvent);
        }
    }

    public void setCameraSettings(i iVar) {
        this.f3834e.setCameraSettings(iVar);
    }

    public void setDecoderFactory(c3.g gVar) {
        this.f3834e.setDecoderFactory(gVar);
    }

    public void setStatusText(String str) {
        TextView textView = this.f3836g;
        if (textView != null) {
            textView.setText(str);
        }
    }

    public void setTorchListener(a aVar) {
        this.f3837h = aVar;
    }
}
