package com.journeyapps.barcodescanner;

import android.content.Context;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.View;
import com.journeyapps.barcodescanner.a;
import com.yalantis.ucrop.view.CropImageView;
import d2.p;
import h2.j;
import h2.o;
import java.util.ArrayList;
import java.util.List;

public class ViewfinderView extends View {

    /* renamed from: r  reason: collision with root package name */
    protected static final String f3840r = ViewfinderView.class.getSimpleName();

    /* renamed from: s  reason: collision with root package name */
    protected static final int[] f3841s = {0, 64, 128, 192, 255, 192, 128, 64};

    /* renamed from: e  reason: collision with root package name */
    protected final Paint f3842e = new Paint(1);

    /* renamed from: f  reason: collision with root package name */
    protected Bitmap f3843f;

    /* renamed from: g  reason: collision with root package name */
    protected int f3844g;

    /* renamed from: h  reason: collision with root package name */
    protected final int f3845h;

    /* renamed from: i  reason: collision with root package name */
    protected final int f3846i;

    /* renamed from: j  reason: collision with root package name */
    protected final int f3847j;

    /* renamed from: k  reason: collision with root package name */
    protected boolean f3848k;

    /* renamed from: l  reason: collision with root package name */
    protected int f3849l;

    /* renamed from: m  reason: collision with root package name */
    protected List<p> f3850m;

    /* renamed from: n  reason: collision with root package name */
    protected List<p> f3851n;

    /* renamed from: o  reason: collision with root package name */
    protected a f3852o;

    /* renamed from: p  reason: collision with root package name */
    protected Rect f3853p;

    /* renamed from: q  reason: collision with root package name */
    protected c3.p f3854q;

    /* access modifiers changed from: package-private */
    public class a implements a.f {
        a() {
        }

        @Override // com.journeyapps.barcodescanner.a.f
        public void a() {
            ViewfinderView.this.b();
            ViewfinderView.this.invalidate();
        }

        @Override // com.journeyapps.barcodescanner.a.f
        public void b(Exception exc) {
        }

        @Override // com.journeyapps.barcodescanner.a.f
        public void c() {
        }

        @Override // com.journeyapps.barcodescanner.a.f
        public void d() {
        }

        @Override // com.journeyapps.barcodescanner.a.f
        public void e() {
        }
    }

    public ViewfinderView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        Resources resources = getResources();
        TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(attributeSet, o.f4981n);
        this.f3844g = obtainStyledAttributes.getColor(o.f4986s, resources.getColor(j.zxing_viewfinder_mask));
        this.f3845h = obtainStyledAttributes.getColor(o.f4983p, resources.getColor(j.zxing_result_view));
        this.f3846i = obtainStyledAttributes.getColor(o.f4984q, resources.getColor(j.zxing_viewfinder_laser));
        this.f3847j = obtainStyledAttributes.getColor(o.f4982o, resources.getColor(j.zxing_possible_result_points));
        this.f3848k = obtainStyledAttributes.getBoolean(o.f4985r, true);
        obtainStyledAttributes.recycle();
        this.f3849l = 0;
        this.f3850m = new ArrayList(20);
        this.f3851n = new ArrayList(20);
    }

    public void a(p pVar) {
        if (this.f3850m.size() < 20) {
            this.f3850m.add(pVar);
        }
    }

    /* access modifiers changed from: protected */
    public void b() {
        a aVar = this.f3852o;
        if (aVar != null) {
            Rect framingRect = aVar.getFramingRect();
            c3.p previewSize = this.f3852o.getPreviewSize();
            if (framingRect != null && previewSize != null) {
                this.f3853p = framingRect;
                this.f3854q = previewSize;
            }
        }
    }

    public void onDraw(Canvas canvas) {
        c3.p pVar;
        b();
        Rect rect = this.f3853p;
        if (!(rect == null || (pVar = this.f3854q) == null)) {
            int width = getWidth();
            int height = getHeight();
            this.f3842e.setColor(this.f3843f != null ? this.f3845h : this.f3844g);
            float f5 = (float) width;
            canvas.drawRect(CropImageView.DEFAULT_ASPECT_RATIO, CropImageView.DEFAULT_ASPECT_RATIO, f5, (float) rect.top, this.f3842e);
            canvas.drawRect(CropImageView.DEFAULT_ASPECT_RATIO, (float) rect.top, (float) rect.left, (float) (rect.bottom + 1), this.f3842e);
            canvas.drawRect((float) (rect.right + 1), (float) rect.top, f5, (float) (rect.bottom + 1), this.f3842e);
            canvas.drawRect(CropImageView.DEFAULT_ASPECT_RATIO, (float) (rect.bottom + 1), f5, (float) height, this.f3842e);
            if (this.f3843f != null) {
                this.f3842e.setAlpha(160);
                canvas.drawBitmap(this.f3843f, (Rect) null, rect, this.f3842e);
                return;
            }
            if (this.f3848k) {
                this.f3842e.setColor(this.f3846i);
                Paint paint = this.f3842e;
                int[] iArr = f3841s;
                paint.setAlpha(iArr[this.f3849l]);
                this.f3849l = (this.f3849l + 1) % iArr.length;
                int height2 = (rect.height() / 2) + rect.top;
                canvas.drawRect((float) (rect.left + 2), (float) (height2 - 1), (float) (rect.right - 1), (float) (height2 + 2), this.f3842e);
            }
            float width2 = ((float) getWidth()) / ((float) pVar.f3726e);
            float height3 = ((float) getHeight()) / ((float) pVar.f3727f);
            if (!this.f3851n.isEmpty()) {
                this.f3842e.setAlpha(80);
                this.f3842e.setColor(this.f3847j);
                for (p pVar2 : this.f3851n) {
                    canvas.drawCircle((float) ((int) (pVar2.c() * width2)), (float) ((int) (pVar2.d() * height3)), 3.0f, this.f3842e);
                }
                this.f3851n.clear();
            }
            if (!this.f3850m.isEmpty()) {
                this.f3842e.setAlpha(160);
                this.f3842e.setColor(this.f3847j);
                for (p pVar3 : this.f3850m) {
                    canvas.drawCircle((float) ((int) (pVar3.c() * width2)), (float) ((int) (pVar3.d() * height3)), 6.0f, this.f3842e);
                }
                List<p> list = this.f3850m;
                List<p> list2 = this.f3851n;
                this.f3850m = list2;
                this.f3851n = list;
                list2.clear();
            }
            postInvalidateDelayed(80, rect.left - 6, rect.top - 6, rect.right + 6, rect.bottom + 6);
        }
    }

    public void setCameraPreview(a aVar) {
        this.f3852o = aVar;
        aVar.i(new a());
    }

    public void setLaserVisibility(boolean z4) {
        this.f3848k = z4;
    }

    public void setMaskColor(int i5) {
        this.f3844g = i5;
    }
}
