package com.luck.picture.lib;

import android.content.Context;
import android.graphics.Color;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import android.view.animation.AccelerateInterpolator;
import android.widget.TextView;
import androidx.core.content.a;
import androidx.recyclerview.widget.RecyclerView;
import com.luck.picture.lib.adapter.PictureWeChatPreviewGalleryAdapter;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.config.PictureSelectionConfig;
import com.luck.picture.lib.decoration.GridSpacingItemDecoration;
import com.luck.picture.lib.decoration.WrapContentLinearLayoutManager;
import com.luck.picture.lib.entity.LocalMedia;
import com.luck.picture.lib.style.PictureParameterStyle;
import com.luck.picture.lib.style.PictureSelectorUIStyle;
import com.luck.picture.lib.tools.ScreenUtils;
import com.luck.picture.lib.widget.longimage.SubsamplingScaleImageView;
import com.yalantis.ucrop.view.CropImageView;

public class PictureSelectorPreviewWeChatStyleActivity extends PicturePreviewActivity {
    private static final int ALPHA_DURATION = 300;
    private static final int GALLERY_MAX_COUNT = 5;
    private View bottomLine;
    private PictureWeChatPreviewGalleryAdapter mGalleryAdapter;
    private RecyclerView mRvGallery;
    private TextView mTvSelected;

    private void goneParent() {
        if (this.tvMediaNum.getVisibility() == 0) {
            this.tvMediaNum.setVisibility(8);
        }
        if (this.mTvPictureOk.getVisibility() == 0) {
            this.mTvPictureOk.setVisibility(8);
        }
        if (!TextUtils.isEmpty(this.check.getText())) {
            this.check.setText("");
        }
    }

    private boolean isEqualsDirectory(String str, String str2) {
        return this.isBottomPreview || TextUtils.isEmpty(str) || TextUtils.isEmpty(str2) || str2.equals(getString(R.string.picture_camera_roll)) || str.equals(str2);
    }

    /* access modifiers changed from: private */
    public /* synthetic */ void lambda$initWidgets$0(int i5, LocalMedia localMedia, View view) {
        if (this.viewPager != null && localMedia != null && isEqualsDirectory(localMedia.getParentFolderName(), this.currentDirectory)) {
            if (!this.isBottomPreview) {
                i5 = this.isShowCamera ? localMedia.position - 1 : localMedia.position;
            }
            this.viewPager.setCurrentItem(i5);
        }
    }

    private void onChangeMediaStatus(LocalMedia localMedia) {
        int itemCount;
        PictureWeChatPreviewGalleryAdapter pictureWeChatPreviewGalleryAdapter = this.mGalleryAdapter;
        if (pictureWeChatPreviewGalleryAdapter != null && (itemCount = pictureWeChatPreviewGalleryAdapter.getItemCount()) > 0) {
            boolean z4 = false;
            for (int i5 = 0; i5 < itemCount; i5++) {
                LocalMedia item = this.mGalleryAdapter.getItem(i5);
                if (item != null && !TextUtils.isEmpty(item.getPath())) {
                    boolean isChecked = item.isChecked();
                    boolean z5 = true;
                    boolean z6 = item.getPath().equals(localMedia.getPath()) || item.getId() == localMedia.getId();
                    if (!z4) {
                        if ((!isChecked || z6) && (isChecked || !z6)) {
                            z5 = false;
                        }
                        z4 = z5;
                    }
                    item.setChecked(z6);
                }
            }
            if (z4) {
                this.mGalleryAdapter.notifyDataSetChanged();
            }
        }
    }

    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PicturePreviewActivity
    public int getResourceId() {
        return R.layout.picture_wechat_style_preview;
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Code restructure failed: missing block: B:12:0x0024, code lost:
        if (android.text.TextUtils.isEmpty(r0.pictureUnCompleteText) == false) goto L_0x0026;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x0070, code lost:
        if (android.text.TextUtils.isEmpty(com.luck.picture.lib.config.PictureSelectionConfig.style.pictureCompleteText) == false) goto L_0x0072;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:29:0x0072, code lost:
        r0 = com.luck.picture.lib.config.PictureSelectionConfig.style.pictureCompleteText;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:59:0x0119, code lost:
        if (android.text.TextUtils.isEmpty(com.luck.picture.lib.config.PictureSelectionConfig.style.pictureUnCompleteText) == false) goto L_0x0026;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:72:0x015c, code lost:
        if (android.text.TextUtils.isEmpty(com.luck.picture.lib.config.PictureSelectionConfig.style.pictureCompleteText) == false) goto L_0x0072;
     */
    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PicturePreviewActivity
    public void initCompleteText(int i5) {
        int i6;
        TextView textView;
        String string;
        PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
        boolean z4 = pictureParameterStyle != null;
        PictureSelectionConfig pictureSelectionConfig = this.config;
        if (!pictureSelectionConfig.isWithVideoImage) {
            if (!PictureMimeType.isHasVideo(this.selectData.size() > 0 ? this.selectData.get(0).getMimeType() : "") || (i6 = this.config.maxVideoSelectNum) <= 0) {
                i6 = this.config.maxSelectNum;
            }
            if (this.config.selectionMode == 1) {
                if (i5 <= 0) {
                    textView = this.mTvPictureRight;
                    if (z4) {
                    }
                } else {
                    if (!(z4 && PictureSelectionConfig.style.isCompleteReplaceNum) || TextUtils.isEmpty(PictureSelectionConfig.style.pictureCompleteText)) {
                        textView = this.mTvPictureRight;
                        if (z4) {
                        }
                    } else {
                        textView = this.mTvPictureRight;
                        string = String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(this.selectData.size()), 1);
                        textView.setText(string);
                    }
                }
                string = getString(R.string.picture_send);
                textView.setText(string);
            }
            if (!(z4 && PictureSelectionConfig.style.isCompleteReplaceNum) || TextUtils.isEmpty(PictureSelectionConfig.style.pictureCompleteText)) {
                textView = this.mTvPictureRight;
                if (!z4 || TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                    string = getString(R.string.picture_send_num, new Object[]{Integer.valueOf(this.selectData.size()), Integer.valueOf(i6)});
                    textView.setText(string);
                }
            } else {
                textView = this.mTvPictureRight;
                string = String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(this.selectData.size()), Integer.valueOf(i6));
                textView.setText(string);
            }
        } else if (pictureSelectionConfig.selectionMode == 1) {
            if (i5 <= 0) {
                textView = this.mTvPictureRight;
                if (z4) {
                }
            } else {
                if (!(z4 && pictureParameterStyle.isCompleteReplaceNum) || TextUtils.isEmpty(pictureParameterStyle.pictureCompleteText)) {
                    textView = this.mTvPictureRight;
                    if (z4) {
                    }
                } else {
                    textView = this.mTvPictureRight;
                    string = String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(this.selectData.size()), 1);
                    textView.setText(string);
                }
            }
            string = getString(R.string.picture_send);
            textView.setText(string);
        } else {
            if (!(z4 && pictureParameterStyle.isCompleteReplaceNum) || TextUtils.isEmpty(pictureParameterStyle.pictureCompleteText)) {
                textView = this.mTvPictureRight;
                if (!z4 || TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                    string = getString(R.string.picture_send_num, new Object[]{Integer.valueOf(this.selectData.size()), Integer.valueOf(this.config.maxSelectNum)});
                    textView.setText(string);
                }
            } else {
                textView = this.mTvPictureRight;
                string = String.format(PictureSelectionConfig.style.pictureCompleteText, Integer.valueOf(this.selectData.size()), Integer.valueOf(this.config.maxSelectNum));
                textView.setText(string);
            }
        }
        string = PictureSelectionConfig.style.pictureUnCompleteText;
        textView.setText(string);
    }

    /* JADX WARNING: Removed duplicated region for block: B:104:0x01ec  */
    /* JADX WARNING: Removed duplicated region for block: B:112:0x0209  */
    /* JADX WARNING: Removed duplicated region for block: B:113:0x020f  */
    /* JADX WARNING: Removed duplicated region for block: B:116:0x0220  */
    /* JADX WARNING: Removed duplicated region for block: B:92:0x01b1  */
    /* JADX WARNING: Removed duplicated region for block: B:95:0x01c2  */
    /* JADX WARNING: Removed duplicated region for block: B:96:0x01c8  */
    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PicturePreviewActivity
    public void initPictureSelectorStyle() {
        int i5;
        int i6;
        TextView textView;
        super.initPictureSelectorStyle();
        PictureSelectorUIStyle pictureSelectorUIStyle = PictureSelectionConfig.uiStyle;
        if (pictureSelectorUIStyle != null) {
            int i7 = pictureSelectorUIStyle.picture_top_titleRightDefaultText;
            if (i7 != 0) {
                this.mTvPictureRight.setText(getString(i7));
            }
            int i8 = PictureSelectionConfig.uiStyle.picture_top_titleRightTextNormalBackground;
            if (i8 != 0) {
                this.mTvPictureRight.setBackgroundResource(i8);
            } else {
                this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_bg);
            }
            int i9 = PictureSelectionConfig.uiStyle.picture_top_titleRightTextSize;
            if (i9 != 0) {
                this.mTvPictureRight.setTextSize((float) i9);
            }
            int i10 = PictureSelectionConfig.uiStyle.picture_bottom_selectedText;
            if (i10 != 0) {
                this.mTvSelected.setText(getString(i10));
            }
            int i11 = PictureSelectionConfig.uiStyle.picture_bottom_selectedTextSize;
            if (i11 != 0) {
                this.mTvSelected.setTextSize((float) i11);
            }
            int i12 = PictureSelectionConfig.uiStyle.picture_bottom_selectedTextColor;
            if (i12 != 0) {
                this.mTvSelected.setTextColor(i12);
            }
            int i13 = PictureSelectionConfig.uiStyle.picture_bottom_barBackgroundColor;
            if (i13 != 0) {
                this.selectBarLayout.setBackgroundColor(i13);
            } else {
                this.selectBarLayout.setBackgroundColor(a.b(getContext(), R.color.picture_color_half_grey));
            }
            this.mTvPictureRight.setTextColor(a.b(getContext(), R.color.picture_color_white));
            int i14 = PictureSelectionConfig.uiStyle.picture_bottom_selectedCheckStyle;
            if (i14 != 0) {
                this.check.setBackgroundResource(i14);
            } else {
                this.check.setBackgroundResource(R.drawable.picture_wechat_select_cb);
            }
            int i15 = PictureSelectionConfig.uiStyle.picture_top_leftBack;
            if (i15 != 0) {
                this.pictureLeftBack.setImageResource(i15);
            } else {
                this.pictureLeftBack.setImageResource(R.drawable.picture_icon_back);
            }
            int i16 = PictureSelectionConfig.uiStyle.picture_bottom_gallery_dividerColor;
            if (i16 != 0) {
                this.bottomLine.setBackgroundColor(i16);
            }
            int i17 = PictureSelectionConfig.uiStyle.picture_bottom_gallery_backgroundColor;
            if (i17 != 0) {
                this.mRvGallery.setBackgroundColor(i17);
            }
            if (PictureSelectionConfig.uiStyle.picture_bottom_gallery_height > 0) {
                this.mRvGallery.getLayoutParams().height = PictureSelectionConfig.uiStyle.picture_bottom_gallery_height;
            }
            if (this.config.isEditorImage) {
                int i18 = PictureSelectionConfig.uiStyle.picture_bottom_preview_editorTextSize;
                if (i18 != 0) {
                    this.mPictureEditor.setTextSize((float) i18);
                }
                int i19 = PictureSelectionConfig.uiStyle.picture_bottom_preview_editorTextColor;
                if (i19 != 0) {
                    this.mPictureEditor.setTextColor(i19);
                }
            }
            if (this.config.isOriginalControl) {
                int i20 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureTextSize;
                if (i20 != 0) {
                    this.mCbOriginal.setTextSize((float) i20);
                }
                int i21 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureTextColor;
                if (i21 != 0) {
                    this.mCbOriginal.setTextColor(i21);
                } else {
                    this.mCbOriginal.setTextColor(Color.parseColor("#FFFFFF"));
                }
                int i22 = PictureSelectionConfig.uiStyle.picture_bottom_originalPictureCheckStyle;
                if (i22 != 0) {
                    this.mCbOriginal.setButtonDrawable(i22);
                } else {
                    this.mCbOriginal.setButtonDrawable(R.drawable.picture_original_wechat_checkbox);
                }
            }
        } else {
            PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
            if (pictureParameterStyle != null) {
                int i23 = pictureParameterStyle.pictureCompleteBackgroundStyle;
                if (i23 != 0) {
                    this.mTvPictureRight.setBackgroundResource(i23);
                } else {
                    this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_bg);
                }
                int i24 = PictureSelectionConfig.style.pictureRightTextSize;
                if (i24 != 0) {
                    this.mTvPictureRight.setTextSize((float) i24);
                }
                if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureWeChatPreviewSelectedText)) {
                    this.mTvSelected.setText(PictureSelectionConfig.style.pictureWeChatPreviewSelectedText);
                }
                int i25 = PictureSelectionConfig.style.pictureWeChatPreviewSelectedTextSize;
                if (i25 != 0) {
                    this.mTvSelected.setTextSize((float) i25);
                }
                int i26 = PictureSelectionConfig.style.picturePreviewBottomBgColor;
                if (i26 != 0) {
                    this.selectBarLayout.setBackgroundColor(i26);
                } else {
                    this.selectBarLayout.setBackgroundColor(a.b(getContext(), R.color.picture_color_half_grey));
                }
                PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
                int i27 = pictureParameterStyle2.pictureCompleteTextColor;
                if (i27 != 0) {
                    textView = this.mTvPictureRight;
                } else {
                    int i28 = pictureParameterStyle2.pictureCancelTextColor;
                    if (i28 != 0) {
                        this.mTvPictureRight.setTextColor(i28);
                        if (PictureSelectionConfig.style.pictureOriginalFontColor == 0) {
                            this.mCbOriginal.setTextColor(a.b(this, R.color.picture_color_white));
                        }
                        i5 = PictureSelectionConfig.style.pictureWeChatChooseStyle;
                        if (i5 == 0) {
                            this.check.setBackgroundResource(i5);
                        } else {
                            this.check.setBackgroundResource(R.drawable.picture_wechat_select_cb);
                        }
                        if (this.config.isOriginalControl && PictureSelectionConfig.style.pictureOriginalControlStyle == 0) {
                            this.mCbOriginal.setButtonDrawable(a.d(this, R.drawable.picture_original_wechat_checkbox));
                        }
                        if (this.config.isEditorImage) {
                            int i29 = PictureSelectionConfig.style.picturePreviewEditorTextSize;
                            if (i29 != 0) {
                                this.mPictureEditor.setTextSize((float) i29);
                            }
                            int i30 = PictureSelectionConfig.style.picturePreviewEditorTextColor;
                            if (i30 != 0) {
                                this.mPictureEditor.setTextColor(i30);
                            }
                        }
                        i6 = PictureSelectionConfig.style.pictureWeChatLeftBackStyle;
                        if (i6 == 0) {
                            this.pictureLeftBack.setImageResource(i6);
                        } else {
                            this.pictureLeftBack.setImageResource(R.drawable.picture_icon_back);
                        }
                        if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                            this.mTvPictureRight.setText(PictureSelectionConfig.style.pictureUnCompleteText);
                        }
                    } else {
                        textView = this.mTvPictureRight;
                        i27 = a.b(getContext(), R.color.picture_color_white);
                    }
                }
                textView.setTextColor(i27);
                if (PictureSelectionConfig.style.pictureOriginalFontColor == 0) {
                }
                i5 = PictureSelectionConfig.style.pictureWeChatChooseStyle;
                if (i5 == 0) {
                }
                this.mCbOriginal.setButtonDrawable(a.d(this, R.drawable.picture_original_wechat_checkbox));
                if (this.config.isEditorImage) {
                }
                i6 = PictureSelectionConfig.style.pictureWeChatLeftBackStyle;
                if (i6 == 0) {
                }
                if (!TextUtils.isEmpty(PictureSelectionConfig.style.pictureUnCompleteText)) {
                }
            } else {
                this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_bg);
                TextView textView2 = this.mTvPictureRight;
                Context context = getContext();
                int i31 = R.color.picture_color_white;
                textView2.setTextColor(a.b(context, i31));
                this.selectBarLayout.setBackgroundColor(a.b(getContext(), R.color.picture_color_half_grey));
                this.check.setBackgroundResource(R.drawable.picture_wechat_select_cb);
                this.pictureLeftBack.setImageResource(R.drawable.picture_icon_back);
                this.mCbOriginal.setTextColor(a.b(this, i31));
                if (this.config.isOriginalControl) {
                    this.mCbOriginal.setButtonDrawable(a.d(this, R.drawable.picture_original_wechat_checkbox));
                }
            }
        }
        onSelectNumChange(false);
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PictureBaseActivity, com.luck.picture.lib.PicturePreviewActivity
    public void initWidgets() {
        boolean z4;
        super.initWidgets();
        goneParent();
        this.mRvGallery = (RecyclerView) findViewById(R.id.rv_gallery);
        this.bottomLine = findViewById(R.id.bottomLine);
        this.mTvPictureRight.setVisibility(0);
        this.mTvPictureRight.setText(getString(R.string.picture_send));
        this.mCbOriginal.setTextSize(16.0f);
        this.mTvSelected = (TextView) findViewById(R.id.tv_selected);
        this.mTvPictureRight.setOnClickListener(this);
        this.mGalleryAdapter = new PictureWeChatPreviewGalleryAdapter(this.config);
        WrapContentLinearLayoutManager wrapContentLinearLayoutManager = new WrapContentLinearLayoutManager(getContext());
        wrapContentLinearLayoutManager.setOrientation(0);
        this.mRvGallery.setLayoutManager(wrapContentLinearLayoutManager);
        this.mRvGallery.addItemDecoration(new GridSpacingItemDecoration(SubsamplingScaleImageView.TILE_SIZE_AUTO, ScreenUtils.dip2px(this, 8.0f), false));
        this.mRvGallery.setAdapter(this.mGalleryAdapter);
        this.mGalleryAdapter.setItemClickListener(new u(this));
        if (!this.isBottomPreview) {
            int size = this.selectData.size();
            for (int i5 = 0; i5 < size; i5++) {
                LocalMedia localMedia = this.selectData.get(i5);
                if (isEqualsDirectory(localMedia.getParentFolderName(), this.currentDirectory)) {
                    if (this.isShowCamera) {
                        z4 = false;
                        localMedia.setChecked(z4);
                    } else {
                        z4 = false;
                        localMedia.setChecked(z4);
                    }
                    z4 = true;
                    localMedia.setChecked(z4);
                }
            }
        } else if (this.selectData.size() > this.position) {
            int size2 = this.selectData.size();
            for (int i6 = 0; i6 < size2; i6++) {
                this.selectData.get(i6).setChecked(false);
            }
            this.selectData.get(this.position).setChecked(true);
        }
    }

    @Override // com.luck.picture.lib.PicturePreviewActivity
    public void onClick(View view) {
        super.onClick(view);
        if (view.getId() == R.id.picture_right) {
            boolean z4 = true;
            if (!(this.selectData.size() != 0)) {
                this.btnCheck.performClick();
                if (this.selectData.size() == 0) {
                    z4 = false;
                }
                if (!z4) {
                    return;
                }
            }
            this.mTvPictureOk.performClick();
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PicturePreviewActivity
    public void onPageSelectedChange(LocalMedia localMedia) {
        super.onPageSelectedChange(localMedia);
        goneParent();
        if (!this.config.previewEggs) {
            onChangeMediaStatus(localMedia);
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PicturePreviewActivity
    public void onSelectNumChange(boolean z4) {
        TextView textView;
        String str;
        goneParent();
        if (this.selectData.size() != 0) {
            initCompleteText(this.selectData.size());
            if (this.mRvGallery.getVisibility() == 8) {
                this.mRvGallery.animate().alpha(1.0f).setDuration(300).setInterpolator(new AccelerateInterpolator());
                this.mRvGallery.setVisibility(0);
                this.bottomLine.animate().alpha(1.0f).setDuration(300).setInterpolator(new AccelerateInterpolator());
                this.bottomLine.setVisibility(0);
                if (!this.isBottomPreview || this.mGalleryAdapter.getItemCount() <= 0) {
                    this.mGalleryAdapter.setNewData(this.selectData, this.isBottomPreview);
                } else {
                    Log.i(PicturePreviewActivity.TAG, "gallery adapter ignore...");
                }
            }
            PictureParameterStyle pictureParameterStyle = PictureSelectionConfig.style;
            if (pictureParameterStyle != null) {
                int i5 = pictureParameterStyle.pictureCompleteTextColor;
                if (i5 != 0) {
                    this.mTvPictureRight.setTextColor(i5);
                }
                int i6 = PictureSelectionConfig.style.pictureCompleteBackgroundStyle;
                if (i6 != 0) {
                    this.mTvPictureRight.setBackgroundResource(i6);
                    return;
                }
                return;
            }
            this.mTvPictureRight.setTextColor(a.b(getContext(), R.color.picture_color_white));
            this.mTvPictureRight.setBackgroundResource(R.drawable.picture_send_button_bg);
            return;
        }
        PictureParameterStyle pictureParameterStyle2 = PictureSelectionConfig.style;
        if (pictureParameterStyle2 == null || TextUtils.isEmpty(pictureParameterStyle2.pictureUnCompleteText)) {
            textView = this.mTvPictureRight;
            str = getString(R.string.picture_send);
        } else {
            textView = this.mTvPictureRight;
            str = PictureSelectionConfig.style.pictureUnCompleteText;
        }
        textView.setText(str);
        this.mRvGallery.animate().alpha(CropImageView.DEFAULT_ASPECT_RATIO).setDuration(300).setInterpolator(new AccelerateInterpolator());
        this.mRvGallery.setVisibility(8);
        this.bottomLine.animate().alpha(CropImageView.DEFAULT_ASPECT_RATIO).setDuration(300).setInterpolator(new AccelerateInterpolator());
        this.bottomLine.setVisibility(8);
    }

    /* access modifiers changed from: protected */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x004e  */
    /* JADX WARNING: Removed duplicated region for block: B:17:? A[RETURN, SYNTHETIC] */
    @Override // com.luck.picture.lib.PicturePreviewActivity
    public void onSelectedChange(boolean z4, LocalMedia localMedia) {
        int itemCount;
        if (z4) {
            localMedia.setChecked(true);
            if (this.isBottomPreview) {
                this.mGalleryAdapter.getItem(this.position).setMaxSelectEnabledMask(false);
            } else {
                if (this.config.selectionMode == 1) {
                    this.mGalleryAdapter.addSingleMediaToData(localMedia);
                }
                itemCount = this.mGalleryAdapter.getItemCount();
                if (itemCount > 5) {
                    this.mRvGallery.smoothScrollToPosition(itemCount - 1);
                    return;
                }
                return;
            }
        } else {
            localMedia.setChecked(false);
            if (this.isBottomPreview) {
                this.check.setSelected(false);
                this.mGalleryAdapter.getItem(this.position).setMaxSelectEnabledMask(true);
            } else {
                this.mGalleryAdapter.removeMediaToData(localMedia);
                itemCount = this.mGalleryAdapter.getItemCount();
                if (itemCount > 5) {
                }
            }
        }
        this.mGalleryAdapter.notifyDataSetChanged();
        itemCount = this.mGalleryAdapter.getItemCount();
        if (itemCount > 5) {
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PicturePreviewActivity
    public void onUpdateGalleryChange(LocalMedia localMedia) {
        this.mGalleryAdapter.notifyDataSetChanged();
    }

    /* access modifiers changed from: protected */
    @Override // com.luck.picture.lib.PicturePreviewActivity
    public void onUpdateSelectedChange(LocalMedia localMedia) {
        onChangeMediaStatus(localMedia);
    }
}
