package com.luck.picture.lib.widget;

import android.content.Context;
import android.util.AttributeSet;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.luck.picture.lib.listener.OnRecyclerViewPreloadMoreListener;

public class RecyclerPreloadView extends RecyclerView {
    private static final int BOTTOM_DEFAULT = 1;
    public static final int BOTTOM_PRELOAD = 2;
    private static final String TAG = RecyclerPreloadView.class.getSimpleName();
    public boolean isEnabledLoadMore = false;
    public boolean isInTheBottom = false;
    private int mFirstVisiblePosition;
    private int mLastVisiblePosition;
    private OnRecyclerViewPreloadMoreListener onRecyclerViewPreloadListener;
    private int reachBottomRow = 1;

    public RecyclerPreloadView(Context context) {
        super(context);
    }

    public RecyclerPreloadView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public RecyclerPreloadView(Context context, AttributeSet attributeSet, int i5) {
        super(context, attributeSet, i5);
    }

    public int getFirstVisiblePosition() {
        return this.mFirstVisiblePosition;
    }

    public int getLastVisiblePosition() {
        return this.mLastVisiblePosition;
    }

    public boolean isEnabledLoadMore() {
        return this.isEnabledLoadMore;
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void onScrollStateChanged(int i5) {
        super.onScrollStateChanged(i5);
        if (i5 == 0 || i5 == 1) {
            RecyclerView.p layoutManager = getLayoutManager();
            if (layoutManager instanceof GridLayoutManager) {
                GridLayoutManager gridLayoutManager = (GridLayoutManager) layoutManager;
                this.mFirstVisiblePosition = gridLayoutManager.findFirstVisibleItemPosition();
                this.mLastVisiblePosition = gridLayoutManager.findLastVisibleItemPosition();
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:16:0x003e  */
    @Override // androidx.recyclerview.widget.RecyclerView
    public void onScrolled(int i5, int i6) {
        boolean z4;
        super.onScrolled(i5, i6);
        if (this.onRecyclerViewPreloadListener != null && this.isEnabledLoadMore) {
            RecyclerView.p layoutManager = getLayoutManager();
            if (layoutManager != null) {
                RecyclerView.h adapter = getAdapter();
                if (adapter != null) {
                    if (layoutManager instanceof GridLayoutManager) {
                        GridLayoutManager gridLayoutManager = (GridLayoutManager) layoutManager;
                        if (gridLayoutManager.findLastVisibleItemPosition() / gridLayoutManager.k() >= (adapter.getItemCount() / gridLayoutManager.k()) - this.reachBottomRow) {
                            z4 = true;
                            if (z4) {
                                if (!this.isInTheBottom) {
                                    this.onRecyclerViewPreloadListener.onRecyclerViewPreloadMore();
                                    if (i6 > 0) {
                                        this.isInTheBottom = true;
                                        return;
                                    }
                                    return;
                                } else if (i6 != 0) {
                                    return;
                                }
                            }
                            this.isInTheBottom = false;
                            return;
                        }
                    }
                    z4 = false;
                    if (z4) {
                    }
                    this.isInTheBottom = false;
                    return;
                }
                throw new RuntimeException("Adapter is null,Please check it!");
            }
            throw new RuntimeException("LayoutManager is null,Please check it!");
        }
    }

    public void setEnabledLoadMore(boolean z4) {
        this.isEnabledLoadMore = z4;
    }

    public void setOnRecyclerViewPreloadListener(OnRecyclerViewPreloadMoreListener onRecyclerViewPreloadMoreListener) {
        this.onRecyclerViewPreloadListener = onRecyclerViewPreloadMoreListener;
    }

    public void setReachBottomRow(int i5) {
        if (i5 < 1) {
            i5 = 1;
        }
        this.reachBottomRow = i5;
    }
}
