package io.flutter.embedding.android;

import android.content.Context;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.widget.FrameLayout;
import io.flutter.embedding.android.k;

/* access modifiers changed from: package-private */
public final class FlutterSplashView extends FrameLayout {

    /* renamed from: n  reason: collision with root package name */
    private static String f5090n = "FlutterSplashView";

    /* renamed from: e  reason: collision with root package name */
    private x f5091e;

    /* renamed from: f  reason: collision with root package name */
    private k f5092f;

    /* renamed from: g  reason: collision with root package name */
    private View f5093g;

    /* renamed from: h  reason: collision with root package name */
    Bundle f5094h;

    /* renamed from: i  reason: collision with root package name */
    private String f5095i;

    /* renamed from: j  reason: collision with root package name */
    private String f5096j;

    /* renamed from: k  reason: collision with root package name */
    private final k.f f5097k;

    /* renamed from: l  reason: collision with root package name */
    private final s3.b f5098l;

    /* renamed from: m  reason: collision with root package name */
    private final Runnable f5099m;

    public static class SavedState extends View.BaseSavedState {
        public static Parcelable.Creator<SavedState> CREATOR = new a();
        private String previousCompletedSplashIsolate;
        private Bundle splashScreenState;

        class a implements Parcelable.Creator<SavedState> {
            a() {
            }

            /* renamed from: a */
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel);
            }

            /* renamed from: b */
            public SavedState[] newArray(int i5) {
                return new SavedState[i5];
            }
        }

        SavedState(Parcel parcel) {
            super(parcel);
            this.previousCompletedSplashIsolate = parcel.readString();
            this.splashScreenState = parcel.readBundle(getClass().getClassLoader());
        }

        SavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public void writeToParcel(Parcel parcel, int i5) {
            super.writeToParcel(parcel, i5);
            parcel.writeString(this.previousCompletedSplashIsolate);
            parcel.writeBundle(this.splashScreenState);
        }
    }

    class a implements k.f {
        a() {
        }

        @Override // io.flutter.embedding.android.k.f
        public void a() {
        }

        @Override // io.flutter.embedding.android.k.f
        public void b(io.flutter.embedding.engine.a aVar) {
            FlutterSplashView.this.f5092f.y(this);
            FlutterSplashView flutterSplashView = FlutterSplashView.this;
            flutterSplashView.g(flutterSplashView.f5092f, FlutterSplashView.this.f5091e);
        }
    }

    class b implements s3.b {
        b() {
        }

        @Override // s3.b
        public void b() {
        }

        @Override // s3.b
        public void e() {
            if (FlutterSplashView.this.f5091e != null) {
                FlutterSplashView.this.k();
            }
        }
    }

    class c implements Runnable {
        c() {
        }

        public void run() {
            FlutterSplashView flutterSplashView = FlutterSplashView.this;
            flutterSplashView.removeView(flutterSplashView.f5093g);
            FlutterSplashView flutterSplashView2 = FlutterSplashView.this;
            flutterSplashView2.f5096j = flutterSplashView2.f5095i;
        }
    }

    public FlutterSplashView(Context context) {
        this(context, null, 0);
    }

    public FlutterSplashView(Context context, AttributeSet attributeSet, int i5) {
        super(context, attributeSet, i5);
        this.f5097k = new a();
        this.f5098l = new b();
        this.f5099m = new c();
        setSaveEnabled(true);
    }

    private boolean h() {
        k kVar = this.f5092f;
        if (kVar == null) {
            throw new IllegalStateException("Cannot determine if splash has completed when no FlutterView is set.");
        } else if (kVar.w()) {
            return this.f5092f.getAttachedFlutterEngine().h().j() != null && this.f5092f.getAttachedFlutterEngine().h().j().equals(this.f5096j);
        } else {
            throw new IllegalStateException("Cannot determine if splash has completed when no FlutterEngine is attached to our FlutterView. This question depends on an isolate ID to differentiate Flutter experiences.");
        }
    }

    private boolean i() {
        k kVar = this.f5092f;
        return kVar != null && kVar.w() && !this.f5092f.u() && !h();
    }

    private boolean j() {
        x xVar;
        k kVar = this.f5092f;
        return kVar != null && kVar.w() && (xVar = this.f5091e) != null && xVar.b() && l();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void k() {
        this.f5095i = this.f5092f.getAttachedFlutterEngine().h().j();
        String str = f5090n;
        h3.b.e(str, "Transitioning splash screen to a Flutter UI. Isolate: " + this.f5095i);
        this.f5091e.a(this.f5099m);
    }

    private boolean l() {
        k kVar = this.f5092f;
        if (kVar == null) {
            throw new IllegalStateException("Cannot determine if previous splash transition was interrupted when no FlutterView is set.");
        } else if (kVar.w()) {
            return this.f5092f.u() && !h();
        } else {
            throw new IllegalStateException("Cannot determine if previous splash transition was interrupted when no FlutterEngine is attached to our FlutterView. This question depends on an isolate ID to differentiate Flutter experiences.");
        }
    }

    public void g(k kVar, x xVar) {
        k kVar2 = this.f5092f;
        if (kVar2 != null) {
            kVar2.z(this.f5098l);
            removeView(this.f5092f);
        }
        View view = this.f5093g;
        if (view != null) {
            removeView(view);
        }
        this.f5092f = kVar;
        addView(kVar);
        this.f5091e = xVar;
        if (xVar == null) {
            return;
        }
        if (i()) {
            h3.b.e(f5090n, "Showing splash screen UI.");
            View c5 = xVar.c(getContext(), this.f5094h);
            this.f5093g = c5;
            addView(c5);
            kVar.l(this.f5098l);
        } else if (j()) {
            h3.b.e(f5090n, "Showing an immediate splash transition to Flutter due to previously interrupted transition.");
            View c6 = xVar.c(getContext(), this.f5094h);
            this.f5093g = c6;
            addView(c6);
            k();
        } else if (!kVar.w()) {
            h3.b.e(f5090n, "FlutterView is not yet attached to a FlutterEngine. Showing nothing until a FlutterEngine is attached.");
            kVar.k(this.f5097k);
        }
    }

    /* access modifiers changed from: protected */
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (!(parcelable instanceof SavedState)) {
            super.onRestoreInstanceState(parcelable);
            return;
        }
        SavedState savedState = (SavedState) parcelable;
        super.onRestoreInstanceState(savedState.getSuperState());
        this.f5096j = savedState.previousCompletedSplashIsolate;
        this.f5094h = savedState.splashScreenState;
    }

    /* access modifiers changed from: protected */
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(super.onSaveInstanceState());
        savedState.previousCompletedSplashIsolate = this.f5096j;
        x xVar = this.f5091e;
        savedState.splashScreenState = xVar != null ? xVar.d() : null;
        return savedState;
    }
}
