package io.flutter.embedding.android;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.content.res.Resources;
import android.graphics.drawable.ColorDrawable;
import android.graphics.drawable.Drawable;
import android.os.Build;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import androidx.lifecycle.h;
import androidx.lifecycle.l;
import androidx.lifecycle.m;
import com.luck.picture.lib.tools.PictureFileUtils;
import h3.b;
import io.flutter.embedding.android.e;
import io.flutter.embedding.engine.a;
import java.util.List;
import y3.h;

public class d extends Activity implements e.c, l {

    /* renamed from: g  reason: collision with root package name */
    public static final int f5114g = h.d(61938);

    /* renamed from: e  reason: collision with root package name */
    protected e f5115e;

    /* renamed from: f  reason: collision with root package name */
    private m f5116f = new m(this);

    private void A() {
        if (Build.VERSION.SDK_INT >= 21) {
            Window window = getWindow();
            window.addFlags(Integer.MIN_VALUE);
            window.setStatusBarColor(PictureFileUtils.GB);
            window.getDecorView().setSystemUiVisibility(1280);
        }
    }

    private void B() {
        if (D() == f.transparent) {
            getWindow().setBackgroundDrawable(new ColorDrawable(0));
        }
    }

    private View C() {
        return this.f5115e.r(null, null, null, f5114g, u() == v.surface);
    }

    private Drawable G() {
        try {
            Bundle F = F();
            int i5 = F != null ? F.getInt("io.flutter.embedding.android.SplashScreenDrawable") : 0;
            if (i5 != 0) {
                return x.h.d(getResources(), i5, getTheme());
            }
            return null;
        } catch (Resources.NotFoundException e5) {
            b.b("FlutterActivity", "Splash screen not found. Ensure the drawable exists and that it's valid.");
            throw e5;
        } catch (PackageManager.NameNotFoundException unused) {
            return null;
        }
    }

    private boolean H() {
        return (getApplicationInfo().flags & 2) != 0;
    }

    private void I() {
        e eVar = this.f5115e;
        if (eVar != null) {
            eVar.F();
            this.f5115e = null;
        }
    }

    private boolean J(String str) {
        StringBuilder sb;
        String str2;
        e eVar = this.f5115e;
        if (eVar == null) {
            sb = new StringBuilder();
            sb.append("FlutterActivity ");
            sb.append(hashCode());
            sb.append(" ");
            sb.append(str);
            str2 = " called after release.";
        } else if (eVar.l()) {
            return true;
        } else {
            sb = new StringBuilder();
            sb.append("FlutterActivity ");
            sb.append(hashCode());
            sb.append(" ");
            sb.append(str);
            str2 = " called after detach.";
        }
        sb.append(str2);
        b.f("FlutterActivity", sb.toString());
        return false;
    }

    private void K() {
        try {
            Bundle F = F();
            if (F != null) {
                int i5 = F.getInt("io.flutter.embedding.android.NormalTheme", -1);
                if (i5 != -1) {
                    setTheme(i5);
                    return;
                }
                return;
            }
            b.e("FlutterActivity", "Using the launch theme as normal theme.");
        } catch (PackageManager.NameNotFoundException unused) {
            b.b("FlutterActivity", "Could not read meta-data for FlutterActivity. Using the launch theme as normal theme.");
        }
    }

    /* access modifiers changed from: protected */
    public f D() {
        return getIntent().hasExtra("background_mode") ? f.valueOf(getIntent().getStringExtra("background_mode")) : f.opaque;
    }

    /* access modifiers changed from: protected */
    public a E() {
        return this.f5115e.k();
    }

    /* access modifiers changed from: protected */
    public Bundle F() {
        return getPackageManager().getActivityInfo(getComponentName(), 128).metaData;
    }

    @Override // io.flutter.plugin.platform.b.d
    public boolean a() {
        return false;
    }

    @Override // io.flutter.embedding.android.e.c
    public void b() {
    }

    @Override // io.flutter.embedding.android.e.c
    public Activity c() {
        return this;
    }

    @Override // io.flutter.embedding.android.e.c
    public void d() {
        b.f("FlutterActivity", "FlutterActivity " + this + " connection to the engine " + E() + " evicted by another attaching activity");
        e eVar = this.f5115e;
        if (eVar != null) {
            eVar.s();
            this.f5115e.t();
        }
    }

    @Override // io.flutter.embedding.android.e.c
    public void e() {
        if (Build.VERSION.SDK_INT >= 29) {
            reportFullyDrawn();
        }
    }

    @Override // io.flutter.embedding.android.e.c
    public String f() {
        if (getIntent().hasExtra("route")) {
            return getIntent().getStringExtra("route");
        }
        try {
            Bundle F = F();
            if (F != null) {
                return F.getString("io.flutter.InitialRoute");
            }
            return null;
        } catch (PackageManager.NameNotFoundException unused) {
            return null;
        }
    }

    @Override // io.flutter.embedding.android.e.c
    public List<String> g() {
        return (List) getIntent().getSerializableExtra("dart_entrypoint_args");
    }

    @Override // io.flutter.embedding.android.e.c
    public Context getContext() {
        return this;
    }

    @Override // io.flutter.embedding.android.e.c, androidx.lifecycle.l
    public androidx.lifecycle.h getLifecycle() {
        return this.f5116f;
    }

    @Override // io.flutter.embedding.android.e.c
    public boolean h() {
        return true;
    }

    @Override // io.flutter.embedding.android.e.c
    public boolean i() {
        boolean booleanExtra = getIntent().getBooleanExtra("destroy_engine_with_activity", false);
        return (k() != null || this.f5115e.m()) ? booleanExtra : getIntent().getBooleanExtra("destroy_engine_with_activity", true);
    }

    @Override // io.flutter.embedding.android.e.c
    public boolean j() {
        return true;
    }

    @Override // io.flutter.embedding.android.e.c
    public String k() {
        return getIntent().getStringExtra("cached_engine_id");
    }

    @Override // io.flutter.embedding.android.e.c
    public boolean l() {
        return getIntent().hasExtra("enable_state_restoration") ? getIntent().getBooleanExtra("enable_state_restoration", false) : k() == null;
    }

    @Override // io.flutter.embedding.android.e.c
    public String m() {
        try {
            Bundle F = F();
            String string = F != null ? F.getString("io.flutter.Entrypoint") : null;
            return string != null ? string : "main";
        } catch (PackageManager.NameNotFoundException unused) {
            return "main";
        }
    }

    @Override // io.flutter.embedding.android.e.c
    public void n(a aVar) {
    }

    @Override // io.flutter.embedding.android.e.c
    public String o() {
        try {
            Bundle F = F();
            if (F != null) {
                return F.getString("io.flutter.EntrypointUri");
            }
            return null;
        } catch (PackageManager.NameNotFoundException unused) {
            return null;
        }
    }

    /* access modifiers changed from: protected */
    public void onActivityResult(int i5, int i6, Intent intent) {
        if (J("onActivityResult")) {
            this.f5115e.o(i5, i6, intent);
        }
    }

    public void onBackPressed() {
        if (J("onBackPressed")) {
            this.f5115e.q();
        }
    }

    /* access modifiers changed from: protected */
    public void onCreate(Bundle bundle) {
        K();
        super.onCreate(bundle);
        e eVar = new e(this);
        this.f5115e = eVar;
        eVar.p(this);
        this.f5115e.y(bundle);
        this.f5116f.h(h.b.ON_CREATE);
        B();
        setContentView(C());
        A();
    }

    /* access modifiers changed from: protected */
    public void onDestroy() {
        super.onDestroy();
        if (J("onDestroy")) {
            this.f5115e.s();
            this.f5115e.t();
        }
        I();
        this.f5116f.h(h.b.ON_DESTROY);
    }

    /* access modifiers changed from: protected */
    public void onNewIntent(Intent intent) {
        super.onNewIntent(intent);
        if (J("onNewIntent")) {
            this.f5115e.u(intent);
        }
    }

    /* access modifiers changed from: protected */
    public void onPause() {
        super.onPause();
        if (J("onPause")) {
            this.f5115e.v();
        }
        this.f5116f.h(h.b.ON_PAUSE);
    }

    public void onPostResume() {
        super.onPostResume();
        if (J("onPostResume")) {
            this.f5115e.w();
        }
    }

    public void onRequestPermissionsResult(int i5, String[] strArr, int[] iArr) {
        if (J("onRequestPermissionsResult")) {
            this.f5115e.x(i5, strArr, iArr);
        }
    }

    /* access modifiers changed from: protected */
    public void onResume() {
        super.onResume();
        this.f5116f.h(h.b.ON_RESUME);
        if (J("onResume")) {
            this.f5115e.z();
        }
    }

    /* access modifiers changed from: protected */
    public void onSaveInstanceState(Bundle bundle) {
        super.onSaveInstanceState(bundle);
        if (J("onSaveInstanceState")) {
            this.f5115e.A(bundle);
        }
    }

    /* access modifiers changed from: protected */
    public void onStart() {
        super.onStart();
        this.f5116f.h(h.b.ON_START);
        if (J("onStart")) {
            this.f5115e.B();
        }
    }

    /* access modifiers changed from: protected */
    public void onStop() {
        super.onStop();
        if (J("onStop")) {
            this.f5115e.C();
        }
        this.f5116f.h(h.b.ON_STOP);
    }

    public void onTrimMemory(int i5) {
        super.onTrimMemory(i5);
        if (J("onTrimMemory")) {
            this.f5115e.D(i5);
        }
    }

    public void onUserLeaveHint() {
        if (J("onUserLeaveHint")) {
            this.f5115e.E();
        }
    }

    @Override // io.flutter.embedding.android.e.c
    public io.flutter.plugin.platform.b p(Activity activity, a aVar) {
        return new io.flutter.plugin.platform.b(c(), aVar.m(), this);
    }

    @Override // io.flutter.embedding.android.e.c
    public void q(h hVar) {
    }

    @Override // io.flutter.embedding.android.e.c
    public String r() {
        String dataString;
        if (!H() || !"android.intent.action.RUN".equals(getIntent().getAction()) || (dataString = getIntent().getDataString()) == null) {
            return null;
        }
        return dataString;
    }

    @Override // io.flutter.embedding.android.e.c
    public boolean s() {
        try {
            Bundle F = F();
            if (F != null) {
                return F.getBoolean("flutter_deeplinking_enabled");
            }
            return false;
        } catch (PackageManager.NameNotFoundException unused) {
            return false;
        }
    }

    @Override // io.flutter.embedding.android.e.c
    public io.flutter.embedding.engine.e t() {
        return io.flutter.embedding.engine.e.a(getIntent());
    }

    @Override // io.flutter.embedding.android.e.c
    public v u() {
        return D() == f.opaque ? v.surface : v.texture;
    }

    @Override // io.flutter.embedding.android.e.c
    public x v() {
        Drawable G = G();
        if (G != null) {
            return new b(G);
        }
        return null;
    }

    @Override // io.flutter.embedding.android.e.c
    public a w(Context context) {
        return null;
    }

    @Override // io.flutter.embedding.android.e.c
    public y x() {
        return D() == f.opaque ? y.opaque : y.transparent;
    }

    @Override // io.flutter.embedding.android.e.c
    public void y(i iVar) {
    }

    @Override // io.flutter.embedding.android.e.c
    public void z(a aVar) {
        if (!this.f5115e.m()) {
            r3.a.a(aVar);
        }
    }
}
