package io.flutter.plugin.editing;

import android.content.ClipData;
import android.content.ClipboardManager;
import android.os.Build;
import android.os.Bundle;
import android.text.DynamicLayout;
import android.text.Editable;
import android.text.Layout;
import android.text.Selection;
import android.text.TextPaint;
import android.view.KeyEvent;
import android.view.View;
import android.view.inputmethod.BaseInputConnection;
import android.view.inputmethod.CursorAnchorInfo;
import android.view.inputmethod.EditorInfo;
import android.view.inputmethod.ExtractedText;
import android.view.inputmethod.ExtractedTextRequest;
import android.view.inputmethod.InputMethodManager;
import com.luck.picture.lib.widget.longimage.SubsamplingScaleImageView;
import com.yalantis.ucrop.view.CropImageView;
import io.flutter.embedding.engine.FlutterJNI;
import io.flutter.plugin.editing.c;
import t3.p;

public class b extends BaseInputConnection implements c.b {

    /* renamed from: a  reason: collision with root package name */
    private final View f5317a;

    /* renamed from: b  reason: collision with root package name */
    private final int f5318b;

    /* renamed from: c  reason: collision with root package name */
    private final p f5319c;

    /* renamed from: d  reason: collision with root package name */
    private final c f5320d;

    /* renamed from: e  reason: collision with root package name */
    private final EditorInfo f5321e;

    /* renamed from: f  reason: collision with root package name */
    private ExtractedTextRequest f5322f;

    /* renamed from: g  reason: collision with root package name */
    private boolean f5323g;

    /* renamed from: h  reason: collision with root package name */
    private CursorAnchorInfo.Builder f5324h;

    /* renamed from: i  reason: collision with root package name */
    private ExtractedText f5325i;

    /* renamed from: j  reason: collision with root package name */
    private InputMethodManager f5326j;

    /* renamed from: k  reason: collision with root package name */
    private final Layout f5327k;

    /* renamed from: l  reason: collision with root package name */
    private a f5328l;

    /* renamed from: m  reason: collision with root package name */
    private final a f5329m;

    /* renamed from: n  reason: collision with root package name */
    private int f5330n;

    public interface a {
        boolean a(KeyEvent keyEvent);
    }

    public b(View view, int i5, p pVar, a aVar, c cVar, EditorInfo editorInfo) {
        this(view, i5, pVar, aVar, cVar, editorInfo, new FlutterJNI());
    }

    public b(View view, int i5, p pVar, a aVar, c cVar, EditorInfo editorInfo, FlutterJNI flutterJNI) {
        super(view, true);
        this.f5323g = false;
        this.f5325i = new ExtractedText();
        this.f5330n = 0;
        this.f5317a = view;
        this.f5318b = i5;
        this.f5319c = pVar;
        this.f5320d = cVar;
        cVar.a(this);
        this.f5321e = editorInfo;
        this.f5329m = aVar;
        this.f5328l = new a(flutterJNI);
        this.f5327k = new DynamicLayout(cVar, new TextPaint(), SubsamplingScaleImageView.TILE_SIZE_AUTO, Layout.Alignment.ALIGN_NORMAL, 1.0f, CropImageView.DEFAULT_ASPECT_RATIO, false);
        this.f5326j = (InputMethodManager) view.getContext().getSystemService("input_method");
    }

    private boolean b(int i5) {
        if (i5 == 16908319) {
            setSelection(0, this.f5320d.length());
            return true;
        } else if (i5 == 16908320) {
            int selectionStart = Selection.getSelectionStart(this.f5320d);
            int selectionEnd = Selection.getSelectionEnd(this.f5320d);
            if (selectionStart != selectionEnd) {
                int min = Math.min(selectionStart, selectionEnd);
                int max = Math.max(selectionStart, selectionEnd);
                ((ClipboardManager) this.f5317a.getContext().getSystemService("clipboard")).setPrimaryClip(ClipData.newPlainText("text label?", this.f5320d.subSequence(min, max)));
                this.f5320d.delete(min, max);
                setSelection(min, min);
            }
            return true;
        } else if (i5 == 16908321) {
            int selectionStart2 = Selection.getSelectionStart(this.f5320d);
            int selectionEnd2 = Selection.getSelectionEnd(this.f5320d);
            if (selectionStart2 != selectionEnd2) {
                ((ClipboardManager) this.f5317a.getContext().getSystemService("clipboard")).setPrimaryClip(ClipData.newPlainText("text label?", this.f5320d.subSequence(Math.min(selectionStart2, selectionEnd2), Math.max(selectionStart2, selectionEnd2))));
            }
            return true;
        } else if (i5 != 16908322) {
            return false;
        } else {
            ClipData primaryClip = ((ClipboardManager) this.f5317a.getContext().getSystemService("clipboard")).getPrimaryClip();
            if (primaryClip != null) {
                CharSequence coerceToText = primaryClip.getItemAt(0).coerceToText(this.f5317a.getContext());
                int max2 = Math.max(0, Selection.getSelectionStart(this.f5320d));
                int max3 = Math.max(0, Selection.getSelectionEnd(this.f5320d));
                int min2 = Math.min(max2, max3);
                int max4 = Math.max(max2, max3);
                if (min2 != max4) {
                    this.f5320d.delete(min2, max4);
                }
                this.f5320d.insert(min2, coerceToText);
                int length = min2 + coerceToText.length();
                setSelection(length, length);
            }
            return true;
        }
    }

    private CursorAnchorInfo c() {
        if (Build.VERSION.SDK_INT < 21) {
            return null;
        }
        CursorAnchorInfo.Builder builder = this.f5324h;
        if (builder == null) {
            this.f5324h = new CursorAnchorInfo.Builder();
        } else {
            builder.reset();
        }
        this.f5324h.setSelectionRange(this.f5320d.i(), this.f5320d.h());
        int g5 = this.f5320d.g();
        int f5 = this.f5320d.f();
        if (g5 < 0 || f5 <= g5) {
            this.f5324h.setComposingText(-1, "");
        } else {
            this.f5324h.setComposingText(g5, this.f5320d.toString().subSequence(g5, f5));
        }
        return this.f5324h.build();
    }

    private ExtractedText d(ExtractedTextRequest extractedTextRequest) {
        ExtractedText extractedText = this.f5325i;
        extractedText.startOffset = 0;
        extractedText.partialStartOffset = -1;
        extractedText.partialEndOffset = -1;
        extractedText.selectionStart = this.f5320d.i();
        this.f5325i.selectionEnd = this.f5320d.h();
        this.f5325i.text = (extractedTextRequest == null || (extractedTextRequest.flags & 1) == 0) ? this.f5320d.toString() : this.f5320d;
        return this.f5325i;
    }

    private boolean e(boolean z4, boolean z5) {
        int selectionStart = Selection.getSelectionStart(this.f5320d);
        int selectionEnd = Selection.getSelectionEnd(this.f5320d);
        boolean z6 = false;
        if (selectionStart < 0 || selectionEnd < 0) {
            return false;
        }
        int max = z4 ? Math.max(this.f5328l.b(this.f5320d, selectionEnd), 0) : Math.min(this.f5328l.a(this.f5320d, selectionEnd), this.f5320d.length());
        if (selectionStart == selectionEnd && !z5) {
            z6 = true;
        }
        if (z6) {
            setSelection(max, max);
        } else {
            setSelection(selectionStart, max);
        }
        return true;
    }

    private boolean g(boolean z4, boolean z5) {
        int selectionStart = Selection.getSelectionStart(this.f5320d);
        int selectionEnd = Selection.getSelectionEnd(this.f5320d);
        boolean z6 = false;
        if (selectionStart < 0 || selectionEnd < 0) {
            return false;
        }
        if (selectionStart == selectionEnd && !z5) {
            z6 = true;
        }
        beginBatchEdit();
        if (z6) {
            if (z4) {
                Selection.moveUp(this.f5320d, this.f5327k);
            } else {
                Selection.moveDown(this.f5320d, this.f5327k);
            }
            int selectionStart2 = Selection.getSelectionStart(this.f5320d);
            setSelection(selectionStart2, selectionStart2);
        } else {
            if (z4) {
                Selection.extendUp(this.f5320d, this.f5327k);
            } else {
                Selection.extendDown(this.f5320d, this.f5327k);
            }
            setSelection(Selection.getSelectionStart(this.f5320d), Selection.getSelectionEnd(this.f5320d));
        }
        endBatchEdit();
        return true;
    }

    @Override // io.flutter.plugin.editing.c.b
    public void a(boolean z4, boolean z5, boolean z6) {
        this.f5326j.updateSelection(this.f5317a, this.f5320d.i(), this.f5320d.h(), this.f5320d.g(), this.f5320d.f());
        if (Build.VERSION.SDK_INT >= 21) {
            ExtractedTextRequest extractedTextRequest = this.f5322f;
            if (extractedTextRequest != null) {
                this.f5326j.updateExtractedText(this.f5317a, extractedTextRequest.token, d(extractedTextRequest));
            }
            if (this.f5323g) {
                this.f5326j.updateCursorAnchorInfo(this.f5317a, c());
            }
        }
    }

    public boolean beginBatchEdit() {
        this.f5320d.b();
        this.f5330n++;
        return super.beginBatchEdit();
    }

    public boolean clearMetaKeyStates(int i5) {
        return super.clearMetaKeyStates(i5);
    }

    public void closeConnection() {
        super.closeConnection();
        this.f5320d.l(this);
        while (this.f5330n > 0) {
            endBatchEdit();
            this.f5330n--;
        }
    }

    public boolean commitText(CharSequence charSequence, int i5) {
        return super.commitText(charSequence, i5);
    }

    public boolean deleteSurroundingText(int i5, int i6) {
        if (this.f5320d.i() == -1) {
            return true;
        }
        return super.deleteSurroundingText(i5, i6);
    }

    public boolean deleteSurroundingTextInCodePoints(int i5, int i6) {
        return super.deleteSurroundingTextInCodePoints(i5, i6);
    }

    public boolean endBatchEdit() {
        boolean endBatchEdit = super.endBatchEdit();
        this.f5330n--;
        this.f5320d.d();
        return endBatchEdit;
    }

    public boolean f(KeyEvent keyEvent) {
        if (keyEvent.getAction() == 0) {
            if (keyEvent.getKeyCode() == 21) {
                return e(true, keyEvent.isShiftPressed());
            }
            if (keyEvent.getKeyCode() == 22) {
                return e(false, keyEvent.isShiftPressed());
            }
            if (keyEvent.getKeyCode() == 19) {
                return g(true, keyEvent.isShiftPressed());
            }
            if (keyEvent.getKeyCode() == 20) {
                return g(false, keyEvent.isShiftPressed());
            }
            if (keyEvent.getKeyCode() == 66 || keyEvent.getKeyCode() == 160) {
                EditorInfo editorInfo = this.f5321e;
                if ((131072 & editorInfo.inputType) == 0) {
                    performEditorAction(editorInfo.imeOptions & 255);
                    return true;
                }
            }
            int selectionStart = Selection.getSelectionStart(this.f5320d);
            int selectionEnd = Selection.getSelectionEnd(this.f5320d);
            int unicodeChar = keyEvent.getUnicodeChar();
            if (selectionStart < 0 || selectionEnd < 0 || unicodeChar == 0) {
                return false;
            }
            int min = Math.min(selectionStart, selectionEnd);
            int max = Math.max(selectionStart, selectionEnd);
            beginBatchEdit();
            if (min != max) {
                this.f5320d.delete(min, max);
            }
            this.f5320d.insert(min, (CharSequence) String.valueOf((char) unicodeChar));
            int i5 = min + 1;
            setSelection(i5, i5);
            endBatchEdit();
            return true;
        } else if (keyEvent.getAction() != 1 || (keyEvent.getKeyCode() != 59 && keyEvent.getKeyCode() != 60)) {
            return false;
        } else {
            int selectionEnd2 = Selection.getSelectionEnd(this.f5320d);
            setSelection(selectionEnd2, selectionEnd2);
            return true;
        }
    }

    public boolean finishComposingText() {
        return super.finishComposingText();
    }

    public Editable getEditable() {
        return this.f5320d;
    }

    public ExtractedText getExtractedText(ExtractedTextRequest extractedTextRequest, int i5) {
        boolean z4 = true;
        boolean z5 = (i5 & 1) != 0;
        if (this.f5322f != null) {
            z4 = false;
        }
        if (z5 == z4) {
            StringBuilder sb = new StringBuilder();
            sb.append("The input method toggled text monitoring ");
            sb.append(z5 ? "on" : "off");
            h3.b.a("InputConnectionAdaptor", sb.toString());
        }
        this.f5322f = z5 ? extractedTextRequest : null;
        return d(extractedTextRequest);
    }

    public boolean performContextMenuAction(int i5) {
        beginBatchEdit();
        boolean b5 = b(i5);
        endBatchEdit();
        return b5;
    }

    public boolean performEditorAction(int i5) {
        if (i5 == 0) {
            this.f5319c.n(this.f5318b);
        } else if (i5 == 1) {
            this.f5319c.f(this.f5318b);
        } else if (i5 == 2) {
            this.f5319c.e(this.f5318b);
        } else if (i5 == 3) {
            this.f5319c.k(this.f5318b);
        } else if (i5 == 4) {
            this.f5319c.l(this.f5318b);
        } else if (i5 == 5) {
            this.f5319c.g(this.f5318b);
        } else if (i5 != 7) {
            this.f5319c.d(this.f5318b);
        } else {
            this.f5319c.i(this.f5318b);
        }
        return true;
    }

    public boolean performPrivateCommand(String str, Bundle bundle) {
        this.f5319c.h(this.f5318b, str, bundle);
        return true;
    }

    public boolean requestCursorUpdates(int i5) {
        boolean z4 = false;
        if (Build.VERSION.SDK_INT < 21) {
            return false;
        }
        if ((i5 & 1) != 0) {
            this.f5326j.updateCursorAnchorInfo(this.f5317a, c());
        }
        if ((i5 & 2) != 0) {
            z4 = true;
        }
        if (z4 != this.f5323g) {
            StringBuilder sb = new StringBuilder();
            sb.append("The input method toggled cursor monitoring ");
            sb.append(z4 ? "on" : "off");
            h3.b.a("InputConnectionAdaptor", sb.toString());
        }
        this.f5323g = z4;
        return true;
    }

    public boolean sendKeyEvent(KeyEvent keyEvent) {
        return this.f5329m.a(keyEvent);
    }

    public boolean setComposingRegion(int i5, int i6) {
        return super.setComposingRegion(i5, i6);
    }

    public boolean setComposingText(CharSequence charSequence, int i5) {
        beginBatchEdit();
        boolean commitText = charSequence.length() == 0 ? super.commitText(charSequence, i5) : super.setComposingText(charSequence, i5);
        endBatchEdit();
        return commitText;
    }

    public boolean setSelection(int i5, int i6) {
        beginBatchEdit();
        boolean selection = super.setSelection(i5, i6);
        endBatchEdit();
        return selection;
    }
}
