package io.flutter.plugin.platform;

import android.app.AlertDialog;
import android.app.Presentation;
import android.content.Context;
import android.content.ContextWrapper;
import android.content.MutableContextWrapper;
import android.graphics.Rect;
import android.graphics.drawable.ColorDrawable;
import android.os.Build;
import android.os.Bundle;
import android.view.Display;
import android.view.Gravity;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import android.view.accessibility.AccessibilityEvent;
import android.view.inputmethod.InputMethodManager;
import android.widget.FrameLayout;
import java.lang.reflect.InvocationHandler;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.lang.reflect.Proxy;

/* access modifiers changed from: package-private */
public class SingleViewPresentation extends Presentation {
    private static final String TAG = "PlatformViewsController";
    private final a accessibilityEventsDelegate;
    private FrameLayout container;
    private Object createParams;
    private final View.OnFocusChangeListener focusChangeListener;
    private final Context outerContext;
    private a rootView;
    private boolean startFocused = false;
    private final e state;
    private int viewId;

    private static class a extends FrameLayout {

        /* renamed from: e  reason: collision with root package name */
        private final a f5384e;

        /* renamed from: f  reason: collision with root package name */
        private final View f5385f;

        public a(Context context, a aVar, View view) {
            super(context);
            this.f5384e = aVar;
            this.f5385f = view;
        }

        public boolean requestSendAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
            return this.f5384e.a(this.f5385f, view, accessibilityEvent);
        }
    }

    /* access modifiers changed from: package-private */
    public static class b extends ViewGroup {

        /* renamed from: e  reason: collision with root package name */
        private final Rect f5386e = new Rect();

        /* renamed from: f  reason: collision with root package name */
        private final Rect f5387f = new Rect();

        public b(Context context) {
            super(context);
        }

        private static int a(int i5) {
            return View.MeasureSpec.makeMeasureSpec(View.MeasureSpec.getSize(i5), Integer.MIN_VALUE);
        }

        /* access modifiers changed from: protected */
        public void onLayout(boolean z4, int i5, int i6, int i7, int i8) {
            for (int i9 = 0; i9 < getChildCount(); i9++) {
                View childAt = getChildAt(i9);
                WindowManager.LayoutParams layoutParams = (WindowManager.LayoutParams) childAt.getLayoutParams();
                this.f5386e.set(i5, i6, i7, i8);
                Gravity.apply(layoutParams.gravity, childAt.getMeasuredWidth(), childAt.getMeasuredHeight(), this.f5386e, layoutParams.x, layoutParams.y, this.f5387f);
                Rect rect = this.f5387f;
                childAt.layout(rect.left, rect.top, rect.right, rect.bottom);
            }
        }

        /* access modifiers changed from: protected */
        public void onMeasure(int i5, int i6) {
            for (int i7 = 0; i7 < getChildCount(); i7++) {
                getChildAt(i7).measure(a(i5), a(i6));
            }
            super.onMeasure(i5, i6);
        }
    }

    private static class c extends ContextWrapper {

        /* renamed from: a  reason: collision with root package name */
        private final InputMethodManager f5388a;

        c(Context context) {
            this(context, null);
        }

        private c(Context context, InputMethodManager inputMethodManager) {
            super(context);
            this.f5388a = inputMethodManager == null ? (InputMethodManager) context.getSystemService("input_method") : inputMethodManager;
        }

        public Context createDisplayContext(Display display) {
            return new c(super.createDisplayContext(display), this.f5388a);
        }

        @Override // android.content.Context, android.content.ContextWrapper
        public Object getSystemService(String str) {
            return "input_method".equals(str) ? this.f5388a : super.getSystemService(str);
        }
    }

    private static class d extends ContextWrapper {

        /* renamed from: a  reason: collision with root package name */
        private final f f5389a;

        /* renamed from: b  reason: collision with root package name */
        private WindowManager f5390b;

        /* renamed from: c  reason: collision with root package name */
        private final Context f5391c;

        d(Context context, f fVar, Context context2) {
            super(context);
            this.f5389a = fVar;
            this.f5391c = context2;
        }

        private WindowManager a() {
            if (this.f5390b == null) {
                this.f5390b = this.f5389a.b();
            }
            return this.f5390b;
        }

        private boolean b() {
            StackTraceElement[] stackTrace = Thread.currentThread().getStackTrace();
            int i5 = 0;
            while (i5 < stackTrace.length && i5 < 11) {
                if (stackTrace[i5].getClassName().equals(AlertDialog.class.getCanonicalName()) && stackTrace[i5].getMethodName().equals("<init>")) {
                    return true;
                }
                i5++;
            }
            return false;
        }

        @Override // android.content.Context, android.content.ContextWrapper
        public Object getSystemService(String str) {
            return "window".equals(str) ? b() ? this.f5391c.getSystemService(str) : a() : super.getSystemService(str);
        }
    }

    /* access modifiers changed from: package-private */
    public static class e {

        /* renamed from: a  reason: collision with root package name */
        private d f5392a;

        /* renamed from: b  reason: collision with root package name */
        private f f5393b;

        /* renamed from: c  reason: collision with root package name */
        private b f5394c;

        e() {
        }
    }

    /* access modifiers changed from: package-private */
    public static class f implements InvocationHandler {

        /* renamed from: a  reason: collision with root package name */
        private final WindowManager f5395a;

        /* renamed from: b  reason: collision with root package name */
        b f5396b;

        f(WindowManager windowManager, b bVar) {
            this.f5395a = windowManager;
            this.f5396b = bVar;
        }

        private void a(Object[] objArr) {
            b bVar = this.f5396b;
            if (bVar == null) {
                h3.b.f(SingleViewPresentation.TAG, "Embedded view called addView while detached from presentation");
            } else {
                bVar.addView((View) objArr[0], (WindowManager.LayoutParams) objArr[1]);
            }
        }

        private void c(Object[] objArr) {
            b bVar = this.f5396b;
            if (bVar == null) {
                h3.b.f(SingleViewPresentation.TAG, "Embedded view called removeView while detached from presentation");
            } else {
                bVar.removeView((View) objArr[0]);
            }
        }

        private void d(Object[] objArr) {
            if (this.f5396b == null) {
                h3.b.f(SingleViewPresentation.TAG, "Embedded view called removeViewImmediate while detached from presentation");
                return;
            }
            View view = (View) objArr[0];
            view.clearAnimation();
            this.f5396b.removeView(view);
        }

        private void e(Object[] objArr) {
            b bVar = this.f5396b;
            if (bVar == null) {
                h3.b.f(SingleViewPresentation.TAG, "Embedded view called updateViewLayout while detached from presentation");
            } else {
                bVar.updateViewLayout((View) objArr[0], (WindowManager.LayoutParams) objArr[1]);
            }
        }

        public WindowManager b() {
            return (WindowManager) Proxy.newProxyInstance(WindowManager.class.getClassLoader(), new Class[]{WindowManager.class}, this);
        }

        @Override // java.lang.reflect.InvocationHandler
        public Object invoke(Object obj, Method method, Object[] objArr) {
            String name = method.getName();
            name.hashCode();
            char c5 = 65535;
            switch (name.hashCode()) {
                case -1148522778:
                    if (name.equals("addView")) {
                        c5 = 0;
                        break;
                    }
                    break;
                case 542766184:
                    if (name.equals("removeViewImmediate")) {
                        c5 = 1;
                        break;
                    }
                    break;
                case 931413976:
                    if (name.equals("updateViewLayout")) {
                        c5 = 2;
                        break;
                    }
                    break;
                case 1098630473:
                    if (name.equals("removeView")) {
                        c5 = 3;
                        break;
                    }
                    break;
            }
            switch (c5) {
                case 0:
                    a(objArr);
                    return null;
                case 1:
                    d(objArr);
                    return null;
                case 2:
                    e(objArr);
                    return null;
                case 3:
                    c(objArr);
                    return null;
                default:
                    try {
                        return method.invoke(this.f5395a, objArr);
                    } catch (InvocationTargetException e5) {
                        throw e5.getCause();
                    }
            }
        }
    }

    public SingleViewPresentation(Context context, Display display, a aVar, e eVar, View.OnFocusChangeListener onFocusChangeListener, boolean z4) {
        super(new c(context), display);
        this.accessibilityEventsDelegate = aVar;
        this.state = eVar;
        this.focusChangeListener = onFocusChangeListener;
        this.outerContext = context;
        getWindow().setFlags(8, 8);
        this.startFocused = z4;
    }

    public SingleViewPresentation(Context context, Display display, d dVar, a aVar, int i5, Object obj, View.OnFocusChangeListener onFocusChangeListener) {
        super(new c(context), display);
        this.accessibilityEventsDelegate = aVar;
        this.viewId = i5;
        this.createParams = obj;
        this.focusChangeListener = onFocusChangeListener;
        this.outerContext = context;
        e eVar = new e();
        this.state = eVar;
        eVar.f5392a = dVar;
        getWindow().setFlags(8, 8);
        if (Build.VERSION.SDK_INT >= 19) {
            getWindow().setType(2030);
        }
    }

    public e detachState() {
        this.container.removeAllViews();
        this.rootView.removeAllViews();
        return this.state;
    }

    public d getView() {
        if (this.state.f5392a == null) {
            return null;
        }
        return this.state.f5392a;
    }

    /* access modifiers changed from: protected */
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        getWindow().setBackgroundDrawable(new ColorDrawable(0));
        if (this.state.f5394c == null) {
            this.state.f5394c = new b(getContext());
        }
        if (this.state.f5393b == null) {
            e eVar = this.state;
            eVar.f5393b = new f((WindowManager) getContext().getSystemService("window"), eVar.f5394c);
        }
        this.container = new FrameLayout(getContext());
        d dVar = new d(getContext(), this.state.f5393b, this.outerContext);
        View view = this.state.f5392a.getView();
        if (view.getContext() instanceof MutableContextWrapper) {
            ((MutableContextWrapper) view.getContext()).setBaseContext(dVar);
        } else {
            h3.b.f(TAG, "Unexpected platform view context for view ID " + this.viewId + "; some functionality may not work correctly. When constructing a platform view in the factory, ensure that the view returned from PlatformViewFactory#create returns the provided context from getContext(). If you are unable to associate the view with that context, consider using Hybrid Composition instead.");
        }
        this.container.addView(view);
        a aVar = new a(getContext(), this.accessibilityEventsDelegate, view);
        this.rootView = aVar;
        aVar.addView(this.container);
        this.rootView.addView(this.state.f5394c);
        view.setOnFocusChangeListener(this.focusChangeListener);
        this.rootView.setFocusableInTouchMode(true);
        if (this.startFocused) {
            view.requestFocus();
        } else {
            this.rootView.requestFocus();
        }
        setContentView(this.rootView);
    }
}
