package io.flutter.plugin.platform;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Matrix;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.SurfaceTexture;
import android.os.Build;
import android.view.MotionEvent;
import android.view.Surface;
import android.view.View;
import android.view.ViewParent;
import android.view.ViewTreeObserver;
import android.view.accessibility.AccessibilityEvent;
import android.widget.FrameLayout;
import io.flutter.view.d;
import java.util.concurrent.atomic.AtomicLong;

/* access modifiers changed from: package-private */
public class h extends FrameLayout {

    /* renamed from: e  reason: collision with root package name */
    private int f5411e;

    /* renamed from: f  reason: collision with root package name */
    private int f5412f;

    /* renamed from: g  reason: collision with root package name */
    private int f5413g;

    /* renamed from: h  reason: collision with root package name */
    private int f5414h;

    /* renamed from: i  reason: collision with root package name */
    private int f5415i;

    /* renamed from: j  reason: collision with root package name */
    private int f5416j;

    /* renamed from: k  reason: collision with root package name */
    private SurfaceTexture f5417k;

    /* renamed from: l  reason: collision with root package name */
    private Surface f5418l;

    /* renamed from: m  reason: collision with root package name */
    private io.flutter.embedding.android.a f5419m;

    /* renamed from: n  reason: collision with root package name */
    ViewTreeObserver.OnGlobalFocusChangeListener f5420n;

    /* renamed from: o  reason: collision with root package name */
    private final AtomicLong f5421o;

    /* renamed from: p  reason: collision with root package name */
    private final d.a f5422p;

    /* renamed from: q  reason: collision with root package name */
    private boolean f5423q;

    /* renamed from: r  reason: collision with root package name */
    private final d.b f5424r;

    class a implements d.a {
        a() {
        }

        @Override // io.flutter.view.d.a
        public void a() {
            if (Build.VERSION.SDK_INT == 29) {
                h.this.f5421o.decrementAndGet();
            }
        }
    }

    class b implements d.b {
        b() {
        }

        @Override // io.flutter.view.d.b
        public void onTrimMemory(int i5) {
            if (i5 == 80 && Build.VERSION.SDK_INT >= 29) {
                h.this.f5423q = true;
            }
        }
    }

    /* access modifiers changed from: package-private */
    public class c implements ViewTreeObserver.OnGlobalFocusChangeListener {

        /* renamed from: e  reason: collision with root package name */
        final /* synthetic */ View.OnFocusChangeListener f5427e;

        c(View.OnFocusChangeListener onFocusChangeListener) {
            this.f5427e = onFocusChangeListener;
        }

        public void onGlobalFocusChanged(View view, View view2) {
            View.OnFocusChangeListener onFocusChangeListener = this.f5427e;
            h hVar = h.this;
            onFocusChangeListener.onFocusChange(hVar, y3.h.c(hVar));
        }
    }

    public h(Context context) {
        super(context);
        this.f5421o = new AtomicLong(0);
        this.f5422p = new a();
        this.f5423q = false;
        this.f5424r = new b();
        setWillNotDraw(false);
    }

    public h(Context context, d.c cVar) {
        this(context);
        cVar.b(this.f5422p);
        cVar.a(this.f5424r);
        l(cVar.c());
    }

    private void f() {
        if (Build.VERSION.SDK_INT == 29) {
            this.f5421o.incrementAndGet();
        }
    }

    private void g() {
        if (this.f5423q) {
            Surface surface = this.f5418l;
            if (surface != null) {
                surface.release();
            }
            this.f5418l = c(this.f5417k);
            this.f5423q = false;
        }
    }

    private boolean n() {
        return Build.VERSION.SDK_INT != 29 || this.f5421o.get() <= 0;
    }

    /* access modifiers changed from: protected */
    public Surface c(SurfaceTexture surfaceTexture) {
        return new Surface(surfaceTexture);
    }

    public int d() {
        return this.f5416j;
    }

    public void draw(Canvas canvas) {
        String str;
        Surface surface = this.f5418l;
        if (surface == null) {
            super.draw(canvas);
            str = "Platform view cannot be composed without a surface.";
        } else if (!surface.isValid()) {
            str = "Invalid surface. The platform view cannot be displayed.";
        } else {
            SurfaceTexture surfaceTexture = this.f5417k;
            if (surfaceTexture == null || surfaceTexture.isReleased()) {
                str = "Invalid texture. The platform view cannot be displayed.";
            } else if (!n()) {
                invalidate();
                return;
            } else {
                g();
                Canvas lockHardwareCanvas = this.f5418l.lockHardwareCanvas();
                try {
                    lockHardwareCanvas.drawColor(0, PorterDuff.Mode.CLEAR);
                    super.draw(lockHardwareCanvas);
                    f();
                    return;
                } finally {
                    this.f5418l.unlockCanvasAndPost(lockHardwareCanvas);
                }
            }
        }
        h3.b.b("PlatformViewWrapper", str);
    }

    public int e() {
        return this.f5415i;
    }

    public void h() {
        this.f5417k = null;
        Surface surface = this.f5418l;
        if (surface != null) {
            surface.release();
            this.f5418l = null;
        }
    }

    public void i(int i5, int i6) {
        this.f5415i = i5;
        this.f5416j = i6;
        SurfaceTexture surfaceTexture = this.f5417k;
        if (surfaceTexture != null) {
            surfaceTexture.setDefaultBufferSize(i5, i6);
        }
    }

    public ViewParent invalidateChildInParent(int[] iArr, Rect rect) {
        invalidate();
        return super.invalidateChildInParent(iArr, rect);
    }

    public void j(FrameLayout.LayoutParams layoutParams) {
        super.setLayoutParams(layoutParams);
        this.f5413g = layoutParams.leftMargin;
        this.f5414h = layoutParams.topMargin;
    }

    public void k(View.OnFocusChangeListener onFocusChangeListener) {
        o();
        ViewTreeObserver viewTreeObserver = getViewTreeObserver();
        if (viewTreeObserver.isAlive() && this.f5420n == null) {
            c cVar = new c(onFocusChangeListener);
            this.f5420n = cVar;
            viewTreeObserver.addOnGlobalFocusChangeListener(cVar);
        }
    }

    public void l(SurfaceTexture surfaceTexture) {
        int i5;
        if (Build.VERSION.SDK_INT < 23) {
            h3.b.b("PlatformViewWrapper", "Platform views cannot be displayed below API level 23. You can prevent this issue by setting `minSdkVersion: 23` in build.gradle.");
            return;
        }
        this.f5417k = surfaceTexture;
        int i6 = this.f5415i;
        if (i6 > 0 && (i5 = this.f5416j) > 0) {
            surfaceTexture.setDefaultBufferSize(i6, i5);
        }
        Surface surface = this.f5418l;
        if (surface != null) {
            surface.release();
        }
        Surface c5 = c(surfaceTexture);
        this.f5418l = c5;
        Canvas lockHardwareCanvas = c5.lockHardwareCanvas();
        try {
            lockHardwareCanvas.drawColor(0, PorterDuff.Mode.CLEAR);
            f();
        } finally {
            this.f5418l.unlockCanvasAndPost(lockHardwareCanvas);
        }
    }

    public void m(io.flutter.embedding.android.a aVar) {
        this.f5419m = aVar;
    }

    public void o() {
        ViewTreeObserver.OnGlobalFocusChangeListener onGlobalFocusChangeListener;
        ViewTreeObserver viewTreeObserver = getViewTreeObserver();
        if (viewTreeObserver.isAlive() && (onGlobalFocusChangeListener = this.f5420n) != null) {
            this.f5420n = null;
            viewTreeObserver.removeOnGlobalFocusChangeListener(onGlobalFocusChangeListener);
        }
    }

    public void onDescendantInvalidated(View view, View view2) {
        super.onDescendantInvalidated(view, view2);
        invalidate();
    }

    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        return true;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        int i5;
        float f5;
        if (this.f5419m == null) {
            return super.onTouchEvent(motionEvent);
        }
        Matrix matrix = new Matrix();
        int action = motionEvent.getAction();
        if (action == 0) {
            int i6 = this.f5413g;
            this.f5411e = i6;
            i5 = this.f5414h;
            this.f5412f = i5;
            f5 = (float) i6;
        } else if (action != 2) {
            f5 = (float) this.f5413g;
            i5 = this.f5414h;
        } else {
            matrix.postTranslate((float) this.f5411e, (float) this.f5412f);
            this.f5411e = this.f5413g;
            this.f5412f = this.f5414h;
            return this.f5419m.g(motionEvent, matrix);
        }
        matrix.postTranslate(f5, (float) i5);
        return this.f5419m.g(motionEvent, matrix);
    }

    public boolean requestSendAccessibilityEvent(View view, AccessibilityEvent accessibilityEvent) {
        View childAt = getChildAt(0);
        if (childAt == null || childAt.getImportantForAccessibility() != 4) {
            return super.requestSendAccessibilityEvent(view, accessibilityEvent);
        }
        return false;
    }
}
