package io.flutter.view;

import android.graphics.Rect;
import android.os.Build;
import android.os.Bundle;
import android.os.Parcel;
import android.util.SparseArray;
import android.view.MotionEvent;
import android.view.View;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.accessibility.AccessibilityNodeProvider;
import android.view.accessibility.AccessibilityRecord;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.HashMap;
import java.util.Map;

/* access modifiers changed from: package-private */
public class AccessibilityViewEmbedder {
    private static final String TAG = "AccessibilityBridge";
    private final Map<View, Rect> embeddedViewToDisplayBounds;
    private final SparseArray<c> flutterIdToOrigin = new SparseArray<>();
    private int nextFlutterId;
    private final Map<c, Integer> originToFlutterId;
    private final b reflectionAccessors = new b();
    private final View rootAccessibilityView;

    /* access modifiers changed from: private */
    public static class b {

        /* renamed from: a  reason: collision with root package name */
        private final Method f5691a;

        /* renamed from: b  reason: collision with root package name */
        private final Method f5692b;

        /* renamed from: c  reason: collision with root package name */
        private final Method f5693c;

        /* renamed from: d  reason: collision with root package name */
        private final Method f5694d;

        /* renamed from: e  reason: collision with root package name */
        private final Field f5695e;

        /* renamed from: f  reason: collision with root package name */
        private final Method f5696f;

        /* JADX DEBUG: Multi-variable search result rejected for r2v1, resolved type: java.lang.reflect.Method */
        /* JADX DEBUG: Multi-variable search result rejected for r2v11, resolved type: java.lang.reflect.Method */
        /* JADX WARN: Multi-variable type inference failed */
        private b() {
            Method method;
            Method method2;
            Field field;
            Method method3;
            Method method4;
            Field field2;
            Method method5;
            Field field3;
            Method method6 = null;
            try {
                method = AccessibilityNodeInfo.class.getMethod("getSourceNodeId", new Class[0]);
            } catch (NoSuchMethodException unused) {
                h3.b.f(AccessibilityViewEmbedder.TAG, "can't invoke AccessibilityNodeInfo#getSourceNodeId with reflection");
                method = null;
            }
            try {
                method2 = AccessibilityRecord.class.getMethod("getSourceNodeId", new Class[0]);
            } catch (NoSuchMethodException unused2) {
                h3.b.f(AccessibilityViewEmbedder.TAG, "can't invoke AccessibiiltyRecord#getSourceNodeId with reflection");
                method2 = null;
            }
            if (Build.VERSION.SDK_INT <= 26) {
                try {
                    method5 = AccessibilityNodeInfo.class.getMethod("getParentNodeId", new Class[0]);
                } catch (NoSuchMethodException unused3) {
                    h3.b.f(AccessibilityViewEmbedder.TAG, "can't invoke getParentNodeId with reflection");
                    method5 = null;
                }
                try {
                    method4 = AccessibilityNodeInfo.class.getMethod("getChildId", Integer.TYPE);
                    field3 = null;
                } catch (NoSuchMethodException unused4) {
                    h3.b.f(AccessibilityViewEmbedder.TAG, "can't invoke getChildId with reflection");
                    method4 = null;
                    field3 = null;
                }
                method6 = method5;
                field2 = field3;
            } else {
                try {
                    field = AccessibilityNodeInfo.class.getDeclaredField("mChildNodeIds");
                    field.setAccessible(true);
                    method3 = Class.forName("android.util.LongArray").getMethod("get", Integer.TYPE);
                    method4 = null;
                } catch (ClassNotFoundException | NoSuchFieldException | NoSuchMethodException | NullPointerException unused5) {
                    h3.b.f(AccessibilityViewEmbedder.TAG, "can't access childNodeIdsField with reflection");
                    method4 = null;
                    field2 = null;
                }
                this.f5691a = method;
                this.f5692b = method6;
                this.f5693c = method2;
                this.f5694d = method4;
                this.f5695e = field;
                this.f5696f = method3;
            }
            field = field2;
            method3 = field2;
            this.f5691a = method;
            this.f5692b = method6;
            this.f5693c = method2;
            this.f5694d = method4;
            this.f5695e = field;
            this.f5696f = method3;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private Long f(AccessibilityNodeInfo accessibilityNodeInfo, int i5) {
            String str;
            Throwable e5;
            Method method = this.f5694d;
            if (method == null && (this.f5695e == null || this.f5696f == null)) {
                return null;
            }
            if (method != null) {
                try {
                    return (Long) method.invoke(accessibilityNodeInfo, Integer.valueOf(i5));
                } catch (IllegalAccessException e6) {
                    e5 = e6;
                    str = "Failed to access getChildId method.";
                    h3.b.g(AccessibilityViewEmbedder.TAG, str, e5);
                    return null;
                } catch (InvocationTargetException e7) {
                    e5 = e7;
                    str = "The getChildId method threw an exception when invoked.";
                    h3.b.g(AccessibilityViewEmbedder.TAG, str, e5);
                    return null;
                }
            } else {
                try {
                    return Long.valueOf(((Long) this.f5696f.invoke(this.f5695e.get(accessibilityNodeInfo), Integer.valueOf(i5))).longValue());
                } catch (IllegalAccessException e8) {
                    e5 = e8;
                    str = "Failed to access longArrayGetIndex method or the childNodeId field.";
                    h3.b.g(AccessibilityViewEmbedder.TAG, str, e5);
                    return null;
                } catch (ArrayIndexOutOfBoundsException | InvocationTargetException e9) {
                    e5 = e9;
                    str = "The longArrayGetIndex method threw an exception when invoked.";
                    h3.b.g(AccessibilityViewEmbedder.TAG, str, e5);
                    return null;
                }
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private Long g(AccessibilityNodeInfo accessibilityNodeInfo) {
            String str;
            Throwable e5;
            Method method = this.f5692b;
            if (method != null) {
                try {
                    return Long.valueOf(((Long) method.invoke(accessibilityNodeInfo, new Object[0])).longValue());
                } catch (IllegalAccessException e6) {
                    e5 = e6;
                    str = "Failed to access getParentNodeId method.";
                    h3.b.g(AccessibilityViewEmbedder.TAG, str, e5);
                    return l(accessibilityNodeInfo);
                } catch (InvocationTargetException e7) {
                    e5 = e7;
                    str = "The getParentNodeId method threw an exception when invoked.";
                    h3.b.g(AccessibilityViewEmbedder.TAG, str, e5);
                    return l(accessibilityNodeInfo);
                }
            }
            return l(accessibilityNodeInfo);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private Long h(AccessibilityRecord accessibilityRecord) {
            Throwable e5;
            String str;
            Method method = this.f5693c;
            if (method == null) {
                return null;
            }
            try {
                return (Long) method.invoke(accessibilityRecord, new Object[0]);
            } catch (IllegalAccessException e6) {
                e5 = e6;
                str = "Failed to access the getRecordSourceNodeId method.";
                h3.b.g(AccessibilityViewEmbedder.TAG, str, e5);
                return null;
            } catch (InvocationTargetException e7) {
                e5 = e7;
                str = "The getRecordSourceNodeId method threw an exception when invoked.";
                h3.b.g(AccessibilityViewEmbedder.TAG, str, e5);
                return null;
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private Long i(AccessibilityNodeInfo accessibilityNodeInfo) {
            Throwable e5;
            String str;
            Method method = this.f5691a;
            if (method == null) {
                return null;
            }
            try {
                return (Long) method.invoke(accessibilityNodeInfo, new Object[0]);
            } catch (IllegalAccessException e6) {
                e5 = e6;
                str = "Failed to access getSourceNodeId method.";
                h3.b.g(AccessibilityViewEmbedder.TAG, str, e5);
                return null;
            } catch (InvocationTargetException e7) {
                e5 = e7;
                str = "The getSourceNodeId method threw an exception when invoked.";
                h3.b.g(AccessibilityViewEmbedder.TAG, str, e5);
                return null;
            }
        }

        /* access modifiers changed from: private */
        public static int j(long j5) {
            return (int) (j5 >> 32);
        }

        private static boolean k(long j5, int i5) {
            return (j5 & (1 << i5)) != 0;
        }

        private static Long l(AccessibilityNodeInfo accessibilityNodeInfo) {
            Long l5 = null;
            if (Build.VERSION.SDK_INT < 26) {
                h3.b.f(AccessibilityViewEmbedder.TAG, "Unexpected Android version. Unable to find the parent ID.");
                return null;
            }
            AccessibilityNodeInfo obtain = AccessibilityNodeInfo.obtain(accessibilityNodeInfo);
            Parcel obtain2 = Parcel.obtain();
            obtain2.setDataPosition(0);
            obtain.writeToParcel(obtain2, 0);
            obtain2.setDataPosition(0);
            long readLong = obtain2.readLong();
            if (k(readLong, 0)) {
                obtain2.readInt();
            }
            if (k(readLong, 1)) {
                obtain2.readLong();
            }
            if (k(readLong, 2)) {
                obtain2.readInt();
            }
            if (k(readLong, 3)) {
                l5 = Long.valueOf(obtain2.readLong());
            }
            obtain2.recycle();
            return l5;
        }
    }

    /* access modifiers changed from: private */
    public static class c {

        /* renamed from: a  reason: collision with root package name */
        final View f5697a;

        /* renamed from: b  reason: collision with root package name */
        final int f5698b;

        private c(View view, int i5) {
            this.f5697a = view;
            this.f5698b = i5;
        }

        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (!(obj instanceof c)) {
                return false;
            }
            c cVar = (c) obj;
            return this.f5698b == cVar.f5698b && this.f5697a.equals(cVar.f5697a);
        }

        public int hashCode() {
            return ((this.f5697a.hashCode() + 31) * 31) + this.f5698b;
        }
    }

    AccessibilityViewEmbedder(View view, int i5) {
        this.rootAccessibilityView = view;
        this.nextFlutterId = i5;
        this.originToFlutterId = new HashMap();
        this.embeddedViewToDisplayBounds = new HashMap();
    }

    private void addChildrenToFlutterNode(AccessibilityNodeInfo accessibilityNodeInfo, View view, AccessibilityNodeInfo accessibilityNodeInfo2) {
        int i5;
        for (int i6 = 0; i6 < accessibilityNodeInfo.getChildCount(); i6++) {
            Long f5 = this.reflectionAccessors.f(accessibilityNodeInfo, i6);
            if (f5 != null) {
                int j5 = b.j(f5.longValue());
                c cVar = new c(view, j5);
                if (this.originToFlutterId.containsKey(cVar)) {
                    i5 = this.originToFlutterId.get(cVar).intValue();
                } else {
                    int i7 = this.nextFlutterId;
                    this.nextFlutterId = i7 + 1;
                    cacheVirtualIdMappings(view, j5, i7);
                    i5 = i7;
                }
                accessibilityNodeInfo2.addChild(this.rootAccessibilityView, i5);
            }
        }
    }

    private void cacheVirtualIdMappings(View view, int i5, int i6) {
        c cVar = new c(view, i5);
        this.originToFlutterId.put(cVar, Integer.valueOf(i6));
        this.flutterIdToOrigin.put(i6, cVar);
    }

    private AccessibilityNodeInfo convertToFlutterNode(AccessibilityNodeInfo accessibilityNodeInfo, int i5, View view) {
        AccessibilityNodeInfo obtain = AccessibilityNodeInfo.obtain(this.rootAccessibilityView, i5);
        obtain.setPackageName(this.rootAccessibilityView.getContext().getPackageName());
        obtain.setSource(this.rootAccessibilityView, i5);
        obtain.setClassName(accessibilityNodeInfo.getClassName());
        copyAccessibilityFields(accessibilityNodeInfo, obtain);
        setFlutterNodesTranslateBounds(accessibilityNodeInfo, this.embeddedViewToDisplayBounds.get(view), obtain);
        addChildrenToFlutterNode(accessibilityNodeInfo, view, obtain);
        setFlutterNodeParent(accessibilityNodeInfo, view, obtain);
        return obtain;
    }

    private void copyAccessibilityFields(AccessibilityNodeInfo accessibilityNodeInfo, AccessibilityNodeInfo accessibilityNodeInfo2) {
        accessibilityNodeInfo2.setAccessibilityFocused(accessibilityNodeInfo.isAccessibilityFocused());
        accessibilityNodeInfo2.setCheckable(accessibilityNodeInfo.isCheckable());
        accessibilityNodeInfo2.setChecked(accessibilityNodeInfo.isChecked());
        accessibilityNodeInfo2.setContentDescription(accessibilityNodeInfo.getContentDescription());
        accessibilityNodeInfo2.setEnabled(accessibilityNodeInfo.isEnabled());
        accessibilityNodeInfo2.setClickable(accessibilityNodeInfo.isClickable());
        accessibilityNodeInfo2.setFocusable(accessibilityNodeInfo.isFocusable());
        accessibilityNodeInfo2.setFocused(accessibilityNodeInfo.isFocused());
        accessibilityNodeInfo2.setLongClickable(accessibilityNodeInfo.isLongClickable());
        accessibilityNodeInfo2.setMovementGranularities(accessibilityNodeInfo.getMovementGranularities());
        accessibilityNodeInfo2.setPassword(accessibilityNodeInfo.isPassword());
        accessibilityNodeInfo2.setScrollable(accessibilityNodeInfo.isScrollable());
        accessibilityNodeInfo2.setSelected(accessibilityNodeInfo.isSelected());
        accessibilityNodeInfo2.setText(accessibilityNodeInfo.getText());
        accessibilityNodeInfo2.setVisibleToUser(accessibilityNodeInfo.isVisibleToUser());
        int i5 = Build.VERSION.SDK_INT;
        if (i5 >= 18) {
            accessibilityNodeInfo2.setEditable(accessibilityNodeInfo.isEditable());
        }
        if (i5 >= 19) {
            accessibilityNodeInfo2.setCanOpenPopup(accessibilityNodeInfo.canOpenPopup());
            accessibilityNodeInfo2.setCollectionInfo(accessibilityNodeInfo.getCollectionInfo());
            accessibilityNodeInfo2.setCollectionItemInfo(accessibilityNodeInfo.getCollectionItemInfo());
            accessibilityNodeInfo2.setContentInvalid(accessibilityNodeInfo.isContentInvalid());
            accessibilityNodeInfo2.setDismissable(accessibilityNodeInfo.isDismissable());
            accessibilityNodeInfo2.setInputType(accessibilityNodeInfo.getInputType());
            accessibilityNodeInfo2.setLiveRegion(accessibilityNodeInfo.getLiveRegion());
            accessibilityNodeInfo2.setMultiLine(accessibilityNodeInfo.isMultiLine());
            accessibilityNodeInfo2.setRangeInfo(accessibilityNodeInfo.getRangeInfo());
        }
        if (i5 >= 21) {
            accessibilityNodeInfo2.setError(accessibilityNodeInfo.getError());
            accessibilityNodeInfo2.setMaxTextLength(accessibilityNodeInfo.getMaxTextLength());
        }
        if (i5 >= 23) {
            accessibilityNodeInfo2.setContextClickable(accessibilityNodeInfo.isContextClickable());
        }
        if (i5 >= 24) {
            accessibilityNodeInfo2.setDrawingOrder(accessibilityNodeInfo.getDrawingOrder());
            accessibilityNodeInfo2.setImportantForAccessibility(accessibilityNodeInfo.isImportantForAccessibility());
        }
        if (i5 >= 26) {
            accessibilityNodeInfo2.setAvailableExtraData(accessibilityNodeInfo.getAvailableExtraData());
            accessibilityNodeInfo2.setHintText(accessibilityNodeInfo.getHintText());
            accessibilityNodeInfo2.setShowingHintText(accessibilityNodeInfo.isShowingHintText());
        }
    }

    private void setFlutterNodeParent(AccessibilityNodeInfo accessibilityNodeInfo, View view, AccessibilityNodeInfo accessibilityNodeInfo2) {
        Long g5 = this.reflectionAccessors.g(accessibilityNodeInfo);
        if (g5 != null) {
            Integer num = this.originToFlutterId.get(new c(view, b.j(g5.longValue())));
            if (num != null) {
                accessibilityNodeInfo2.setParent(this.rootAccessibilityView, num.intValue());
            }
        }
    }

    private void setFlutterNodesTranslateBounds(AccessibilityNodeInfo accessibilityNodeInfo, Rect rect, AccessibilityNodeInfo accessibilityNodeInfo2) {
        Rect rect2 = new Rect();
        accessibilityNodeInfo.getBoundsInParent(rect2);
        accessibilityNodeInfo2.setBoundsInParent(rect2);
        Rect rect3 = new Rect();
        accessibilityNodeInfo.getBoundsInScreen(rect3);
        rect3.offset(rect.left, rect.top);
        accessibilityNodeInfo2.setBoundsInScreen(rect3);
    }

    public AccessibilityNodeInfo createAccessibilityNodeInfo(int i5) {
        AccessibilityNodeInfo createAccessibilityNodeInfo;
        c cVar = this.flutterIdToOrigin.get(i5);
        if (cVar == null || !this.embeddedViewToDisplayBounds.containsKey(cVar.f5697a) || cVar.f5697a.getAccessibilityNodeProvider() == null || (createAccessibilityNodeInfo = cVar.f5697a.getAccessibilityNodeProvider().createAccessibilityNodeInfo(cVar.f5698b)) == null) {
            return null;
        }
        return convertToFlutterNode(createAccessibilityNodeInfo, i5, cVar.f5697a);
    }

    public Integer getRecordFlutterId(View view, AccessibilityRecord accessibilityRecord) {
        Long h5 = this.reflectionAccessors.h(accessibilityRecord);
        if (h5 == null) {
            return null;
        }
        return this.originToFlutterId.get(new c(view, b.j(h5.longValue())));
    }

    public AccessibilityNodeInfo getRootNode(View view, int i5, Rect rect) {
        AccessibilityNodeInfo createAccessibilityNodeInfo = view.createAccessibilityNodeInfo();
        Long i6 = this.reflectionAccessors.i(createAccessibilityNodeInfo);
        if (i6 == null) {
            return null;
        }
        this.embeddedViewToDisplayBounds.put(view, rect);
        cacheVirtualIdMappings(view, b.j(i6.longValue()), i5);
        return convertToFlutterNode(createAccessibilityNodeInfo, i5, view);
    }

    public boolean onAccessibilityHoverEvent(int i5, MotionEvent motionEvent) {
        c cVar = this.flutterIdToOrigin.get(i5);
        if (cVar == null) {
            return false;
        }
        Rect rect = this.embeddedViewToDisplayBounds.get(cVar.f5697a);
        int pointerCount = motionEvent.getPointerCount();
        MotionEvent.PointerProperties[] pointerPropertiesArr = new MotionEvent.PointerProperties[pointerCount];
        MotionEvent.PointerCoords[] pointerCoordsArr = new MotionEvent.PointerCoords[pointerCount];
        for (int i6 = 0; i6 < motionEvent.getPointerCount(); i6++) {
            pointerPropertiesArr[i6] = new MotionEvent.PointerProperties();
            motionEvent.getPointerProperties(i6, pointerPropertiesArr[i6]);
            MotionEvent.PointerCoords pointerCoords = new MotionEvent.PointerCoords();
            motionEvent.getPointerCoords(i6, pointerCoords);
            pointerCoordsArr[i6] = new MotionEvent.PointerCoords(pointerCoords);
            pointerCoordsArr[i6].x -= (float) rect.left;
            pointerCoordsArr[i6].y -= (float) rect.top;
        }
        return cVar.f5697a.dispatchGenericMotionEvent(MotionEvent.obtain(motionEvent.getDownTime(), motionEvent.getEventTime(), motionEvent.getAction(), motionEvent.getPointerCount(), pointerPropertiesArr, pointerCoordsArr, motionEvent.getMetaState(), motionEvent.getButtonState(), motionEvent.getXPrecision(), motionEvent.getYPrecision(), motionEvent.getDeviceId(), motionEvent.getEdgeFlags(), motionEvent.getSource(), motionEvent.getFlags()));
    }

    public boolean performAction(int i5, int i6, Bundle bundle) {
        AccessibilityNodeProvider accessibilityNodeProvider;
        c cVar = this.flutterIdToOrigin.get(i5);
        if (cVar == null || (accessibilityNodeProvider = cVar.f5697a.getAccessibilityNodeProvider()) == null) {
            return false;
        }
        return accessibilityNodeProvider.performAction(cVar.f5698b, i6, bundle);
    }

    public View platformViewOfNode(int i5) {
        c cVar = this.flutterIdToOrigin.get(i5);
        if (cVar == null) {
            return null;
        }
        return cVar.f5697a;
    }

    public boolean requestSendAccessibilityEvent(View view, View view2, AccessibilityEvent accessibilityEvent) {
        AccessibilityEvent obtain = AccessibilityEvent.obtain(accessibilityEvent);
        Long h5 = this.reflectionAccessors.h(accessibilityEvent);
        if (h5 == null) {
            return false;
        }
        int j5 = b.j(h5.longValue());
        Integer num = this.originToFlutterId.get(new c(view, j5));
        if (num == null) {
            int i5 = this.nextFlutterId;
            this.nextFlutterId = i5 + 1;
            num = Integer.valueOf(i5);
            cacheVirtualIdMappings(view, j5, num.intValue());
        }
        obtain.setSource(this.rootAccessibilityView, num.intValue());
        obtain.setClassName(accessibilityEvent.getClassName());
        obtain.setPackageName(accessibilityEvent.getPackageName());
        for (int i6 = 0; i6 < obtain.getRecordCount(); i6++) {
            AccessibilityRecord record = obtain.getRecord(i6);
            Long h6 = this.reflectionAccessors.h(record);
            if (h6 == null) {
                return false;
            }
            c cVar = new c(view, b.j(h6.longValue()));
            if (!this.originToFlutterId.containsKey(cVar)) {
                return false;
            }
            record.setSource(this.rootAccessibilityView, this.originToFlutterId.get(cVar).intValue());
        }
        return this.rootAccessibilityView.getParent().requestSendAccessibilityEvent(view2, obtain);
    }
}
