package io.flutter.view;

import android.app.Activity;
import android.content.ContentResolver;
import android.database.ContentObserver;
import android.graphics.Rect;
import android.net.Uri;
import android.opengl.Matrix;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.provider.Settings;
import android.text.SpannableString;
import android.text.TextUtils;
import android.text.style.LocaleSpan;
import android.text.style.TtsSpan;
import android.view.MotionEvent;
import android.view.View;
import android.view.WindowInsets;
import android.view.accessibility.AccessibilityEvent;
import android.view.accessibility.AccessibilityManager;
import android.view.accessibility.AccessibilityNodeInfo;
import android.view.accessibility.AccessibilityNodeProvider;
import com.luck.picture.lib.R;
import com.luck.picture.lib.io.LruArrayPool;
import com.luck.picture.lib.tools.PictureFileUtils;
import com.yalantis.ucrop.view.CropImageView;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.charset.Charset;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashMap;
import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.Set;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import t3.a;

public class c extends AccessibilityNodeProvider {
    private static int A = 267386881;

    /* renamed from: y  reason: collision with root package name */
    private static final int f5701y = (((g.SCROLL_RIGHT.f5763e | g.SCROLL_LEFT.f5763e) | g.SCROLL_UP.f5763e) | g.SCROLL_DOWN.f5763e);

    /* renamed from: z  reason: collision with root package name */
    private static final int f5702z = (((((((((((i.HAS_CHECKED_STATE.f5790e | i.IS_CHECKED.f5790e) | i.IS_SELECTED.f5790e) | i.IS_TEXT_FIELD.f5790e) | i.IS_FOCUSED.f5790e) | i.HAS_ENABLED_STATE.f5790e) | i.IS_ENABLED.f5790e) | i.IS_IN_MUTUALLY_EXCLUSIVE_GROUP.f5790e) | i.HAS_TOGGLED_STATE.f5790e) | i.IS_TOGGLED.f5790e) | i.IS_FOCUSABLE.f5790e) | i.IS_SLIDER.f5790e);

    /* renamed from: a  reason: collision with root package name */
    private final View f5703a;

    /* renamed from: b  reason: collision with root package name */
    private final t3.a f5704b;

    /* renamed from: c  reason: collision with root package name */
    private final AccessibilityManager f5705c;

    /* renamed from: d  reason: collision with root package name */
    private final AccessibilityViewEmbedder f5706d;

    /* renamed from: e  reason: collision with root package name */
    private final io.flutter.plugin.platform.i f5707e;

    /* renamed from: f  reason: collision with root package name */
    private final ContentResolver f5708f;

    /* renamed from: g  reason: collision with root package name */
    private final Map<Integer, l> f5709g;

    /* renamed from: h  reason: collision with root package name */
    private final Map<Integer, h> f5710h;

    /* renamed from: i  reason: collision with root package name */
    private l f5711i;

    /* renamed from: j  reason: collision with root package name */
    private Integer f5712j;

    /* renamed from: k  reason: collision with root package name */
    private Integer f5713k;

    /* renamed from: l  reason: collision with root package name */
    private int f5714l;

    /* renamed from: m  reason: collision with root package name */
    private l f5715m;

    /* renamed from: n  reason: collision with root package name */
    private l f5716n;

    /* renamed from: o  reason: collision with root package name */
    private l f5717o;

    /* renamed from: p  reason: collision with root package name */
    private final List<Integer> f5718p;

    /* renamed from: q  reason: collision with root package name */
    private int f5719q;

    /* renamed from: r  reason: collision with root package name */
    private Integer f5720r;

    /* renamed from: s  reason: collision with root package name */
    private k f5721s;

    /* renamed from: t  reason: collision with root package name */
    private boolean f5722t;

    /* renamed from: u  reason: collision with root package name */
    private final a.b f5723u;

    /* renamed from: v  reason: collision with root package name */
    private final AccessibilityManager.AccessibilityStateChangeListener f5724v;

    /* renamed from: w  reason: collision with root package name */
    private final AccessibilityManager.TouchExplorationStateChangeListener f5725w;

    /* renamed from: x  reason: collision with root package name */
    private final ContentObserver f5726x;

    /* access modifiers changed from: package-private */
    public class a implements a.b {
        a() {
        }

        @Override // t3.a.b
        public void a(String str) {
            c.this.f5703a.announceForAccessibility(str);
        }

        @Override // io.flutter.embedding.engine.FlutterJNI.a
        public void b(ByteBuffer byteBuffer, String[] strArr, ByteBuffer[] byteBufferArr) {
            byteBuffer.order(ByteOrder.LITTLE_ENDIAN);
            for (ByteBuffer byteBuffer2 : byteBufferArr) {
                byteBuffer2.order(ByteOrder.LITTLE_ENDIAN);
            }
            c.this.X(byteBuffer, strArr, byteBufferArr);
        }

        @Override // io.flutter.embedding.engine.FlutterJNI.a
        public void c(ByteBuffer byteBuffer, String[] strArr) {
            byteBuffer.order(ByteOrder.LITTLE_ENDIAN);
            c.this.W(byteBuffer, strArr);
        }

        @Override // t3.a.b
        public void d(String str) {
            if (Build.VERSION.SDK_INT < 28) {
                AccessibilityEvent G = c.this.G(0, 32);
                G.getText().add(str);
                c.this.Q(G);
            }
        }

        @Override // t3.a.b
        public void e(int i5) {
            c.this.P(i5, 2);
        }

        @Override // t3.a.b
        public void f(int i5) {
            c.this.P(i5, 1);
        }
    }

    class b implements AccessibilityManager.AccessibilityStateChangeListener {
        b() {
        }

        public void onAccessibilityStateChanged(boolean z4) {
            if (!c.this.f5722t) {
                t3.a aVar = c.this.f5704b;
                if (z4) {
                    aVar.g(c.this.f5723u);
                    c.this.f5704b.e();
                } else {
                    aVar.g(null);
                    c.this.f5704b.d();
                }
                if (c.this.f5721s != null) {
                    c.this.f5721s.a(z4, c.this.f5705c.isTouchExplorationEnabled());
                }
            }
        }
    }

    /* renamed from: io.flutter.view.c$c  reason: collision with other inner class name */
    class C0091c extends ContentObserver {
        C0091c(Handler handler) {
            super(handler);
        }

        public void onChange(boolean z4) {
            onChange(z4, null);
        }

        public void onChange(boolean z4, Uri uri) {
            if (!c.this.f5722t) {
                String string = Build.VERSION.SDK_INT < 17 ? null : Settings.Global.getString(c.this.f5708f, "transition_animation_scale");
                if (string != null && string.equals("0")) {
                    c.f(c.this, f.DISABLE_ANIMATIONS.f5741e);
                } else {
                    c.e(c.this, ~f.DISABLE_ANIMATIONS.f5741e);
                }
                c.this.R();
            }
        }
    }

    class d implements AccessibilityManager.TouchExplorationStateChangeListener {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ AccessibilityManager f5730a;

        d(AccessibilityManager accessibilityManager) {
            this.f5730a = accessibilityManager;
        }

        public void onTouchExplorationStateChanged(boolean z4) {
            if (!c.this.f5722t) {
                c cVar = c.this;
                if (z4) {
                    c.f(cVar, f.ACCESSIBLE_NAVIGATION.f5741e);
                } else {
                    cVar.J();
                    c.e(c.this, ~f.ACCESSIBLE_NAVIGATION.f5741e);
                }
                c.this.R();
                if (c.this.f5721s != null) {
                    c.this.f5721s.a(this.f5730a.isEnabled(), z4);
                }
            }
        }
    }

    /* access modifiers changed from: package-private */
    public static /* synthetic */ class e {

        /* renamed from: a  reason: collision with root package name */
        static final /* synthetic */ int[] f5732a;

        /* JADX WARNING: Can't wrap try/catch for region: R(6:0|1|2|3|4|6) */
        /* JADX WARNING: Code restructure failed: missing block: B:7:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        static {
            int[] iArr = new int[o.values().length];
            f5732a = iArr;
            iArr[o.SPELLOUT.ordinal()] = 1;
            f5732a[o.LOCALE.ordinal()] = 2;
        }
    }

    /* access modifiers changed from: private */
    public enum f {
        ACCESSIBLE_NAVIGATION(1),
        INVERT_COLORS(2),
        DISABLE_ANIMATIONS(4),
        BOLD_TEXT(8),
        REDUCE_MOTION(16),
        HIGH_CONTRAST(32),
        ON_OFF_SWITCH_LABELS(64);
        

        /* renamed from: e  reason: collision with root package name */
        final int f5741e;

        private f(int i5) {
            this.f5741e = i5;
        }
    }

    public enum g {
        TAP(1),
        LONG_PRESS(2),
        SCROLL_LEFT(4),
        SCROLL_RIGHT(8),
        SCROLL_UP(16),
        SCROLL_DOWN(32),
        INCREASE(64),
        DECREASE(128),
        SHOW_ON_SCREEN(256),
        MOVE_CURSOR_FORWARD_BY_CHARACTER(512),
        MOVE_CURSOR_BACKWARD_BY_CHARACTER(PictureFileUtils.KB),
        SET_SELECTION(2048),
        COPY(4096),
        CUT(8192),
        PASTE(16384),
        DID_GAIN_ACCESSIBILITY_FOCUS(32768),
        DID_LOSE_ACCESSIBILITY_FOCUS(65536),
        CUSTOM_ACTION(131072),
        DISMISS(262144),
        MOVE_CURSOR_FORWARD_BY_WORD(524288),
        MOVE_CURSOR_BACKWARD_BY_WORD(PictureFileUtils.MB),
        SET_TEXT(2097152);
        

        /* renamed from: e  reason: collision with root package name */
        public final int f5763e;

        private g(int i5) {
            this.f5763e = i5;
        }
    }

    /* access modifiers changed from: private */
    public static class h {

        /* renamed from: a  reason: collision with root package name */
        private int f5764a = -1;

        /* renamed from: b  reason: collision with root package name */
        private int f5765b = -1;

        /* renamed from: c  reason: collision with root package name */
        private int f5766c = -1;

        /* renamed from: d  reason: collision with root package name */
        private String f5767d;

        /* renamed from: e  reason: collision with root package name */
        private String f5768e;

        h() {
        }
    }

    /* access modifiers changed from: package-private */
    public enum i {
        HAS_CHECKED_STATE(1),
        IS_CHECKED(2),
        IS_SELECTED(4),
        IS_BUTTON(8),
        IS_TEXT_FIELD(16),
        IS_FOCUSED(32),
        HAS_ENABLED_STATE(64),
        IS_ENABLED(128),
        IS_IN_MUTUALLY_EXCLUSIVE_GROUP(256),
        IS_HEADER(512),
        IS_OBSCURED(PictureFileUtils.KB),
        SCOPES_ROUTE(2048),
        NAMES_ROUTE(4096),
        IS_HIDDEN(8192),
        IS_IMAGE(16384),
        IS_LIVE_REGION(32768),
        HAS_TOGGLED_STATE(65536),
        IS_TOGGLED(131072),
        HAS_IMPLICIT_SCROLLING(262144),
        IS_MULTILINE(524288),
        IS_READ_ONLY(PictureFileUtils.MB),
        IS_FOCUSABLE(2097152),
        IS_LINK(LruArrayPool.DEFAULT_SIZE),
        IS_SLIDER(8388608),
        IS_KEYBOARD_KEY(16777216);
        

        /* renamed from: e  reason: collision with root package name */
        final int f5790e;

        private i(int i5) {
            this.f5790e = i5;
        }
    }

    /* access modifiers changed from: private */
    public static class j extends n {

        /* renamed from: d  reason: collision with root package name */
        String f5791d;

        private j() {
            super(null);
        }

        /* synthetic */ j(a aVar) {
            this();
        }
    }

    public interface k {
        void a(boolean z4, boolean z5);
    }

    /* access modifiers changed from: private */
    public static class l {
        private p A;
        private boolean B = false;
        private int C;
        private int D;
        private int E;
        private int F;
        private float G;
        private float H;
        private float I;
        private String J;
        private String K;
        private float L;
        private float M;
        private float N;
        private float O;
        private float[] P;
        private l Q;
        private List<l> R = new ArrayList();
        private List<l> S = new ArrayList();
        private List<h> T;
        private h U;
        private h V;
        private boolean W = true;
        private float[] X;
        private boolean Y = true;
        private float[] Z;

        /* renamed from: a  reason: collision with root package name */
        final c f5792a;

        /* renamed from: a0  reason: collision with root package name */
        private Rect f5793a0;

        /* renamed from: b  reason: collision with root package name */
        private int f5794b = -1;

        /* renamed from: c  reason: collision with root package name */
        private int f5795c;

        /* renamed from: d  reason: collision with root package name */
        private int f5796d;

        /* renamed from: e  reason: collision with root package name */
        private int f5797e;

        /* renamed from: f  reason: collision with root package name */
        private int f5798f;

        /* renamed from: g  reason: collision with root package name */
        private int f5799g;

        /* renamed from: h  reason: collision with root package name */
        private int f5800h;

        /* renamed from: i  reason: collision with root package name */
        private int f5801i;

        /* renamed from: j  reason: collision with root package name */
        private int f5802j;

        /* renamed from: k  reason: collision with root package name */
        private int f5803k;

        /* renamed from: l  reason: collision with root package name */
        private float f5804l;

        /* renamed from: m  reason: collision with root package name */
        private float f5805m;

        /* renamed from: n  reason: collision with root package name */
        private float f5806n;

        /* renamed from: o  reason: collision with root package name */
        private String f5807o;

        /* renamed from: p  reason: collision with root package name */
        private List<n> f5808p;

        /* renamed from: q  reason: collision with root package name */
        private String f5809q;

        /* renamed from: r  reason: collision with root package name */
        private List<n> f5810r;

        /* renamed from: s  reason: collision with root package name */
        private String f5811s;

        /* renamed from: t  reason: collision with root package name */
        private List<n> f5812t;

        /* renamed from: u  reason: collision with root package name */
        private String f5813u;

        /* renamed from: v  reason: collision with root package name */
        private List<n> f5814v;

        /* renamed from: w  reason: collision with root package name */
        private String f5815w;

        /* renamed from: x  reason: collision with root package name */
        private List<n> f5816x;

        /* renamed from: y  reason: collision with root package name */
        private String f5817y;

        /* renamed from: z  reason: collision with root package name */
        private int f5818z = -1;

        l(c cVar) {
            this.f5792a = cVar;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void c0(List<l> list) {
            if (p0(i.SCOPES_ROUTE)) {
                list.add(this);
            }
            for (l lVar : this.R) {
                lVar.c0(list);
            }
        }

        private SpannableString d0(String str, List<n> list) {
            if (str == null) {
                return null;
            }
            SpannableString spannableString = new SpannableString(str);
            if (list != null) {
                for (n nVar : list) {
                    int i5 = e.f5732a[nVar.f5821c.ordinal()];
                    if (i5 == 1) {
                        spannableString.setSpan(new TtsSpan.Builder("android.type.verbatim").build(), nVar.f5819a, nVar.f5820b, 0);
                    } else if (i5 == 2) {
                        spannableString.setSpan(new LocaleSpan(Locale.forLanguageTag(((j) nVar).f5791d)), nVar.f5819a, nVar.f5820b, 0);
                    }
                }
            }
            return spannableString;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean e0() {
            String str;
            String str2 = this.f5807o;
            if (str2 == null && this.K == null) {
                return false;
            }
            return str2 == null || (str = this.K) == null || !str2.equals(str);
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean f0() {
            return !Float.isNaN(this.f5804l) && !Float.isNaN(this.G) && this.G != this.f5804l;
        }

        private void g0() {
            if (this.W) {
                this.W = false;
                if (this.X == null) {
                    this.X = new float[16];
                }
                if (!Matrix.invertM(this.X, 0, this.P, 0)) {
                    Arrays.fill(this.X, (float) CropImageView.DEFAULT_ASPECT_RATIO);
                }
            }
        }

        private l h0(y3.d<l> dVar) {
            for (l lVar = this.Q; lVar != null; lVar = lVar.Q) {
                if (dVar.test(lVar)) {
                    return lVar;
                }
            }
            return null;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private Rect i0() {
            return this.f5793a0;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private String j0() {
            String str;
            if (!(!p0(i.NAMES_ROUTE) || (str = this.f5807o) == null || str.isEmpty())) {
                return this.f5807o;
            }
            for (l lVar : this.R) {
                String j02 = lVar.j0();
                if (!(j02 == null || j02.isEmpty())) {
                    return j02;
                }
            }
            return null;
        }

        private List<n> k0(ByteBuffer byteBuffer, ByteBuffer[] byteBufferArr) {
            int i5 = byteBuffer.getInt();
            if (i5 == -1) {
                return null;
            }
            ArrayList arrayList = new ArrayList(i5);
            for (int i6 = 0; i6 < i5; i6++) {
                int i7 = byteBuffer.getInt();
                int i8 = byteBuffer.getInt();
                o oVar = o.values()[byteBuffer.getInt()];
                int i9 = e.f5732a[oVar.ordinal()];
                if (i9 == 1) {
                    byteBuffer.getInt();
                    m mVar = new m(null);
                    mVar.f5819a = i7;
                    mVar.f5820b = i8;
                    mVar.f5821c = oVar;
                    arrayList.add(mVar);
                } else if (i9 == 2) {
                    ByteBuffer byteBuffer2 = byteBufferArr[byteBuffer.getInt()];
                    j jVar = new j(null);
                    jVar.f5819a = i7;
                    jVar.f5820b = i8;
                    jVar.f5821c = oVar;
                    jVar.f5791d = Charset.forName("UTF-8").decode(byteBuffer2).toString();
                    arrayList.add(jVar);
                }
            }
            return arrayList;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private CharSequence l0() {
            CharSequence[] charSequenceArr = Build.VERSION.SDK_INT < 21 ? new CharSequence[]{this.f5809q, this.f5807o, this.f5815w} : new CharSequence[]{d0(this.f5809q, this.f5810r), d0(this.f5807o, this.f5808p), d0(this.f5815w, this.f5816x)};
            CharSequence charSequence = null;
            for (CharSequence charSequence2 : charSequenceArr) {
                if (charSequence2 != null && charSequence2.length() > 0) {
                    charSequence = (charSequence == null || charSequence.length() == 0) ? charSequence2 : TextUtils.concat(charSequence, ", ", charSequence2);
                }
            }
            return charSequence;
        }

        static /* synthetic */ int m(l lVar, int i5) {
            int i6 = lVar.f5800h + i5;
            lVar.f5800h = i6;
            return i6;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean m0(g gVar) {
            return (gVar.f5763e & this.D) != 0;
        }

        static /* synthetic */ int n(l lVar, int i5) {
            int i6 = lVar.f5800h - i5;
            lVar.f5800h = i6;
            return i6;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean n0(i iVar) {
            return (iVar.f5790e & this.C) != 0;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean o0(g gVar) {
            return (gVar.f5763e & this.f5796d) != 0;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean p0(i iVar) {
            return (iVar.f5790e & this.f5795c) != 0;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private l q0(float[] fArr) {
            float f5 = fArr[3];
            float f6 = fArr[0] / f5;
            float f7 = fArr[1] / f5;
            if (f6 < this.L || f6 >= this.N || f7 < this.M || f7 >= this.O) {
                return null;
            }
            float[] fArr2 = new float[4];
            for (l lVar : this.S) {
                if (!lVar.p0(i.IS_HIDDEN)) {
                    lVar.g0();
                    Matrix.multiplyMV(fArr2, 0, lVar.X, 0, fArr, 0);
                    l q02 = lVar.q0(fArr2);
                    if (q02 != null) {
                        return q02;
                    }
                }
            }
            if (r0()) {
                return this;
            }
            return null;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private boolean r0() {
            String str;
            String str2;
            String str3;
            if (p0(i.SCOPES_ROUTE)) {
                return false;
            }
            return p0(i.IS_FOCUSABLE) || (this.f5796d & (~c.f5701y)) != 0 || (this.f5795c & c.f5702z) != 0 || ((str = this.f5807o) != null && !str.isEmpty()) || (((str2 = this.f5809q) != null && !str2.isEmpty()) || ((str3 = this.f5815w) != null && !str3.isEmpty()));
        }

        private float s0(float f5, float f6, float f7, float f8) {
            return Math.max(f5, Math.max(f6, Math.max(f7, f8)));
        }

        private float t0(float f5, float f6, float f7, float f8) {
            return Math.min(f5, Math.min(f6, Math.min(f7, f8)));
        }

        /* access modifiers changed from: private */
        public static boolean u0(l lVar, y3.d<l> dVar) {
            return (lVar == null || lVar.h0(dVar) == null) ? false : true;
        }

        private void v0(float[] fArr, float[] fArr2, float[] fArr3) {
            Matrix.multiplyMV(fArr, 0, fArr2, 0, fArr3, 0);
            float f5 = fArr[3];
            fArr[0] = fArr[0] / f5;
            fArr[1] = fArr[1] / f5;
            fArr[2] = fArr[2] / f5;
            fArr[3] = 0.0f;
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void w0(float[] fArr, Set<l> set, boolean z4) {
            set.add(this);
            if (this.Y) {
                z4 = true;
            }
            if (z4) {
                if (this.Z == null) {
                    this.Z = new float[16];
                }
                Matrix.multiplyMM(this.Z, 0, fArr, 0, this.P, 0);
                float[] fArr2 = new float[4];
                fArr2[2] = 0.0f;
                fArr2[3] = 1.0f;
                float[] fArr3 = new float[4];
                float[] fArr4 = new float[4];
                float[] fArr5 = new float[4];
                float[] fArr6 = new float[4];
                fArr2[0] = this.L;
                fArr2[1] = this.M;
                v0(fArr3, this.Z, fArr2);
                fArr2[0] = this.N;
                fArr2[1] = this.M;
                v0(fArr4, this.Z, fArr2);
                fArr2[0] = this.N;
                fArr2[1] = this.O;
                v0(fArr5, this.Z, fArr2);
                fArr2[0] = this.L;
                fArr2[1] = this.O;
                v0(fArr6, this.Z, fArr2);
                if (this.f5793a0 == null) {
                    this.f5793a0 = new Rect();
                }
                this.f5793a0.set(Math.round(t0(fArr3[0], fArr4[0], fArr5[0], fArr6[0])), Math.round(t0(fArr3[1], fArr4[1], fArr5[1], fArr6[1])), Math.round(s0(fArr3[0], fArr4[0], fArr5[0], fArr6[0])), Math.round(s0(fArr3[1], fArr4[1], fArr5[1], fArr6[1])));
                this.Y = false;
            }
            int i5 = -1;
            for (l lVar : this.R) {
                lVar.f5818z = i5;
                i5 = lVar.f5794b;
                lVar.w0(this.Z, set, z4);
            }
        }

        /* access modifiers changed from: private */
        /* access modifiers changed from: public */
        private void x0(ByteBuffer byteBuffer, String[] strArr, ByteBuffer[] byteBufferArr) {
            this.B = true;
            this.J = this.f5809q;
            this.K = this.f5807o;
            this.C = this.f5795c;
            this.D = this.f5796d;
            this.E = this.f5799g;
            this.F = this.f5800h;
            this.G = this.f5804l;
            this.H = this.f5805m;
            this.I = this.f5806n;
            this.f5795c = byteBuffer.getInt();
            this.f5796d = byteBuffer.getInt();
            this.f5797e = byteBuffer.getInt();
            this.f5798f = byteBuffer.getInt();
            this.f5799g = byteBuffer.getInt();
            this.f5800h = byteBuffer.getInt();
            this.f5801i = byteBuffer.getInt();
            this.f5802j = byteBuffer.getInt();
            this.f5803k = byteBuffer.getInt();
            this.f5804l = byteBuffer.getFloat();
            this.f5805m = byteBuffer.getFloat();
            this.f5806n = byteBuffer.getFloat();
            int i5 = byteBuffer.getInt();
            this.f5807o = i5 == -1 ? null : strArr[i5];
            this.f5808p = k0(byteBuffer, byteBufferArr);
            int i6 = byteBuffer.getInt();
            this.f5809q = i6 == -1 ? null : strArr[i6];
            this.f5810r = k0(byteBuffer, byteBufferArr);
            int i7 = byteBuffer.getInt();
            this.f5811s = i7 == -1 ? null : strArr[i7];
            this.f5812t = k0(byteBuffer, byteBufferArr);
            int i8 = byteBuffer.getInt();
            this.f5813u = i8 == -1 ? null : strArr[i8];
            this.f5814v = k0(byteBuffer, byteBufferArr);
            int i9 = byteBuffer.getInt();
            this.f5815w = i9 == -1 ? null : strArr[i9];
            this.f5816x = k0(byteBuffer, byteBufferArr);
            int i10 = byteBuffer.getInt();
            this.f5817y = i10 == -1 ? null : strArr[i10];
            this.A = p.a(byteBuffer.getInt());
            this.L = byteBuffer.getFloat();
            this.M = byteBuffer.getFloat();
            this.N = byteBuffer.getFloat();
            this.O = byteBuffer.getFloat();
            if (this.P == null) {
                this.P = new float[16];
            }
            for (int i11 = 0; i11 < 16; i11++) {
                this.P[i11] = byteBuffer.getFloat();
            }
            this.W = true;
            this.Y = true;
            int i12 = byteBuffer.getInt();
            this.R.clear();
            this.S.clear();
            for (int i13 = 0; i13 < i12; i13++) {
                l z4 = this.f5792a.z(byteBuffer.getInt());
                z4.Q = this;
                this.R.add(z4);
            }
            for (int i14 = 0; i14 < i12; i14++) {
                l z5 = this.f5792a.z(byteBuffer.getInt());
                z5.Q = this;
                this.S.add(z5);
            }
            int i15 = byteBuffer.getInt();
            if (i15 == 0) {
                this.T = null;
                return;
            }
            List<h> list = this.T;
            if (list == null) {
                this.T = new ArrayList(i15);
            } else {
                list.clear();
            }
            for (int i16 = 0; i16 < i15; i16++) {
                h y5 = this.f5792a.y(byteBuffer.getInt());
                if (y5.f5766c == g.TAP.f5763e) {
                    this.U = y5;
                } else if (y5.f5766c == g.LONG_PRESS.f5763e) {
                    this.V = y5;
                } else {
                    this.T.add(y5);
                }
                this.T.add(y5);
            }
        }
    }

    /* access modifiers changed from: private */
    public static class m extends n {
        private m() {
            super(null);
        }

        /* synthetic */ m(a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public static class n {

        /* renamed from: a  reason: collision with root package name */
        int f5819a;

        /* renamed from: b  reason: collision with root package name */
        int f5820b;

        /* renamed from: c  reason: collision with root package name */
        o f5821c;

        private n() {
        }

        /* synthetic */ n(a aVar) {
            this();
        }
    }

    /* access modifiers changed from: private */
    public enum o {
        SPELLOUT,
        LOCALE
    }

    /* access modifiers changed from: private */
    public enum p {
        UNKNOWN,
        LTR,
        RTL;

        public static p a(int i5) {
            return i5 != 1 ? i5 != 2 ? UNKNOWN : LTR : RTL;
        }
    }

    public c(View view, t3.a aVar, AccessibilityManager accessibilityManager, ContentResolver contentResolver, io.flutter.plugin.platform.i iVar) {
        this(view, aVar, accessibilityManager, contentResolver, new AccessibilityViewEmbedder(view, 65536), iVar);
    }

    public c(View view, t3.a aVar, AccessibilityManager accessibilityManager, ContentResolver contentResolver, AccessibilityViewEmbedder accessibilityViewEmbedder, io.flutter.plugin.platform.i iVar) {
        this.f5709g = new HashMap();
        this.f5710h = new HashMap();
        this.f5714l = 0;
        this.f5718p = new ArrayList();
        this.f5719q = 0;
        this.f5720r = 0;
        this.f5722t = false;
        this.f5723u = new a();
        b bVar = new b();
        this.f5724v = bVar;
        C0091c cVar = new C0091c(new Handler());
        this.f5726x = cVar;
        this.f5703a = view;
        this.f5704b = aVar;
        this.f5705c = accessibilityManager;
        this.f5708f = contentResolver;
        this.f5706d = accessibilityViewEmbedder;
        this.f5707e = iVar;
        bVar.onAccessibilityStateChanged(accessibilityManager.isEnabled());
        accessibilityManager.addAccessibilityStateChangeListener(bVar);
        int i5 = Build.VERSION.SDK_INT;
        if (i5 >= 19) {
            d dVar = new d(accessibilityManager);
            this.f5725w = dVar;
            dVar.onTouchExplorationStateChanged(accessibilityManager.isTouchExplorationEnabled());
            accessibilityManager.addTouchExplorationStateChangeListener(dVar);
        } else {
            this.f5725w = null;
        }
        if (i5 >= 17) {
            cVar.onChange(false);
            contentResolver.registerContentObserver(Settings.Global.getUriFor("transition_animation_scale"), false, cVar);
        }
        iVar.a(this);
    }

    private l A() {
        return this.f5709g.get(0);
    }

    private void B(float f5, float f6) {
        l q02;
        if (!this.f5709g.isEmpty() && (q02 = A().q0(new float[]{f5, f6, 0.0f, 1.0f})) != this.f5717o) {
            if (q02 != null) {
                P(q02.f5794b, 128);
            }
            l lVar = this.f5717o;
            if (lVar != null) {
                P(lVar.f5794b, 256);
            }
            this.f5717o = q02;
        }
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ boolean E(l lVar, l lVar2) {
        return lVar2 == lVar;
    }

    /* access modifiers changed from: private */
    public static /* synthetic */ boolean F(l lVar) {
        return lVar.p0(i.HAS_IMPLICIT_SCROLLING);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private AccessibilityEvent G(int i5, int i6) {
        AccessibilityEvent obtain = AccessibilityEvent.obtain(i6);
        obtain.setPackageName(this.f5703a.getContext().getPackageName());
        obtain.setSource(this.f5703a, i5);
        return obtain;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void J() {
        l lVar = this.f5717o;
        if (lVar != null) {
            P(lVar.f5794b, 256);
            this.f5717o = null;
        }
    }

    private void K(l lVar) {
        String j02 = lVar.j0();
        if (j02 == null) {
            j02 = " ";
        }
        if (Build.VERSION.SDK_INT >= 28) {
            T(j02);
            return;
        }
        AccessibilityEvent G = G(lVar.f5794b, 32);
        G.getText().add(j02);
        Q(G);
    }

    private boolean L(l lVar, int i5, Bundle bundle, boolean z4) {
        int i6 = bundle.getInt("ACTION_ARGUMENT_MOVEMENT_GRANULARITY_INT");
        boolean z5 = bundle.getBoolean("ACTION_ARGUMENT_EXTEND_SELECTION_BOOLEAN");
        int i7 = lVar.f5799g;
        int i8 = lVar.f5800h;
        N(lVar, i6, z4, z5);
        if (!(i7 == lVar.f5799g && i8 == lVar.f5800h)) {
            String str = lVar.f5809q != null ? lVar.f5809q : "";
            AccessibilityEvent G = G(lVar.f5794b, 8192);
            G.getText().add(str);
            G.setFromIndex(lVar.f5799g);
            G.setToIndex(lVar.f5800h);
            G.setItemCount(str.length());
            Q(G);
        }
        if (i6 == 1) {
            if (z4) {
                g gVar = g.MOVE_CURSOR_FORWARD_BY_CHARACTER;
                if (lVar.o0(gVar)) {
                    this.f5704b.c(i5, gVar, Boolean.valueOf(z5));
                    return true;
                }
            }
            if (z4) {
                return false;
            }
            g gVar2 = g.MOVE_CURSOR_BACKWARD_BY_CHARACTER;
            if (!lVar.o0(gVar2)) {
                return false;
            }
            this.f5704b.c(i5, gVar2, Boolean.valueOf(z5));
            return true;
        } else if (i6 != 2) {
            return i6 == 4 || i6 == 8 || i6 == 16;
        } else {
            if (z4) {
                g gVar3 = g.MOVE_CURSOR_FORWARD_BY_WORD;
                if (lVar.o0(gVar3)) {
                    this.f5704b.c(i5, gVar3, Boolean.valueOf(z5));
                    return true;
                }
            }
            if (z4) {
                return false;
            }
            g gVar4 = g.MOVE_CURSOR_BACKWARD_BY_WORD;
            if (!lVar.o0(gVar4)) {
                return false;
            }
            this.f5704b.c(i5, gVar4, Boolean.valueOf(z5));
            return true;
        }
    }

    private boolean M(l lVar, int i5, Bundle bundle) {
        String string = (bundle == null || !bundle.containsKey("ACTION_ARGUMENT_SET_TEXT_CHARSEQUENCE")) ? "" : bundle.getString("ACTION_ARGUMENT_SET_TEXT_CHARSEQUENCE");
        this.f5704b.c(i5, g.SET_TEXT, string);
        lVar.f5809q = string;
        lVar.f5810r = null;
        return true;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:14:0x0022, code lost:
        if (r6 != false) goto L_0x0024;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:22:0x0060, code lost:
        if (r5.find() != false) goto L_0x0062;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:23:0x0062, code lost:
        io.flutter.view.c.l.m(r4, r5.start(1));
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x008d, code lost:
        if (r5.find() != false) goto L_0x008f;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:29:0x008f, code lost:
        r5 = r5.start(1);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:34:0x00c1, code lost:
        if (r5.find() != false) goto L_0x0062;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:39:0x00e6, code lost:
        if (r5.find() != false) goto L_0x008f;
     */
    private void N(l lVar, int i5, boolean z4, boolean z5) {
        Matcher matcher;
        Matcher matcher2;
        if (lVar.f5800h >= 0 && lVar.f5799g >= 0) {
            if (i5 != 1) {
                if (i5 != 2) {
                    if (i5 != 4) {
                        if (i5 == 8 || i5 == 16) {
                        }
                    } else if (z4 && lVar.f5800h < lVar.f5809q.length()) {
                        matcher2 = Pattern.compile("(?!^)(\\n)").matcher(lVar.f5809q.substring(lVar.f5800h));
                    } else if (!z4 && lVar.f5800h > 0) {
                        matcher = Pattern.compile("(?s:.*)(\\n)").matcher(lVar.f5809q.substring(0, lVar.f5800h));
                    }
                    lVar.f5800h = 0;
                } else if (z4 && lVar.f5800h < lVar.f5809q.length()) {
                    matcher2 = Pattern.compile("\\p{L}(\\b)").matcher(lVar.f5809q.substring(lVar.f5800h));
                    matcher2.find();
                } else if (!z4 && lVar.f5800h > 0) {
                    matcher = Pattern.compile("(?s:.*)(\\b)\\p{L}").matcher(lVar.f5809q.substring(0, lVar.f5800h));
                }
                int start = lVar.f5809q.length();
                lVar.f5800h = start;
            } else if (z4 && lVar.f5800h < lVar.f5809q.length()) {
                l.m(lVar, 1);
            } else if (!z4 && lVar.f5800h > 0) {
                l.n(lVar, 1);
            }
            if (!z5) {
                lVar.f5799g = lVar.f5800h;
            }
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void P(int i5, int i6) {
        if (this.f5705c.isEnabled()) {
            Q(G(i5, i6));
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void Q(AccessibilityEvent accessibilityEvent) {
        if (this.f5705c.isEnabled()) {
            this.f5703a.getParent().requestSendAccessibilityEvent(this.f5703a, accessibilityEvent);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void R() {
        this.f5704b.f(this.f5714l);
    }

    private void S(int i5) {
        AccessibilityEvent G = G(i5, 2048);
        if (Build.VERSION.SDK_INT >= 19) {
            G.setContentChangeTypes(1);
        }
        Q(G);
    }

    private void T(String str) {
        this.f5703a.setAccessibilityPaneTitle(str);
    }

    private boolean V(l lVar) {
        return lVar.f5802j > 0 && (l.u0(this.f5711i, new a(lVar)) || !l.u0(this.f5711i, b.f5700a));
    }

    private void Y(l lVar) {
        View c5;
        Integer num;
        lVar.Q = null;
        if (!(lVar.f5801i == -1 || (num = this.f5712j) == null || this.f5706d.platformViewOfNode(num.intValue()) != this.f5707e.c(lVar.f5801i))) {
            P(this.f5712j.intValue(), 65536);
            this.f5712j = null;
        }
        if (!(lVar.f5801i == -1 || (c5 = this.f5707e.c(lVar.f5801i)) == null)) {
            c5.setImportantForAccessibility(4);
        }
        l lVar2 = this.f5711i;
        if (lVar2 == lVar) {
            P(lVar2.f5794b, 65536);
            this.f5711i = null;
        }
        if (this.f5715m == lVar) {
            this.f5715m = null;
        }
        if (this.f5717o == lVar) {
            this.f5717o = null;
        }
    }

    static /* synthetic */ int e(c cVar, int i5) {
        int i6 = i5 & cVar.f5714l;
        cVar.f5714l = i6;
        return i6;
    }

    static /* synthetic */ int f(c cVar, int i5) {
        int i6 = i5 | cVar.f5714l;
        cVar.f5714l = i6;
        return i6;
    }

    private AccessibilityEvent u(int i5, String str, String str2) {
        AccessibilityEvent G = G(i5, 16);
        G.setBeforeText(str);
        G.getText().add(str2);
        int i6 = 0;
        while (i6 < str.length() && i6 < str2.length() && str.charAt(i6) == str2.charAt(i6)) {
            i6++;
        }
        if (i6 >= str.length() && i6 >= str2.length()) {
            return null;
        }
        G.setFromIndex(i6);
        int length = str.length() - 1;
        int length2 = str2.length() - 1;
        while (length >= i6 && length2 >= i6 && str.charAt(length) == str2.charAt(length2)) {
            length--;
            length2--;
        }
        G.setRemovedCount((length - i6) + 1);
        G.setAddedCount((length2 - i6) + 1);
        return G;
    }

    private boolean v() {
        Activity e5 = y3.h.e(this.f5703a.getContext());
        if (e5 == null || e5.getWindow() == null) {
            return false;
        }
        int i5 = e5.getWindow().getAttributes().layoutInDisplayCutoutMode;
        return i5 == 2 || i5 == 0;
    }

    private Rect x(Rect rect) {
        Rect rect2 = new Rect(rect);
        int[] iArr = new int[2];
        this.f5703a.getLocationOnScreen(iArr);
        rect2.offset(iArr[0], iArr[1]);
        return rect2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private h y(int i5) {
        h hVar = this.f5710h.get(Integer.valueOf(i5));
        if (hVar != null) {
            return hVar;
        }
        h hVar2 = new h();
        hVar2.f5765b = i5;
        hVar2.f5764a = A + i5;
        this.f5710h.put(Integer.valueOf(i5), hVar2);
        return hVar2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private l z(int i5) {
        l lVar = this.f5709g.get(Integer.valueOf(i5));
        if (lVar != null) {
            return lVar;
        }
        l lVar2 = new l(this);
        lVar2.f5794b = i5;
        this.f5709g.put(Integer.valueOf(i5), lVar2);
        return lVar2;
    }

    public boolean C() {
        return this.f5705c.isEnabled();
    }

    public boolean D() {
        return this.f5705c.isTouchExplorationEnabled();
    }

    public AccessibilityNodeInfo H(View view, int i5) {
        return AccessibilityNodeInfo.obtain(view, i5);
    }

    public boolean I(MotionEvent motionEvent) {
        if (!this.f5705c.isTouchExplorationEnabled() || this.f5709g.isEmpty()) {
            return false;
        }
        l q02 = A().q0(new float[]{motionEvent.getX(), motionEvent.getY(), 0.0f, 1.0f});
        if (q02 != null && q02.f5801i != -1) {
            return this.f5706d.onAccessibilityHoverEvent(q02.f5794b, motionEvent);
        }
        if (motionEvent.getAction() == 9 || motionEvent.getAction() == 7) {
            B(motionEvent.getX(), motionEvent.getY());
        } else if (motionEvent.getAction() == 10) {
            J();
        } else {
            h3.b.a("flutter", "unexpected accessibility hover event: " + motionEvent);
            return false;
        }
        return true;
    }

    public void O() {
        this.f5722t = true;
        this.f5707e.d();
        U(null);
        this.f5705c.removeAccessibilityStateChangeListener(this.f5724v);
        if (Build.VERSION.SDK_INT >= 19) {
            this.f5705c.removeTouchExplorationStateChangeListener(this.f5725w);
        }
        this.f5708f.unregisterContentObserver(this.f5726x);
        this.f5704b.g(null);
    }

    public void U(k kVar) {
        this.f5721s = kVar;
    }

    /* access modifiers changed from: package-private */
    public void W(ByteBuffer byteBuffer, String[] strArr) {
        while (byteBuffer.hasRemaining()) {
            h y5 = y(byteBuffer.getInt());
            y5.f5766c = byteBuffer.getInt();
            int i5 = byteBuffer.getInt();
            String str = null;
            y5.f5767d = i5 == -1 ? null : strArr[i5];
            int i6 = byteBuffer.getInt();
            if (i6 != -1) {
                str = strArr[i6];
            }
            y5.f5768e = str;
        }
    }

    /* access modifiers changed from: package-private */
    public void X(ByteBuffer byteBuffer, String[] strArr, ByteBuffer[] byteBufferArr) {
        l lVar;
        float f5;
        float f6;
        WindowInsets rootWindowInsets;
        View c5;
        ArrayList arrayList = new ArrayList();
        while (byteBuffer.hasRemaining()) {
            l z4 = z(byteBuffer.getInt());
            z4.x0(byteBuffer, strArr, byteBufferArr);
            if (!z4.p0(i.IS_HIDDEN)) {
                if (z4.p0(i.IS_FOCUSED)) {
                    this.f5715m = z4;
                }
                if (z4.B) {
                    arrayList.add(z4);
                }
                if (!(z4.f5801i == -1 || this.f5707e.b(z4.f5801i) || (c5 = this.f5707e.c(z4.f5801i)) == null)) {
                    c5.setImportantForAccessibility(0);
                }
            }
        }
        HashSet hashSet = new HashSet();
        l A2 = A();
        ArrayList<l> arrayList2 = new ArrayList();
        if (A2 != null) {
            float[] fArr = new float[16];
            Matrix.setIdentityM(fArr, 0);
            int i5 = Build.VERSION.SDK_INT;
            if (i5 >= 23) {
                if ((i5 >= 28 ? v() : true) && (rootWindowInsets = this.f5703a.getRootWindowInsets()) != null) {
                    if (!this.f5720r.equals(Integer.valueOf(rootWindowInsets.getSystemWindowInsetLeft()))) {
                        A2.Y = true;
                        A2.W = true;
                    }
                    Integer valueOf = Integer.valueOf(rootWindowInsets.getSystemWindowInsetLeft());
                    this.f5720r = valueOf;
                    Matrix.translateM(fArr, 0, (float) valueOf.intValue(), CropImageView.DEFAULT_ASPECT_RATIO, CropImageView.DEFAULT_ASPECT_RATIO);
                }
            }
            A2.w0(fArr, hashSet, false);
            A2.c0(arrayList2);
        }
        l lVar2 = null;
        for (l lVar3 : arrayList2) {
            if (!this.f5718p.contains(Integer.valueOf(lVar3.f5794b))) {
                lVar2 = lVar3;
            }
        }
        if (lVar2 == null && arrayList2.size() > 0) {
            lVar2 = (l) arrayList2.get(arrayList2.size() - 1);
        }
        if (!(lVar2 == null || (lVar2.f5794b == this.f5719q && arrayList2.size() == this.f5718p.size()))) {
            this.f5719q = lVar2.f5794b;
            K(lVar2);
        }
        this.f5718p.clear();
        for (l lVar4 : arrayList2) {
            this.f5718p.add(Integer.valueOf(lVar4.f5794b));
        }
        Iterator<Map.Entry<Integer, l>> it = this.f5709g.entrySet().iterator();
        while (it.hasNext()) {
            l value = it.next().getValue();
            if (!hashSet.contains(value)) {
                Y(value);
                it.remove();
            }
        }
        S(0);
        Iterator it2 = arrayList.iterator();
        while (it2.hasNext()) {
            l lVar5 = (l) it2.next();
            if (lVar5.f0()) {
                AccessibilityEvent G = G(lVar5.f5794b, 4096);
                float f7 = lVar5.f5804l;
                float f8 = lVar5.f5805m;
                if (Float.isInfinite(lVar5.f5805m)) {
                    if (f7 > 70000.0f) {
                        f7 = 70000.0f;
                    }
                    f8 = 100000.0f;
                }
                if (Float.isInfinite(lVar5.f5806n)) {
                    f5 = f8 + 100000.0f;
                    if (f7 < -70000.0f) {
                        f7 = -70000.0f;
                    }
                    f6 = f7 + 100000.0f;
                } else {
                    f5 = f8 - lVar5.f5806n;
                    f6 = f7 - lVar5.f5806n;
                }
                if (lVar5.m0(g.SCROLL_UP) || lVar5.m0(g.SCROLL_DOWN)) {
                    G.setScrollY((int) f6);
                    G.setMaxScrollY((int) f5);
                } else if (lVar5.m0(g.SCROLL_LEFT) || lVar5.m0(g.SCROLL_RIGHT)) {
                    G.setScrollX((int) f6);
                    G.setMaxScrollX((int) f5);
                }
                if (lVar5.f5802j > 0) {
                    G.setItemCount(lVar5.f5802j);
                    G.setFromIndex(lVar5.f5803k);
                    int i6 = 0;
                    for (l lVar6 : lVar5.S) {
                        if (!lVar6.p0(i.IS_HIDDEN)) {
                            i6++;
                        }
                    }
                    G.setToIndex((lVar5.f5803k + i6) - 1);
                }
                Q(G);
            }
            if (lVar5.p0(i.IS_LIVE_REGION) && lVar5.e0()) {
                S(lVar5.f5794b);
            }
            l lVar7 = this.f5711i;
            if (lVar7 != null && lVar7.f5794b == lVar5.f5794b) {
                i iVar = i.IS_SELECTED;
                if (!lVar5.n0(iVar) && lVar5.p0(iVar)) {
                    AccessibilityEvent G2 = G(lVar5.f5794b, 4);
                    G2.getText().add(lVar5.f5807o);
                    Q(G2);
                }
            }
            l lVar8 = this.f5715m;
            if (lVar8 != null && lVar8.f5794b == lVar5.f5794b && ((lVar = this.f5716n) == null || lVar.f5794b != this.f5715m.f5794b)) {
                this.f5716n = this.f5715m;
                Q(G(lVar5.f5794b, 8));
            } else if (this.f5715m == null) {
                this.f5716n = null;
            }
            l lVar9 = this.f5715m;
            if (lVar9 != null && lVar9.f5794b == lVar5.f5794b) {
                i iVar2 = i.IS_TEXT_FIELD;
                if (lVar5.n0(iVar2) && lVar5.p0(iVar2)) {
                    l lVar10 = this.f5711i;
                    if (lVar10 == null || lVar10.f5794b == this.f5715m.f5794b) {
                        String str = "";
                        String str2 = lVar5.J != null ? lVar5.J : str;
                        if (lVar5.f5809q != null) {
                            str = lVar5.f5809q;
                        }
                        AccessibilityEvent u5 = u(lVar5.f5794b, str2, str);
                        if (u5 != null) {
                            Q(u5);
                        }
                        if (lVar5.E != lVar5.f5799g || lVar5.F != lVar5.f5800h) {
                            AccessibilityEvent G3 = G(lVar5.f5794b, 8192);
                            G3.getText().add(str);
                            G3.setFromIndex(lVar5.f5799g);
                            G3.setToIndex(lVar5.f5800h);
                            G3.setItemCount(str.length());
                            Q(G3);
                        }
                    }
                }
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:228:0x0424  */
    /* JADX WARNING: Removed duplicated region for block: B:242:0x0455 A[LOOP:0: B:240:0x044f->B:242:0x0455, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:246:0x047a  */
    public AccessibilityNodeInfo createAccessibilityNodeInfo(int i5) {
        boolean z4;
        String str;
        int i6;
        l lVar;
        if (i5 >= 65536) {
            return this.f5706d.createAccessibilityNodeInfo(i5);
        }
        if (i5 == -1) {
            AccessibilityNodeInfo obtain = AccessibilityNodeInfo.obtain(this.f5703a);
            this.f5703a.onInitializeAccessibilityNodeInfo(obtain);
            if (this.f5709g.containsKey(0)) {
                obtain.addChild(this.f5703a, 0);
            }
            return obtain;
        }
        l lVar2 = this.f5709g.get(Integer.valueOf(i5));
        if (lVar2 == null) {
            return null;
        }
        if (lVar2.f5801i == -1 || !this.f5707e.b(lVar2.f5801i)) {
            AccessibilityNodeInfo H = H(this.f5703a, i5);
            int i7 = Build.VERSION.SDK_INT;
            String str2 = "";
            if (i7 >= 18) {
                H.setViewIdResourceName(str2);
            }
            H.setPackageName(this.f5703a.getContext().getPackageName());
            H.setClassName("android.view.View");
            H.setSource(this.f5703a, i5);
            H.setFocusable(lVar2.r0());
            l lVar3 = this.f5715m;
            if (lVar3 != null) {
                H.setFocused(lVar3.f5794b == i5);
            }
            l lVar4 = this.f5711i;
            if (lVar4 != null) {
                H.setAccessibilityFocused(lVar4.f5794b == i5);
            }
            i iVar = i.IS_TEXT_FIELD;
            if (lVar2.p0(iVar)) {
                H.setPassword(lVar2.p0(i.IS_OBSCURED));
                i iVar2 = i.IS_READ_ONLY;
                if (!lVar2.p0(iVar2)) {
                    H.setClassName("android.widget.EditText");
                }
                if (i7 >= 18) {
                    H.setEditable(!lVar2.p0(iVar2));
                    if (!(lVar2.f5799g == -1 || lVar2.f5800h == -1)) {
                        H.setTextSelection(lVar2.f5799g, lVar2.f5800h);
                    }
                    if (i7 > 18 && (lVar = this.f5711i) != null && lVar.f5794b == i5) {
                        H.setLiveRegion(1);
                    }
                }
                if (lVar2.o0(g.MOVE_CURSOR_FORWARD_BY_CHARACTER)) {
                    H.addAction(256);
                    i6 = 1;
                } else {
                    i6 = 0;
                }
                if (lVar2.o0(g.MOVE_CURSOR_BACKWARD_BY_CHARACTER)) {
                    H.addAction(512);
                    i6 |= 1;
                }
                if (lVar2.o0(g.MOVE_CURSOR_FORWARD_BY_WORD)) {
                    H.addAction(256);
                    i6 |= 2;
                }
                if (lVar2.o0(g.MOVE_CURSOR_BACKWARD_BY_WORD)) {
                    H.addAction(512);
                    i6 |= 2;
                }
                H.setMovementGranularities(i6);
                if (i7 >= 21 && lVar2.f5797e >= 0) {
                    int length = lVar2.f5809q == null ? 0 : lVar2.f5809q.length();
                    int unused = lVar2.f5798f;
                    int unused2 = lVar2.f5797e;
                    H.setMaxTextLength((length - lVar2.f5798f) + lVar2.f5797e);
                }
            }
            if (i7 > 18) {
                if (lVar2.o0(g.SET_SELECTION)) {
                    H.addAction(131072);
                }
                if (lVar2.o0(g.COPY)) {
                    H.addAction(16384);
                }
                if (lVar2.o0(g.CUT)) {
                    H.addAction(65536);
                }
                if (lVar2.o0(g.PASTE)) {
                    H.addAction(32768);
                }
            }
            if (i7 >= 21 && lVar2.o0(g.SET_TEXT)) {
                H.addAction(2097152);
            }
            if (lVar2.p0(i.IS_BUTTON) || lVar2.p0(i.IS_LINK)) {
                H.setClassName("android.widget.Button");
            }
            if (lVar2.p0(i.IS_IMAGE)) {
                H.setClassName("android.widget.ImageView");
            }
            if (i7 > 18 && lVar2.o0(g.DISMISS)) {
                H.setDismissable(true);
                H.addAction(PictureFileUtils.MB);
            }
            if (lVar2.Q != null) {
                H.setParent(this.f5703a, lVar2.Q.f5794b);
            } else {
                H.setParent(this.f5703a);
            }
            if (lVar2.f5818z != -1 && i7 >= 22) {
                H.setTraversalAfter(this.f5703a, lVar2.f5818z);
            }
            Rect i02 = lVar2.i0();
            if (lVar2.Q != null) {
                Rect i03 = lVar2.Q.i0();
                Rect rect = new Rect(i02);
                rect.offset(-i03.left, -i03.top);
                H.setBoundsInParent(rect);
            } else {
                H.setBoundsInParent(i02);
            }
            H.setBoundsInScreen(x(i02));
            H.setVisibleToUser(true);
            H.setEnabled(!lVar2.p0(i.HAS_ENABLED_STATE) || lVar2.p0(i.IS_ENABLED));
            if (lVar2.o0(g.TAP)) {
                if (i7 < 21 || lVar2.U == null) {
                    H.addAction(16);
                } else {
                    H.addAction(new AccessibilityNodeInfo.AccessibilityAction(16, lVar2.U.f5768e));
                }
                H.setClickable(true);
            }
            if (lVar2.o0(g.LONG_PRESS)) {
                if (i7 < 21 || lVar2.V == null) {
                    H.addAction(32);
                } else {
                    H.addAction(new AccessibilityNodeInfo.AccessibilityAction(32, lVar2.V.f5768e));
                }
                H.setLongClickable(true);
            }
            g gVar = g.SCROLL_LEFT;
            if (lVar2.o0(gVar) || lVar2.o0(g.SCROLL_UP) || lVar2.o0(g.SCROLL_RIGHT) || lVar2.o0(g.SCROLL_DOWN)) {
                H.setScrollable(true);
                if (lVar2.p0(i.HAS_IMPLICIT_SCROLLING)) {
                    if (lVar2.o0(gVar) || lVar2.o0(g.SCROLL_RIGHT)) {
                        if (i7 <= 19 || !V(lVar2)) {
                            z4 = false;
                            H.setClassName("android.widget.HorizontalScrollView");
                        } else {
                            z4 = false;
                            H.setCollectionInfo(AccessibilityNodeInfo.CollectionInfo.obtain(0, lVar2.f5802j, false));
                        }
                        if (lVar2.o0(gVar) || lVar2.o0(g.SCROLL_UP)) {
                            H.addAction(4096);
                        }
                        if (lVar2.o0(g.SCROLL_RIGHT) || lVar2.o0(g.SCROLL_DOWN)) {
                            H.addAction(8192);
                        }
                    } else if (i7 <= 18 || !V(lVar2)) {
                        H.setClassName("android.widget.ScrollView");
                    } else {
                        H.setCollectionInfo(AccessibilityNodeInfo.CollectionInfo.obtain(lVar2.f5802j, 0, false));
                    }
                }
                z4 = false;
                H.addAction(4096);
                H.addAction(8192);
            } else {
                z4 = false;
            }
            g gVar2 = g.INCREASE;
            if (lVar2.o0(gVar2) || lVar2.o0(g.DECREASE)) {
                H.setClassName("android.widget.SeekBar");
                if (lVar2.o0(gVar2)) {
                    H.addAction(4096);
                }
                if (lVar2.o0(g.DECREASE)) {
                    H.addAction(8192);
                }
            }
            if (lVar2.p0(i.IS_LIVE_REGION) && i7 > 18) {
                H.setLiveRegion(1);
            }
            if (lVar2.p0(iVar)) {
                H.setText(lVar2.l0());
            } else if (!lVar2.p0(i.SCOPES_ROUTE)) {
                CharSequence l02 = lVar2.l0();
                if (i7 < 28 && lVar2.f5817y != null) {
                    if (l02 != null) {
                        str2 = l02;
                    }
                    l02 = ((Object) str2) + "\n" + lVar2.f5817y;
                }
                if (l02 != null) {
                    H.setContentDescription(l02);
                }
            }
            if (i7 >= 28 && lVar2.f5817y != null) {
                H.setTooltipText(lVar2.f5817y);
            }
            boolean p02 = lVar2.p0(i.HAS_CHECKED_STATE);
            boolean p03 = lVar2.p0(i.HAS_TOGGLED_STATE);
            if (p02 || p03) {
                z4 = true;
            }
            H.setCheckable(z4);
            if (p02) {
                H.setChecked(lVar2.p0(i.IS_CHECKED));
                str = lVar2.p0(i.IS_IN_MUTUALLY_EXCLUSIVE_GROUP) ? "android.widget.RadioButton" : "android.widget.CheckBox";
            } else {
                if (p03) {
                    H.setChecked(lVar2.p0(i.IS_TOGGLED));
                    str = "android.widget.Switch";
                }
                H.setSelected(lVar2.p0(i.IS_SELECTED));
                if (i7 >= 28) {
                    H.setHeading(lVar2.p0(i.IS_HEADER));
                }
                l lVar5 = this.f5711i;
                H.addAction((lVar5 == null && lVar5.f5794b == i5) ? 128 : 64);
                if (i7 >= 21 && lVar2.T != null) {
                    for (h hVar : lVar2.T) {
                        H.addAction(new AccessibilityNodeInfo.AccessibilityAction(hVar.f5764a, hVar.f5767d));
                    }
                }
                for (l lVar6 : lVar2.R) {
                    if (!lVar6.p0(i.IS_HIDDEN)) {
                        if (lVar6.f5801i != -1) {
                            View c5 = this.f5707e.c(lVar6.f5801i);
                            if (!this.f5707e.b(lVar6.f5801i)) {
                                H.addChild(c5);
                            }
                        }
                        H.addChild(this.f5703a, lVar6.f5794b);
                    }
                }
                return H;
            }
            H.setClassName(str);
            H.setSelected(lVar2.p0(i.IS_SELECTED));
            if (i7 >= 28) {
            }
            l lVar52 = this.f5711i;
            H.addAction((lVar52 == null && lVar52.f5794b == i5) ? 128 : 64);
            while (r1.hasNext()) {
            }
            while (r1.hasNext()) {
            }
            return H;
        }
        View c6 = this.f5707e.c(lVar2.f5801i);
        if (c6 == null) {
            return null;
        }
        return this.f5706d.getRootNode(c6, lVar2.f5794b, lVar2.i0());
    }

    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0016, code lost:
        if (r2 != null) goto L_0x0018;
     */
    public AccessibilityNodeInfo findFocus(int i5) {
        l lVar;
        Integer num;
        int intValue;
        if (i5 != 1) {
            if (i5 != 2) {
                return null;
            }
            lVar = this.f5711i;
            if (lVar == null) {
                num = this.f5712j;
                if (num == null) {
                    return null;
                }
                intValue = num.intValue();
                return createAccessibilityNodeInfo(intValue);
            }
        } else {
            lVar = this.f5715m;
            if (lVar == null) {
                num = this.f5713k;
            }
        }
        intValue = lVar.f5794b;
        return createAccessibilityNodeInfo(intValue);
    }

    public boolean performAction(int i5, int i6, Bundle bundle) {
        int i7;
        if (i5 >= 65536) {
            boolean performAction = this.f5706d.performAction(i5, i6, bundle);
            if (performAction && i6 == 128) {
                this.f5712j = null;
            }
            return performAction;
        }
        l lVar = this.f5709g.get(Integer.valueOf(i5));
        boolean z4 = false;
        if (lVar == null) {
            return false;
        }
        switch (i6) {
            case 16:
                this.f5704b.b(i5, g.TAP);
                return true;
            case R.styleable.AppCompatTheme_actionOverflowButtonStyle:
                this.f5704b.b(i5, g.LONG_PRESS);
                return true;
            case R.styleable.AppCompatTheme_dividerHorizontal:
                if (this.f5711i == null) {
                    this.f5703a.invalidate();
                }
                this.f5711i = lVar;
                this.f5704b.b(i5, g.DID_GAIN_ACCESSIBILITY_FOCUS);
                P(i5, 32768);
                if (lVar.o0(g.INCREASE) || lVar.o0(g.DECREASE)) {
                    P(i5, 4);
                }
                return true;
            case 128:
                l lVar2 = this.f5711i;
                if (lVar2 != null && lVar2.f5794b == i5) {
                    this.f5711i = null;
                }
                Integer num = this.f5712j;
                if (num != null && num.intValue() == i5) {
                    this.f5712j = null;
                }
                this.f5704b.b(i5, g.DID_LOSE_ACCESSIBILITY_FOCUS);
                P(i5, 65536);
                return true;
            case 256:
                if (Build.VERSION.SDK_INT < 18) {
                    return false;
                }
                return L(lVar, i5, bundle, true);
            case 512:
                if (Build.VERSION.SDK_INT < 18) {
                    return false;
                }
                return L(lVar, i5, bundle, false);
            case 4096:
                g gVar = g.SCROLL_UP;
                if (!lVar.o0(gVar)) {
                    gVar = g.SCROLL_LEFT;
                    if (!lVar.o0(gVar)) {
                        gVar = g.INCREASE;
                        if (!lVar.o0(gVar)) {
                            return false;
                        }
                        lVar.f5809q = lVar.f5811s;
                        lVar.f5810r = lVar.f5812t;
                        P(i5, 4);
                    }
                }
                this.f5704b.b(i5, gVar);
                return true;
            case 8192:
                g gVar2 = g.SCROLL_DOWN;
                if (!lVar.o0(gVar2)) {
                    gVar2 = g.SCROLL_RIGHT;
                    if (!lVar.o0(gVar2)) {
                        gVar2 = g.DECREASE;
                        if (!lVar.o0(gVar2)) {
                            return false;
                        }
                        lVar.f5809q = lVar.f5813u;
                        lVar.f5810r = lVar.f5814v;
                        P(i5, 4);
                    }
                }
                this.f5704b.b(i5, gVar2);
                return true;
            case 16384:
                this.f5704b.b(i5, g.COPY);
                return true;
            case 32768:
                this.f5704b.b(i5, g.PASTE);
                return true;
            case 65536:
                this.f5704b.b(i5, g.CUT);
                return true;
            case 131072:
                if (Build.VERSION.SDK_INT < 18) {
                    return false;
                }
                HashMap hashMap = new HashMap();
                if (bundle != null && bundle.containsKey("ACTION_ARGUMENT_SELECTION_START_INT") && bundle.containsKey("ACTION_ARGUMENT_SELECTION_END_INT")) {
                    z4 = true;
                }
                if (z4) {
                    hashMap.put("base", Integer.valueOf(bundle.getInt("ACTION_ARGUMENT_SELECTION_START_INT")));
                    i7 = bundle.getInt("ACTION_ARGUMENT_SELECTION_END_INT");
                } else {
                    hashMap.put("base", Integer.valueOf(lVar.f5800h));
                    i7 = lVar.f5800h;
                }
                hashMap.put("extent", Integer.valueOf(i7));
                this.f5704b.c(i5, g.SET_SELECTION, hashMap);
                l lVar3 = this.f5709g.get(Integer.valueOf(i5));
                lVar3.f5799g = ((Integer) hashMap.get("base")).intValue();
                lVar3.f5800h = ((Integer) hashMap.get("extent")).intValue();
                return true;
            case PictureFileUtils.MB:
                this.f5704b.b(i5, g.DISMISS);
                return true;
            case 2097152:
                if (Build.VERSION.SDK_INT < 21) {
                    return false;
                }
                return M(lVar, i5, bundle);
            case 16908342:
                this.f5704b.b(i5, g.SHOW_ON_SCREEN);
                return true;
            default:
                h hVar = this.f5710h.get(Integer.valueOf(i6 - A));
                if (hVar == null) {
                    return false;
                }
                this.f5704b.c(i5, g.CUSTOM_ACTION, Integer.valueOf(hVar.f5765b));
                return true;
        }
    }

    public boolean w(View view, View view2, AccessibilityEvent accessibilityEvent) {
        Integer recordFlutterId;
        if (!this.f5706d.requestSendAccessibilityEvent(view, view2, accessibilityEvent) || (recordFlutterId = this.f5706d.getRecordFlutterId(view, accessibilityEvent)) == null) {
            return false;
        }
        int eventType = accessibilityEvent.getEventType();
        if (eventType == 8) {
            this.f5713k = recordFlutterId;
            this.f5715m = null;
            return true;
        } else if (eventType == 128) {
            this.f5717o = null;
            return true;
        } else if (eventType == 32768) {
            this.f5712j = recordFlutterId;
            this.f5711i = null;
            return true;
        } else if (eventType != 65536) {
            return true;
        } else {
            this.f5713k = null;
            this.f5712j = null;
            return true;
        }
    }
}
