package m;

import android.os.Handler;
import android.os.Looper;
import android.os.SystemClock;
import androidx.concurrent.futures.c;
import java.util.List;
import java.util.concurrent.AbstractExecutorService;
import java.util.concurrent.Callable;
import java.util.concurrent.Delayed;
import java.util.concurrent.RejectedExecutionException;
import java.util.concurrent.RunnableScheduledFuture;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.atomic.AtomicReference;
import n.f;

/* access modifiers changed from: package-private */
public final class c extends AbstractExecutorService implements ScheduledExecutorService {

    /* renamed from: f  reason: collision with root package name */
    private static ThreadLocal<ScheduledExecutorService> f6441f = new a();

    /* renamed from: e  reason: collision with root package name */
    private final Handler f6442e;

    class a extends ThreadLocal<ScheduledExecutorService> {
        a() {
        }

        /* renamed from: a */
        public ScheduledExecutorService initialValue() {
            if (Looper.myLooper() == Looper.getMainLooper()) {
                return a.d();
            }
            if (Looper.myLooper() != null) {
                return new c(new Handler(Looper.myLooper()));
            }
            return null;
        }
    }

    class b implements Callable<Void> {

        /* renamed from: a  reason: collision with root package name */
        final /* synthetic */ Runnable f6443a;

        b(Runnable runnable) {
            this.f6443a = runnable;
        }

        /* renamed from: a */
        public Void call() {
            this.f6443a.run();
            return null;
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: m.c$c  reason: collision with other inner class name */
    public static class RunnableScheduledFutureC0106c<V> implements RunnableScheduledFuture<V> {

        /* renamed from: e  reason: collision with root package name */
        final AtomicReference<c.a<V>> f6445e = new AtomicReference<>(null);

        /* renamed from: f  reason: collision with root package name */
        private final long f6446f;

        /* renamed from: g  reason: collision with root package name */
        private final Callable<V> f6447g;

        /* renamed from: h  reason: collision with root package name */
        private final c2.a<V> f6448h;

        /* renamed from: m.c$c$a */
        class a implements c.AbstractC0016c<V> {

            /* renamed from: a  reason: collision with root package name */
            final /* synthetic */ Handler f6449a;

            /* renamed from: b  reason: collision with root package name */
            final /* synthetic */ Callable f6450b;

            /* renamed from: m.c$c$a$a  reason: collision with other inner class name */
            class RunnableC0107a implements Runnable {
                RunnableC0107a() {
                }

                public void run() {
                    if (RunnableScheduledFutureC0106c.this.f6445e.getAndSet(null) != null) {
                        a aVar = a.this;
                        aVar.f6449a.removeCallbacks(RunnableScheduledFutureC0106c.this);
                    }
                }
            }

            a(Handler handler, Callable callable) {
                this.f6449a = handler;
                this.f6450b = callable;
            }

            @Override // androidx.concurrent.futures.c.AbstractC0016c
            public Object a(c.a<V> aVar) {
                aVar.a(new RunnableC0107a(), a.a());
                RunnableScheduledFutureC0106c.this.f6445e.set(aVar);
                return "HandlerScheduledFuture-" + this.f6450b.toString();
            }
        }

        RunnableScheduledFutureC0106c(Handler handler, long j5, Callable<V> callable) {
            this.f6446f = j5;
            this.f6447g = callable;
            this.f6448h = androidx.concurrent.futures.c.a(new a(handler, callable));
        }

        /* renamed from: b */
        public int compareTo(Delayed delayed) {
            TimeUnit timeUnit = TimeUnit.MILLISECONDS;
            return Long.compare(getDelay(timeUnit), delayed.getDelay(timeUnit));
        }

        public boolean cancel(boolean z4) {
            return this.f6448h.cancel(z4);
        }

        @Override // java.util.concurrent.Future
        public V get() {
            return this.f6448h.get();
        }

        @Override // java.util.concurrent.Future
        public V get(long j5, TimeUnit timeUnit) {
            return this.f6448h.get(j5, timeUnit);
        }

        public long getDelay(TimeUnit timeUnit) {
            return timeUnit.convert(this.f6446f - System.currentTimeMillis(), TimeUnit.MILLISECONDS);
        }

        public boolean isCancelled() {
            return this.f6448h.isCancelled();
        }

        public boolean isDone() {
            return this.f6448h.isDone();
        }

        public boolean isPeriodic() {
            return false;
        }

        public void run() {
            c.a<V> andSet = this.f6445e.getAndSet(null);
            if (andSet != null) {
                try {
                    andSet.c(this.f6447g.call());
                } catch (Exception e5) {
                    andSet.e(e5);
                }
            }
        }
    }

    c(Handler handler) {
        this.f6442e = handler;
    }

    private RejectedExecutionException a() {
        return new RejectedExecutionException(this.f6442e + " is shutting down");
    }

    @Override // java.util.concurrent.ExecutorService
    public boolean awaitTermination(long j5, TimeUnit timeUnit) {
        throw new UnsupportedOperationException(c.class.getSimpleName() + " cannot be shut down. Use Looper.quitSafely().");
    }

    public void execute(Runnable runnable) {
        if (!this.f6442e.post(runnable)) {
            throw a();
        }
    }

    public boolean isShutdown() {
        return false;
    }

    public boolean isTerminated() {
        return false;
    }

    @Override // java.util.concurrent.ScheduledExecutorService
    public ScheduledFuture<?> schedule(Runnable runnable, long j5, TimeUnit timeUnit) {
        return schedule(new b(runnable), j5, timeUnit);
    }

    @Override // java.util.concurrent.ScheduledExecutorService
    public <V> ScheduledFuture<V> schedule(Callable<V> callable, long j5, TimeUnit timeUnit) {
        long uptimeMillis = SystemClock.uptimeMillis() + TimeUnit.MILLISECONDS.convert(j5, timeUnit);
        RunnableScheduledFutureC0106c cVar = new RunnableScheduledFutureC0106c(this.f6442e, uptimeMillis, callable);
        return this.f6442e.postAtTime(cVar, uptimeMillis) ? cVar : f.g(a());
    }

    @Override // java.util.concurrent.ScheduledExecutorService
    public ScheduledFuture<?> scheduleAtFixedRate(Runnable runnable, long j5, long j6, TimeUnit timeUnit) {
        throw new UnsupportedOperationException(c.class.getSimpleName() + " does not yet support fixed-rate scheduling.");
    }

    @Override // java.util.concurrent.ScheduledExecutorService
    public ScheduledFuture<?> scheduleWithFixedDelay(Runnable runnable, long j5, long j6, TimeUnit timeUnit) {
        throw new UnsupportedOperationException(c.class.getSimpleName() + " does not yet support fixed-delay scheduling.");
    }

    public void shutdown() {
        throw new UnsupportedOperationException(c.class.getSimpleName() + " cannot be shut down. Use Looper.quitSafely().");
    }

    @Override // java.util.concurrent.ExecutorService
    public List<Runnable> shutdownNow() {
        throw new UnsupportedOperationException(c.class.getSimpleName() + " cannot be shut down. Use Looper.quitSafely().");
    }
}
