package m1;

import android.util.Log;
import com.bumptech.glide.load.ImageHeaderParser;
import java.io.IOException;
import java.io.InputStream;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.nio.charset.Charset;
import z1.j;

public final class k implements ImageHeaderParser {

    /* renamed from: a  reason: collision with root package name */
    static final byte[] f6520a = "Exif\u0000\u0000".getBytes(Charset.forName("UTF-8"));

    /* renamed from: b  reason: collision with root package name */
    private static final int[] f6521b = {0, 1, 1, 2, 4, 8, 1, 1, 2, 4, 8, 4, 8};

    private static final class a implements c {

        /* renamed from: a  reason: collision with root package name */
        private final ByteBuffer f6522a;

        a(ByteBuffer byteBuffer) {
            this.f6522a = byteBuffer;
            byteBuffer.order(ByteOrder.BIG_ENDIAN);
        }

        @Override // m1.k.c
        public int getUInt16() {
            return (getUInt8() << 8) | getUInt8();
        }

        @Override // m1.k.c
        public short getUInt8() {
            if (this.f6522a.remaining() >= 1) {
                return (short) (this.f6522a.get() & 255);
            }
            throw new c.a();
        }

        @Override // m1.k.c
        public int read(byte[] bArr, int i5) {
            int min = Math.min(i5, this.f6522a.remaining());
            if (min == 0) {
                return -1;
            }
            this.f6522a.get(bArr, 0, min);
            return min;
        }

        @Override // m1.k.c
        public long skip(long j5) {
            int min = (int) Math.min((long) this.f6522a.remaining(), j5);
            ByteBuffer byteBuffer = this.f6522a;
            byteBuffer.position(byteBuffer.position() + min);
            return (long) min;
        }
    }

    /* access modifiers changed from: private */
    public static final class b {

        /* renamed from: a  reason: collision with root package name */
        private final ByteBuffer f6523a;

        b(byte[] bArr, int i5) {
            this.f6523a = (ByteBuffer) ByteBuffer.wrap(bArr).order(ByteOrder.BIG_ENDIAN).limit(i5);
        }

        private boolean c(int i5, int i6) {
            return this.f6523a.remaining() - i5 >= i6;
        }

        /* access modifiers changed from: package-private */
        public short a(int i5) {
            if (c(i5, 2)) {
                return this.f6523a.getShort(i5);
            }
            return -1;
        }

        /* access modifiers changed from: package-private */
        public int b(int i5) {
            if (c(i5, 4)) {
                return this.f6523a.getInt(i5);
            }
            return -1;
        }

        /* access modifiers changed from: package-private */
        public int d() {
            return this.f6523a.remaining();
        }

        /* access modifiers changed from: package-private */
        public void e(ByteOrder byteOrder) {
            this.f6523a.order(byteOrder);
        }
    }

    /* access modifiers changed from: private */
    public interface c {

        public static final class a extends IOException {
            a() {
                super("Unexpectedly reached end of a file");
            }
        }

        int getUInt16();

        short getUInt8();

        int read(byte[] bArr, int i5);

        long skip(long j5);
    }

    private static final class d implements c {

        /* renamed from: a  reason: collision with root package name */
        private final InputStream f6524a;

        d(InputStream inputStream) {
            this.f6524a = inputStream;
        }

        @Override // m1.k.c
        public int getUInt16() {
            return (getUInt8() << 8) | getUInt8();
        }

        @Override // m1.k.c
        public short getUInt8() {
            int read = this.f6524a.read();
            if (read != -1) {
                return (short) read;
            }
            throw new c.a();
        }

        @Override // m1.k.c
        public int read(byte[] bArr, int i5) {
            int i6 = 0;
            int i7 = 0;
            while (i6 < i5 && (i7 = this.f6524a.read(bArr, i6, i5 - i6)) != -1) {
                i6 += i7;
            }
            if (i6 != 0 || i7 != -1) {
                return i6;
            }
            throw new c.a();
        }

        @Override // m1.k.c
        public long skip(long j5) {
            if (j5 < 0) {
                return 0;
            }
            long j6 = j5;
            while (j6 > 0) {
                long skip = this.f6524a.skip(j6);
                if (skip <= 0) {
                    if (this.f6524a.read() == -1) {
                        break;
                    }
                    skip = 1;
                }
                j6 -= skip;
            }
            return j5 - j6;
        }
    }

    private static int d(int i5, int i6) {
        return i5 + 2 + (i6 * 12);
    }

    private int e(c cVar, g1.b bVar) {
        try {
            int uInt16 = cVar.getUInt16();
            if (!g(uInt16)) {
                if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                    Log.d("DfltImageHeaderParser", "Parser doesn't handle magic number: " + uInt16);
                }
                return -1;
            }
            int i5 = i(cVar);
            if (i5 == -1) {
                if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                    Log.d("DfltImageHeaderParser", "Failed to parse exif segment length, or exif segment not found");
                }
                return -1;
            }
            byte[] bArr = (byte[]) bVar.get(i5, byte[].class);
            try {
                return k(cVar, bArr, i5);
            } finally {
                bVar.put(bArr);
            }
        } catch (c.a unused) {
            return -1;
        }
    }

    private ImageHeaderParser.ImageType f(c cVar) {
        try {
            int uInt16 = cVar.getUInt16();
            if (uInt16 == 65496) {
                return ImageHeaderParser.ImageType.JPEG;
            }
            int uInt8 = (uInt16 << 8) | cVar.getUInt8();
            if (uInt8 == 4671814) {
                return ImageHeaderParser.ImageType.GIF;
            }
            int uInt82 = (uInt8 << 8) | cVar.getUInt8();
            if (uInt82 == -1991225785) {
                cVar.skip(21);
                try {
                    return cVar.getUInt8() >= 3 ? ImageHeaderParser.ImageType.PNG_A : ImageHeaderParser.ImageType.PNG;
                } catch (c.a unused) {
                    return ImageHeaderParser.ImageType.PNG;
                }
            } else if (uInt82 != 1380533830) {
                return ImageHeaderParser.ImageType.UNKNOWN;
            } else {
                cVar.skip(4);
                if (((cVar.getUInt16() << 16) | cVar.getUInt16()) != 1464156752) {
                    return ImageHeaderParser.ImageType.UNKNOWN;
                }
                int uInt162 = (cVar.getUInt16() << 16) | cVar.getUInt16();
                if ((uInt162 & -256) != 1448097792) {
                    return ImageHeaderParser.ImageType.UNKNOWN;
                }
                int i5 = uInt162 & 255;
                if (i5 == 88) {
                    cVar.skip(4);
                    return (cVar.getUInt8() & 16) != 0 ? ImageHeaderParser.ImageType.WEBP_A : ImageHeaderParser.ImageType.WEBP;
                } else if (i5 != 76) {
                    return ImageHeaderParser.ImageType.WEBP;
                } else {
                    cVar.skip(4);
                    return (cVar.getUInt8() & 8) != 0 ? ImageHeaderParser.ImageType.WEBP_A : ImageHeaderParser.ImageType.WEBP;
                }
            }
        } catch (c.a unused2) {
            return ImageHeaderParser.ImageType.UNKNOWN;
        }
    }

    private static boolean g(int i5) {
        return (i5 & 65496) == 65496 || i5 == 19789 || i5 == 18761;
    }

    private boolean h(byte[] bArr, int i5) {
        boolean z4 = bArr != null && i5 > f6520a.length;
        if (z4) {
            int i6 = 0;
            while (true) {
                byte[] bArr2 = f6520a;
                if (i6 >= bArr2.length) {
                    break;
                } else if (bArr[i6] != bArr2[i6]) {
                    return false;
                } else {
                    i6++;
                }
            }
        }
        return z4;
    }

    private int i(c cVar) {
        short uInt8;
        int uInt16;
        long j5;
        long skip;
        do {
            short uInt82 = cVar.getUInt8();
            if (uInt82 != 255) {
                if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                    Log.d("DfltImageHeaderParser", "Unknown segmentId=" + ((int) uInt82));
                }
                return -1;
            }
            uInt8 = cVar.getUInt8();
            if (uInt8 == 218) {
                return -1;
            }
            if (uInt8 == 217) {
                if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                    Log.d("DfltImageHeaderParser", "Found MARKER_EOI in exif segment");
                }
                return -1;
            }
            uInt16 = cVar.getUInt16() - 2;
            if (uInt8 == 225) {
                return uInt16;
            }
            j5 = (long) uInt16;
            skip = cVar.skip(j5);
        } while (skip == j5);
        if (Log.isLoggable("DfltImageHeaderParser", 3)) {
            Log.d("DfltImageHeaderParser", "Unable to skip enough data, type: " + ((int) uInt8) + ", wanted to skip: " + uInt16 + ", but actually skipped: " + skip);
        }
        return -1;
    }

    private static int j(b bVar) {
        ByteOrder byteOrder;
        String str;
        StringBuilder sb;
        String str2;
        short a5 = bVar.a(6);
        if (a5 != 18761) {
            if (a5 != 19789 && Log.isLoggable("DfltImageHeaderParser", 3)) {
                Log.d("DfltImageHeaderParser", "Unknown endianness = " + ((int) a5));
            }
            byteOrder = ByteOrder.BIG_ENDIAN;
        } else {
            byteOrder = ByteOrder.LITTLE_ENDIAN;
        }
        bVar.e(byteOrder);
        int b5 = bVar.b(10) + 6;
        short a6 = bVar.a(b5);
        for (int i5 = 0; i5 < a6; i5++) {
            int d5 = d(b5, i5);
            short a7 = bVar.a(d5);
            if (a7 == 274) {
                short a8 = bVar.a(d5 + 2);
                if (a8 >= 1 && a8 <= 12) {
                    int b6 = bVar.b(d5 + 4);
                    if (b6 >= 0) {
                        if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                            Log.d("DfltImageHeaderParser", "Got tagIndex=" + i5 + " tagType=" + ((int) a7) + " formatCode=" + ((int) a8) + " componentCount=" + b6);
                        }
                        int i6 = b6 + f6521b[a8];
                        if (i6 <= 4) {
                            int i7 = d5 + 8;
                            if (i7 < 0 || i7 > bVar.d()) {
                                if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                                    str = "Illegal tagValueOffset=" + i7 + " tagType=" + ((int) a7);
                                    Log.d("DfltImageHeaderParser", str);
                                }
                            } else if (i6 >= 0 && i6 + i7 <= bVar.d()) {
                                return bVar.a(i7);
                            } else {
                                if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                                    sb = new StringBuilder();
                                    sb.append("Illegal number of bytes for TI tag data tagType=");
                                    sb.append((int) a7);
                                    str = sb.toString();
                                    Log.d("DfltImageHeaderParser", str);
                                }
                            }
                        } else if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                            sb = new StringBuilder();
                            str2 = "Got byte count > 4, not orientation, continuing, formatCode=";
                        }
                    } else if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                        str = "Negative tiff component count";
                        Log.d("DfltImageHeaderParser", str);
                    }
                } else if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                    sb = new StringBuilder();
                    str2 = "Got invalid format code = ";
                }
                sb.append(str2);
                sb.append((int) a8);
                str = sb.toString();
                Log.d("DfltImageHeaderParser", str);
            }
        }
        return -1;
    }

    private int k(c cVar, byte[] bArr, int i5) {
        int read = cVar.read(bArr, i5);
        if (read != i5) {
            if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                Log.d("DfltImageHeaderParser", "Unable to read exif segment data, length: " + i5 + ", actually read: " + read);
            }
            return -1;
        } else if (h(bArr, i5)) {
            return j(new b(bArr, i5));
        } else {
            if (Log.isLoggable("DfltImageHeaderParser", 3)) {
                Log.d("DfltImageHeaderParser", "Missing jpeg exif preamble");
            }
            return -1;
        }
    }

    @Override // com.bumptech.glide.load.ImageHeaderParser
    public ImageHeaderParser.ImageType a(ByteBuffer byteBuffer) {
        return f(new a((ByteBuffer) j.d(byteBuffer)));
    }

    @Override // com.bumptech.glide.load.ImageHeaderParser
    public int b(InputStream inputStream, g1.b bVar) {
        return e(new d((InputStream) j.d(inputStream)), (g1.b) j.d(bVar));
    }

    @Override // com.bumptech.glide.load.ImageHeaderParser
    public ImageHeaderParser.ImageType c(InputStream inputStream) {
        return f(new d((InputStream) j.d(inputStream)));
    }
}
