package s;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.BitmapRegionDecoder;
import android.graphics.Rect;
import android.graphics.YuvImage;
import android.util.Rational;
import android.util.Size;
import androidx.camera.core.q1;
import androidx.camera.core.z1;
import com.yalantis.ucrop.view.CropImageView;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.nio.ByteBuffer;

public final class a {

    /* renamed from: s.a$a  reason: collision with other inner class name */
    public static final class C0116a extends Exception {

        /* renamed from: e  reason: collision with root package name */
        private EnumC0117a f6993e;

        /* renamed from: s.a$a$a  reason: collision with other inner class name */
        public enum EnumC0117a {
            ENCODE_FAILED,
            DECODE_FAILED,
            UNKNOWN
        }

        C0116a(String str, EnumC0117a aVar) {
            super(str);
            this.f6993e = aVar;
        }

        public EnumC0117a a() {
            return this.f6993e;
        }
    }

    public static Rect a(Size size, Rational rational) {
        int i5;
        if (!e(rational)) {
            z1.m("ImageUtil", "Invalid view ratio.");
            return null;
        }
        int width = size.getWidth();
        int height = size.getHeight();
        float f5 = (float) width;
        float f6 = (float) height;
        int numerator = rational.getNumerator();
        int denominator = rational.getDenominator();
        int i6 = 0;
        if (rational.floatValue() > f5 / f6) {
            int round = Math.round((f5 / ((float) numerator)) * ((float) denominator));
            i5 = (height - round) / 2;
            height = round;
        } else {
            int round2 = Math.round((f6 / ((float) denominator)) * ((float) numerator));
            i6 = (width - round2) / 2;
            width = round2;
            i5 = 0;
        }
        return new Rect(i6, i5, width + i6, height + i5);
    }

    private static byte[] b(byte[] bArr, Rect rect, int i5) {
        try {
            BitmapRegionDecoder newInstance = BitmapRegionDecoder.newInstance(bArr, 0, bArr.length, false);
            Bitmap decodeRegion = newInstance.decodeRegion(rect, new BitmapFactory.Options());
            newInstance.recycle();
            if (decodeRegion != null) {
                ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                if (decodeRegion.compress(Bitmap.CompressFormat.JPEG, i5, byteArrayOutputStream)) {
                    decodeRegion.recycle();
                    return byteArrayOutputStream.toByteArray();
                }
                throw new C0116a("Encode bitmap failed.", C0116a.EnumC0117a.ENCODE_FAILED);
            }
            throw new C0116a("Decode byte array failed.", C0116a.EnumC0117a.DECODE_FAILED);
        } catch (IllegalArgumentException e5) {
            throw new C0116a("Decode byte array failed with illegal argument." + e5, C0116a.EnumC0117a.DECODE_FAILED);
        } catch (IOException unused) {
            throw new C0116a("Decode byte array failed.", C0116a.EnumC0117a.DECODE_FAILED);
        }
    }

    public static Rational c(int i5, Rational rational) {
        return (i5 == 90 || i5 == 270) ? d(rational) : new Rational(rational.getNumerator(), rational.getDenominator());
    }

    private static Rational d(Rational rational) {
        return rational == null ? rational : new Rational(rational.getDenominator(), rational.getNumerator());
    }

    public static boolean e(Rational rational) {
        return rational != null && rational.floatValue() > CropImageView.DEFAULT_ASPECT_RATIO && !rational.isNaN();
    }

    public static boolean f(Size size, Rational rational) {
        return rational != null && rational.floatValue() > CropImageView.DEFAULT_ASPECT_RATIO && g(size, rational) && !rational.isNaN();
    }

    private static boolean g(Size size, Rational rational) {
        int width = size.getWidth();
        int height = size.getHeight();
        float numerator = (float) rational.getNumerator();
        float denominator = (float) rational.getDenominator();
        return (height == Math.round((((float) width) / numerator) * denominator) && width == Math.round((((float) height) / denominator) * numerator)) ? false : true;
    }

    public static byte[] h(q1 q1Var) {
        if (q1Var.s() == 256) {
            ByteBuffer c5 = q1Var.d()[0].c();
            byte[] bArr = new byte[c5.capacity()];
            c5.rewind();
            c5.get(bArr);
            return bArr;
        }
        throw new IllegalArgumentException("Incorrect image format of the input image proxy: " + q1Var.s());
    }

    public static byte[] i(q1 q1Var, Rect rect, int i5) {
        if (q1Var.s() == 256) {
            return b(h(q1Var), rect, i5);
        }
        throw new IllegalArgumentException("Incorrect image format of the input image proxy: " + q1Var.s());
    }

    public static float j(float f5, float f6, float f7, float f8) {
        return Math.min(Math.min(f5, f6), Math.min(f7, f8));
    }

    private static byte[] k(byte[] bArr, int i5, int i6, Rect rect, int i7) {
        ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
        YuvImage yuvImage = new YuvImage(bArr, 17, i5, i6, null);
        if (rect == null) {
            rect = new Rect(0, 0, i5, i6);
        }
        if (yuvImage.compressToJpeg(rect, i7, byteArrayOutputStream)) {
            return byteArrayOutputStream.toByteArray();
        }
        throw new C0116a("YuvImage failed to encode jpeg.", C0116a.EnumC0117a.ENCODE_FAILED);
    }

    public static boolean l(q1 q1Var) {
        return !new Size(q1Var.i().width(), q1Var.i().height()).equals(new Size(q1Var.b(), q1Var.a()));
    }

    public static float[] m(Size size) {
        return new float[]{0.0f, 0.0f, (float) size.getWidth(), 0.0f, (float) size.getWidth(), (float) size.getHeight(), 0.0f, (float) size.getHeight()};
    }

    public static byte[] n(q1 q1Var, Rect rect, int i5) {
        if (q1Var.s() == 35) {
            return k(o(q1Var), q1Var.b(), q1Var.a(), rect, i5);
        }
        throw new IllegalArgumentException("Incorrect image format of the input image proxy: " + q1Var.s());
    }

    public static byte[] o(q1 q1Var) {
        q1.a aVar = q1Var.d()[0];
        q1.a aVar2 = q1Var.d()[1];
        q1.a aVar3 = q1Var.d()[2];
        ByteBuffer c5 = aVar.c();
        ByteBuffer c6 = aVar2.c();
        ByteBuffer c7 = aVar3.c();
        c5.rewind();
        c6.rewind();
        c7.rewind();
        int remaining = c5.remaining();
        byte[] bArr = new byte[(((q1Var.b() * q1Var.a()) / 2) + remaining)];
        int i5 = 0;
        for (int i6 = 0; i6 < q1Var.a(); i6++) {
            c5.get(bArr, i5, q1Var.b());
            i5 += q1Var.b();
            c5.position(Math.min(remaining, (c5.position() - q1Var.b()) + aVar.a()));
        }
        int a5 = q1Var.a() / 2;
        int b5 = q1Var.b() / 2;
        int a6 = aVar3.a();
        int a7 = aVar2.a();
        int b6 = aVar3.b();
        int b7 = aVar2.b();
        byte[] bArr2 = new byte[a6];
        byte[] bArr3 = new byte[a7];
        for (int i7 = 0; i7 < a5; i7++) {
            c7.get(bArr2, 0, Math.min(a6, c7.remaining()));
            c6.get(bArr3, 0, Math.min(a7, c6.remaining()));
            int i8 = 0;
            int i9 = 0;
            for (int i10 = 0; i10 < b5; i10++) {
                int i11 = i5 + 1;
                bArr[i5] = bArr2[i8];
                i5 = i11 + 1;
                bArr[i11] = bArr3[i9];
                i8 += b6;
                i9 += b7;
            }
        }
        return bArr;
    }
}
